/* A Bison parser, made by GNU Bison 3.0.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs


/* Copy the first part of user declarations.  */
#line 1 "gram.y" /* yacc.c:339  */


/*#define YYDEBUG 1*/
/*-------------------------------------------------------------------------
 *
 * gram.y
 *	  POSTGRESQL BISON rules/actions
 *
 * Portions Copyright (c) 2003-2019, PgPool Global Development Group
 * Portions Copyright (c) 1996-2019, PostgreSQL Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 *
 * IDENTIFICATION
 *	  src/backend/parser/gram.y
 *
 * HISTORY
 *	  AUTHOR			DATE			MAJOR EVENT
 *	  Andrew Yu			Sept, 1994		POSTQUEL to SQL conversion
 *	  Andrew Yu			Oct, 1994		lispy code conversion
 *
 * NOTES
 *	  CAPITALS are used to represent terminal symbols.
 *	  non-capitals are used to represent non-terminals.
 *
 *	  In general, nothing in this file should initiate database accesses
 *	  nor depend on changeable state (such as SET variables).  If you do
 *	  database accesses, your code will fail when we have aborted the
 *	  current transaction and are just parsing commands to find the next
 *	  ROLLBACK or COMMIT.  If you make use of SET variables, then you
 *	  will do the wrong thing in multi-query strings like this:
 *			SET constraint_exclusion TO off; SELECT * FROM foo;
 *	  because the entire string is parsed by gram.y before the SET gets
 *	  executed.  Anything that depends on the database or changeable state
 *	  should be handled during parse analysis so that it happens at the
 *	  right time not the wrong time.
 *
 * WARNINGS
 *	  If you use a list, make sure the datum is a node so that the printing
 *	  routines work.
 *
 *	  Sometimes we assign constants to makeStrings. Make sure we don't free
 *	  those.
 *
 *-------------------------------------------------------------------------
 */

#include "pool_parser.h"
#include "utils/elog.h"
#include "utils/palloc.h"
#include <ctype.h>
#include <limits.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "nodes.h"
#include "keywords.h"
#include "gramparse.h"
#include "makefuncs.h"
#include "pool_string.h"
#include "parser.h"
#include "pg_class.h"
#include "pg_trigger.h"

/* This is a configuration parameter since PostgreSQL 9.5.
 * We set this false in pgpool-II. This is default in PostgreSQL.
 */
static bool operator_precedence_warning = false;

/*
 * Definition taken from
 * postgreSQL source code file: src/include/commands/trigger.h
 */
#define TRIGGER_FIRES_ON_ORIGIN                         'O'
#define TRIGGER_FIRES_ALWAYS                            'A'
#define TRIGGER_FIRES_ON_REPLICA                        'R'
#define TRIGGER_DISABLED                                'D'

/*
 * Definition taken from
 * postgreSQL source code file: src/include/catalog/pg_class.h
 */

#define           REPLICA_IDENTITY_DEFAULT      'd'
#define           REPLICA_IDENTITY_NOTHING      'n'
#define           REPLICA_IDENTITY_FULL         'f'
#define           REPLICA_IDENTITY_INDEX        'i'

/*
 * Definition taken from
 * postgreSQL source code file: src/include/catalog/pg_attribute.h
 */
#define		  ATTRIBUTE_IDENTITY_ALWAYS	'a'
#define		  ATTRIBUTE_IDENTITY_BY_DEFAULT 'd'

/*
 * Definition taken from
 * postgreSQL source code file: src/include/utils/xml.h
 */
typedef enum
{
	XML_STANDALONE_YES,
	XML_STANDALONE_NO,
	XML_STANDALONE_NO_VALUE,
	XML_STANDALONE_OMITTED
} XmlStandaloneType;

/*
 * Location tracking support --- simpler than bison's default, since we only
 * want to track the start position not the end position of each nonterminal.
 */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if ((N) > 0) \
			(Current) = (Rhs)[1]; \
		else \
			(Current) = (-1); \
	} while (0)

/*
 * The above macro assigns -1 (unknown) as the parse location of any
 * nonterminal that was reduced from an empty rule, or whose leftmost
 * component was reduced from an empty rule.  This is problematic
 * for nonterminals defined like
 *		OptFooList: / * EMPTY * / { ... } | OptFooList Foo { ... } ;
 * because we'll set -1 as the location during the first reduction and then
 * copy it during each subsequent reduction, leaving us with -1 for the
 * location even when the list is not empty.  To fix that, do this in the
 * action for the nonempty rule(s):
 *		if (@$ < 0) @$ = @2;
 * (Although we have many nonterminals that follow this pattern, we only
 * bother with fixing @$ like this when the nonterminal's parse location
 * is actually referenced in some rule.)
 *
 * A cleaner answer would be to make YYLLOC_DEFAULT scan all the Rhs
 * locations until it's found one that's not -1.  Then we'd get a correct
 * location for any nonterminal that isn't entirely empty.  But this way
 * would add overhead to every rule reduction, and so far there's not been
 * a compelling reason to pay that overhead.
 */

/*
 * Bison doesn't allocate anything that needs to live across parser calls,
 * so we can easily have it use palloc instead of malloc.  This prevents
 * memory leaks if we error out during parsing.  Note this only works with
 * bison >= 2.0.  However, in bison 1.875 the default is to use alloca()
 * if possible, so there's not really much problem anyhow, at least if
 * you're building with gcc.
 */
#define YYMALLOC palloc
#define YYFREE   pfree

/* Private struct for the result of privilege_target production */
typedef struct PrivTarget
{
	GrantTargetType targtype;
	ObjectType	objtype;
	List	   *objs;
} PrivTarget;

/* Private struct for the result of import_qualification production */
typedef struct ImportQual
{
	ImportForeignSchemaType type;
	List	   *table_names;
} ImportQual;

/* ConstraintAttributeSpec yields an integer bitmask of these flags: */
#define CAS_NOT_DEFERRABLE			0x01
#define CAS_DEFERRABLE				0x02
#define CAS_INITIALLY_IMMEDIATE		0x04
#define CAS_INITIALLY_DEFERRED		0x08
#define CAS_NOT_VALID				0x10
#define CAS_NO_INHERIT				0x20


#define parser_yyerror(msg)  scanner_yyerror(msg, yyscanner)
#define parser_errposition(pos)  scanner_errposition(pos, yyscanner)

static void base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner,
						 const char *msg);
static RawStmt *makeRawStmt(Node *stmt, int stmt_location);
static void updateRawStmtEnd(RawStmt *rs, int end_location);
static Node *makeColumnRef(char *colname, List *indirection,
						   int location, core_yyscan_t yyscanner);
static Node *makeStringConst(char *str, int location);
static Node *makeFloatConst(char *str, int location);
static Node *makeBitStringConst(char *str, int location);
static Node *makeNullAConst(int location);
static Node *makeAConst(Value *v, int location);
static Node *makeBoolAConst(bool state, int location);
static RoleSpec *makeRoleSpec(RoleSpecType type, int location);
static void check_qualified_name(List *names, core_yyscan_t yyscanner);
static List *check_func_name(List *names, core_yyscan_t yyscanner);
static List *check_indirection(List *indirection, core_yyscan_t yyscanner);
static List *extractArgTypes(List *parameters);
static List *extractAggrArgTypes(List *aggrargs);
static List *makeOrderedSetArgs(List *directargs, List *orderedargs,
								core_yyscan_t yyscanner);
static void insertSelectOptions(SelectStmt *stmt,
								List *sortClause, List *lockingClause,
								Node *limitOffset, Node *limitCount,
								WithClause *withClause,
								core_yyscan_t yyscanner);
static Node *makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg);
static Node *doNegate(Node *n, int location);
static void doNegateFloat(Value *v);
static Node *makeAndExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeOrExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeNotExpr(Node *expr, int location);
static Node *makeAArrayExpr(List *elements, int location);
static Node *makeSQLValueFunction(SQLValueFunctionOp op, int32 typmod,
								  int location);
static Node *makeXmlExpr(XmlExprOp op, char *name, List *named_args,
						 List *args, int location);
static List *mergeTableFuncParameters(List *func_args, List *columns);
static TypeName *TableFuncTypeName(List *columns);
static RangeVar *makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner);
static void SplitColQualList(List *qualList,
							 List **constraintList, CollateClause **collClause,
							 core_yyscan_t yyscanner);
static void processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner);
static Node *makeRecursiveViewSelect(char *relname, List *aliases, Node *query);


#line 301 "gram.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "y.tab.h".  */
#ifndef YY_BASE_YY_Y_TAB_H_INCLUDED
# define YY_BASE_YY_Y_TAB_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    IDENT = 258,
    FCONST = 259,
    SCONST = 260,
    BCONST = 261,
    XCONST = 262,
    Op = 263,
    ICONST = 264,
    PARAM = 265,
    TYPECAST = 266,
    DOT_DOT = 267,
    COLON_EQUALS = 268,
    EQUALS_GREATER = 269,
    LESS_EQUALS = 270,
    GREATER_EQUALS = 271,
    NOT_EQUALS = 272,
    ABORT_P = 273,
    ABSOLUTE_P = 274,
    ACCESS = 275,
    ACTION = 276,
    ADD_P = 277,
    ADMIN = 278,
    AFTER = 279,
    AGGREGATE = 280,
    ALL = 281,
    ALSO = 282,
    ALTER = 283,
    ALWAYS = 284,
    ANALYSE = 285,
    ANALYZE = 286,
    AND = 287,
    ANY = 288,
    ARRAY = 289,
    AS = 290,
    ASC = 291,
    ASSERTION = 292,
    ASSIGNMENT = 293,
    ASYMMETRIC = 294,
    AT = 295,
    ATTACH = 296,
    ATTRIBUTE = 297,
    AUTHORIZATION = 298,
    BACKWARD = 299,
    BEFORE = 300,
    BEGIN_P = 301,
    BETWEEN = 302,
    BIGINT = 303,
    BINARY = 304,
    BIT = 305,
    BOOLEAN_P = 306,
    BOTH = 307,
    BY = 308,
    CACHE = 309,
    CALL = 310,
    CALLED = 311,
    CASCADE = 312,
    CASCADED = 313,
    CASE = 314,
    CAST = 315,
    CATALOG_P = 316,
    CHAIN = 317,
    CHAR_P = 318,
    CHARACTER = 319,
    CHARACTERISTICS = 320,
    CHECK = 321,
    CHECKPOINT = 322,
    CLASS = 323,
    CLOSE = 324,
    CLUSTER = 325,
    COALESCE = 326,
    COLLATE = 327,
    COLLATION = 328,
    COLUMN = 329,
    COLUMNS = 330,
    COMMENT = 331,
    COMMENTS = 332,
    COMMIT = 333,
    COMMITTED = 334,
    CONCURRENTLY = 335,
    CONFIGURATION = 336,
    CONFLICT = 337,
    CONNECTION = 338,
    CONSTRAINT = 339,
    CONSTRAINTS = 340,
    CONTENT_P = 341,
    CONTINUE_P = 342,
    CONVERSION_P = 343,
    COPY = 344,
    COST = 345,
    CREATE = 346,
    CROSS = 347,
    CSV = 348,
    CUBE = 349,
    CURRENT_P = 350,
    CURRENT_CATALOG = 351,
    CURRENT_DATE = 352,
    CURRENT_ROLE = 353,
    CURRENT_SCHEMA = 354,
    CURRENT_TIME = 355,
    CURRENT_TIMESTAMP = 356,
    CURRENT_USER = 357,
    CURSOR = 358,
    CYCLE = 359,
    DATA_P = 360,
    DATABASE = 361,
    DAY_P = 362,
    DEALLOCATE = 363,
    DEC = 364,
    DECIMAL_P = 365,
    DECLARE = 366,
    DEFAULT = 367,
    DEFAULTS = 368,
    DEFERRABLE = 369,
    DEFERRED = 370,
    DEFINER = 371,
    DELETE_P = 372,
    DELIMITER = 373,
    DELIMITERS = 374,
    DEPENDS = 375,
    DESC = 376,
    DETACH = 377,
    DICTIONARY = 378,
    DISABLE_P = 379,
    DISCARD = 380,
    DISTINCT = 381,
    DO = 382,
    DOCUMENT_P = 383,
    DOMAIN_P = 384,
    DOUBLE_P = 385,
    DROP = 386,
    EACH = 387,
    ELSE = 388,
    ENABLE_P = 389,
    ENCODING = 390,
    ENCRYPTED = 391,
    END_P = 392,
    ENUM_P = 393,
    ESCAPE = 394,
    EVENT = 395,
    EXCEPT = 396,
    EXCLUDE = 397,
    EXCLUDING = 398,
    EXCLUSIVE = 399,
    EXECUTE = 400,
    EXISTS = 401,
    EXPLAIN = 402,
    EXTENSION = 403,
    EXTERNAL = 404,
    EXTRACT = 405,
    FALSE_P = 406,
    FAMILY = 407,
    FETCH = 408,
    FILTER = 409,
    FIRST_P = 410,
    FLOAT_P = 411,
    FOLLOWING = 412,
    FOR = 413,
    FORCE = 414,
    FOREIGN = 415,
    FORWARD = 416,
    FREEZE = 417,
    FROM = 418,
    FULL = 419,
    FUNCTION = 420,
    FUNCTIONS = 421,
    GENERATED = 422,
    GLOBAL = 423,
    GRANT = 424,
    GRANTED = 425,
    GREATEST = 426,
    GROUP_P = 427,
    GROUPING = 428,
    GROUPS = 429,
    HANDLER = 430,
    HAVING = 431,
    HEADER_P = 432,
    HOLD = 433,
    HOUR_P = 434,
    IDENTITY_P = 435,
    IF_P = 436,
    ILIKE = 437,
    IMMEDIATE = 438,
    IMMUTABLE = 439,
    IMPLICIT_P = 440,
    IMPORT_P = 441,
    IN_P = 442,
    INCLUDE = 443,
    INCLUDING = 444,
    INCREMENT = 445,
    INDEX = 446,
    INDEXES = 447,
    INHERIT = 448,
    INHERITS = 449,
    INITIALLY = 450,
    INLINE_P = 451,
    INNER_P = 452,
    INOUT = 453,
    INPUT_P = 454,
    INSENSITIVE = 455,
    INSERT = 456,
    INSTEAD = 457,
    INT_P = 458,
    INTEGER = 459,
    INTERSECT = 460,
    INTERVAL = 461,
    INTO = 462,
    INVOKER = 463,
    IS = 464,
    ISNULL = 465,
    ISOLATION = 466,
    JOIN = 467,
    KEY = 468,
    LABEL = 469,
    LANGUAGE = 470,
    LARGE_P = 471,
    LAST_P = 472,
    LATERAL_P = 473,
    LEADING = 474,
    LEAKPROOF = 475,
    LEAST = 476,
    LEFT = 477,
    LEVEL = 478,
    LIKE = 479,
    LIMIT = 480,
    LISTEN = 481,
    LOAD = 482,
    LOCAL = 483,
    LOCALTIME = 484,
    LOCALTIMESTAMP = 485,
    LOCATION = 486,
    LOCK_P = 487,
    LOCKED = 488,
    LOGGED = 489,
    MAPPING = 490,
    MATCH = 491,
    MATERIALIZED = 492,
    MAXVALUE = 493,
    METHOD = 494,
    MINUTE_P = 495,
    MINVALUE = 496,
    MODE = 497,
    MONTH_P = 498,
    MOVE = 499,
    NAME_P = 500,
    NAMES = 501,
    NATIONAL = 502,
    NATURAL = 503,
    NCHAR = 504,
    NEW = 505,
    NEXT = 506,
    NO = 507,
    NONE = 508,
    NOT = 509,
    NOTHING = 510,
    NOTIFY = 511,
    NOTNULL = 512,
    NOWAIT = 513,
    NULL_P = 514,
    NULLIF = 515,
    NULLS_P = 516,
    NUMERIC = 517,
    OBJECT_P = 518,
    OF = 519,
    OFF = 520,
    OFFSET = 521,
    OIDS = 522,
    OLD = 523,
    ON = 524,
    ONLY = 525,
    OPERATOR = 526,
    OPTION = 527,
    OPTIONS = 528,
    OR = 529,
    ORDER = 530,
    ORDINALITY = 531,
    OTHERS = 532,
    OUT_P = 533,
    OUTER_P = 534,
    OVER = 535,
    OVERLAPS = 536,
    OVERLAY = 537,
    OVERRIDING = 538,
    OWNED = 539,
    OWNER = 540,
    PARALLEL = 541,
    PARSER = 542,
    PARTIAL = 543,
    PARTITION = 544,
    PASSING = 545,
    PASSWORD = 546,
    PGPOOL = 547,
    PLACING = 548,
    PLANS = 549,
    POLICY = 550,
    POSITION = 551,
    PRECEDING = 552,
    PRECISION = 553,
    PRESERVE = 554,
    PREPARE = 555,
    PREPARED = 556,
    PRIMARY = 557,
    PRIOR = 558,
    PRIVILEGES = 559,
    PROCEDURAL = 560,
    PROCEDURE = 561,
    PROCEDURES = 562,
    PROGRAM = 563,
    PUBLICATION = 564,
    QUOTE = 565,
    RANGE = 566,
    READ = 567,
    REAL = 568,
    REASSIGN = 569,
    RECHECK = 570,
    RECURSIVE = 571,
    REF = 572,
    REFERENCES = 573,
    REFERENCING = 574,
    REFRESH = 575,
    REINDEX = 576,
    RELATIVE_P = 577,
    RELEASE = 578,
    RENAME = 579,
    REPEATABLE = 580,
    REPLACE = 581,
    REPLICA = 582,
    RESET = 583,
    RESTART = 584,
    RESTRICT = 585,
    RETURNING = 586,
    RETURNS = 587,
    REVOKE = 588,
    RIGHT = 589,
    ROLE = 590,
    ROLLBACK = 591,
    ROLLUP = 592,
    ROUTINE = 593,
    ROUTINES = 594,
    ROW = 595,
    ROWS = 596,
    RULE = 597,
    SAVEPOINT = 598,
    SCHEMA = 599,
    SCHEMAS = 600,
    SCROLL = 601,
    SEARCH = 602,
    SECOND_P = 603,
    SECURITY = 604,
    SELECT = 605,
    SEQUENCE = 606,
    SEQUENCES = 607,
    SERIALIZABLE = 608,
    SERVER = 609,
    SESSION = 610,
    SESSION_USER = 611,
    SET = 612,
    SETS = 613,
    SETOF = 614,
    SHARE = 615,
    SHOW = 616,
    SIMILAR = 617,
    SIMPLE = 618,
    SKIP = 619,
    SMALLINT = 620,
    SNAPSHOT = 621,
    SOME = 622,
    SQL_P = 623,
    STABLE = 624,
    STANDALONE_P = 625,
    START = 626,
    STATEMENT = 627,
    STATISTICS = 628,
    STDIN = 629,
    STDOUT = 630,
    STORAGE = 631,
    STORED = 632,
    STRICT_P = 633,
    STRIP_P = 634,
    SUBSCRIPTION = 635,
    SUBSTRING = 636,
    SUPPORT = 637,
    SYMMETRIC = 638,
    SYSID = 639,
    SYSTEM_P = 640,
    TABLE = 641,
    TABLES = 642,
    TABLESAMPLE = 643,
    TABLESPACE = 644,
    TEMP = 645,
    TEMPLATE = 646,
    TEMPORARY = 647,
    TEXT_P = 648,
    THEN = 649,
    TIES = 650,
    TIME = 651,
    TIMESTAMP = 652,
    TO = 653,
    TRAILING = 654,
    TRANSACTION = 655,
    TRANSFORM = 656,
    TREAT = 657,
    TRIGGER = 658,
    TRIM = 659,
    TRUE_P = 660,
    TRUNCATE = 661,
    TRUSTED = 662,
    TYPE_P = 663,
    TYPES_P = 664,
    UNBOUNDED = 665,
    UNCOMMITTED = 666,
    UNENCRYPTED = 667,
    UNION = 668,
    UNIQUE = 669,
    UNKNOWN = 670,
    UNLISTEN = 671,
    UNLOGGED = 672,
    UNTIL = 673,
    UPDATE = 674,
    USER = 675,
    USING = 676,
    VACUUM = 677,
    VALID = 678,
    VALIDATE = 679,
    VALIDATOR = 680,
    VALUE_P = 681,
    VALUES = 682,
    VARCHAR = 683,
    VARIADIC = 684,
    VARYING = 685,
    VERBOSE = 686,
    VERSION_P = 687,
    VIEW = 688,
    VIEWS = 689,
    VOLATILE = 690,
    WHEN = 691,
    WHERE = 692,
    WHITESPACE_P = 693,
    WINDOW = 694,
    WITH = 695,
    WITHIN = 696,
    WITHOUT = 697,
    WORK = 698,
    WRAPPER = 699,
    WRITE = 700,
    XML_P = 701,
    XMLATTRIBUTES = 702,
    XMLCONCAT = 703,
    XMLELEMENT = 704,
    XMLEXISTS = 705,
    XMLFOREST = 706,
    XMLNAMESPACES = 707,
    XMLPARSE = 708,
    XMLPI = 709,
    XMLROOT = 710,
    XMLSERIALIZE = 711,
    XMLTABLE = 712,
    YEAR_P = 713,
    YES_P = 714,
    ZONE = 715,
    NOT_LA = 716,
    NULLS_LA = 717,
    WITH_LA = 718,
    POSTFIXOP = 719,
    UMINUS = 720
  };
#endif
/* Tokens.  */
#define IDENT 258
#define FCONST 259
#define SCONST 260
#define BCONST 261
#define XCONST 262
#define Op 263
#define ICONST 264
#define PARAM 265
#define TYPECAST 266
#define DOT_DOT 267
#define COLON_EQUALS 268
#define EQUALS_GREATER 269
#define LESS_EQUALS 270
#define GREATER_EQUALS 271
#define NOT_EQUALS 272
#define ABORT_P 273
#define ABSOLUTE_P 274
#define ACCESS 275
#define ACTION 276
#define ADD_P 277
#define ADMIN 278
#define AFTER 279
#define AGGREGATE 280
#define ALL 281
#define ALSO 282
#define ALTER 283
#define ALWAYS 284
#define ANALYSE 285
#define ANALYZE 286
#define AND 287
#define ANY 288
#define ARRAY 289
#define AS 290
#define ASC 291
#define ASSERTION 292
#define ASSIGNMENT 293
#define ASYMMETRIC 294
#define AT 295
#define ATTACH 296
#define ATTRIBUTE 297
#define AUTHORIZATION 298
#define BACKWARD 299
#define BEFORE 300
#define BEGIN_P 301
#define BETWEEN 302
#define BIGINT 303
#define BINARY 304
#define BIT 305
#define BOOLEAN_P 306
#define BOTH 307
#define BY 308
#define CACHE 309
#define CALL 310
#define CALLED 311
#define CASCADE 312
#define CASCADED 313
#define CASE 314
#define CAST 315
#define CATALOG_P 316
#define CHAIN 317
#define CHAR_P 318
#define CHARACTER 319
#define CHARACTERISTICS 320
#define CHECK 321
#define CHECKPOINT 322
#define CLASS 323
#define CLOSE 324
#define CLUSTER 325
#define COALESCE 326
#define COLLATE 327
#define COLLATION 328
#define COLUMN 329
#define COLUMNS 330
#define COMMENT 331
#define COMMENTS 332
#define COMMIT 333
#define COMMITTED 334
#define CONCURRENTLY 335
#define CONFIGURATION 336
#define CONFLICT 337
#define CONNECTION 338
#define CONSTRAINT 339
#define CONSTRAINTS 340
#define CONTENT_P 341
#define CONTINUE_P 342
#define CONVERSION_P 343
#define COPY 344
#define COST 345
#define CREATE 346
#define CROSS 347
#define CSV 348
#define CUBE 349
#define CURRENT_P 350
#define CURRENT_CATALOG 351
#define CURRENT_DATE 352
#define CURRENT_ROLE 353
#define CURRENT_SCHEMA 354
#define CURRENT_TIME 355
#define CURRENT_TIMESTAMP 356
#define CURRENT_USER 357
#define CURSOR 358
#define CYCLE 359
#define DATA_P 360
#define DATABASE 361
#define DAY_P 362
#define DEALLOCATE 363
#define DEC 364
#define DECIMAL_P 365
#define DECLARE 366
#define DEFAULT 367
#define DEFAULTS 368
#define DEFERRABLE 369
#define DEFERRED 370
#define DEFINER 371
#define DELETE_P 372
#define DELIMITER 373
#define DELIMITERS 374
#define DEPENDS 375
#define DESC 376
#define DETACH 377
#define DICTIONARY 378
#define DISABLE_P 379
#define DISCARD 380
#define DISTINCT 381
#define DO 382
#define DOCUMENT_P 383
#define DOMAIN_P 384
#define DOUBLE_P 385
#define DROP 386
#define EACH 387
#define ELSE 388
#define ENABLE_P 389
#define ENCODING 390
#define ENCRYPTED 391
#define END_P 392
#define ENUM_P 393
#define ESCAPE 394
#define EVENT 395
#define EXCEPT 396
#define EXCLUDE 397
#define EXCLUDING 398
#define EXCLUSIVE 399
#define EXECUTE 400
#define EXISTS 401
#define EXPLAIN 402
#define EXTENSION 403
#define EXTERNAL 404
#define EXTRACT 405
#define FALSE_P 406
#define FAMILY 407
#define FETCH 408
#define FILTER 409
#define FIRST_P 410
#define FLOAT_P 411
#define FOLLOWING 412
#define FOR 413
#define FORCE 414
#define FOREIGN 415
#define FORWARD 416
#define FREEZE 417
#define FROM 418
#define FULL 419
#define FUNCTION 420
#define FUNCTIONS 421
#define GENERATED 422
#define GLOBAL 423
#define GRANT 424
#define GRANTED 425
#define GREATEST 426
#define GROUP_P 427
#define GROUPING 428
#define GROUPS 429
#define HANDLER 430
#define HAVING 431
#define HEADER_P 432
#define HOLD 433
#define HOUR_P 434
#define IDENTITY_P 435
#define IF_P 436
#define ILIKE 437
#define IMMEDIATE 438
#define IMMUTABLE 439
#define IMPLICIT_P 440
#define IMPORT_P 441
#define IN_P 442
#define INCLUDE 443
#define INCLUDING 444
#define INCREMENT 445
#define INDEX 446
#define INDEXES 447
#define INHERIT 448
#define INHERITS 449
#define INITIALLY 450
#define INLINE_P 451
#define INNER_P 452
#define INOUT 453
#define INPUT_P 454
#define INSENSITIVE 455
#define INSERT 456
#define INSTEAD 457
#define INT_P 458
#define INTEGER 459
#define INTERSECT 460
#define INTERVAL 461
#define INTO 462
#define INVOKER 463
#define IS 464
#define ISNULL 465
#define ISOLATION 466
#define JOIN 467
#define KEY 468
#define LABEL 469
#define LANGUAGE 470
#define LARGE_P 471
#define LAST_P 472
#define LATERAL_P 473
#define LEADING 474
#define LEAKPROOF 475
#define LEAST 476
#define LEFT 477
#define LEVEL 478
#define LIKE 479
#define LIMIT 480
#define LISTEN 481
#define LOAD 482
#define LOCAL 483
#define LOCALTIME 484
#define LOCALTIMESTAMP 485
#define LOCATION 486
#define LOCK_P 487
#define LOCKED 488
#define LOGGED 489
#define MAPPING 490
#define MATCH 491
#define MATERIALIZED 492
#define MAXVALUE 493
#define METHOD 494
#define MINUTE_P 495
#define MINVALUE 496
#define MODE 497
#define MONTH_P 498
#define MOVE 499
#define NAME_P 500
#define NAMES 501
#define NATIONAL 502
#define NATURAL 503
#define NCHAR 504
#define NEW 505
#define NEXT 506
#define NO 507
#define NONE 508
#define NOT 509
#define NOTHING 510
#define NOTIFY 511
#define NOTNULL 512
#define NOWAIT 513
#define NULL_P 514
#define NULLIF 515
#define NULLS_P 516
#define NUMERIC 517
#define OBJECT_P 518
#define OF 519
#define OFF 520
#define OFFSET 521
#define OIDS 522
#define OLD 523
#define ON 524
#define ONLY 525
#define OPERATOR 526
#define OPTION 527
#define OPTIONS 528
#define OR 529
#define ORDER 530
#define ORDINALITY 531
#define OTHERS 532
#define OUT_P 533
#define OUTER_P 534
#define OVER 535
#define OVERLAPS 536
#define OVERLAY 537
#define OVERRIDING 538
#define OWNED 539
#define OWNER 540
#define PARALLEL 541
#define PARSER 542
#define PARTIAL 543
#define PARTITION 544
#define PASSING 545
#define PASSWORD 546
#define PGPOOL 547
#define PLACING 548
#define PLANS 549
#define POLICY 550
#define POSITION 551
#define PRECEDING 552
#define PRECISION 553
#define PRESERVE 554
#define PREPARE 555
#define PREPARED 556
#define PRIMARY 557
#define PRIOR 558
#define PRIVILEGES 559
#define PROCEDURAL 560
#define PROCEDURE 561
#define PROCEDURES 562
#define PROGRAM 563
#define PUBLICATION 564
#define QUOTE 565
#define RANGE 566
#define READ 567
#define REAL 568
#define REASSIGN 569
#define RECHECK 570
#define RECURSIVE 571
#define REF 572
#define REFERENCES 573
#define REFERENCING 574
#define REFRESH 575
#define REINDEX 576
#define RELATIVE_P 577
#define RELEASE 578
#define RENAME 579
#define REPEATABLE 580
#define REPLACE 581
#define REPLICA 582
#define RESET 583
#define RESTART 584
#define RESTRICT 585
#define RETURNING 586
#define RETURNS 587
#define REVOKE 588
#define RIGHT 589
#define ROLE 590
#define ROLLBACK 591
#define ROLLUP 592
#define ROUTINE 593
#define ROUTINES 594
#define ROW 595
#define ROWS 596
#define RULE 597
#define SAVEPOINT 598
#define SCHEMA 599
#define SCHEMAS 600
#define SCROLL 601
#define SEARCH 602
#define SECOND_P 603
#define SECURITY 604
#define SELECT 605
#define SEQUENCE 606
#define SEQUENCES 607
#define SERIALIZABLE 608
#define SERVER 609
#define SESSION 610
#define SESSION_USER 611
#define SET 612
#define SETS 613
#define SETOF 614
#define SHARE 615
#define SHOW 616
#define SIMILAR 617
#define SIMPLE 618
#define SKIP 619
#define SMALLINT 620
#define SNAPSHOT 621
#define SOME 622
#define SQL_P 623
#define STABLE 624
#define STANDALONE_P 625
#define START 626
#define STATEMENT 627
#define STATISTICS 628
#define STDIN 629
#define STDOUT 630
#define STORAGE 631
#define STORED 632
#define STRICT_P 633
#define STRIP_P 634
#define SUBSCRIPTION 635
#define SUBSTRING 636
#define SUPPORT 637
#define SYMMETRIC 638
#define SYSID 639
#define SYSTEM_P 640
#define TABLE 641
#define TABLES 642
#define TABLESAMPLE 643
#define TABLESPACE 644
#define TEMP 645
#define TEMPLATE 646
#define TEMPORARY 647
#define TEXT_P 648
#define THEN 649
#define TIES 650
#define TIME 651
#define TIMESTAMP 652
#define TO 653
#define TRAILING 654
#define TRANSACTION 655
#define TRANSFORM 656
#define TREAT 657
#define TRIGGER 658
#define TRIM 659
#define TRUE_P 660
#define TRUNCATE 661
#define TRUSTED 662
#define TYPE_P 663
#define TYPES_P 664
#define UNBOUNDED 665
#define UNCOMMITTED 666
#define UNENCRYPTED 667
#define UNION 668
#define UNIQUE 669
#define UNKNOWN 670
#define UNLISTEN 671
#define UNLOGGED 672
#define UNTIL 673
#define UPDATE 674
#define USER 675
#define USING 676
#define VACUUM 677
#define VALID 678
#define VALIDATE 679
#define VALIDATOR 680
#define VALUE_P 681
#define VALUES 682
#define VARCHAR 683
#define VARIADIC 684
#define VARYING 685
#define VERBOSE 686
#define VERSION_P 687
#define VIEW 688
#define VIEWS 689
#define VOLATILE 690
#define WHEN 691
#define WHERE 692
#define WHITESPACE_P 693
#define WINDOW 694
#define WITH 695
#define WITHIN 696
#define WITHOUT 697
#define WORK 698
#define WRAPPER 699
#define WRITE 700
#define XML_P 701
#define XMLATTRIBUTES 702
#define XMLCONCAT 703
#define XMLELEMENT 704
#define XMLEXISTS 705
#define XMLFOREST 706
#define XMLNAMESPACES 707
#define XMLPARSE 708
#define XMLPI 709
#define XMLROOT 710
#define XMLSERIALIZE 711
#define XMLTABLE 712
#define YEAR_P 713
#define YES_P 714
#define ZONE 715
#define NOT_LA 716
#define NULLS_LA 717
#define WITH_LA 718
#define POSTFIXOP 719
#define UMINUS 720

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 239 "gram.y" /* yacc.c:355  */

	core_YYSTYPE		core_yystype;
	/* these fields must match core_YYSTYPE: */
	int					ival;
	char				*str;
	const char			*keyword;

	char				chr;
	bool				boolean;
	JoinType			jtype;
	DropBehavior		dbehavior;
	OnCommitAction		oncommit;
	List				*list;
	Node				*node;
	Value				*value;
	ObjectType			objtype;
	TypeName			*typnam;
	FunctionParameter   *fun_param;
	FunctionParameterMode fun_param_mode;
	ObjectWithArgs		*objwithargs;
	DefElem				*defelt;
	SortBy				*sortby;
	WindowDef			*windef;
	JoinExpr			*jexpr;
	IndexElem			*ielem;
	Alias				*alias;
	RangeVar			*range;
	IntoClause			*into;
	WithClause			*with;
	InferClause			*infer;
	OnConflictClause	*onconflict;
	A_Indices			*aind;
	ResTarget			*target;
	struct PrivTarget	*privtarget;
	AccessPriv			*accesspriv;
	struct ImportQual	*importqual;
	InsertStmt			*istmt;
	VariableSetStmt		*vsetstmt;
	PartitionElem		*partelem;
	PartitionSpec		*partspec;
	PartitionBoundSpec	*partboundspec;
	RoleSpec			*rolespec;

#line 1315 "gram.c" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif



int base_yyparse (core_yyscan_t yyscanner);

#endif /* !YY_BASE_YY_Y_TAB_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 1345 "gram.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  831
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   104297

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  483
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  667
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2728
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  5497

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   720

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   472,     2,     2,
     477,   478,   470,   468,   481,   469,   479,   471,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   482,   480,
     464,   466,   465,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   475,     2,   476,   473,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   467,
     474
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   826,   826,   842,   854,   864,   865,   866,   867,   868,
     869,   870,   871,   872,   873,   874,   875,   876,   877,   878,
     879,   880,   881,   882,   883,   884,   885,   886,   887,   888,
     889,   890,   891,   892,   893,   894,   895,   896,   897,   898,
     899,   900,   901,   902,   903,   904,   905,   906,   907,   908,
     909,   910,   911,   912,   913,   914,   915,   916,   917,   918,
     919,   920,   921,   922,   923,   924,   925,   926,   927,   928,
     929,   930,   931,   932,   933,   934,   935,   936,   937,   938,
     939,   940,   941,   942,   943,   944,   945,   946,   947,   948,
     949,   950,   951,   952,   953,   954,   955,   956,   957,   958,
     959,   960,   961,   962,   963,   964,   965,   966,   967,   968,
     969,   970,   971,   972,   973,   974,   975,   976,   977,   978,
     979,   980,   981,   982,   983,   984,   985,   986,   988,   997,
    1012,  1023,  1024,  1025,  1034,  1035,  1039,  1040,  1044,  1049,
    1053,  1063,  1071,  1075,  1079,  1084,  1088,  1136,  1138,  1142,
    1146,  1150,  1154,  1168,  1186,  1194,  1205,  1206,  1210,  1218,
    1226,  1234,  1255,  1262,  1269,  1276,  1283,  1290,  1307,  1325,
    1336,  1337,  1348,  1358,  1368,  1383,  1401,  1402,  1406,  1413,
    1421,  1422,  1423,  1424,  1425,  1426,  1440,  1447,  1453,  1459,
    1468,  1476,  1484,  1488,  1496,  1504,  1511,  1521,  1522,  1530,
    1541,  1549,  1557,  1568,  1576,  1584,  1591,  1600,  1610,  1611,
    1615,  1616,  1619,  1621,  1625,  1626,  1627,  1628,  1632,  1633,
    1634,  1640,  1652,  1656,  1660,  1675,  1682,  1683,  1684,  1688,
    1689,  1690,  1694,  1695,  1699,  1700,  1709,  1710,  1717,  1724,
    1734,  1741,  1751,  1752,  1757,  1758,  1764,  1770,  1776,  1782,
    1788,  1794,  1800,  1810,  1820,  1821,  1825,  1826,  1834,  1849,
    1855,  1861,  1867,  1873,  1892,  1901,  1910,  1919,  1928,  1939,
    1950,  1959,  1968,  1977,  1988,  1999,  2008,  2017,  2026,  2035,
    2044,  2053,  2064,  2078,  2079,  2084,  2097,  2113,  2129,  2138,
    2147,  2156,  2165,  2174,  2182,  2190,  2199,  2215,  2224,  2233,
    2242,  2259,  2268,  2277,  2286,  2296,  2309,  2324,  2333,  2342,
    2357,  2365,  2375,  2385,  2392,  2400,  2408,  2415,  2422,  2430,
    2438,  2446,  2453,  2460,  2468,  2475,  2482,  2490,  2498,  2506,
    2514,  2522,  2530,  2540,  2547,  2555,  2563,  2571,  2579,  2587,
    2594,  2601,  2608,  2614,  2624,  2625,  2629,  2630,  2631,  2635,
    2643,  2647,  2648,  2652,  2659,  2666,  2673,  2683,  2686,  2687,
    2691,  2692,  2697,  2701,  2705,  2710,  2717,  2719,  2724,  2728,
    2732,  2743,  2751,  2804,  2817,  2831,  2843,  2850,  2854,  2868,
    2881,  2882,  2887,  2896,  2906,  2916,  2942,  2948,  2981,  3016,
    3038,  3039,  3043,  3044,  3053,  3054,  3055,  3058,  3059,  3064,
    3065,  3069,  3073,  3077,  3081,  3085,  3089,  3093,  3097,  3101,
    3105,  3109,  3113,  3117,  3126,  3130,  3134,  3138,  3142,  3143,
    3148,  3152,  3159,  3166,  3167,  3168,  3169,  3170,  3174,  3178,
    3186,  3197,  3216,  3235,  3255,  3275,  3295,  3328,  3329,  3330,
    3331,  3332,  3339,  3346,  3347,  3351,  3352,  3356,  3357,  3361,
    3365,  3372,  3376,  3383,  3384,  3385,  3389,  3390,  3393,  3414,
    3432,  3453,  3454,  3458,  3465,  3466,  3467,  3498,  3505,  3512,
    3523,  3534,  3546,  3557,  3566,  3589,  3607,  3608,  3627,  3634,
    3641,  3648,  3659,  3669,  3670,  3671,  3675,  3676,  3677,  3678,
    3679,  3680,  3681,  3682,  3683,  3692,  3699,  3703,  3716,  3732,
    3747,  3763,  3778,  3797,  3818,  3819,  3823,  3824,  3828,  3829,
    3832,  3838,  3839,  3842,  3846,  3854,  3859,  3865,  3866,  3870,
    3875,  3882,  3883,  3893,  3895,  3897,  3899,  3902,  3905,  3908,
    3912,  3913,  3914,  3915,  3916,  3919,  3920,  3924,  3925,  3928,
    3940,  3941,  3944,  3945,  3948,  3959,  3970,  3984,  3985,  3990,
    3991,  3992,  3995,  3996,  3997,  3998,  4001,  4002,  4005,  4006,
    4009,  4027,  4039,  4064,  4077,  4093,  4109,  4110,  4111,  4123,
    4136,  4152,  4166,  4167,  4179,  4199,  4209,  4222,  4230,  4241,
    4242,  4245,  4246,  4249,  4250,  4253,  4257,  4261,  4265,  4269,
    4273,  4277,  4281,  4285,  4289,  4293,  4298,  4302,  4306,  4312,
    4313,  4317,  4318,  4319,  4324,  4327,  4328,  4340,  4352,  4367,
    4368,  4376,  4377,  4381,  4382,  4386,  4387,  4391,  4392,  4396,
    4406,  4419,  4420,  4430,  4441,  4442,  4455,  4462,  4479,  4487,
    4498,  4501,  4505,  4509,  4513,  4517,  4529,  4539,  4542,  4546,
    4559,  4568,  4577,  4586,  4595,  4604,  4613,  4622,  4631,  4640,
    4649,  4658,  4667,  4676,  4685,  4694,  4703,  4712,  4721,  4730,
    4739,  4748,  4757,  4766,  4775,  4784,  4793,  4802,  4820,  4831,
    4832,  4833,  4834,  4838,  4839,  4843,  4844,  4854,  4862,  4874,
    4875,  4879,  4883,  4891,  4895,  4899,  4906,  4910,  4915,  4920,
    4927,  4934,  4939,  4949,  4961,  4976,  4977,  4982,  4983,  4987,
    4988,  4998,  5007,  5015,  5032,  5052,  5072,  5093,  5124,  5133,
    5154,  5169,  5170,  5174,  5182,  5197,  5206,  5218,  5219,  5231,
    5239,  5256,  5280,  5297,  5311,  5312,  5316,  5317,  5321,  5322,
    5326,  5327,  5331,  5345,  5349,  5350,  5354,  5355,  5356,  5357,
    5358,  5368,  5379,  5380,  5391,  5412,  5438,  5439,  5440,  5444,
    5446,  5468,  5470,  5472,  5474,  5476,  5481,  5482,  5486,  5487,
    5491,  5502,  5503,  5507,  5516,  5520,  5524,  5529,  5539,  5540,
    5544,  5545,  5549,  5550,  5554,  5555,  5559,  5560,  5561,  5565,
    5569,  5570,  5571,  5575,  5576,  5581,  5582,  5609,  5610,  5611,
    5612,  5613,  5614,  5627,  5637,  5651,  5653,  5658,  5663,  5665,
    5670,  5680,  5681,  5682,  5683,  5694,  5713,  5724,  5736,  5746,
    5756,  5767,  5776,  5783,  5790,  5799,  5808,  5817,  5826,  5835,
    5845,  5854,  5866,  5869,  5870,  5873,  5877,  5884,  5885,  5886,
    5887,  5888,  5889,  5892,  5895,  5896,  5904,  5911,  5912,  5915,
    5917,  5928,  5939,  5950,  5961,  5974,  5975,  5991,  6006,  6007,
    6011,  6023,  6033,  6041,  6050,  6059,  6060,  6063,  6064,  6067,
    6068,  6069,  6072,  6086,  6091,  6101,  6110,  6122,  6123,  6127,
    6135,  6147,  6157,  6170,  6180,  6202,  6212,  6230,  6240,  6250,
    6260,  6270,  6280,  6290,  6300,  6310,  6320,  6330,  6340,  6354,
    6355,  6356,  6357,  6358,  6359,  6360,  6361,  6362,  6363,  6364,
    6365,  6366,  6371,  6372,  6373,  6374,  6375,  6376,  6377,  6382,
    6383,  6384,  6388,  6389,  6392,  6393,  6396,  6398,  6403,  6404,
    6415,  6426,  6427,  6428,  6462,  6470,  6478,  6486,  6494,  6502,
    6510,  6518,  6526,  6539,  6547,  6555,  6563,  6571,  6579,  6587,
    6595,  6603,  6611,  6623,  6624,  6625,  6626,  6627,  6628,  6629,
    6630,  6631,  6632,  6633,  6634,  6635,  6636,  6641,  6642,  6643,
    6644,  6645,  6646,  6647,  6648,  6649,  6650,  6651,  6652,  6656,
    6657,  6671,  6681,  6691,  6701,  6711,  6721,  6731,  6741,  6751,
    6763,  6764,  6769,  6770,  6771,  6772,  6773,  6774,  6779,  6780,
    6781,  6782,  6783,  6784,  6785,  6786,  6789,  6790,  6800,  6806,
    6814,  6822,  6830,  6838,  6846,  6854,  6862,  6870,  6878,  6886,
    6894,  6902,  6910,  6918,  6926,  6934,  6944,  6945,  6948,  6949,
    6959,  6975,  6989,  7015,  7017,  7019,  7021,  7028,  7037,  7038,
    7041,  7048,  7055,  7062,  7076,  7084,  7092,  7100,  7108,  7116,
    7124,  7132,  7140,  7148,  7156,  7164,  7172,  7180,  7188,  7196,
    7204,  7212,  7220,  7228,  7240,  7241,  7245,  7246,  7251,  7252,
    7262,  7275,  7285,  7297,  7298,  7301,  7302,  7312,  7322,  7323,
    7327,  7331,  7335,  7346,  7359,  7373,  7390,  7391,  7392,  7393,
    7394,  7395,  7407,  7435,  7466,  7467,  7471,  7472,  7476,  7477,
    7481,  7482,  7485,  7486,  7494,  7505,  7516,  7529,  7530,  7533,
    7534,  7537,  7538,  7541,  7542,  7545,  7546,  7547,  7550,  7551,
    7552,  7568,  7580,  7593,  7605,  7620,  7621,  7624,  7625,  7629,
    7630,  7634,  7635,  7640,  7652,  7659,  7666,  7681,  7682,  7686,
    7687,  7702,  7711,  7720,  7729,  7738,  7750,  7751,  7752,  7753,
    7754,  7760,  7764,  7779,  7780,  7786,  7796,  7800,  7805,  7813,
    7854,  7858,  7862,  7866,  7874,  7875,  7879,  7889,  7890,  7896,
    7897,  7904,  7908,  7912,  7916,  7920,  7924,  7928,  7932,  7936,
    7940,  7944,  7948,  7952,  7956,  7960,  7964,  7969,  7976,  7980,
    7984,  7988,  7992,  7998,  7999,  8006,  8007,  8011,  8012,  8015,
    8027,  8031,  8046,  8054,  8062,  8074,  8075,  8080,  8081,  8098,
    8108,  8118,  8128,  8138,  8148,  8161,  8171,  8184,  8194,  8207,
    8215,  8217,  8219,  8224,  8226,  8231,  8232,  8237,  8255,  8264,
    8265,  8269,  8273,  8285,  8296,  8307,  8320,  8321,  8322,  8326,
    8338,  8339,  8349,  8361,  8365,  8369,  8373,  8380,  8400,  8410,
    8420,  8430,  8442,  8443,  8446,  8447,  8448,  8451,  8452,  8455,
    8465,  8474,  8491,  8500,  8509,  8518,  8527,  8536,  8545,  8554,
    8563,  8572,  8581,  8590,  8599,  8609,  8619,  8628,  8637,  8646,
    8655,  8664,  8673,  8683,  8693,  8703,  8713,  8723,  8733,  8743,
    8753,  8763,  8773,  8783,  8793,  8804,  8815,  8826,  8837,  8847,
    8857,  8868,  8879,  8889,  8899,  8907,  8916,  8925,  8934,  8943,
    8952,  8961,  8970,  8979,  8988,  9002,  9003,  9006,  9007,  9017,
    9025,  9033,  9041,  9050,  9058,  9075,  9084,  9093,  9102,  9111,
    9120,  9129,  9138,  9147,  9156,  9165,  9174,  9183,  9192,  9201,
    9210,  9219,  9228,  9237,  9246,  9255,  9264,  9273,  9282,  9291,
    9300,  9309,  9327,  9336,  9337,  9340,  9342,  9348,  9349,  9350,
    9351,  9352,  9361,  9369,  9377,  9385,  9393,  9401,  9409,  9417,
    9425,  9433,  9441,  9449,  9457,  9465,  9473,  9481,  9489,  9497,
    9505,  9513,  9521,  9529,  9537,  9545,  9563,  9582,  9583,  9587,
    9591,  9611,  9618,  9626,  9634,  9651,  9664,  9668,  9675,  9684,
    9693,  9702,  9711,  9721,  9731,  9749,  9757,  9773,  9790,  9791,
    9792,  9797,  9803,  9812,  9813,  9814,  9815,  9816,  9820,  9821,
    9824,  9825,  9826,  9827,  9831,  9832,  9833,  9845,  9855,  9856,
    9859,  9868,  9874,  9893,  9901,  9908,  9915,  9923,  9931,  9939,
    9946,  9953,  9960,  9967,  9974,  9981,  9988,  9997,  9998,  9999,
   10003, 10006, 10009, 10012, 10015, 10022, 10024, 10026, 10031, 10033,
   10037, 10038, 10039, 10051, 10064, 10077, 10095, 10116, 10117, 10118,
   10119, 10129, 10145, 10155, 10156, 10160, 10161, 10165, 10169, 10173,
   10191, 10192, 10193, 10194, 10195, 10196, 10197, 10204, 10205, 10216,
   10223, 10230, 10241, 10258, 10265, 10281, 10298, 10304, 10320, 10333,
   10342, 10350, 10358, 10367, 10378, 10389, 10399, 10400, 10411, 10421,
   10432, 10443, 10454, 10465, 10474, 10486, 10487, 10501, 10524, 10534,
   10545, 10558, 10559, 10571, 10591, 10601, 10612, 10623, 10627, 10634,
   10635, 10639, 10646, 10647, 10651, 10652, 10653, 10657, 10658, 10662,
   10663, 10666, 10667, 10670, 10671, 10675, 10676, 10680, 10687, 10689,
   10694, 10695, 10708, 10715, 10725, 10732, 10742, 10743, 10744, 10745,
   10746, 10747, 10748, 10749, 10750, 10754, 10758, 10765, 10772, 10773,
   10777, 10778, 10779, 10789, 10799, 10800, 10804, 10805, 10806, 10807,
   10817, 10824, 10841, 10860, 10861, 10871, 10877, 10883, 10889, 10905,
   10923, 10927, 10935, 10941, 10948, 10954, 10961, 10970, 10971, 10975,
   10977, 10982, 10993, 11003, 11013, 11019, 11028, 11037, 11043, 11044,
   11055, 11069, 11070, 11081, 11092, 11093, 11096, 11097, 11098, 11099,
   11100, 11101, 11102, 11103, 11106, 11107, 11111, 11112, 11113, 11124,
   11141, 11142, 11146, 11151, 11175, 11186, 11187, 11197, 11208, 11211,
   11212, 11213, 11214, 11215, 11218, 11219, 11220, 11268, 11269, 11273,
   11274, 11289, 11290, 11297, 11305, 11313, 11321, 11329, 11337, 11348,
   11349, 11376, 11390, 11405, 11406, 11425, 11429, 11433, 11450, 11457,
   11464, 11474, 11475, 11478, 11491, 11492, 11493, 11497, 11498, 11502,
   11514, 11522, 11527, 11532, 11537, 11542, 11550, 11558, 11563, 11568,
   11575, 11576, 11580, 11581, 11582, 11589, 11590, 11594, 11595, 11599,
   11600, 11604, 11608, 11609, 11612, 11621, 11634, 11635, 11636, 11637,
   11641, 11642, 11646, 11648, 11664, 11666, 11671, 11674, 11679, 11680,
   11688, 11708, 11709, 11711, 11716, 11717, 11721, 11722, 11725, 11726,
   11751, 11752, 11756, 11757, 11761, 11762, 11763, 11764, 11765, 11769,
   11782, 11789, 11796, 11803, 11804, 11808, 11809, 11813, 11814, 11818,
   11819, 11823, 11834, 11835, 11836, 11837, 11841, 11842, 11852, 11858,
   11876, 11877, 11881, 11882, 11888, 11893, 11901, 11908, 11916, 11922,
   11929, 11964, 11989, 11993, 12019, 12023, 12035, 12048, 12062, 12073,
   12088, 12094, 12099, 12105, 12112, 12113, 12121, 12125, 12129, 12135,
   12142, 12147, 12148, 12149, 12150, 12154, 12155, 12167, 12168, 12173,
   12180, 12187, 12194, 12205, 12206, 12219, 12223, 12230, 12243, 12256,
   12257, 12272, 12282, 12294, 12299, 12300, 12303, 12304, 12307, 12308,
   12313, 12314, 12319, 12320, 12328, 12333, 12334, 12338, 12342, 12348,
   12372, 12382, 12395, 12396, 12400, 12414, 12471, 12485, 12487, 12492,
   12494, 12496, 12498, 12503, 12505, 12510, 12518, 12538, 12543, 12550,
   12555, 12561, 12566, 12575, 12577, 12580, 12584, 12585, 12586, 12587,
   12588, 12589, 12594, 12614, 12615, 12616, 12617, 12628, 12634, 12642,
   12643, 12649, 12654, 12659, 12664, 12669, 12674, 12679, 12684, 12690,
   12696, 12702, 12709, 12731, 12740, 12744, 12752, 12756, 12764, 12776,
   12797, 12801, 12807, 12811, 12824, 12832, 12842, 12844, 12846, 12848,
   12850, 12852, 12857, 12858, 12865, 12874, 12882, 12891, 12902, 12910,
   12911, 12912, 12916, 12918, 12920, 12922, 12924, 12926, 12928, 12933,
   12938, 12944, 12952, 12957, 12964, 12971, 12975, 12979, 13015, 13016,
   13018, 13026, 13041, 13043, 13045, 13047, 13049, 13051, 13053, 13055,
   13057, 13059, 13061, 13063, 13065, 13067, 13070, 13072, 13074, 13077,
   13079, 13081, 13083, 13086, 13091, 13099, 13104, 13112, 13117, 13125,
   13130, 13139, 13147, 13155, 13163, 13181, 13189, 13197, 13205, 13213,
   13229, 13237, 13245, 13253, 13261, 13269, 13277, 13281, 13285, 13289,
   13293, 13301, 13309, 13317, 13325, 13345, 13367, 13378, 13385, 13401,
   13406, 13412, 13437, 13439, 13441, 13443, 13445, 13447, 13449, 13451,
   13453, 13455, 13457, 13459, 13461, 13463, 13465, 13467, 13469, 13471,
   13473, 13475, 13479, 13483, 13487, 13491, 13496, 13512, 13513, 13514,
   13529, 13563, 13565, 13567, 13578, 13602, 13613, 13624, 13631, 13641,
   13651, 13660, 13664, 13670, 13677, 13684, 13694, 13701, 13729, 13764,
   13775, 13776, 13783, 13789, 13793, 13797, 13801, 13805, 13809, 13813,
   13817, 13821, 13825, 13829, 13833, 13837, 13841, 13845, 13849, 13851,
   13855, 13864, 13869, 13876, 13891, 13898, 13902, 13906, 13910, 13914,
   13921, 13929, 13937, 13941, 13945, 13949, 13953, 13957, 13963, 13967,
   13976, 13980, 13984, 13989, 14003, 14005, 14009, 14011, 14013, 14016,
   14019, 14022, 14023, 14026, 14034, 14044, 14045, 14048, 14049, 14050,
   14055, 14059, 14063, 14067, 14074, 14075, 14083, 14084, 14088, 14089,
   14097, 14098, 14102, 14103, 14108, 14116, 14118, 14132, 14135, 14162,
   14163, 14166, 14167, 14175, 14182, 14189, 14197, 14206, 14223, 14268,
   14276, 14284, 14292, 14300, 14311, 14312, 14313, 14314, 14315, 14329,
   14330, 14331, 14334, 14335, 14338, 14341, 14342, 14343, 14346, 14347,
   14350, 14351, 14352, 14353, 14354, 14355, 14356, 14357, 14358, 14359,
   14360, 14361, 14364, 14366, 14371, 14373, 14378, 14380, 14382, 14384,
   14386, 14388, 14400, 14404, 14411, 14415, 14421, 14425, 14434, 14445,
   14446, 14449, 14453, 14457, 14463, 14464, 14469, 14473, 14480, 14481,
   14482, 14483, 14484, 14485, 14486, 14487, 14497, 14501, 14508, 14515,
   14516, 14532, 14536, 14541, 14545, 14560, 14565, 14569, 14572, 14575,
   14576, 14577, 14580, 14587, 14597, 14611, 14612, 14616, 14627, 14628,
   14631, 14632, 14635, 14639, 14646, 14650, 14654, 14662, 14673, 14674,
   14678, 14679, 14683, 14684, 14687, 14688, 14698, 14699, 14703, 14704,
   14707, 14723, 14731, 14739, 14761, 14762, 14773, 14777, 14804, 14806,
   14811, 14814, 14817, 14819, 14821, 14823, 14833, 14835, 14846, 14850,
   14854, 14858, 14862, 14871, 14878, 14910, 14914, 14920, 14927, 14931,
   14935, 14941, 14942, 14944, 14945, 14946, 14950, 14983, 15010, 15014,
   15020, 15022, 15039, 15040, 15041, 15046, 15047, 15048, 15053, 15054,
   15055, 15056, 15062, 15063, 15064, 15065, 15066, 15086, 15087, 15088,
   15089, 15090, 15091, 15092, 15093, 15094, 15095, 15096, 15097, 15098,
   15099, 15100, 15101, 15102, 15103, 15104, 15105, 15106, 15107, 15108,
   15109, 15110, 15111, 15112, 15113, 15114, 15115, 15116, 15117, 15118,
   15119, 15120, 15121, 15122, 15123, 15124, 15125, 15126, 15127, 15128,
   15129, 15130, 15131, 15132, 15133, 15134, 15135, 15136, 15137, 15138,
   15139, 15140, 15141, 15142, 15143, 15144, 15145, 15146, 15147, 15148,
   15149, 15150, 15151, 15152, 15153, 15154, 15155, 15156, 15157, 15158,
   15159, 15160, 15161, 15162, 15163, 15164, 15165, 15166, 15167, 15168,
   15169, 15170, 15171, 15172, 15173, 15174, 15175, 15176, 15177, 15178,
   15179, 15180, 15181, 15182, 15183, 15184, 15185, 15186, 15187, 15188,
   15189, 15190, 15191, 15192, 15193, 15194, 15195, 15196, 15197, 15198,
   15199, 15200, 15201, 15202, 15203, 15204, 15205, 15206, 15207, 15208,
   15209, 15210, 15211, 15212, 15213, 15214, 15215, 15216, 15217, 15218,
   15219, 15220, 15221, 15222, 15223, 15224, 15225, 15226, 15227, 15228,
   15229, 15230, 15231, 15232, 15233, 15234, 15235, 15236, 15237, 15238,
   15239, 15240, 15241, 15242, 15243, 15244, 15245, 15246, 15247, 15248,
   15249, 15250, 15251, 15252, 15253, 15254, 15255, 15256, 15257, 15258,
   15259, 15260, 15261, 15262, 15263, 15264, 15265, 15266, 15267, 15268,
   15269, 15270, 15271, 15272, 15273, 15274, 15275, 15276, 15277, 15278,
   15279, 15280, 15281, 15282, 15283, 15284, 15285, 15286, 15287, 15288,
   15289, 15290, 15291, 15292, 15293, 15294, 15295, 15296, 15297, 15298,
   15299, 15300, 15301, 15302, 15303, 15304, 15305, 15306, 15307, 15308,
   15309, 15310, 15311, 15312, 15313, 15314, 15315, 15316, 15317, 15318,
   15319, 15320, 15321, 15322, 15323, 15324, 15325, 15326, 15327, 15328,
   15329, 15330, 15331, 15332, 15333, 15334, 15335, 15336, 15337, 15338,
   15339, 15340, 15341, 15342, 15343, 15344, 15345, 15346, 15347, 15348,
   15349, 15350, 15351, 15352, 15353, 15354, 15355, 15356, 15357, 15358,
   15359, 15360, 15361, 15362, 15363, 15364, 15365, 15366, 15367, 15368,
   15369, 15370, 15371, 15372, 15373, 15374, 15375, 15376, 15377, 15391,
   15392, 15393, 15394, 15395, 15396, 15397, 15398, 15399, 15400, 15401,
   15402, 15403, 15404, 15405, 15406, 15407, 15408, 15409, 15410, 15411,
   15412, 15413, 15414, 15415, 15416, 15417, 15418, 15419, 15420, 15421,
   15422, 15423, 15424, 15425, 15426, 15427, 15428, 15429, 15430, 15431,
   15432, 15433, 15434, 15435, 15436, 15437, 15438, 15439, 15440, 15454,
   15455, 15456, 15457, 15458, 15459, 15460, 15461, 15462, 15463, 15464,
   15465, 15466, 15467, 15468, 15469, 15470, 15471, 15472, 15473, 15474,
   15475, 15476, 15486, 15487, 15488, 15489, 15490, 15491, 15492, 15493,
   15494, 15495, 15496, 15497, 15498, 15499, 15500, 15501, 15502, 15503,
   15504, 15505, 15506, 15507, 15508, 15509, 15510, 15511, 15512, 15513,
   15514, 15515, 15516, 15517, 15518, 15519, 15520, 15521, 15522, 15523,
   15524, 15525, 15526, 15527, 15528, 15529, 15530, 15531, 15532, 15533,
   15534, 15535, 15536, 15537, 15538, 15539, 15540, 15541, 15542, 15543,
   15544, 15545, 15546, 15547, 15548, 15549, 15550, 15551, 15552, 15553,
   15554, 15555, 15556, 15557, 15558, 15559, 15560, 15561, 15562
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "IDENT", "FCONST", "SCONST", "BCONST",
  "XCONST", "Op", "ICONST", "PARAM", "TYPECAST", "DOT_DOT", "COLON_EQUALS",
  "EQUALS_GREATER", "LESS_EQUALS", "GREATER_EQUALS", "NOT_EQUALS",
  "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION", "ADD_P", "ADMIN", "AFTER",
  "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS", "ANALYSE", "ANALYZE",
  "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION", "ASSIGNMENT",
  "ASYMMETRIC", "AT", "ATTACH", "ATTRIBUTE", "AUTHORIZATION", "BACKWARD",
  "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT", "BOOLEAN_P",
  "BOTH", "BY", "CACHE", "CALL", "CALLED", "CASCADE", "CASCADED", "CASE",
  "CAST", "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER", "CHARACTERISTICS",
  "CHECK", "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER", "COALESCE",
  "COLLATE", "COLLATION", "COLUMN", "COLUMNS", "COMMENT", "COMMENTS",
  "COMMIT", "COMMITTED", "CONCURRENTLY", "CONFIGURATION", "CONFLICT",
  "CONNECTION", "CONSTRAINT", "CONSTRAINTS", "CONTENT_P", "CONTINUE_P",
  "CONVERSION_P", "COPY", "COST", "CREATE", "CROSS", "CSV", "CUBE",
  "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE", "CURRENT_ROLE",
  "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP", "CURRENT_USER",
  "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P", "DEALLOCATE", "DEC",
  "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED",
  "DEFINER", "DELETE_P", "DELIMITER", "DELIMITERS", "DEPENDS", "DESC",
  "DETACH", "DICTIONARY", "DISABLE_P", "DISCARD", "DISTINCT", "DO",
  "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH", "ELSE", "ENABLE_P",
  "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE", "EVENT", "EXCEPT",
  "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE", "EXISTS", "EXPLAIN",
  "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P", "FAMILY", "FETCH",
  "FILTER", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR", "FORCE", "FOREIGN",
  "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION", "FUNCTIONS",
  "GENERATED", "GLOBAL", "GRANT", "GRANTED", "GREATEST", "GROUP_P",
  "GROUPING", "GROUPS", "HANDLER", "HAVING", "HEADER_P", "HOLD", "HOUR_P",
  "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE", "IMMUTABLE", "IMPLICIT_P",
  "IMPORT_P", "IN_P", "INCLUDE", "INCLUDING", "INCREMENT", "INDEX",
  "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P", "INNER_P",
  "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD", "INT_P",
  "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL",
  "ISOLATION", "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P", "LAST_P",
  "LATERAL_P", "LEADING", "LEAKPROOF", "LEAST", "LEFT", "LEVEL", "LIKE",
  "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME", "LOCALTIMESTAMP",
  "LOCATION", "LOCK_P", "LOCKED", "LOGGED", "MAPPING", "MATCH",
  "MATERIALIZED", "MAXVALUE", "METHOD", "MINUTE_P", "MINVALUE", "MODE",
  "MONTH_P", "MOVE", "NAME_P", "NAMES", "NATIONAL", "NATURAL", "NCHAR",
  "NEW", "NEXT", "NO", "NONE", "NOT", "NOTHING", "NOTIFY", "NOTNULL",
  "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC", "OBJECT_P", "OF",
  "OFF", "OFFSET", "OIDS", "OLD", "ON", "ONLY", "OPERATOR", "OPTION",
  "OPTIONS", "OR", "ORDER", "ORDINALITY", "OTHERS", "OUT_P", "OUTER_P",
  "OVER", "OVERLAPS", "OVERLAY", "OVERRIDING", "OWNED", "OWNER",
  "PARALLEL", "PARSER", "PARTIAL", "PARTITION", "PASSING", "PASSWORD",
  "PGPOOL", "PLACING", "PLANS", "POLICY", "POSITION", "PRECEDING",
  "PRECISION", "PRESERVE", "PREPARE", "PREPARED", "PRIMARY", "PRIOR",
  "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "PROCEDURES", "PROGRAM",
  "PUBLICATION", "QUOTE", "RANGE", "READ", "REAL", "REASSIGN", "RECHECK",
  "RECURSIVE", "REF", "REFERENCES", "REFERENCING", "REFRESH", "REINDEX",
  "RELATIVE_P", "RELEASE", "RENAME", "REPEATABLE", "REPLACE", "REPLICA",
  "RESET", "RESTART", "RESTRICT", "RETURNING", "RETURNS", "REVOKE",
  "RIGHT", "ROLE", "ROLLBACK", "ROLLUP", "ROUTINE", "ROUTINES", "ROW",
  "ROWS", "RULE", "SAVEPOINT", "SCHEMA", "SCHEMAS", "SCROLL", "SEARCH",
  "SECOND_P", "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES",
  "SERIALIZABLE", "SERVER", "SESSION", "SESSION_USER", "SET", "SETS",
  "SETOF", "SHARE", "SHOW", "SIMILAR", "SIMPLE", "SKIP", "SMALLINT",
  "SNAPSHOT", "SOME", "SQL_P", "STABLE", "STANDALONE_P", "START",
  "STATEMENT", "STATISTICS", "STDIN", "STDOUT", "STORAGE", "STORED",
  "STRICT_P", "STRIP_P", "SUBSCRIPTION", "SUBSTRING", "SUPPORT",
  "SYMMETRIC", "SYSID", "SYSTEM_P", "TABLE", "TABLES", "TABLESAMPLE",
  "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY", "TEXT_P", "THEN", "TIES",
  "TIME", "TIMESTAMP", "TO", "TRAILING", "TRANSACTION", "TRANSFORM",
  "TREAT", "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P",
  "TYPES_P", "UNBOUNDED", "UNCOMMITTED", "UNENCRYPTED", "UNION", "UNIQUE",
  "UNKNOWN", "UNLISTEN", "UNLOGGED", "UNTIL", "UPDATE", "USER", "USING",
  "VACUUM", "VALID", "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES",
  "VARCHAR", "VARIADIC", "VARYING", "VERBOSE", "VERSION_P", "VIEW",
  "VIEWS", "VOLATILE", "WHEN", "WHERE", "WHITESPACE_P", "WINDOW", "WITH",
  "WITHIN", "WITHOUT", "WORK", "WRAPPER", "WRITE", "XML_P",
  "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT", "XMLEXISTS", "XMLFOREST",
  "XMLNAMESPACES", "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE",
  "XMLTABLE", "YEAR_P", "YES_P", "ZONE", "NOT_LA", "NULLS_LA", "WITH_LA",
  "'<'", "'>'", "'='", "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'",
  "'^'", "UMINUS", "'['", "']'", "'('", "')'", "'.'", "';'", "','", "':'",
  "$accept", "stmtblock", "stmtmulti", "stmt", "CallStmt",
  "CreateRoleStmt", "opt_with", "OptRoleList", "AlterOptRoleList",
  "AlterOptRoleElem", "CreateOptRoleElem", "CreateUserStmt",
  "AlterRoleStmt", "opt_in_database", "AlterRoleSetStmt", "DropRoleStmt",
  "CreateGroupStmt", "AlterGroupStmt", "add_drop", "CreateSchemaStmt",
  "OptSchemaName", "OptSchemaEltList", "schema_stmt", "VariableSetStmt",
  "set_rest", "generic_set", "set_rest_more", "var_name", "var_list",
  "var_value", "iso_level", "opt_boolean_or_string", "zone_value",
  "opt_encoding", "NonReservedWord_or_Sconst", "VariableResetStmt",
  "reset_rest", "generic_reset", "SetResetClause",
  "FunctionSetResetClause", "VariableShowStmt", "ConstraintsSetStmt",
  "constraints_set_list", "constraints_set_mode", "CheckPointStmt",
  "DiscardStmt", "AlterTableStmt", "alter_table_cmds", "partition_cmd",
  "index_partition_cmd", "alter_table_cmd", "alter_column_default",
  "opt_drop_behavior", "opt_collate_clause", "alter_using",
  "replica_identity", "reloptions", "opt_reloptions", "reloption_list",
  "reloption_elem", "alter_identity_column_option_list",
  "alter_identity_column_option", "PartitionBoundSpec",
  "hash_partbound_elem", "hash_partbound", "AlterCompositeTypeStmt",
  "alter_type_cmds", "alter_type_cmd", "ClosePortalStmt", "CopyStmt",
  "copy_from", "opt_program", "copy_file_name", "copy_options",
  "copy_opt_list", "copy_opt_item", "opt_binary", "copy_delimiter",
  "opt_using", "copy_generic_opt_list", "copy_generic_opt_elem",
  "copy_generic_opt_arg", "copy_generic_opt_arg_list",
  "copy_generic_opt_arg_list_item", "CreateStmt", "OptTemp",
  "OptTableElementList", "OptTypedTableElementList", "TableElementList",
  "TypedTableElementList", "TableElement", "TypedTableElement",
  "columnDef", "columnOptions", "ColQualList", "ColConstraint",
  "ColConstraintElem", "generated_when", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_no_inherit", "opt_column_list",
  "columnList", "columnElem", "opt_c_include", "key_match",
  "ExclusionConstraintList", "ExclusionConstraintElem",
  "ExclusionWhereClause", "key_actions", "key_update", "key_delete",
  "key_action", "OptInherit", "OptPartitionSpec", "PartitionSpec",
  "part_strategy", "part_params", "part_elem",
  "table_access_method_clause", "OptWith", "OnCommitOption",
  "OptTableSpace", "OptConsTableSpace", "ExistingIndex", "CreateStatsStmt",
  "CreateAsStmt", "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "OptParenthesizedSeqOptList",
  "SeqOptList", "SeqOptElem", "opt_by", "NumericOnly", "NumericOnly_list",
  "CreatePLangStmt", "opt_trusted", "handler_name", "opt_inline_handler",
  "validator_clause", "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "AlterForeignServerStmt",
  "CreateForeignTableStmt", "AlterForeignTableStmt",
  "ImportForeignSchemaStmt", "import_qualification_type",
  "import_qualification", "CreateUserMappingStmt", "auth_ident",
  "DropUserMappingStmt", "AlterUserMappingStmt", "CreatePolicyStmt",
  "AlterPolicyStmt", "RowSecurityOptionalExpr",
  "RowSecurityOptionalWithCheck", "RowSecurityDefaultToRole",
  "RowSecurityOptionalToRole", "RowSecurityDefaultPermissive",
  "RowSecurityDefaultForCmd", "row_security_cmd", "CreateAmStmt",
  "am_type", "CreateTrigStmt", "TriggerActionTime", "TriggerEvents",
  "TriggerOneEvent", "TriggerReferencing", "TriggerTransitions",
  "TriggerTransition", "TransitionOldOrNew", "TransitionRowOrTable",
  "TransitionRelName", "TriggerForSpec", "TriggerForOptEach",
  "TriggerForType", "TriggerWhen", "FUNCTION_or_PROCEDURE",
  "TriggerFuncArgs", "TriggerFuncArg", "OptConstrFromTable",
  "ConstraintAttributeSpec", "ConstraintAttributeElem",
  "CreateEventTrigStmt", "event_trigger_when_list",
  "event_trigger_when_item", "event_trigger_value_list",
  "AlterEventTrigStmt", "enable_trigger", "CreateAssertionStmt",
  "DefineStmt", "definition", "def_list", "def_elem", "def_arg",
  "old_aggr_definition", "old_aggr_list", "old_aggr_elem",
  "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "opt_if_not_exists", "CreateOpClassStmt", "opclass_item_list",
  "opclass_item", "opt_default", "opt_opfamily", "opclass_purpose",
  "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "drop_type_any_name", "drop_type_name", "drop_type_name_on_any_name",
  "any_name_list", "any_name", "attrs", "type_name_list", "TruncateStmt",
  "opt_restart_seqs", "CommentStmt", "comment_type_any_name",
  "comment_type_name", "comment_text", "SecLabelStmt", "opt_provider",
  "security_label_type_any_name", "security_label_type_name",
  "security_label", "FetchStmt", "fetch_args", "from_in", "opt_from_in",
  "GrantStmt", "RevokeStmt", "privileges", "privilege_list", "privilege",
  "privilege_target", "grantee_list", "grantee", "opt_grant_grant_option",
  "GrantRoleStmt", "RevokeRoleStmt", "opt_grant_admin_option",
  "opt_granted_by", "AlterDefaultPrivilegesStmt", "DefACLOptionList",
  "DefACLOption", "DefACLAction", "defacl_privilege_target", "IndexStmt",
  "opt_unique", "opt_concurrently", "opt_index_name",
  "access_method_clause", "index_params", "index_elem", "opt_include",
  "index_including_params", "opt_collate", "opt_class", "opt_asc_desc",
  "opt_nulls_order", "CreateFunctionStmt", "opt_or_replace", "func_args",
  "func_args_list", "function_with_argtypes_list",
  "function_with_argtypes", "func_args_with_defaults",
  "func_args_with_defaults_list", "func_arg", "arg_class", "param_name",
  "func_return", "func_type", "func_arg_with_default", "aggr_arg",
  "aggr_args", "aggr_args_list", "aggregate_with_argtypes",
  "aggregate_with_argtypes_list", "createfunc_opt_list",
  "common_func_opt_item", "createfunc_opt_item", "func_as",
  "transform_type_list", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "operator_with_argtypes_list",
  "operator_with_argtypes", "DoStmt", "dostmt_opt_list", "dostmt_opt_item",
  "CreateCastStmt", "cast_context", "DropCastStmt", "opt_if_exists",
  "CreateTransformStmt", "transform_element_list", "DropTransformStmt",
  "ReindexStmt", "reindex_target_type", "reindex_target_multitable",
  "reindex_option_list", "reindex_option_elem", "AlterTblSpcStmt",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectDependsStmt",
  "AlterObjectSchemaStmt", "AlterOperatorStmt", "operator_def_list",
  "operator_def_elem", "operator_def_arg", "AlterOwnerStmt",
  "CreatePublicationStmt", "opt_publication_for_tables",
  "publication_for_tables", "AlterPublicationStmt",
  "CreateSubscriptionStmt", "publication_name_list",
  "publication_name_item", "AlterSubscriptionStmt", "DropSubscriptionStmt",
  "RuleStmt", "RuleActionList", "RuleActionMulti", "RuleActionStmt",
  "RuleActionStmtOrEmpty", "event", "opt_instead", "NotifyStmt",
  "notify_payload", "ListenStmt", "UnlistenStmt", "TransactionStmt",
  "opt_transaction", "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "opt_transaction_chain", "ViewStmt",
  "opt_check_option", "LoadStmt", "CreatedbStmt", "createdb_opt_list",
  "createdb_opt_items", "createdb_opt_item", "createdb_opt_name",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt", "DropdbStmt",
  "AlterCollationStmt", "AlterSystemStmt", "CreateDomainStmt",
  "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "any_with", "CreateConversionStmt",
  "ClusterStmt", "cluster_index_specification", "VacuumStmt",
  "AnalyzeStmt", "vac_analyze_option_list", "analyze_keyword",
  "vac_analyze_option_elem", "vac_analyze_option_name",
  "vac_analyze_option_arg", "opt_analyze", "opt_verbose", "opt_full",
  "opt_freeze", "opt_name_list", "vacuum_relation", "vacuum_relation_list",
  "opt_vacuum_relation_list", "ExplainStmt", "ExplainableStmt",
  "explain_option_list", "explain_option_elem", "explain_option_name",
  "explain_option_arg", "PrepareStmt", "prep_type_clause",
  "PreparableStmt", "ExecuteStmt", "execute_param_clause",
  "DeallocateStmt", "InsertStmt", "insert_target", "insert_rest",
  "override_kind", "insert_column_list", "insert_column_item",
  "opt_on_conflict", "opt_conf_expr", "returning_clause", "DeleteStmt",
  "using_clause", "LockStmt", "opt_lock", "lock_type", "opt_nowait",
  "opt_nowait_or_skip", "UpdateStmt", "set_clause_list", "set_clause",
  "set_target", "set_target_list", "DeclareCursorStmt", "cursor_name",
  "cursor_options", "opt_hold", "SelectStmt", "select_with_parens",
  "select_no_parens", "select_clause", "simple_select", "with_clause",
  "cte_list", "common_table_expr", "opt_materialized", "opt_with_clause",
  "into_clause", "OptTempTableName", "opt_table", "all_or_distinct",
  "distinct_clause", "opt_all_clause", "opt_sort_clause", "sort_clause",
  "sortby_list", "sortby", "select_limit", "opt_select_limit",
  "limit_clause", "offset_clause", "select_limit_value",
  "select_offset_value", "select_fetch_first_value", "I_or_F_const",
  "row_or_rows", "first_or_next", "group_clause", "group_by_list",
  "group_by_item", "empty_grouping_set", "rollup_clause", "cube_clause",
  "grouping_sets_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "func_alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "tablesample_clause", "opt_repeatable_clause",
  "func_table", "rowsfrom_item", "rowsfrom_list", "opt_col_def_list",
  "opt_ordinality", "where_clause", "where_or_current_clause",
  "OptTableFuncElementList", "TableFuncElementList", "TableFuncElement",
  "xmltable", "xmltable_column_list", "xmltable_column_el",
  "xmltable_column_option_list", "xmltable_column_option_el",
  "xml_namespace_list", "xml_namespace_el", "Typename", "opt_array_bounds",
  "SimpleTypename", "ConstTypename", "GenericType", "opt_type_modifiers",
  "Numeric", "opt_float", "Bit", "ConstBit", "BitWithLength",
  "BitWithoutLength", "Character", "ConstCharacter", "CharacterWithLength",
  "CharacterWithoutLength", "character", "opt_varying", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "a_expr", "b_expr", "c_expr", "func_application", "func_expr",
  "func_expr_windowless", "func_expr_common_subexpr", "xml_root_version",
  "opt_xml_root_standalone", "xml_attributes", "xml_attribute_list",
  "xml_attribute_el", "document_or_content", "xml_whitespace_option",
  "xmlexists_argument", "xml_passing_mech", "within_group_clause",
  "filter_clause", "window_clause", "window_definition_list",
  "window_definition", "over_clause", "window_specification",
  "opt_existing_window_name", "opt_partition_clause", "opt_frame_clause",
  "frame_extent", "frame_bound", "opt_window_exclusion_clause", "row",
  "explicit_row", "implicit_row", "sub_type", "all_Op", "MathOp",
  "qual_Op", "qual_all_Op", "subquery_Op", "expr_list", "func_arg_list",
  "func_arg_expr", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "overlay_list", "overlay_placing",
  "position_list", "substr_list", "substr_from", "substr_for", "trim_list",
  "in_expr", "case_expr", "when_clause_list", "when_clause",
  "case_default", "case_arg", "columnref", "indirection_el",
  "opt_slice_bound", "indirection", "opt_indirection", "opt_asymmetric",
  "opt_target_list", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "database_name", "access_method",
  "attr_name", "index_name", "file_name", "func_name", "AexprConst",
  "Iconst", "Sconst", "SignedIconst", "RoleId", "RoleSpec", "role_list",
  "ColId", "type_function_name", "NonReservedWord", "ColLabel",
  "unreserved_keyword", "col_name_keyword", "type_func_name_keyword",
  "reserved_keyword", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,    60,    62,    61,   719,    43,    45,
      42,    47,    37,    94,   720,    91,    93,    40,    41,    46,
      59,    44,    58
};
# endif

#define YYPACT_NINF -4903

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-4903)))

#define YYTABLE_NINF -2635

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2635)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
    5651,  1174, 15008, -4903, -4903,  1174, 62771, -4903, 70557,    57,
     704,  1192,   190, 13386, 71015, 78801,   566,   900, 13924,  1174,
   78801,  2242, 54069, 67809,   873, 78801,  1104,   902, 54069, 78801,
    1776, 79259,  1080,  1182,   197, 79717, 71473, 66435,  1198, 78801,
    1436,  1292, 80175, 71931,  1205, 72389,   902, 50433,   373,  1429,
   80633, 78801,  1798,  1705,  1370, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,  1218,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
    1937, -4903,  1092,  2169,  1117,   865,  1480, -4903, -4903,  1893,
   62771, 78801, 78801, 78801,  1701, 78801,  1616, 78801,   213, 62771,
   58649, 72847,  1770,  1640, 46763, 81091, -4903, 62771, 78801, 56817,
   62771, 78801, 78801, 81549, 78801, 78801, 78801,  1631, 69183, 78801,
    1793, 78801, 78801, 57275, 82007,  1914,  1317,   219, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903,  1696,  1745, -4903,   257, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, 78801, 14344,  1104,
    1893, -4903,  1798, 78801,  1920, 78801,  1699, 82465,  1791, 78801,
   -4903, 78801,  1828, 82923,   481,  1597, 58649,  1691, 47222,  1875,
   78801, 78801, 58649, 83381, 83839, 84297, 78801, 78801, -4903, -4903,
    1909, 78801, 78801, -4903,  2026, 59107,  1427,  2037,  2211,  2094,
     899, -4903, 73305, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, 61855,   900, -4903, -4903,  2100, 63229,  2137, -4903, -4903,
   84755,101173,  1905, -4903,   511, 63687, 59565,  2277,  1944, 47681,
    2294, -4903, 64145, -4903, 60023, 64603, -4903, -4903, -4903, -4903,
   -4903, 85213, -4903, 85671,  2034,  2137, -4903,101617, 60481, -4903,
    2174, 86129, 86587, 87045,  1893,  1916,  2014,  2167, 42608, -4903,
   -4903, -4903,    57, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903,   303,  1727,   313,   227,   327, -4903, -4903,   236,   237,
     240,   303,  2389,  2389, -4903, 78801, -4903, -4903,  1727,   616,
    1925,  1925,  1925,  2163,    -1, -4903,  1925,  2099, -4903, -4903,
   -4903, -4903, 72389, -4903,  1957, 73763, 78801, 74221,  1104,  1989,
    2425,  2038, -4903, -4903, -4903, -4903, -4903,  2061,  2421,  2421,
   78801, -4903, -4903,  2505,  2048,  2286,  2040, -4903, -4903, -4903,
    2280,  2287,  2296,   100,  1104,   273, -4903,  2411, -4903,  2306,
   29469, 29469,  1104, 74679, 87503,   242, 61855,  1104, 75137,  2129,
     218,  2339, -4903, -4903, -4903,   393, -4903,  2584,  2187,  2441,
    2040,  1317, 43990, -4903,  2210,  1745, 72389, -4903, -4903, -4903,
   60939,  2497, 31369, 78801,  2217, -4903,  2191,  2217,  2224,  2233,
    1117, -4903,  5651, 60939, 78801,  1529,  1529,  2667,  1529,  1641,
    1658, -4903,  2490, -4903,  2564,  2544, 72389,  2269,   302, -4903,
    1491,  2285,  1782,  2253,  1553,  1444, -4903, -4903,   795, 78801,
     462,  2331, 75595,  7512,  2304,  1745,  2309, -4903, -4903, -4903,
    2469,   362, -4903, -4903, -4903, -4903,  2610,  2652,  9082,   274,
   76053, -4903, -4903, -4903, -4903, 78801, 78801, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903,  2326,    97, -4903, -4903,
    2332,  2659,  2548, 11408,  1113,  2626,  2515,  1495, 12767,  2550,
     133,  2675, 13459,  1228,  1732,  2116, 73763, 78801,  2636,  2689,
    5191,  1751,   781,  2578,   913,  2626,  2694,  2532,  1495,  2711,
    8062, 78801, -4903,  2635,  2756,   110, -4903,   196, -4903, 24329,
   31369, 49975, -4903,  1745,  2453,  2625,    88,  2640, 62771,  2419,
   -4903, -4903, 78801, -4903, -4903,102061,  2480, -4903,   771, 62771,
   -4903,  2637,  2471, 48140, 78801, 62771, -4903, -4903, 62771, 78801,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903,  2555,  2750, 78801,
  102061, -4903,  2697, 78801, 78801, -4903, -4903,  2436, -4903, -4903,
   -4903, -4903,  1925, 78801,  2850,102061,  2676,   174, 78801,   -15,
    2886, 78801,  2682,   -15,  2503, 87961, -4903, -4903,   -15, -4903,
   -4903, -4903, 78801, 78801,  2472,  1902,  2684,  2797,   -15,  2707,
    2928,  2929,  2725,  2577,  2732,  2191,  2914,  2719,  1000,  1041,
     193,  1706,   -15,  2572, 88419, 88877, 78801,  2591, 78801,  2421,
   62771, 62771, 62771, 78801,  2868, -4903,  2727, -4903, -4903,  1047,
   -4903, -4903, -4903, -4903, -4903,  2900, -4903,   187,  2907,  2582,
    2918, -4903, -4903, -4903,  2647, -4903,  2647,  2647,  2611,  2611,
    2757,  2623,  2919, -4903, -4903, -4903,  2183,  2647,  2611, -4903,
  102949, -4903,  1459,  1533, -4903,   201, -4903,  3049, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903,  2624, -4903,   948,  1830,
   -4903, -4903,  2666, -4903,  2965,   223, -4903,  2969, -4903,  2656,
   89335, -4903, 89793, 90251,  2970,   305, -4903, 58649,  2971,   223,
    2990,  2656,  2992,   223,  2993,   825,  2994, -4903,  1045,  2983,
    2997,   201,  3000,  1763,  2656, 62313,  3002,   322, -4903,  3003,
     355, -4903,  3005,  2883, -4903, 31369, -4903,  2767, -4903,  1429,
   -4903,   -42, -4903, 53153, -4903,  2167,  1727, -4903, 78801,  1727,
   78801,  1727, 78801,  1727, 78801,  1727, 78801, 78801, 78801,  1727,
   -4903, -4903, -4903, 78801,  2677, 78801, 78801, -4903, -4903, -4903,
   68267, 58649, 68725, -4903, 78801, -4903,   360,  1104, -4903, -4903,
   -4903,  1326, -4903,  2040, -4903,102061,  3120, 58649,  2421, -4903,
    1779, -4903, -4903, 78801, 78801, -4903, -4903, -4903,  2933, 78801,
    2999,  3001, 68267, 58649, -4903, 90709, -4903, 61855,  2889,  2683,
   -4903, -4903, -4903, -4903, -4903,  1849,  3156,   217,  3157, 31369,
    2686,   217,   217,  2687,  3008, -4903, -4903, -4903,   260,  2690,
    2691, -4903,   229,   229, -4903,  2692,  2693, -4903,   241,  2696,
    2700,  3166,  3169,   248,  2702,  2703,  2704,  2183,   217, 31369,
   -4903,  2705,   229,  2708,  2710,  2713,  3183,  2714, -4903,  3189,
    2722,   267,   372,  2723,  2724, -4903,  2692, -4903,   263,  2726,
    2734,  2735,  2738,  2742,  2745,  2746,  2747, 31369, 31369, 31369,
   -4903, 28044,  1745,  1104, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903,   270,  4679, -4903,  2755, -4903, -4903,  2945, -4903,
   -4903, 31369, -4903, -4903,   743, -4903,   280, -4903, -4903, -4903,
    1745,  3021,  2751, -4903, -4903,   281,  2760, -4903,   387, -4903,
   -4903, -4903, -4903, -4903, -4903, 61397,  3201, -4903,   417,  1104,
     196,   331,  3143, 52237, 52695, -4903, -4903,  3019, -4903, 78801,
   -4903, -4903,  1745,   165,  1880, -4903, -4903, 53153, -4903, -4903,
      57, 13198,  1940,  2217, 78801, 78801,  3209, -4903, -4903, -4903,
    1941, -4903,  2764, -4903,  2191, -4903, -4903,  1117,  1117, 31369,
    1117,  1342,  1425, 29944, 31844,  3088,  2984,  1463,  1356,  3091,
   -4903,  2987,  1641,  1658, 72389, 78801, 91167,  2895, 31369, -4903,
    3191,  2856,  2858,  2913, 51349, -4903,  2860,  2827,  2862,  2920,
   54985,  2786,  2869,  2874,  2922, -4903,  3048, -4903, -4903,  2876,
    2947,  2878, 91625, -4903, -4903,   836, -4903, -4903, -4903,   836,
   -4903,  2811,  1534,   767,  1018,  2880,   444,   967,  3195, -4903,
    1178, -4903, -4903,  2936, -4903,  6950, 78801,  3135,  8401,  3013,
     274,  3014,  2935, -4903, -4903,  3065,  2890, 78801,  2891,  3028,
     274,  1337, 92083, -4903, -4903, 78801, -4903, -4903, -4903, -4903,
    4738, 27155, -4903,  1950,  2893,  2870,  2903, 78801, 65519,   367,
    3007,  3029,  3030,  1266,  2091,   230,  2957, 78801,  1116,  3036,
   78801,  2824,  2908,  2923,  3122,  2828,  1231,  3227,  2831, -4903,
   -4903, -4903, -4903,  2204,  2218,  3032, -4903,  3136,  3179,  6078,
    2911,  2912, 99841, -4903,  2930,    34, 48599, 78801, 78801,  3060,
    2937,  2939, 92541,  4738,  2948,  2952,  2941,  2943,     0,  3236,
    1740,  2946, -4903, -4903, -4903,  1740,  3074,  2949,  2954, 92999,
    4738, 78801,  2955,  2960, 78801,102949,   274, -4903,  3292,   274,
     274,  1733,  3297,  2961,   438,  3110,  1251,   -15,  2831,  2892,
   -4903,  2962,  2963,   310, -4903,  3089,  2967,  2968,  3024,  1104,
   -4903, -4903,  2972,  3062,  2974,    19, -4903, -4903,  2980, 72389,
    3084,  3085,   232,  1378,  2831, -4903,  2977,  2978,  2828,  2828,
   78801, 78801, 78801, 78801, 78801,   222,  3321,  3335,  2981,   212,
    3034,  2899, -4903,  1740, 57733,  2985, -4903,  1740, 78801,  2988,
    1790,  2831,  1614,  1760, -4903, -4903, -4903,  1317, -4903, 31369,
   31369, 31369,  2915, -4903,  2399, 13198,   788, -4903,   284, 11017,
    2916, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, 78801, -4903, 78801,
   -4903,  3173,102061,  3116,  3182, -4903,  2956, -4903,  3193,   274,
   -4903, 78801, 78801,  3194,  3137,  3196,  3198,  3139,  1070,102061,
    3140,  3202, -4903,  3203,  3204,  3006,   163,  3016,  2944,  3375,
    3268, 78801, 54985, -4903,  3401,   836, -4903,102061,  3162,  3280,
   -4903, 78801,  3178,    44, -4903,  3322,  3012, -4903, -4903,    59,
   78801,   258,  2996, -4903, -4903,  3291, 58649,  1283,  3293,  1104,
    3009,  3296,  3174,  1104, 58649,  3214, 78801, 78801, 78801, 78801,
   -4903, -4903,  3184,  1011,   162, -4903, 57733,  3192, -4903, 78801,
    3197,  2892,  3199,  3414,    83,  1925, 93457,  3289, 93915,  2973,
    2979,  2979,  3419,102061,  3240, -4903,  1986, -4903,  3111, -4903,
   62771, -4903, -4903, 62771, -4903, -4903,102061, 78801, -4903,  2986,
   -4903, -4903, 31369, -4903, -4903, -4903,  2389, -4903,102061,  2647,
    2647, -4903, -4903,  3428,  3068,  3072,  2389, -4903,  2389, -4903,
  102061, -4903,  2995,  2998,  2389,  3073,  3076,  3080, -4903,  3004,
    3081,  2389, -4903, -4903,  1960, -4903, -4903, 62771, 62771, -4903,
   58649, 58649,  3326,   322,  3337,  3069,  3355,  3082, 48599, 48599,
   -4903,   380, 62771, -4903, 58649, 62771, -4903, 78801, -4903, 78801,
   -4903, -4903, -4903, -4903,102061,102061, -4903, 58649, 57733,  3356,
    3360,   825, 78801, 78801, -4903, 78801, 78801, -4903, 78801, 78801,
    1952, 94373,  2167, 60939, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, 78801, -4903, 78801, -4903, 78801, -4903, 78801, -4903,
   78801, -4903, -4903, -4903, 78801, -4903, 78801,  1975, -4903, -4903,
    1980,  1332, 78801, 78801,   778, 62771, 78801,  3244, 62771, 62771,
   78801, 78801, 78801, 78801, 78801,  3113,  2760,  1540, -4903,   250,
     793, 72389,  3251, -4903, -4903,  1981,  1798,   519, 78801,  1088,
    2061, -4903, -4903, -4903, -4903, 68725, 67809,  3349,   144, 78801,
   -4903, -4903,  6748, 31369,  1745, 28994, -4903, -4903, 13198,  3077,
   31369, 31369,  3038,  2389,  2389, -4903,   992, 31369, 31369, 31369,
    2389,  2389,  9477, 31369, 48599, 31369, 36594, 25281, 31369, 31369,
   28519, -4903, 31369,  3271, 38007, 31369,   331,  3272, 31369,   331,
    9477,  3508,  3508,  1688,  6102,  3039,  1745, -4903,  2389,  1049,
   -4903,   412,102061, 31369, 31369, 31369, 31369, 54985,  3125,   251,
   78801, 31369,  3046,  2000, -4903, 31369, -4903,  3047, 31369,  3127,
     905, 31369, 31369, 31369, 31369, 31369, 31369, 31369, 31369, 31369,
   -4903, 39387,   427,  3354,  3374,    21,   496, 76511, 29469,  3368,
   24329, -4903,   252,  3368, -4903, -4903, -4903, 78801,  3201, -4903,
   -4903,  3132, -4903, -4903, -4903, -4903, -4903,   289, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903,  3053, -4903, -4903, -4903, -4903,
    3053, -4903,  3058,  3358,  3359,   825, 78801, 60939, -4903, -4903,
   -4903,  2418, -4903, 31369, -4903,  1998,  1839, 78801, 78801, -4903,
    3338, -4903,  3059, -4903, 11247,  3338, -4903, -4903, 37063,  3185,
    3333,  3279, -4903, -4903, -4903,  3070, 13198, 32319, 32319, -4903,
    2172, 13198,  2189, -4903, -4903, -4903, -4903, -4903, -4903,   143,
   -4903, 78801,   118,  3088,  1356,  3129,   983,  3519, 78801, -4903,
   44450,  2008, -4903, 58649, 78801, 78801,  3277, -4903,  3503, -4903,
  102949, -4903,  3086, -4903,102505, 98495, -4903, -4903,   976, -4903,
     869, 58649, -4903, 78801, 78801, -4903, 54985, 58649, 78801, 78801,
   -4903, 58649, 78801, 78801, -4903, -4903, -4903, -4903, -4903, 53611,
      58, 67809,  3216, 66893, -4903, -4903,  3094, 78801,  3141,  3345,
    3350,   -11, -4903, -4903, 94831, -4903,  3306, 58649, 78801, 78801,
   31369,  3315, 78801, 78801, -4903,   326,  3177,  3200, -4903, 78801,
    3205,  3341, 62771,  3099, 78801, 78801,102061,  3180,   803, 62771,
    3148, 49058, 62771, 62771, 78801, 78801, 78801, 78801,  3235,  3431,
  102061, 78801,  3376,  1193, 72389,   295,  2063,  2831,  3331, -4903,
    3444,  1454, -4903, 58649, -4903, 78801,  3324, -4903, -4903, -4903,
   76969,  3552,  3230, -4903, -4903, -4903, 95289, -4903, -4903, -4903,
    2013, -4903, 58649, 58649, 78801, 10199, 95747,    -8,  3346, -4903,
   -4903,102061, -4903, 78801, 77427, 78801, 78801,  3453,  3381, 78801,
   69641, 96205, 96663,   581,   921,  3382, 78801, 70099,  3384, -4903,
    3270, 78801, -4903, -4903, 55443, 58649, 78801,   790, 54985, -4903,
   -4903, 78801, -4903,  1001, -4903, 78801,  7181, -4903, -4903,  3210,
    3222, 78801,  3344,   432,  2126,  2831, 78801, 78801,  3133,  2017,
   58649, 78801, 54985, -4903,  3348,   614,  3467, 58649, 78801, 76969,
   -4903, 72389, 72389, 58649, 78801, 72389, -4903, 78801, 87503, -4903,
   58649,  1071, -4903,  3470, 58649, 78801, 76969, -4903,  3302, 58649,
   78801, 13497, -4903, -4903, -4903,   274, -4903, -4903, -4903, -4903,
   -4903, 78801, 78801,   274, 78801, 78801,   274,   264, -4903, 58649,
   78801, -4903, -4903, -4903, 58649, 78801, 78801, -4903, 58649,  2996,
   78801, 54985, -4903, 78801,  9869, 78801, 78801, 78801, 78801, 78801,
   78801, 58649, 78801, -4903, -4903,  1109,  1297,   619,   956,   854,
   78801,  3447, 78801, 97121, 58649, 78801, 78801,  1104, 78801,  1348,
   -4903, -4903,  3275, -4903, 58649,  1071, -4903, 10582, 78801, 78801,
    3234,  3237,   169,  3327, -4903, -4903, -4903,   847,   847,  3365,
   -4903, 31369, 31369, 30419,  3155, -4903, -4903, 31369, -4903, -4903,
   -4903,   314,  3599, 97579,   314, -4903,   314,  3432,  3221,  3225,
     314, 78801,   314,   314, 78801, -4903, -4903, -4903, -4903,  3434,
   78801,   314,   314,   314,  3342, -4903, -4903,  3342,   892, 31369,
  102061, 78801, -4903,  2025, -4903,  3186,  1011, -4903, -4903, 54985,
   78801,   231,   709,  3507,  3390, 65977,  2598,  3497, 78801,  3224,
   78801,  3623,  3273, 72389,  2472, -4903,  2598, 78801, -4903,  2434,
   67809, -4903, -4903, -4903, -4903, -4903, -4903, -4903, 78801, -4903,
   -4903,  3501, 78801, 31369,  3353, -4903,  1104,  2472,  2472,  2472,
    2472, -4903, -4903, -4903, -4903,  3404,  2012, -4903,  3207,  2472,
   78801,  3316,  3525,  2598,  3208,  3526, -4903,  2892,  3527,   111,
   78801,  3410, 65977,  3254,  3238,  3422,  3642,  1925,  1104,  3425,
    3411, -4903, 51793, -4903,  2472, 27599,  6039,  8031,  3413,  3466,
   61855,  3509,  3510,  3531, -4903,   187, -4903,  3655, -4903, 31369,
    2043,  3219,   201, -4903, -4903,  3217,  2998,  3239,  3243,  3220,
    3226, -4903,  2389,   226,  3228,  1141,  1142,  3352,  2389,  3451,
    3229, -4903,   223, -4903,  2656, -4903, 78801, -4903, 78801, 78801,
   78801, 78801,   305, -4903, -4903,   223,  2656,   223,   825, -4903,
    3490,   201,  2656,  3357,  3550, 61855, -4903,   322, -4903,   355,
   -4903,  3440,   825, -4903,  3456,  1925, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903,  2060, -4903, 78801, -4903,  3528,  3532,
    3535,  3536,  3537,  3232,  3233,  3274, 78801,  3245,  3232,   274,
    3245,  3245,  3232,  2760,  2760,  3232,  3233, 58191,  3702,  3557,
   -4903,  3332,  3252,  3568,   186, -4903,   199,    68,  3492, -4903,
   -4903, -4903, -4903,102061, -4903, 58649,  3298,  2421,  2421, -4903,
     139,  3468,  3255, 58191,  3687,   825, -4903, 62771, -4903, -4903,
  102061,  3340,  3362, 62771,  3478,  3311, 62771, -4903, -4903, 62771,
   -4903, -4903, -4903, -4903, -4903,102061, -4903,  3538, 78801, 78801,
    2064, -4903, -4903,  1819, -4903,  1840, 31369,   419, -4903, 11977,
    2069, 31369,  3276,  3278, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903,  3281,  3583, -4903,  2079,  2089,  2112,  3282,  3283,  3412,
    3284, 12098,  3295,  3300, 36594, 36594, 28044,  1900, -4903, 36594,
    3301,  3471,  2117, 11310,  3294,  3304, 12257, 30894, 31369, 30894,
   30894, 12568,  3294,  3307,  2127, 54985,  3465, 12725,  2148, -4903,
   31369, 54985,  5590, 31369, -4903, 31369,  3309, -4903, -4903,  5155,
    5155,  5155,  9477, -4903,  3318, -4903, 36594, 36594, -4903,  2736,
   28044, -4903, -4903,  3594, -4903, -4903,  1731, -4903,  3312, -4903,
   -4903,  3772, 48599,  8440, 31369,   278, 31369,  3046, 31369,  3378,
    5155,  5155,  5155,   423,   423,   268,   268,   268,  2075,   496,
   -4903, -4903, -4903,  3313,  3314,  3317,  3512,  3319, 31369, -4903,
    2092,  2133, 78801,  2909,  2917,  4025, -4903, -4903, -4903, 40308,
    3351,   788,  3351, -4903,  1317,  2389,  1049, 53153, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, 78801, 13198, -4903, -4903,  3521,
    3320, -4903, -4903, 31369, -4903, -4903,  1095,  3336,    71,  3530,
    2311,  2311,  2172,  3533, -4903, -4903,  3383, -4903, 31369,  2196,
   -4903,  2244, -4903, -4903, -4903, -4903,  2760, -4903,  3562, -4903,
   -4903, -4903, 40308,  3369,  3386,  1350, 43529,  3542, -4903, 78801,
   -4903, 78801,   168, -4903,  3339, -4903, -4903, -4903, -4903, -4903,
   -4903, 98495,  1830, -4903,102505, -4903,102505, -4903,  1830,  3761,
   -4903, 98495,  1918, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, 58649, 58649,  3546, 78801,
    3544,  3548, 31369,  1006, 78801,  3343,  3347,   601,  3627, 78801,
   -4903,  3675,   825, -4903, -4903,  3424, -4903, 13198, -4903, -4903,
   -4903, -4903, -4903, 58649, 78801, -4903, 61855, -4903, 78801, -4903,
  102061, -4903, -4903, -4903, 78801,  3385, 78801, -4903, 78801, 78801,
   78801, -4903, -4903, -4903, -4903, -4903, -4903, -4903,  1148,102061,
   -4903, -4903, 78801, 78801,   755,  3429,  3435, 78801, -4903,  1305,
    3089, 11007, 78801, 78801, 78801,  3635, 78801, -4903, -4903, -4903,
   -4903,  3576, -4903, -4903, 98495, -4903,  2656,   114,  3438,  2831,
    3584, -4903,  3691,  3567, -4903,  3484,  1196, -4903, -4903, 78801,
    3493, -4903, -4903, -4903, -4903,  3697,   825,  3700,   825, 78801,
   78801, 78801, 78801,  3498, -4903, -4903, -4903, -4903,  3499,  3626,
   -4903, 54985, 54985, 54985,  2154, -4903, -4903,  1104, -4903, -4903,
   -4903, -4903, -4903, -4903,  3659, -4903,  2158, -4903,  1725, -4903,
   -4903, -4903, -4903, -4903, 58649, 78801, 12328,  3703, 78801, 78801,
   78801,  1803, -4903,  1164,102061, -4903,100285, -4903, -4903,  2164,
   -4903,  3387, 78801,  3457, 58649,  3436, 78801, -4903, -4903, -4903,
    3379,  3379, -4903, -4903,  3379, -4903, -4903, -4903,  3634,  3571,
   -4903,   318,  3574, 58649,  3448, -4903, 78801, -4903, -4903, -4903,
    3469, -4903, -4903,  3472,  2146,  2831,  2892, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903,  1654, -4903, -4903,  1479,   335,  2276,  2831, -4903,
    1364, -4903,  3473, -4903,  3474, -4903, -4903, -4903,  3633,  3639,
    3640,  3489,  3491,  3555,  3494,  3502,  3558, -4903,  3505,  3560,
    3511,  3561,  3621,  3514,   825,102061,  3652,  1104,  3553,  3767,
     825, -4903,  3534, -4903,  3539, -4903,  3865, -4903, 78801, -4903,
    3543,  2352,  2831, -4903, -4903, 58649, 78801, -4903, -4903, -4903,
   31369,  3446,  3455,  3462, 13198, 13198, 31369, -4903, -4903, 13198,
    3449, -4903, -4903, -4903,102061, 78801,  3717, -4903, -4903,   314,
   78801, 78801, -4903,  3719, -4903, -4903,  3720, 78801,  3726, -4903,
   -4903, -4903, -4903,   306,   306, -4903, -4903,  3770,  6232,  3464,
     376, -4903, 54985, 45833,  2068,  2665,   164,   -15, -4903, 61855,
   78801, 61855, -4903,   709,  3567, 78801, 78801, 78801,  3475,  3476,
   -4903, -4903, -4903, -4903, 58649,   741, 58649,  2389, -4903, -4903,
    3540, -4903, 78801,  1925,  3943,  3791, -4903,  3379, -4903,  3907,
    2929,  1283,  3625,  1578,  2577,  3847,  2191,   203, 54985,  3238,
   -4903, -4903, -4903, -4903, 78801, 78801,  1011,  1104, -4903,  3477,
    3479, -4903, 78801,  3803, 78801, 78801, 78801, 78801,  3298,  3487,
   78801,  3495,102061, 78801,  2176,  2828,  3932,  3825,  1798,  3254,
    3578,  3826, 72389,  3513,  2168, -4903, -4903, -4903,  2173,   184,
   -4903,  1104, 61855, 99397,  3816, -4903,  8031, -4903, -4903,  8031,
     812, 78801,  3802, -4903, -4903,  1798, -4903,102061,  2175, -4903,
   -4903, -4903,  2389, -4903, -4903,  1275,  1275,  3504, -4903,  3506,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903,  3500, -4903, -4903,
   -4903,   322,  3563,   825,  3564,   825, -4903, -4903, -4903, -4903,
   78801, -4903, 78801, 57733,   825, -4903, -4903, 78801, -4903,  3835,
   -4903, -4903,  3643,  3644,  3646,  3647,  3648, 78801,  3232, -4903,
    3516, 58649,  1709, -4903, -4903,  3711, -4903, -4903, 72389,  3632,
   -4903, -4903, -4903, -4903,  3849,  3850, -4903, -4903, -4903,  1144,
   -4903, 78801, 78801, 58649, 68267,   389, 58649, -4903,  3786,  3789,
   -4903, -4903,  3790,   274, -4903,  3792,  3794,  3795, -4903,  3797,
    3798, -4903, -4903, -4903,  3541, 12818, 31369, -4903,  3863,102061,
   -4903,  6700, -4903, -4903, -4903, 31369, -4903, -4903, -4903, -4903,
   -4903, 31369, -4903, 31369,  3845, -4903, 25757,  4000,  4000,  3545,
  102061, 36594, 36594, 36594, 36594,   245,  2708, 36594, 36594, 36594,
   36594, 36594, 36594, 36594, 36594, 36594, 37538,   580, -4903,  3731,
   31369, 31369,  3855,  3845, -4903,102061,  3554,  3294,  3556,  3559,
   31369, -4903, -4903,  2179, 38467,  3569, 54985, -4903, 31369, 11290,
    2180,  3582, 12948,  1745,  6774,  1104, 31369,  2655,  3299, 31369,
    2186, 31369,  3854, -4903, -4903, -4903,  3572, -4903, -4903,102061,
   31369,  3570,  4592, 36594, 36594,  5684, -4903,  5998, 31369, 28044,
   -4903,  3365,  3581, 44910, -4903, 26233,  3565,   902,   902,   902,
     902, -4903, 78801, 78801, 78801, 40768,  3859,  3575, 39847, 77885,
    3577,  2542, -4903, 77885, 78343, 77885, -4903,  3590, -4903,  1745,
   31369,  3861,  3579,  3861,   196,  3587, -4903, -4903, -4903, -4903,
    1798, -4903,  3589, -4903,  3336,  1100, -4903, -4903, -4903,  3775,
   -4903, -4903, -4903, -4903,  3577, 32794,  3709, -4903, -4903, -4903,
    3605,  2197, -4903, -4903,  3973,  3709, -4903, -4903,  2198, 44450,
    3369, 31369,  1745,  2207,  1931, -4903, -4903, 98495, -4903,  3651,
    2656,  2656,  1258,  3232,  3898,  1258,  7349, -4903, -4903, 41228,
   78801, 78801, -4903, 78801,  2231,  1617, 78801, -4903, 78801, -4903,
   -4903, -4903, -4903,  4026, -4903, 78801, -4903, -4903,  3650,  3654,
   78801, 78801, 78801, 78801,  3852, -4903, -4903,  2253, -4903, -4903,
   58649, 78801, -4903, -4903, -4903,   439,  2353,  2831, -4903,  3662,
   -4903, -4903, -4903,  3869, -4903,  4019,  3684, 78801,  3930, 78801,
    3600, -4903,  1617,  3705,  3913,  1535,  2828,   438,  4601, -4903,
    1197, -4903, -4903,  3673, -4903, -4903, 78801, -4903, 78801, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903,  3736, -4903, -4903, -4903,
   -4903, 55443, -4903, -4903, 78801, -4903, 54985, 45833, 54985, -4903,
    1523,   445,  2465,  2831, 78801, -4903,  3692, -4903,  3693,  3694,
    3754,   955,  1520,  3701,  3706,  3756,  3629,  3630,  3636, -4903,
   54985, 46304,  3787, 78801,  2656,  3638,  3672, -4903,   303,  1104,
   -4903, -4903,  1104,  2656,  1104, -4903, 78801, 78801, 78801, 54985,
   -4903,  4065,  3730, 78801, 78801, 78801, 78801, -4903,  3695, -4903,
   78801, 78801,  3962,  1025,  1999, 58649, 78801, 78801, 58649, 78801,
   78801, 78801, 78801, 78801, 78801,  3976, 78801, -4903,  4049,  3980,
    2058,  4022,  3721, 78801, -4903, 78801,  1104,  3089, 78801, 78801,
   -4903, -4903, -4903, -4903, -4903,  3365, -4903,  3653,  3919,   314,
   -4903,  3921,  3923,   314,   314,  3924,   314, -4903, -4903,   -15,
   -4903,   185, 78801, -4903,  2249, 78801, -4903, -4903, -4903,  3589,
    2204,  2218, -4903, -4903, -4903, -4903, -4903, -4903, 78801,  3658,
   78801, 78801, 36594, -4903,  1928,  1682,   253, -4903,  3926, 78801,
    2996, -4903, -4903, -4903,   908, 78801, -4903, -4903, -4903, -4903,
   -4903,   666,  3487, -4903,  3942, 65977,  2656, 58649, 58649,  2656,
   -4903,102061,  3660,  3238, -4903,   339,  3742, 58649,  1283,  1381,
   98037,  3009,  3698,  3875, 40308,  1654, -4903,  3666,  3829, -4903,
    3679,  3669, -4903, -4903, 78801,  3567, 57733,  2243,  2892,  4118,
      94,  1916, -4903, 67351,  3870,  3487,  3942, -4903,  2828,  3891,
    3892, -4903,  1798, 78801,  3298,  3238,  1104, 78801,  3141, 45833,
   -4903,  4157, -4903, 98495, 31369, 31369, -4903,  3681, -4903,  3686,
    8031, -4903,  3757,  3683, -4903, -4903, -4903, -4903, -4903,  3769,
    3696, 78801, -4903,  3690, -4903,  3704, -4903, -4903, -4903, -4903,
   -4903, -4903, 78801, -4903, 78801, -4903,   825, -4903,  3820, -4903,
     825, 78801, 78801, 78801, 78801, 78801, 78801,  3232,   274, -4903,
    4001, 58191, -4903, -4903,  2247, 78801, -4903, -4903, -4903,  4071,
   -4903, -4903,   144,  4014, -4903, -4903,   319,   319,   319,  3970,
     319,   319,   319,   319,   319, -4903, 31369, 13198, -4903,  3707,
   -4903, 13198,  7490, 13198,  3855, -4903,  2248, 31369, -4903,  2108,
    2108,  2108,  3815,  4021, -4903,  1422,  3710,  2108,  2108,  2108,
     587,   587,   214,   214,   214,  4000,   580, 13198, 13198, -4903,
   -4903,  3708, -4903, -4903, -4903,  3294, -4903, 33269,   662,  4129,
   38007, -4903, -4903, -4903,  3751,  3758,  3733, -4903, 31369, 33744,
    3714,102949,  3927, -4903,  1293, 31369, 31369,  4285, -4903, 11213,
   31369,102061,  2255,  4285,   448, 31369,  3450,  3734, 31369, 31369,
    6068,  7572,  3735, 31369, 98939, -4903, -4903, -4903,  2262, 31369,
   78801, 78801, 78801, 78801, -4903, -4903, -4903, 77885, 78343, 77885,
    3732, 38927, 26694,  2542,  3737, 78801, -4903, -4903,  3739, 40308,
    4002,  3933, -4903, 40308,  3933,  1494,  3933,  4005,  3831, 45370,
   -4903, -4903,  3743, -4903,  3945, -4903,  1950, 13198,  4169,  4047,
    1104,  4047,  1104,  3747, 48599, -4903, -4903, -4903, -4903,  3963,
   13198, 29469, -4903,  1798,  1156, 78801,  1745,    73, -4903,  3765,
   78801, -4903,  3709, 13198, -4903,  3824,  2267, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903,  3836, 67809,  4072, -4903, 31369,  2321,
   -4903,  3796,  4165,   298,  2347,  2355,  1617, -4903,  4058, -4903,
    1695,  4054,   431, -4903,   825, -4903,102061, -4903, 78801, 78801,
   -4903, -4903, -4903, -4903, 78801,  2786, -4903, -4903, 78801, 78801,
   78801, 78801, -4903, 58649, 78801, -4903, 78801, -4903, 54985,  2665,
     303,  1928,  4067,  3990, -4903,   274, -4903,  1928,  3993,   303,
   78801, -4903, -4903,  2866, -4903,102061,   825,   825, -4903, -4903,
   -4903, -4903, -4903,  3788,  4200,  3866, 78801, 78801, 78801, -4903,
   78801, 58649, 78801, 78801,  2389,  2389,102061,  3801, -4903,  2389,
    2389,  3808, -4903, 58649, 78801, 78801, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903,  3858, -4903, 31369,
    4201, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   58649, 78801,  3871, -4903,  3872, -4903,   157, -4903, -4903, 78801,
   78801, 78801, 78801,  4125, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, 78801, -4903, 78801, -4903, -4903,  1104,
    1104,102061,   825,   825, -4903, -4903, -4903, -4903,  3799,  4063,
     314, -4903,   314,   314, -4903, -4903,   314, -4903,  3813, -4903,
     -15,  4155, -4903,  1617,  1665,  4110, -4903,  4113, 31369, -4903,
    1126,  3815, -4903,  4166,  4257, -4903, -4903, -4903, -4903,  2996,
    1925,  3876, -4903, -4903, 62771,  1373, -4903,  4111,   231,  4035,
   65977,  1364,  1561,  3827,  3947, -4903,  2656,  2656,  3881, 78801,
    4268, -4903, -4903, -4903, -4903, -4903, -4903, 58649,  3436, -4903,
    4052,   753,  4147, 78801, 31369,  3577, -4903,  1919,  4150, -4903,
    1104, -4903, -4903,  3955,  3238, -4903,  1391, 78801,  4048, 65977,
    3298,  2362, -4903, -4903, -4903,  3873,  4258,  3254, -4903,  1364,
    3870, -4903, -4903,  4236,  3928,  3879,  4280, -4903,  3928,  4153,
    4051,  3846, -4903,  3513, -4903, -4903, 13198, 13198,  1104,103393,
    8031,102061,  4164, 78801,   751,  4128,   825, -4903,   825,   825,
   -4903, 78801, -4903,  3232,  3232,  3232,  3232,  3232, -4903,  4056,
   -4903, -4903,  4123, -4903,   825, 58191, -4903, -4903, -4903, -4903,
   -4903,   319, -4903, -4903, -4903, -4903, -4903, 13198, -4903, -4903,
   -4903, -4903,  7974, 36594,  4168, -4903,  3856,102061, -4903,  3857,
    2363,  2384, -4903, -4903,   662, -4903,  4129, -4903, -4903, -4903,
    8249,  3909, 13198,  3966,  3860,  3862,  4285,  4285, 11213,  2385,
   -4903,  4285, 31369, 31369,  4285,  4285, 31369, -4903, -4903,  8553,
    4050, -4903, -4903,  8796, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, 55901,  3864,  3465, 77885,  3877, 78801,  2542, 40308, -4903,
   -4903,  2212, -4903, 40308,  4131, -4903, 40308, 62771, -4903, 78801,
    3878, 78801, -4903, 34219, 31369,  3920, -4903,  3920, -4903, -4903,
    3882, 78801,  2751, -4903,  1350, -4903, -4903,  4253, 41228,  4234,
   31369, -4903, -4903, -4903, -4903, 58191,  4093, 58191,  1617,  9291,
    4058, 41228, 49517, 78801, 78801, 78801,  4045,  4058,  3888,  2996,
   -4903, -4903, -4903, -4903, -4903, -4903,  3889, -4903, -4903, -4903,
   -4903,  3971, -4903, -4903,  1015,  3251, -4903,  2400, -4903, -4903,
    4333,  4224, -4903, -4903, -4903, -4903, -4903, -4903,  4049, -4903,
   -4903, 45833, 58649, 78801, -4903,  3974, -4903, -4903, -4903, -4903,
   -4903, 43069, 48599, -4903,   955,  3894,  3897,  1520, -4903, -4903,
   -4903, 78801,  9826,  3899,  1091,  3251, 78801, 78801,  3900,  3901,
    3902,  1680,  1513,  1737,  3232,  4217, -4903, -4903, -4903, -4903,
    4049, -4903, -4903, -4903,   314, -4903, -4903, -4903, -4903, 54985,
   -4903,  3054,  3813,  1104, 62771,  4345,  4345, 78801, -4903,  9904,
    4122, -4903, -4903,   119,  3876,  4148,  4192, -4903,  3908, 78801,
     908,  3910, 78801,  3911,  4032,  1028,  1028, 78801, 78801, 78801,
    2406,  1798,  2656,  3672,  1283,  4244, 65977,  4286,  3567,   364,
   -4903, -4903,  1919, -4903,  1380,  4260,  3957, -4903, 78801,  4359,
   78801,  3298,  3487, 78801,  3917, -4903, -4903, 67351,  4124,  2665,
  103837,  2176,  3870,  3254,   243, 78801, -4903,  1276, -4903,  1798,
   -4903, 78801, 72389, 41228, -4903,102505, -4903,  2407, -4903, -4903,
    3988,  3351,  4030,  4031,  3922, 78801,   711, -4903, -4903, -4903,
   -4903, -4903, 78801, -4903,   389, -4903, -4903,  3880, 36594,102061,
    2412, 31369, -4903, 31369, -4903, -4903, -4903, -4903,   639, -4903,
   -4903, -4903,  4285,  4285,  4285, -4903,  4349,  3365, -4903, -4903,
    2417,  4369, 35644,  4331, -4903, 78801,  2444, -4903, 31369,  3935,
   -4903, -4903, 40308,  2212,  3936,  2450, 78801,  2454,102061,  3937,
     612,  3938, 24805,  3929, -4903, -4903, -4903, -4903, -4903, 13198,
   13198, 78801, -4903, -4903, -4903, -4903,  3981, 78801,  2456, -4903,
    1019, 13198,  1709,  1258,   389,  4165,  2996, -4903,  3939, -4903,
   -4903, -4903,   365,   365, 78801,  2996, 78801,  3876, -4903, 78801,
    4033, -4903, -4903, 54985,  4239, -4903,  3999, -4903,  1130,  3251,
   78801,102061, -4903,   135,  4265, -4903,102061,102061, -4903, -4903,
   -4903, 31369,  4036, -4903, -4903, -4903, 31369, 31369, 65061, -4903,
   -4903, 78801, 78801, 78801, 78801, 78801,   825, -4903,  2462, -4903,
   42148, -4903, -4903,  2886,  1104,  2886,   152, -4903, -4903,  2886,
    2886, -4903,  3351, -4903,  4345,   325, -4903, -4903, -4903,  1761,
    4174,  3951, 31369, -4903,   837,  4161,  4042,  3956, -4903, 62771,
    4428,  3487,  3942, 78801, -4903, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903,  2463,  3567,  4284,  3238,  3879,
   -4903, 78801,  4003, -4903, 40308, -4903, -4903, -4903,  2886, -4903,
    1569,  3967,  4298,  3567,  1798,  1916, -4903,  3870,  3487,  3942,
   -4903, -4903, -4903,  3972, -4903,  3892,  3254,  2176,  4109, -4903,
    4112, -4903,  4385,  4180,  4388,  3298, -4903,  3141,  2467, -4903,
    8031,103393,102061,  4328,  4016,  4018, -4903, -4903,  4034, 78801,
   -4903, -4903,  3567, -4903,  3880,  2476, -4903,  2481,  2487,  4040,
   -4903, 31369,  1340,  3590, 55901,  3983, -4903, 36594,  2488, -4903,
    3793, 78801,  2495, -4903, 13198, 78801, -4903, -4903, 31369, -4903,
    2499, -4903, 31369,  3984, 31369, -4903, 34219,  3987, -4903,  4434,
    1798, -4903,  3351, 41228, -4903,  4116, -4903,  4307, -4903, 78801,
    3876, 48599,  3336,  3336,  1925,  3876,  2500, -4903, -4903, 78801,
   -4903,  3951, 31369, -4903,  4085, -4903, -4903,  2506,  1397,  4160,
    4160,  2517,  2521, 10031, 78801,  2525,  2533, -4903,  2535,  2389,
    3233,  1737,  3233, -4903,  3232, -4903, -4903, 54985, -4903, 56359,
   -4903, -4903, -4903,  1104, -4903,  1104,  4219, 78801, 50891,  1104,
    1104, -4903, -4903, -4903, -4903,  4344,  4287, -4903,  2892, -4903,
   10409, -4903, -4903, -4903,   449, -4903,  4210,  4212, 78801, -4903,
    4006, -4903,  2539,  1364,  4130,  3567, -4903, -4903, 78801,  4447,
    4450, -4903,   757, 78801,  3577, 78801, -4903, -4903, -4903, 31369,
     908, -4903,  3879,  3298,  3254,  1364,  3870,  2665, 41688,  3928,
    2176,  3892, -4903, -4903,  4214, -4903,  4215, -4903,  4011,  4302,
    8031, -4903, -4903,   895,  4326,  4327, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903,  3294, 34694, 34694, 34694,  4015, -4903, -4903,
   78801,  3815,  4013, 35644, 54985,  2541, -4903,100729, -4903,  2566,
    2567, -4903,  2573, 34219,  2579, -4903, 78801,  4020, -4903, -4903,
   -4903, 44450, 58191,   365,  4059,  4017, -4903, -4903,  4148, -4903,
   -4903,  1617,  3251, -4903, 13198, 78801, 62771,  4445, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903,  3251,  4101, -4903, -4903, 65061,
   -4903, 78801, -4903, -4903,  2588, -4903, -4903, -4903, 78801,  3666,
   -4903,  3666, -4903, -4903,  4162, -4903,  1111,  4134,  1085,  1085,
    4384, -4903,  4089, -4903, -4903,  4037, -4903,  4507,  4159, 78801,
   -4903, -4903,   955,  1798, 65977,  3567, -4903, -4903, 10522, 62771,
   -4903, -4903,  2176,  3870,  3254, 31369,  2593, -4903,  4165,   298,
   -4903,  3892,  3928, -4903, -4903, 41228,  4039,  3238, -4903, -4903,
    2428, 62771, 62771, 36119,  4178,  1203, 11959,  4372, -4903,  4372,
    4372, -4903,  2595, 38007, -4903, -4903, -4903, 78801,  4243,   886,
   -4903,  4195, -4903,  2606, -4903, -4903, -4903,  1421,   389,  3336,
    4046, -4903, -4903,  4161,  1617, -4903,  3251, -4903, 78801, -4903,
    4053, -4903, -4903, -4903, 56359,  3666,  3957, -4903, -4903, -4903,
    4503, -4903,  1331, -4903, -4903, -4903, -4903, 78801,  3567,  3801,
    3879, -4903, -4903,  4057,  3892,  3254,  2176, 10679, -4903, 41688,
   78801, 78801,  3928, -4903,  2614, 41228,  3928, -4903,  2511, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903,  4061,  4068,  4494, -4903,
   -4903, -4903, -4903, -4903,  1005, -4903, -4903, -4903, -4903,  3465,
   -4903, -4903, 36594, 36594,  4270, -4903,   886, -4903,  4062, -4903,
   -4903, -4903, -4903, -4903, 31369,  1617, -4903, -4903, -4903, 31369,
   -4903,  4382, -4903, -4903, -4903,  3567, -4903, -4903, 54527,  3928,
    2176,  3892,  4165, -4903, -4903, -4903, -4903,  4302, -4903,  2616,
    3351,  2272, -4903, -4903,  2288,  2233,  4133,  4370, 35169,  4198,
   -4903,  4269, -4903,  4460,  3815,  3815, -4903, -4903, 31369, 10745,
    1617,  2621,   908, -4903, -4903,  2627, -4903, -4903, -4903, -4903,
   -4903,  3892,  3928, 78801,  3238, -4903, 41228, -4903, -4903,  2511,
    4182,  4183, -4903, -4903, -4903, 78801, 10905, -4903, -4903, 62771,
   -4903, 54527,  3928, -4903, -4903,  3928, -4903, -4903,  4114,  4115,
    2631, -4903,  4075, -4903, -4903,  3351,  4392,  4393, -4903, 54527,
   -4903, 62771, 62771,  2654, -4903, -4903, -4903
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    1668,  1439,   622,  1520,  1519,  1439,     0,   258,     0,  1530,
       0,  1439,   415,  1116,     0,     0,     0,     0,   622,  1439,
       0,  1668,     0,     0,     0,     0,     0,  1681,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1439,     0,
       0,  1688,     0,     0,     0,     0,  1681,     0,  1532,     0,
       0,     0,     0,     0,     2,     4,    37,    72,    73,    31,
      30,    91,    55,    18,    63,   125,   124,   126,    42,    38,
      80,    26,    28,    39,    43,    65,    67,    45,    56,   103,
      64,    24,    62,    86,    68,    89,    50,    12,    13,    51,
      14,    52,    15,    53,    16,    99,    74,    92,    35,    61,
      23,    44,    70,    71,     5,    46,    78,    11,    57,    58,
      60,    83,    84,    85,   108,    87,   120,    41,   117,    96,
      97,   114,    98,   115,     9,   100,    54,    17,   111,   110,
     112,    81,    47,    82,    69,    90,   109,    27,   113,    19,
      20,    22,    21,    59,    29,    66,    32,    88,   116,   106,
     102,   121,   119,   127,   104,    75,     7,     8,    93,     6,
      25,    49,    10,    34,    33,    48,    40,   123,    36,  1530,
      95,   107,    94,    76,   101,    79,   105,   122,    77,   118,
    1638,  1637,  1690,  1641,  1667,     0,  1653,  1438,  1437,  1452,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   621,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1449,  2272,  2287,  2288,
    2289,  2290,  2291,  2292,  2293,  2294,  2295,  2296,  2297,  2298,
    2299,  2300,  2301,  2302,  2629,  2303,  2304,  2305,  2579,  2580,
    2630,  2581,  2582,  2306,  2307,  2308,  2309,  2310,  2311,  2312,
    2313,  2583,  2584,  2314,  2315,  2316,  2317,  2318,  2585,  2631,
    2319,  2320,  2321,  2322,  2323,  2632,  2324,  2325,  2326,  2327,
    2328,  2329,  2330,  2331,  2332,  2633,  2333,  2334,  2335,  2634,
    2336,  2337,  2338,  2339,  2340,  2341,  2586,  2587,  2342,  2343,
    2344,  2345,  2346,  2347,  2348,  2349,  2350,  2351,  2352,  2353,
    2354,  2355,  2356,  2357,  2358,  2359,  2360,  2361,  2362,  2363,
    2364,  2365,  2366,  2367,  2368,  2588,  2369,  2370,  2371,  2589,
    2372,  2373,  2374,  2590,  2375,  2376,  2377,  2635,  2636,  2378,
    2379,  2380,  2381,  2382,  2591,  2592,  2383,  2384,  2385,  2386,
    2387,  2388,  2389,  2637,  2390,  2391,  2392,  2393,  2394,  2395,
    2396,  2397,  2398,  2399,  2400,  2401,  2638,  2593,  2402,  2403,
    2404,  2405,  2594,  2595,  2596,  2406,  2639,  2640,  2407,  2641,
    2408,  2409,  2410,  2411,  2412,  2413,  2597,  2642,  2414,  2643,
    2415,  2416,  2417,  2418,  2419,  2420,  2421,  2422,  2423,  2424,
    2425,  2426,  2427,  2428,  2429,  2430,  2431,  2432,  2433,  2598,
    2644,  2599,  2434,  2435,  2436,  2600,  2437,  2438,  2645,  2439,
    2601,  2440,  2602,  2441,  2442,  2443,  2444,  2445,  2446,  2447,
    2448,  2449,  2450,  2603,  2646,  2451,  2647,  2604,  2452,  2453,
    2454,  2455,  2456,  2457,  2458,  2459,  2460,  2461,  2462,  2605,
    2463,  2606,  2466,  2464,  2465,  2467,  2468,  2469,  2470,  2471,
    2472,  2473,  2474,  2475,  2476,  2607,  2477,  2478,  2479,  2480,
    2481,  2482,  2483,  2484,  2485,  2486,  2487,  2488,  2489,  2490,
    2491,  2492,  2493,  2494,  2648,  2495,  2496,  2497,  2498,  2499,
    2608,  2500,  2501,  2502,  2503,  2504,  2505,  2506,  2507,  2508,
    2509,  2510,  2511,  2512,  2513,  2514,  2515,  2609,  2516,  2517,
    2649,  2518,  2519,  2610,  2520,  2521,  2522,  2523,  2524,  2525,
    2526,  2527,  2528,  2529,  2530,  2531,  2532,  2533,  2611,  2534,
    2535,  2536,  2537,  2650,  2538,  2539,  2540,  2541,  2542,  2543,
    2612,  2613,  2544,  2545,  2614,  2546,  2615,  2547,  2548,  2549,
    2550,  2551,  2552,  2553,  2554,  2555,  2556,  2557,  2558,  2559,
    2560,  2561,  2562,  2563,  2616,  2617,  2564,  2651,  2565,  2566,
    2567,  2568,  2569,  2570,  2571,  2572,  2573,  2574,  2575,  2618,
    2619,  2620,  2621,  2622,  2623,  2624,  2625,  2626,  2627,  2628,
    2576,  2577,  2578,   129,     0,     0,  2246,  2273,  2274,  2277,
    2272,   387,   386,  1628,  2240,  2273,  1529,  1509,   622,     0,
    1452,   414,  1668,     0,     0,     0,     0,     0,     0,     0,
     855,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   177,     0,     0,     0,     0,   438,   437,
       0,     0,     0,  1084,   443,     0,     0,     0,     0,     0,
     610,  1577,  2464,  1575,  1629,   259,   262,   263,   260,   261,
    2262,     0,  1218,  1219,  1221,     0,     0,  1231,   895,   896,
       0,     0,     0,   904,     0,     0,     0,   893,     0,     0,
       0,   909,     0,   906,     0,     0,   910,   907,   890,   908,
     897,     0,   889,     0,     0,  1231,   911,     0,     0,   891,
       0,     0,     0,     0,  1452,  1574,   444,  1668,     0,  1551,
    1552,  1553,  1530,  1542,  1554,  1547,  1549,  1548,  1550,  1546,
    2261,  2288,  1019,  1019,  1019,  1019,  1016,  1017,  1019,  1019,
    1019,  2484,     0,     0,   998,     0,  1000,  2263,  1019,  1024,
     507,   507,   507,     0,  1023,  1028,   507,     0,  1420,  1461,
    2245,  1680,     0,   999,  1419,     0,     0,     0,  2544,  1565,
       0,     0,  1246,  1242,  1244,  1245,  1243,     0,  1087,  1087,
    2502,  1431,   241,  2513,  2612,  2544,   240,   234,   236,   208,
    2292,     0,     0,  1023,     0,  1452,  1429,   981,  1687,  1685,
       0,  2227,  2312,  2327,  2417,   231,  2495,  2503,  2513,  2612,
    2544,  2575,   187,   197,   192,     0,   252,  2513,  2612,  2544,
     248,  1449,     0,  1654,  1789,  2236,     0,  1422,  1421,  1531,
       0,  1534,     0,  2479,  1658,  1661,  1536,  1659,  1650,     0,
       0,     1,  1668,     0,  1541,  1684,  1684,     0,  1684,     0,
    1642,  1650,  1645,  1649,     0,     0,     0,     0,     0,  1423,
       0,     0,     0,   914,     0,  1464,  2241,  1069,     0,     0,
       0,     0,     0,     0,     0,  1125,  1124,  2278,  2268,  2269,
       0,  2266,  2267,  2279,  2280,  2281,     0,  2389,     0,     0,
       0,  2138,  2149,  2150,  2151,  2316,  2372,  2146,  2147,  2148,
    2140,  2141,  2142,  2143,  2144,  2145,     0,     0,  1213,  2139,
       0,  2389,     0,     0,     0,   156,     0,   133,     0,     0,
       0,  2389,     0,     0,     0,     0,     0,     0,     0,  2389,
       0,     0,     0,     0,     0,   156,  2422,     0,   133,  2389,
       0,     0,  1443,     0,     0,     0,  1445,  1448,  1424,     0,
    2219,     0,  2220,  2247,  1512,     0,  2236,     0,     0,     0,
     950,   943,     0,   951,   958,     0,     0,   960,     0,     0,
     944,     0,     0,     0,     0,     0,   963,   964,     0,     0,
     965,   945,   966,   946,   967,   947,   968,     0,     0,     0,
       0,   948,     0,     0,     0,  1435,  1426,     0,  1567,  1569,
    1568,  1566,   507,     0,     0,     0,  2389,     0,     0,   133,
    1497,     0,  2389,   133,     0,     0,   442,   441,   133,  2266,
     440,   439,  2316,  2372,     0,  1115,     0,  1378,   133,  2389,
       0,   179,  2389,   696,  2389,  1536,     0,   625,     0,     0,
     810,  2422,   133,     0,     0,     0,     0,     0,     0,  1087,
       0,     0,     0,     0,     0,   609,   622,  1578,  1576,     0,
    1222,   233,   232,  1220,   902,  2389,  1157,   348,     0,     0,
    2389,  1483,  2275,  1864,  1893,  1871,  1893,  1893,  1860,  1860,
    2356,  1873,  2389,  1861,  1862,  1898,     0,  1893,  1860,  1865,
       0,  1863,  1901,  1901,  1888,   348,   918,  1845,  1846,  1847,
    1848,  1874,  1875,  1849,  1880,  1881,  1885,  1850,  1915,  1860,
    2276,   903,     0,   894,  2389,   348,  1121,  2389,  2270,   166,
       0,   892,  2316,  2372,  2389,   348,  1215,     0,  2389,   348,
    2389,   162,  2389,   348,  2389,   348,  2389,   626,     0,     0,
    2389,   348,  2389,  2422,   164,     0,  2389,   348,   912,  2389,
     348,  2238,  2389,     0,  1427,     0,  1570,     0,  1544,  2616,
    1559,     0,  1555,  1562,  1558,  1668,  1019,  1018,     0,  1019,
       0,  1019,     0,  1019,     0,  1019,     0,     0,     0,  1019,
    2264,  2265,  1001,     0,  1025,     0,     0,  1032,  1031,  1030,
       0,     0,     0,  1033,     0,  1793,  1605,     0,  1417,   235,
     186,     0,   247,   246,  1434,     0,     0,     0,  1087,  1249,
       0,  1247,  1086,     0,     0,  1430,   239,   237,     0,     0,
       0,     0,     0,     0,  1436,     0,  1428,     0,     0,     0,
    2249,  2251,  2252,  2152,  2222,     0,  2580,  2581,  2582,  2211,
       0,  2583,  2584,  2585,  2631,  2046,  2033,  2042,  2047,  2034,
    2036,  2043,  2586,  2587,  1981,  2588,  2589,  2259,  2590,  2591,
    2592,  2594,  2595,  2596,  2597,  2038,  2040,  2598,  2599,     0,
    2260,  2601,  2602,  2446,  2604,  2605,  2607,  2608,  2044,  2610,
    2611,  2612,  2613,  2614,  2615,  2258,     0,  2045,  2617,  2619,
    2620,  2621,  2622,  2624,  2625,  2626,  2627,     0,     0,     0,
    2233,     0,  2013,     0,  1853,  1854,  1876,  1877,  1855,  1882,
    1883,  1856,     0,  2232,  1918,  2097,  2012,  2029,     0,  2018,
    2019,     0,  2011,  2007,  1670,  2228,     0,  2008,  2248,  2250,
    2212,  1670,  2226,   200,   254,     0,   255,  2234,  2513,   188,
     230,   202,   229,   203,   201,     0,  2314,   189,     0,     0,
     190,     0,     0,     0,     0,   251,   249,     0,  1425,     0,
    1791,  1790,  2237,   923,     0,  1523,  1517,  1526,  1522,  1533,
    1530,  2162,     0,  1660,     0,     0,     0,  1640,  1639,     3,
       0,  1538,  1540,  1515,  1536,  1682,  1683,     0,     0,     0,
       0,     0,     0,     0,     0,  1738,  1698,  1699,  1701,  1735,
    1739,  1747,     0,  1646,     0,     0,  1795,     0,     0,  1450,
       0,     0,     0,     0,     0,  1156,     0,     0,     0,     0,
       0,   915,     0,     0,     0,  1470,     0,  1472,  1473,  1474,
       0,     0,     0,  1475,  1476,  1464,   243,  1482,  1480,  1463,
    1465,  1478,     0,     0,     0,     0,     0,     0,     0,  1489,
       0,   170,   171,     0,   638,   622,     0,  2389,     0,     0,
       0,     0,     0,  1164,  1171,     0,     0,     0,     0,     0,
       0,     0,     0,  1165,  1163,     0,  1166,   245,  1176,  1195,
    1198,     0,  1123,  1126,     0,     0,     0,     0,     0,  1306,
       0,     0,     0,     0,  1306,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   270,   272,
     283,   343,   601,     0,     0,     0,   604,     0,  2389,     0,
       0,     0,     0,  1217,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1198,     0,     0,     0,     0,     0,     0,
       0,     0,   131,   132,   137,     0,     0,     0,     0,     0,
    1198,     0,     0,     0,     0,     0,     0,   587,   600,     0,
       0,     0,     0,     0,   597,     0,     0,   133,   275,   577,
     583,     0,     0,     0,   703,   702,     0,     0,     0,     0,
    1394,  1393,     0,     0,     0,     0,  1487,  1486,     0,     0,
       0,     0,  1306,     0,   264,   266,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   379,   380,     0,     0,     0,   137,     0,     0,     0,
       0,   277,     0,     0,  1444,  1441,  1442,     0,  1447,     0,
       0,     0,     0,  2021,     0,  2166,  1690,  2164,  1141,  2218,
       0,  2282,  2652,  2653,  2654,  2655,  2656,  2657,  2658,  2659,
    2660,  2661,  2662,  2663,  2664,  2665,  2666,  2667,  2668,  2669,
    2670,  2671,  2672,  2673,  2674,  2675,  2676,  2677,  2678,  2679,
    2680,  2681,  2682,  2683,  2684,  2685,  2686,  2687,  2688,  2689,
    2690,  2691,  2692,  2693,  2694,  2695,  2696,  2697,  2698,  2699,
    2700,  2701,  2702,  2703,  2704,  2705,  2706,  2707,  2708,  2709,
    2710,  2711,  2712,  2713,  2714,  2715,  2716,  2717,  2718,  2719,
    2720,  2721,  2722,  2723,  2724,  2725,  2726,  2727,  2728,  2215,
    2214,  2243,  2283,  2284,  2285,  2286,  2221,     0,  1508,     0,
     957,     0,     0,     0,     0,   959,     0,   952,     0,     0,
     949,  2316,  2372,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   962,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   818,     0,  1464,  1496,     0,     0,     0,
     631,     0,  2389,     0,   135,   856,     0,   808,   443,     0,
       0,     0,  1188,  1377,   135,     0,     0,   173,     0,     0,
     700,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     747,   746,     0,     0,     0,   809,     0,     0,   135,     0,
    2389,   580,  2389,     0,   507,   507,     0,     0,  1089,     0,
       0,     0,     0,     0,     0,  1632,  1634,  1633,     0,  1631,
       0,   346,   347,     0,  1205,  1230,     0,     0,  1892,  1879,
    1887,  1886,     0,  1869,  1868,  1867,     0,  1866,     0,  1893,
    1893,  1891,  1870,  1845,     0,     0,     0,  1897,     0,  1895,
       0,   885,  1841,  1837,     0,  1904,  1905,  1906,  1903,  1916,
    1902,     0,  1851,  1907,  1860,  1857,   905,     0,     0,  1199,
       0,     0,  2389,   348,  2389,     0,  2389,     0,     0,     0,
    1207,   348,     0,  1201,     0,     0,  1203,     0,  1395,     0,
     901,   899,   898,   900,     0,     0,   883,     0,     0,     0,
    2389,   348,     0,     0,   878,     0,     0,   880,     0,     0,
       0,     0,  1668,     0,   219,   220,   218,  1560,   221,  1561,
    1557,  1543,     0,  1009,     0,  1013,     0,  1004,     0,  1010,
       0,  1005,  1002,  1003,     0,  1008,     0,     0,   508,   510,
       0,     0,  2339,  2355,     0,  2378,  2410,  2411,  2470,  2498,
    2503,  2509,     0,  2538,  2549,     0,  1034,  1064,  1029,   714,
       0,     0,  1615,  1418,  2169,     0,  1668,     0,     0,     0,
       0,  1238,  1239,   238,   209,     0,     0,     0,  1066,  2502,
    1433,   980,   622,     0,  2009,     0,  2016,  2017,  2210,     0,
       0,     0,     0,     0,     0,  2015,  2177,     0,     0,     0,
       0,     0,  1941,     0,     0,     0,  2190,     0,  2196,     0,
       0,  1978,     0,     0,     0,     0,     0,     0,     0,     0,
    1942,  1922,  1923,  2013,  2162,     0,  2014,  2255,     0,  1915,
    2231,  2152,     0,  2149,  2150,  2151,     0,     0,     0,  2225,
       0,  2160,     0,     0,  1956,  2158,  1958,     0,     0,     0,
       0,  2146,  2147,  2148,  2140,  2141,  2142,  2143,  2144,  2145,
    2156,  1938,     0,     0,  2099,     0,  1937,     0,     0,  1751,
       0,  2253,  2213,  1751,   256,   257,   253,     0,     0,   205,
     204,     0,   223,   227,   228,   199,   226,     0,   222,   207,
    2086,  2085,   206,   198,   195,   193,   210,   212,   213,   196,
     194,   250,     0,     0,     0,   348,  1541,     0,  1524,  1525,
    1521,  1528,  1748,     0,  1662,     0,  1666,  1541,     0,  1537,
    1657,  1656,  1691,  1692,  1107,  1655,  1718,  1719,     0,     0,
       0,     0,  1744,  1742,  1709,  1702,  1708,     0,     0,  1706,
       0,  1710,  1918,  1737,  1644,  1696,  1697,  1700,  1643,     0,
    1740,     0,  1618,  1738,  1701,  1602,     0,  1580,     0,  1796,
       0,     0,  1451,     0,     0,     0,  1136,  1138,     0,  1137,
       0,  1140,     0,  1149,     0,     0,  1135,  1154,     0,  1143,
    1141,     0,  1485,     0,     0,   916,     0,     0,     0,     0,
    1471,     0,     0,  2538,   242,  1474,  1479,  1466,  1477,     0,
       0,     0,     0,     0,  1068,  1067,     0,     0,  1091,     0,
       0,     0,  1492,   496,     0,   345,     0,     0,     0,     0,
       0,     0,     0,     0,   804,   801,     0,     0,   800,     0,
     636,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   676,     0,  1306,     0,   708,     0,  1173,
       0,     0,  1172,     0,  1177,     0,     0,  1174,  1169,  1170,
    2503,  2513,  2544,   244,  1175,  1197,     0,  1196,  1192,  1118,
       0,  1119,     0,     0,     0,     0,     0,  2365,  2389,   288,
     308,     0,  1305,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   330,
       0,     0,   333,   332,     0,     0,     0,     0,     0,   337,
     316,     0,   317,     0,   336,     0,     0,   602,   603,     0,
       0,     0,     0,  1306,     0,   279,     0,     0,     0,     0,
       0,     0,     0,  1214,     0,   731,     0,     0,     0,  2503,
    1193,     0,     0,     0,     0,     0,  1381,     0,     0,   159,
       0,   154,   158,     0,     0,     0,  2503,  1194,     0,     0,
       0,     0,   585,   586,   599,     0,   590,   591,   588,   592,
     593,     0,     0,     0,     0,     0,     0,     0,   584,     0,
       0,   698,   697,   701,     0,     0,     0,  1390,     0,  1188,
       0,     0,  1389,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1251,  1250,     0,     0,     0,     0,     0,
       0,   846,     0,     0,     0,     0,     0,     0,     0,     0,
     161,   718,     0,   717,     0,   155,   160,     0,     0,     0,
       0,     0,     0,     0,   217,  1440,  1446,  1690,  1690,  1690,
    2027,     0,     0,     0,     0,  1689,  2216,  2219,  1511,  2244,
    1510,     0,     0,     0,     0,   961,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   953,   954,   955,   956,     0,
       0,     0,     0,     0,   393,   390,   391,   393,     0,     0,
       0,     0,   820,     0,   823,   826,     0,  1462,   462,     0,
       0,   628,   676,     0,     0,   446,   168,     0,     0,     0,
       0,   733,     0,     0,     0,  1376,   130,   177,   179,   444,
       0,   178,   180,   182,   183,   184,   181,   185,     0,   695,
     699,     0,     0,     0,     0,   624,     0,     0,     0,     0,
       0,   748,   752,   751,   755,   753,     0,   749,     0,     0,
    1816,     0,     0,   153,     0,     0,   575,   579,     0,     0,
       0,     0,   446,   548,   359,  2389,     0,   507,     0,  2389,
       0,  1088,     0,   807,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1630,   348,  1158,     0,  1484,     0,
       0,     0,   348,  1890,  1889,  1842,  1838,     0,     0,     0,
       0,   919,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1858,   348,  1122,   167,  2271,     0,   887,     0,     0,
       0,     0,   348,  1216,   875,   348,   163,   348,   348,   627,
       0,   348,   165,     0,     0,     0,   619,   348,   913,   348,
    2239,     0,   348,  1573,  2389,   507,  1545,  1556,  1006,  1015,
    1014,  1012,  1011,  1007,     0,  1026,     0,   506,     0,     0,
       0,     0,     0,  1042,  1043,     0,     0,  1039,  1044,     0,
    1040,  1041,  1046,  1036,  1035,  1047,  1048,     0,     0,  1066,
     712,     0,     0,     0,     0,  1612,     0,  1610,     0,  1794,
    1614,  1603,  1564,     0,  1563,     0,   568,  1087,  1087,  1248,
       0,     0,  1023,     0,     0,   348,  1432,     0,   982,   988,
       0,     0,     0,     0,     0,     0,     0,   991,   992,     0,
     993,   984,   994,   985,   995,     0,   986,     0,     0,     0,
       0,  2223,  2173,     0,  2174,     0,     0,  2209,  2205,     0,
       0,     0,     0,     0,  2178,  2181,  2182,  2183,  2180,  2184,
    2179,     0,     0,  2185,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2608,     0,     0,     0,     0,  1982,     0,
       0,  2133,     0,  2162,  2195,     0,     0,     0,     0,     0,
       0,  2162,  2201,     0,     0,     0,     0,  2084,     0,  2081,
       0,     0,     0,     0,  2222,     0,     0,  2256,  1919,  1933,
    1934,  1935,  1939,  2230,     0,  2224,     0,     0,  1920,  1947,
       0,  2202,  1974,     0,  1979,  1962,     0,  1955,     0,  1960,
    1964,  1943,     0,  1940,     0,  2225,  2161,     0,  2159,     0,
    1930,  1931,  1932,  1924,  1925,  1926,  1927,  1928,  1929,  1936,
    2137,  2135,  2136,     0,     0,     0,  2107,     0,     0,  1959,
    2381,  2417,     0,  1681,  1681,  1681,  1669,  1679,  2229,     0,
    1811,  1690,  1811,  2235,     0,     0,  1915,     0,  1792,   921,
     922,   920,  1514,  1518,  1527,  1541,  2163,  1535,  1664,     0,
       0,  1516,  1539,     0,  1105,  1106,     0,  1110,  2608,  2500,
       0,     0,     0,     0,  1711,  1745,     0,  1736,     0,  2249,
    1712,  2248,  1713,  1716,  1717,  1707,  1746,  1616,     0,  1741,
    1648,  1647,     0,  1814,     0,     0,     0,  1594,  1582,     0,
    1797,     0,  1751,  1620,     0,  2222,  1749,  1352,  1252,  1315,
    1139,     0,  1860,  1150,     0,  1134,     0,  1133,  1860,     0,
    1151,     0,  1860,  1353,  1253,  1316,   917,  1354,  1254,  1317,
    1355,  1255,  1481,  1469,  1468,  1467,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     785,  2389,   348,  1490,  1356,     0,  1256,   344,  1491,  1318,
    1495,   803,   802,     0,     0,  1319,     0,   637,     0,   641,
       0,   643,   644,   645,     0,     0,     0,   646,     0,  2316,
    2372,   648,   651,   652,   653,   660,   665,   655,     0,     0,
     667,   661,     0,     0,     0,     0,     0,     0,   673,   678,
       0,     0,     0,     0,     0,     0,     0,  1167,  1168,  1357,
    1259,     0,  1320,  1117,     0,  1260,   169,     0,     0,   271,
    2389,   290,     0,   680,   785,     0,  1308,   287,   314,     0,
       0,   329,   324,   325,   323,  2389,   348,  2389,   348,     0,
       0,     0,     0,     0,   326,   321,   322,   318,     0,     0,
     331,  2291,  2357,  2514,     0,   684,   686,     0,   691,   334,
    1280,   355,   354,   353,     0,   338,     0,   360,   363,   335,
     315,   313,   310,   284,     0,     0,     0,     0,     0,     0,
       0,     0,  2242,     0,     0,  1209,     0,  1360,  1321,     0,
    1343,     0,     0,     0,     0,   725,     0,  1363,  1266,  1324,
    1382,  1384,  1374,  1267,  1383,   157,  1295,   146,     0,     0,
     142,     0,     0,     0,     0,   136,     0,  1364,  1268,  1325,
       0,  1365,  1269,     0,     0,   276,   578,   589,   594,  1274,
     598,   595,  1333,   596,  1372,  1270,  1368,  1298,  1328,  1375,
    1391,  1271,  1188,  1386,  1388,     0,  1306,     0,   265,   267,
       0,   286,     0,  1272,     0,  1326,  1367,  1297,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1498,     0,     0,
       0,     0,     0,     0,   348,     0,     0,     0,  1308,  2389,
     348,  1366,     0,  1303,     0,  1341,     0,   381,     0,  1296,
       0,     0,   278,  1276,  1335,     0,     0,   215,   214,   216,
       0,     0,     0,     0,  2167,  2168,     0,  2165,  2022,  2218,
       0,   970,   928,   969,     0,  2355,     0,   927,   929,     0,
       0,     0,   930,     0,   934,   935,     0,     0,     0,   926,
     924,   925,   392,     0,     0,   742,   743,     0,     0,     0,
       0,   822,     0,     0,     0,  1488,     0,   133,   635,     0,
       0,     0,   630,   675,   680,     0,     0,     0,     0,   445,
     449,   453,   454,   455,     0,     0,     0,     0,   147,   134,
       0,   864,     0,   507,     0,   735,  1380,  1379,  1187,     0,
     179,   172,     0,     0,   696,     0,  1536,     0,     0,   359,
     817,   815,   814,   816,     0,     0,     0,   838,   813,     0,
    1815,  1817,     0,     0,     0,     0,     0,     0,   568,   448,
       0,     0,   510,     0,   551,     0,     0,     0,     0,   548,
       0,     0,     0,  2275,     0,   834,   806,  1128,     0,  1146,
    1129,     0,     0,     0,     0,  1181,  1113,  1182,  1159,  1114,
       0,     0,   607,  1635,  1636,     0,  1206,     0,     0,  1859,
    1872,   886,     0,  1900,  1899,  1901,  1901,     0,  1843,     0,
    1884,  1909,  1910,  1911,  1912,  1913,  1914,     0,  1908,  1852,
    1200,   348,     0,   348,     0,   348,  1208,  1202,  1204,  1396,
       0,   884,     0,     0,   348,   877,   879,     0,   881,     0,
    1027,   509,     0,     0,     0,     0,     0,     0,  1038,   605,
    1045,     0,  1059,  1054,  1056,     0,  1060,   711,     0,     0,
    1613,  1606,  1608,  1607,     0,     0,  1604,  2170,   876,     0,
     574,     0,     0,     0,     0,   348,     0,  1061,     0,     0,
     989,   983,     0,     0,   987,     0,     0,     0,   990,     0,
       0,  1686,  2171,  2172,     0,     0,     0,  2206,     0,     0,
    2059,     0,  2035,  2037,  2049,     0,  2060,  2020,  2061,  2039,
    2041,     0,  2153,     0,     0,  2050,     0,  1984,  1985,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2000,  1999,  2051,  2132,
       0,     0,  2193,  2194,  2052,     0,     0,  2200,     0,     0,
       0,  2057,  2062,     0,     0,     0,     0,  2068,     0,  2089,
       0,     0,     0,  2010,  2163,     0,     0,     0,     0,     0,
       0,     0,     0,  1980,  1963,  1957,     0,  1961,  1965,     0,
       0,     0,  1951,     0,     0,  1949,  1975,  1945,     0,     0,
    1976,     0,     0,     0,  2028,     0,     0,  1681,  1681,  1681,
    1681,  1678,     0,     0,     0,     0,  2500,  2628,     0,  1775,
    1750,  1752,  1762,  1775,  1780,  1775,  2030,  1809,  2031,  2236,
       0,  1721,     0,  1721,   191,     0,   224,   211,  1513,  1665,
    1668,  1693,     0,  2154,  1110,     0,  1695,  1715,  1714,     0,
    1705,  1743,  1703,  1617,  1601,     0,  1599,  1586,  1588,  1587,
       0,     0,  1589,  2222,     0,  1599,  1581,  1625,     0,     0,
    1814,     0,  1624,     0,  1860,  1131,  1132,     0,  1155,     0,
    1071,  1072,     0,  1070,     0,     0,     0,   495,  1090,     0,
       0,     0,   785,     0,     0,   499,     0,  1493,     0,  1373,
    1294,   639,   640,     0,   654,     0,   663,   662,     0,     0,
       0,     0,     0,     0,     0,   647,   669,   611,   670,   672,
       0,     0,   671,   674,   677,  1306,     0,   709,  1282,     0,
    1339,  1161,  1309,     0,  1120,     0,     0,     0,     0,     0,
       0,   462,   309,     0,     0,     0,     0,   368,     0,   292,
     301,   366,   307,     0,  1314,   340,     0,   312,     0,   305,
     327,   319,   328,   320,   339,   341,     0,   688,   689,   687,
     683,     0,   690,   692,     0,   357,     0,     0,     0,  1359,
       0,  1306,     0,   280,     0,  1278,     0,  1337,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1342,
       0,     0,     0,     0,   730,     0,   727,  1310,     0,     0,
     139,   138,     0,   145,     0,  1311,     0,     0,     0,     0,
    1392,     0,     0,     0,     0,     0,     0,   375,     0,   285,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   382,   350,     0,
     841,     0,     0,     0,   384,     0,     0,     0,     0,     0,
    1358,  1261,  2025,  2026,  2023,  1690,  2217,     0,     0,     0,
     941,     0,     0,     0,     0,     0,     0,   395,   396,   133,
     394,   417,     0,   785,     0,     0,   819,   824,   832,  2446,
    2140,  2141,   830,   825,   827,   829,   831,   828,     0,     0,
       0,     0,     0,   478,     0,     0,     0,   468,     0,     0,
    1188,   461,   464,   465,     0,     0,   631,   634,   632,   633,
     668,     0,   448,   485,   536,     0,   149,     0,     0,   150,
     148,     0,     0,   359,   732,     0,   729,     0,   175,   444,
       0,   700,     0,     0,     0,  1188,   623,   754,   757,   750,
       0,   837,   839,   811,     0,   680,     0,     0,   580,     0,
     507,  1574,   563,     0,   538,   448,   536,   547,     0,     0,
     555,   358,     0,     0,   568,   359,     0,     0,  1091,     0,
     833,     0,  1127,     0,     0,     0,  1178,  1183,  1179,     0,
       0,  1142,     0,  1180,  1160,  1412,  1413,  1410,  1411,     0,
       0,     0,  1627,     0,  1878,     0,  1896,  1894,  1839,  1844,
    1917,   888,     0,   871,     0,   873,   348,   719,     0,   620,
     348,     0,     0,     0,     0,     0,     0,  1037,     0,  1057,
       0,     0,  1020,  1063,     0,     0,  1611,  1609,   566,     0,
    1240,  1241,  1066,     0,  1021,  1065,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2175,     0,  2208,  2204,     0,
    2032,  2176,     0,  2188,  2187,  2133,     0,     0,  1983,  1995,
    1996,  1997,  2189,     0,  2005,     0,     0,  1992,  1993,  1994,
    1986,  1987,  1988,  1989,  1990,  1991,  1998,  2198,  2197,  2191,
    2192,     0,  2054,  2055,  2056,  2199,  2063,     0,  2306,  2090,
       0,  2067,  2083,  2082,     0,     0,     0,  2070,     0,     0,
    2079,     0,  2134,  2257,  1921,     0,     0,  1948,  2203,  1966,
       0,     0,     0,  1944,  2153,     0,     0,     0,     0,     0,
    1953,     0,     0,     0,  2110,  2105,  2106,  2130,     0,     0,
       0,     0,     0,     0,  1672,  1671,  1677,  1775,  1780,  1775,
       0,     0,  1650,     0,  1762,     0,  1774,  1760,  1773,     0,
       0,  1786,  1784,     0,  1786,     0,  1786,     0,  1754,     0,
    1776,  1756,  1773,  1758,     0,  1801,  2237,  1810,     0,  1734,
    2022,  1734,     0,     0,     0,  1694,  1108,  1109,  1704,  2335,
    1812,     0,  1600,     0,     0,     0,  1591,  1597,  1579,     0,
       0,  1621,  1599,  1622,  1152,     0,     0,  1144,  1077,  1078,
    1081,  1079,  1076,  1080,     0,     0,     0,   785,     0,     0,
     517,     0,  1102,  1102,     0,     0,   501,   560,   512,   788,
       0,     0,     0,   786,   348,  1257,     0,   664,     0,     0,
     659,   657,   656,   658,     0,   612,  1371,  1258,     0,     0,
       0,     0,  1162,     0,     0,  1281,     0,   289,     0,   458,
       0,     0,   302,     0,   298,     0,  1307,     0,     0,     0,
       0,   297,   370,     0,   367,     0,   348,   348,   342,   685,
     356,   361,   362,   365,     0,     0,     0,     0,     0,  1313,
       0,     0,     0,     0,     0,     0,     0,   865,   848,     0,
       0,   866,   867,     0,     0,     0,  1211,  1212,  1210,  1344,
    1345,  1350,  1347,  1346,  1349,  1351,  1348,     0,  1264,     0,
       0,   723,   143,   140,   141,   144,  1292,  1275,  1334,  1387,
       0,     0,     0,  1273,     0,  1327,     0,  1288,  1284,     0,
       0,     0,     0,     0,  1370,  1302,  1332,  1369,  1300,  1330,
    1299,  1329,  1301,  1331,     0,  1293,     0,  1819,   845,     0,
       0,     0,   348,   348,   844,   721,  1277,  1336,     0,     0,
       0,   931,     0,     0,   933,   936,     0,   938,   400,   418,
     133,     0,   741,   805,     0,     0,   821,   784,     0,   466,
       0,   472,   476,     0,     0,   480,   481,   479,   467,  1188,
     507,   559,   774,   775,     0,     0,   795,     0,   629,     0,
     446,     0,   482,     0,     0,   450,   152,   151,     0,     0,
       0,   736,   740,   738,   737,   739,   734,     0,   725,   179,
    2389,     0,     0,     0,     0,   561,  1385,     0,   767,   812,
       0,  1818,   715,     0,   359,   576,     0,     0,     0,   446,
     568,     0,   451,   456,   457,   462,     0,   548,   537,     0,
     538,   549,   550,     0,   557,  1460,     0,   569,   557,     0,
       0,     0,   836,     0,   835,  1130,  1147,  1148,     0,     0,
    1111,     0,     0,     0,     0,   614,   348,  1840,   348,   348,
    1237,     0,   882,  1051,  1052,  1053,  1050,  1049,   606,     0,
    1055,   713,     0,   567,   348,     0,   997,   975,   996,   974,
     976,     0,   978,   979,   973,   971,   972,  2207,  2048,  2058,
    2186,  2132,  2163,     0,     0,  2006,     0,     0,  2053,  2618,
       0,     0,  2094,  2095,     0,  2091,  2092,  2087,  2088,  2069,
       0,  2436,  2074,     0,     0,     0,  1972,  1970,  1967,     0,
    1968,  1952,     0,     0,  1950,  1946,     0,  1977,  2096,     0,
    2112,  2109,  2129,  2163,  1676,  1675,  1674,  1673,  1761,  1757,
    1759,     0,  2623,     0,  1764,  1771,     0,  1753,     0,  1785,
    1781,     0,  1782,     0,     0,  1783,     0,     0,  1755,     0,
    1771,     0,  1808,     0,     0,  2101,  2254,  2101,   225,  1663,
       0,     0,  1598,  1583,     0,  1584,  1590,     0,     0,     0,
       0,  1626,  1619,  1145,  1153,     0,     0,     0,   497,     0,
     512,     0,     0,     0,  1104,  1104,     0,   512,     0,  1188,
     790,   789,   792,   787,   791,  1494,     0,   649,   650,   666,
    1283,     0,  1340,  1290,     0,  1615,   291,     0,   681,   296,
       0,     0,   293,   369,   371,   294,   295,   299,   350,   311,
     304,     0,     0,     0,  1279,     0,  1338,  1286,  1361,  1262,
    1322,     0,     0,   854,     0,     0,     0,     0,  1362,  1263,
    1323,     0,     0,     0,     0,  1615,     0,     0,     0,     0,
       0,     0,     0,     0,  1503,     0,  1312,   349,   843,   842,
     350,   383,  1304,  2024,     0,   932,   939,   940,   937,     0,
     389,   397,   400,     0,     0,  1228,  1228,     0,   785,     0,
       0,   463,   477,     0,   559,   516,     0,   469,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   728,   727,   174,     0,   446,     0,   680,     0,
     761,   762,   756,   758,     0,   769,   773,   840,     0,     0,
       0,   568,   448,     0,     0,  1571,   447,     0,     0,   459,
       0,   551,   538,   548,     0,     0,   565,     0,  1453,     0,
     571,     0,     0,     0,  1184,     0,  1190,     0,  1141,  1185,
       0,  1811,     0,     0,     0,     0,   618,  1229,   872,   874,
     720,  1058,     0,  1062,   348,   977,  2134,  2001,     0,     0,
       0,     0,  2064,     0,  2065,  2093,  2071,  2075,     0,  2072,
    2073,  1969,  1973,  1971,  1954,  2098,     0,  1690,  2131,  1804,
       0,  1807,     0,     0,  1763,     0,     0,  1765,     0,     0,
    1767,  1769,     0,     0,     0,     0,     0,     0,  2240,  2334,
    2592,  2497,     0,  1720,  1722,  1725,  1727,  1726,  1728,  1724,
    1733,     0,  1652,  1651,  2155,  1813,     0,     0,     0,  1092,
       0,  1623,  1059,     0,   348,  1102,  1188,   518,  2446,   519,
    1101,  1103,  1107,  1107,     0,  1188,     0,   559,   642,     0,
       0,   273,   679,     0,     0,   303,   352,   364,     0,  1615,
       0,     0,   852,   861,   861,   849,     0,     0,   868,  1265,
     724,     0,     0,   268,  1289,  1285,     0,     0,     0,  1505,
    1506,     0,     0,     0,     0,     0,   348,   942,     0,   420,
     427,   401,   405,  1497,     0,  1497,     0,   402,   406,  1497,
    1497,   399,  1811,   416,  1228,     0,  1225,  1224,   783,     0,
     505,   582,     0,   470,     0,   527,     0,     0,   796,     0,
       0,   448,   536,     0,   494,   486,   487,   488,   490,   489,
     491,   492,   493,   484,   483,     0,   680,   858,   359,  1460,
     722,     0,     0,   693,     0,   759,   764,   763,  1497,   768,
       0,     0,     0,   680,     0,  1574,   564,   538,   448,   536,
     452,   462,   540,     0,   541,   555,   548,   551,     0,   552,
       0,   556,     0,     0,     0,   568,  1507,  1091,     0,  1189,
       0,     0,     0,     0,     0,     0,  1232,   613,     0,     0,
     617,   608,   680,  1022,  2002,     0,  2003,     0,     0,  2077,
    2076,     0,  2116,  1809,     0,     0,  1803,     0,     0,  1833,
       0,     0,     0,  1772,  1788,     0,  1768,  1766,     0,  1777,
       0,  1779,     0,     0,     0,  1729,     0,  2100,  2102,     0,
       0,  1596,  1811,     0,  1593,     0,  1073,     0,  1074,  1104,
     559,     0,  1110,  1110,   507,   559,     0,   785,  1291,     0,
     682,   582,     0,   306,     0,   281,  1287,     0,     0,   863,
     863,     0,     0,     0,     0,     0,     0,   377,     0,     0,
    1499,     0,  1500,  1501,  1504,   385,   398,     0,   425,     0,
     423,   422,   424,     0,   413,     0,     0,     0,     0,     0,
       0,   388,  1223,  1227,  1226,     0,     0,   471,     0,   473,
       0,   513,   514,   515,     0,   475,   523,   524,     0,   793,
       0,   798,     0,     0,     0,   680,   535,   704,     0,     0,
       0,  1454,     0,     0,   562,     0,   770,   771,   766,     0,
       0,   716,  1460,   568,   548,     0,   538,   460,     0,   557,
     551,   555,   553,   554,     0,  1457,     0,   570,     0,  1098,
    1112,  1191,  1186,  1416,     0,     0,   616,   615,   710,  2004,
    2080,  2066,  2078,  2111,     0,     0,     0,     0,  1802,  1805,
       0,  1836,     0,     0,     0,     0,  1822,     0,  1770,     0,
       0,  1778,     0,     0,     0,  1723,     0,     0,  1585,  1595,
    1093,     0,     0,  1107,   522,     0,  1095,  1094,   516,   785,
     511,   498,  1615,   300,   351,     0,     0,     0,   859,   862,
     850,   851,   870,   869,   726,  1615,     0,   373,   372,     0,
     376,     0,   421,   430,     0,   428,   403,   408,     0,   412,
     410,   409,   404,   407,     0,   504,     0,     0,     0,     0,
       0,   525,     0,   526,   558,     0,   797,     0,     0,     0,
     706,   857,     0,     0,   446,   680,   760,   765,     0,     0,
    1455,  1572,   551,   538,   548,     0,     0,   542,  1102,  1102,
     433,   555,   557,  1458,  1459,     0,     0,   359,  1415,  1414,
    1668,     0,     0,  2579,  2335,  2551,     0,  2128,  2117,  2128,
    2128,  2108,     0,     0,  1834,  1835,  1820,     0,     0,  1824,
    1787,  1800,  1731,     0,  1730,  2103,  2104,  1811,   348,  1110,
       0,   785,   520,   527,   500,   274,  1615,   853,     0,   269,
       0,   378,  1502,   426,     0,   411,   773,   581,   474,   532,
       0,   531,     0,   529,   528,   794,   799,     0,   680,   847,
    1460,   694,   772,     0,   555,   548,   551,     0,   539,     0,
    1104,  1104,   557,   431,     0,     0,   557,  1398,  1668,  1397,
    1399,  1407,  1404,  1406,  1405,  1403,  1235,  1236,     0,  2121,
    2120,  2119,  2123,  2122,     0,  2115,  2113,  2114,  1806,     0,
    1823,  1826,     0,     0,     0,  1832,  1825,  1827,     0,  1798,
    1732,  1592,  1075,  1096,     0,   502,   785,   282,   860,     0,
     429,     0,   530,   534,   533,   680,   705,  1456,   778,   557,
     551,   555,  1102,   543,   545,   544,   435,  1098,  1099,     0,
    1811,     0,  1408,  1402,  1650,  1637,     0,     0,     0,     0,
    2125,     0,  2126,     0,  1829,  1830,  1831,  1828,     0,     0,
     503,     0,     0,   707,   780,     0,   776,   779,   781,   782,
     434,   555,   557,  1104,   359,  1097,     0,  1082,  1400,  1668,
       0,     0,  2118,  2124,  2127,     0,     0,   521,   374,     0,
     744,     0,   557,   432,   546,   557,  1100,  1401,     0,     0,
       0,  1799,     0,   777,   436,  1811,     0,     0,  1821,   778,
    1083,     0,     0,     0,  1233,  1234,   745
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -4903, -4903, -4903,  3727, -4903, -4903,  -900,   394,  2959,  -629,
   -4903, -4903, -4903,  1362, -4903, -4903, -4903, -4903,  3682, -4903,
    2044, -2437, -4903, -4903,   134,  -397, -1301,   109,  3241,  1693,
   -4903, -1143, -4903, -4903,  -514,   172, -4903,   329,   297, -4903,
   -4903, -4903, -4903, -4903, -4903, -4903, -4903,  -710,  2159, -4903,
    2240,  1522,  2904, -2762, -4903, -4903, -1440, -3237, -4903,   834,
   -4903,   861, -4188,  -647, -4903, -4903, -4903,  2144, -4903, -4903,
   -4903,  2087,  1327,   -92, -4903, -4903, -4903, -4903, -4903, -4903,
    -495, -4903, -4903,  -740,   146,    39, -2458, -3762, -4903, -4903,
     701,  -140, -1428, -4903, -3590, -4903,   238, -2488, -4903, -4903,
   -4903,  -107, -1401,  1628, -4903,  -697, -1118,  1936, -2503,  -605,
   -4903,    15, -4903,  -716,  -508,  -504,  -635, -3784, -4267, -4903,
   -4903, -4903,  -744, -3201, -4523, -4739, -4262, -4455,  1639, -4903,
     154, -3134, -3206,   155,   675, -4903,   158,   159, -4903,   691,
    -441,  -907, -1519, -4903,  -749, -4903, -4903, -4903, -2930, -4903,
   -4903, -4903, -4903,    78, -4903, -4903, -4903, -4903,   735, -4903,
   -4903, -4903, -4903, -4903, -4903, -2694,  2110,  2111, -4903, -3150,
   -4903,  -865, -4903,   884, -2979,  1544, -4903, -4903,  1313,  3715,
     720, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -1723, -4903,
   -4903, -4903, -4903,   234,   -79, -4903, -4903, -4903, -4903, -4903,
   -4903, -4903,   160, -4903,  2131,  1314, -4903, -4903,   -83, -4903,
   -4903, -4903, -4903, -4903, -4903,  -695, -4493,  -855,  -836, -4903,
   -2955, -4903, -4903, -4903,   -51, -4903, -4903, -4903, -4903, -4903,
    -840, -4903,  1379, -3610, -4903, -4903,   699, -4903, -4903, -4903,
   -4903, -4903,  -610,    10,  2884, -4903,  -219,  -410, -4903, -4903,
   -4903,    14, -4903, -4903, -4903, -4903, -4903, -4903, -4903, -4903,
   -1097,  7782,  -818,  -576, -4903, -4903, -4903, -4903, -4903, -1948,
   -4903, -4903, -4903, -4903, -3662, -4903,  4626,  2221,   684,   170,
   -4903,   -29,    56,  3480, -1146, -2643,   665,  -175, -4903, -4903,
   -4903, -2573, -4903, -4903, -4903, -4903, -3526,   171, -4903,  -654,
   -4903, -3813, -4520, -3565,  -759, -4903, -4067, -4435, -4551, -3513,
   -4903, -4903, -4903, -4903,  -546,  -185,  2848, -4903, -1388,  2485,
    -897, -4903, -2105,   718,  1729,  2857, -2737,  -136,  2853, -2516,
    -648, -3261, -4903, -4903, -2336,  -307, -4903, -4903,  1488,    -3,
   -4903, -4903, -4903, -4903,  -617,  2798,  -203, -4903, -4903,  4023,
   -4903, -4355, -4903,  3982, -4903, -4903, -4903, -4903,  2706,  2712,
   -4903,  2709, -4903, -4903, -1382,  1482, -4903, -4903, -4903, -4903,
     924, -4903, -4903, -4903, -4903, -4903, -4903, -4903,  1390,   910,
   -4903, -4903, -4903, -4903, -4903,  -581,  -758, -4903, -4903,   173,
   -4903, -4903, -4903, -4903,  2145,  -891,  -726,  3896,   626,   182,
   -4697, -4903, -4903, -1124, -4903,  3286, -4903, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -4903, -2616, -4903, -4903, -4318, -4903,
   -4903, -4903, -4903, -4903,  3883,   112,  2601, -4903, -4903, -4903,
     -46, -4903, -4903,  -958,  2594, -4903, -1929, -4903,  -597, -4903,
    2789, -4903, -4903, -4903, -4903, -1886,   191, -3795, -4903,    12,
   -4903, -4903,   145, -4903,   563, -4903, -4903, -3426,    16, -4903,
   -4903, -4903, -4903, -4426, -4903,    20,  -471,  1093, -2807, -4903,
     205,    92, -4903, -4903,     2,   286,   -49,   -55,   -19,     6,
     116,  3361, -4903, -4903,  3402, -4903,    18,  1768, -4903, -4903,
    -824,  -167, -4903,  1841,  -633,  2574,  3363,  3366, -4903,  1829,
    2602, -1960, -1944, -4903,  1136,  -451,  -293, -4903, -4903, -4903,
   -4903,   593,  -622,  2585, -4903,  3370, -4903, -4903, -4903, -1939,
   -2834, -3461,  1161, -3443, -3340,   632,   617, -1344,   -60,   -38,
    -751,  3367, -4903, -4903,  1169,  -259, -4903, -4903,  -256, -2811,
    1118, -4903, -4338, -2323,  1189,  -699,  -548, -4903,  -616, -4903,
    -404,  -540,  2932, -1056, -4903, -4903,  -993, 15247, -4903, -4903,
   -4903, 15934, 16070, -4903, -4903, 16531, 17354, -4903,  -800, 17855,
   14181, -1021, -1878,  -396, 13763, -1745,  -463,    52, -4903, -3073,
   -1313, -4903, -4903, -4903,     1,  1243,   815, -4903, -4390, -3818,
   -4903, -4903,   216, -4903,  -406, -4903,  -411, -4903, -4903, -4903,
   -2566, -4902, -2652,  2716, -4903, -4903, -4903,  -200, -4903, 18880,
   -2746, -4903,  -355, -1322, -1508, -3440, -1884, -4903, -4903, -4903,
   -4903, -4903, -4903, -4903, -1415, -3309,  -439,  1955, -4903, -4903,
    2046, -4903, -4903, -4903,  -909,  2327,  -777, -2638,  1962, -4903,
    -770,  2720,  -767, 13149,  -567,  9648,  -533, -2232, -1246, -1646,
   -4903,  5173, -4903,  7599,  6575,    31,  -141,  2254,  -594,    -6,
   14650,  -652,  -711,  4613, 12896, 11728, -3135
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    53,    54,    55,    56,    57,  1534,  2506,  2361,  3288,
    3289,    58,    59,  1530,    60,    61,    62,    63,  1445,    64,
    1020,  1777,  2521,    65,  2194,   803,   804,   805,  2095,  2096,
    2445,  2097,  2085,  1331,  1918,  1467,   777,   778,  1427,  1468,
      67,    68,  1325,  2076,    69,    70,    71,  1498,  1585,  1499,
    1500,  1439,  1824,  4317,  5053,  3085,  2324,  3336,  3086,  3087,
    3710,  3711,  3789,  5067,  5068,    72,  1601,  1602,    73,    74,
    2487,  3253,  3839,  4670,  4671,  4901,   613,  4340,  4341,  4888,
    4889,  5081,  5224,  5225,  2522,  1769,  3331,  3924,  3279,  4411,
    3280,  4412,  3281,  4413,  3265,  3871,  3872,  4354,  3873,  3282,
    4372,  4933,  3283,  2213,  5097,  2563,  1940,  1938,  4589,  4915,
    4179,  4180,  5311,  5105,  5106,  5107,  5333,  4374,  4417,  4418,
    4963,  5266,  5267,  3334,  3930,  4424,  4736,  4687,  2970,    76,
     709,  1803,  3440,   710,  2566,   647,   711,  2523,    81,  2556,
    5099,  2557,  1560,  2375,  3852,  3420,    82,  1046,  3676,  4756,
    4990,  4991,    83,   225,    84,  1785,    85,    86,  2501,  3272,
      87,  2230,  2987,    88,    89,  3018,  3019,  3020,    90,  3701,
    4607,  1501,  3074,  3075,  3076,  3077,  3732,    91,  1780,  2530,
    2531,    92,    93,    94,    95,  2682,  2683,    96,  2432,    97,
      98,    99,   100,  3766,  4281,  4388,  3115,  3295,  3896,  4386,
     101,  3257,  2524,  1793,  2546,  2547,  4398,  4712,  4713,  4714,
    4948,  5256,  4716,  4950,  5128,  4952,  4364,  5445,  5446,  4678,
    3655,  4193,   103,  4365,  4366,  5112,   104,  2228,   105,   106,
    1753,  2493,  2494,  3853,  2573,  3344,  3345,  3910,  3911,   107,
    3197,   108,  4257,  4258,   648,  5119,  5059,  5210,   109,   110,
    4261,  4262,   111,   112,   113,   114,   115,   701,   702,   703,
    1137,  1138,  2942,  1085,   116,  2105,   117,   983,   984,  3232,
     118,  1218,  2728,  2729,  4467,   119,   734,  1157,  1158,  2525,
     121,   743,  2702,   745,  1955,  3422,  3423,  3992,   122,   123,
    2679,  2705,   124,  1432,  2204,  2205,  4174,  2526,   649,  1203,
    2570,  2965,  4828,  4829,  5277,  5419,  4584,  4842,  2887,  3606,
     126,   650,  1472,  2280,  1105,  1106,  2576,  3348,  2173,  2174,
    2175,  3950,  2176,  3350,  2177,  1405,  2178,  1056,  1057,  3356,
    3357,  3358,  3946,  3953,  2515,  4746,  4747,   127,  1470,  2278,
     128,   129,   130,  1513,   896,  1115,  1116,   131,   662,   663,
     132,  4906,   133,  1059,   134,  4754,   135,   136,   768,   769,
    1200,  1201,   137,   138,  2294,  3713,   139,   140,   141,  3109,
    3110,  4273,   142,   143,  1772,  1773,   144,   145,  3162,  3163,
     146,   147,   148,  5359,  5421,  5422,  5423,  3959,  5280,  5361,
    1188,   150,   151,   152,   189,   936,   937,   938,   849,  2527,
    4738,   154,   155,  1428,  1429,  1430,  1431,  2199,   156,   157,
     158,   159,   160,   161,   162,  1757,   163,   164,  4881,   165,
     166,  1718,   167,   168,  1354,  1355,  1356,  1357,  2110,  2875,
     607,   821,  1360,  1366,  1371,  1372,  1373,   170,   713,  1151,
    1152,  1153,  1920,   171,  1196,   987,   714,  1146,   173,   715,
    2156,  2917,  3620,  3621,  3622,  3625,  4569,  4152,   716,  2913,
     176,  1962,  2688,  2691,  2909,   717,  2922,  2923,  2924,  3628,
     718,   736,  1049,  2583,   719,  1292,   181,   182,   183,   830,
     824,   825,  2880,   185,  2069,  2856,   752,  1377,   790,   791,
     839,  2455,  2122,  2123,  2147,  2148,  1386,  1387,  2135,  2139,
    2140,  2900,  2893,  2128,  4139,  4813,  4814,  4815,  4816,  4817,
    4818,  4555,  2143,  2144,  1389,  1390,  1391,  2152,   186,  2860,
    3580,  3581,  3582,  4116,  4117,  4131,  4127,  4540,  4800,  3583,
    1186,  1397,  4548,  5389,  3584,  4789,  4790,  5006,  4135,  3591,
    3616,  3319,  3320,  3321,  3585,  5175,  5176,  5386,  5387,  5008,
    5009,  2179,  1853,  1087,  1293,  1088,  1865,  1294,  1837,  1090,
    1295,  1296,  1297,  1093,  1298,  1299,  1300,  1096,  1829,  1301,
    1302,  1847,  1862,  1863,  1361,  5010,  1304,  1305,  1306,  3587,
    1307,  4070,  4504,  4490,  2788,  2789,  2092,  4066,  3525,  4060,
    2064,  2846,  4822,  5027,  5028,  3564,  4095,  4520,  4787,  5167,
    5287,  5288,  5375,  1308,  1309,  1310,  2843,  2060,   899,  1311,
    3855,  2062,  2782,  1626,  1627,  1965,  1987,  2735,  2751,  2752,
    2762,  3484,  2770,  2775,  3512,  3513,  2783,  2812,  1312,  2737,
    2738,  3468,  1989,  1313,   942,  1630,   943,  1984,  2807,  1321,
    1314,  1315,  1956,   814,  4796,  1141,   855,  3101,  1710,   945,
     749,  1316,  1317,  1318,  1319,  1506,   870,  1108,  1109,   604,
     596,   872,  3078,   605,   598,   599,  1715
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     595,   897,   179,   829,   898,  1559,   184,   813,   782,  1052,
    1917,  1014,   174,  1873,   863,   840,   175,   746,  1392,   748,
     177,  1322,   903,   754,  1843,   908,  1326,   184,  1606,   771,
     779,   746,  2212,   786,  1716,  1411,   779,   779,  1352,   815,
    2388,   818,  1624,  1177,  1178,  1179,  1618,  3278,  1564,  1183,
    2289,  3593,   646,   738,   850,  2319,  1154,  1937,   593,   738,
    3445,  3359,  1849,  3160,   816,  1353,  1977,  1782,   906,  2935,
    2937,  2458,  3906,  2551,  1340,  1833,  1834,  2290,  3614,   744,
    2694,  3301,   927,  2281,  4181,  1842,   999,  3682,  1473,  3702,
    1121,  4145,  3727,   783,  3729,  3954,   700,  3194,  3954,  1755,
     602,  2734,  2302,  1760,  1134,  3103,  3426,   654,  1764,  4082,
    1148,  4219,   169,  2449,  3627,  1204,  4585,  4113,  1774,  4176,
    4371,  1131,  3922,   834,  3880,  4431,  4410,  4242,  3857,   842,
    1505,  1086,  1798,   712,  2862,  1140,  1119,  1061,  3935,  1123,
    3604,  4130,  4420,  4793,  1052,   776,    75,  1050,  2413,  2414,
    4843,  2797,   810,  4733,    77,    78,  3533,  1086,    79,    80,
     102,  2273,  2571,  4419,  2185,   843,  4740,   827,  1358,  1352,
     120,   125,    66,   149,  1767,  2633,   802,  2872,  2902,  4851,
     920,  1358,   153,  4694,   595,   853,   853,   856,  2881,   853,
    1795,   172,  3919,   865,  3633,   815,  2905,  4919,   900,  4158,
    2409,   865,  1558,  4049,   865,   178,  1385,   815,  4965,   853,
    1584,  4805,   815,  4807,  2108,  1469,   853,  1388,   815,  4873,
    1611,  2273, -1893,  4978, -2275,  3490,  5139, -2374,  1794,  4913,
    1711,  4732, -2275, -2275, -1860,   720, -2412, -2435,  2273,   611,
   -2467,  4495,  5121,  4128,  1821,  4133, -1873,   660,  3217,  1833,
    1834,  1849,  2103, -1898,  2425,  1469,  3327, -2247,  1821,  2303,
    1469,  2767, -2276,  1213,  2420, -2634,  1830,  1831, -1888,  1842,
   -2276, -2276, -1901, -2634, -2634,   660,  3291,  1841,  1502,  2032,
    1821,  1864,  1333,   720,  2512,   660,   180,  3632,  3268, -2246,
    2805,  5042,  5043,  5058,   660,  1746,  3944,  2447,  2448,  4911,
    2548,  2196,  3443,   762,  -419,   848,  2292,   180,  2038,  3874,
     932,   660,   720, -2303,  2704,   660,  2407,  2805,   861,   660,
    4648,  4907,   720,   660,   660,  3683,  2485, -2377,  2401,  4432,
    3430,  2859,   932,  2504,  4883,  4884,   720,  1751,   828,  1159,
    2040, -1716,  4567,  3432,  4649,  4469,  4470,  2560,  4472,  4473,
    4474,  4475,  4476,  1163,  1330,  2981,  2129, -2244,  4407,  1190,
    4968,  2847,  1821,  5093,  1399,  4381,  3904,  4357,  2378,  2292,
    4583,  4033,  2561,  4034,  4969,  2509,  2907, -1901,  2341,  1821,
    1615,  5368,  1514,  4408,  1441,  1808,  2355,  3393,   763,  3395,
     726,  2680,  5047,  2956,  3269,  2130,  2074,  1181,  3695,   726,
     726,  2884,  5272,   726,  1919, -2433,  5086,   933,  3434,  2292,
    2968,  5087,  1821,  2964,   727,  1724,  2119,  2090,  1542,  3783,
    2082,  1502,   660,   727,   727,  1532,   720,   727,   898,   933,
    1335,  1830,  1831,  5055,  2032,  5260,  1912,  1821, -2138,  1913,
    1741,  2292,  -133,  1716,  5141, -2138,  1821,  -133,  1533,  1618,
     934,  2293,  2078,  2840,  1515,  1749,  4382,  1543,  1841,  2091,
    2841,    41,  5088,  2038,  2075,  4966,  2969,  1362,  5020, -1091,
     841,  3696,   934,  2549, -2157,  2681,   726,  1752,  2957,   898,
    1182, -2157,  2908,  1052,  1441,  1008,  2885,  3435,   606,  2372,
     726,  1018,  2510,  1442,  2104,  2040,  1752,    45,  2848,  4035,
     727,  1052,  2379,  2132,  1032,  2380,  2292,  2032,   935,  4036,
    5094,  2342,  4358,  2292,   727,  2026,  3237,  1822,  3238,  2292,
    1577,  2505,  3242,  1881,  3244,  3245,  5462,  4944,  2218,  2083,
     935,  1822,  5352,  3249,  3250,  3251,  2038,   819,    49,  3845,
    4383,   764,  4970,  2072,  1968,  4593,  3431,  1960,  3486,  5092,
    4568,    50,  3466,  1822,  1400,  1616,  1342,  2304,  1921,  3433,
    2562,  2486,  2133,   940,  1716,  1052,  5238,   941,  2040,  2391,
    2305,  4409,  2306,  3231,    51,  3270,  4182,  3770,  4466,  3683,
    3218,  1182,   765,   766,  1339,  5194,  1004,  1957,    52,  2086,
    5199,  3490,   655,  1442,  2098,  2098,  4912,  4650,  3490,   862,
    3875,   946,  3857,  1967,  5193,  5409,  4339,   815,  2109,   853,
    2426,   853,  1512,   856,   991,   853,  1102,  5271,   184,  1978,
    1182,  1901,   900,  1075,   988,  1871,  4276,  1021,   989,   853,
    2408,  2497,   990,  2307,  2806,  1822,   853,  5259,  2427,  2550,
   -2433,  4509,  5309,  5407,  2513,  2084,  1961,  1828,  2421,  3629,
    3945,  1752,  1822,  2982,  2383,  1964,  4380,  2386,  4537,   829,
     595,  3553,  4541,  3271,   856,  4130,  1155,   612,  1823,   865,
    1752,  1215,  5452,   900,   767,  1393,   865,  1617,  4775,   865,
    3837,  3838,  1850,  1052,  2113,  1822,   982,  3505,  2356,  4384,
    5134,  1052,  1052,  3022, -1893,   853, -2275,  4186,  4428,  1711,
    2393,  2259,  3378,  1981,  1868,  1052,  1832, -2374, -2433,  1844,
    1822,  2267,  5472,   184,  1185,  4480, -2412, -2435,  1836,  1822,
   -2467, -2433,  1624,  1624,  1624, -1898,  2446,   940,  4427, -2247,
    1845,   941,  3648,  3784, -2276,  2402,  4572, -2634,  2257,  5344,
   -1888,  2059,  1503,  1504,  1846,  1147,   815,  2028,  2861,   779,
     779,   779,  1156,  5221,  1161,  5354,  1165,  2070,  4385,  2153,
    1733, -2246,  1169,   898,  1205,  4402,  2865,  4528,  5039,  4530,
    2154,   732,   733,   940,  1728,   842,  5315,   941,  1185, -2138,
    1735,   732,   733,  1736,  1320,  1320,  1879,   815,   779,  5319,
    1910,  1343,   779, -2303,  2842,   732,   733,  2373,  2115,  2335,
    2376,  2377,  2454,  1903,  3857,  2637,   815, -2377,  1396,  4765,
     815,   843,  1721,  2684,  1844, -2157,  1320,  1433,  2654,  1443,
    1150,  2080,  2277,  5411,  1448,  4729,  3780,  1172,   815,  3635,
    3098,  3636,  5292,  2206,   179,  1845,  1906,  4208,   184,  1415,
     815,  1961,  2219,  4246,   174,  2113,  2664,  3919,   175,  1848,
     820,  2207,   177,  1752,  4594,  2736,   815,  2676,  3041,  1344,
     656,  1871,  1590,  3898,   776,  1191,  1193,  1005,  5239,  5264,
    3991,  2611,  1209,  3023,   815,  2277,  1726,  5270,  1532,   853,
     853,  1444,  1821,  2665,  3013,  1503,  1504,  5451,  4343,  5382,
    5397,  4999,  2277,  2056,  2057,  2058,  2059,  1103,   180,  2343,
    4166,  1533,  3081, -1860,  1591,   660,  -133,  -133,  2995,  2208,
     779,   779,  4342,  3887,  4752,  5414,  5415,  2695,   657,  1416,
    1174,  2142,  5278,  3059,  1040,  5248,  1434,  2209,  1329,  3955,
    3678,  2902,  1337,  1320,  1320,  1595,  2025,  2685,  3113,  1363,
    2946,  1596,   595,  3188,   169,  3227,  3598,  5263,  3609,  5469,
    2067,  3099,  2825,   865,  3082,  4369,   658,   900,   659,   865,
    4957,  3014,   865,  4988,  2054,  2055,  2056,  2057,  2058,  2059,
    5023,  1417,  2339,   608,  3192,  2273,  3189,   853,    75,  4492,
    2467, -1860,   844,  3630,  3060,  4156,    77,    78,  3596,  5433,
      79,    80,   102,   180,   828,  2744,  5345,   660,  5383,   815,
    1871,  5101,   120,   125,    66,   149,   853,   853,  3831,  3832,
    5353,  4857,  3114,  3956,   153,  4274,  4181,  2560,  5474,  3487,
    3488,  4407,  2968,   172,  3507,   776,  1191,  1426,   815,   815,
     815,  4445,   853,   747,   595,   595,   595,   178,  2388,  2593,
    2594,  2495,  2561,  2161,  1597,  3083,  4408,  4770,  3500,  3501,
    3502,  3503,  3504,  3505,  4924,  1855,  2954,  3502,  3503,  3504,
    3505,  3537,  3538,   837,  1041,  1790,   845,  1418,  1592,  2210,
    4395,  3090,  2206,  4362,  3127,  2731,  3888,  4797,  3651,  2220,
    1435,  1786,  4801,  3255,  1189,  4803,  1791,  2826,  4493,  1998,
    5416,  4794,  2827,  1175,  5420,  2914,  1815,  5279,  5000,  2745,
    5429,  3927,  2214,   881,   853,  4925,   853,   853,  2564,   660,
     882,   883,   884,  4926,  1843,   661,   841,  1716,   180,  1436,
    4254,  2195,   837,  1787,  1814,  5102,  1890,  1856,  2542,  2828,
    2215,  3178,  2666,  2686,  3017,  1524,  4989,  3179,  5114,  1320,
    5384,  4927,  5329,  4370, -1860,  5385,  1545,  5450,  2208,  4753,
    1816,  2475,  1437,  2687,  3128,  1822,  1855,  1727,  3854,  5113,
    5133,   184,  3957,  1716,  5148,  1546,  2209,  4719,  1891,  1939,
    1939,  2746,  1593,  1624,   815,  5136,   746,  5430,  3193,  3954,
    3679,  2211,  2462,  4300,  2673,  2674,  3751,  3349,  1857,  2996,
    5473,  1858,  3859,  2476,   762,  4928,  5135,   815,  1598,  2479,
    5103,  5350,  5351,  1974,  4725,  1042,   815,  3129,  4929,  1980,
    5484,  3084,  2543,  5485,  4363,  1547,  4731,  2498,  3704,  1438,
    4930,  2221,  4578,  1320,  2068,  1423,  4255,  1424,  1856,  3670,
    4706,  3958,  2747,   835,  5254,  2748,   986,  1599,  3862,  4608,
    3180,  1043,   829,  1792,  1525,  1576,  2026,  1817,  3951,  3998,
    1923,  2939,  1925,  1320,  1927,  4146,  1929,  5431,  1931,  1932,
    1933,  1154,  2592,  3061,  3130,  1935,  2915,  2829,  3091,  2453,
    1600,  3671,  2216,  2579,  5034,  2310,  2614,  2934,  3256,   763,
    3190,  1320,  1320,  1320,   846,  1320,  2587,  1788,   751,  1857,
    2626,  3830,  1858,  3864,  2588,  3752,  1859,   836,  1086,  1818,
    1044,  1548,  2224,  2632,  2032,  1320,  1045,  5037,  2210,  2311,
    2601,  2222,  2225,  3191,  2111,  2646,   898,  4147,   788,  2631,
    3381,  2612,  2120,  2121,  3062,  2125,  2803,  3705,  3220,  4995,
    1144,  4256,  1892,    41,  4972, -1860,  2625,  5330,  2639,  2627,
    2749,  5016,  4973,   815, -1860,  5453,  1832, -1860,  1410,  1549,
   -1860,  4301,  1550,  4571,  2630,  1086,  1396,  2477,   843,   843,
    5370,   843,  3131,  2387,   760,  2040,  3602,   837,  3013,    45,
    3206,  5137,  4850,  1320,  2519,  2663,  1596,  1320,  1320,  2668,
    4680,  3382,  3384,  2672,  2906,  3867,  2675,  2760,   815,   815,
    2159,  1789,  1320,  1819,  3181,  1552,  3999,  1859,  1526,  2667,
    5432,  4931,  2670,  2671,  4932,  4689,  1860,  1160,  1162,  1164,
      49,  1216,  1166,  1167,  1168,  5331,   779,  2544,   789,   761,
    2211,  5057,  1173,    50,  4168,  1861,  5061,  5062,  3868,  4464,
    2545,   932,   764,  3182,  4440,  3672,  1893,  1527,  5035,  4564,
    1554,   180,  5332,  5403,  3869,  3014,    51,  1415,  4872,  3753,
    2750,  2264,  2520,  2268,  2940,  1358,   779,  2941,  4791,   853,
    2916,  2478,  1555,  2226,  3146,  2320,  3183,    41,  5190,  1491,
    1528,   815,  2291,   765,   766,  1711,  3787,  2590,  3015,  1597,
    3013,   815,  1557,  3132,   853,  2320,  3857,  5054,  3754,  1859,
    1859,  3133,  2798,   609,  3134,  4182,  1871,  2126,  2658,   784,
    5371,  1491,  2227,    45,  4974,   838,    41,  1860,  4182,  1381,
     900,  1986,   815,  1561,  5164,  4956,   779,  3016,  4690,  3391,
    2350,  3755,  3788,  2252,  3706,  3707,  3707,  1416,   933,  5196,
    5197,  1995,  4967,   779,  4361,   815,  4720,  2367,   815,  3673,
    3870,  2404,    45,  2768,    49,  2269,  3588,  1052,  4484,   625,
    4485,  2786,  1562,  3708,  4233,  1375,  1624,  3014,  4943,   887,
     888,   889,  2011,   890,   891,   892,   893,   894,   895,  4396,
    3027,   934,  1871,   815,   187,  3039,  3187,  2023,  -675,  1417,
    4015,  1383,  3184,    49,   853,   853,   853,   853,   815,  5327,
    5404,  4401,   187,  2127,    52,  2385,    50,  4169,   187,  3588,
    3120,  3121,   815,  4170,  3124,   811,  2298,  3088,  2299,   627,
    4171,  1871,  2320,  1320,  1320,  1320,  1381,   188,  3017,    51,
    2321,  3185,  1384,  3221,  3222,  3223,  3147,  2388,  2730,   935,
    2733,  3111,  3854,    52,  3150,   188,  2740,  3153,  2129,  2659,
    2321,   188,  2754,  2755,  2756,  4172,  3694,  2215,  2322,   606,
     787,  5165,  2772,  2774,  3186,  1376,  4272,  2784,  4121,  2951,
    1563,  3145,  3028,   841,   841,  2894,   841,  4173,  2322,  2300,
    4182,  2660,  5207,  2323,  3298,  1418,  2623,  2130,   898,   898,
    3978,  5166,  1529,  2613,  2661,  4259,  4486,  2586,  1383,  3036,
    3164,  4122,  2200,  2323,  3168,   833,  2993,  3310,  3311,  3312,
    3313,  5120,  1426,  2201,  4695,   831,  4543,  1426,  2318,  3318,
    3010,  2459,  3227,   815,  4143,  4222,  4124,  1844,  3825,  2662,
    4946,  2202,  2410,  4909,  1343,   853,   853,  3212,  2318,  1419,
    3017,  4189,  3135,  4610,  3346,  3618,  1420,  2131,  1845,  4614,
    4448,    41,  4449,  1033,  5208,   853,  4029,  4030,  4031,  4032,
    4696,  3043,  4037,  4038,  4039,  4040,  4041,  4042,  4043,  4044,
    4045,  4046,  3297,  3781,   815,  5140,  4947,  2321,  1421,  5147,
    3619,   638,    36,   639,  1752,  1426,  1401,    45,  1034,  1426,
     853,   853,   853,   853,  3785,  2132,  5117,  -156,  3266,  4223,
    5418,  4260,  1344,   815,  1381,  2322,  5393,  4355,  1768,  1382,
     815,  1422,  2459,  5131,   898,  1209,  3135,  4244,  4086,  4087,
    4590, -1689,  4190,  1035,   595,  1402, -1689,   595,    49, -2266,
    2323,   856,  4764,  -156,  3125,  4987,  1320,  2359,  4126, -1650,
    4674,    50,  2362,  1423,  3854,  1424,  3782,  2378,  1412,  4882,
    1922, -1650,  5158,  1924,  2133,  1926, -1650,  1928,  1403,  1930,
     832,  3654,  -156,  1934,    51,  2318,  4856,  3542,  3590,  3543,
    1036,   865,   865,  4675,  1796,  4356,  1383,  2203,    52,  4191,
    3339,  4192,   900,   900,  5050,  4189,   865,  1413,  4591,   865,
    4245,  4331,  3544, -1689,  1425,  4334,  4335,  1797,  4337,  3954,
     726,  5476,  2310, -1650,  1033,  3931,   853,   853,  4886,  2440,
    2430,  1844,  3629,   853,  2436,   815,   822,  1384,  1223,  5126,
    1414,  3490,  4693, -1650,   727,  3491,  3492,  3493,   184,  5095,
    3419,  1898,  1845,  2689, -1689,   848,  2311,  5261,  1052,  1034,
    1939,  4791,  4832,  5262,  4834,  1532,  1846,   853,  2441,   865,
    4983,  5127,   865,   865,  1899,   815,   815,  2701,   853,  2611,
    3259,  4724,  4704,  4879, -1650,   815,  4190,  4352,  1533,   916,
    4182,   847,   815, -1650,  3900,  5250,  4597,  4598,   991,   746,
     746,  2379,   184,  2706,  2380,  1844,  4880,  1320,   988,  1320,
    2678,  4353,   989,  1052,  1320,  1320,   990,  1006,   917,  1007,
    3545,  1320,  1320,  1320,  1906,  3546,  1845,  1320,   900,  1320,
    1320,  1320,  1320,  1320,  1320,   857,  1320,  4187,  1320,  1320,
    1848,  1036,  1320,  4191,  2648,  4192,  2649,  1566,  2650,   859,
    2651,  1871,  2652,  4684,  2320,  1150,  2653,  1320,  1320,  1320,
    1320,  2700,  1420,   879,   853,  1320,  1586,  3592,  3001,  1320,
    5356,   898,  1320,  3441,  3442,  1320,  1320,  1320,  1320,  1320,
    1320,  1320,  1320,  1320,  2997,  1320,  1567,  3002,  3003,  5157,
    2727,   815,  1320,  5346,  1320,  5268,  3362,  1406,    36,  4024,
     625,   815,  2442,   880,  3523,  1587,  2878,  4836, -1650,  1588,
    3530,  1010,  4319,  1011,  4845,  2443,  2032,  3494,  3748,  1568,
   -1650,  5091,  5201,  2879,  2514, -1650,  2989,  2358,  4050,  3418,
     815, -1650,  1407,  4320,   755,  5341,  1408,  1320,  1589,  3495,
    5124,   815,   815,  2444,  3634,  2038,  1223,  4351,  2098,  3490,
    4879,  3404,  1320, -2635, -2635, -2635,  2813,  3749,  2814,   931,
     627,  1320,  1320,   756,  2439,  3779,  3547,   757,  3594,  1409,
     922,  3035, -1650,  4880,  5410,   815,  3548,  2040,    41,  3990,
     226,  2815,  2920,  3437,  2925,  3684,   610,  4302,  2918,   993,
    3750,  1906, -1650,   940,   704,  2292,  1367,   941,  2516,  4710,
    3449,  3496,  2958,   939,  2961,  2301,   995,  4879,  3307,  2321,
    4303,  3712,   625,   785,    45,  3457,   856,  4711,  5406,  4232,
    3991,  3737,  2553,  4403,   998,   746,  3907,   746,   180,  1569,
    4880,  1015,  4182, -1650,  3738,  3551,  3917,  2322,  2327,  3383,
    3385,  3386, -1650,   720,  1320,  1052,  3021,  5475,  -444,  3126,
     940,  5189,  2328,  2874,   941,    49,   595,   720,   853,   853,
    2955,  1001,  2323,   865,  3368,   900,   865,   865,    50,   853,
    1570,   853,   627,   735,  5314,   853,  1839,  1840,   815,   735,
    1571,  -573,   180,  4847,  2816,  5443,  1028,  1969,   706,  2817,
    1970,    51,  3588,  -572,  2818,  3588,  4224,  2318,  4231,  1535,
     779,  4217,     3,     4,  1037,    52,  5268,  5083,    15,  5085,
    2291,  3315,  4182,  5089,  5090,  1039,  3316,  1603,  3046,   815,
    1607,  4430,   638,  3209,   639,  3462,  3058,  2320,  4003,  1038,
    2113,  2768,  2768,  4209,  4120,   815,  2768,  1832,  1101,  1410,
   -1649,  3687,    20,  1185,  1185,  3607,  3463,  1185,  1058,  1768,
     720,  3464, -1649,  1624,  1985,   815,    52, -1649,  2811,  1624,
    3102,  3102,  5125,   706,  1052,  -444,  3588,  3858,  3516,  1054,
    3518,  3519,  3316,  2768,  2768,   815,   815,  1117,  3903,   815,
   -1650,   856,   779,    15,  3966,  3967,  5395,  1110,  2106,  4247,
    2320,  2107,  3640,  3641,  3497,  3498,  3499,  3876,  3500,  3501,
    3502,  3503,  3504,  3505, -1649,   853,  4121,  1111,   853,  3496,
    2320,  1128,  4665,  4182,  4666,  4667,  3743,    20,  4668,  1135,
    3639,  1523,  3643,  1145, -1649,  1832,  1540,  2186,   720,   815,
     815,  1572,  1176,  4165,   638,  2819,   639,  3024,  1832,  4122,
    2186,  3489,  2451,  2452,  3195,  2820,  3198,  3200,  2112,  2117,
    3846,  2113,  2107,  3517,  4123,   940,  2581, -2247,  2582,   941,
    2643,   644,  1180,  2113,  4124, -1649,  1573,  1832,  1187,  2186,
    1574,  5440,   180,  1184, -1649,  1320,  1320,  1320,     3,     4,
    3663,  1320,  2321,  2655,   871,  3540,  2656,   853,  2657,  2692,
    4125,  2656,  2693,   907,  5150,   853,  1195,  4937,   853,  3674,
    3100,  1198,  3661,  1575,   853,  1185,  2877,   928,  1197,  1906,
    2322,  4798,  3567,  1320,  3568,   853,  2926,    33,  4421,  2113,
    3778,  3033,  1199,  3566,  3034,  3105,  5391,  1208,  3106,  2291,
    5040,  1202,  3102,  3261,   815,  2323,  3262,   815,  1207,  5045,
    2320,  3300,  2903,  2904,   746,  2321,  3854,    41,   618,  1209,
    3764,  3369,  4414,  3569,  2113,  3570,   853,  1320,  3452, -1711,
   -1711,  3455,  4184,  4185,  3456,  2321, -1715, -1715,  3410,  3773,
    2318,  2656,  3461,  2322,  3195,  2113,  4126,  3470,  1206,  5308,
    2113,  2495,  1210,    45,   853,  3349,  3332,  3476,  3303,  1211,
    2113,  3328,    33,  2322,  3756,  1212,  3758,  3477,  2323,  1217,
    2113,  3448, -2635, -2635, -2635,  1219,  3500,  3501,  3502,  3503,
    3504,  3505, -1649,  1320, -1714, -1714,  2320,  2320,  2323,  1338,
    3478,  3588,    41,  2113,    49,  3509,  3893,  3164,  2113,  5289,
    5290,  3127,   625,  2318,  1378,  3522,  1380,    50,  2113,  5457,
     853,  1341,   853,  3102,   853,  3102,  3928,  1052,  3929,  1052,
    3786,  3284,   898,  2318,  2731, -1085,  3527,  1345,    45,  3528,
      51,   835,  3730,  4799,  4120,  3731,  3735,  5376,  5377,  3736,
    4979,  2611,  3759, -1690,    52,  3760,  3940,  1346, -1690,  3941,
    1939,  3942,  1347,  3964,  3943,  3808,  2113,  4056,  4067,  1359,
    4057,  4068,   627,  1223,  4078,  2321,  3490,  2113,  1365,    49,
    3491,  3492,  3493,   707,  5490,  4154,  4159,  3994,  4155,  4160,
    1351,  3128,    50,  5357,    29,  4164,  3603,  4075,  2941,  4344,
    3886,  4345,  3889,  2322,  3827,   836,  3819,  4210,  1364,  2320,
    1052,   595,  1367,  1618,  4009,    51,  4121,   865,  3302,  4188,
     865,  1368,  2656,   865,  4232, -1690,  4887,   829,  2323,   708,
    1379,  4404,   853,  2731,  2656,  4461,  4481,  1394,  1961,  2113,
    1320,  3859,  1410,  4510,  3129,  1320,  2693,  3860,  4767,  4122,
    4522,  2321,  2321,  2113,  2031,  4574,  1398,  2032,  2941,  3861,
    5458,  1395,  5459,  2318,  4123,  3877, -1690,  3879,  1320,  1320,
    1320,   829,  1404,  1320,  4124,   837,  1367,    29, -1638,  2322,
    2322,  1320,  1320,  1320,  1320,  1446,  2038,  3862,    41,  3863,
    4542,  1471,  4545, -2635,  1320,  3285, -2277,  1320,  4606,  1320,
    4125,  3130,  3043,  1474,  2323,  2323,  4724,  1476,  1477,  4580,
    1320,  1320,  4581,  1512,  1320,  1517,  3588,  4225,  2040,  4248,
    3588,  1516,  4136,  1529,    45,  4062,   900,  1518,  1320,  1541,
    1320,  1544,  1320,  1578,   638,  4586,   639,  3963,  2656,  2318,
    2318,  2790,  3864,  4587,  2793,  1579,  2656,   641,  3948,  1531,
    4726,  4772,  1320,  4727,  4773,   180,   815,  1594,   643,  4002,
    3987,  1768,  1604,  3589,  2321,    49,  1605,  1608,  1613,  4205,
    3865,    41,  4774,  4781,  3495,  2113,  2693,   829,    50,   815,
    1614,  3572,  3573,  3574,  1717,  3539,  4126,  1320,  4852,  1720,
    1009,  4853,  2322,  1725,  4938,  4980,  1009,  2656,  4981,  3131,
    4996,    51,  1320,  2693,  1719,  5003,  1722,    45,  5004,  1009,
    1729,  1545,  1738,   838,  1730,  5358,  3589,  2323,  1739, -2539,
    3623,  3586,  1742,  3626,  1745,  2925,  1748, -2541, -2635,  3866,
    1546,  1756,  5013, -2635,  3867,  1906,  3496,  1545,  5019,  4019,
    1750,  3914,  5021,  3286,  5032,  3914,  1759,  5033,    49,  4338,
    5076,  5116,  2318,  5077,  2077,  5149,  1546,  1761,  5033,  1752,
    4028,    50,  4325,  1770,  5159,  1771,  1320,  2693,  3102,  5160,
   -2635,  1775,  3528,  1939,  3586,  5161,  5172,  3868,  2113,  5173,
    1547,  1776,  -176,  5178,    51,  4051,  1906,  5181,  5200,  1778,
    3914,  2656,  3287,  3869,  5206,  1779,  1781,  2693,    52, -1409,
     853, -1409,   853,   853,   853,  5212,  1547,  1783,  2693,  5213,
   -2539,  4328,  2693,  5216,  1784,  1799,  2113,  2047, -2541,  1964,
    3132,  5217,  4271,  5218,  2113,  4505,  5219,  5246,  3133,  5296,
    5247,  3134,  5297,  4994,  1806,  3088,  1813,  4243,  2768,  2768,
    2768,  2768,   206,  4227,  2768,  2768,  2768,  2768,  2768,  2768,
    2768,  2768,  2768,  2768,  5300,  5301,  1820,  1906,  2113,  3111,
   -2539,  5302,  2023,  1825,  2113,  1835,  1548,  5304, -2541,  1826,
    2113,  4059, -2539,  3603,  1827,  1838,  5323, -2539,  3164,  5324,
   -2541,  5348, -2539,  5378,  5349, -2541,  3914,  1828, -2539,  3870,
   -2541, -2539,  1548,  1852,  5390, -2539, -2541,  5026,  1832, -2541,
    2768,  2768,  5417, -2541,  5455,  5033,  2023,  5456, -2635,  5468,
    1836,  1854,  2113,  4891,  1549,  5470,   815,  1550,  5471,  5488,
    1866,  1867,  5297,  2811, -2539,  1870,  1878,  1882,  2387,  3497,
    3498,  3499, -2541,  3500,  3501,  3502,  3503,  3504,  3505,  3560,
    1549,  4026,  5496,  1550, -2539,  5471,  1884,  1871,  1885,  1887,
    1889,  1894, -2541,  1895,  2387,  3579,  1897,  4892,  1902,  1905,
    1552,  1908,  1909,  1911,  1936,  1966,  1973,  1975,  1982,  1976,
    1983, -1864, -1871,  1990,  1991,  4055,  1992,  1993,  1994,    52,
    1996, -1861,  4893,  1997, -1862, -2539,  1552,  1998, -2539,  1999,
    2000,  2001,  2003, -2541, -2539,  2004, -2541,  2005, -1865,  4894,
    2006,  2007, -2541,  4895, -1863,  1554,  2063, -2635,  3579,  2008,
    2009,  2010,   828,  2012,  2054,  2055,  2056,  2057,  2058,  2059,
    4098,  2013,  2014,  4896,  1320,  2015,  4897,  1555,  3588,  2016,
    1320,  1554,  2017,  2018,  2019,  3588,  2065,  1716,  2067,   853,
    3588,  4898,  2068,  3588,  3102,  3102,  2081,  1557,  2093,  4458,
   -2539,  2077,  2101,  1555,  2116,  2118,  1382,  2731, -2541,  2149,
    1384,  2151,  2160,  2162,  2163,  3588,  2164,  2165,  2181,  2182,
    2183,  4700,  5171,  1557,  2184,  2186,  2189,  2187,  3588,   815,
     815,   815,  2188,  2190,  2191,   755,  2192,  2198,  2217,  2223,
    2229,  2254,  2258,  2260,  2261,  2262,   815,  2266,  2263,  2265,
    2283,  2282,  2284,  4376,  4377,   751,  2295,  2308,  2296,  2297,
    2312,  2314,  2317,   751,  3938,  2318,  2315,  1223,  1939,   815,
    3490,  2325,  2326,  4899,  3491,  3492,  3493,  2329,  1939,   815,
     815,  2316, -2539,  2330,   815,  2331,  4414,  3102,  2340,  2346,
   -2541,  4076,  2336,  2337,  2351,  2347,   815,  2348,  2352,  2353,
    3934,  2354,  2357,  2363,  2360,  2374, -2539,  2364, -2539, -2539,
    2381,  4378,  2365,  2369, -2541,  2384, -2541, -2541,  2370,  2382,
    2389,  2390,  1491,  2422,  4900,  2394,  2395,  3962,  2396,  2403,
    2398,  2399,  2400,  2405,  2406,  2411,  2412,  2423,  2428,  2424,
    2429,  4562,  2461,  2434, -2539,  2463,  2438, -2539, -2539, -2539,
    1185,  2464, -2541,  2450,  4092, -2541, -2541, -2541,  2457,  2768,
    2465,   853,  2466,  2470,  2484,  2472,  2471,  2473,  2474,  2480,
    2490,  2481,  2482,  2483,  2491,  4453,  4454,  4455,  4456,  4457,
    2031,  2489,   815,  2032,  2488,  2496,  2500,  2033,  2034,  2035,
    3588,  2499,  2503,  2508,   620,   815,  2514,  2517,   815,  2528,
    4672,  1563,  2532,  2533,  2036,  2536,  2552,  2568,  2541,  2559,
    2572,  2555,  2038,  2558,  2578,  2580,  2575,  2584,  1223,  2039,
    1320,  3490,  2595,  2589,  2597,  3491,  3492,  3493,  2598,  1320,
    2602,  2605,  2616,  2603,  2606,  1320,  4613,  1320,  2607,  2609,
    1320,  2608,  4512,  2618,  2040,  1320,  1320,  1320,  1320,  3588,
    2619,  1320,  1320,  1320,  1320,  1320,  1320,  1320,  1320,  1320,
    1320,  2620,  2634,  2621,  1320,  1320,  2635,  2669,  3495,  2690,
     829,  2677,  2703,  2736,  1320,  2741,  2785,  2791,  1320,  2032,
    2795,  2804,  1320,  2810,  2822,  2824,  2844,  4560,  2845,   829,
    1320,  2859,  2864,  1320,  2867,  1320,  2868,  3603,  2869,  2870,
    2883,  1964,  4745,   836,  1320,  2895,  2896,  1320,  1320,  2897,
    2912,  2898,  1320,  1320,  2919,  2930,  2931,  4096,  2966,  1320,
    2959,  3603,  2964,  2967,  2933,  2973,   815,   815,   815,   595,
    3496,  2962,  3589,  4118,  2978,  2983,  2990,  4118,  4132,  4118,
    2988,  2998,  3008,  2994,  1320,  4100,  4101,  4102,  4103,  3009,
    3025,  3012,  3026,  3031,  2041,  1335,  1339,  4496,  2984,  2042,
    3042,  3049,   991,  2986,  3050,  3063,   184,  3068,  3094,  1320,
    3069,  3095,   988,  3097,  3104,  3116,   989,  3112,  3136,  4604,
     990,  2043,  2044,  2925,   180,  1320,  3140,  3586,  3196,  3208,
    3586,  3588,  3215,  3228,  3234,  3216,  2045,  5434,  5435,  3219,
     837,  3239,  3240,  4183,  1939,  1939,  3241,  2459,  4533,  3247,
    3252,   180,  3263,  3275,  3276,  3290,  4596,  3292,  3294,  3495,
    3296,  3305,  3308,  4685,   853,   853,   853,   853,  3314,  2046,
    3322,  3323,  3325,  3326,  3330,  3333,  3337,  3338,  3335,  3341,
    3342,  3361,  3360,  2047,  3317,  3324,  2048,  3363,  3364,  3365,
    3367,  3588,  3372,  2291,  3388,  4618,  4644,  3370,  3375,  3373,
    1859,  3586,  4491,  3374,  3376,  3400,  3380,  3389,  3403,  3407,
    3409,  3402,  4237,  1906,  1903,  3412,  4633,  2388,  3417,  3413,
    3588,  3496,  3414,  3415,  3416,  3425,  1868,  2704,  5046,  3428,
    3427,  3429,  4651,  4652,  3436,  4654,  1182,  3444,  3439,  3603,
    3446,  3453,  1223,  3450,  3454,  3490,  3475,  5080,  3451,  3491,
    3492,  3493, -2130,  3458,  3472,  3524,  3473,  3541,  3599,  3474,
    3479,  3480,  3482,  3497,  3498,  3499,  4513,  3500,  3501,  3502,
    3503,  3504,  3505,  3485,  2049,  2113,  3558,  3486,  3536,  3508,
    2031,  4660,  3514,  2032,  5070,  3521,  5072,  3535,  3590,  3549,
    3559,  3561,  3563,  4702,  3562,  3613,  3565,  3600,  3605,  4282,
   -1717,  1223,  3611,  3610,  3490,  3631,  3615,  4322,  3491,  3492,
    3493,  3624,  2038,  3617,  3637,  3642,  3644,  3645,  3653, -2635,
    3649,  3656,  3658,  1223,  3650,  3588,  3490,  3680,  5174,  3665,
    3491,  3492,  3493,  3681,  3691,  3693,  3697,  3699,  3698,   853,
    3700,  3703,  3715,  3716,  2040,  2023,  3718,  3724,  3725,  3726,
    3734,  3744,   815,  3761,   853,  3763,  1320,  3765,  2433,  3768,
    1961,  4107,  3769,   815,  4112,  3772,  3774,  3776,  3792,  4367,
    3777,  3790,  3791,  2050,  3793,  3794,  2051,  2052,  2053,  2291,
    2054,  2055,  2056,  2057,  2058,  2059,   180,  3795,  1223,  3796,
    3805,  3490,  3798,  3481,   815,  3491,  3492,  3493,  3589,  3797,
    3799,  4749,  3800,  3801,  3802,  3804,  3809,  2420,  3195,  3803,
    3811,  3550,  3806,  3813,  3497,  3498,  3499,  4415,  3500,  3501,
    3502,  3503,  3504,  3505,  3822,  3826,  3829,   815,  3833,  3834,
    4935,  2459,  3815,  3823,  4425,  3836,  5223,  3816,  1320,  1320,
    3824,  3818,  3844,  3495,   898,  3842,  3894,  1964,  3891,  3895,
    3897,  3899,  3902,  3884, -2635,  3913,  3586,  3885,  4890, -2635,
    3914,  3916,  3588,  5002,  3923,  4839,  3102,  3932,  3102,  5229,
    5231,  3933,  3937,  3926,  3952,   815,  3936,  3961,  3970,  3939,
    3968,  3981,  3969,  3993,  3972,  3974,  3995,  3982,  3983,  1851,
    3984,  3985,  3986,  3996,  3997,  4006, -2635,  3988,  4007,  4008,
    4018,  4010,  3495,  4011,  4012,  3496,  4013,  4014,  3511,  1869,
    1320,  3490, -2129,  3510,  4069,  4863,  1985,  4080,  4093,  1880,
    2768,  1320,  4110,  1883,  3495, -2556,  4027,  1886,  4858,  1888,
    2518,  4153,  4052,  4138,  4053,  1896,  3588,  4054,  2535,  4709,
    4151,  1904,  3588,  2047,  1907,  4148,  4099,  4061,  4084,  4081,
    2433,  1320,  4111,  4134,  1320,  4157,  4175,  4140,  4119,  4167,
    4211,  4196,  1320,  1320,  3496,  4142,  4144,  4204,  4212,  1320,
    1320,  4198,  4213,  4214,  1320,  4199,  4216,  4218,  4220,  1320,
    4221,  4235,  1320,  1320,  4745,  4238,  3496,  1320,  4521, -2635,
    4250,  4251,  4252,  1320,   815,   815,   815,   815,  4253,  4263,
    4265,  4118,  4132,  4118,  4264,  1320,  4118,  4266,  4267,  4535,
    5325,  4277,  4280,  3589,  4268,  4279, -2556,  3589,  4290,  4291,
    4299,  4316,  4296,  4550,  4314,  2615,  4318,  4226,  4330,  4321,
    4332,  4329,  4333,  4336, -2635,  4348,  4373,  4379,   900,  4359,
    4387,  5082,  4393,  3588,  4394,  1320,  4576,  2656,  4397,  3623,
    4400,  3496,  2433,  4406,  2925,  4563,  4565,  4399,  4422,  4416,
    4433,  4423,  4438,  4439,  4442,  4441, -2556,  4443,  4446,   746,
    4459,  3586,  1320,  4444,  4451,  3586,  4463,  4465, -2556,  4471,
    4447,  5223,  4494, -2556,  4483,  4478,  4488,  4487, -2556,  4497,
    3579,  5236,  3102,  3102, -2556,  4503,  4498, -2556,  3497,  3498,
    3499, -2556,  3500,  3501,  3502,  3503,  3504,  3505, -2131,  4531,
    2291,  4499,  4539,  4518,  4538,  4534,  4536,  4546,   180,  4547,
    4551,  4552,  4553,  4554,  4617,  4559,  5069,  4561,  5012,  1964,
   -2556,  4570,  4573, -2635,  4575,  4577,  4582,  4583,  1052,  5012,
    2054,  2055,  2056,  2057,  2058,  2059,  4588,  4592,  4611,  4612,
   -2556,  4609,  4615,  4622,  4621,  4623,  4641,  3497,  3498,  3499,
    4616,  3500,  3501,  3502,  3503,  3504,  3505,  4643,  3808,  4646,
    4647,  4655,  4664,  1320,  4673,  4676,  4677,  4663,  4682,  3497,
    3498,  3499,  4634,  3500,  3501,  3502,  3503,  3504,  3505,  4637,
    4669, -2556,  4683,  2031, -2556,   853,  2032,  4686,  4691,  4692,
   -2556,  4698,  4699,  4701,  4697,  2768,  4705,  4707,  4715,  4718,
     853,  4730,  4723,  4728,  4734,  4739,  4741,  4735,  5074,  4737,
    4742,  1964,  4750,  4743,  4755,  2038,  1964,  1964,  4761,  2768,
    4762,  4768, -2635,  4769,  4771,  4777,  4778,  4827,  4779,  4786,
    4780,  4792,  1320,  4802,  3497,  3498,  3499,  5198,  3500,  3501,
    3502,  3503,  3504,  3505,  4795,  4806, -2556,  2040,   595,  4821,
    4824,  4830,  4833,  4844,  2291,  4846,  4890,  4848,  4854,  4849,
    4855,  4866,  4860,  1939,  4867,  4885,  4871,  4876,  4877,  4878,
    4905,  4358,   898,  4916,  4914,  4917,  4923,  4920,  1320,  4922,
    4941,  4942,  4949,  4951,  4954,  4959,  4982,  4961,  4984,  4985,
    4986,   853,  5001,  3332,  5005,  3579,  5011,  5030,  4721,  3579,
    5026,   751,  5015,  5018,  5022,  5024,  5041,  2927,  4998,  5051,
    5052,  3603,  5049,  5058,  5195,  5064,  5096,  1052,  5098,  4864,
    5104,  5108,   898,  5111,  5109,  2943,  5118,   815, -2556,   180,
     180,  2947,  5152,  5130,  5129,  2950,  4862,  5123,  5179,  5138,
    5142,  5144,  5145,  5143,  5146,  5153,  5154,  2025,  5155,  5156,
    5170,  5183, -2556,  5295, -2556, -2556,  5162, -2635,  5186,  5187,
    5192,  2974, -2635,  5191,  5205,  5209,  5234,  1320,  5228,  5240,
    5235,  5242,  5252,  5245,  5249,  5253,  5273,  5274,  5275,  4904,
    5276,  5281,  5282,  5291,  5293,  5312,  5310,  4094,  5318,  5320,
   -2556,  5238,  5326, -2556, -2556, -2556,  1320,  1320,  5239, -2635,
    1320,  5328,  5336,  5337,  5374,  5335,  5355,  3029,  5369,  5381,
    5388,  5065,  5066,  5394,  5402,   595,  5428,  5442,  4118,  5436,
    5399,  5460,  3589,  5461,  5408,  5465,  1009,  3589,  5463,  5438,
    3589,   595,  5426,  3195,  2768,  4808,  5464,  1320,  1320,  5427,
    5478,  5479,  5489,  1475,  5486,  5487,  2047,  5491,  5492,  1369,
    3597,  3299,  4183,  3169,  1320,  2435,  3093,  5069,  3709,  3079,
    4241,  4234,  5321,  3207,  3254,  4183,   900,   853,   853,   853,
    4902,  3841,  5222,  3586,  5400,  2100,  4375,  4960,  4681,  4934,
    3586,  3647,  3411,  5313,  3107,  3586,  4837,  5396,  3586,  5243,
    2031,  3117,  5241,  2032,  5334,  5413,  3652,  3122,  4426,  4405,
    5203,  4368,  3273,  3274,  1009,  4239,  3728,  3901,  3137,   597,
    3586,  4392,  4703,  3141,  4940,   865,   900,  3264,  1565,  4945,
    3909,  5401,  2038,  3586,  5493,  5483,  1545,  5299,  4918, -2635,
    4434,  3847,  5339,  3154,  4865,  5060,  5163, -2635,  3156,  2507,
    5211,  4868,  3159,  4825,   753,  1546,  4460,  5036,  5454,  2577,
    2936,  4435,  1958,  5180,  2040,  3176,  2574,  5182,   865,  5184,
    3638,   815,  1052,  2585,  5151,  2697,  2622,  1129,  3201,  2699,
    3812,  2698,  2030,  4367,  4269,  1053,   815,  2031,  1009,  4289,
    2032,   815,   180,  3102,  2033,  2034,  2035,  5449,  3905,  5360,
    2291,  5477,  2647,  4939,  4977,  1547,  4226,  1348,  2873,  4826,
    2768,  2036,  2882,  2220,  2037,  2197,  1370,   815,  4566,  2038,
    5307,  4415,  4161,  2073,  3601,  2114,  2039,  3612,  2911,  4141,
    2892,  4085,  5303,  5185,  4557,   853,   815,  4183,  2910,  4114,
    4529,  4975,  4544,  5017,  4108,  5169, -2635,  5168,  4162,  5380,
    2146,  2040,  2145,  2054,  2055,  2056,  2057,  2058,  2059,  2150,
    5449,  2155,  1320,   829,  4109,  1320,  5480,  1320,  4227,  5294,
    5437,  4063,  4997,  4823, -2635,  2596,  5306,  2617,  5449, -2635,
    5305,  2849,  3556,  3467,  3230,  2624,  1320,  3554,  2858,     0,
       0,  1548,  1320,     0,  1449,  3586,  3589,     0,     0,     0,
    4808,     0,     0,   597,     0,  2636,  1320,     0,     0,     0,
       0,     0,   597,   873,     0,  5029, -2635,     0,     0,     0,
     597,     0,   873,   597,  3579,     0,     0,     0,  1450,  3579,
    5379,     0,  3579,     0,     0,     0,   873,     0,   815,  1549,
    1939,   898,  1550,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2387,  3586,  4228,     0,     0,     0,     0,
       0,  2041,     0,  2047,     0,  1320,  2042,     0,     0,     0,
    1320,  1320,     0,     0,     0,   853,   853,   853,   853,     0,
       0,     0,     0,     0,     0,  1552,     0,  1452,  2043,  2044,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2045,     0,     0,  1320,     0,     0,     0,
       0,     0,     0,   595,     0,     0,     0,     0,     0,  2768,
    2768,     0,  1453,     0,     0,     0,     0,     0,     0,     0,
    1554,  3424,     0,     0,     0,   815,  2046,     0,  3589,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3438,
    2047,     0,  1555,  2048, -2635,     0,  5132,  3424,  1454,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1557,     0,  4229,     0,     0,  4230,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   180,     0,     0,
       0,     0,  1455,     0,     0,  1320,  3586,     0,   595,     0,
       0,  1320,     0,     0,     0,  5177,     0,     0,     0,  2871,
       0,     0,  1320,     0,     0,     0,  1320,     0,  1320,     0,
    1320,  5317,     0,     0,  1457,   180,     0,  4183,     0,     0,
    1420,     0,  5188,   853,     0,   900,     0,     0,     0,     0,
       0,  2049,     0,     0,  5441,     0,  1320,     0,     0,     0,
       0,     0,     0, -2635,     0,     0,  3586,     0,     0,     0,
    2054,  2055,  2056,  2057,  2058,  2059,    36,     0,  2275,     0,
    1459,     0,     0,     0,     0,     0,     0,     0,  2318,  1460,
       0,  1939,  1939,     0,     0,  3586,     0,  1461,  3579,     0,
       0,     0,     0,     0,     0,  2276,  5366,  5367,  2023,     0,
       0,     0,     0,     0,     0,     0,     0,  1463,     0,     0,
       0,     0,   853,     0,     0,     0,  1464,     0,     0,  5257,
    1465,     0,     0,  1320,     0,     0,     0,     0,     0,     0,
       0,     0,  5269,     0,     0,     0,     0,     0,     0,     0,
    2050,     0,     0,  2051,  2052,  2053,     0,  2054,  2055,  2056,
    2057,  2058,  2059,     0,     0,     0,     0,     0,  1320,  1320,
    1320,     0,     0,  2031,  3195,     0,  2032,  1320,     0,     0,
   -2635, -2635, -2635,  1466,     0,     0,     0,  1320,     0,   594,
    5029,     0,     0,     0,     0,  2925,     0,     0,     0,     0,
    3586,     0,     0,     0,     0,  2038,     0,     0,     0,     0,
     865,     0,  2039,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1478,     0,   853,     0,     0,     0,  1479,
       0,     0,  1939,     0,     0,     0,     0,  2040,     0,     0,
    3579,     0,  1580,     0,     0,     0,     0,  3659,     0,   873,
     180,     0,     0,     0,     0,   873,     0,     0,  2291,     0,
       0,     0,     0,   595,     0,  5340,     0,     0,   873,  1320,
       0,  1481,     0,     0,     0,     0,     0,     0,     0,  4183,
       0,     0,     0,     0,   873,   865,   865,  1320,     0,   597,
       0,     0,  5365,     0,  1100,     0,   184,  1320,   597,   873,
       0,  5177,  5362,     0,     0,   597,  5363,   873,   597,     0,
    5364,     0,     0,     0,     0,     0,  5494,  5495,     0,  5425,
    1100,   873,   853,  1581,     0,  1483,   180,     0,     0,     0,
       0,   873,  1484,     0,     0,  1485,     0,  3586,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2041,     0,     0,
       0,     0,  2042,  5269,   853,   853,     0,     0,  3739,  4183,
    1486,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5365,     0,     0,   851,   184,     0,     0,     0,     0,     0,
    5362,     0,   864,     0,  5363,     0,  1320,  1320,  5364,  2045,
     864,     0,     0,   864,  1487,     0,     0,     0,  1320,     0,
       0,     0,     0,  1320,     0,     0,     0,     0,     0,     0,
       0,  3586,     0,   597,   597,     0,     0,  3586,     0,   873,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1320,     0,     0,     0,  2047,     0,     0,     0,
       0,     0,  1320,   873,     0,   597,     0,     0,     0,     0,
       0,     0,     0,  1488,     0,  1489,   873,   853,     0,     0,
    4183,     0,     0,     0,     0,  1490,     0,     0,     0,  5177,
       0,  5365,     0,   595,  1491,   184,     0,     0,     0,  3820,
       0,  5362,     0,     0,     0,  5363,  1492,     0,     0,  5364,
       0,     0,     0,     0,     0,   865,   865,     0,     0,  3366,
       0,     0,     0,     0,     0,     0,  3371,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3586,     0,
       0,     0,     0,     0,     0,  1582,  3390,  2049,  1494,  1495,
       0,     0,     0,     0,     0,     0,  3396,     0,     0,  3397,
       0,  3398,  3399,     0,     0,  3401,     0,     0,     0,   180,
       0,  3405,     0,  3406,     0,     0,  3408,     0,  1583,     0,
       0,     0,   597,   597,  1712,     0,     0,     0,     0,     0,
       0,   597,     0,     0,     0,     0,   180,     0,  1100,     0,
       0,     0,   597,     0,     0,     0,     0,     0,   597,     0,
       0,   597,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1100,     0,     0,     0,     0,  2031,     0,
       0,  2032,     0,     0,     0,  2033,  2034,  2035,  1100,  3447,
       0,     0,     0,     0,     0,  1497,  2050,     0,     0, -2635,
   -2635, -2635,  2036,  2054,  2055,  2056,  2057,  2058,  2059,     0,
    2038,     0,     0,     0,     0,     0,     0,  2039,     0,     0,
       0,     0,     0,     0,  5424,     0,     0,     0,     0,     0,
       0,  -128,     0,   597,   597,   597,     0,  2433,     0,     0,
       0,     0,  2040,     0,     0,     0,     0,     0,     0,     1,
       0,     0,     0,     0,     0,  3989,     0,     0,     0,     2,
       0,     3,     4,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2031,  1100,     0,  2032,     0,     5,     0,     0,
    4005,     0,     0,     0,     0,     0,     6,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     7,     0,
       8,     9,     0,     0,  2038,     0,     0,    10,     0,    11,
     873, -2635,     0,     0,     0,     0,     0,     0,     0,     0,
      12,     0,    13,     0,     0,   180,     0,     0,   873,     0,
       0,     0,     0,     0,     0,     0,  2040,     0,   597,    14,
       0,     0,    15,     0,     0,     0,   873,     0,     0,     0,
       0,     0,  2041,     0,     0,     0,    16,  2042,    17,     0,
       0,     0,    18,     0,     0,     0,     0,     0,    19,     0,
       0,     0,     0,     0,   873,     0,    20,     0,    21,  2043,
    2044,     0,     0,     0,    22,     0,     0,     0,  1100,     0,
     873,     0,     0,     0,  2045,     0,     0,     0,     0,     0,
      23,     0,     0,  4088,     0,     0,   873,     0,     0,     0,
     873,     0,     0,     0,     0,     0,     0,    24,     0,   851,
       0,     0,   597,     0,     0,     0,     0,  2046,   864,     0,
       0,     0,     0,     0,     0,   864,     0,     0,   864,     0,
       0,  2047,     0,     0,  2048,     0, -2635,     0,     0,     0,
       0, -2635,   597,     0,     0,     0,  3657,    25,    26,     0,
       0,     0,     0,    27,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    28,     0,     0,     0,     0,
     597,   597,   597,     0,   597,     0,     0,    29, -2635,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   597,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4206,     0,     0,     0,     0,     0,
       0,     0,     0,    30,     0,     0,     0,     0,   873,     0,
       0,    31,  2049,     0,     0,  2047,   873,   873,     0,     0,
    3717,     0,  3719,     0,     0,    32,     0,     0,     0,     0,
     873,    33,    34,     0,    35,     0,     0,     0,     0,    36,
       0,     0,     0,     0,    37,     0,     0,    38,     0,     0,
       0,     0,   597,     0,    39,     0,   597,   597,     0,     0,
      40,    41,     0,     0,     0,     0,  2031,     0,    42,  2032,
       0,   597,    43,     0,     0,     0,     0,  1100,     0,     0,
       0,     0,    44,  1712,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    45,  2038,     0,
       0,     0,     0,     0,     0, -2635, -2635,     0,     0,  4304,
       0,  2050,  4307,     0,  2051,  2052,  2053,    46,  2054,  2055,
    2056,  2057,  2058,  2059,     0,     0,     0,    47,     0,     0,
    2040,  3531,     0,    48,  3351,     0,  2031,     0,    49,  2032,
       0,     0,     0,     0,  1100,     0,     0,     0,     0,     0,
       0,    50,     0,     0,     0,  1449,     0,     0,  3807,     0,
    1478,     0,     0,     0,  3814,     0,  1479,     0,  2038,     0,
    2031,     0,     0,  2032,    51, -2635,     0,  2033,  2034,  2035,
       0,   851,     0,     0,     0,  1100,     0,     0,    52,  1450,
       0,  -128,   864,     0,  2036,     0,     0,  4089,   864,     0,
    2040,   864,  2038,     0,     0, -2635,     0,     0,  1481,  2039,
       0,  4389,  2054,  2055,  2056,  2057,  2058,  2059,  1100,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2433,     0,     0,     0,  2040,     0,     0,     0,     0,     0,
   -2635,     0,     0,     0,     0, -2635,     0,     0,  1452,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2332,     0,
       0,     0,  1483,     0,     0,     0,     0,  4516,     0,  1484,
       0,     0,  1485,  1809,  1810,  1811,     0,   873,     0,     0,
       0,     0, -2635,  1453,     0,     0,     0,     0,     0,     0,
       0,     0,   597,   597,   597,     0,     0,  1486,     0,     0,
    2031,     0,     0,  2032,     0,  3424,     0,  2033,  2034,  2035,
   -2635,     0,     0,     0,  3352, -2635,     0,     0,     0,  1454,
       0,     0,     0,     0,  2036,     0,     0,     0,     0,  2047,
       0,  1487,  2038,     0,     0,     0,     0,     0,     0,  2039,
       0,     0,     0,     0,  2041,     0,     0,     0,     0,  2042,
       0,     0, -2635,  1455,     0,  3971,     0,  3973,     0,  3975,
       0,     0,     0,     0,  2040,     0,     0,     0,  3979,     0,
       0,  2043,  2044,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1457,  2045,     0,     0,     0,
    1488,  1420,  1489,     0,     0,  1100,     0,     0,     0,  2047,
       0,     0,  1490,     0,     0,     0,     0,     0,     0,  4004,
       0,  1491,  1100,     0,     0,     0,     0,     0,     0,  2046,
   -2635,     0,     0,  1492,     0,  1712,     0,    36,     0,     0,
    1100,  3353,     0,  2047,     0,     0,  2048,     0,     0,     0,
    1460,     0,     0,     0,     0,     0,     0,     0,  1461,   873,
       0,     0,     0,     0,     0,     0,  2276,   873,     0,     0,
       0,     0,  2333,     0,     0,  1494,  1495,     0,  1463,   873,
       0,     0,     0,     0,  2041,     0,     0,  1464,     0,  2042,
       0,  1465,     0,     0,     0,     0,  1100,     0,     0,     0,
   -2635,     0,     0,   597,     0,  2334,   597,     0,     0,  1100,
    3354,  2043,  2044,     0,     0,   597,     0,     0,     0,     0,
       0,  1100,     0,     0,     0,     0,  2045,     0,     0, -2635,
       0,     0,     0,  1100,  2049,     0,  2054,  2055,  2056,  2057,
    2058,  2059,     0,     0,  1466,     0,     0,     0,  3355,     0,
     597,   597,     0,   873,   873,     0,     0,     0,     0,  2046,
       0,     0,     0,     0,     0,   597,     0,   873,   597,     0,
       0,     0,  1497,  2047,     0,  4628,  2048,  1100,  1100,     0,
     873,   873,     0,     0,     0,     0,     0,  4638,     0,     0,
       0,     0,     0,     0,     0,     0,   873,     0,     0, -2635,
       0,     0,     0,     0,     0,     0,  2054,  2055,  2056,  2057,
    2058,  2059,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   597,     0,
       0,   597,   597,  2050,     0,     0,  2051,  2052,  2053,     0,
    2054,  2055,  2056,  2057,  2058,  2059,     0,     0,     0,     0,
    2794,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   664,     0,  2049,     0,   597,     0,   597,     0,
       0,   750,     0,   597,   597,     0,     0,     0,     0,     0,
     597,   597,   597,     0,     0,     0,   597,     0,   597,   597,
     597,   597,   597,   597,     0,   597,     0,   597,   597,     0,
       0,   597,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1100,   597,   597,   597,   597,
    1712,     0,     0,     0,   597,     0,     0,     0,   597,     0,
       0,   597,     0,     0,   597,   597,   597,   597,   597,   597,
     597,   597,   597,     0,   597,     0,     0,     0,     0,     0,
       0,   597,     0,   597,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2050,     0,     0,  2051,  2052,  2053,     0,
    2054,  2055,  2056,  2057,  2058,  2059,     0,     0,  2031,     0,
    3843,  2032,     0,     0,     0,  2033,  2034,  2035,     0,  3424,
     873,     0,     0,     0,     0,     0,   597,     0,     0,     0,
       0,     0,  2036,     0,     0,     0,     0,     0,     0,     0,
    2038,   597,     0,     0,     0,     0,     0,  2039,     0,     0,
     597,   597,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2040,  2707,     0,     0,   873,     0,     0,     0,
       0,     0,  2031,  1100,     0,  2032,     0,  1100,  1100,  2033,
    2034,  2035,     0,     0,   873,     0,     0,     0,     0,  1712,
     873,     0,     0,     0,   873,     0,  2036,     0,     0,     0,
       0,     0,   873,     0,  2038,     0,     0,     0,     0,     0,
       0,  2039,  2708,     0,     0,     0,     0,     0,     0,  3424,
     873,  3424,     0,   597,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   597,  2040,     0,     0,  1100,
       0,     0,   597,     0,  2709,   597,   597,     0,     0,     0,
       0,     0,     0,  1100,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   873,  2710,     0,     0,
    4450,     0,  2041,     0,  4452,     0,     0,  2042,  2711,     0,
       0,     0,     0,     0,     0,   873,   873,     0,     0,     0,
       0,     0,     0,     0,  1100,     0,     0,     0,  2712,  2043,
    2044,     0,     0,  2713,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2045,     0,     0,  1712,   873,     0,
       0,  1712,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   873,     0,  1712,  2041,  2046,     0,     0,
     873,  2042,     0,     0,  2714,     0,   873,     0,     0,     0,
    2231,  2047,     0,   873,  2048,  2232,     0,   873,     0,     0,
       0,     0,   873,  2043,  2044,  2715,     0,     0,     0,     0,
       0,     0,     0,   851,     0,     0,   851,     0,  2045,     0,
       0,     0,   873,     0,     0,     0,     0,   873,     0,     0,
    2233,   873,     0,     0,  1712,     0,     0,     0,     0,     0,
       0,     0,     0,  2234,   873,     0,     0,     0,     0,     0,
       0,  2046,     0,     0,     0,     0,     0,   873,  2235,     0,
     864,   864,     0,     0,     0,  2047,     0,   873,  2048,     0,
       0,     0,     0,   206,  2716,   864,     0,  2717,   864,     0,
       0,     0,  2049,     0,   597,   597,   597,     0,     0,     0,
     597,     0,     0,     0,     0,     0,     0,     0,     0,  2236,
       0,     0,     0,  2718,     0,     0,  2719,     0,     0,     0,
    2237,     0,  2720,     0,     0,     0,     0,     0,  4595,  2721,
       0,     0,   597,  1100,     0,     0,     0,     0,     0,     0,
    2238,     0,  1712,     0,     0,  2239,     0,     0,   864,     0,
       0,   864,   864,     0,     0,     0,     0,     0,  2722,     0,
       0,     0,     0,     0,  2723,     0,  2049,  2724,     0,     0,
    4619,  4620,     0,     0,     0,     0,   597,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2725,     0,     0,     0,
       0,  2050,     0,     0,  2051,  2052,  2053,     0,  2054,  2055,
    2056,  2057,  2058,  2059,     0,     0,     0,     0,  4020,     0,
       0,  2726,     0,     0,   985,  1100,     0,  2240,  1100,     0,
       0,     0,     0,   873,     0,     0,     0,     0,     0,     0,
       0,     0,   597,  1478,     0,     0,     0,     0,     0,  1479,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2241,     0,     0,     0,     0,  4661,  4662,     0,     0,
       0,     0,     0,     0,     0,  2050,  1051,   664,  2051,  2052,
    2053,     0,  2054,  2055,  2056,  2057,  2058,  2059,   873,     0,
       0,  1481,  4072,     0,     0,   206,  2242,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2243,     0,
     873,     0,     0,     0,  2244,     0,     0,     0,     0,     0,
       0,  2245,     0,     0,  2246,  1483,  1100,     0,   873,     0,
       0,     0,  1484,     0,     0,  1485,   873,     0,     0,     0,
     597,     0,     0,  1100,     0,     0,   597,     0,     0,   597,
       0,     0,   597,  1194,     0,     0,  2247,     0,  1100,     0,
    1486,     0,     0,  2248,     0,     0,     0,     0,     0,   597,
    4757,  2249,  4758,  4759,   597,     0,     0,  2031,  2250,  1214,
    2032,     0,     0,     0,  2033,  2034,  2035,  1323,  4763,     0,
    1332,  1051,  1334,     0,  1487,     0,     0,   597,   597,   597,
       0,  2036,   597,  2251,     0,     0,     0,     0,     0,  2038,
     597,   597,   597,   597,     0,     0,  2039,     0,  1712,     0,
       0,     0,     0,   597,  1712,   851,   597,     0,   597,     0,
       0,     0,   864,     0,     0,   864,   864,     0,     0,   597,
     597,  2040,     0,   597,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1488,     0,  1489,     0,   597,     0,   597,
       0,   597,     0,     0,     0,  1490,  3424,     0,     0,     0,
       0,     0,     0,     0,  1491,     0,     0,     0,     0,     0,
       0,   597,     0,     0,     0,     0,  1492,     0,     0,     0,
       0,     0,   597,     0,     0,     0,     0,     0,     0,     0,
     873,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   597,     0,  2031,     0,
       0,  2032,     0,     0,     0,  2033,  2034,  2035,  1494,  1495,
       0,   597,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2036,     0,     0,   597,     0,     0,     0,     0,
    2038,  2041,     0,     0,     0,     0,  2042,  2039,  1496,     0,
       0,     0,     0,     0,  1100,     0,     0,  1100,     0,  1100,
       0,     0,     0,     0,  1100,     0,     0,     0,  2043,  2044,
       0,     0,  2040,     0,     0,     0,     0,     0,  1449,   873,
     873,     0,     0,  2045,     0,   597,     0,     0,     0,     0,
    2031,     0,     0,  2032,     0,     0,     0,  2033,  2034,  2035,
       0,     0,     0,     0,     0,     0,   873,     0,     0,   873,
       0,     0,  1450,  1100,  2036,  1497,  2046,     0,     0,     0,
       0,     0,  2038,     0,     0,     0,     0,     0,     0,  2039,
    2047,   737,  1100,  2048,     0,     0,     0,   737,     0,     0,
       0,     0,  1451,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2040,     0,     0,  1100,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1452,     0,     0,     0,     0,     0,     0,  4993,     0,
       0,     0,  2041,     0,     0,     0,     0,  2042,     0,     0,
       0,     0,     0,     0,  1712,  1712,  1712,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1453,     0,     0,  2043,
    2044,     0,     0,     0,     0,     0,     0,   873,     0,     0,
    1051,  2049,     0,     0,  2045,     0,     0,  1100,     0,  1100,
       0,     0,     0,     0,     0,     0,     0,   873,  1051,     0,
       0,     0,  1454,     0,     0,     0,     0,     0,  5038,     0,
       0,     0,     0,     0,     0,     0,   873,  2046,     0,     0,
       0,     0,     0,     0,  2041,     0,     0,     0,     0,  2042,
       0,  2047,  1963,     0,  2048,     0,  1455,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2043,  2044,     0,     0,     0,     0,     0,     0,     0,
    5075,     0,  1051,     0,     0,     0,  2045,  1456,  1457,     0,
       0,     0,     0,     0,  1420,     0,     0,     0,  1100,     0,
    2050,     0,     0,  2051,  2052,  2053,     0,  2054,  2055,  2056,
    2057,  2058,  2059,     0,     0,     0,     0,  4177,   873,  2046,
       0,     0,     0,   597,     0,     0,  1458,     0,     0,   597,
      36,     0,     0,  2047,  1459,     0,  2048,  1100,     0,     0,
       0,     0,  2049,  1460,     0,     0,     0,     0,     0,     0,
       0,  1461,     0,     0,     0,     0,     0,     0,  2027,  1462,
       0,     0,     0,     0,     0,  1712,  1100,  2029,     0,     0,
     851,  1463,   873,     0,   873,     0,   864,     0,     0,   864,
    1464,  2071,   864,     0,  1465,     0,     0,   873,     0,   873,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1051,     0,     0,  2088,  2089,     0,     0,     0,  1051,  1051,
       0,  1712,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1051,     0,  2049,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1100,     0,  1466,     0,     0,
       0,  2050,     0,     0,  2051,  2052,  2053,     0,  2054,  2055,
    2056,  2057,  2058,  2059,     0,   873,  1100,     0,  4479,     0,
       0,     0,     0,   852,   854,     0,     0,   858,     0,     0,
    1100,     0,  2031,     0,     0,  2032,     0,     0,     0,  2033,
    2034,  2035,     0,     0,     0,     0,     0,   914,     0,     0,
       0,     0,     0,     0,   924,     0,  2036,     0,     0,     0,
       0,     0,     0,     0,  2038,     0,   873,     0,     0,     0,
       0,  2039,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   594,  2050,   873,     0,  2051,  2052,  2053,     0,
    2054,  2055,  2056,  2057,  2058,  2059,  2040,     0,     0,     0,
    4517,     0,     0,     0,     0,     0,   873,     0,     0,   873,
       0,     0,     0,     0,     0,     0,  3351,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   597,
       0,     0,  1100,     0,  1478,   594,     0,  1449,   597,     0,
    1479,     0,     0,     0,   597,     0,   597,     0,     0,   597,
       0,     0,     0,  1100,   597,   597,   597,   597,     0,     0,
     597,   597,   597,   597,   597,   597,   597,   597,   597,   597,
       0,  1450,     0,   597,   597,     0,     0,     0,  1100,     0,
       0,     0,  1481,   597,     0,     0,     0,   597,  2392,  1712,
       0,   597,     0,     0,  2397,     0,     0,     0,     0,   597,
       0,     0,   597,     0,   597,     0,  2041,     0,     0,     0,
       0,  2042,  1100,   597,     0,     0,   597,   597,     0,     0,
       0,   597,   597,     0,     0,     0,     0,     0,   597,     0,
    1452,     0,     0,  2043,  2044,     0,  1483,     0,   597,     0,
       0,   597,     0,  1484,     0,     0,  1485,     0,  2045,     0,
       0,     0,     0,   597,     0,     0,     0,     0,     0,     0,
       0,     0,  5392,     0,     0,  1453,     0,     0,     0,     0,
       0,  1486,     0,     0,     0,     0,     0,     0,   597,     0,
       0,  2046,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   597,  2047,  3352,     0,  2048,     0,
    1100,  1454,     0,     0,     0,  1487,     0,  2031,     0,     0,
    2032,     0,   597,     0,  2033,  2034,  2035,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2036,     0,     0,     0,  1455,     0,     0,     0,  2038,
       0,     0,     0,   873,     0,     0,  2039,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1488,     0,  1489,  1457,     0,     0,
     737,  2040,   737,  1420,   737,     0,  1490,     0,     0,     0,
     737,  1170,  1171,     0,     0,  1491,  2049,     0,     0,     0,
       0,     0,     0,     0,  1712,     0,     0,  1492,     0,  1712,
    1100,  1712,     0,     0,  2529,     0,     0,     0,  2534,    36,
       0,     0,     0,  1459,     0,     0,     0,     0,     0,     0,
       0,     0,  1460,  1712,  1100,     0,     0,     0,     0,     0,
    1461,     0,     0,     0,     0,     0,  1609,     0,  2276,  1494,
    1495,     0,  1712,     0,     0,     0,     0,   994,     0,   997,
    1463,     0,     0,  1000,     0,     0,     0,     0,   873,  1464,
       0,   873,     0,  1465,     0,     0,     0,  1025,     0,  1610,
       0,     0,     0,  1478,  1030,     0,     0,     0,     0,  1479,
       0,  2041,  3354,     0,     0,  2050,  2042,     0,  2051,  2052,
    2053,     0,  2054,  2055,  2056,  2057,  2058,  2059,  2031,     0,
       0,  2032,  4766,     0,     0,  2033,  2034,  2035,  2043,  2044,
       0,     0,     0,     0,     0,     0,  1466,     0,     0,     0,
    3355,  1481,  2036,  2045,     0,   597,     0,     0,   737,     0,
    2038,     0,     0,     0,     0,     0,  1497,  2039,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     873,   873,     0,     0,  1100,     0,  2046,     0,     0,     0,
     873,     0,  2040,     0,     0,     0,     0,   597,     0,     0,
    2047,     0,     0,  2048,     0,  1483,     0,     0,     0,   873,
       0,     0,  1484,     0,     0,  1485,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1100,     0,     0,     0,  1100,   597,   597,     0,
    1486,  2031,     0,     0,  2032,     0,     0,     0,  2033,  2034,
    2035,  2753,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2036,     0,     0,     0,     0,
       0,     0,     0,  2038,  1487,     0,     0,     0,     0,     0,
    2039,     0,     0,     0,   873,     0,     0,     0,     0,     0,
       0,  2049,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2041,     0,     0,  2040,     0,  2042,     0,   597,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     597,     0,     0,     0,     0,     0,     0,     0,     0,  2043,
    2044,     0,     0,  1488,     0,  1489,     0,     0,     0,     0,
       0,     0,  2866,     0,  2045,  1490,     0,  1510,  1511,     0,
     597,     0,     0,   597,  1491,     0,     0,     0,     0,     0,
       0,   597,   597,     0,  1100,     0,  1492,     0,   597,   597,
       0,     0,     0,   597,  1100,     0,     0,  2046,   597,     0,
       0,   597,   597,     0,     0,     0,   597,     0,     0,     0,
    2050,  2047,   597,  2051,  2052,  2053,     0,  2054,  2055,  2056,
    2057,  2058,  2059,     0,   597,  2255,     0,  4776,  1494,  1495,
       0,     0,   597,     0,     0,  2041,   597,     0,     0,     0,
    2042,     0,     0,     0,     0,     0,     0,     0,   594,     0,
       0,   594,   737,     0,     0,     0,     0,     0,  2256,     0,
       0,     0,  2043,  2044,   597,  1743,     0,     0,     0,     0,
       0,     0,     0,     0,  1051,     0,     0,  2045,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   597,     0,     0,  1765,  1766,     0,     0,     0,     0,
       0,     0,  2049,     0,  2031,     0,     0,  2032,     0,  1100,
    2046,  2033,  2034,  2035,     0,     0,     0,     0,     0,     0,
    1807,     0,   594,     0,  2047,  1497,   873,  2048,  2036,     0,
       0,  1712,     0,     0,     0,     0,  2038,     0,     0,     0,
       0,     0,     0,  2039,     0,  1334,     0,     0,  1100,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   873,     0,     0,     0,  2040,  1100,
       0,     0,     0,     0,     0,     0,   873,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   597,     0,  1875,  1877,     0,     0,     0,     0,
       0,  2050,     0,   873,  2051,  2052,  2053,     0,  2054,  2055,
    2056,  2057,  2058,  2059,     0,  2049,     0,     0,     0,     0,
       0,     0,     0,     0,  1334,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1100,     0,     0,   737,     0,     0,
       0,  1334,   737,   737,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   737,     0,     0,     0,
       0,   597,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   597,  2041,     0,
       0,     0,     0,  2042,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     873,     0,  3204,     0,     0,  2043,  2044,   597,     0,     0,
       0,     0,     0,     0,  2050,     0,     0,  2051,  2052,  2053,
    2045,  2054,  2055,  2056,  2057,  2058,  2059,     0,     0,     0,
       0,  4785,     0,     0,     0,     0,  3233,     0,     0,  3233,
       0,  3233,     0,     0,     0,  3233,     0,  3233,  3233,   737,
       0,     0,  1100,  2046,  1100,     0,  3233,  3233,  3233,   737,
       0,     0,     0,     0,     0,     0,     0,  2047,     0,     0,
    2048,     0,     0,     0,     0,     0,     0,   594,   873,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   597,     0,     0,     0,
    1100,     0,  1170,  1171,  1478,     0,     0,     0,     0,     0,
    1479,  3309,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1480,     0,   597,   597,     0,     0,   597,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3340,   597,   737,     0,     0,   737,   737,
       0,   597,  1481,     0,     0,  1051,   597,     0,  2049,   597,
     597,     0,     0,     0,     0,     0,   597,   597,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   597,     0,   597,     0,     0,     0,     0,   873,     0,
     873,     0,     0,     0,   597,     0,     0,     0,     0,     0,
       0,     0,  1482,     0,     0,     0,  1483,     0,     0,     0,
    1051,     0,     0,  1484,     0,     0,  1485,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1100,   873,     0,     0,     0,     0,
       0,  1486,     0,     0,   597,     0,     0,  2274,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2050,     0,     0,
    2051,  2052,  2053,     0,  2054,  2055,  2056,  2057,  2058,  2059,
       0,     0,  2313,     0,  4788,  1487,     0,     0,     0,     0,
       0,     0,  1712,     0,     0,     0,     0,   597,     0,     0,
       0,     0,   594,     0,     0,     0,   594,     0,     0,  2031,
       0,     0,  2032,     0,     0,     0,  2033,  2034,  2035,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2036,     0,     0,     0,     0,   737,     0,
       0,  2038,     0,     0,  1488,     0,  1489,     0,  2039,     0,
       0,     0,     0,  4964,     0,     0,  1490,     0,     0,     0,
       0,     0,     0,     0,     0,  1491,   597,     0,  1100,     0,
       0,     0,     0,  2040,     0,     0,     0,  1492,     0,     0,
       0,     0,  2415,  2416,  2417,  2418,     0,     0,     0,     0,
       0,   597,  1100,     0,   597,     0,   597,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   597,  1493,     0,     0,  1494,
    1495,   597,     0,     0,     0,   597,     0,     0,     0,     0,
       0,  1100,     0,     0,     0,   597,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2591,     0,     0,     0,  1496,
       0,     0,  1051,     0,     0,  2599,     0,  2600,     0,     0,
       0,     0,     0,  2604,     0,     0,     0,     0,     0,     0,
    2610,     0,     0,     0,     0,     0,  1712,     0,     0,     0,
       0,     0,     0,  2041,  1100,     0,     0,     0,  2042,  1100,
    1100,     0,     0,     0,   597,  2031,     0,     0,  2032,   597,
     597,   873,  2033,  2034,  2035,     0,     0,     0,     0,     0,
    2043,  2044,     0,   873,     0,     0,  1497,     0,     0,     0,
       0,     0,     0,  2468,  2469,  2045,     0,  2038,     0,     0,
       0,     0,     0,     0,  2039,   597,     0,     0,     0,     0,
       0,     0,   597,  2492,     0,     0,     0,  4688,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2046,  2040,
       0,     0,     0,     0,     0,     0,     0,   597,     0,     0,
       0,  1051,  2047,     0,     0,  2048,     0,     0,  2537,  2538,
    2539,  2540,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2742,  2743,  1100,  1100,     0,     0,     0,  2757,
    2758,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   597,     0,     0,   597,     0,     0,
     597,     0,     0,     0,     0,     0,     0,  2796,     0,     0,
       0,   597,     0,     0,     0,   597,     0,   597,     0,   597,
       0,     0,     0,     0,     0,     0,   597,     0,     0,     0,
       0,     0,  3733,  2049,     0,     0,   603,     0,     0,  2041,
       0,     0,   653,   603,  2042,   597,     0,     0,   705,     0,
     603,     0,     0,     0,     0,     0,   603,     0,     0,   759,
       0,     0,     0,     0,     0,  2638,  2043,  2044,     0,     0,
    1712,  2642,   873,     0,     0,     0,     0,     0,   826,   826,
       0,  2045,     0,     0,   594,     0,  3771,     0,     0,     0,
       0,   594,     0,     0,     0,     0,   594,     0,     0,   594,
    4804,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2046,     0,  2901,  2901,     0,     0,
       0,   594,   597,     0,     0,     0,     0,     0,  2047,     0,
       0,   597,  2050,     0,   594,  2051,  2052,  2053,     0,  2054,
    2055,  2056,  2057,  2058,  2059,     0,     0,     0,     0,  4835,
       0,     0,  3810,     0,     0,     0,     0,   597,   597,   597,
       0,     0,     0,     0,     0,     0,   597,  1712,     0,     0,
    1100,     0,     0,     0,     0,     0,   597,     0,   737,     0,
       0,     0,     0,     0,   864,   873,     0,     0,     0,     0,
       0,     0,     0,     0,  3233,     0,     0,     0,     0,   597,
       0,     0,  2808,     0,     0,     0,     0,     0,  3840,  3840,
       0,     0,   873,     0,  2031,     0,     0,  2032,  3856,  2049,
       0,  2033,  2034,  2035,  1051,   860,  1051,   864,     0,     0,
       0,     0,     0,   902,     0,     0,   904,     0,  2036,   909,
     910,     0,   913,     0,   915,     0,  2038,   921,     0,   923,
       0,     0,   597,  2039,     0,     0,     0,     0,   597,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   597,     0,
       0,  1478,  3912,  3045,   597,   597,   597,  1479,  2040,     0,
       0,     0,     0,     0,     0,     0,   597,     0,     0,     0,
    1580,     0,  2031,     0,     0,  2032,   594,     0,     0,  2033,
    2034,  2035,     0,     0,     0,     0,  3947,  1051,     0,     0,
       0,     0,     0,     0,     0,     0,  2036,   873,  2050,  1481,
       0,  2051,  2052,  2053,  2038,  2054,  2055,  2056,  2057,  2058,
    2059,  2039,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   597,     0,     0,     0,     0,     0,   597,     0,
       0,     0,     0,     0,   737,   594,  2040,     0,     0,     0,
       0,     0,   737,     0,     0,   737,     0,     0,     0,     0,
       0,  1581,     0,  1483,     0,   597,   597,     0,     0,     0,
    1484,     0,     0,  1485,     0,     0,     0,   597,  2041,     0,
       0,     0,   597,  2042,     0,     0,  2991,  2992,     0,     0,
       0,  1712,     0,     0,     0,     0,     0,  3005,  1486,  3007,
       0,     0,     0,  3011,     0,  2043,  2044,     0,     0,  2031,
       0,   597,  2032,     0,     0,     0,  2033,  2034,  2035,     0,
    2045,   597,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1487,  2036,     0,     0,     0,     0,     0,   597,
       0,  2038,     0,     0,     0,     0,     0,     0,  2039,     0,
       0,     0,   597,  2046,  1712,     0,  2041,     0,     0,     0,
       0,  2042,  5110,     0,     0,     0,     0,  2047,     0,     0,
    2048,     0,  1712,  2040,   597,   597,     0,     0,     0,     0,
    4073,     0,     0,  2043,  2044,     0,     0,   594,     0,     0,
       0,  1488,     0,  1489,     0,     0,     0,     0,  2045,     0,
       0,     0,     0,  1490,     0,     0,     0,     0,     0,     0,
       0,     0,  1491,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1492,     0,     0,     0,     0,     0,
       0,  2046,     0,  3148,     0,     0,  3151,     0,     0,     0,
       0,     0,     0,     0,     0,  2047,     0,   594,  2048,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2049,     0,
       0,     0,     0,  3166,     0,     0,  1494,  1495,     0,     0,
       0,  3377,  3379,     0,     0,     0,   594,  3387,     0,     0,
       0,     0,     0,  2041,     0,     0,     0,     0,  2042,     0,
       0,  1478,     0,     0,     0,     0,  3167,  1479,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2043,  2044,     0,     0,     0,  3236,     0,     0,     0,     0,
       0,     0,     0,  3243,     0,  2045,  3246,     0,     0,     0,
       0,     0,  3248,     0,     0,     0,  2049,     0,   737,  1481,
       0,  1003,     0,  3260,     0,     0,     0,     0,  1016,  1017,
       0,     0,  1023,     0,  1026,  1027,     0,  2050,  2046,  1029,
    2051,  2052,  2053,  1497,  2054,  2055,  2056,  2057,  2058,  2059,
    1048,     0,  2047,     0,  4870,  2048,     0,     0,     0,     0,
       0,   594,  3856,     0,  3306,     0,     0,     0,     0,     0,
       0,     0,     0,  1483,     0,     0,     0,     0,     0,     0,
    1484,     0,     0,  1485,     0,     0,  4275,     0,     0,  1125,
       0,  1127,  3329,     0,  4283,     0,     0,  4284,     0,  4285,
       0,  1143,     0,     0,     0,     0,     0,     0,  1486,     0,
       0,     0,     0,     0,     0,  2050,     0,     0,  2051,  2052,
    2053,     0,  2054,  2055,  2056,  2057,  2058,  2059,     0,   864,
       0,     0,  4910,   603,     0,     0,     0,     0,     0,     0,
       0,  4324,  1487,  2049,     0,     0,     0,     0,     0,     0,
    3392,     0,  3394,     0,  3233,     0,     0,     0,  3233,  3233,
       0,  3233,     0,     0,     0,     0,     0,  2031,     0,     0,
    2032,     0,     0,     0,  2033,  2034,  2035,     0,     0,     0,
       0,     0,  5343,     0,     0,     0,     0,     0,     0,     0,
       0,  2036,     0,     0,     0,     0,     0,     0,   594,  2038,
       0,  1488,     0,  1489,   864,   864,  2039,     0,     0,     0,
       0,     0,     0,  1490,  3595,     0,   737,     0,     0,     0,
       0,   826,  1491,     0,     0,     0,     0,     0,     0,     0,
       0,  2040,     0,     0,  1492,     0,     0,     0,     0,  3608,
    3608,     0,  2050,     0,     0,  2051,  2052,  2053,     0,  2054,
    2055,  2056,  2057,  2058,  2059,     0,     0,  1440,     0,  5214,
    3459,  4429,     0,     0,  3856,     0,     0,     0,     0,     0,
       0,     0,   594,  3038,     0,     0,  1494,  1495,   594,     0,
    2031,     0,     0,  2032,     0,     0,     0,  2033,  2034,  2035,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2036,     0,  1496,     0,     0,     0,
       0,     0,  2038,     0,     0,     0,     0,     0,     0,  2039,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1612,
       0,  4468,  4468,  4468,     0,  4468,  4468,  4468,  4468,  4468,
       0,  2041,     0,     0,  2040,     0,  2042,     0,     0,     0,
    1723,     0,     0,     0,  1478,     0,     0,     0,     0,     0,
    1479,     0,  1734,     0,     0,     0,     0,  1737,  2043,  2044,
       0,     0,     0,  1497,     0,     0,     0,  1740,     0,   594,
       0,     0,  1744,  2045,     0,     0,     0,     0,     0,     0,
       0,  1747,  5482,     0,     0,     0,  1754,     0,     0,  1758,
       0,     0,  1481,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   864,   864,  2046,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2047,     0,     0,  2048,     0,     0,     0,  2031,     0,     0,
    2032,  1812,     0,     0,  2033,  2034,  2035,     0,     0,     0,
       0,     0,     0,     0,  2041,     0,  1483,     0,     0,  2042,
       0,  2036,     0,  1484,     0,  4556,  1485,  4558,     0,  2038,
       0,     0,     0,     0,     0,     0,  2039,     0,     0,     0,
       0,  2043,  2044,     0,     0,     0,     0,     0,     0,     0,
       0,  1486,     0,     0,     0,     0,  2045,     0,     0,     0,
       0,  2040,     0,  2031,     0,     0,  2032,     0,     0,     0,
    2033,  2034,  2035,     0,     0,     0,     0,     0,     0,     0,
       0,  2049,     0,     0,     0,  1487,     0,  2036,  3666,  2046,
    3667,  3668,  3669,     0,     0,  2038,     0,     0,     0,     0,
       0,     0,  2039,  2047,     0,     0,  2048,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   603,     0,   603,     0,
     603,     0,   603,     0,   603,   603,   603,  2040,     0,     0,
       0,   603,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1959,     0,  1488,     0,  1489,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1490,     0,     0,     0,
       0,     0,  1972,     0,     0,  1491,     0,     0,     0,     0,
       0,  2041,   737,     0,     0,     0,  2042,  1492,     0,     0,
    2050,     0,     0,  2051,  2052,  2053,     0,  2054,  2055,  2056,
    2057,  2058,  2059,     0,  2049,     0,  3890,  5237,  2043,  2044,
       0,     0,     0,     0,  4658,  4659,     0,     0,     0,     0,
       0,     0,     0,  2045,     0,  3233,  3210,  3233,  3233,  1494,
    1495,  3233,     0,  2031,     0,     0,  2032,     0,     0,     0,
    2033,  2034,  2035,     0,     0,     0,     0,  2041,     0,     0,
       0,     0,  2042,     0,     0,     0,  2046,  2036,     0,  3211,
       0,     0,     0,     0,     0,  2038,     0,     0,     0,     0,
    2047,     0,  2039,  2048,  2043,  2044,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2045,
       0,  3965,     0,     0,     0,  4717,     0,  2040,     0,     0,
       0,     0,     0,  2050,     0,     0,  2051,  2052,  2053,     0,
    2054,  2055,  2056,  2057,  2058,  2059,     0,     0,     0,     0,
    5342,     0,  2046,     0,     0,     0,  1497,     0,     0,     0,
       0,     0,   826,  4744,     0,     0,  2047,  3828,     0,  2048,
       0,     0,     0,     0,     0,  2031,     0,     0,  2032,  1478,
       0,     0,  2033,  2034,  2035,  1479,     0,     0,     0,     0,
       0,  2049,     0,     0,     0,     0,  4468,     0,     0,  2036,
       0,     0,   737,     0,     0,     0,     0,  2038,     0,     0,
       0,     0,     0,     0,  2039,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1481,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2041,     0,  2040,
       0,     0,  2042,     0,  2253,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2049,     0,     0,
       0,     0,     0,     0,  2043,  2044,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2045,
       0,  1483,     0,     0,     0,     0,     0,     0,  1484,     0,
    2050,  1485,     0,  2051,  2052,  2053,     0,  2054,  2055,  2056,
    2057,  2058,  2059,     0,     0,     0,     0,  5412,     0,     0,
       0,     0,  2046,     0,     0,  2344,  1486,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2047,     0,     0,  2048,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3980,
       0,     0,     0,     0,     0,     0,  3856,     0,     0,  2041,
    1487,     0,     0,     0,  2042,     0,  2050,     0,     0,  2051,
    2052,  2053,     0,  2054,  2055,  2056,  2057,  2058,  2059,     0,
       0,  2031,     0,  5467,  2032,     0,  2043,  2044,  2033,  2034,
    2035,     0,     0,     0,     0,     0,     0,     0,     0,  3233,
       0,  2045,     0,     0,     0,     0,     0,     0,  4903,     0,
       0,     0,     0,  2038,     0,  2031,     0,     0,  2032,  1488,
    2039,  1489,  2033,  2034,  2035,     0,     0,  2049,     0,     0,
       0,  1490,     0,     0,  2046,     0,     0,     0,     0,  2036,
    1491,     0,     0,  2884,     0,  2040,     0,  2038,  2047,     0,
       0,  2048,  1492,     0,  2039,     0,     0,     0,  2031,     0,
       0,  2032,     0,     0,     0,  2033,  2034,  2035,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2031,  2040,
       0,  2032,  2036,     0,     0,  2033,  2034,  2035,     0,     0,
    2038,  3685,     0,     0,  1494,  1495,   737,  2039,     0,     0,
       0,     0,  2036,     0,     0,     0,     0,     0,     0,     0,
    2038,     0,     0,     0,     0,     0,     0,  2039,     0,     0,
     737,     0,  2040,     0,  3686,     0,  2050,   737,  2885,  2051,
    2052,  2053,     0,  2054,  2055,  2056,  2057,  2058,  2059,  2049,
       0,     0,  2040,  5481,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2041,     0,     0,     0,     0,
    2042,     0,     0,     0,     0,     0,     0,     0,     0,  2502,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0, -2635, -2635,     0,     0,     0,     0,     0,  2041,
       0,  1497,     0,     0,  2042,     0,     0,  2045,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1170,
    1171,     0,  4200,  4201,  4202,  4203,  2043,  2044,     0,     0,
       0,     0,     0,     0,  1449,  1051,     0,     0,  3510,  5084,
   -2635,  2045,  2041,  3511,     0,     0,     0,  2042,  2050,     0,
       0,  2051,  2052,  2053,  2047,  2054,  2055,  2056,  2057,  2058,
    2059,     0,  2041,  2456,     0,     0,     0,  2042,  1450,  2043,
    2044,     0,     0,     0,  2046,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2045,     0,     0,     0,  2047,  2043,
    2044,  2048,     0,     0,     0,     0,     0,     0,  1519,     0,
       0,     0,     0,     0,  2045,  2628,     0,  2629,   737,     0,
       0,     0,     0,     0,     0,     0,     0,  2046,     0,     0,
       0,     0,     0,     0,  2640,     0,  2641,  1452,     0,     0,
       0,  2047,     0,     0,  2048,     0,     0,  2046,     0,     0,
     603,     0,   603,     0,   603,  2049,   603,     0,   603,     0,
       0,  2047,   603,     0,  2048,     0,     0,   737,     0,  4064,
       0,     0,  1453,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2049,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4346,  1454,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4349,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2049,     0,  1051,     0,     0,     0,  5226,     0,
    5227,     0,  1455,     0,  5232,  5233,     0,     0,  2886,  4065,
       0,     0,  2049,     0,  2050,     0,     0,  2051,  2052,  2053,
       0,  2054,  2055,  2056,  2057,  2058,  2059,     0,     0,     0,
       0,     0,     0,  1520,  1457,     0,     0,     0,     0,     0,
    1420,     0,     0,     0,     0,     0,     0,     0,  2050,     0,
       0,  2051,  2052,  2053,     0,  2054,  2055,  2056,  2057,  2058,
    2059,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1521,     0,     0,     0,    36,     0,     0,     0,
    1459,     0,     0,     0,     0,     0,     0,     0,     0,  1460,
       0,  2050,     0,     0,  2051,  2052,  2053,  1461,  2054,  2055,
    2056,  2057,  2058,  2059,     0,  1522,     0,     0,     0,     0,
       0,  2050,     0,     0,  2051,  2052,  2053,  1463,  2054,  2055,
    2056,  2057,  2058,  2059,     0,     0,  1464,     0,     0,     0,
    1465,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2928,  2929,     0,     0,     0,     0,     0,   737,
       0,     0,     0,     0,   737,     0,     0,     0,   737,     0,
       0,  2944,  2945,     0,     0,     0,  2948,  2949,     0,     0,
       0,  2952,     0,  1466,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4631,  4632,  2963,     0,     0,  4635,  4636,
       0,     0,  2972,     0,     0,     0,  2975,  2976,     0,     0,
    2979,  2980,     0,     0,     0,     0,     0,  2985,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3004,     0,  3006,     0,     0,     0,     0,  1051,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3030,     0,     0,     0,     0,  3032,     0,
       0,     0,     0,     0,     0,     0,     0,   866,   875,     0,
       0,     0,  3037,     0,     0,   866,     0,   875,   866,     0,
       0,  3044,     0,     0,  3048,     0,     0,  3051,  3054,  3056,
       0,   875,     0,     0,  3064,  3067,     0,     0,     0,     0,
       0,     0,     0,     0,  3080,     0,     0,  2031,     0,  3089,
    2032,     0,     0,  3092,  2033,  2034,  2035,     0,     0,     0,
       0,     0,     0,  5448,     0,  2031,     0,     0,  2032,  3108,
       0,  2036,  2033,  2034,  2035,     0,  3118,  3119,     0,  2038,
       0,     0,  3123,     0,     0,     0,  2039,     0,     0,  2036,
       0,     0,  3469,  3138,  3139,     0,     0,  2038,  3142,     0,
       0,     0,     0,     0,  2039,     0,     0,     0,     0,     0,
    3149,  2040,     0,  3152,     0,     0,     0,     0,  3155,     0,
       0,     0,     0,  3157,  3158,     0,  5448,     0,  3161,  2040,
       0,  3165,     0,     0,     0,  3172,  3173,  3174,  3175,     0,
    3177,     0,     0,     0,  5448,     0,     0,     0,     0,     0,
       0,     0,     0,  3202,  3203,     0,  3205,     0,     0,     0,
       0,     0,     0,  4653,     0,     0,  3213,  3214,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4657,     0,
       0,     0,     0,     0,     0,     0,  2031,     0,     0,  2032,
       0,     0,     0,  2033,  2034,  2035,  5372,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2036,     0,     0,     0,     0,     0,     0,     0,  2038,     0,
       0,  2041,     0,     0,     0,  2039,  2042,     0,  3267,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2041,
       0,     0,     0,     0,  2042,     0,     0,     0,  2043,  2044,
    2040,     0,     0,     0,     0,     0,  3304,     0,     0,     0,
       0,     0,     0,  2045,     0,     0,  2043,  2044,     0,  4722,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2045,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2046,     0,     0,     0,
     737,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2047,     0,     0,  2048,  2046,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2047,     0,
       0,  2048,     0,     0,     0,     0,  5373,     0,     0,     0,
       0,     0,     0,     0,     0,  2031,     0,     0,  2032,     0,
       0,     0,  2033,  2034,  2035,     0,     0,     0,     0,     0,
    2041,     0,     0,     0,     0,  2042,     0,     0,     0,  2036,
       0,     0,  3515,     0,     0,     0,     0,  2038,     0,     0,
       0,     0,     0,     0,  2039,     0,     0,  2043,  2044,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2049,  2045,     0,     0,     0,     0,     0,     0,  2040,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2049,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1478,     0,     0,     0,   875,  2046,  1479,     0,     0,     0,
     875,     0,     0,     0,     0,  4840,  4841,  4841,     0,  2047,
       0,     0,  2048,   875,     0,     0,     0,  3460,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   875,
       0,  3483,     0,     0,     0,     0,     0,     0,  1481,     0,
       0,     0,     0,   866,   875,     0,     0,     0,     0,     0,
     866,     0,   875,   866,     0,     0,     0,     0,     0,     0,
    2050,     0,     0,  2051,  2052,  2053,   875,  2054,  2055,  2056,
    2057,  2058,  2059,     0,     0,     0,   875,     0,  2050,  2041,
       0,  2051,  2052,  2053,  2042,  2054,  2055,  2056,  2057,  2058,
    2059,     0,  1483,     0,     0,     0,     0,     0,     0,  1484,
    2049,     0,  1485,     0,     0,     0,  2043,  2044,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2045,     0,     0,     0,     0,     0,  1486,     0,   737,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2046,     0,     0,     0,     0,     0,
       0,  1487,     0,  4976,   875,     0,     0,     0,  2047,     0,
       0,  2048,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   875,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2050,
       0,   875,  2051,  2052,  2053,     0,  2054,  2055,  2056,  2057,
    2058,  2059,     0,     0,     0,     0,  2031,     0,     0,  2032,
    1488,     0,  1489,  2033,  2034,  2035,     0,     0,     0,     0,
       0,     0,  1490,     0,     0,     0,     0,     0,     0,     0,
    2036,  1491,     0,     0,     0,     0,     0,     0,  2038,     0,
       0,     0,     0,  1492,     0,  2039,     0,     0,     0,  2049,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3660,     0,     0,     0,  3662,     0,     0,     0,
    2040,     0,  3664,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3741,     0,     0,  1494,  1495,     0,     0,     0,
    3675,  3677,     0,     0,  5071,  3677,  5073,     0,  5220,  1714,
    3688,  3689,  3690,     0,  3692,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3742,     0,   866,     0,     0,
       0,     0,     0,   866,     0,     0,   866,  3714,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3720,  3721,  3722,
    3723,     0,     0,     0,     0,     0,     0,     0,  2050,     0,
       0,  2051,  2052,  2053,     0,  2054,  2055,  2056,  2057,  2058,
    2059,  3520,     0,  2031,     0,     0,  2032,     0,     0,     0,
    2033,  2034,  2035,  3740,     0,     0,  3745,  3746,  3747,     0,
    2041,     0,  1497,     0,     0,  2042,     0,  2036,     0,     0,
    3526,     0,     0,     0,  3767,  2038,     0,     0,     0,     0,
       0,     0,  2039,     0,     0,     0,     0,  2043,  2044,     0,
       0,     0,     0,     0,  3775,     0,     0,     0,     0,     0,
       0,     0,  2045,     0,     0,     0,     0,  2040,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4841,     0,  1449,     0,  2046,  2031,     0,     0,  2032,
       0,     0,     0,  2033,  2034,  2035,     0,     0,     0,  2047,
       0,     0,  2048,     0,     0,   875,     0,     0,     0,     0,
    2036,     0,     0,     0,     0,     0,  3817,  1450,  2038,     0,
       0,     0,     0,   875,  3821,  2039,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   875,     0,     0,     0,     0,     0,  1536,     0,     0,
    2040,     0,     0,     0,     0,  3835,     0,     0,     0,     0,
    5251,     0,     0,     0,     0,     0,     0,  2041,     0,   875,
       0,     0,  2042,     0,     0,     0,  1452,     0,  3878,     0,
       0,     0,     0,     0,     0,   875,     0,     0,     0,     0,
    2049,     0,     0,     0,  2043,  2044,     0,     0,     0,     0,
       0,   875,     0,     0,     0,   875,     0,     0,     0,  2045,
       0,  1453,     0,     0,     0,     0,  2031,     0,     0,  2032,
       0,     0,     0,  2033,  2034,  2035,     0,     0,     0,     0,
    3915,     0,     0,     0,     0,  3921,     0,     0,     0,     0,
    2036,     0,  2046,  4071,     0,     0,     0,  1454,  2038,     0,
       0,     0,     0,     0,     0,  2039,  2047,     0,     0,  2048,
    2041,     0,     0,  5322,     0,  2042,     0,  5447,     0,  3960,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2040,  1455,     0,     0,     0,     0,     0,  2043,  2044,  2050,
       0,     0,  2051,  2052,  2053,     0,  2054,  2055,  2056,  2057,
    2058,  2059,  2045,     0,     0,     0,     0,     0,  3976,     0,
    3977,     0,  1537,  1457,     0,     0,     0,     0,     0,  1420,
       0,     0,     0,   875,     0,     0,     0,     0,     0,     0,
    5447,   875,   875,     0,     0,  2046,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   875,     0,  2049,  5447,  2047,
    4001,  1538,  2048,     0,     0,    36,   874,     0,     0,  1459,
    5398,     0,     0,     0,     0,   874,     0,     0,  1460,     0,
       0,     0,     0,     0,     0,     0,  1461,     0,     0,   874,
       0,     0,     0,     0,  1539,     0,     0,     0,     0,     0,
    2041,     0,  4841,  4841,     0,  2042,  1463,     0,  1714,     0,
       0,     0,     0,     0,     0,  1464,     0,     0,     0,  1465,
       0,     0,     0,     0,     0,     0,     0,  2043,  2044,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2045,     0,     0,     0,     0,     0,     0,     0,
    2049,     0,     0,     0,     0,     0,  2050,     0,     0,  2051,
    2052,  2053,     0,  2054,  2055,  2056,  2057,  2058,  2059,     0,
       0,     0,  1466,     0,     0,  2046,  2031,     0,     0,  2032,
       0,     0,  4016,  2033,  2034,  2035,     0,     0,     0,  2047,
       0,     0,  2048,     0,     0,     0,     0,     0,     0,     0,
    2036,     0,     0,     0,     0,  4841,     0,     0,  2038,     0,
       0,     0,     0,     0,     0,  2039,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2040,     0,     0,     0,     0,     0,     0,     0,     0,  2050,
       0,     0,  2051,  2052,  2053,     0,  2054,  2055,  2056,  2057,
    2058,  2059,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4194,     0,  4195,     0,     0,     0,
    2049,     0,     0,  4197,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4207,
       0,     0,   875,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4215,     0,     0,     0,     0,
     878,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   912,     0,  4236,     0,     0,     0,     0,     0,
       0,     0,     0,   930,     0,     0,     0,     0,     0,     0,
    2041,     0,  4240,     0,     0,  2042,     0,     0,     0,     0,
       0,     0,  4249,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   614,  2043,  2044,  2050,
       0,  4278,  2051,  2052,  2053,     0,  2054,  2055,  2056,  2057,
    2058,  2059,  2045,   615,  4286,  4287,  4288,     0,     0,     0,
       0,  4292,  4293,  4294,  4295,     0,     0,     0,  4297,  4298,
       0,     0,     0,     0,  4305,  4306,   616,  4308,  4309,  4310,
    4311,  4312,  4313,     0,  4315,  2046,     0,     0,     0,   617,
       0,     0,     0,  4323,     0,     0,  4326,  4327,     0,  2047,
     618,     0,  2048,     0,  -856,     0,     0,     0,     0,     0,
    1714,  1478,     0,     0,     0,     0,     0,  1479,     0,     0,
    3677,     0,   619,     0,  1545,     0,     0,     0,   620,     0,
       0,     0,     0,     0,   875,     0,     0,     0,     0,  4350,
       0,     0,   875,  1546,     0,   621,     0,     0,     0,  1478,
       0,     0,   874,     0,   875,  1479,   622,     0,   874,  1481,
       0,     0,  1545,     0,   623,     0,     0,     0,     0,     0,
       0,   874,     0,     0,     0,     0,   624,     0,     0,     0,
       0,  1546,     0,     0,   625,     0,     0,   874,   626,     0,
    2049,     0,     0,  1547,     0,     0,     0,  1481,     0,     0,
       0,     0,   874,     0,     0,     0,     0, -1085,     0,     0,
     874,     0,     0,  1483,     0,     0,     0,     0,     0,     0,
    1484,     0,     0,  1485,   874,   866,   866,     0,   875,   875,
       0,  1547,     0,     0,   874,     0,     0,     0,     0,  3677,
     866,     0,   875,   866,   627,     0,     0,     0,  1486,     0,
       0,  1483,     0,  -573,     0,   875,   875,     0,  1484,     0,
       0,  1485,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   875,     0,  4462,     0,     0,     0,     0,     0,  1548,
       0,     0,  1487,     0,     0,     0,  1486,   628,     0,  2050,
     629,     0,  2051,  2052,  2053,     0,  2054,  2055,  2056,  2057,
    2058,  2059,     0,   866,     0,     0,   866,   866,     0,     0,
       0,   630,     0,     0,     0,     0,     0,  1548,     0,     0,
    1487,     0,   874,     0,     0,   631,     0,  1549,     0,     0,
    1550,     0,  -444,     0,     0,     0,     0,     0,     0,     0,
       0,  1551,     0,  1489,     0,     0,   874,     0,     0,     0,
       0,   632,     0,  1490,     0,     0,     0,     0,     0,   874,
     633,     0,  1491,     0,     0,  1549,     0,  -444,  1550,     0,
     634,     0,     0,  1552,  1492,     0,     0,     0,     0,  1551,
       0,  1489,     0,     0,     0,     0,   944,     0,     0,   635,
       0,  1490,   992,     0,     0,  1714,   636,     0,     0,     0,
    1491,     0,  -444,     0,     0,   637,   638,     0,   639,   640,
       0,  1552,  1492,  1553,     0,     0,  1494,  1495,  1554,   641,
       0,     0,     0,     0,   642,     0,     0,     0,     0,     0,
     643,     0,     0,   644,     0,     0,   645,     0,     0,     0,
    1555,     0,     0,     0,     0,     0,  1556,     0,     0,  -444,
       0,  3143,     0,     0,  1494,  1495,  1554,     0,     0,     0,
    1557,     0,     0,     0,     0,   875,     0,  1713,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1555,     0,
       0,     0,  4599,     0,  3144,     0,  4600,  4601,  4602,  4603,
       0,     0,  4605,     0,     0,     0,     0,     0,  1557,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1497,     0,     0,     0,     0,     0,     0,
       0,   875,     0,     0,  4624,  4625,  4626,     0,  4627,     0,
    4629,  4630,     0,     0,     0,     0,     0,     0,     0,   875,
       0,     0,  4639,  4640,  1714,   875,     0,     0,     0,   875,
       0,  1497,     0,     0,     0,     0,     0,   875,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4645,
       0,     0,  1327,     0,   665,   875,     0,     0,     0,   666,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1350,  4656,     0,     0,     0,     0,   866,     0,     0,
     866,   866,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1374,   667,     0,     0,     0,     0,     0,
       0,   875,     0,     0,     0,     0,     0,   668,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     875,   875,   669,   874,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1509,
     670,   874,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4708,  1714,   875,     0,     0,  1714,     0,     0,   874,
       0,     0,     0,   671,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   672,     0,     0,     0,   875,     0,
    1714,     0,   673,     0,     0,   875,     0,   874,     0,     0,
       0,   875,     0,     0,   674,     0,     0,     0,   875,   675,
       0,     0,   875,   874,     0,     0,   676,   875,     0,  4760,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   874,
       0,     0,     0,   874,     0,   677,     0,   875,     0,     0,
       0,     0,   875,     0,     0,     0,   875,     0,     0,  1714,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   875,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   875,     0,  1763,     0,     0,     0,     0,     0,
       0,   678,   875,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1801,  1804,  1805,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   679,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   680,   603,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   681,
       0,     0,     0,     0,     0,     0,     0,  1714,     0,   206,
     682,   874,     0,   683,     0,     0,     0,     0,     0,   874,
     874,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   874,     0,     0,     0,     0,     0,   684,
       0,     0,   685,     0,     0,     0,   686,     0,   687,     0,
       0,  4859,     0,     0,     0,   688,     0,     0,   689,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4869,
       0,     0,     0,     0,  4874,  4875,     0,   690,     0,     0,
       0,     0,     0,     0,   691,     0,  1713,     0,   875,     0,
     692,     0,     0,   693,     0,     0,     0,   694,     0,     0,
       0,     0,     0,     0,     0,   695,     0,   696,     0,  1327,
       0,     0,   697,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   698,     0,  4936,     0,     0,     0,
       0,     0,  1971,     0,     0,     0,     0,   699,     0,     0,
       0,  1327,     0,   875,   947,     0,  4953,     0,  4955,   948,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4971,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3677,   949,   875,     0,     0,     0,     0,
    4992,     0,     0,     0,     0,     0,     0,   950,   951,     0,
       0,     0,     0,   875,     0,     0,     0,     0,   952,     0,
       0,   875,   953,     0,     0,     0,     0,     0,     0,     0,
       0,   866,     0,     0,   866,     0,     0,   866,     0,     0,
     954,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   955,     0,  5031,     0,     0,     0,     0,
       0,     0,     0,     0,   956,     0,     0,     0,     0,     0,
       0,     0,   957,     0,     0,     0,     0,  5048,  2102,     0,
     874,     0,     0,     0,   958,     0,     0,     0,  5056,   959,
       0,     0,     0,  1714,     0,     0,     0,     0,     0,  1714,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   960,     0,     0,     0,     0,
       0,     0,     0,     0,  2157,     0,     0,     0,     0,     0,
       0,     0,     0,  1303,  1303,     0,     0,     0,     0,     0,
     961,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5115,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   962,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   875,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   963,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2285,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2309,  3677,     0,   964,
       0,     0,     0,     0,     0,     0,     0,     0,  1713,   206,
     965,     0,     0,   966,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2345,     0,     0,
       0,     0,   874,     0,     0,     0,     0,     0,     0,   967,
     874,     0,   968,     0,   875,   875,   969,     0,   970,     0,
    2368,     0,   874,  2371,     0,   971,     0,  5202,   972,     0,
       0,     0,  1625,  1629,     0,     0,     0,     0,     0,     0,
       0,   875,  5215,     0,   875,     0,     0,   973,     0,     0,
       0,     0,     0,     0,   974,     0,     0,     0,     0,     0,
     975,     0,     0,   976,     0,     0,     0,   977,     0,     0,
       0,     0,     0,  2419,     0,   978,     0,   979,     0,     0,
       0,     0,   980,     0,     0,     0,  5244,  2437,     0,     0,
       0,     0,     0,     0,     0,     0,   874,   874,     0,     0,
       0,  5255,     0,     0,     0,     0,     0,   981,     0,     0,
     874,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   874,   874,     0,     0,     0,     0,  1714,
    1714,  1714,     0,     0,     0,     0,     0,     0,     0,   874,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   875,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   875,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1098,  5316,     0,     0,     0,     0,     0,     0,
       0,   875,     0,     0,     0,     0,     0,     0,  2460,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1098,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5338,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2511,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1713,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   875,     0,     0,     0,     0,  2554,     0,
       0,     0,     0,     0,     0,  2567,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5405,     0,     0,     0,     0,
    1714,     0,  1988,     0,     0,     0,     0,   875,     0,   875,
       0,     0,     0,   874,     0,     0,     0,     0,     0,     0,
       0,     0,   875,     0,   875,     0,     0,     0,     0,     0,
       0,     0,  2002,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   190,     0,     0,  1714,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2020,  2021,  2022,     0,  2024,     0,     0,     0,     0,   874,
    2645,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2066,     0,     0,   874,     0,     0,
     875,   191,  1713,   874,     0,     0,     0,   874,     0,     0,
       0,     0,     0,     0,     0,   874,   192,     0,     0,     0,
    1327,  1327,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   874,   193,     0,     0,  2696,     0,     0,
     194,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   875,     0,     0,     0,     0,  1098,   195,     0,     0,
       0,     0,  2124,     0,     0,     0,  2136,  2141,   196,   875,
       0,     0,     0,     0,     0,     0,   197,     0,     0,   874,
       0,  1098,     0,     0,     0,     0,     0,     0,   198,     0,
       0,   875,     0,   199,   875,     0,  1098,     0,   874,   874,
     200,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   201,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1713,   874,     0,     0,  1713,     0,  2857,     0,     0,     0,
       0,     0,     0,     0,   202,     0,  2863,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   874,     0,  1713,     0,
       0,     0,     0,   874,     0,   203,     0,     0,     0,   874,
       0,     0,     0,     0,  1714,  1374,   874,     0,     0,     0,
     874,  1098,     0,     0,     0,   874,  1374,  1374,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   204,
       0,     0,     0,     0,     0,   874,     0,     0,     0,     0,
     874,     0,     0,     0,   874,     0,     0,  1713,     0,     0,
    1327,     0,     0,   205,     0,     0,     0,   874,     0,     0,
       0,     0,     0,   206,   207,     0,     0,   208,     0,     0,
     874,  1099,     0,     0,     0,     0,     0,     0,     0,     0,
     874,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   209,     0,     0,   210,  1099,     0,     0,
     211,     0,   212,     0,     0,     0,     0,     0,     0,   213,
       0,     0,   214,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1098,     0,     0,     0,
       0,   215,  1625,  1625,  1625,     0,     0,     0,   216,     0,
       0,     0,     0,   217,   218,  1713,     0,   219,     0,     0,
       0,   220,     0,     0,     0,     0,     0,     0,   875,     0,
       0,   221,     0,     0,     0,     0,   222,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   224,     0,     0,  3047,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1714,
    3070,     0,     0,     0,  1714,     0,  1714,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   874,     0,     0,     0,
    3096,     0,     0,     0,     0,     0,     0,     0,  1714,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1714,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2087,
       0,     0,     0,   875,     0,     0,   875,     0,     0,     0,
       0,   874,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3170,  3171,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   874,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1098,     0,     0,     0,  1628,
       0,   874,     0,     0,     0,     0,     0,     0,     0,   874,
       0,     0,     0,     0,     0,  1099,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   875,   875,     0,     0,     0,
       0,     0,     0,     0,     0,   875,     0,     0,     0,     0,
    1099,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   875,  1099,     0,     0,     0,     0,
       0,     0,  1098,     0,     0,     0,     0,     0,     0,  3293,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1713,     0,     0,     0,     0,     0,  1713,     0,     0,
       0,     0,     0,  1098,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   875,
       0,     0,     0,     0,     0,     0,  1098,     0,     0,     0,
    1099,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2739,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   874,     0,     0,  2759,     0,  2761,     0,
       0,  2773,  2776,  2781,     0,     0,     0,     0,  2787,     0,
       0,  2792,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2799,  2800,  2801,  2802,
       0,     0,     0,     0,  2809,     0,     0,     0,  2821,     0,
       0,  2823,     0,     0,  2830,  2831,  2832,  2833,  2834,  2835,
    2836,  2837,  2838,     0,  2839,     0,     0,     0,     0,     0,
       0,  1303,     0,  1625,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1099,     0,     0,     0,     0,
       0,     0,   874,   874,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2876,     0,     0,   874,
       0,     0,   874,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2021,  2022,     0,  1098,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1089,     0,
    1098,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1098,     0,
       0,   875,     0,     0,  1089,     0,  1714,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1713,  1713,  1713,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   875,
       0,     0,     0,  2977,     0,     0,     0,     0,     0,     0,
     874,   875,     0,     0,  1098,     0,     0,     0,     0,     0,
       0,  3571,     0,     0,     0,     0,     0,  1098,     0,     0,
     874,     0,     0,     0,     0,     0,     0,     0,   875,  1098,
       0,     0,     0,     0,  1374,     0,     0,     0,     0,   874,
       0,  1098,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2180,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1098,  1098,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   874,     0,     0,     0,   875,     0,     0,     0,     0,
       0,  2180,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1713,     0,
       0,     0,  1099,     0,     0,   874,     0,   874,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     874,     0,   874,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   875,     0,  1099,     0,     0,     0,     0,
       0,     0,  1089,     0,  1713,     0,     0,     0,     0,     0,
       0,     0,     0,  1098,  3224,  3225,  1625,     0,     0,     0,
    3229,     0,     0,     0,     0,     0,     0,  1089,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1089,     0,     0,     0,     0,     0,   874,     0,
       0,     0,  3258,     0,     0,     0,     0,     0,     0,     0,
       0,  3762,     0,     0,     0,     0,     0,     0,     0,  1628,
    1628,  1628,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   874,
       0,     0,     0,   875,     0,   875,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   874,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1089,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   874,
       0,     0,   874,     0,     0,     0,     0,     0,     0,     0,
     875,  1098,     0,     0,     0,  1098,  1098,     0,     0,   866,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1099,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1099,
       0,     0,     0,     0,     0,     0,     0,  1714,     0,     0,
       0,     0,   866,     0,     0,     0,     0,  1099,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1098,     0,     0,
       0,     0,  1713,     0,  3881,  3882,  3883,     0,     0,     0,
       0,  1098,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3892,  1089,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1099,  3908,     0,     0,     0,     0,     0,
       0,     0,  1098,     0,  3918,  3920,  1099,     0,     0,  3925,
       0,     0,     0,     0,     0,     0,     0,     0,  1099,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3465,
    1099,     0,     0,     0,  3471,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2024,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2781,     0,  2781,  2781,  1099,  1099,     0,     0,     0,     0,
       0,     0,     0,  3529,     0,     0,  3532,     0,  3534,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   874,     0,     0,     0,
       0,  1714,     0,     0,     0,     0,     0,  3552,     0,  3555,
    4000,  3557,     0,  1327,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1091,   875,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   875,     0,
       0,     0,     0,     0,     0,     0,     0,  1713,     0,     0,
       0,  1091,  1713,     0,  1713,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2124,     0,     0,     0,
       0,  1089,     0,     0,     0,     0,  1713,     0,     0,     0,
       0,  2141,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1098,     0,     0,     0,  1713,     0,     0,     0,     0,
       0,     0,  1099,     0,     0,     0,     0,     0,     0,     0,
       0,   874,     0,     0,   874,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1089,     0,
    1628,  4104,  4105,  4106,     0,  3646,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1092,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1098,     0,     0,  1098,     0,     0,  1089,
       0,     0,     0,     0,     0,     0,     0,  1092,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   874,   874,     0,     0,     0,     0,     0,
       0,     0,  1089,   874,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1714,     0,   875,     0,     0,
       0,     0,   874,     0,     0,     0,     0,     0,     0,     0,
    2932,     0,     0,     0,  2180,  2938,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1098,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1099,   874,     0,  1091,
       0,  1098,     0,     0,     0,     0,     0,     0,     0,     0,
    1099,     0,  1714,     0,     0,     0,  1098,     0,     0,     0,
       0,     0,     0,     0,  1091,     0,     0,     0,     0,     0,
     875,     0,     0,     0,     0,     0,     0,     0,     0,  1091,
       0,     0,     0,     0,   866,     0,     0,     0,     0,     0,
       0,  1099,     0,     0,     0,     0,     0,   875,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1089,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1625,     0,     0,  1089,     0,     0,  1625,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1089,     0,     0,  4347,     0,   866,
     866,     0,     0,     0,  1091,     0,     0,     0,  4360,     0,
       0,     0,     0,     0,     0,  1092,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4391,
    1092,     0,   875,     0,     0,     0,     0,     0,     0,     0,
    1089,     0,     0,     0,     0,  1092,     0,     0,     0,     0,
       0,     0,     0,  1089,     0,     0,     0,     0,     0,     0,
       0,     0,  2567,     0,     0,  1089,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1089,     0,     0,
       0,     0,     0,  1628,     0,     0,     0,     0,     0,   874,
       0,     0,  1098,     0,  1713,  1098,     0,  1098,     0,     0,
       0,     0,  1098,     0,     0,     0,     0,     0,     0,  1091,
    2645,     0,     0,     0,     0,     0,  1714,     0,     0,     0,
    1099,  1089,  1089,     0,     0,     0,     0,   874,     0,     0,
    1092,     0,     0,     0,     0,     0,     0,     0,     0,   874,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1098,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   874,     0,     0,     0,
    1098,     0,     0,     0,     0,     0,     0,     0,     0,  1714,
       0,     0,  1094,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1098,     0,  1714,     0,   866,
     866,     0,  2180,     0,     0,  2180,     0,     0,  1094,  4017,
       0,     0,     0,     0,     0,     0,     0,     0,  4021,     0,
       0,     0,     0,     0,  4022,     0,  4023,     0,     0,  4524,
    4525,  4526,  4527,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1092,     0,     0,     0,     0,
       0,     0,     0,  4047,  4048,     0,     0,     0,     0,  1089,
       0,     0,     0,   874,     0,  1098,     0,  1098,     0,     0,
       0,  2787,     0,     0,     0,     0,     0,     0,     0,  4074,
       0,     0,  4077,     0,  4079,     0,     0,     0,     0,     0,
       0,     0,     0,  4083,     0,     0,     0,     0,     0,     0,
       0,  4090,  4091,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1091,     0,
       0,     0,     0,  1099,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4137,     0,     0,     0,     0,     0,     0,
    1099,   874,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1099,  1098,     0,  4150,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4163,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1091,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1098,     0,  1089,     0,     0,
       0,  1089,  1089,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1098,     0,  1091,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   874,     0,   874,  1092,     0,     0,     0,     0,  1091,
       0,     0,     0,  1089,     0,     0,  1094,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1089,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1094,     0,  1098,     0,     0,     0,     0,   874,     0,
       0,     0,     0,     0,     0,     0,  1094,     0,     0,     0,
       0,     0,     0,     0,  1098,     0,     0,     0,  1089,     0,
       0,  1092,     0,     0,     0,     0,     0,     0,  1098,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1713,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2180,  1092,     0,  2938,     0,  2938,     0,     0,     0,
       0,  2180,  4751,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1094,     0,     0,     0,  1092,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1099,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1098,     0,     0,     0,     0,     0,  1091,     0,     0,  1099,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1098,     0,  1091,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2180,     0,     0,     0,     0,     0,
       0,  1091,     0,     0,     0,     0,  1098,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4436,  4437,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1094,     0,     0,     0,
    1098,     0,     0,     0,     0,     0,     0,  1089,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1091,     0,  1713,
       0,     0,     0,     0,  1099,     0,  1099,     0,     0,     0,
    1091,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1091,     0,   874,     0,     0,     0,     0,  4477,
       0,     0,     0,     0,  1091,     0,   874,     0,     0,     0,
    4482,     0,  1092,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1092,
       0,     0,     0,     0,     0,     0,     0,     0,  1098,  1089,
       0,     0,  1089,     0,     0,     0,  4908,  1092,  1091,  1091,
       0,  4500,  4502,     0,     0,     0,     0,     0,  4506,  4507,
       0,  4921,     0,  4508,     0,  1099,  1327,     0,  4511,     0,
       0,  4514,  4515,     0,     0,     0,  4519,     0,     0,     0,
       0,     0,  4523,     0,     0,     0,     0,     0,     0,     0,
    1628,     0,  4958,     0,     0,     0,  1628,     0,     0,     0,
       0,     0,     0,  1092,  1099,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1092,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1092,     0,
       0,     0,     0,  2938,  1303,     0,     0,     0,  1098,     0,
    1092,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1094,     0,     0,     0,     0,
    1089,  4579,  1098,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1089,     0,     0,
       0,     0,     0,     0,  1092,  1092,  1091,     0,     0,     0,
       0,     0,  1089,  1713,     0,   874,     0,     0,     0,     0,
       0,     0,  1099,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5044,     0,     0,     0,     0,     0,     0,
       0,     0,  1094,  2938,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1099,     0,     0,
       0,     0,     0,     0,     0,  1095,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4642,  1094,     0,     0,     0,     0,     0,     0,
       0,  1095,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1713,     0,  1098,     0,     0,     0,  1094,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   874,     0,
    5122,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1092,     0,  1091,     0,     0,     0,  1091,  1091,
       0,  4679,     0,     0,     0,   874,     0,     0,     0,  1099,
    1098,     0,     0,     0,  1098,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1099,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1099,     0,     0,     0,     0,
    1091,     0,     0,     0,     0,     0,     0,     0,  1089,     0,
       0,  1089,     0,  1089,  1091,     0,     0,     0,  1089,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1099,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     874,     0,     0,     0,     0,  1091,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1089,     0,     0,
    1092,     0,     0,     0,  1092,  1092,     0,     0,     0,     0,
       0,     0,  1098,  1094,     0,     0,  1089,     0,     0,     0,
       0,     0,  1098,     0,     0,     0,     0,     0,     0,     0,
    1094,     0,     0,     0,     0,  4782,  4783,     0,     0,  4784,
       0,  1089,     0,     0,     0,     0,     0,  2180,  1094,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1713,     0,  1092,     0,     0,  1095,
       0,     0,     0,     0,     0,     0,  4819,  4820,     0,     0,
    1092,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4831,  1095,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1094,     0,     0,     0,     0,  1095,
       0,  1089,     0,  1089,     0,     0,     0,  1094,     0,     0,
       0,  1092,     0,     0,     0,     0,     0,  1713,     0,  1094,
       0,     0,     0,     0,     0,     0,     0,  1098,     0,     0,
       0,  1094,     0,     0,     0,  1713,     0,  2938,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2938,     0,     0,     0,     0,  1098,     0,     0,     0,
       0,     0,     0,     0,  1091,  1094,  1094,     0,     0,     0,
       0,     0,     0,     0,  1095,     0,     0,  1098,     0,     0,
       0,     0,  1089,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1089,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1098,     0,     0,     0,  1091,     0,     0,  1091,
    1089,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1097,     0,     0,     0,
       0,     0,     0,     0,  2787,     0,     0,     0,     0,     0,
       0,  1099,     0,     0,     0,     0,     0,     0,     0,  1095,
       0,     0,  1097,     0,     0,     0,     0,     0,     0,     0,
    1092,  5014,     0,  1094,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2024,     0,     0,     0,  1089,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2938,
       0,     0,     0,  2180,     0,     0,     0,     0,     0,     0,
    1089,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1089,     0,     0,     0,     0,     0,
       0,     0,  1098,     0,     0,     0,     0,  1091,     0,     0,
       0,     0,     0,     0,  5063,     0,     0,     0,     0,     0,
       0,     0,  1092,     0,  1091,  1092,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1091,
       0,     0,     0,     0,     0,     0,     0,     0,  1098,     0,
       0,     0,     0,     0,     0,  5100,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1094,     0,     0,     0,  1094,  1094,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1089,     0,     0,     0,
       0,  1099,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1099,     0,     0,     0,     0,     0,  1089,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1095,     0,
       0,     0,  1089,  1092,     0,     0,     0,  1094,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1092,  1094,     0,     0,     0,     0,     0,     0,     0,  4819,
       0,     0,     0,     0,     0,  1092,  1089,     0,     0,     0,
       0,     0,  1098,     0,     0,     0,     0,     0,     0,     0,
    1097,     0,     0,     0,     0,  5204,     0,     0,     0,     0,
       0,     0,  1094,     0,     0,  1095,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1097,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1099,     0,     0,     0,
    1097,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1091,  1095,     0,  1091,     0,
    1091,     0,     0,     0,     0,  1091,     0,     0,     0,     0,
       0,     0,     0,     0,  1089,  1099,     0,     0,     0,     0,
       0,     0,  5258,     0,     0,     0,     0,     0,     0,  1095,
       0,     0,     0,     0,     0,     0,  1099,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1091,     0,  1098,  5286,  5286,  5286,
       0,     0,     0,     0,     0,  1097,     0,     0,     0,     0,
       0,     0,     0,  1091,     0,     0,  4819,     0,     0,     0,
    1098,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1091,     0,
       0,  1099,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1089,     0,     0,     0,     0,  1098,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1092,     0,     0,  1092,     0,  1092,     0,  1089,     0,
       0,  1092,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1094,     0,     0,     0,     0,     0,     0,  5347,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1091,     0,
    1091,     0,  1098,     0,     0,     0,  5286,  1098,  1098,     0,
    1097,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1092,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1095,     0,     0,  1092,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4748,
       0,  1099,     0,  1095,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1094,  1092,     0,  1094,     0,     0,     0,
       0,  1095,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1091,
       0,     0,     0,     0,     0,     0,     0,  1099,  1089,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5439,     0,     0,
       0,     0,     0,  1098,     0,     0,     0,  1095,  1091,     0,
       0,     0,     0,     0,  1092,     0,  1092,     0,     0,     0,
    1095,     0,     0,     0,     0,     0,  1089,     0,     0,     0,
    1089,  5286,  1095,     0,     0,     0,     0,  1091,     0,     0,
       0,  5466,     0,     0,  1095,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1094,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1094,     0,     0,     0,     0,     0,     0,  1095,  1095,
       0,     0,     0,     0,     0,     0,  1094,     0,     0,  1097,
       0,     0,     0,     0,     0,  1092,  1091,     0,     0,     0,
       0,  2938,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1091,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1091,     0,     0,  1092,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1089,     0,
       0,     0,     0,     0,     0,     0,  1097,     0,  1089,     0,
       0,     0,     0,  1092,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1098,     0,
       0,     0,     0,     0,     0,     0,     0,  1097,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1095,     0,     0,     0,
       0,     0,     0,     0,     0,  2938,     0,     0,     0,     0,
    1097,     0,  1092,  1091,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1099,
       0,     0,     0,  1092,  1091,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1092,     0,     0,
       0,     0,     0,  1089,     0,     0,     0,     0,     0,  1091,
       0,     0,     0,     0,     0,     0,     0,     0,  1099,     0,
       0,     0,  1094,     0,     0,  1094,     0,  1094,     0,     0,
       0,     0,  1094,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1089,  1091,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1089,     0,     0,     0,     0,     0,     0,
       0,  1099,     0,     0,     0,     0,  1099,  1099,     0,     0,
       0,  1094,     0,     0,  1095,     0,     0,     0,  1095,  1095,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1092,
    1094,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1092,     0,     0,     0,     0,  1094,     0,     0,  1089,     0,
       0,  1091,     0,     0,     0,     0,     0,  1097,     0,     0,
       0,     0,     0,     0,     0,  1092,     0,     0,     0,     0,
    1095,     0,     0,     0,  1097,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1095,     0,     0,     0,     0,     0,
       0,     0,  1097,     0,     0,     0,     0,     0,     0,  1092,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4748,  1099,     0,     0,  1094,     0,  1094,     0,     0,
       0,     0,     0,     0,     0,  1095,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1097,     0,
       0,  1091,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1097,     0,     0,     0,     0,     0,     0,  1089,     0,
       0,     0,     0,  1097,     0,  1091,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1097,     0,  1092,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1094,     0,     0,     0,
       0,     0,     0,     0,  1089,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1097,
    1097,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1094,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1094,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1092,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1091,     0,  1099,     0,     0,
       0,  1092,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1095,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1094,     0,     0,     0,     0,  1089,     0,
       0,     0,     0,  1091,     0,     0,     0,  1091,     0,     0,
       0,     0,     0,     0,  1094,     0,     0,  1097,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1094,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1095,     0,     0,  1095,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1092,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1089,     0,     0,     0,     0,     0,     0,     0,
    1094,     0,     0,     0,     0,  1091,     0,     0,     0,  1092,
       0,     0,     0,  1092,     0,  1091,  1089,     0,     0,     0,
       0,  1094,     0,     0,     0,  1097,     0,     0,     0,  1097,
    1097,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1094,  1095,     0,     0,
       0,     0,     0,     0,     0,  1089,     0,     0,     0,     0,
       0,     0,     0,     0,  1095,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1095,
    1094,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1097,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1097,     0,     0,  1089,     0,
       0,     0,     0,  1089,  1089,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1091,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1092,     0,     0,     0,     0,  1097,     0,     0,     0,
       0,  1092,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1094,  1091,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2061,     0,     0,     0,     0,     0,     0,
    1091,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1089,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2061,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1091,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1092,     0,  1094,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1095,     0,     0,  1095,     0,
    1095,     0,  1094,     0,     0,  1095,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1092,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1092,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1095,  1097,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1095,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1091,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1095,     0,
       0,  1092,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1091,  1094,     0,  1089,     0,     0,  1097,     0,     0,
    1097,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1095,     0,
    1095,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1094,     0,     0,     0,  1094,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2061,     0,     0,     0,  2061,
       0,  1092,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1097,  1095,
       0,     0,     0,     0,     0,  1091,     0,  1092,     0,     0,
       0,     0,     0,     0,     0,  1097,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1097,     0,     0,     0,     0,     0,     0,     0,  1095,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1094,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1094,     0,     0,     0,     0,  1095,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1091,
       0,     0,     0,     0,     0,     0,  1095,     0,     0,     0,
       0,  1092,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1091,     0,     0,     0,  1095,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1095,     0,     0,     0,     0,     0,  1094,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1091,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1094,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1097,  1094,     0,  1097,
       0,  1097,     0,     0,     0,  1091,  1097,     0,     0,     0,
    1091,  1091,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1092,     0,     0,     0,     0,
       0,     0,     0,  1095,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1092,
       0,     0,     0,     0,  1095,  1097,     0,     0,     0,     0,
       0,     0,  1094,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1097,     0,     0,     0,  2061,  1095,
       0,     0,     0,     0,     0,     0,     0,     0,  1092,     0,
       0,     0,  2061,     0,     0,     0,  2769,     0,     0,  1097,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2061,  2061,  2061,  1095,  2061,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1091,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1092,     0,     0,     0,     0,  1092,  1092,     0,     0,
       0,     0,     0,     0,     0,     0,  2061,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1097,
       0,  1097,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1094,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1095,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2061,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2061,     0,  1094,     0,
       0,  2061,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1097,     0,  1092,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1097,
       0,  1095,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1091,     0,     0,     0,  1095,     0,     0,  1097,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1094,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1097,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1097,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1097,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1095,     0,  1092,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1094,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1095,     0,     0,     0,  1095,     0,     0,
    1094,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1097,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1094,
       0,     0,     0,     0,     0,  1097,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1097,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1094,     0,     0,     0,     0,  1094,  1094,     0,
       0,     0,     0,     0,  1097,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1095,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1095,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1097,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1094,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1095,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1095,
       0,     0,  1097,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1095,     0,     0,     0,     0,     0,  1097,     0,     0,  2061,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2061,
       0,  2061,     0,     0,  2769,  2769,     0,  3506,     0,  2769,
       0,     0,     0,  2061,     0,     0,  2061,     0,     0,     0,
       0,  2061,     0,     0,     0,     0,     0,  2061,     0,     0,
       0,     0,  2061,     0,     0,  1095,     0,     0,     0,  2061,
    2061,  2061,  2061,     0,     0,     0,  2769,  2769,     0,  2061,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2061,     0,  2061,     0,     0,     0,     0,  1094,     0,
    2061,  2061,  2061,  2061,  2061,  2061,  2061,  2061,  2061,  2061,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1097,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2061,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1097,  1095,     0,     0,  1097,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1095,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2061,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1097,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1097,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1095,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1097,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1097,     0,     0,     0,     0,     0,     0,     0,     0,  1095,
       0,     0,     0,     0,  2061,  2061,     0,     0,     0,  2061,
       0,  1097,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1095,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2061,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1095,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1097,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1095,     0,     0,     0,     0,
    1095,  1095,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1097,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1095,     0,     0,     0,
       0,     0,  1097,     0,     0,  2061,     0,     0,     0,     0,
       0,  2061,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3506,  3506,     0,
       0,  2769,  2769,  2769,  2769,     0,     0,  2769,  2769,  2769,
    2769,  2769,  2769,  2769,  2769,  2769,  2769,  3506,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2061,
       0,     0,  2061,     0,  2061,     0,     0,  3506,  3506,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2061,  2769,  2769,  2061,     0,  2061,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1097,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2061,     0,     0,     0,
       0,  1095,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1097,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1097,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1097,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1097,     0,     0,     0,
       0,  1097,  1097,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2769,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1097,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2061,     0,     0,
       0,  2061,  2061,  2061,     0,     0,     0,     0,     0,  3506,
    3506,  3506,  3506,     0,     0,     0,     0,  3506,  3506,  3506,
    3506,  3506,  3506,  3506,  3506,  3506,  3506,  2061,  2061,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2061,     0,     0,  2061,     0,  2061,
       0,     0,     0,  2061,     0,     0,  3506,  3506,     0,     0,
    2061,  2061,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2061,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2061,     0,  1097,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2061,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3506,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2061,  2061,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2061,     0,     0,
       0,     0,  2061,  2769,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2061,     0,  2061,     0,     0,     0,  2061,  2061,  2061,     0,
       0,  2061,     0,     0,  2061,  2061,     0,     0,     0,  2061,
       0,     0,     0,  2061,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2061,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2061,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2061,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3506,  2769,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2061,  2061,  2061,     0,     0,     0,     0,     0,
       0,     0,  2769,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2061,
    2061,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2061,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3506,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2769,     0,     0,
    3506,     0,     0,     0,  2061,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2061,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2061,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3506,     0,  2769,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2061,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2061,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2061,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2061,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2769,  2769,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3506,  3506,     0,     0,     0,  2061,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   227,  1220,   660,  1221,  1222,  1223,   720,  1224,
       0,     0,     0,     0,     0,     0,  2061,   228,   229,   230,
     231,   232,   233,   234,   235,  1619,   236,   237,   238,     0,
       0,     0,     0,  1225,     0,     0,   239,   240,     0,   241,
     242,   243,   244,   245,   246,   247,   248,  1226,   250,  1227,
    1228,     0,   253,   254,   255,   256,   257,   258,  1229,  1230,
     259,   260,  1231,  1232,   263,     0,   264,   265,   266,   267,
    1233,     0,  1234,     0,   270,   271,   272,   273,   274,   275,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,   285,   286,   287,   288,  1235,  1236,  1237,  1238,  1239,
    1240,  1241,   290,   291,   292,   293,   294,   295,  1242,  1243,
     298,  1244,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,  1620,     0,   310,   311,  1070,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,  1245,   326,   327,   328,  1246,
    1247,   330,     0,   331,   332,  1248,   334,     0,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
    1249,     0,  1250,   346,   347,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,  1251,  1252,     0,  1253,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
    1254,   387,   388,   389,     0,   390,   391,   392,  1255,  1256,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,  1257,   410,  1258,   412,
     413,   414,   415,  1259,   416,   417,   418,   419,  1260,  1261,
     421,  1262,   423,   424,   425,     0,   426,   427,     0,     0,
    1263,   429,   430,     0,     0,   431,   432,   433,   434,   435,
     436,  1264,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,  1265,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,  1266,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,  1267,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,  1268,   505,   506,   507,   508,
     509,   510,   511,   512,  1269,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
    1270,   529,     0,   530,   531,     0,   532,   533,   534,   535,
     536,   537,   538,     0,   539,  1271,  1272,     0,     0,   542,
     543,  1273,   545,  1274,  1275,   547,   548,   549,   550,   551,
     552,   553,     0,  1276,   554,   555,   556,   557,   558,  1277,
       0,   559,   560,   561,   562,   563,   564,  1278,  1621,   566,
     567,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,   579,  1279,  1280,  1281,
    1282,   584,  1283,  1284,  1285,  1286,   589,   590,   591,   592,
    1287,     0,     0,     0,     0,     0,     0,  1288,  1289,  1622,
       0,     0,     0,     0,     0,     0,  1291,  1623,   227,  1220,
     660,  1221,  1222,  1223,   720,  1224,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,  1225,
       0,     0,   239,   240,     0,   241,   242,   243,   244,   245,
     246,   247,   248,  1226,   250,  1227,  1228,     0,   253,   254,
     255,   256,   257,   258,  1229,  1230,   259,   260,  1231,  1232,
     263,     0,   264,   265,   266,   267,  1233,     0,  1234,     0,
     270,   271,   272,   273,   274,   275,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,   285,   286,   287,
     288,  1235,  1236,  1237,  1238,  1239,  1240,  1241,   290,   291,
     292,   293,   294,   295,  1242,  1243,   298,  1244,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,  1070,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,  1245,   326,   327,   328,  1246,  1247,   330,     0,   331,
     332,  1248,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,  1249,     0,  1250,   346,
     347,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,   367,   368,   369,   370,   371,  1251,  1252,
       0,  1253,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,  1254,   387,   388,   389,
       0,   390,   391,   392,  1255,  1256,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,  1257,   410,  1258,   412,   413,   414,   415,  1259,
     416,   417,   418,   419,  1260,  1261,   421,  1262,   423,   424,
     425,     0,   426,   427,     0,     0,  1263,   429,   430,     0,
       0,   431,   432,   433,   434,   435,   436,  1264,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,     0,   447,
     448,  1265,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,  1266,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,  1267,   491,   492,   493,   494,
     495,   496,   497,   498,   499,    41,   500,   501,   502,   503,
     504,  1268,   505,   506,   507,   508,   509,   510,   511,   512,
    1269,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,  1270,   529,     0,   530,
     531,    45,   532,   533,   534,   535,   536,   537,   538,     0,
     539,  1271,  1272,     0,     0,   542,   543,  1273,   545,  1274,
    1275,   547,   548,   549,   550,   551,   552,   553,     0,  1276,
     554,   555,   556,   557,   558,  1277,     0,   559,   560,   561,
     562,   563,  1149,  1278,     0,   566,   567,   568,   569,   570,
     571,     0,     0,   572,     0,    50,   573,   574,   575,   576,
     577,   578,   579,  1279,  1280,  1281,  1282,   584,  1283,  1284,
    1285,  1286,   589,   590,   591,   592,  1287,     0,    51,     0,
       0,     0,     0,  1288,  1289,     0,     0,     0,     0,     0,
       0,     0,  1291,  5025,   227,  1220,   660,  1221,  1222,  1223,
     720,  1224,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,  1225,     0,     0,   239,   240,
       0,   241,   242,   243,   244,   245,   246,   247,   248,  1226,
     250,  1227,  1228,     0,   253,   254,   255,   256,   257,   258,
    1229,  1230,   259,   260,  1231,  1232,   263,     0,   264,   265,
     266,   267,  1233,     0,  1234,     0,   270,   271,   272,   273,
     274,   275,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,   285,   286,   287,   288,  1235,  1236,  1237,
    1238,  1239,  1240,  1241,   290,   291,   292,   293,   294,   295,
    1242,  1243,   298,  1244,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,  1070,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,  1245,   326,   327,
     328,  1246,  1247,   330,     0,   331,   332,  1248,   334,     0,
     335,     0,   336,   337,     0,   338,   339,   340,   341,   342,
       0,   343,  1249,     0,  1250,   346,   347,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,   366,   367,
     368,   369,   370,   371,  1251,  1252,     0,  1253,     0,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,     0,
       0,   385,  1254,   387,   388,   389,     0,   390,   391,   392,
    1255,  1256,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,  1257,   410,
    1258,   412,   413,   414,   415,  1259,   416,   417,   418,   419,
    1260,  1261,   421,  1262,   423,   424,   425,     0,   426,   427,
       0,     0,  1263,   429,   430,     0,     0,   431,   432,   433,
     434,   435,   436,  1264,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,     0,   447,   448,  1265,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,  1266,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,   484,   485,   486,   487,   488,
     489,  1267,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,  1268,   505,   506,
     507,   508,   509,   510,   511,   512,  1269,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,  1270,   529,     0,   530,   531,     0,   532,   533,
     534,   535,   536,   537,   538,     0,   539,  1271,  1272,     0,
       0,   542,   543,  1273,   545,  1274,  1275,   547,   548,   549,
     550,   551,   552,   553,     0,  1276,   554,   555,   556,   557,
     558,  1277,     0,   559,   560,   561,   562,   563,   564,  1278,
       0,   566,   567,   568,   569,   570,   571,     0,     0,   572,
       0,     0,   573,   574,   575,   576,   577,   578,   579,  1279,
    1280,  1281,  1282,   584,  1283,  1284,  1285,  1286,   589,   590,
     591,   592,  1287,     0,     0,     0,     0,     0,     0,  1288,
    1289,     0,     0,     0,     0,     0,     0,     0,  1291,  2771,
     227,  1220,   660,  1221,  1222,  1223,   720,  1224,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,  1225,     0,     0,   239,   240,     0,   241,   242,   243,
     244,   245,   246,   247,   248,  1226,   250,  1227,  1228,     0,
     253,   254,   255,   256,   257,   258,  1229,  1230,   259,   260,
    1231,  1232,   263,     0,   264,   265,   266,   267,  1233,     0,
    1234,     0,   270,   271,   272,   273,   274,   275,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,   285,
     286,   287,   288,  1235,  1236,  1237,  1238,  1239,  1240,  1241,
     290,   291,   292,   293,   294,   295,  1242,  1243,   298,  1244,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,  1070,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,  1245,   326,   327,   328,  1246,  1247,   330,
       0,   331,   332,  1248,   334,     0,   335,     0,   336,   337,
       0,   338,   339,   340,   341,   342,     0,   343,  1249,     0,
    1250,   346,   347,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
    1251,  1252,     0,  1253,     0,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,     0,     0,   385,  1254,   387,
     388,   389,     0,   390,   391,   392,  1255,  1256,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,  1257,   410,  1258,   412,   413,   414,
     415,  1259,   416,   417,   418,   419,  1260,  1261,   421,  1262,
     423,   424,   425,     0,   426,   427,     0,     0,  1263,   429,
     430,     0,     0,   431,   432,   433,   434,   435,   436,  1264,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,  1265,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
    1266,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,  1267,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,  1268,   505,   506,   507,   508,   509,   510,
     511,   512,  1269,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,  1270,   529,
       0,   530,   531,     0,   532,   533,   534,   535,   536,   537,
     538,     0,   539,  1271,  1272,     0,     0,   542,   543,  1273,
     545,  1274,  1275,   547,   548,   549,   550,   551,   552,   553,
       0,  1276,   554,   555,   556,   557,   558,  1277,     0,   559,
     560,   561,   562,   563,   564,  1278,     0,   566,   567,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,   579,  1279,  1280,  1281,  1282,   584,
    1283,  1284,  1285,  1286,   589,   590,   591,   592,  1287,     0,
       0,     0,     0,     0,     0,  1288,  1289,     0,     0,     0,
       0,     0,     0,     0,  1291,  4025,   227,  1220,   660,  1221,
    1222,  1223,   720,  1224,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,  1225,     0,     0,
     239,   240,     0,   241,   242,   243,   244,   245,   246,   247,
     248,  1226,   250,  1227,  1228,     0,   253,   254,   255,   256,
     257,   258,  1229,  1230,   259,   260,  1231,  1232,   263,     0,
     264,   265,   266,   267,  1233,     0,  1234,     0,   270,   271,
     272,   273,   274,   275,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,   285,   286,   287,   288,  1235,
    1236,  1237,  1238,  1239,  1240,  1241,   290,   291,   292,   293,
     294,   295,  1242,  1243,   298,  1244,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,  1070,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,  1245,
     326,   327,   328,  1246,  1247,   330,     0,   331,   332,  1248,
     334,     0,   335,     0,   336,   337,     0,   338,   339,   340,
     341,   342,     0,   343,  1249,     0,  1250,   346,   347,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
     366,   367,   368,   369,   370,   371,  1251,  1252,     0,  1253,
       0,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,     0,     0,   385,  1254,   387,   388,   389,     0,   390,
     391,   392,  1255,  1256,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
    1257,   410,  1258,   412,   413,   414,   415,  1259,   416,   417,
     418,   419,  1260,  1261,   421,  1262,   423,   424,   425,     0,
     426,   427,     0,     0,  1263,   429,   430,     0,     0,   431,
     432,   433,   434,   435,   436,  1264,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,     0,   447,   448,  1265,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,  1266,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,  1267,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,  1268,
     505,   506,   507,   508,   509,   510,   511,   512,  1269,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,  1270,   529,     0,   530,   531,     0,
     532,   533,   534,   535,   536,   537,   538,     0,   539,  1271,
    1272,     0,     0,   542,   543,  1273,   545,  1274,  1275,   547,
     548,   549,   550,   551,   552,   553,     0,  1276,   554,   555,
     556,   557,   558,  1277,     0,   559,   560,   561,   562,   563,
     564,  1278,     0,   566,   567,   568,   569,   570,   571,     0,
       0,   572,     0,     0,   573,   574,   575,   576,   577,   578,
     579,  1279,  1280,  1281,  1282,   584,  1283,  1284,  1285,  1286,
     589,   590,   591,   592,  1287,     0,     0,   600,     0,     0,
       0,  1288,  1289,     0,     0,     0,     0,     0,     0,     0,
    1291,  4097,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,     0,  4115,
       0,   239,   240,     0,   241,   242,   243,     0,   245,   246,
     247,   248,   249,     0,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   259,   260,   261,   262,   263,
       0,   264,   265,   266,   267,   268,     0,     0,     0,   270,
     271,   272,   273,   274,     0,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0, -1775,   286,   287,   288,
       0,     0,     0,     0,     0,     0,     0,   290,   291,   292,
     293,   294,   295,   296,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,     0,     0, -1775,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,   352,     0,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365, -1775,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,     0,     0,   378, -1775,   380,   381,   382,
     383,   384,     0,     0,   385,   386, -1775,   388,     0,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409, -1775,   411,   412,   413,   414,   415,     0,   416,
     417,     0,   419,     0,   420,   421,   422,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,   433,     0,   435,     0,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,     0,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483, -1775,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,     0,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,     0,   530,   531,
       0,   532,     0,   534,   535,   536,   537,   538,     0,   539,
     540,   541,     0,     0,   542,   543,   544,   545,   546,     0,
     547,   548,   549,   550,   551,   552,   553,     0,     0,   554,
     555,   556,   557,   558,     0,     0,   559,   560,   561,   562,
     563,   564,   565,     0,   566,     0,   568,   569,   570,   571,
       0,     0,   572,     0,     0,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,     0,     0,  1062,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1367,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,   244,   245,
     246,   247,     0,  1063,   250,  1064,  1065,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,  1066,  1067,
     263,     0,   264,   265,   266,   267,     0,     0,   269,     0,
     270,   271,   272,   273,   274,   275,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,   285,   286,   287,
     288,     0,     0,     0,   289,     0,     0,     0,   290,   291,
     292,   293,   294,   295,  1068,  1069,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,  1070,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,     0,   326,   327,   328,     0,     0,   330,     0,   331,
     332,  1071,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,     0,     0,     0,   346,
     347,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,  2166,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,  2167,   368,   369,   370,   371,  1073,  1074,
       0,  1075,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,     0,   387,   388,   389,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,  1076,   410,  1077,   412,   413,   414,     0,     0,
     416,   417,   418,   419,     0,     0,   421,  1078,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,  2169,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,     0,   447,
     448,     0,   450,     0,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,  1079,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,     0,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,  2170,   508,   509,   510,   511,   512,
    1081,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,     0,   529,     0,   530,
     531,     0,   532,   533,   534,   535,   536,   537,   538,     0,
     539,  1082,  1083,     0,     0,   542,   543,     0,   545,     0,
       0,   547,   548,   549,   550,   551,   552,   553,     0,     0,
     554,   555,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,     0,  1084,  2171,   566,   567,   568,   569,   570,
     571,     0,     0,   572,     0,     0,   573,   574,   575,   576,
     577,   578,  1062,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   590,   591,   592,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,  2279,     0,     0,   239,   240,     0,   241,
     242,   243,   244,   245,   246,   247,     0,  1063,   250,  1064,
    1065,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,  1066,  1067,   263,     0,   264,   265,   266,   267,
       0,     0,   269,     0,   270,   271,   272,   273,   274,   275,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,   285,   286,   287,   288,     0,     0,     0,   289,     0,
       0,     0,   290,   291,   292,   293,   294,   295,  1068,  1069,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,  1070,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,     0,   326,   327,   328,     0,
       0,   330,     0,   331,   332,  1071,   334,     0,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
       0,     0,     0,   346,   347,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,  2166,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,  2167,   368,   369,
     370,   371,  1073,  1074,     0,  1075,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
       0,   387,   388,   389,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,  1076,   410,  1077,   412,
     413,   414,     0,     0,   416,   417,   418,   419,     0,     0,
     421,  1078,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,  2169,   434,   435,
     436,     0,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,     0,   450,     0,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,  1079,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,     0,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,  2170,   508,
     509,   510,   511,   512,  1081,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   529,     0,   530,   531,     0,   532,   533,   534,   535,
     536,   537,   538,     0,   539,  1082,  1083,     0,     0,   542,
     543,     0,   545,     0,     0,   547,   548,   549,   550,   551,
     552,   553,     0,     0,   554,   555,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,     0,  1084,  2171,   566,
     567,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,     0,   227,  1220,   660,
    1221,  1222,  1223,   720,  1224,     0,     0,   590,   591,   592,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,  3347,  1225,     0,
       0,   239,   240,     0,   241,   242,   243,   244,   245,   246,
     247,   248,  1226,   250,  1227,  1228,     0,   253,   254,   255,
     256,   257,   258,  1229,  1230,   259,   260,  1231,  1232,   263,
       0,   264,   265,   266,   267,  1233,     0,  1234,     0,   270,
     271,   272,   273,   274,   275,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,   285,   286,   287,   288,
    1235,  1236,  1237,  1238,  1239,  1240,  1241,   290,   291,   292,
     293,   294,   295,  1242,  1243,   298,  1244,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,  1070,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
    1245,   326,   327,   328,  1246,  1247,   330,     0,   331,   332,
    1248,   334,     0,   335,     0,   336,   337,     0,   338,   339,
     340,   341,   342,     0,   343,  1249,     0,  1250,   346,   347,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,   366,   367,   368,   369,   370,   371,  1251,  1252,     0,
    1253,     0,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,     0,     0,   385,  1254,   387,   388,   389,     0,
     390,   391,   392,  1255,  1256,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,  1257,   410,  1258,   412,   413,   414,   415,  1259,   416,
     417,   418,   419,  1260,  1261,   421,  1262,   423,   424,   425,
       0,   426,   427,     0,     0,  1263,   429,   430,     0,     0,
     431,   432,   433,   434,   435,   436,  1264,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,     0,   447,   448,
    1265,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,  1266,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,   484,   485,
     486,   487,   488,   489,  1267,   491,   492,   493,   494,   495,
     496,   497,   498,   499,    41,   500,   501,   502,   503,   504,
    1268,   505,   506,   507,   508,   509,   510,   511,   512,  1269,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,  1270,   529,     0,   530,   531,
      45,   532,   533,   534,   535,   536,   537,   538,     0,   539,
    1271,  1272,     0,     0,   542,   543,  1273,   545,  1274,  1275,
     547,   548,   549,   550,   551,   552,   553,     0,  1276,   554,
     555,   556,   557,   558,  1277,     0,   559,   560,   561,   562,
     563,  1149,  1278,     0,   566,   567,   568,   569,   570,   571,
       0,     0,   572,     0,    50,   573,   574,   575,   576,   577,
     578,   579,  1279,  1280,  1281,  1282,   584,  1283,  1284,  1285,
    1286,   589,   590,   591,   592,  1287,     0,    51,     0,     0,
       0,     0,  1288,  1289,     0,     0,     0,     0,     0,     0,
       0,  1291,   227,  1220,   660,  1221,  1222,  1223,   720,  1224,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,  1225,     0,     0,   239,   240,     0,   241,
     242,   243,   244,   245,   246,   247,   248,  1226,   250,  1227,
    1228,  2777,   253,   254,   255,   256,   257,   258,  1229,  1230,
     259,   260,  1231,  1232,   263,     0,   264,   265,   266,   267,
    1233,     0,  1234,     0,   270,   271,   272,   273,   274,   275,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,   285,   286,   287,   288,  1235,  1236,  1237,  1238,  1239,
    1240,  1241,   290,   291,   292,   293,   294,   295,  1242,  1243,
     298,  1244,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,  1070,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,  1245,   326,   327,   328,  1246,
    1247,   330,     0,   331,   332,  1248,   334,     0,   335,     0,
     336,   337,  2778,   338,   339,   340,   341,   342,     0,   343,
    1249,     0,  1250,   346,   347,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,  1251,  1252,     0,  1253,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,  2779,   385,
    1254,   387,   388,   389,     0,   390,   391,   392,  1255,  1256,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,  1257,   410,  1258,   412,
     413,   414,   415,  1259,   416,   417,   418,   419,  1260,  1261,
     421,  1262,   423,   424,   425,     0,   426,   427,     0,     0,
    1263,   429,   430,     0,     0,   431,   432,   433,   434,   435,
     436,  1264,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,  1265,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,  1266,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,  1267,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,  1268,   505,   506,   507,   508,
     509,   510,   511,   512,  1269,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
    1270,   529,     0,   530,   531,     0,   532,   533,   534,   535,
     536,   537,   538,     0,   539,  1271,  1272,     0,  2780,   542,
     543,  1273,   545,  1274,  1275,   547,   548,   549,   550,   551,
     552,   553,     0,  1276,   554,   555,   556,   557,   558,  1277,
       0,   559,   560,   561,   562,   563,   564,  1278,     0,   566,
     567,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,   579,  1279,  1280,  1281,
    1282,   584,  1283,  1284,  1285,  1286,   589,   590,   591,   592,
    1287,     0,     0,     0,     0,     0,     0,  1288,  1289,     0,
       0,     0,     0,     0,     0,     0,  1291,   227,  1220,   660,
    1221,  1222,  1223,   720,  1224,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,  1225,     0,
       0,   239,   240,     0,   241,   242,   243,   244,   245,   246,
     247,   248,  1226,   250,  1227,  1228,     0,   253,   254,   255,
     256,   257,   258,  1229,  1230,   259,   260,  1231,  1232,   263,
       0,   264,   265,   266,   267,  1233,     0,  1234,     0,   270,
     271,   272,   273,   274,   275,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,   285,   286,   287,   288,
    1235,  1236,  1237,  1238,  1239,  1240,  1241,   290,   291,   292,
     293,   294,   295,  1242,  1243,   298,  1244,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,  1070,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
    1245,   326,   327,   328,  1246,  1247,   330,     0,   331,   332,
    1248,   334,     0,   335,     0,   336,   337,     0,   338,   339,
     340,   341,   342,     0,   343,  1249,     0,  1250,   346,   347,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,   366,   367,   368,   369,   370,   371,  1251,  1252,     0,
    1253,     0,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,     0,     0,   385,  1254,   387,   388,   389,     0,
     390,   391,   392,  1255,  1256,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,  1257,   410,  1258,   412,   413,   414,   415,  1259,   416,
     417,   418,   419,  1260,  1261,   421,  1262,   423,   424,   425,
       0,   426,   427,     0,     0,  1263,   429,   430,     0,     0,
     431,   432,   433,   434,   435,   436,  1264,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,     0,   447,   448,
    1265,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,  1266,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,   484,   485,
     486,   487,   488,   489,  1267,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
    1268,   505,   506,   507,   508,   509,   510,   511,   512,  1269,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,  1270,   529,     0,   530,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
    1271,  1272,     0,     0,   542,   543,  1273,   545,  1274,  1275,
     547,   548,   549,   550,   551,   552,   553,     0,  1276,   554,
     555,   556,   557,   558,  1277,     0,   559,   560,   561,   562,
     563,   564,  1278,     0,   566,   567,   568,   569,   570,   571,
       0,     0,   572,     0,     0,   573,   574,   575,   576,   577,
     578,   579,  1279,  1280,  1281,  1282,   584,  1283,  1284,  1285,
    1286,   589,   590,   591,   592,  1287,     0,     0,     0,     0,
       0,     0,  1288,  1289,     0,     0,     0,     0,     0,  1985,
    2732,  1291,   227,  1220,   660,  1221,  1222,  1223,   720,  1224,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,  1225,     0,     0,   239,   240,     0,   241,
     242,   243,   244,   245,   246,   247,   248,  1226,   250,  1227,
    1228,     0,   253,   254,   255,   256,   257,   258,  1229,  1230,
     259,   260,  1231,  1232,   263,     0,   264,   265,   266,   267,
    1233,     0,  1234,     0,   270,   271,   272,   273,   274,   275,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,   285,   286,   287,   288,  1235,  1236,  1237,  1238,  1239,
    1240,  1241,   290,   291,   292,   293,   294,   295,  1242,  1243,
     298,  1244,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,  1070,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,  1245,   326,   327,   328,  1246,
    1247,   330,     0,   331,   332,  1248,   334,     0,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
    1249,     0,  1250,   346,   347,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,  1251,  1252,     0,  1253,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
    1254,   387,   388,   389,     0,   390,   391,   392,  1255,  1256,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,  1257,   410,  1258,   412,
     413,   414,   415,  1259,   416,   417,   418,   419,  1260,  1261,
     421,  1262,   423,   424,   425,     0,   426,   427,     0,     0,
    1263,   429,   430,     0,     0,   431,   432,   433,   434,   435,
     436,  1264,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,  1265,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,  1266,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,  1267,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,  1268,   505,   506,   507,   508,
     509,   510,   511,   512,  1269,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
    1270,   529,     0,   530,   531,     0,   532,   533,   534,   535,
     536,   537,   538,     0,   539,  1271,  1272,     0,     0,   542,
     543,  1273,   545,  1274,  1275,   547,   548,   549,   550,   551,
     552,   553,     0,  1276,   554,   555,   556,   557,   558,  1277,
       0,   559,   560,   561,   562,   563,   564,  1278,     0,   566,
     567,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,   579,  1279,  1280,  1281,
    1282,   584,  1283,  1284,  1285,  1286,   589,   590,   591,   592,
    1287,     0,     0,     0,     0,     0,     0,  1288,  1289,  1290,
       0,     0,     0,     0,     0,     0,  1291,   227,  1220,   660,
    1221,  1222,  1223,   720,  1224,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
    2134,   236,   237,   238,     0,     0,     0,     0,  1225,     0,
       0,   239,   240,     0,   241,   242,   243,   244,   245,   246,
     247,   248,  1226,   250,  1227,  1228,     0,   253,   254,   255,
     256,   257,   258,  1229,  1230,   259,   260,  1231,  1232,   263,
       0,   264,   265,   266,   267,  1233,     0,  1234,     0,   270,
     271,   272,   273,   274,   275,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,   285,   286,   287,   288,
    1235,  1236,  1237,  1238,  1239,  1240,  1241,   290,   291,   292,
     293,   294,   295,  1242,  1243,   298,  1244,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,  1070,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
    1245,   326,   327,   328,  1246,  1247,   330,     0,   331,   332,
    1248,   334,     0,   335,     0,   336,   337,     0,   338,   339,
     340,   341,   342,     0,   343,  1249,     0,  1250,   346,   347,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,   366,   367,   368,   369,   370,   371,  1251,  1252,     0,
    1253,     0,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,     0,     0,   385,  1254,   387,   388,   389,     0,
     390,   391,   392,  1255,  1256,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,  1257,   410,  1258,   412,   413,   414,   415,  1259,   416,
     417,   418,   419,  1260,  1261,   421,  1262,   423,   424,   425,
       0,   426,   427,     0,     0,  1263,   429,   430,     0,     0,
     431,   432,   433,   434,   435,   436,  1264,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,     0,   447,   448,
    1265,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,  1266,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,   484,   485,
     486,   487,   488,   489,  1267,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
    1268,   505,   506,   507,   508,   509,   510,   511,   512,  1269,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,  1270,   529,     0,   530,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
    1271,  1272,     0,     0,   542,   543,  1273,   545,  1274,  1275,
     547,   548,   549,   550,   551,   552,   553,     0,  1276,   554,
     555,   556,   557,   558,  1277,     0,   559,   560,   561,   562,
     563,   564,  1278,     0,   566,   567,   568,   569,   570,   571,
       0,     0,   572,     0,     0,   573,   574,   575,   576,   577,
     578,   579,  1279,  1280,  1281,  1282,   584,  1283,  1284,  1285,
    1286,   589,   590,   591,   592,  1287,     0,     0,     0,     0,
       0,     0,  1288,  1289,     0,     0,     0,     0,     0,     0,
       0,  1291,   227,  1220,   660,  1221,  1222,  1223,   720,  1224,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,  1225,     0,     0,   239,   240,     0,   241,
     242,   243,   244,   245,   246,   247,   248,  1226,   250,  1227,
    1228,     0,   253,   254,   255,   256,   257,   258,  1229,  1230,
     259,   260,  1231,  1232,   263,     0,   264,   265,   266,   267,
    1233,     0,  1234,     0,   270,   271,   272,   273,   274,   275,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,   285,   286,   287,   288,  1235,  1236,  1237,  1238,  1239,
    1240,  1241,   290,   291,   292,   293,   294,   295,  1242,  1243,
     298,  1244,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,  1070,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,  1245,   326,   327,   328,  1246,
    1247,   330,     0,   331,   332,  1248,   334,     0,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
    1249,     0,  1250,   346,   347,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,  1251,  1252,     0,  1253,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
    1254,   387,   388,   389,     0,   390,   391,   392,  1255,  1256,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,  1257,   410,  1258,   412,
     413,   414,   415,  1259,   416,   417,   418,   419,  1260,  1261,
     421,  1262,   423,   424,   425,     0,   426,   427,     0,     0,
    1263,   429,   430,     0,     0,   431,   432,   433,   434,   435,
     436,  1264,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,  1265,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,  1266,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,  1267,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,  1268,   505,   506,   507,   508,
     509,   510,   511,   512,  1269,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
    1270,   529,     0,   530,   531,     0,   532,   533,   534,   535,
     536,   537,   538,     0,   539,  1271,  1272,     0,     0,   542,
     543,  1273,   545,  1274,  1275,   547,   548,   549,   550,   551,
     552,   553,     0,  1276,   554,   555,   556,   557,   558,  1277,
       0,   559,   560,   561,   562,   563,   564,  1278,  3226,   566,
     567,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,   579,  1279,  1280,  1281,
    1282,   584,  1283,  1284,  1285,  1286,   589,   590,   591,   592,
    1287,     0,     0,     0,     0,     0,     0,  1288,  1289,     0,
       0,     0,     0,     0,     0,     0,  1291,   227,  1220,   660,
    1221,  1222,  1223,   720,  1224,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,  1225,     0,
       0,   239,   240,     0,   241,   242,   243,   244,   245,   246,
     247,   248,  1226,   250,  1227,  1228,     0,   253,   254,   255,
     256,   257,   258,  1229,  1230,   259,   260,  1231,  1232,   263,
       0,   264,   265,   266,   267,  1233,     0,  1234,     0,   270,
     271,   272,   273,   274,   275,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,   285,   286,   287,   288,
    1235,  1236,  1237,  1238,  1239,  1240,  1241,   290,   291,   292,
     293,   294,   295,  1242,  1243,   298,  1244,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,  1070,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
    1245,   326,   327,   328,  1246,  1247,   330,     0,   331,   332,
    1248,   334,     0,   335,     0,   336,   337,  2778,   338,   339,
     340,   341,   342,     0,   343,  1249,     0,  1250,   346,   347,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,   366,   367,   368,   369,   370,   371,  1251,  1252,     0,
    1253,     0,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,     0,     0,   385,  1254,   387,   388,   389,     0,
     390,   391,   392,  1255,  1256,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,  1257,   410,  1258,   412,   413,   414,   415,  1259,   416,
     417,   418,   419,  1260,  1261,   421,  1262,   423,   424,   425,
       0,   426,   427,     0,     0,  1263,   429,   430,     0,     0,
     431,   432,   433,   434,   435,   436,  1264,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,     0,   447,   448,
    1265,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,  1266,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,   484,   485,
     486,   487,   488,   489,  1267,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
    1268,   505,   506,   507,   508,   509,   510,   511,   512,  1269,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,  1270,   529,     0,   530,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
    1271,  1272,     0,     0,   542,   543,  1273,   545,  1274,  1275,
     547,   548,   549,   550,   551,   552,   553,     0,  1276,   554,
     555,   556,   557,   558,  1277,     0,   559,   560,   561,   562,
     563,   564,  1278,     0,   566,   567,   568,   569,   570,   571,
       0,     0,   572,     0,     0,   573,   574,   575,   576,   577,
     578,   579,  1279,  1280,  1281,  1282,   584,  1283,  1284,  1285,
    1286,   589,   590,   591,   592,  1287,     0,     0,     0,     0,
       0,     0,  1288,  1289,     0,     0,     0,     0,     0,     0,
       0,  1291,   227,  1220,   660,  1221,  1222,  1223,   720,  1224,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,  1225,     0,     0,   239,   240,     0,   241,
     242,   243,   244,   245,   246,   247,   248,  1226,   250,  1227,
    1228,     0,   253,   254,   255,   256,   257,   258,  1229,  1230,
     259,   260,  1231,  1232,   263,     0,   264,   265,   266,   267,
    1233,     0,  1234,     0,   270,   271,   272,   273,   274,   275,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,   285,   286,   287,   288,  1235,  1236,  1237,  1238,  1239,
    1240,  1241,   290,   291,   292,   293,   294,   295,  1242,  1243,
     298,  1244,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,  1070,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,  1245,   326,   327,   328,  1246,
    1247,   330,     0,   331,   332,  1248,   334,     0,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
    1249,     0,  1250,   346,   347,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,  1251,  1252,     0,  1253,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
    1254,   387,   388,   389,     0,   390,   391,   392,  1255,  1256,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,  1257,   410,  1258,   412,
     413,   414,   415,  1259,   416,   417,   418,   419,  1260,  1261,
     421,  1262,   423,   424,   425,     0,   426,   427,     0,     0,
    1263,   429,   430,     0,     0,   431,   432,   433,   434,   435,
     436,  1264,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,  1265,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,  1266,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,  1267,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,  1268,   505,   506,   507,   508,
     509,   510,   511,   512,  1269,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
    1270,   529,     0,   530,   531,     0,   532,   533,   534,   535,
     536,   537,   538,     0,   539,  1271,  1272,     0,     0,   542,
     543,  1273,   545,  1274,  1275,   547,   548,   549,   550,   551,
     552,   553,     0,  1276,   554,   555,   556,   557,   558,  1277,
       0,   559,   560,   561,   562,   563,   564,  1278,     0,   566,
     567,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,   579,  1279,  1280,  1281,
    1282,   584,  1283,  1284,  1285,  1286,   589,   590,   591,   592,
    1287,     0,     0,     0,     0,     0,     0,  1288,  1289,     0,
       0,     0,     0,     0,     0,     0,  1291,   227,  1220,   660,
    1221,  1222,  1223,   720,  1224,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,  1225,     0,
       0,   239,   240,     0,   241,   242,   243,   244,   245,   246,
     247,   248,  1226,   250,  1227,  1228,     0,   253,   254,   255,
     256,   257,   258,  1229,  1230,   259,   260,  1231,  1232,   263,
       0,   264,   265,   266,   267,  1233,     0,  1234,     0,   270,
     271,   272,   273,   274,   275,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,   285,   286,   287,   288,
    1235,  1236,  1237,  1238,  1239,  1240,  1241,   290,   291,   292,
     293,   294,   295,  1242,  1243,   298,  1244,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,  1070,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
    1245,   326,   327,   328,  1246,  1247,   330,     0,   331,   332,
    1248,   334,     0,   335,     0,   336,   337,     0,   338,   339,
     340,   341,   342,     0,   343,  1249,     0,  1250,   346,   347,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,   366,   367,   368,   369,   370,   371,  1251,  1252,     0,
    1253,     0,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,     0,     0,   385,  1254,   387,   388,   389,     0,
     390,   391,   392,  1255,  1256,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,  1257,   410,  1258,   412,   413,   414,   415,  1259,   416,
     417,   418,   419,  1260,  1261,   421,  1262,   423,   424,   425,
       0,   426,   427,     0,     0,  1263,   429,   430,     0,     0,
     431,   432,   433,   434,   435,   436,  1264,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,     0,   447,   448,
    1265,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,  1266,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,   484,   485,
     486,   487,   488,   489,  1267,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
    1268,   505,   506,   507,   508,   509,   510,   511,   512,  1269,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,  1270,   529,     0,   530,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
    1271,  1272,     0,     0,   542,   543,  1273,   545,  1274,  1275,
     547,   548,   549,   550,   551,   552,   553,     0,  1276,   554,
     555,   556,   557,   558,  1277,     0,   559,   560,   561,   562,
     563,   564,  1278,     0,   566,   567,   568,   569,   570,   571,
       0,     0,   572,     0,     0,   573,   574,   575,   576,   577,
     578,   579,  1279,  1280,  1281,  1282,   584,  1283,  1284,  1285,
    1286,   589,   590,   591,   592,  1287,     0,     0,     0,     0,
       0,     0,  2137,  2138,     0,     0,     0,     0,     0,     0,
       0,  1291,   227,  2899,   660,  1221,  1222,  1223,   720,  1224,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,  1225,     0,     0,   239,   240,     0,   241,
     242,   243,   244,   245,   246,   247,   248,  1226,   250,  1227,
    1228,     0,   253,   254,   255,   256,   257,   258,  1229,  1230,
     259,   260,  1231,  1232,   263,     0,   264,   265,   266,   267,
    1233,     0,  1234,     0,   270,   271,   272,   273,   274,   275,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,   285,   286,   287,   288,  1235,  1236,  1237,  1238,  1239,
    1240,  1241,   290,   291,   292,   293,   294,   295,  1242,  1243,
     298,  1244,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,  1070,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,  1245,   326,   327,   328,  1246,
    1247,   330,     0,   331,   332,  1248,   334,     0,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
    1249,     0,  1250,   346,   347,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,  1251,  1252,     0,  1253,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
    1254,   387,   388,   389,     0,   390,   391,   392,  1255,  1256,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,  1257,   410,  1258,   412,
     413,   414,   415,  1259,   416,   417,   418,   419,  1260,  1261,
     421,  1262,   423,   424,   425,     0,   426,   427,     0,     0,
    1263,   429,   430,     0,     0,   431,   432,   433,   434,   435,
     436,  1264,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,  1265,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,  1266,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,  1267,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,  1268,   505,   506,   507,   508,
     509,   510,   511,   512,  1269,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
    1270,   529,     0,   530,   531,     0,   532,   533,   534,   535,
     536,   537,   538,     0,   539,  1271,  1272,     0,     0,   542,
     543,  1273,   545,  1274,  1275,   547,   548,   549,   550,   551,
     552,   553,     0,  1276,   554,   555,   556,   557,   558,  1277,
       0,   559,   560,   561,   562,   563,   564,  1278,     0,   566,
     567,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,   579,  1279,  1280,  1281,
    1282,   584,  1283,  1284,  1285,  1286,   589,   590,   591,   592,
    1287,     0,     0,     0,     0,     0,     0,  1288,  1289,     0,
       0,     0,     0,     0,     0,     0,  1291,   227,  1220,   660,
    1221,  1222,  1223,   720,  1224,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,  1225,     0,
       0,   239,   240,     0,   241,   242,   243,   244,   245,   246,
     247,   248,  1226,   250,  1227,  1228,     0,   253,   254,   255,
     256,   257,   258,  1229,  1230,   259,   260,  1231,  1232,   263,
       0,   264,   265,   266,   267,  1233,     0,  1234,     0,   270,
     271,   272,   273,   274,   275,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,   285,   286,   287,  4149,
    1235,  1236,  1237,  1238,  1239,  1240,  1241,   290,   291,   292,
     293,   294,   295,  1242,  1243,   298,  1244,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,  1070,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
    1245,   326,   327,   328,  1246,  1247,   330,     0,   331,   332,
    1248,   334,     0,   335,     0,   336,   337,     0,   338,   339,
     340,   341,   342,     0,   343,  1249,     0,  1250,   346,   347,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,   366,   367,   368,   369,   370,   371,  1251,  1252,     0,
    1253,     0,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,     0,     0,   385,  1254,   387,   388,   389,     0,
     390,   391,   392,  1255,  1256,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,  1257,   410,  1258,   412,   413,   414,   415,  1259,   416,
     417,   418,   419,  1260,  1261,   421,  1262,   423,   424,   425,
       0,   426,   427,     0,     0,  1263,   429,   430,     0,     0,
     431,   432,   433,   434,   435,   436,  1264,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,     0,   447,   448,
    1265,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,  1266,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,   484,   485,
     486,   487,   488,   489,  1267,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
    1268,   505,   506,   507,   508,   509,   510,   511,   512,  1269,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,  1270,   529,     0,   530,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
    1271,  1272,     0,     0,   542,   543,  1273,   545,  1274,  1275,
     547,   548,   549,   550,   551,   552,   553,     0,  1276,   554,
     555,   556,   557,   558,  1277,     0,   559,   560,   561,   562,
     563,   564,  1278,     0,   566,   567,   568,   569,   570,   571,
       0,     0,   572,     0,     0,   573,   574,   575,   576,   577,
     578,   579,  1279,  1280,  1281,  1282,   584,  1283,  1284,  1285,
    1286,   589,   590,   591,   592,  1287,     0,     0,     0,     0,
       0,     0,  1288,  1289,     0,     0,     0,     0,     0,     0,
       0,  1291,   227,  1220,   660,  1221,  1222,  1223,   720,  1224,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,  1225,     0,     0,   239,   240,     0,   241,
     242,   243,   244,   245,   246,   247,   248,  1226,   250,  1227,
    1228,     0,   253,   254,   255,   256,   257,   258,  1229,  1230,
     259,   260,  1231,  1232,   263,     0,   264,   265,   266,   267,
    1233,     0,  1234,     0,   270,   271,   272,   273,   274,   275,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,   285,   286,   287,   288,  1235,  1236,  1237,  1238,  1239,
    1240,  1241,   290,   291,   292,   293,   294,   295,  1242,  1243,
     298,  1244,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,  1070,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,  1245,   326,   327,   328,  1246,
    1247,   330,     0,   331,   332,  1248,   334,     0,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
    1249,     0,  1250,   346,   347,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,  1251,  1252,     0,  1253,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
    1254,   387,   388,   389,     0,   390,   391,   392,  1255,  1256,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,  1257,   410,  1258,   412,
     413,   414,   415,  1259,   416,   417,   418,   419,  1260,  1261,
     421,  1262,   423,   424,   425,     0,   426,   427,     0,     0,
    1263,   429,   430,     0,     0,   431,   432,   433,   434,   435,
     436,  1264,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,  1265,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,  1266,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,  1267,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,  1268,   505,   506,   507,   508,
     509,   510,   511,   512,  1269,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
    1270,   529,     0,   530,   531,     0,   532,   533,   534,   535,
     536,   537,   538,     0,   539,  1271,  1272,     0,     0,   542,
     543,  1273,   545,  1274,  1275,   547,   548,   549,   550,   551,
     552,   553,     0,  1276,   554,   555,   556,   557,   558,  1277,
       0,   559,   560,   561,   562,   563,   564,  1278,     0,   566,
     567,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,  4489,  1279,  1280,  1281,
    1282,   584,  1283,  1284,  1285,  1286,   589,   590,   591,   592,
    1287,     0,     0,     0,     0,     0,     0,  1288,  1289,     0,
       0,     0,     0,     0,     0,     0,  1291,   227,  1220,   660,
    1221,  1222,  1223,   720,  1224,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,  1225,     0,
       0,   239,   240,     0,   241,   242,   243,   244,   245,   246,
     247,   248,  1226,   250,  1227,  1228,     0,   253,   254,   255,
     256,   257,   258,  1229,  1230,   259,   260,  1231,  1232,   263,
       0,   264,   265,   266,   267,  1233,     0,  1234,     0,   270,
     271,   272,   273,   274,   275,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,   285,   286,   287,   288,
    1235,  1236,  1237,  1238,  1239,  1240,  1241,   290,   291,   292,
     293,   294,   295,  1242,  1243,   298,  1244,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,  1070,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
    1245,   326,   327,   328,  1246,  1247,   330,     0,   331,   332,
    1248,   334,     0,   335,     0,   336,   337,     0,   338,   339,
     340,   341,   342,     0,   343,  1249,     0,  1250,   346,   347,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,   366,   367,   368,   369,   370,   371,  1251,  1252,     0,
    1253,     0,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,     0,     0,   385,  1254,   387,   388,   389,     0,
     390,   391,   392,  1255,  1256,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,  1257,   410,  1258,   412,   413,  4501,   415,  1259,   416,
     417,   418,   419,  1260,  1261,   421,  1262,   423,   424,   425,
       0,   426,   427,     0,     0,  1263,   429,   430,     0,     0,
     431,   432,   433,   434,   435,   436,  1264,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,     0,   447,   448,
    1265,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,  1266,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,   484,   485,
     486,   487,   488,   489,  1267,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
    1268,   505,   506,   507,   508,   509,   510,   511,   512,  1269,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,  1270,   529,     0,   530,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
    1271,  1272,     0,     0,   542,   543,  1273,   545,  1274,  1275,
     547,   548,   549,   550,   551,   552,   553,     0,  1276,   554,
     555,   556,   557,   558,  1277,     0,   559,   560,   561,   562,
     563,   564,  1278,     0,   566,   567,   568,   569,   570,   571,
       0,     0,   572,     0,     0,   573,   574,   575,   576,   577,
     578,   579,  1279,  1280,  1281,  1282,   584,  1283,  1284,  1285,
    1286,   589,   590,   591,   592,  1287,     0,     0,     0,     0,
       0,     0,  1288,  1289,     0,     0,     0,     0,     0,     0,
       0,  1291,   227,  1220,   660,  1221,  1222,  1223,   720,  1224,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,  1225,     0,     0,   239,   240,     0,   241,
     242,   243,   244,   245,   246,   247,   248,  1226,   250,  1227,
    1228,     0,   253,   254,   255,   256,   257,   258,  1229,  1230,
     259,   260,  1231,  1232,   263,     0,   264,   265,   266,   267,
    1233,     0,  1234,     0,   270,   271,   272,   273,   274,   275,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,   285,   286,  4809,   288,  1235,  1236,  1237,  1238,  1239,
    1240,  1241,   290,   291,   292,   293,   294,   295,  1242,  1243,
     298,  1244,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,  1070,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,  1245,   326,   327,   328,  1246,
    1247,   330,     0,   331,   332,  1248,   334,     0,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
    1249,     0,  4810,   346,   347,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,  1251,  1252,     0,  1253,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
    1254,   387,   388,   389,     0,   390,   391,   392,  1255,  1256,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,  1257,   410,  1258,   412,
     413,   414,   415,  1259,   416,   417,   418,   419,  1260,  1261,
     421,  1262,   423,   424,   425,     0,   426,   427,     0,     0,
    1263,   429,   430,     0,     0,   431,   432,   433,   434,   435,
     436,  1264,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,  1265,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,  1266,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,  4811,   488,   489,  1267,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,  1268,   505,   506,   507,   508,
     509,   510,   511,   512,  1269,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
    1270,   529,     0,   530,   531,     0,   532,   533,   534,   535,
     536,   537,   538,     0,   539,  1271,  1272,     0,     0,   542,
     543,  1273,   545,  1274,  1275,   547,   548,   549,   550,   551,
     552,   553,     0,  1276,   554,   555,   556,   557,   558,  1277,
       0,   559,   560,   561,   562,   563,   564,  1278,     0,   566,
     567,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,   579,  1279,  1280,  1281,
    1282,   584,  1283,  1284,  1285,  1286,   589,   590,   591,   592,
    1287,     0,     0,     0,     0,     0,     0,  1288,  1289,     0,
       0,     0,     0,     0,     0,     0,  4812,   227,  1220,   660,
    1221,  1222,  1223,   720,  1224,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,  1225,     0,
       0,   239,   240,     0,   241,   242,   243,   244,   245,   246,
     247,  5283,  1226,   250,  1227,  1228,     0,   253,   254,   255,
     256,   257,   258,  1229,  1230,   259,   260,  1231,  1232,   263,
       0,   264,   265,   266,   267,  1233,     0,  1234,     0,   270,
     271,   272,   273,   274,   275,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,   285,   286,   287,  5284,
    1235,  1236,  1237,  1238,  1239,  1240,  1241,   290,   291,   292,
     293,   294,   295,  1242,  1243,   298,  1244,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,  1070,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
    1245,   326,   327,   328,  1246,  1247,   330,     0,   331,   332,
    1248,   334,     0,   335,     0,   336,   337,     0,   338,   339,
     340,   341,   342,     0,   343,  1249,     0,  1250,   346,   347,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,   366,   367,   368,   369,   370,   371,  1251,  1252,     0,
    1253,     0,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,     0,     0,   385,  1254,   387,   388,   389,     0,
     390,   391,   392,  1255,  1256,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,  1257,   410,  1258,   412,   413,   414,   415,  1259,   416,
     417,   418,   419,  1260,  1261,   421,  1262,   423,   424,   425,
       0,   426,   427,     0,     0,  1263,   429,   430,     0,     0,
     431,   432,   433,   434,   435,   436,  1264,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,     0,   447,   448,
    1265,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,  1266,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,   484,   485,
     486,   487,   488,   489,  1267,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
    1268,   505,   506,   507,   508,   509,   510,   511,   512,  1269,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,  1270,   529,     0,   530,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
    1271,  1272,     0,     0,   542,   543,  1273,   545,  1274,  1275,
     547,   548,   549,   550,  5285,   552,   553,     0,  1276,   554,
     555,   556,   557,   558,  1277,     0,   559,   560,   561,   562,
     563,   564,  1278,     0,   566,   567,   568,   569,   570,   571,
       0,     0,   572,     0,     0,   573,   574,   575,   576,   577,
     578,   579,  1279,  1280,  1281,  1282,   584,  1283,  1284,  1285,
    1286,   589,   590,   591,   592,  1287,     0,     0,     0,     0,
       0,     0,  1288,  1289,     0,     0,     0,     0,     0,     0,
       0,  1291,   227,  1220,   660,  1221,  1222,  1223,   720,  1224,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,  1225,     0,     0,   239,   240,     0,   241,
     242,   243,   244,   245,   246,   247,   248,  1226,   250,  1227,
    1228,     0,   253,   254,   255,   256,   257,   258,  1229,  1230,
     259,   260,  1231,  1232,   263,     0,   264,   265,   266,   267,
    1233,     0,  1234,     0,   270,   271,   272,   273,   274,   275,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,   285,   286,   287,  5284,  1235,  1236,  1237,  1238,  1239,
    1240,  1241,   290,   291,   292,   293,   294,   295,  1242,  1243,
     298,  1244,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,  1070,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,  1245,   326,   327,   328,  1246,
    1247,   330,     0,   331,   332,  1248,   334,     0,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
    1249,     0,  1250,   346,   347,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,  1251,  1252,     0,  1253,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
    1254,   387,   388,   389,     0,   390,   391,   392,  1255,  1256,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,  1257,   410,  1258,   412,
     413,   414,   415,  1259,   416,   417,   418,   419,  1260,  1261,
     421,  1262,   423,   424,   425,     0,   426,   427,     0,     0,
    1263,   429,   430,     0,     0,   431,   432,   433,   434,   435,
     436,  1264,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,  1265,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,  1266,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,  1267,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,  1268,   505,   506,   507,   508,
     509,   510,   511,   512,  1269,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
    1270,   529,     0,   530,   531,     0,   532,   533,   534,   535,
     536,   537,   538,     0,   539,  1271,  1272,     0,     0,   542,
     543,  1273,   545,  1274,  1275,   547,   548,   549,   550,  5285,
     552,   553,     0,  1276,   554,   555,   556,   557,   558,  1277,
       0,   559,   560,   561,   562,   563,   564,  1278,     0,   566,
     567,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,   579,  1279,  1280,  1281,
    1282,   584,  1283,  1284,  1285,  1286,   589,   590,   591,   592,
    1287,     0,     0,     0,     0,     0,     0,  1288,  1289,     0,
       0,     0,     0,     0,     0,     0,  1291,   227,  1220,   660,
    1221,  1222,  1223,   720,  1224,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,  1225,     0,
       0,   239,   240,     0,   241,   242,   243,   244,   245,   246,
     247,   248,  1226,   250,  1227,  1228,     0,   253,   254,   255,
     256,   257,   258,  1229,  1230,   259,   260,  1231,  1232,   263,
       0,   264,   265,   266,   267,  1233,     0,  1234,     0,   270,
     271,   272,   273,   274,   275,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,   285,   286,   287,   288,
    1235,  1236,  1237,  1238,  1239,  1240,  1241,   290,   291,   292,
     293,   294,   295,  1242,  1243,   298,  5007,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,  1070,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
    1245,   326,   327,   328,  1246,  1247,   330,     0,   331,   332,
    1248,   334,     0,   335,     0,   336,   337,     0,   338,   339,
     340,   341,   342,     0,   343,  1249,     0,  1250,   346,   347,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,   366,   367,   368,   369,   370,   371,  1251,  1252,     0,
    1253,     0,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,     0,     0,   385,  1254,   387,   388,   389,     0,
     390,   391,   392,  1255,  1256,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,  1257,   410,  1258,   412,   413,   414,   415,     0,   416,
     417,   418,   419,  1260,  1261,   421,  1262,   423,   424,   425,
       0,   426,   427,     0,     0,  1263,   429,   430,     0,     0,
     431,   432,   433,   434,   435,   436,  1264,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,     0,   447,   448,
    1265,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,  1266,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,   484,   485,
     486,   487,   488,   489,  2763,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
    1268,   505,   506,   507,   508,   509,   510,   511,   512,  1269,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,  1270,   529,     0,   530,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
    1271,  1272,     0,     0,   542,   543,  1273,   545,  1274,  1275,
     547,   548,   549,   550,   551,   552,   553,     0,     0,   554,
     555,   556,   557,   558,  1277,     0,   559,   560,   561,   562,
     563,   564,  1278,     0,   566,   567,   568,   569,   570,   571,
       0,     0,   572,     0,     0,   573,   574,   575,   576,   577,
     578,   579,  1279,  1280,  1281,  1282,   584,  1283,  1284,  1285,
    1286,   589,   590,   591,   592,     0,     0,     0,     0,     0,
       0,     0,  2764,  2765,     0,     0,     0,     0,     0,     0,
       0,  2766,   227,  1220,   660,  1221,  1222,  1223,   720,  1224,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,  1225,     0,     0,   239,   240,     0,   241,
     242,   243,   244,   245,   246,   247, -2635,  1226,   250,  1227,
    1228,     0,   253,   254,   255,   256,   257,   258,  1229,  1230,
     259,   260,  1231,  1232,   263,     0,   264,   265,   266,   267,
    1233,     0,  1234,     0,   270,   271,   272,   273,   274,   275,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,   285,   286,   287,  5284,  1235,  1236,  1237,  1238,  1239,
    1240,  1241,   290,   291,   292,   293,   294,   295,  1242,  1243,
     298,  1244,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,  1070,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,  1245,   326,   327,   328,  1246,
    1247,   330,     0,   331,   332,  1248,   334,     0,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
    1249,     0,  1250,   346,   347,     0,   348,   349,   350,   351,
     352, -2635,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,  1251,  1252,     0,  1253,     0,   375,     0,     0,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
    1254,   387,   388, -2635,     0,   390,   391,   392,  1255,  1256,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,  1257,   410,  1258,   412,
     413,   414,   415,  1259,   416,   417,     0,   419,  1260,  1261,
     421,  1262,   423,   424,   425,     0,   426,   427,     0,     0,
    1263,   429,   430,     0,     0,   431,   432,   433,   434,   435,
     436,  1264,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,  1265,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,  1266,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,  1267,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,  1268,   505,   506,   507,   508,
     509, -2635,   511,   512,  1269,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
    1270,   529,     0,   530,   531,     0,   532,   533,   534,   535,
     536,   537,   538,     0,   539,  1271,  1272,     0,     0,   542,
     543,  1273,   545,  1274,  1275,   547,   548,   549,   550,  5285,
     552,   553,     0,  1276,   554,   555,   556,   557,   558,  1277,
       0,   559,   560,   561,   562,   563,   564,  1278,     0,   566,
     567,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,   579,  1279,  1280,  1281,
    1282,   584,  1283,  1284,  1285,  1286,   589,   590,   591,   592,
   -2635,     0,     0,     0,     0,     0,     0,  1288,  1289,     0,
       0,     0,     0,     0,     0,     0,  1291,   227,  1220,   660,
    1221,  1222,  1223,   720,  1224,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,  1225,     0,
       0,   239,   240,     0,   241,   242,   243,   244,   245,   246,
     247,   248,  1226,   250,  1227,  1228,     0,   253,   254,   255,
     256,   257,   258,  1229,  1230,   259,   260,  1231,  1232,   263,
       0,   264,   265,   266,   267,  1233,     0,  1234,     0,   270,
     271,   272,   273,   274,   275,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,   285,   286,   287,   288,
    1235,  1236,  1237,  1238,  1239,  1240,  1241,   290,   291,   292,
     293,   294,   295,  1242,  1243,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,  1070,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
    1245,   326,   327,   328,  1246,  1247,   330,     0,   331,   332,
    1248,   334,     0,   335,     0,   336,   337,     0,   338,   339,
     340,   341,   342,     0,   343,  1249,     0,  1250,   346,   347,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,   366,   367,   368,   369,   370,   371,  1251,  1252,     0,
    1253,     0,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,     0,     0,   385,  1254,   387,   388,   389,     0,
     390,   391,   392,  1255,  1256,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,  1257,   410,  1258,   412,   413,   414,   415,     0,   416,
     417,   418,   419,  1260,  1261,   421,  1262,   423,   424,   425,
       0,   426,   427,     0,     0,  1263,   429,   430,     0,     0,
     431,   432,   433,   434,   435,   436,  1264,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,     0,   447,   448,
    1265,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,  1266,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,   484,   485,
     486,   487,   488,   489,  2763,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
    1268,   505,   506,   507,   508,   509,   510,   511,   512,  1269,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,  1270,   529,     0,   530,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
    1271,  1272,     0,     0,   542,   543,  1273,   545,  1274,  1275,
     547,   548,   549,   550,   551,   552,   553,     0,     0,   554,
     555,   556,   557,   558,  1277,     0,   559,   560,   561,   562,
     563,   564,  1278,     0,   566,   567,   568,   569,   570,   571,
       0,     0,   572,     0,     0,   573,   574,   575,   576,   577,
     578,   579,  1279,  1280,  1281,  1282,   584,  1283,  1284,  1285,
    1286,   589,   590,   591,   592,     0,     0,     0,     0,     0,
       0,     0,  2764,  2765,     0,     0,   227,  1220,   660,  1221,
    1222,  2766,   720,  1224,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,  1225,     0,     0,
     239,   240,     0,   241,   242,   243,   244,   245,   246,   247,
     248,  1226,   250,  1227,  1228,     0,   253,   254,   255,   256,
     257,   258,  1229,  1230,   259,   260,  1231,  1232,   263,     0,
     264,   265,   266,   267,  1233,     0,  1234,     0,   270,   271,
     272,   273,   274,   275,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,   285,   286,   287,   288,  1235,
    1236,  1237,  1238,  1239,  1240,  1241,   290,   291,   292,   293,
     294,   295,  1242,  1243,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,  1070,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,  1245,
     326,   327,   328,  1246,  1247,   330,     0,   331,   332,  1248,
     334,     0,   335,     0,   336,   337,     0,   338,   339,   340,
     341,   342,     0,   343,  1249,     0,  1250,   346,   347,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
     366,   367,   368,   369,   370,   371,  1251,  1252,     0,  1253,
       0,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,     0,     0,   385,  1254,   387,   388,   389,     0,   390,
     391,   392,  1255,  1256,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
    1257,   410,  1258,   412,   413,   414,   415,     0,   416,   417,
     418,   419,  1260,  1261,   421,  1262,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,   434,   435,   436,  1264,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,     0,   447,   448,  1265,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,  1266,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,  2888,  2889,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,  1268,
     505,   506,   507,   508,   509,   510,   511,   512,  1269,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,  1270,   529,     0,   530,   531,     0,
     532,   533,   534,   535,   536,   537,   538,     0,   539,  1271,
    1272,     0,     0,   542,   543,  1273,   545,  1274,  1275,   547,
     548,   549,   550,   551,   552,   553,     0,     0,   554,   555,
     556,   557,   558,  1277,     0,   559,   560,   561,   562,   563,
     564,  1278,     0,   566,   567,   568,   569,   570,   571,     0,
       0,   572,     0,     0,   573,   574,   575,   576,   577,   578,
     579,  1279,  1280,  1281,  1282,   584,  1283,  1284,  1285,  1286,
     589,   590,   591,   592,     0,     0,     0,     0,     0,     0,
       0,  2890,  2891,     0,     0,     0,     0,     0,     0,     0,
    2766,   227,  1220,   660,  1221,  1222,  1223,   720,  1224,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,  1225,     0,     0,   239,   240,     0,   241,   242,
     243,   244,   245,   246,   247,   248,  1226,   250,  1227,  1228,
       0,   253,   254,   255,   256,   257,   258,  1229,  1230,   259,
     260,  1231,  1232,   263,     0,   264,   265,   266,   267,  1233,
       0,  1234,     0,   270,   271,   272,   273,   274,   275,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
     285,   286,   287,   288,  1235,  1236,  1237,  1238,  1239,  1240,
    1241,   290,   291,   292,   293,   294,   295,  1242,  1243,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,  1070,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,  1245,   326,   327,   328,  1246,  1247,
     330,     0,   331,   332,  1248,   334,     0,   335,     0,   336,
     337,     0,   338,   339,   340,   341,   342,     0,   343,  1249,
       0,  1250,   346,   347,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,   366,   367,   368,   369,   370,
     371,  1251,  1252,     0,  1253,     0,   375,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,     0,   385,  1254,
     387,   388,   389,     0,   390,   391,   392,  1255,  1256,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,  1257,   410,  1258,   412,   413,
     414,   415,     0,   416,   417,   418,   419,  1260,  1261,   421,
    1262,   423,   424,   425,     0,   426,   427,     0,     0,  1263,
     429,   430,     0,     0,   431,   432,   433,   434,   435,   436,
    1264,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,     0,   447,   448,  1265,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,  1266,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,   484,   485,   486,   487,   488,   489,  2763,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,  1268,   505,   506,   507,   508,   509,
     510,   511,   512,  1269,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,  1270,
     529,     0,   530,   531,     0,   532,   533,   534,   535,   536,
     537,   538,     0,   539,  1271,  1272,     0,     0,   542,   543,
    1273,   545,  1274,  1275,   547,   548,   549,   550,   551,   552,
     553,     0,     0,   554,   555,   556,   557,   558,  1277,     0,
     559,   560,   561,   562,   563,   564,  1278,     0,   566,   567,
     568,   569,   570,   571,     0,     0,   572,     0,     0,   573,
     574,   575,   576,   577,   578,   579,  1279,  1280,  1281,  1282,
     584,  1283,  1284,  1285,  1286,   589,   590,   591,   592,     0,
       0,     0,     0,     0,     0,     0,  2764,  2765,     0,     0,
     227,  1220,   660,  1221,  1222,  2766,   720,  1224,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,  1225,     0,     0,   239,   240,     0,   241,   242,   243,
     244,   245,   246,   247,   248,  1226,   250,  1227,  1228,     0,
     253,   254,   255,   256,   257,   258,  1229,  1230,   259,   260,
    1231,  1232,   263,     0,   264,   265,   266,   267,  1233,     0,
    1234,     0,   270,   271,   272,   273,   274,   275,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,   285,
     286,   287,   288,  1235,  1236,  1237,  1238,  1239,  1240,  1241,
     290,   291,   292,   293,   294,   295,  1242,  1243,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,  1070,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,  1245,   326,   327,   328,  1246,  1247,   330,
       0,   331,   332,  1248,   334,     0,   335,     0,   336,   337,
       0,   338,   339,   340,   341,   342,     0,   343,  1249,     0,
    1250,   346,   347,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
    1251,  1252,     0,  1253,     0,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,     0,     0,   385,  1254,   387,
     388,   389,     0,   390,   391,   392,  1255,  1256,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,  1257,   410,  1258,   412,   413,   414,
     415,     0,   416,   417,   418,   419,  1260,  1261,   421,  1262,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,   433,   434,   435,   436,  1264,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,  1265,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
    1266,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,  2763,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,  1268,   505,   506,   507,   508,   509,   510,
     511,   512,  1269,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,  1270,   529,
       0,   530,   531,     0,   532,   533,   534,   535,   536,   537,
     538,     0,   539,  1271,  1272,     0,     0,   542,   543,  1273,
     545,  1274,  1275,   547,   548,   549,   550,   551,   552,   553,
       0,     0,   554,   555,   556,   557,   558,  1277,     0,   559,
     560,   561,   562,   563,   564,  1278,     0,   566,   567,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,   579,  1279,  1280,  1281,  1282,   584,
    1283,  1284,  1285,  1286,   589,   590,   591,   592,     0,     0,
     227,  1220,   660,  1221,  1222,     0,   720,  1224,     0,     0,
       0,     0,     0,     0,  2766,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,  1225,     0,     0,   239,   240,     0,   241,   242,   243,
     244,   245,   246,   247,   248,  1226,   250,  1227,  1228,     0,
    4058,   254,   255,   256,   257,   258,  1229,  1230,   259,   260,
    1231,  1232,   263,     0,   264,   265,   266,   267,  1233,     0,
    1234,     0,   270,   271,   272,   273,   274,   275,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,   285,
     286,   287,   288,  1235,  1236,  1237,  1238,  1239,  1240,  1241,
     290,   291,   292,   293,   294,   295,  1242,  1243,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,  1070,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,  1245,   326,   327,   328,  1246,  1247,   330,
       0,   331,   332,  1248,   334,     0,   335,     0,   336,   337,
       0,   338,   339,   340,   341,   342,     0,   343,  1249,     0,
    1250,   346,   347,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
    1251,  1252,     0,  1253,     0,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,     0,     0,   385,  1254,   387,
     388,   389,     0,   390,   391,   392,  1255,  1256,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,  1257,   410,  1258,   412,   413,   414,
     415,     0,   416,   417,   418,   419,  1260,  1261,   421,  1262,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,   433,   434,   435,   436,  1264,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,  1265,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
    1266,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,  2763,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,  1268,   505,   506,   507,   508,   509,   510,
     511,   512,  1269,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,  1270,   529,
       0,   530,   531,     0,   532,   533,   534,   535,   536,   537,
     538,     0,   539,  1271,  1272,     0,     0,   542,   543,  1273,
     545,  1274,  1275,   547,   548,   549,   550,   551,   552,   553,
       0,     0,   554,   555,   556,   557,   558,  1277,     0,   559,
     560,   561,   562,   563,   564,  1278,     0,   566,   567,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,   579,  1279,  1280,  1281,  1282,   584,
    1283,  1284,  1285,  1286,   589,   590,   591,   592,     0,     0,
     227,  1220,   660,  1221,  1222,     0,   720,  1224,     0,     0,
       0,     0,     0,     0,  2766,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,  1225,     0,     0,   239,   240,     0,   241,   242,   243,
     244,   245,   246,   247,   248,  1226,   250,  1227,  1228,     0,
     253,   254,   255,   256,   257,   258,  1229,  1230,   259,   260,
    1231,  1232,   263,     0,   264,   265,   266,   267,  1233,     0,
    1234,     0,   270,   271,   272,   273,   274,   275,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,   285,
     286,   287,   288,  1235,  1236,  1237,  1238,  1239,  1240,  1241,
     290,   291,   292,   293,   294,   295,  1242,  1243,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,  1070,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,  1245,   326,   327,   328,  1246,  1247,   330,
       0,   331,   332,  1248,   334,     0,   335,     0,   336,   337,
       0,   338,   339,   340,   341,   342,     0,   343,  1249,     0,
    1250,   346,   347,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
    1251,  1252,     0,  1253,     0,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,     0,     0,   385,  1254,   387,
     388,   389,     0,   390,   391,   392,  1255,  1256,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,  1257,   410,  1258,   412,   413,   414,
     415,     0,   416,   417,   418,   419,  1260,  1261,   421,  1262,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,   433,   434,   435,   436,  1264,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,  1265,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
    1266,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,  2763,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,  1268,   505,   506,   507,   508,   509,   510,
     511,   512,  1269,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,  1270,   529,
       0,   530,   531,     0,   532,   533,   534,   535,   536,   537,
     538,     0,   539,  1271,  1272,     0,     0,   542,   543,  1273,
     545,  1274,  1275,   547,   548,   549,   550,   551,   552,   553,
       0,     0,   554,   555,   556,   557,   558,  1277,     0,   559,
     560,   561,   562,   563,   564,  1278,     0,   566,   567,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,   579,  1279,  1280,  1281,  1282,  4532,
    1283,  1284,  1285,  1286,   589,   590,   591,   592,     0,     0,
     227,  1220,   660,  1221,  1222,  1223,   720,  1224,     0,     0,
       0,     0,     0,     0,  2766,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,  1225,     0,     0,   239,   240,     0,   241,   242,   243,
     244,   245,   246,   247,     0,  1226,   250,  1227,  1228,     0,
     253,   254,   255,   256,   257,   258,  1229,  1230,   259,   260,
    1231,  1232,   263,     0,   264,   265,   266,   267,  1233,     0,
    1234,     0,   270,   271,   272,   273,   274,   275,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,   285,
     286,   287,   288,  1235,  1236,  1237,  1238,  1239,  1240,  1241,
     290,   291,   292,   293,   294,   295,  1242,  1243,   298,  1244,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,  1070,   313,   314,
       0,   315,   316,   317,     0,   318,     0,   320,     0,   321,
     322,   323,   324,  1245,   326,   327,   328,  1246,  1247,   330,
       0,   331,   332,  1248,   334,     0,   335,     0,   336,   337,
       0,   338,   339,   340,   341,   342,     0,   343,  1249,     0,
    1250,   346,   347,     0,   348,   349,   350,   351,   352,     0,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
    1251,  1252,     0,  1253,     0,   375,     0,     0,   378,   379,
     380,   381,   382,   383,   384,     0,     0,   385,  1254,   387,
     388,     0,     0,   390,   391,   392,  1255,  1256,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,  1257,   410,  1258,   412,   413,   414,
     415,  1259,   416,   417,     0,   419,  1260,  1261,   421,  1262,
     423,   424,   425,     0,   426,   427,     0,     0,  1263,   429,
     430,     0,     0,   431,   432,   433,   434,   435,   436,  1264,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,  1265,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
    1266,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,  1267,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,  1268,   505,   506,   507,   508,   509,     0,
     511,   512,  1269,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,  1270,   529,
       0,   530,   531,     0,   532,   533,   534,   535,   536,   537,
     538,     0,   539,  1271,  1272,     0,     0,   542,   543,  1273,
     545,  1274,  1275,   547,   548,   549,   550,   551,   552,   553,
       0,  1276,   554,   555,   556,   557,   558,  1277,     0,   559,
     560,   561,   562,   563,   564,  1278,     0,   566,   567,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,   579,  1279,  1280,  1281,  1282,   584,
    1283,  1284,  1285,  1286,   589,   590,   591,   592,     0,     0,
     227,     0,     0,     0,     0,  1288,  1289,     0,     0,     0,
       0,     0,     0,     0,  1291,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,     0,
     253,   254,   255,   256,   257,   258,     0,  1230,   259,   260,
     261,   262,   263,     0,   264,   265,   266,   267,  1233,     0,
    1234,     0,   270,   271,   272,   273,   274,   275,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,   285,
     286,   287,   288,  1235,  1236,  1237,  1238,  1239,  1240,  1241,
     290,   291,   292,   293,   294,   295,   296,   297,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,   325,   326,   327,   328,  1246,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,   337,
       0,   338,   339,   340,   341,   342,     0,   343,  1249,     0,
     345,   346,   347,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,  3575,     0,   385,  1254,   387,
     388,   389,     0,   390,   391,   392,  1255,  1256,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,     0,   416,   417,   418,   419,     0,  1261,   421,   422,
     423,   424,   425,     0,   426,   427,     0,   812,   428,   429,
     430,     0,     0,   431,   432,   433,   434,   435,   436,  1264,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,  1265,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,   490,  3576,   492,
     493,   494,   495,   496,   497,   498,   499,    41,   500,   501,
     502,   503,   504,  1268,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,  1270,   529,
       0,   530,   531,    45,   532,   533,   534,   535,   536,   537,
     538,     0,   539,   540,   541,     0,     0,   542,   543,  1273,
     545,  1274,     0,   547,   548,   549,   550,   551,   552,   553,
       0,     0,   554,   555,   556,   557,   558,  1277,     0,   559,
     560,   561,   562,   563,  1149,   565,     0,   566,   567,   568,
     569,   570,   571,     0,     0,   572,     0,    50,   573,   574,
     575,   576,   577,   578,   579,  1279,  1280,  1281,  1282,   584,
    1283,  1284,  1285,  1286,  3577,   590,   591,   592,     0,     0,
      51,   227,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3578,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,  1230,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,  1233,
       0,  1234,     0,   270,   271,   272,   273,   274,   275,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
     285,   286,   287,   288,  1235,  1236,  1237,  1238,  1239,  1240,
    1241,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,  1246,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
     337,     0,   338,   339,   340,   341,   342,     0,   343,  1249,
       0,   345,   346,   347,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,  3575,     0,   385,  1254,
     387,   388,   389,     0,   390,   391,   392,  1255,  1256,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,     0,   416,   417,   418,   419,     0,  1261,   421,
     422,   423,   424,   425,     0,   426,   427,     0,   812,   428,
     429,   430,     0,     0,   431,   432,   433,   434,   435,   436,
    1264,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,     0,   447,   448,  1265,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,   484,   485,   486,   487,   488,   489,   490,  3576,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,  1268,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,  1270,
     529,     0,   530,   531,     0,   532,   533,   534,   535,   536,
     537,   538,     0,   539,   540,   541,     0,     0,   542,   543,
    1273,   545,  1274,     0,   547,   548,   549,   550,   551,   552,
     553,     0,     0,   554,   555,   556,   557,   558,  1277,     0,
     559,   560,   561,   562,   563,   564,   565,     0,   566,   567,
     568,   569,   570,   571,     0,     0,   572,     0,     0,   573,
     574,   575,   576,   577,   578,   579,  1279,  1280,  1281,  1282,
     584,  1283,  1284,  1285,  1286,  3577,   590,   591,   592,     0,
       0,   227,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3578,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,  1230,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,  1233,
       0,  1234,     0,   270,   271,   272,   273,   274,   275,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
     285,   286,   287,   288,  1235,  1236,  1237,  1238,  1239,  1240,
    1241,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,  1246,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
     337,     0,   338,   339,   340,   341,   342,     0,   343,  1249,
       0,   345,   346,   347,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,     0,     0,   385,  1254,
     387,   388,   389,     0,   390,   391,   392,  1255,  1256,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,     0,   416,   417,   418,   419,     0,  1261,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,   434,   435,   436,
    1264,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,     0,   447,   448,  1265,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,   484,   485,   486,   487,   488,   489,   490,  3576,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,  1268,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,  1270,
     529,     0,   530,   531,     0,   532,   533,   534,   535,   536,
     537,   538,     0,   539,   540,   541,     0,     0,   542,   543,
    1273,   545,  1274,     0,   547,   548,   549,   550,   551,   552,
     553,     0,     0,   554,   555,   556,   557,   558,  1277,     0,
     559,   560,   561,   562,   563,   564,   565,     0,   566,   567,
     568,   569,   570,   571,     0,     0,   572,     0,     0,   573,
     574,   575,   576,   577,   578,   579,  1279,  1280,  1281,  1282,
     584,  1283,  1284,  1285,  1286,  3577,   590,   591,   592,     0,
       0,   227,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    52,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,  1230,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,  1233,
       0,  1234,     0,   270,   271,   272,   273,   274,   275,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
     285,   286,   287,   288,  1235,  1236,  1237,  1238,  1239,  1240,
    1241,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,  1246,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
     337,     0,   338,   339,   340,   341,   342,     0,   343,  1249,
       0,   345,   346,   347,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,     0,     0,   385,  1254,
     387,   388,   389,     0,   390,   391,   392,  1255,  1256,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,     0,   416,   417,   418,   419,     0,  1261,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,   434,   435,   436,
    1264,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,     0,   447,   448,  1265,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,  1268,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,  1270,
     529,     0,   530,   531,     0,   532,   533,   534,   535,   536,
     537,   538,     0,   539,   540,   541,     0,     0,   542,   543,
    1273,   545,  1274,     0,   547,   548,   549,   550,   551,   552,
     553,     0,     0,   554,   555,   556,   557,   558,  1277,     0,
     559,   560,   561,   562,   563,   564,   565,     0,   566,   567,
     568,   569,   570,   571,     0,     0,   572,     0,     0,   573,
     574,   575,   576,   577,   578,   579,  1279,  1280,  1281,  1282,
     584,  1283,  1284,  1285,  1286,   589,   590,   591,   592,     0,
       0,   227,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4178,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,  1230,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,  1233,
       0,  1234,     0,   270,   271,   272,   273,   274,   275,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
     285,   286,   287,   288,  1235,  1236,  1237,  1238,  1239,  1240,
    1241,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,  1246,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
     337,     0,   338,   339,   340,   341,   342,     0,   343,  1249,
       0,   345,   346,   347,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,     0,     0,   385,  1254,
     387,   388,   389,     0,   390,   391,   392,  1255,  1256,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,     0,   416,   417,   418,   419,     0,  1261,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,   434,   435,   436,
    1264,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,     0,   447,   448,  1265,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,  1268,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,  1270,
     529,     0,   530,   531,     0,   532,   533,   534,   535,   536,
     537,   538,     0,   539,   540,   541,     0,     0,   542,   543,
    1273,   545,  1274,     0,   547,   548,   549,   550,   551,   552,
     553,     0,     0,   554,   555,   556,   557,   558,  1277,     0,
     559,   560,   561,   562,   563,   564,   565,     0,   566,   567,
     568,   569,   570,   571,     0,     0,   572,     0,     0,   573,
     574,   575,   576,   577,   578,   579,  1279,  1280,  1281,  1282,
     584,  1283,  1284,  1285,  1286,   589,   590,   591,   592,     0,
       0,   867,  1502,   660,     0,     0,     0,   720,     0,     0,
       0,     0,     0,     0,     0,  5265,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
       0,   269,     0,   270,   271,   272,   273,   274,   275,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
     285,   286,   287,   288,     0,     0,     0,   289,     0,     0,
       0,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,  1914,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
     337,     0,   338,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,     0,     0,   385,   386,
     387,   388,   389,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,     0,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,  1915,     0,   428,
     429,   430,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,     0,   530,   531,     0,   532,   533,   534,   535,   536,
     537,   538,     0,   539,   540,   541,     0,     0,   542,   543,
     544,   545,   546,  1916,   547,   548,   549,   550,   551,   552,
     553,     0,     0,   554,   555,   556,   557,   558,     0,     0,
     559,   560,   561,   562,   563,   564,   565,     0,   566,   567,
     568,   569,   570,   571,     0,     0,   572,     0,     0,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
       0,   867,     0,     0,     0,     0,  1503,  1504,  5078,     0,
       0,     0,     0,     0,     0,  5079,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     3,     4,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
       0,   269,     0,   270,   271,   272,   273,   274,   275,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
     285,   286,   287,   288,     0,     0,     0,   289,     0,     0,
       0,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
     337,     0,   338,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,     0,     0,   385,   386,
     387,   388,   389,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,     0,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,    41,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,     0,   530,   531,    45,   532,   533,   534,   535,   536,
     537,   538,     0,   539,   540,   541,     0,     0,   542,   543,
     544,   545,   546,     0,   547,   548,   549,   550,   551,   552,
     553,     0,     0,   554,   555,   556,   557,   558,     0,     0,
     559,   560,   561,   562,   563,  1149,   565,     0,   566,   567,
     568,   569,   570,   571,     0,     0,   572,     0,    50,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
       0,    51,   227,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    52,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,   275,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,   285,   286,   287,   288,     0,     0,     0,   289,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
     386,   387,   388,   389,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,     0,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,     0,   530,   531,     0,   532,   533,   534,   535,
     536,   537,   538,     0,   539,   540,   541,     0,     0,   542,
     543,   544,   545,   546,     0,   547,   548,   549,   550,   551,
     552,   553,     0,     0,   554,   555,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,     0,   600,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4861,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,    41,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,     0,   530,   531,    45,   532,     0,   534,   535,
     536,   537,   538,     0,   539,   540,   541,     0,     0,   542,
     543,   544,   545,   546,     0,   547,   548,   549,   550,   551,
     552,   553,     0,     0,   554,   555,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,  1149,   565,     0,   566,
       0,   568,   569,   570,   571,     0,     0,   572,     0,    50,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,     0,    51,   600,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    52,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,     0,   245,   246,   247,   248,   249,     0,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,   261,   262,   263,     0,   264,   265,   266,
     267,   268,     0,     0,     0,   270,   271,   272,   273,   274,
       0,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,     0,   286,   287,   288,     0,     0,     0,     0,
       0,     0,     0,   290,   291,   292,   293,   294,   295,   296,
     297,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,     0,     0,     0,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,   352,     0,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,     0,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,     0,
       0,   378,     0,   380,   381,   382,   383,   384,     0,     0,
     385,   386,     0,   388,     0,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,   411,
     412,   413,   414,   415,     0,   416,   417,     0,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,   433,     0,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,     0,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,     0,   482,   483,     0,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
       0,   500,   501,   502,   503,   504,     0,   505,   506,   507,
     508,   509,     0,   511,   512,   513,   514,     0,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,     0,   530,   531,     0,   532,     0,   534,
     535,   536,   537,   538,     0,   539,   540,   541,     0,     0,
     542,   543,   544,   545,   546,     0,   547,   548,   549,   550,
     551,   552,   553,     0,     0,   554,   555,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,     0,
     566,     0,   568,   569,   570,   571,     0,     0,   572,     0,
       0,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,     0,   600,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1349,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,     0,   245,   246,   247,   248,   249,     0,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,   261,   262,   263,     0,   264,   265,   266,
     267,   268,     0,     0,     0,   270,   271,   272,   273,   274,
       0,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,     0,   286,   287,   288,     0,     0,     0,     0,
       0,     0,     0,   290,   291,   292,   293,   294,   295,   296,
     297,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,     0,     0,     0,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,   352,     0,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,     0,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,     0,
       0,   378,     0,   380,   381,   382,   383,   384,     0,     0,
     385,   386,     0,   388,     0,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,   411,
     412,   413,   414,   415,     0,   416,   417,     0,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,   433,     0,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,     0,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,     0,   482,   483,     0,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
       0,   500,   501,   502,   503,   504,     0,   505,   506,   507,
     508,   509,     0,   511,   512,   513,   514,     0,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,     0,   530,   531,     0,   532,     0,   534,
     535,   536,   537,   538,     0,   539,   540,   541,     0,     0,
     542,   543,   544,   545,   546,     0,   547,   548,   549,   550,
     551,   552,   553,     0,     0,   554,   555,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,     0,
     566,     0,   568,   569,   570,   571,     0,     0,   572,     0,
       0,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,     0,   600,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2921,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,     0,   245,   246,   247,   248,   249,     0,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,   261,   262,   263,     0,   264,   265,   266,
     267,   268,     0,     0,     0,   270,   271,   272,   273,   274,
       0,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,     0,   286,   287,   288,     0,     0,     0,     0,
       0,     0,     0,   290,   291,   292,   293,   294,   295,   296,
     297,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,     0,     0,     0,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,   352,     0,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,     0,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,     0,
       0,   378,     0,   380,   381,   382,   383,   384,     0,     0,
     385,   386,     0,   388,     0,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,   411,
     412,   413,   414,   415,     0,   416,   417,     0,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,   433,     0,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,     0,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,     0,   482,   483,     0,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
       0,   500,   501,   502,   503,   504,     0,   505,   506,   507,
     508,   509,     0,   511,   512,   513,   514,     0,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,     0,   530,   531,     0,   532,     0,   534,
     535,   536,   537,   538,     0,   539,   540,   541,     0,     0,
     542,   543,   544,   545,   546,     0,   547,   548,   549,   550,
     551,   552,   553,     0,     0,   554,   555,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,     0,
     566,     0,   568,   569,   570,   571,     0,     0,   572,     0,
       0,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,     0,   600,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4094,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,     0,   245,   246,   247,   248,   249,     0,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,   261,   262,   263,     0,   264,   265,   266,
     267,   268,     0,     0,     0,   270,   271,   272,   273,   274,
       0,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,     0,   286,   287,   288,     0,     0,     0,     0,
       0,     0,     0,   290,   291,   292,   293,   294,   295,   296,
     297,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,     0,     0,     0,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,   352,     0,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,     0,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,     0,
       0,   378,     0,   380,   381,   382,   383,   384,     0,     0,
     385,   386,     0,   388,     0,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,   411,
     412,   413,   414,   415,     0,   416,   417,     0,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,   433,     0,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,     0,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,     0,   482,   483,     0,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
       0,   500,   501,   502,   503,   504,     0,   505,   506,   507,
     508,   509,     0,   511,   512,   513,   514,     0,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,     0,   530,   531,     0,   532,     0,   534,
     535,   536,   537,   538,     0,   539,   540,   541,     0,     0,
     542,   543,   544,   545,   546,     0,   547,   548,   549,   550,
     551,   552,   553,     0,     0,   554,   555,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,     0,
     566,     0,   568,   569,   570,   571,     0,     0,   572,     0,
       0,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,     0,     0,     0,     0,  1062,  1502,   660,     0,
       0,   881,   720,     0,     0,     0,     0,  4549,   882,   883,
     884,   228,   229,   230,   231,   232,   233,   234,   235,  1632,
     236,   237,   238,  1633,  1634,  1635,  1636,  1637,  1638,  1639,
     239,   240,  1640,   241,   242,   243,   244,   245,   246,   247,
       0,  1063,   250,  1064,  1065,  1641,   253,   254,   255,   256,
     257,   258,  1642,  1643,   259,   260,  1066,  1067,   263,  1644,
     264,   265,   266,   267,     0,  1645,   269,  1646,   270,   271,
     272,   273,   274,   275,   276,   277,   278,  1647,   279,   280,
     281,   282,   283,   284,  1648,   285,   286,   287,   288,  1649,
    1650,  1651,   289,  1652,  1653,  1654,   290,   291,   292,   293,
     294,   295,  1068,  1069,   298,  1655,   299,  1656,   300,   301,
     302,   303,   304,   305,  1657,   306,   307,   308,   309,  1658,
    1659,   310,   311,  1070,   313,   314,  1660,   315,   316,   317,
    1661,   318,   319,   320,  1662,   321,   322,   323,   324,     0,
     326,   327,   328,     0,  1663,   330,  1664,   331,   332,  1071,
     334,  1665,   335,  1666,   336,   337,  1667,   338,   339,   340,
     341,   342,  1668,   343,     0,  1669,     0,   346,   347,  1670,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
    1671,   358,   359,   360,   361,   362,   363,   364,  1672,   365,
     366,     0,   368,   369,   370,   371,  1073,  1074,  1673,  1075,
    1674,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,  1675,  1676,   385,     0,   387,   388,   389,  1677,   390,
     391,   392,  1678,  1679,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
    1076,   410,  1077,   412,   413,   414,  3848,  1680,   416,   417,
     418,   419,  1681,     0,   421,  1078,   423,   424,   425,  1682,
     426,   427,  1683,  1684,  3849,   429,   430,  1685,  1686,   431,
     432,     0,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,  1687,   447,   448,     0,
     450,     0,   452,   453,   454,  1688,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,  1079,   466,   467,   468,
     469,  1689,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,  1690,   482,   483,   484,   485,   486,
     487,   488,   489,     0,   491,   492,   493,   494,   495,   496,
     497,   498,   499,  1691,   500,   501,   502,   503,   504,  1692,
     505,   506,  2170,   508,   509,   510,   511,   512,  1081,   514,
    1693,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   529,  1694,   530,   531,  1695,
     532,   533,   534,   535,   536,   537,   538,  1696,   539,  1082,
    1083,  1697,  1698,   542,   543,     0,   545,     0,  1699,   547,
     548,   549,   550,   551,   552,   553,  1700,  1701,   554,   555,
     556,   557,   558,  1702,  1703,   559,   560,   561,   562,   563,
       0,  1084,  1704,   566,   567,   568,   569,   570,   571,  1705,
    1706,   572,  1707,  1708,   573,   574,   575,   576,   577,   578,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   590,   591,   592,     0,     0,     0,   887,   888,   889,
       0,  3850,  3851,   892,   893,   894,   895,  1062,  1502,   660,
       0,     0,   881,   720,     0,     0,     0,     0,     0,   882,
     883,   884,   228,   229,   230,   231,   232,   233,   234,   235,
    1632,   236,   237,   238,  1633,  1634,  1635,  1636,  1637,  1638,
    1639,   239,   240,  1640,   241,   242,   243,   244,   245,   246,
     247,     0,  1063,   250,  1064,  1065,  1641,   253,   254,   255,
     256,   257,   258,  1642,  1643,   259,   260,  1066,  1067,   263,
    1644,   264,   265,   266,   267,     0,  1645,   269,  1646,   270,
     271,   272,   273,   274,   275,   276,   277,   278,  1647,   279,
     280,   281,   282,   283,   284,  1648,   285,   286,   287,   288,
    1649,  1650,  1651,   289,  1652,  1653,  1654,   290,   291,   292,
     293,   294,   295,  1068,  1069,   298,  1655,   299,  1656,   300,
     301,   302,   303,   304,   305,  1657,   306,   307,   308,   309,
    1658,  1659,   310,   311,  1070,   313,   314,  1660,   315,   316,
     317,  1661,   318,   319,   320,  1662,   321,   322,   323,   324,
       0,   326,   327,   328,     0,  1663,   330,  1664,   331,   332,
    1071,   334,  1665,   335,  1666,   336,   337,  1667,   338,   339,
     340,   341,   342,  1668,   343,     0,  1669,     0,   346,   347,
    1670,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,  1671,   358,   359,   360,   361,   362,   363,   364,  1672,
     365,   366,     0,   368,   369,   370,   371,  1073,  1074,  1673,
    1075,  1674,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,  1675,  1676,   385,     0,   387,   388,   389,  1677,
     390,   391,   392,  1678,  1679,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,  1076,   410,  1077,   412,   413,   414,  4270,  1680,   416,
     417,   418,   419,  1681,     0,   421,  1078,   423,   424,   425,
    1682,   426,   427,  1683,  1684,  3849,   429,   430,  1685,  1686,
     431,   432,     0,   434,   435,   436,     0,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,  1687,   447,   448,
       0,   450,     0,   452,   453,   454,  1688,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,  1079,   466,   467,
     468,   469,  1689,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,  1690,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   491,   492,   493,   494,   495,
     496,   497,   498,   499,  1691,   500,   501,   502,   503,   504,
    1692,   505,   506,  2170,   508,   509,   510,   511,   512,  1081,
     514,  1693,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,     0,   529,  1694,   530,   531,
    1695,   532,   533,   534,   535,   536,   537,   538,  1696,   539,
    1082,  1083,  1697,  1698,   542,   543,     0,   545,     0,  1699,
     547,   548,   549,   550,   551,   552,   553,  1700,  1701,   554,
     555,   556,   557,   558,  1702,  1703,   559,   560,   561,   562,
     563,     0,  1084,  1704,   566,   567,   568,   569,   570,   571,
    1705,  1706,   572,  1707,  1708,   573,   574,   575,   576,   577,
     578,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   590,   591,   592,     0,   600,     0,   887,   888,
     889,   881,  3850,  3851,   892,   893,   894,   895,   882,   883,
     884,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   885,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   886,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,     0,   530,   531,     0,
     532,     0,   534,   535,   536,   537,   538,     0,   539,   540,
     541,     0,     0,   542,   543,   544,   545,   546,     0,   547,
     548,   549,   550,   551,   552,   553,     0,     0,   554,   555,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,     0,   566,     0,   568,   569,   570,   571,     0,
       0,   572,     0,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   600,     0,   887,   888,   889,
     881,   890,   891,   892,   893,   894,   895,   882,   883,   884,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   236,
     237,   238,     0,     0,     0,     0,     0,     0,     0,   239,
     240,     0,   241,   242,   243,     0,   245,   246,   247,   248,
     249,     0,   251,   252,     0,   253,   254,   255,   256,   257,
     258,     0,     0,   259,   260,   261,   262,   263,     0,   264,
    1012,   266,   267,   268,     0,     0,     0,   270,   271,   272,
     273,   274,     0,   276,   277,   278,     0,   279,   280,   281,
     282,   283,   284,     0,     0,   286,   287,   288,     0,     0,
       0,     0,     0,     0,     0,   290,   291,   292,   293,   294,
     295,   296,   297,   298,     0,   299,     0,   300,   301,   302,
     303,   304,   305,     0,   306,   307,   308,   309,     0,     0,
     310,   311,   312,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,     0,   321,   322,   323,   324,   325,   326,
     327,   328,   329,     0,  1013,     0,   331,   332,   333,   334,
       0,   335,     0,   336,     0,     0,     0,   339,   340,   341,
     342,     0,   343,   344,     0,   345,   346,   347,     0,   348,
     349,   350,   351,   352,     0,   354,   355,   356,   357,     0,
     358,   359,   360,   361,   362,   363,   364,     0,   365,     0,
     367,   368,   369,   370,   371,   372,   373,     0,   374,     0,
     375,     0,     0,   378,     0,   380,   381,   382,   383,   384,
       0,     0,   385,   386,     0,   388,     0,     0,   390,   391,
     392,     0,     0,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       0,   411,   412,   413,   414,   415,     0,   416,   417,     0,
     419,     0,   420,   421,   422,   423,   424,   425,     0,   426,
     427,     0,     0,   428,   429,   430,     0,     0,   431,   432,
     433,     0,   435,     0,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,     0,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,     0,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,     0,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,     0,   530,   531,     0,   532,
       0,   534,   535,   536,   537,   538,     0,   539,   540,   541,
       0,     0,   542,   543,   544,   545,   546,     0,   547,   548,
     549,   550,   551,   552,   553,     0,     0,   554,   555,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,     0,   566,     0,   568,   569,   570,   571,     0,     0,
     572,     0,     0,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   600,     0,   887,   888,   889,   881,
     890,   891,   892,   893,   894,   895,   882,   883,   884,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,     0,   245,   246,   247,   248,   249,
       0,   251,   252,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   259,   260,   261,   262,   263,     0,   264,  1112,
     266,   267,   268,     0,     0,     0,   270,   271,   272,   273,
     274,     0,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,     0,   286,   287,   288,     0,     0,     0,
       0,     0,     0,     0,   290,   291,   292,   293,   294,   295,
     296,   297,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,   325,   326,   327,
     328,   329,     0,  1113,     0,   331,   332,   333,   334,     0,
     335,     0,   336,     0,     0,     0,   339,   340,   341,   342,
       0,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,  1114,     0,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
       0,     0,   378,     0,   380,   381,   382,   383,   384,     0,
       0,   385,   386,     0,   388,     0,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
     411,   412,   413,   414,   415,     0,   416,   417,     0,   419,
       0,   420,   421,   422,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,     0,   431,   432,   433,
       0,   435,     0,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,     0,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,     0,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,     0,   511,   512,   513,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,     0,   530,   531,     0,   532,     0,
     534,   535,   536,   537,   538,     0,   539,   540,   541,     0,
       0,   542,   543,   544,   545,   546,     0,   547,   548,   549,
     550,   551,   552,   553,     0,     0,   554,   555,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
       0,   566,     0,   568,   569,   570,   571,     0,     0,   572,
       0,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   600,     0,   887,   888,   889,   881,   890,
     891,   892,   893,   894,   895,   882,   883,   884,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,     0,   245,   246,   247,   248,   249,     0,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,   261,   262,   263,     0,   264,  1731,   266,
     267,   268,     0,     0,     0,   270,   271,   272,   273,   274,
       0,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,     0,   286,   287,   288,     0,     0,     0,     0,
       0,     0,     0,   290,   291,   292,   293,   294,   295,   296,
     297,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,  1732,     0,   331,   332,   333,   334,     0,   335,
       0,   336,     0,     0,     0,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,   352,     0,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,     0,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,     0,
       0,   378,     0,   380,   381,   382,   383,   384,     0,     0,
     385,   386,     0,   388,     0,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,   411,
     412,   413,   414,   415,     0,   416,   417,     0,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,   433,     0,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,     0,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,     0,   482,   483,     0,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
       0,   500,   501,   502,   503,   504,     0,   505,   506,   507,
     508,   509,     0,   511,   512,   513,   514,     0,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,     0,   530,   531,     0,   532,     0,   534,
     535,   536,   537,   538,     0,   539,   540,   541,     0,     0,
     542,   543,   544,   545,   546,     0,   547,   548,   549,   550,
     551,   552,   553,     0,     0,   554,   555,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,     0,
     566,     0,   568,   569,   570,   571,     0,     0,   572,     0,
       0,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   600,     0,   887,   888,   889,   881,   890,   891,
     892,   893,   894,   895,   882,   883,   884,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,     0,   530,   531,     0,   532,     0,   534,   535,
     536,   537,   538,     0,   539,   540,   541,     0,     0,   542,
     543,   544,   545,   546,     0,   547,   548,   549,   550,   551,
     552,   553,     0,     0,   554,   555,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,     0,   566,
       0,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   600,     0,   887,   888,   889,   881,   890,   891,   892,
     893,   894,   895,   882,   883,   884,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,     0,   245,   246,   247,   248,   249,     0,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,     0,   264,  2999,   266,   267,   268,
       0,     0,     0,   270,   271,   272,   273,   274,     0,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
       0,   286,   287,   288,     0,     0,     0,     0,     0,     0,
       0,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
    3000,     0,   331,   332,   333,   334,     0,   335,     0,   336,
       0,     0,     0,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,   352,
       0,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,     0,     0,   378,
       0,   380,   381,   382,   383,   384,     0,     0,   385,   386,
       0,   388,     0,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,   411,   412,   413,
     414,   415,     0,   416,   417,     0,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,     0,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,     0,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
       0,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,     0,   530,   531,     0,   532,     0,   534,   535,   536,
     537,   538,     0,   539,   540,   541,     0,     0,   542,   543,
     544,   545,   546,     0,   547,   548,   549,   550,   551,   552,
     553,     0,     0,   554,   555,   556,   557,   558,     0,     0,
     559,   560,   561,   562,   563,   564,   565,     0,   566,     0,
     568,   569,   570,   571,     0,     0,   572,     0,     0,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     600,     0,   887,   888,   889,   881,   890,   891,   892,   893,
     894,   895,   882,   883,   884,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
       0,   245,   246,   247,   248,   249,     0,   251,   252,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
     261,   262,   263,     0,   264,   265,   266,   267,   268,     0,
       0,     0,   270,   271,   272,   273,   274,     0,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,     0,
     286,   287,   288,     0,     0,     0,     0,     0,     0,     0,
     290,   291,   292,   293,   294,   295,   296,   297,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,     0,
       0,     0,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,   352,     0,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,     0,     0,   378,     0,
     380,   381,   382,   383,   384,     0,     0,   385,   386,     0,
     388,     0,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,   411,   412,   413,   414,
     415,     0,   416,   417,     0,   419,     0,   420,   421,   422,
     423,   424,   425,     0,   426,   427,     0,     0,  4838,   429,
     430,     0,     0,   431,   432,   433,     0,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
       0,   530,   531,     0,   532,     0,   534,   535,   536,   537,
     538,     0,   539,   540,   541,     0,     0,   542,   543,   544,
     545,   546,     0,   547,   548,   549,   550,   551,   552,   553,
       0,     0,   554,   555,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,     0,   566,     0,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,  1631,     0,
       0,   887,   888,   889,     0,   890,   891,   892,   893,   894,
     895,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,  1632,   236,   237,   238,  1633,  1634,  1635,  1636,  1637,
    1638,  1639,   239,   240,  1640,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,  1641,   253,   254,
     255,   256,   257,   258,  1642,  1643,   259,   260,   261,   262,
     263,  1644,   264,   265,   266,   267,   268,  1645,   269,  1646,
     270,   271,   272,   273,   274,   275,   276,   277,   278,  1647,
     279,   280,   281,   282,   283,   284,  1648,   285,   286,   287,
     288,  1649,  1650,  1651,   289,  1652,  1653,  1654,   290,   291,
     292,   293,   294,   295,   296,   297,   298,  1655,   299,  1656,
     300,   301,   302,   303,   304,   305,  1657,   306,   307,   308,
     309,  1658,  1659,   310,   311,   312,   313,   314,  1660,   315,
     316,   317,  1661,   318,   319,   320,  1662,   321,   322,   323,
     324,   325,   326,   327,   328,   329,  1663,   330,  1664,   331,
     332,   333,   334,  1665,   335,  1666,   336,   337,  1667,   338,
     339,   340,   341,   342,  1668,   343,   344,  1669,   345,   346,
     347,  1670,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,  1671,   358,   359,   360,   361,   362,   363,   364,
    1672,   365,   366,   367,   368,   369,   370,   371,   372,   373,
    1673,   374,  1674,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,  1675,  1676,   385,   386,   387,   388,   389,
    1677,   390,   391,   392,  1678,  1679,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,  1680,
     416,   417,   418,   419,  1681,   420,   421,   422,   423,   424,
     425,  1682,   426,   427,  1683,  1684,   428,   429,   430,  1685,
    1686,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,  1687,   447,
     448,   449,   450,   451,   452,   453,   454,  1688,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,  1689,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,  1690,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,  1691,   500,   501,   502,   503,
     504,  1692,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,  1693,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,  1694,   530,
     531,  1695,   532,   533,   534,   535,   536,   537,   538,  1696,
     539,   540,   541,  1697,  1698,   542,   543,   544,   545,   546,
    1699,   547,   548,   549,   550,   551,   552,   553,  1700,  1701,
     554,   555,   556,   557,   558,  1702,  1703,   559,   560,   561,
     562,   563,   564,   565,  1704,   566,   567,   568,   569,   570,
     571,  1705,  1706,   572,  1707,  1708,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   600,     0,     0,     0,
       0,     0,     0,     0,     0,  1709,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,     0,   530,   531,     0,
     532,     0,   534,   535,   536,   537,   538,     0,   539,   540,
     541,     0,     0,   542,   543,   544,   545,   546,     0,   547,
     548,   549,   550,   551,   552,   553,     0,     0,   554,   555,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,     0,   566,     0,   568,   569,   570,   571,     0,
       0,   572,     0,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   600,     0,     0,     0,     0,     0,
       0,     0,     0,   817,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,     0,   245,   246,   247,   248,   249,
       0,   251,   252,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   259,   260,   261,   262,   263,     0,   264,   265,
     266,   267,   268,     0,     0,     0,   270,   271,   272,   273,
     274,     0,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,     0,   286,   287,   288,     0,     0,     0,
       0,     0,     0,     0,   290,   291,   292,   293,   294,   295,
     296,   297,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,   325,   326,   327,
     328,   329,     0,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,     0,     0,     0,   339,   340,   341,   342,
       0,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,   352,     0,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
       0,     0,   378,     0,   380,   381,   382,   383,   384,     0,
       0,   385,   386,     0,   388,     0,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
     411,   412,   413,   414,   415,     0,   416,   417,     0,   419,
       0,   420,   421,   422,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,     0,   431,   432,   433,
       0,   435,     0,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,     0,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,     0,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,     0,   511,   512,   513,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,     0,   530,   531,     0,   532,     0,
     534,   535,   536,   537,   538,     0,   539,   540,   541,     0,
       0,   542,   543,   544,   545,   546,     0,   547,   548,   549,
     550,   551,   552,   553,     0,     0,   554,   555,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
       0,   566,     0,   568,   569,   570,   571,     0,     0,   572,
       0,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,  1062,     0,     0,     0,     0,     0,     0,     0,
       0,  5230,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,   244,   245,   246,   247,     0,  1063,   250,  1064,
    1065,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,  1066,  1067,   263,     0,   264,   265,   266,   267,
       0,     0,   269,     0,   270,   271,   272,   273,   274,   275,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,   285,   286,   287,   288,     0,     0,     0,   289,     0,
       0,     0,   290,   291,   292,   293,   294,   295,  1068,  1069,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,  1070,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,     0,   326,   327,   328,     0,
       0,   330,     0,   331,   332,  1071,   334,     0,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
       0,     0,     0,   346,   347,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,  2166,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,  2167,   368,   369,
     370,   371,  1073,  1074,     0,  1075,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
       0,   387,   388,   389,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,  1076,   410,  1077,   412,
     413,   414,     0,     0,   416,   417,   418,   419,     0,     0,
     421,  1078,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,  2168,   431,   432,  2169,   434,   435,
     436,     0,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,     0,   450,     0,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,  1079,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,     0,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,  2170,   508,
     509,   510,   511,   512,  1081,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   529,     0,   530,   531,     0,   532,   533,   534,   535,
     536,   537,   538,     0,   539,  1082,  1083,     0,     0,   542,
     543,     0,   545,     0,     0,   547,   548,   549,   550,   551,
     552,   553,     0,     0,   554,   555,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,     0,  1084,  2171,   566,
     567,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,  3343,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   590,   591,   592,
       0,   228,   229,   230,   231,   232,   233,   234,   235,  2172,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,   244,   245,   246,   247,
       0,  1063,   250,  1064,  1065,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,  1066,  1067,   263,     0,
     264,   265,   266,   267,     0,     0,   269,     0,   270,   271,
     272,   273,   274,   275,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,   285,   286,   287,   288,     0,
       0,     0,   289,     0,     0,     0,   290,   291,   292,   293,
     294,   295,  1068,  1069,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,  1070,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,     0,
     326,   327,   328,     0,     0,   330,     0,   331,   332,  1071,
     334,     0,   335,     0,   336,   337,     0,   338,   339,   340,
     341,   342,     0,   343,     0,     0,     0,   346,   347,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
    2166,   358,   359,   360,   361,   362,   363,   364,     0,   365,
     366,  2167,   368,   369,   370,   371,  1073,  1074,     0,  1075,
       0,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,     0,     0,   385,     0,   387,   388,   389,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
    1076,   410,  1077,   412,   413,   414,     0,     0,   416,   417,
     418,   419,     0,     0,   421,  1078,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,  2168,   431,
     432,  2169,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,     0,   447,   448,     0,
     450,     0,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,  1079,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,     0,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,  2170,   508,   509,   510,   511,   512,  1081,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   529,     0,   530,   531,     0,
     532,   533,   534,   535,   536,   537,   538,     0,   539,  1082,
    1083,     0,     0,   542,   543,     0,   545,     0,     0,   547,
     548,   549,   550,   551,   552,   553,     0,     0,   554,   555,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
       0,  1084,  2171,   566,   567,   568,   569,   570,   571,     0,
       0,   572,     0,     0,   573,   574,   575,   576,   577,   578,
     867,  1502,   660,     0,     0,     0,   720,     0,     0,     0,
       0,   590,   591,   592,     0,   228,   229,   230,   231,   232,
     233,   234,   235,  2172,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
     261,   262,   263,     0,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,   275,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,   285,
     286,   287,   288,     0,     0,     0,   289,     0,     0,     0,
     290,   291,   292,   293,   294,   295,   296,   297,   298,  2094,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,   325,   326,   327,   328,   329,  1914,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,   337,
       0,   338,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,     0,     0,   385,   386,   387,
     388,   389,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,     0,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,   425,     0,   426,   427,  1915,     0,   428,   429,
     430,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
       0,   530,   531,     0,   532,   533,   534,   535,   536,   537,
     538,     0,   539,   540,   541,     0,     0,   542,   543,   544,
     545,   546,  1916,   547,   548,   549,   550,   551,   552,   553,
       0,     0,   554,   555,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,     0,   566,   567,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   867,  1502,
     660,     0,     0,     0,   720,  1503,  1504,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,   275,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,   285,   286,   287,
     288,     0,     0,     0,   289,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,  2099,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,  1914,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,   386,   387,   388,   389,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,     0,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,  1915,     0,   428,   429,   430,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,     0,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,     0,   530,
     531,     0,   532,   533,   534,   535,   536,   537,   538,     0,
     539,   540,   541,     0,     0,   542,   543,   544,   545,   546,
    1916,   547,   548,   549,   550,   551,   552,   553,     0,     0,
     554,   555,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,     0,   566,   567,   568,   569,   570,
     571,     0,     0,   572,     0,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   867,  1502,   660,     0,
       0,     0,   720,  1503,  1504,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,   275,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,   285,   286,   287,   288,     0,
       0,     0,   289,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,  1914,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,   337,     0,   338,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
     366,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,     0,     0,   385,   386,   387,   388,   389,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,     0,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,  1915,     0,   428,   429,   430,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,     0,   530,   531,     0,
     532,   533,   534,   535,   536,   537,   538,     0,   539,   540,
     541,     0,     0,   542,   543,   544,   545,   546,  1916,   547,
     548,   549,   550,   551,   552,   553,     0,     0,   554,   555,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,     0,   566,   567,   568,   569,   570,   571,     0,
       0,   572,     0,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   867,     0,   660,     0,     0,     0,
     720,  1503,  1504,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   259,   260,   261,   262,   263,     0,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,   275,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,   285,   286,   287,   288,     0,     0,     0,
     289,     0,     0,     0,   290,   291,   292,   293,   294,   295,
     296,   297,   298,  2953,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,   325,   326,   327,
     328,   329,  1914,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,   337,     0,   338,   339,   340,   341,   342,
       0,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,   366,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,     0,
       0,   385,   386,   387,   388,   389,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,     0,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,   425,     0,   426,   427,
    1915,     0,   428,   429,   430,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,     0,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,     0,   530,   531,     0,   532,   533,
     534,   535,   536,   537,   538,     0,   539,   540,   541,     0,
       0,   542,   543,   544,   545,   546,  1916,   547,   548,   549,
     550,   551,   552,   553,     0,     0,   554,   555,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,   568,   569,   570,   571,     0,     0,   572,
       0,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   600,     0,     0,     0,     0,     0,   720,   732,
     733,     0,     0,     0,     0,     0,     0,   228,   721,   230,
     231,   232,   233,   234,   235,   722,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   723,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   724,   333,   334,     0,   335,     0,
     725,     0,   726,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,     0,   354,   355,   356,   357,   727,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   728,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     729,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   730,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   731,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,     0,   530,   531,     0,   532,     0,   534,   535,
     536,   537,   538,     0,   539,   540,   541,     0,     0,   542,
     543,   544,   545,   546,     0,   547,   548,   549,   550,   551,
     552,   553,     0,     0,   554,   555,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,     0,   566,
       0,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
    1631,  5444,   660,     0,     0,     0,   720,   732,   733,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,  1632,   236,   237,   238,  1633,  1634,  1635,
    1636,  1637,  1638,  1639,   239,   240,  1640,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,  1641,
     253,   254,   255,   256,   257,   258,  1642,  1643,   259,   260,
     261,   262,   263,  1644,   264,   265,   266,   267,   268,  1645,
     269,  1646,   270,   271,   272,   273,   274,   275,   276,   277,
     278,  1647,   279,   280,   281,   282,   283,   284,  1648,   285,
     286,   287,   288,  1649,  1650,  1651,   289,  1652,  1653,  1654,
     290,   291,   292,   293,   294,   295,   296,   297,   298,  1655,
     299,  1656,   300,   301,   302,   303,   304,   305,  1657,   306,
     307,   308,   309,  1658,  1659,   310,   311,   312,   313,   314,
    1660,   315,   316,   317,  1661,   318,   319,   320,  1662,   321,
     322,   323,   324,   325,   326,   327,   328,   329,  1663,   330,
    1664,   331,   332,   333,   334,  1665,   335,  1666,   336,   337,
    1667,   338,   339,   340,   341,   342,  1668,   343,   344,  1669,
     345,   346,   347,  1670,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,  1671,   358,   359,   360,   361,   362,
     363,   364,  1672,   365,   366,   367,   368,   369,   370,   371,
     372,   373,  1673,   374,  1674,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,  1675,  1676,   385,   386,   387,
     388,   389,  1677,   390,   391,   392,  1678,  1679,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,  1680,   416,   417,   418,   419,  1681,   420,   421,   422,
     423,   424,   425,  1682,   426,   427,  1683,  1684,   428,   429,
     430,  1685,  1686,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
    1687,   447,   448,   449,   450,   451,   452,   453,   454,  1688,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,  1689,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,  1690,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,  1691,   500,   501,
     502,   503,   504,  1692,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,  1693,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
    1694,   530,   531,  1695,   532,   533,   534,   535,   536,   537,
     538,  1696,   539,   540,   541,  1697,  1698,   542,   543,   544,
     545,   546,  1699,   547,   548,   549,   550,   551,   552,   553,
    1700,  1701,   554,   555,   556,   557,   558,  1702,  1703,   559,
     560,   561,   562,   563,   564,   565,  1704,   566,   567,   568,
     569,   570,   571,  1705,  1706,   572,  1707,  1708,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,  1631,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,  1632,   236,   237,   238,  1633,  1634,  1635,  1636,  1637,
    1638,  1639,   239,   240,  1640,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,  1641,   253,   254,
     255,   256,   257,   258,  1642,  1643,   259,   260,   261,   262,
     263,  1644,   264,   265,   266,   267,   268,  1645,   269,  1646,
     270,   271,   272,   273,   274,   275,   276,   277,   278,  1647,
     279,   280,   281,   282,   283,   284,  1648,   285,   286,   287,
     288,  1649,  1650,  1651,   289,  1652,  1653,  1654,   290,   291,
     292,   293,   294,   295,   296,   297,   298,  1655,   299,  1656,
     300,   301,   302,   303,   304,   305,  1657,   306,   307,   308,
     309,  1658,  1659,   310,   311,   312,   313,   314,  1660,   315,
     316,   317,  1661,   318,   319,   320,  1662,   321,   322,   323,
     324,   325,   326,   327,   328,   329,  1663,   330,  1664,   331,
     332,   333,   334,  1665,   335,  1666,   336,   337,  1667,   338,
     339,   340,   341,   342,  1668,   343,   344,  1669,   345,   346,
     347,  1670,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,  1671,   358,   359,   360,   361,   362,   363,   364,
    1672,   365,   366,   367,   368,   369,   370,   371,   372,   373,
    1673,   374,  1674,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,  1675,  1676,   385,   386,   387,   388,   389,
    1677,   390,   391,   392,  1678,  1679,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,  1680,
     416,   417,   418,   419,  1681,   420,   421,   422,   423,   424,
     425,  1682,   426,   427,  1683,  1684,   428,   429,   430,  1685,
    1686,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,  1687,   447,
     448,   449,   450,   451,   452,   453,   454,  1688,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,  1689,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,  1690,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,  1691,   500,   501,   502,   503,
     504,  1692,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,  1693,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,  1694,   530,
     531,  1695,   532,   533,   534,   535,   536,   537,   538,  1696,
     539,   540,   541,  1697,  1698,   542,   543,   544,   545,   546,
    1699,   547,   548,   549,   550,   551,   552,   553,  1700,  1701,
     554,   555,   556,   557,   558,  1702,  1703,   559,   560,   561,
     562,   563,   564,   565,  1704,   566,   567,   568,   569,   570,
     571,  1705,  1706,   572,  1707,  1708,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,  1631,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,  3071,   233,   234,   235,  1632,
     236,   237,   238,  1633,  1634,  1635,  1636,  1637,  1638,  1639,
     239,   240,  1640,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,  1641,   253,   254,   255,   256,
     257,   258,  1642,  1643,   259,   260,   261,   262,   263,  1644,
     264,   265,   266,   267,   268,  1645,   269,  1646,   270,   271,
     272,   273,   274,   275,   276,   277,   278,  1647,   279,   280,
     281,   282,   283,   284,  1648,   285,   286,   287,   288,  1649,
    1650,  1651,   289,  1652,  1653,  1654,   290,   291,   292,   293,
     294,   295,   296,   297,   298,  1655,   299,  1656,   300,   301,
     302,   303,   304,   305,  1657,   306,   307,   308,   309,  1658,
    1659,   310,   311,   312,  3072,   314,  1660,   315,   316,   317,
    1661,   318,   319,   320,  1662,   321,   322,   323,   324,   325,
     326,   327,   328,   329,  1663,   330,  1664,   331,   332,   333,
     334,  1665,   335,  1666,   336,   337,  1667,   338,   339,   340,
     341,   342,  1668,   343,   344,  1669,   345,   346,   347,  1670,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
    1671,   358,   359,   360,   361,   362,   363,   364,  1672,   365,
     366,   367,   368,   369,   370,   371,   372,   373,  1673,   374,
    1674,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,  1675,  1676,   385,   386,   387,   388,   389,  1677,   390,
     391,   392,  1678,  1679,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,  1680,   416,   417,
     418,   419,  1681,   420,   421,   422,   423,   424,   425,  1682,
     426,   427,  1683,  1684,   428,   429,   430,  1685,  1686,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,  1687,   447,   448,   449,
     450,   451,   452,   453,   454,  1688,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,  1689,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,  1690,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,  1691,   500,   501,   502,   503,   504,  1692,
    3073,   506,   507,   508,   509,   510,   511,   512,   513,   514,
    1693,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,  1694,   530,   531,  1695,
     532,   533,   534,   535,   536,   537,   538,  1696,   539,   540,
     541,  1697,  1698,   542,   543,   544,   545,   546,  1699,   547,
     548,   549,   550,   551,   552,   553,  1700,  1701,   554,   555,
     556,   557,   558,  1702,  1703,   559,   560,   561,   562,   563,
     564,   565,  1704,   566,   567,   568,   569,   570,   571,  1705,
    1706,   572,  1707,  1708,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   227,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,     0,   253,   254,   255,   256,   257,   258,
       0,  1230,   259,   260,   261,   262,   263,     0,   264,   265,
     266,   267,  1233,     0,  1234,     0,   270,   271,   272,   273,
     274,   275,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,   285,   286,   287,   288,  1235,  1236,  1237,
    1238,  1239,  1240,  1241,   290,   291,   292,   293,   294,   295,
     296,   297,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,   325,   326,   327,
     328,  1246,     0,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,   337,     0,   338,   339,   340,   341,   342,
       0,   343,  1249,     0,   345,   346,   347,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,   366,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,     0,
       0,   385,  1254,   387,   388,   389,     0,   390,   391,   392,
    1255,  1256,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,     0,   416,   417,   418,   419,
       0,  1261,   421,   422,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,     0,   431,   432,   433,
     434,   435,   436,  1264,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,     0,   447,   448,  1265,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,  1268,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,  1270,   529,     0,   530,   531,     0,   532,   533,
     534,   535,   536,   537,   538,     0,   539,   540,   541,     0,
       0,   542,   543,  1273,   545,  1274,     0,   547,   548,   549,
     550,   551,   552,   553,     0,     0,   554,   555,   556,   557,
     558,  1277,     0,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,   568,   569,   570,   571,     0,     0,   572,
       0,     0,   573,   574,   575,   576,   577,   578,   579,  1279,
    1280,  1281,  1282,   584,  1283,  1284,  1285,  1286,   589,   590,
     591,   592,   867,     0,   660,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,   275,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,   285,   286,   287,   288,     0,     0,     0,   289,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
    1914,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
     386,   387,   388,   389,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,     0,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,  1915,     0,
     428,   429,   430,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,     0,   530,   531,     0,   532,   533,   534,   535,
     536,   537,   538,     0,   539,   540,   541,     0,     0,   542,
     543,   544,   545,   546,  1916,   547,   548,   549,   550,   551,
     552,   553,     0,     0,   554,   555,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     867,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,   905,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
     261,   262,   263,     0,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,   275,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,   285,
     286,   287,   288,     0,     0,     0,   289,     0,     0,   868,
     290,   291,   292,   293,   294,   295,   296,   297,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,   337,
       0,   338,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,     0,     0,   385,   386,   387,
     388,   389,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,     0,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   869,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
       0,   530,   531,     0,   532,   533,   534,   535,   536,   537,
     538,     0,   539,   540,   541,     0,     0,   542,   543,   544,
     545,   546,     0,   547,   548,   549,   550,   551,   552,   553,
       0,     0,   554,   555,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,     0,   566,   567,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   867,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,   925,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,   275,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,   285,   286,   287,
     288,     0,     0,     0,   289,     0,     0,   868,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,   386,   387,   388,   389,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     926,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,     0,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,     0,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   869,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,     0,   530,
     531,     0,   532,   533,   534,   535,   536,   537,   538,     0,
     539,   540,   541,     0,     0,   542,   543,   544,   545,   546,
       0,   547,   548,   549,   550,   551,   552,   553,     0,     0,
     554,   555,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,     0,   566,   567,   568,   569,   570,
     571,     0,     0,   572,     0,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   867,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,   275,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,   285,   286,   287,   288,     0,
       0,     0,   289,     0,     0,   868,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,   337,     0,   338,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
     366,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,     0,     0,   385,   386,   387,   388,   389,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,     0,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   869,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,     0,   530,   531,     0,
     532,   533,   534,   535,   536,   537,   538,     0,   539,   540,
     541,     0,     0,   542,   543,   544,   545,   546,     0,   547,
     548,   549,   550,   551,   552,   553,     0,     0,   554,   555,
     556,   557,   558,  2431,     0,   559,   560,   561,   562,   563,
     564,   565,     0,   566,   567,   568,   569,   570,   571,     0,
       0,   572,     0,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   867,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   259,   260,   261,   262,   263,     0,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,   275,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,   285,   286,   287,   288,     0,     0,     0,
     289,     0,     0,   868,   290,   291,   292,   293,   294,   295,
     296,   297,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,   325,   326,   327,
     328,   329,     0,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,   337,     0,   338,   339,   340,   341,   342,
       0,   343,   344,  3421,   345,   346,   347,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,   366,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,     0,
       0,   385,   386,   387,   388,   389,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,     0,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,     0,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   869,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,     0,   530,   531,     0,   532,   533,
     534,   535,   536,   537,   538,     0,   539,   540,   541,     0,
       0,   542,   543,   544,   545,   546,     0,   547,   548,   549,
     550,   551,   552,   553,     0,     0,   554,   555,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,   568,   569,   570,   571,     0,     0,   572,
       0,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   867,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,   275,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,   285,   286,   287,   288,     0,     0,     0,   289,     0,
       0,   868,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
     386,   387,   388,   389,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,     0,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   869,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,     0,   530,   531,     0,   532,   533,   534,   535,
     536,   537,   538,     0,   539,   540,   541,     0,     0,   542,
     543,   544,   545,   546,     0,   547,   548,   549,   550,   551,
     552,   553,     0,     0,   554,   555,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     867,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
     261,   262,   263,     0,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,   275,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,   285,
     286,   287,   288,     0,     0,     0,   289,     0,     0,   868,
     290,   291,   292,   293,   294,   295,   296,   297,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,   337,
       0,   338,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,     0,     0,   385,   386,   387,
     388,   389,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,  1031,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,     0,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   869,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
       0,   530,   531,     0,   532,   533,   534,   535,   536,   537,
     538,     0,   539,   540,   541,     0,     0,   542,   543,   544,
     545,   546,     0,   547,   548,   549,   550,   551,   552,   553,
       0,     0,   554,   555,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,     0,   566,   567,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   867,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,   275,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,   285,   286,   287,
     288,     0,     0,     0,   289,     0,     0,   868,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,  1107,   353,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,   386,   387,   388,   389,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,     0,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,     0,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   869,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,     0,   530,
     531,     0,   532,   533,   534,   535,   536,   537,   538,     0,
     539,   540,   541,     0,     0,   542,   543,   544,   545,   546,
       0,   547,   548,   549,   550,   551,   552,   553,     0,     0,
     554,   555,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,     0,   566,   567,   568,   569,   570,
     571,     0,     0,   572,     0,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   867,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,   275,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,   285,   286,   287,   288,     0,
       0,     0,   289,     0,     0,   868,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,   337,     0,   338,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,  1120,   353,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
     366,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,     0,     0,   385,   386,   387,   388,   389,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,     0,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   869,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,     0,   530,   531,     0,
     532,   533,   534,   535,   536,   537,   538,     0,   539,   540,
     541,     0,     0,   542,   543,   544,   545,   546,     0,   547,
     548,   549,   550,   551,   552,   553,     0,     0,   554,   555,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,     0,   566,   567,   568,   569,   570,   571,     0,
       0,   572,     0,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   867,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   259,   260,   261,   262,   263,     0,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,   275,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,   285,   286,   287,   288,     0,     0,     0,
     289,     0,     0,   868,   290,   291,   292,   293,   294,   295,
     296,   297,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,   325,   326,   327,
     328,   329,     0,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,   337,     0,   338,   339,   340,   341,   342,
       0,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,  1132,   353,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,   366,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,     0,
       0,   385,   386,   387,   388,   389,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,  1133,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,     0,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,     0,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   869,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,     0,   530,   531,     0,   532,   533,
     534,   535,   536,   537,   538,     0,   539,   540,   541,     0,
       0,   542,   543,   544,   545,   546,     0,   547,   548,   549,
     550,   551,   552,   553,     0,     0,   554,   555,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,   568,   569,   570,   571,     0,     0,   572,
       0,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   867,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     3,
       4,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,   275,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,   285,   286,   287,   288,     0,     0,     0,   289,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
     386,   387,   388,   389,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,     0,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,     0,   530,   531,     0,   532,   533,   534,   535,
     536,   537,   538,     0,   539,   540,   541,     0,     0,   542,
     543,   544,   545,   546,     0,   547,   548,   549,   550,   551,
     552,   553,     0,     0,   554,   555,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     867,     0,   660,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
     261,   262,   263,     0,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,   275,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,   285,
     286,   287,   288,     0,     0,     0,   289,     0,     0,     0,
     290,   291,   292,   293,   294,   295,   296,   297,   298,  2079,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,   337,
       0,   338,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,     0,     0,   385,   386,   387,
     388,   389,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,     0,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
       0,   530,   531,     0,   532,   533,   534,   535,   536,   537,
     538,     0,   539,   540,   541,     0,     0,   542,   543,   544,
     545,   546,     0,   547,   548,   549,   550,   551,   552,   553,
       0,     0,   554,   555,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,     0,   566,   567,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   867,     0,
     660,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,   275,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,   285,   286,   287,
     288,     0,     0,     0,   289,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,   386,   387,   388,   389,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,     0,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,     0,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,     0,   530,
     531,     0,   532,   533,   534,   535,   536,   537,   538,     0,
     539,   540,   541,     0,     0,   542,   543,   544,   545,   546,
       0,   547,   548,   549,   550,   551,   552,   553,     0,     0,
     554,   555,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,     0,   566,   567,   568,   569,   570,
     571,     0,     0,   572,     0,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   867,     0,   660,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,   275,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,   285,   286,   287,   288,     0,
       0,     0,   289,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,   337,     0,   338,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,  1900,   353,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
     366,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,     0,     0,   385,   386,   387,   388,   389,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,     0,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,     0,   530,   531,     0,
     532,   533,   534,   535,   536,   537,   538,     0,   539,   540,
     541,     0,     0,   542,   543,   544,   545,   546,     0,   547,
     548,   549,   550,   551,   552,   553,     0,     0,   554,   555,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,     0,   566,   567,   568,   569,   570,   571,     0,
       0,   572,     0,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   227,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   259,   260,   261,   262,   263,     0,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,   275,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,   285,   286,   287,   288,     0,     0,     0,
     289,     0,     0,     0,   290,   291,   292,   293,   294,   295,
     296,   297,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,   325,   326,   327,
     328,   329,     0,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,   337,     0,   338,   339,   340,   341,   342,
       0,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,   366,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,     0,
       0,   385,   386,   387,   388,   389,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,     0,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,     0,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,     0,   530,   531,     0,   532,   533,
     534,   535,   536,   537,   538,     0,   539,   540,   541,     0,
       0,   542,   543,   544,   545,   546,     0,   547,   548,   549,
     550,   551,   552,   553,     0,     0,   554,   555,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,   568,   569,   570,   571,     0,     0,   572,
       0,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   227,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,   275,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,   285,   286,   287,   288,     0,     0,     0,   289,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
    1055,   353,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
     386,   387,   388,   389,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,     0,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,     0,   530,   531,     0,   532,   533,   534,   535,
     536,   537,   538,     0,   539,   540,   541,     0,     0,   542,
     543,   544,   545,   546,     0,   547,   548,   549,   550,   551,
     552,   553,     0,     0,   554,   555,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     227,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
     261,   262,   263,     0,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,   275,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,   285,
     286,   287,   288,     0,     0,     0,   289,     0,     0,     0,
     290,   291,   292,   293,   294,   295,   296,   297,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,   337,
       0,   338,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,  1104,   353,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,     0,     0,   385,   386,   387,
     388,   389,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,     0,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
       0,   530,   531,     0,   532,   533,   534,   535,   536,   537,
     538,     0,   539,   540,   541,     0,     0,   542,   543,   544,
     545,   546,     0,   547,   548,   549,   550,   551,   552,   553,
       0,     0,   554,   555,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,     0,   566,   567,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   227,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,   275,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,   285,   286,   287,
     288,     0,     0,     0,   289,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,  1118,   353,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,   386,   387,   388,   389,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,     0,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,     0,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,     0,   530,
     531,     0,   532,   533,   534,   535,   536,   537,   538,     0,
     539,   540,   541,     0,     0,   542,   543,   544,   545,   546,
       0,   547,   548,   549,   550,   551,   552,   553,     0,     0,
     554,   555,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,     0,   566,   567,   568,   569,   570,
     571,     0,     0,   572,     0,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   227,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,   275,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,   285,   286,   287,   288,     0,
       0,     0,   289,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,   337,     0,   338,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,  1122,   353,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
     366,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,     0,     0,   385,   386,   387,   388,   389,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,     0,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,     0,   530,   531,     0,
     532,   533,   534,   535,   536,   537,   538,     0,   539,   540,
     541,     0,     0,   542,   543,   544,   545,   546,     0,   547,
     548,   549,   550,   551,   552,   553,     0,     0,   554,   555,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,     0,   566,   567,   568,   569,   570,   571,     0,
       0,   572,     0,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   867,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   259,   260,   261,   262,   263,     0,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,   275,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,   285,   286,   287,   288,     0,     0,     0,
     289,     0,     0,     0,   290,   291,   292,   293,   294,   295,
     296,   297,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,   325,   326,   327,
     328,   329,     0,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,   337,     0,   338,   339,   340,   341,   342,
       0,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,   366,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,     0,
       0,   385,   386,   387,   388,   389,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,     0,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,     0,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,     0,   530,   531,     0,   532,   533,
     534,   535,   536,   537,   538,     0,   539,   540,   541,     0,
       0,   542,   543,   544,   545,   546,     0,   547,   548,   549,
     550,   551,   552,   553,     0,     0,   554,   555,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,   568,   569,   570,   571,     0,     0,   572,
       0,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   600,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,  2206,   264,   265,   266,   267,
     268,     0,     0,  2286,   270,   271,   272,   273,   274,     0,
     276,   277,   278,  2207,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,  2287,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,  2209,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
    2288,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,   449,   450,   451,   452,   453,
     454,  2210,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,     0,   530,   531,     0,   532,     0,   534,   535,
     536,   537,   538,     0,   539,   540,   541,     0,     0,   542,
     543,   544,   545,   546,     0,   547,   548,   549,   550,   551,
     552,   553,     0,  2211,   554,   555,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,     0,   566,
       0,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     600,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
       0,   245,   246,   247,   248,   249,     0,   251,   252,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
     261,   262,   263,  2206,   264,   265,   266,   267,   268,     0,
       0,     0,   270,   271,   272,   273,   274,     0,   276,   277,
     278,  2207,   279,   280,   281,   282,   283,   284,     0,     0,
     286,   287,   288,     0,     0,     0,     0,     0,     0,     0,
     290,   291,   292,   293,   294,   295,   296,   297,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,  2287,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,  2209,   336,     0,
       0,     0,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,   352,     0,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,     0,     0,   378,     0,
     380,   381,   382,   383,   384,     0,     0,   385,   386,     0,
     388,  3277,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,   411,   412,   413,   414,
     415,     0,   416,   417,     0,   419,     0,   420,   421,   422,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,   433,     0,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,   449,   450,   451,   452,   453,   454,  2210,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
       0,   530,   531,     0,   532,     0,   534,   535,   536,   537,
     538,     0,   539,   540,   541,     0,     0,   542,   543,   544,
     545,   546,     0,   547,   548,   549,   550,   551,   552,   553,
       0,  2211,   554,   555,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,     0,   566,     0,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   600,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   780,   234,
     235,   739,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,   740,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,   781,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,     0,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   741,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,     0,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   742,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,     0,   511,   512,
     513,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,     0,   530,
     531,     0,   532,     0,   534,   535,   536,   537,   538,     0,
     539,   540,   541,     0,     0,   542,   543,   544,   545,   546,
       0,   547,   548,   549,   550,   551,   552,   553,     0,     0,
     554,   555,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,     0,   566,     0,   568,   569,   570,
     571,     0,     0,   572,     0,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   600,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,   739,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,   740,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,  2960,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   741,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   742,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,     0,   530,   531,     0,
     532,     0,   534,   535,   536,   537,   538,     0,   539,   540,
     541,     0,     0,   542,   543,   544,   545,   546,     0,   547,
     548,   549,   550,   551,   552,   553,     0,     0,   554,   555,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,     0,   566,     0,   568,   569,   570,   571,     0,
       0,   572,     0,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   600,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,     0,   245,   246,   247,   248,   249,
       0,   251,   252,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   259,   260,   261,   262,   263,  2206,   264,   265,
     266,   267,   268,     0,     0,     0,   270,   271,   272,   273,
     274,     0,   276,   277,   278,  2207,   279,   280,   281,   282,
     283,   284,     0,     0,   286,   287,   288,     0,     0,     0,
       0,     0,     0,     0,   290,   291,   292,   293,   294,   295,
     296,   297,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,  2287,   322,   323,   324,   325,   326,   327,
     328,   329,     0,   330,     0,   331,   332,   333,   334,     0,
     335,  2209,   336,     0,     0,     0,   339,   340,   341,   342,
       0,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,   352,     0,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
       0,     0,   378,     0,   380,   381,   382,   383,   384,     0,
       0,   385,   386,     0,   388,     0,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
     411,   412,   413,   414,   415,     0,   416,   417,     0,   419,
       0,   420,   421,   422,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,     0,   431,   432,   433,
       0,   435,     0,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,     0,   447,   448,   449,   450,   451,
     452,   453,   454,  2210,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,     0,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,     0,   511,   512,   513,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,     0,   530,   531,     0,   532,     0,
     534,   535,   536,   537,   538,     0,   539,   540,   541,     0,
       0,   542,   543,   544,   545,   546,     0,   547,   548,   549,
     550,   551,   552,   553,     0,  2211,   554,   555,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
       0,   566,     0,   568,   569,   570,   571,     0,     0,   572,
       0,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   600,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,   739,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
     740,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   741,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   742,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,     0,   530,   531,     0,   532,     0,   534,   535,
     536,   537,   538,     0,   539,   540,   541,     0,     0,   542,
     543,   544,   545,   546,     0,   547,   548,   549,   550,   551,
     552,   553,     0,     0,   554,   555,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,     0,   566,
       0,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     600,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,  1941,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
       0,   245,   246,   247,   248,   249,     0,   251,   252,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
     261,   262,   263,     0,   264,   265,   266,   267,   268,     0,
       0,     0,   270,   271,   272,   273,   274,     0,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,     0,
     286,   287,   288,     0,     0,     0,     0,     0,     0,     0,
     290,   291,   292,  1942,   294,   295,   296,   297,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,  1943,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,  1944,   336,     0,
       0,     0,  1945,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,   352,     0,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,     0,     0,   378,     0,
     380,   381,  1946,  1947,   384,     0,     0,   385,   386,     0,
     388,     0,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,   411,   412,   413,   414,
     415,     0,   416,   417,     0,   419,     0,   420,   421,   422,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,   433,     0,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,  1948,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,  1949,   489,   490,   491,   492,
     493,  1950,   495,   496,   497,   498,   499,     0,  1951,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
       0,   530,   531,  1952,   532,     0,  1953,   535,   536,   537,
     538,     0,   539,   540,   541,     0,     0,   542,   543,   544,
     545,   546,     0,   547,   548,  1954,   550,   551,   552,   553,
       0,     0,   554,   555,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,     0,   566,     0,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   600,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,   740,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,     0,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   741,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,     0,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   742,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,     0,   511,   512,
     513,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,     0,   530,
     531,     0,   532,     0,   534,   535,   536,   537,   538,     0,
     539,   540,   541,     0,     0,   542,   543,   544,   545,   546,
       0,   547,   548,   549,   550,   551,   552,   553,     0,     0,
     554,   555,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,     0,   566,     0,   568,   569,   570,
     571,     0,     0,   572,     0,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   600,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,   918,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   919,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,   812,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,     0,   530,   531,     0,
     532,     0,   534,   535,   536,   537,   538,     0,   539,   540,
     541,     0,     0,   542,   543,   544,   545,   546,     0,   547,
     548,   549,   550,   551,   552,   553,     0,     0,   554,   555,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,     0,   566,     0,   568,   569,   570,   571,     0,
       0,   572,     0,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   600,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,  3052,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,     0,   245,   246,   247,   248,   249,
       0,   251,   252,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   259,   260,   261,   262,   263,     0,   264,   265,
     266,   267,   268,     0,     0,     0,   270,   271,   272,   273,
     274,     0,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,     0,   286,   287,   288,     0,     0,     0,
       0,     0,     0,     0,   290,   291,   292,   293,   294,   295,
     296,   297,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,   325,   326,   327,
     328,   329,     0,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,     0,     0,     0,   339,   340,   341,   342,
       0,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,   352,     0,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
       0,     0,   378,     0,   380,   381,   382,   383,   384,     0,
       0,   385,   386,     0,   388,     0,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
     411,   412,   413,   414,   415,     0,   416,   417,     0,   419,
       0,   420,   421,   422,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,     0,   431,   432,   433,
       0,   435,     0,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,     0,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,     0,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,     0,   511,   512,   513,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,     0,   530,   531,     0,   532,     0,
     534,   535,   536,   537,   538,     0,   539,   540,   541,     0,
       0,   542,   543,   544,   545,   546,     0,   547,   548,   549,
     550,   551,   552,   553,     0,     0,   554,   555,   556,   557,
     558,  3053,     0,   559,   560,   561,   562,   563,   564,   565,
       0,   566,     0,   568,   569,   570,   571,     0,     0,   572,
       0,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   600,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,  3065,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,     0,   530,   531,     0,   532,     0,   534,   535,
     536,   537,   538,     0,   539,   540,   541,     0,     0,   542,
     543,   544,   545,   546,     0,   547,   548,   549,   550,   551,
     552,   553,     0,     0,   554,   555,   556,   557,   558,  3066,
       0,   559,   560,   561,   562,   563,   564,   565,     0,   566,
       0,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     600,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,   601,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
       0,   245,   246,   247,   248,   249,     0,   251,   252,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
     261,   262,   263,     0,   264,   265,   266,   267,   268,     0,
       0,     0,   270,   271,   272,   273,   274,     0,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,     0,
     286,   287,   288,     0,     0,     0,     0,     0,     0,     0,
     290,   291,   292,   293,   294,   295,   296,   297,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,     0,
       0,     0,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,   352,     0,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,     0,     0,   378,     0,
     380,   381,   382,   383,   384,     0,     0,   385,   386,     0,
     388,     0,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,   411,   412,   413,   414,
     415,     0,   416,   417,     0,   419,     0,   420,   421,   422,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,   433,     0,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
       0,   530,   531,     0,   532,     0,   534,   535,   536,   537,
     538,     0,   539,   540,   541,     0,     0,   542,   543,   544,
     545,   546,     0,   547,   548,   549,   550,   551,   552,   553,
       0,     0,   554,   555,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,     0,   566,     0,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   600,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,   651,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,     0,   447,
     448,   449,   450,   451,   452,   652,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,     0,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,     0,   511,   512,
     513,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,     0,   530,
     531,     0,   532,     0,   534,   535,   536,   537,   538,     0,
     539,   540,   541,     0,     0,   542,   543,   544,   545,   546,
       0,   547,   548,   549,   550,   551,   552,   553,     0,     0,
     554,   555,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,     0,   566,     0,   568,   569,   570,
     571,     0,     0,   572,     0,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   600,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,   772,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   773,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,     0,   530,   531,     0,
     532,     0,   534,   535,   536,   537,   538,     0,   539,   774,
     541,     0,     0,   775,   543,   544,   545,   546,     0,   547,
     548,   549,   550,   551,   552,   553,     0,     0,   554,   555,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,     0,   566,     0,   568,   569,   570,   571,     0,
       0,   572,     0,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   600,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,   806,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,     0,   245,   246,   247,   248,   249,
       0,   251,   252,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   259,   260,   261,   262,   263,     0,   264,   265,
     266,   267,   268,     0,     0,     0,   270,   271,   272,   273,
     274,     0,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,     0,   286,   287,   288,     0,     0,     0,
       0,     0,     0,     0,   290,   291,   292,   293,   294,   295,
     296,   297,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,   325,   326,   327,
     328,   329,     0,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,     0,     0,     0,   339,   340,   341,   342,
       0,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,   352,     0,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
       0,     0,   378,     0,   380,   381,   382,   383,   384,     0,
       0,   385,   386,     0,   388,     0,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
     411,   412,   413,   414,   415,     0,   416,   417,     0,   419,
       0,   420,   421,   422,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,     0,   431,   432,   433,
       0,   435,     0,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,     0,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,     0,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   807,     0,   505,   506,
     507,   508,   509,     0,   511,   512,   513,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,     0,   530,   531,     0,   532,     0,
     534,   535,   536,   537,   538,     0,   539,   808,   541,     0,
       0,   809,   543,   544,   545,   546,     0,   547,   548,   549,
     550,   551,   552,   553,     0,     0,   554,   555,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
       0,   566,     0,   568,   569,   570,   571,     0,     0,   572,
       0,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   600,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,   812,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,     0,   530,   531,     0,   532,     0,   534,   535,
     536,   537,   538,     0,   539,   540,   541,     0,     0,   542,
     543,   544,   545,   546,     0,   547,   548,   549,   550,   551,
     552,   553,     0,     0,   554,   555,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,     0,   566,
       0,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     600,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,   876,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
       0,   245,   246,   247,   248,   249,     0,   251,   252,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
     261,   262,   263,     0,   264,   265,   266,   267,   268,     0,
       0,     0,   270,   271,   272,   273,   274,     0,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,     0,
     286,   287,   288,     0,     0,     0,     0,     0,     0,     0,
     290,   291,   292,   293,   294,   295,   296,   297,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,     0,
       0,     0,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,   877,     0,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,     0,     0,   378,     0,
     380,   381,   382,   383,   384,     0,     0,   385,   386,     0,
     388,     0,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,   411,   412,   413,   414,
     415,     0,   416,   417,     0,   419,     0,   420,   421,   422,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,   433,     0,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
       0,   530,   531,     0,   532,     0,   534,   535,   536,   537,
     538,     0,   539,   540,   541,     0,     0,   542,   543,   544,
     545,   546,     0,   547,   548,   549,   550,   551,   552,   553,
       0,     0,   554,   555,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,     0,   566,     0,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   600,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,  1047,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,     0,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,     0,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,     0,   511,   512,
     513,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,     0,   530,
     531,     0,   532,     0,   534,   535,   536,   537,   538,     0,
     539,   540,   541,     0,     0,   542,   543,   544,   545,   546,
       0,   547,   548,   549,   550,   551,   552,   553,     0,     0,
     554,   555,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,     0,   566,     0,   568,   569,   570,
     571,     0,     0,   572,     0,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   600,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,   772,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,     0,   530,   531,     0,
     532,     0,   534,   535,   536,   537,   538,     0,   539,   540,
     541,     0,     0,   542,   543,   544,   545,   546,     0,   547,
     548,   549,   550,   551,   552,   553,     0,     0,   554,   555,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,     0,   566,     0,   568,   569,   570,   571,     0,
       0,   572,     0,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   600,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,  1192,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,     0,   245,   246,   247,   248,   249,
       0,   251,   252,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   259,   260,   261,   262,   263,     0,   264,   265,
     266,   267,   268,     0,     0,     0,   270,   271,   272,   273,
     274,     0,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,     0,   286,   287,   288,     0,     0,     0,
       0,     0,     0,     0,   290,   291,   292,   293,   294,   295,
     296,   297,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,   325,   326,   327,
     328,   329,     0,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,     0,     0,     0,   339,   340,   341,   342,
       0,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,   352,     0,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
       0,     0,   378,     0,   380,   381,   382,   383,   384,     0,
       0,   385,   386,     0,   388,     0,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
     411,   412,   413,   414,   415,     0,   416,   417,     0,   419,
       0,   420,   421,   422,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,     0,   431,   432,   433,
       0,   435,     0,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,     0,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,     0,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,     0,   511,   512,   513,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,     0,   530,   531,     0,   532,     0,
     534,   535,   536,   537,   538,     0,   539,   540,   541,     0,
       0,   542,   543,   544,   545,   546,     0,   547,   548,   549,
     550,   551,   552,   553,     0,     0,   554,   555,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
       0,   566,     0,   568,   569,   570,   571,     0,     0,   572,
       0,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   600,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,  1324,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,     0,   530,   531,     0,   532,     0,   534,   535,
     536,   537,   538,     0,   539,   540,   541,     0,     0,   542,
     543,   544,   545,   546,     0,   547,   548,   549,   550,   551,
     552,   553,     0,     0,   554,   555,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,     0,   566,
       0,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     600,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
    1335,   245,   246,   247,   248,   249,     0,   251,   252,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   792,   260,
     261,   262,  1336,     0,   264,   265,   266,   267,   268,     0,
       0,     0,   270,   271,   272,   273,   274,     0,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,     0,
     286,   287,   288,     0,     0,     0,     0,     0,     0,     0,
     290,   291,   292,   293,   294,   295,   296,   297,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,     0,
       0,     0,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,   352,     0,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,     0,     0,   378,     0,
     380,   381,   382,   383,   384,     0,     0,   385,   386,     0,
     388,     0,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   795,   409,     0,   411,   412,   413,   414,
     415,     0,   416,   417,     0,   419,     0,   420,   421,   422,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,   433,     0,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   796,   486,   487,   488,   489,   490,   491,   492,
     493,   797,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,  1328,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
       0,   530,   531,     0,   532,     0,   534,   535,   536,   537,
     538,     0,   539,   799,   541,     0,     0,   800,   543,   544,
     545,   546,     0,   547,   548,   549,   550,   551,   552,   553,
       0,     0,   554,   555,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,     0,   566,     0,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   801,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   600,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,  1447,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,   812,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,     0,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,     0,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,     0,   511,   512,
     513,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,     0,   530,
     531,     0,   532,     0,   534,   535,   536,   537,   538,     0,
     539,   540,   541,     0,     0,   542,   543,   544,   545,   546,
       0,   547,   548,   549,   550,   551,   552,   553,     0,     0,
     554,   555,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,     0,   566,     0,   568,   569,   570,
     571,     0,     0,   572,     0,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   600,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,  1507,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,  1508,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,     0,   530,   531,     0,
     532,     0,   534,   535,   536,   537,   538,     0,   539,   540,
     541,     0,     0,   542,   543,   544,   545,   546,     0,   547,
     548,   549,   550,   551,   552,   553,     0,     0,   554,   555,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,     0,   566,     0,   568,   569,   570,   571,     0,
       0,   572,     0,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   600,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,     0,   245,   246,   247,   248,   249,
       0,   251,   252,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   259,   260,   261,   262,   263,     0,   264,   265,
     266,   267,   268,     0,     0,     0,   270,   271,   272,   273,
     274,     0,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,     0,   286,   287,   288,     0,     0,     0,
       0,     0,     0,     0,   290,   291,   292,   293,   294,   295,
     296,   297,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,   325,   326,   327,
     328,   329,     0,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,     0,     0,     0,   339,   340,   341,  2850,
       0,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,   352,     0,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
       0,     0,   378,     0,   380,   381,   382,   383,   384,     0,
       0,   385,   386,     0,   388,     0,     0,   390,   391,  2851,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
     411,   412,   413,   414,   415,     0,   416,   417,     0,   419,
       0,   420,   421,   422,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,     0,   431,   432,   433,
       0,   435,     0,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,     0,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,     0,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,     0,   511,   512,   513,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,     0,   530,   531,  2852,   532,     0,
     534,  2853,   536,  2854,   538,     0,   539,   540,   541,     0,
       0,   542,   543,   544,   545,   546,     0,   547,   548,   549,
     550,   551,   552,   553,     0,     0,   554,   555,  2855,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
       0,   566,     0,   568,   569,   570,   571,     0,     0,   572,
       0,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   600,     0,   660,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,     0,   530,   531,     0,   532,     0,   534,   535,
     536,   537,   538,     0,   539,   540,   541,     0,     0,   542,
     543,   544,   545,   546,     0,   547,   548,   549,   550,   551,
     552,   553,     0,     0,   554,   555,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,     0,   566,
       0,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     600,     0,     0,     0,     0,     0,   720,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
       0,   245,   246,   247,   248,   249,     0,   251,   252,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
     261,   262,   263,     0,   264,   265,   266,   267,   268,     0,
       0,     0,   270,   271,   272,   273,   274,     0,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,     0,
     286,   287,   288,     0,     0,     0,     0,     0,     0,     0,
     290,   291,   292,   293,   294,   295,   296,   297,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,     0,
       0,     0,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,   352,     0,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,     0,     0,   378,     0,
     380,   381,   382,   383,   384,     0,     0,   385,   386,     0,
     388,     0,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,   411,   412,   413,   414,
     415,     0,   416,   417,     0,   419,     0,   420,   421,   422,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,   433,     0,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
       0,   530,   531,     0,   532,     0,   534,   535,   536,   537,
     538,     0,   539,   540,   541,     0,     0,   542,   543,   544,
     545,   546,     0,   547,   548,   549,   550,   551,   552,   553,
       0,     0,   554,   555,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,     0,   566,     0,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   600,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
    4115,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,     0,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,     0,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,     0,   511,   512,
     513,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,     0,   530,
     531,     0,   532,     0,   534,   535,   536,   537,   538,     0,
     539,   540,   541,     0,     0,   542,   543,   544,   545,   546,
       0,   547,   548,   549,   550,   551,   552,   553,     0,     0,
     554,   555,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,     0,   566,     0,   568,   569,   570,
     571,     0,     0,   572,     0,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   600,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,  4129,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,     0,   530,   531,     0,
     532,     0,   534,   535,   536,   537,   538,     0,   539,   540,
     541,     0,     0,   542,   543,   544,   545,   546,     0,   547,
     548,   549,   550,   551,   552,   553,     0,     0,   554,   555,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,     0,   566,     0,   568,   569,   570,   571,     0,
       0,   572,     0,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   600,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,     0,   245,   246,   247,   248,   249,
       0,   251,   252,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   259,   260,   261,   262,   263,     0,   264,   265,
     266,   267,   268,     0,     0,     0,   270,   271,   272,   273,
     274,     0,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,     0,   286,   287,   288,     0,     0,     0,
       0,     0,     0,     0,   290,   291,   292,   293,   294,   295,
     296,   297,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,   325,   326,   327,
     328,   329,     0,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,     0,     0,     0,   339,   340,   341,   342,
       0,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,   352,     0,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
       0,     0,   378,     0,   380,   381,   382,   383,   384,     0,
       0,   385,   386,     0,   388,     0,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
     411,   412,   413,   414,   415,     0,   416,   417,     0,   419,
       0,   420,   421,   422,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,     0,   431,   432,   433,
       0,   435,     0,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,     0,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,     0,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,     0,   511,   512,   513,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,     0,   530,   531,     0,   532,     0,
     534,   535,   536,   537,   538,     0,   539,   540,   541,     0,
       0,   542,   543,   544,   545,   546,     0,   547,   548,   549,
     550,   551,   552,   553,     0,     0,   554,   555,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
       0,   566,     0,   568,   569,   570,   571,     0,     0,   572,
       0,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   600,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,     0,   530,   531,     0,   532,     0,   534,   535,
     536,   537,   538,     0,   539,   540,   541,     0,     0,   758,
     543,   544,   545,   546,     0,   547,   548,   549,   550,   551,
     552,   553,     0,     0,   554,   555,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,     0,   566,
       0,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     600,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
       0,   245,   246,   247,   248,   249,     0,   251,   252,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
     261,   262,   263,     0,   264,   265,   266,   267,   268,     0,
       0,     0,   270,   271,   272,   273,   274,     0,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,     0,
     286,   287,   288,     0,     0,     0,     0,     0,     0,     0,
     290,   291,   292,   293,   294,   295,   296,   297,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,     0,
       0,     0,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,   352,     0,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,     0,     0,   378,     0,
     380,   381,   382,   383,   384,     0,     0,   385,   386,     0,
     388,     0,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,   411,   412,   413,   414,
     415,     0,   416,   417,     0,   419,     0,   420,   421,   422,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,   433,     0,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     770,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
       0,   530,   531,     0,   532,     0,   534,   535,   536,   537,
     538,     0,   539,   540,   541,     0,     0,   542,   543,   544,
     545,   546,     0,   547,   548,   549,   550,   551,   552,   553,
       0,     0,   554,   555,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,     0,   566,     0,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   600,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   792,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     793,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   794,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   795,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,     0,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,     0,
     796,   486,   487,   488,   489,   490,   491,   492,   493,   797,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     798,     0,   505,   506,   507,   508,   509,     0,   511,   512,
     513,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,     0,   530,
     531,     0,   532,     0,   534,   535,   536,   537,   538,     0,
     539,   799,   541,     0,     0,   800,   543,   544,   545,   546,
       0,   547,   548,   549,   550,   551,   552,   553,     0,     0,
     554,   555,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,     0,   566,     0,   568,   569,   570,
     571,     0,     0,   572,     0,     0,   573,   574,   575,   576,
     577,   801,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   600,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   823,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,     0,   530,   531,     0,
     532,     0,   534,   535,   536,   537,   538,     0,   539,   540,
     541,     0,     0,   542,   543,   544,   545,   546,     0,   547,
     548,   549,   550,   551,   552,   553,     0,     0,   554,   555,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,     0,   566,     0,   568,   569,   570,   571,     0,
       0,   572,     0,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   600,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,     0,   245,   246,   247,   248,   249,
       0,   251,   252,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   259,   260,   261,   262,   263,     0,   264,   265,
     266,   267,   268,     0,     0,     0,   270,   271,   272,   273,
     274,     0,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,     0,   286,   287,   288,     0,     0,     0,
       0,     0,     0,     0,   290,   291,   292,   293,   294,   295,
     296,   297,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,   325,   326,   327,
     328,   329,     0,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,     0,     0,     0,   339,   340,   341,   342,
       0,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,   901,     0,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
       0,     0,   378,     0,   380,   381,   382,   383,   384,     0,
       0,   385,   386,     0,   388,     0,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
     411,   412,   413,   414,   415,     0,   416,   417,     0,   419,
       0,   420,   421,   422,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,     0,   431,   432,   433,
       0,   435,     0,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,     0,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,     0,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,     0,   511,   512,   513,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,     0,   530,   531,     0,   532,     0,
     534,   535,   536,   537,   538,     0,   539,   540,   541,     0,
       0,   542,   543,   544,   545,   546,     0,   547,   548,   549,
     550,   551,   552,   553,     0,     0,   554,   555,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
       0,   566,     0,   568,   569,   570,   571,     0,     0,   572,
       0,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   600,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     911,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,     0,   530,   531,     0,   532,     0,   534,   535,
     536,   537,   538,     0,   539,   540,   541,     0,     0,   542,
     543,   544,   545,   546,     0,   547,   548,   549,   550,   551,
     552,   553,     0,     0,   554,   555,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,     0,   566,
       0,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     600,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
       0,   245,   246,   247,   248,   249,     0,   251,   252,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
     261,   262,   263,     0,   264,   265,   266,   267,   268,     0,
       0,     0,   270,   271,   272,   273,   274,     0,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,     0,
     286,   287,   288,     0,     0,     0,     0,     0,     0,     0,
     290,   291,   292,   293,   294,   295,   296,   297,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,     0,
       0,     0,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,   929,     0,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,     0,     0,   378,     0,
     380,   381,   382,   383,   384,     0,     0,   385,   386,     0,
     388,     0,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,   411,   412,   413,   414,
     415,     0,   416,   417,     0,   419,     0,   420,   421,   422,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,   433,     0,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
       0,   530,   531,     0,   532,     0,   534,   535,   536,   537,
     538,     0,   539,   540,   541,     0,     0,   542,   543,   544,
     545,   546,     0,   547,   548,   549,   550,   551,   552,   553,
       0,     0,   554,   555,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,     0,   566,     0,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   600,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   996,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,     0,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,     0,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,     0,   511,   512,
     513,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,     0,   530,
     531,     0,   532,     0,   534,   535,   536,   537,   538,     0,
     539,   540,   541,     0,     0,   542,   543,   544,   545,   546,
       0,   547,   548,   549,   550,   551,   552,   553,     0,     0,
     554,   555,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,     0,   566,     0,   568,   569,   570,
     571,     0,     0,   572,     0,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   600,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,  1002,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,     0,   530,   531,     0,
     532,     0,   534,   535,   536,   537,   538,     0,   539,   540,
     541,     0,     0,   542,   543,   544,   545,   546,     0,   547,
     548,   549,   550,   551,   552,   553,     0,     0,   554,   555,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,     0,   566,     0,   568,   569,   570,   571,     0,
       0,   572,     0,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   600,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,     0,   245,   246,   247,   248,   249,
       0,   251,   252,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   259,   260,   261,   262,   263,     0,   264,   265,
     266,   267,   268,     0,     0,     0,   270,   271,   272,   273,
     274,     0,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,     0,   286,   287,   288,     0,     0,     0,
       0,     0,     0,     0,   290,   291,   292,   293,   294,   295,
     296,   297,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,   325,   326,   327,
     328,   329,     0,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,     0,     0,     0,   339,   340,   341,   342,
       0,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,  1019,     0,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
       0,     0,   378,     0,   380,   381,   382,   383,   384,     0,
       0,   385,   386,     0,   388,     0,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
     411,   412,   413,   414,   415,     0,   416,   417,     0,   419,
       0,   420,   421,   422,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,     0,   431,   432,   433,
       0,   435,     0,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,     0,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,     0,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,     0,   511,   512,   513,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,     0,   530,   531,     0,   532,     0,
     534,   535,   536,   537,   538,     0,   539,   540,   541,     0,
       0,   542,   543,   544,   545,   546,     0,   547,   548,   549,
     550,   551,   552,   553,     0,     0,   554,   555,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
       0,   566,     0,   568,   569,   570,   571,     0,     0,   572,
       0,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   600,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
    1022,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,     0,   530,   531,     0,   532,     0,   534,   535,
     536,   537,   538,     0,   539,   540,   541,     0,     0,   542,
     543,   544,   545,   546,     0,   547,   548,   549,   550,   551,
     552,   553,     0,     0,   554,   555,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,     0,   566,
       0,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     600,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
       0,   245,   246,   247,   248,   249,     0,   251,   252,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
     261,   262,   263,     0,   264,   265,   266,   267,   268,     0,
       0,     0,   270,   271,   272,   273,   274,     0,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,     0,
     286,   287,   288,     0,     0,     0,     0,     0,     0,     0,
     290,   291,   292,   293,   294,   295,   296,   297,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,     0,
       0,     0,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,  1024,     0,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,     0,     0,   378,     0,
     380,   381,   382,   383,   384,     0,     0,   385,   386,     0,
     388,     0,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,   411,   412,   413,   414,
     415,     0,   416,   417,     0,   419,     0,   420,   421,   422,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,   433,     0,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
       0,   530,   531,     0,   532,     0,   534,   535,   536,   537,
     538,     0,   539,   540,   541,     0,     0,   542,   543,   544,
     545,   546,     0,   547,   548,   549,   550,   551,   552,   553,
       0,     0,   554,   555,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,     0,   566,     0,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   600,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,  1060,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,     0,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,     0,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,     0,   511,   512,
     513,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,     0,   530,
     531,     0,   532,     0,   534,   535,   536,   537,   538,     0,
     539,   540,   541,     0,     0,   542,   543,   544,   545,   546,
       0,   547,   548,   549,   550,   551,   552,   553,     0,     0,
     554,   555,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,     0,   566,     0,   568,   569,   570,
     571,     0,     0,   572,     0,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   600,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,  1124,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,     0,   530,   531,     0,
     532,     0,   534,   535,   536,   537,   538,     0,   539,   540,
     541,     0,     0,   542,   543,   544,   545,   546,     0,   547,
     548,   549,   550,   551,   552,   553,     0,     0,   554,   555,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,     0,   566,     0,   568,   569,   570,   571,     0,
       0,   572,     0,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   600,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,     0,   245,   246,   247,   248,   249,
       0,   251,   252,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   259,   260,   261,   262,   263,     0,   264,   265,
     266,   267,   268,     0,     0,     0,   270,   271,   272,   273,
     274,     0,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,     0,   286,   287,   288,     0,     0,     0,
       0,     0,     0,     0,   290,   291,   292,   293,   294,   295,
     296,   297,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,   325,   326,   327,
     328,   329,     0,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,     0,     0,     0,   339,   340,   341,   342,
       0,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,  1126,     0,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
       0,     0,   378,     0,   380,   381,   382,   383,   384,     0,
       0,   385,   386,     0,   388,     0,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
     411,   412,   413,   414,   415,     0,   416,   417,     0,   419,
       0,   420,   421,   422,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,     0,   431,   432,   433,
       0,   435,     0,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,     0,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,     0,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,     0,   511,   512,   513,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,     0,   530,   531,     0,   532,     0,
     534,   535,   536,   537,   538,     0,   539,   540,   541,     0,
       0,   542,   543,   544,   545,   546,     0,   547,   548,   549,
     550,   551,   552,   553,     0,     0,   554,   555,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
       0,   566,     0,   568,   569,   570,   571,     0,     0,   572,
       0,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   600,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
    1136,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,     0,   530,   531,     0,   532,     0,   534,   535,
     536,   537,   538,     0,   539,   540,   541,     0,     0,   542,
     543,   544,   545,   546,     0,   547,   548,   549,   550,   551,
     552,   553,     0,     0,   554,   555,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,     0,   566,
       0,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     600,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
       0,   245,   246,   247,   248,   249,     0,   251,   252,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
     261,   262,   263,     0,   264,   265,   266,   267,   268,     0,
       0,     0,   270,   271,   272,   273,   274,     0,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,     0,
     286,   287,   288,     0,     0,     0,     0,     0,     0,     0,
     290,   291,   292,   293,   294,   295,   296,   297,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,     0,
       0,     0,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,  1139,     0,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,     0,     0,   378,     0,
     380,   381,   382,   383,   384,     0,     0,   385,   386,     0,
     388,     0,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,   411,   412,   413,   414,
     415,     0,   416,   417,     0,   419,     0,   420,   421,   422,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,   433,     0,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
       0,   530,   531,     0,   532,     0,   534,   535,   536,   537,
     538,     0,   539,   540,   541,     0,     0,   542,   543,   544,
     545,   546,     0,   547,   548,   549,   550,   551,   552,   553,
       0,     0,   554,   555,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,     0,   566,     0,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   600,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,  1142,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,     0,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,     0,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,     0,   511,   512,
     513,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,     0,   530,
     531,     0,   532,     0,   534,   535,   536,   537,   538,     0,
     539,   540,   541,     0,     0,   542,   543,   544,   545,   546,
       0,   547,   548,   549,   550,   551,   552,   553,     0,     0,
     554,   555,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,     0,   566,     0,   568,   569,   570,
     571,     0,     0,   572,     0,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   600,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   792,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   795,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   796,   486,
     487,   488,   489,   490,   491,   492,   493,   797,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,  1328,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,     0,   530,   531,     0,
     532,     0,   534,   535,   536,   537,   538,     0,   539,   799,
     541,     0,     0,   800,   543,   544,   545,   546,     0,   547,
     548,   549,   550,   551,   552,   553,     0,     0,   554,   555,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,     0,   566,     0,   568,   569,   570,   571,     0,
       0,   572,     0,     0,   573,   574,   575,   576,   577,   801,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   600,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,     0,   245,   246,   247,   248,   249,
       0,   251,   252,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   259,   260,   261,   262,   263,     0,   264,   265,
     266,   267,   268,     0,     0,     0,   270,   271,   272,   273,
     274,     0,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,     0,   286,   287,   288,     0,     0,     0,
       0,     0,     0,     0,   290,   291,   292,   293,   294,   295,
     296,   297,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,   325,   326,   327,
     328,   329,     0,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,     0,     0,     0,   339,   340,   341,   342,
       0,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,  1762,     0,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
       0,     0,   378,     0,   380,   381,   382,   383,   384,     0,
       0,   385,   386,     0,   388,     0,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
     411,   412,   413,   414,   415,     0,   416,   417,     0,   419,
       0,   420,   421,   422,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,     0,   431,   432,   433,
       0,   435,     0,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,     0,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,     0,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,     0,   511,   512,   513,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,     0,   530,   531,     0,   532,     0,
     534,   535,   536,   537,   538,     0,   539,   540,   541,     0,
       0,   542,   543,   544,   545,   546,     0,   547,   548,   549,
     550,   551,   552,   553,     0,     0,   554,   555,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
       0,   566,     0,   568,   569,   570,   571,     0,     0,   572,
       0,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   600,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
    1800,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,     0,   530,   531,     0,   532,     0,   534,   535,
     536,   537,   538,     0,   539,   540,   541,     0,     0,   542,
     543,   544,   545,   546,     0,   547,   548,   549,   550,   551,
     552,   553,     0,     0,   554,   555,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,     0,   566,
       0,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     600,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
       0,   245,   246,   247,   248,   249,     0,   251,   252,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
     261,   262,   263,     0,   264,   265,   266,   267,   268,     0,
       0,     0,   270,   271,   272,   273,   274,     0,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,     0,
     286,   287,   288,     0,     0,     0,     0,     0,     0,     0,
     290,   291,   292,   293,   294,   295,   296,   297,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,     0,
       0,     0,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,  1802,     0,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,     0,     0,   378,     0,
     380,   381,   382,   383,   384,     0,     0,   385,   386,     0,
     388,     0,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,   411,   412,   413,   414,
     415,     0,   416,   417,     0,   419,     0,   420,   421,   422,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,   433,     0,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
       0,   530,   531,     0,   532,     0,   534,   535,   536,   537,
     538,     0,   539,   540,   541,     0,     0,   542,   543,   544,
     545,   546,     0,   547,   548,   549,   550,   551,   552,   553,
       0,     0,   554,   555,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,     0,   566,     0,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   600,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,  1872,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,     0,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,     0,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,     0,   511,   512,
     513,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,     0,   530,
     531,     0,   532,     0,   534,   535,   536,   537,   538,     0,
     539,   540,   541,     0,     0,   542,   543,   544,   545,   546,
       0,   547,   548,   549,   550,   551,   552,   553,     0,     0,
     554,   555,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,     0,   566,     0,   568,   569,   570,
     571,     0,     0,   572,     0,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   600,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,  1874,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,     0,   530,   531,     0,
     532,     0,   534,   535,   536,   537,   538,     0,   539,   540,
     541,     0,     0,   542,   543,   544,   545,   546,     0,   547,
     548,   549,   550,   551,   552,   553,     0,     0,   554,   555,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,     0,   566,     0,   568,   569,   570,   571,     0,
       0,   572,     0,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   600,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,     0,   245,   246,   247,   248,   249,
       0,   251,   252,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   259,   260,   261,   262,   263,     0,   264,   265,
     266,   267,   268,     0,     0,     0,   270,   271,   272,   273,
     274,     0,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,     0,   286,   287,   288,     0,     0,     0,
       0,     0,     0,     0,   290,   291,   292,   293,   294,   295,
     296,   297,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,   325,   326,   327,
     328,   329,     0,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,     0,     0,     0,   339,   340,   341,   342,
       0,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,  1876,     0,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
       0,     0,   378,     0,   380,   381,   382,   383,   384,     0,
       0,   385,   386,     0,   388,     0,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
     411,   412,   413,   414,   415,     0,   416,   417,     0,   419,
       0,   420,   421,   422,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,     0,   431,   432,   433,
       0,   435,     0,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,     0,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,     0,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,     0,   511,   512,   513,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,     0,   530,   531,     0,   532,     0,
     534,   535,   536,   537,   538,     0,   539,   540,   541,     0,
       0,   542,   543,   544,   545,   546,     0,   547,   548,   549,
     550,   551,   552,   553,     0,     0,   554,   555,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
       0,   566,     0,   568,   569,   570,   571,     0,     0,   572,
       0,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   600,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,  1979,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,     0,   530,   531,     0,   532,     0,   534,   535,
     536,   537,   538,     0,   539,   540,   541,     0,     0,   542,
     543,   544,   545,   546,     0,   547,   548,   549,   550,   551,
     552,   553,     0,     0,   554,   555,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,     0,   566,
       0,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     600,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,     0,  2158,     0,   239,   240,     0,   241,   242,   243,
       0,   245,   246,   247,   248,   249,     0,   251,   252,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
     261,   262,   263,     0,   264,   265,   266,   267,   268,     0,
       0,     0,   270,   271,   272,   273,   274,     0,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,     0,
     286,   287,   288,     0,     0,     0,     0,     0,     0,     0,
     290,   291,   292,   293,   294,   295,   296,   297,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,     0,
       0,     0,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,   352,     0,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,     0,     0,   378,     0,
     380,   381,   382,   383,   384,     0,     0,   385,   386,     0,
     388,     0,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,   411,   412,   413,   414,
     415,     0,   416,   417,     0,   419,     0,   420,   421,   422,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,   433,     0,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,     0,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
       0,   530,   531,     0,   532,     0,   534,   535,   536,   537,
     538,     0,   539,   540,   541,     0,     0,   542,   543,   544,
     545,   546,     0,   547,   548,   549,   550,   551,   552,   553,
       0,     0,   554,   555,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,     0,   566,     0,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   600,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   792,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   795,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,     0,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,     0,
     796,   486,   487,   488,   489,   490,   491,   492,   493,   797,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
    1328,     0,   505,   506,   507,   508,   509,     0,   511,   512,
     513,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,     0,   530,
     531,     0,   532,     0,  2193,   535,   536,   537,   538,     0,
     539,   799,   541,     0,     0,   800,   543,   544,   545,   546,
       0,   547,   548,   549,   550,   551,   552,   553,     0,     0,
     554,   555,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,     0,   566,     0,   568,   569,   570,
     571,     0,     0,   572,     0,     0,   573,   574,   575,   576,
     577,   801,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   600,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   792,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   795,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   796,   486,
     487,   488,   489,   490,   491,   492,   493,  2270,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,  2271,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,     0,   530,   531,     0,
     532,     0,   534,   535,   536,   537,   538,     0,   539,   799,
     541,     0,     0,  2272,   543,   544,   545,   546,     0,   547,
     548,   549,   550,   551,   552,   553,     0,     0,   554,   555,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,     0,   566,     0,   568,   569,   570,   571,     0,
       0,   572,     0,     0,   573,   574,   575,   576,   577,   801,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   600,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,     0,   245,   246,   247,   248,   249,
       0,   251,   252,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   792,   260,   261,   262,   263,     0,   264,   265,
     266,   267,   268,     0,     0,     0,   270,   271,   272,   273,
     274,     0,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,     0,   286,   287,   288,     0,     0,     0,
       0,     0,     0,     0,   290,   291,   292,   293,   294,   295,
     296,   297,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,   325,   326,   327,
     328,   329,     0,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,     0,     0,     0,   339,   340,   341,   342,
       0,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,   352,     0,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
       0,     0,   378,     0,   380,   381,   382,   383,   384,     0,
       0,   385,   386,     0,   388,     0,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   795,   409,     0,
     411,   412,   413,   414,   415,     0,   416,   417,     0,   419,
       0,   420,   421,   422,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,     0,   431,   432,   433,
       0,   435,     0,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,     0,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,     0,   796,   486,   487,   488,
     489,   490,   491,   492,   493,  2349,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,  2271,     0,   505,   506,
     507,   508,   509,     0,   511,   512,   513,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,     0,   530,   531,     0,   532,     0,
     534,   535,   536,   537,   538,     0,   539,   799,   541,     0,
       0,  2272,   543,   544,   545,   546,     0,   547,   548,   549,
     550,   551,   552,   553,     0,     0,   554,   555,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
       0,   566,     0,   568,   569,   570,   571,     0,     0,   572,
       0,     0,   573,   574,   575,   576,   577,   801,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   600,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     792,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   795,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   796,   486,   487,   488,   489,   490,
     491,   492,   493,  2366,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,  2271,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,     0,   530,   531,     0,   532,     0,   534,   535,
     536,   537,   538,     0,   539,   799,   541,     0,     0,  2272,
     543,   544,   545,   546,     0,   547,   548,   549,   550,   551,
     552,   553,     0,     0,   554,   555,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,     0,   566,
       0,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   801,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     600,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
       0,   245,   246,   247,   248,   249,     0,   251,   252,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
     261,   262,   263,     0,   264,   265,   266,   267,   268,     0,
       0,     0,   270,   271,   272,   273,   274,     0,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,     0,
     286,   287,   288,     0,     0,     0,     0,     0,     0,     0,
     290,   291,   292,   293,   294,   295,   296,   297,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,     0,
       0,     0,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,  2565,     0,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,     0,     0,   378,     0,
     380,   381,   382,   383,   384,     0,     0,   385,   386,     0,
     388,     0,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,   411,   412,   413,   414,
     415,     0,   416,   417,     0,   419,     0,   420,   421,   422,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,   433,     0,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
       0,   530,   531,     0,   532,     0,   534,   535,   536,   537,
     538,     0,   539,   540,   541,     0,     0,   542,   543,   544,
     545,   546,     0,   547,   548,   549,   550,   551,   552,   553,
       0,     0,   554,   555,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,     0,   566,     0,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   600,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,  2569,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,     0,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,     0,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,     0,   511,   512,
     513,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,     0,   530,
     531,     0,   532,     0,   534,   535,   536,   537,   538,     0,
     539,   540,   541,     0,     0,   542,   543,   544,   545,   546,
       0,   547,   548,   549,   550,   551,   552,   553,     0,     0,
     554,   555,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,     0,   566,     0,   568,   569,   570,
     571,     0,     0,   572,     0,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   600,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,  2644,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,     0,   530,   531,     0,
     532,     0,   534,   535,   536,   537,   538,     0,   539,   540,
     541,     0,     0,   542,   543,   544,   545,   546,     0,   547,
     548,   549,   550,   551,   552,   553,     0,     0,   554,   555,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,     0,   566,     0,   568,   569,   570,   571,     0,
       0,   572,     0,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   600,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,     0,   245,   246,   247,   248,   249,
       0,   251,   252,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   259,   260,   261,   262,   263,     0,   264,   265,
     266,   267,   268,     0,     0,     0,   270,   271,   272,   273,
     274,     0,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,     0,   286,   287,   288,     0,     0,     0,
       0,     0,     0,     0,   290,   291,   292,   293,   294,   295,
     296,   297,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,   325,   326,   327,
     328,   329,     0,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,     0,     0,     0,   339,   340,   341,   342,
       0,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,  2971,     0,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
       0,     0,   378,     0,   380,   381,   382,   383,   384,     0,
       0,   385,   386,     0,   388,     0,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
     411,   412,   413,   414,   415,     0,   416,   417,     0,   419,
       0,   420,   421,   422,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,     0,   431,   432,   433,
       0,   435,     0,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,     0,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,     0,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,     0,   511,   512,   513,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,     0,   530,   531,     0,   532,     0,
     534,   535,   536,   537,   538,     0,   539,   540,   541,     0,
       0,   542,   543,   544,   545,   546,     0,   547,   548,   549,
     550,   551,   552,   553,     0,     0,   554,   555,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
       0,   566,     0,   568,   569,   570,   571,     0,     0,   572,
       0,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   600,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     792,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   795,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   796,   486,   487,   488,   489,   490,
     491,   492,   493,   797,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,  2271,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,     0,   530,   531,     0,   532,     0,   534,   535,
     536,   537,   538,     0,   539,   799,   541,     0,     0,  2272,
     543,   544,   545,   546,     0,   547,   548,   549,   550,   551,
     552,   553,     0,     0,   554,   555,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,     0,   566,
       0,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   801,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     600,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
       0,   245,   246,   247,   248,   249,     0,   251,   252,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
     261,   262,   263,     0,   264,   265,   266,   267,   268,     0,
       0,     0,   270,   271,   272,   273,   274,     0,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,     0,
     286,   287,   288,     0,     0,     0,     0,     0,     0,     0,
     290,   291,   292,   293,   294,   295,   296,   297,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,     0,
       0,     0,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,  3040,     0,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,     0,     0,   378,     0,
     380,   381,   382,   383,   384,     0,     0,   385,   386,     0,
     388,     0,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,   411,   412,   413,   414,
     415,     0,   416,   417,     0,   419,     0,   420,   421,   422,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,   433,     0,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
       0,   530,   531,     0,   532,     0,   534,   535,   536,   537,
     538,     0,   539,   540,   541,     0,     0,   542,   543,   544,
     545,   546,     0,   547,   548,   549,   550,   551,   552,   553,
       0,     0,   554,   555,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,     0,   566,     0,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   600,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,  3055,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,     0,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,     0,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,     0,   511,   512,
     513,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,     0,   530,
     531,     0,   532,     0,   534,   535,   536,   537,   538,     0,
     539,   540,   541,     0,     0,   542,   543,   544,   545,   546,
       0,   547,   548,   549,   550,   551,   552,   553,     0,     0,
     554,   555,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,     0,   566,     0,   568,   569,   570,
     571,     0,     0,   572,     0,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   600,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,  3057,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,     0,   530,   531,     0,
     532,     0,   534,   535,   536,   537,   538,     0,   539,   540,
     541,     0,     0,   542,   543,   544,   545,   546,     0,   547,
     548,   549,   550,   551,   552,   553,     0,     0,   554,   555,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,     0,   566,     0,   568,   569,   570,   571,     0,
       0,   572,     0,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   600,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,     0,   245,   246,   247,   248,   249,
       0,   251,   252,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   259,   260,   261,   262,   263,     0,   264,   265,
     266,   267,   268,     0,     0,     0,   270,   271,   272,   273,
     274,     0,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,     0,   286,   287,   288,     0,     0,     0,
       0,     0,     0,     0,   290,   291,   292,   293,   294,   295,
     296,   297,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,   325,   326,   327,
     328,   329,     0,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,     0,     0,     0,   339,   340,   341,   342,
       0,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,  3199,     0,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
       0,     0,   378,     0,   380,   381,   382,   383,   384,     0,
       0,   385,   386,     0,   388,     0,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
     411,   412,   413,   414,   415,     0,   416,   417,     0,   419,
       0,   420,   421,   422,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,     0,   431,   432,   433,
       0,   435,     0,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,     0,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,     0,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,     0,   511,   512,   513,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,     0,   530,   531,     0,   532,     0,
     534,   535,   536,   537,   538,     0,   539,   540,   541,     0,
       0,   542,   543,   544,   545,   546,     0,   547,   548,   549,
     550,   551,   552,   553,     0,     0,   554,   555,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
       0,   566,     0,   568,   569,   570,   571,     0,     0,   572,
       0,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   600,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,  3235,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,     0,   530,   531,     0,   532,     0,   534,   535,
     536,   537,   538,     0,   539,   540,   541,     0,     0,   542,
     543,   544,   545,   546,     0,   547,   548,   549,   550,   551,
     552,   553,     0,     0,   554,   555,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,     0,   566,
       0,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     600,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
       0,   245,   246,   247,   248,   249,     0,   251,   252,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
     261,   262,   263,     0,   264,   265,   266,   267,   268,     0,
       0,     0,   270,   271,   272,   273,   274,     0,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,     0,
     286,   287,   288,     0,     0,     0,     0,     0,     0,     0,
     290,   291,   292,   293,   294,   295,   296,   297,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,     0,
       0,     0,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,  4390,     0,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,     0,     0,   378,     0,
     380,   381,   382,   383,   384,     0,     0,   385,   386,     0,
     388,     0,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,   411,   412,   413,   414,
     415,     0,   416,   417,     0,   419,     0,   420,   421,   422,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,   433,     0,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
       0,   530,   531,     0,   532,     0,   534,   535,   536,   537,
     538,     0,   539,   540,   541,     0,     0,   542,   543,   544,
     545,   546,     0,   547,   548,   549,   550,   551,   552,   553,
       0,     0,   554,   555,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,     0,   566,     0,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,  1062,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,   244,   245,
     246,   247,     0,  1063,   250,  1064,  1065,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,  1066,  1067,
     263,     0,   264,   265,   266,   267,     0,     0,   269,     0,
     270,   271,   272,   273,   274,   275,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,   285,   286,   287,
     288,     0,     0,     0,   289,     0,     0,     0,   290,   291,
     292,   293,   294,   295,  1068,  1069,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,  1070,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,     0,   326,   327,   328,     0,     0,   330,     0,   331,
     332,  1071,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,     0,     0,     0,   346,
     347,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,  2166,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,  2167,   368,   369,   370,   371,  1073,  1074,
       0,  1075,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,     0,   387,   388,   389,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,  1076,   410,  1077,   412,   413,   414,     0,     0,
     416,   417,   418,   419,     0,     0,   421,  1078,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,  2169,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,     0,   447,
     448,     0,   450,     0,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,  1079,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,     0,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,  2170,   508,   509,   510,   511,   512,
    1081,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,     0,   529,     0,   530,
     531,     0,   532,   533,   534,   535,   536,   537,   538,     0,
     539,  1082,  1083,     0,     0,   542,   543,     0,   545,     0,
       0,   547,   548,   549,   550,   551,   552,   553,     0,     0,
     554,   555,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,     0,  1084,  2171,   566,   567,   568,   569,   570,
     571,     0,     0,   572,     0,     0,   573,   574,   575,   576,
     577,   578,   600,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   590,   591,   592,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,     0,   445,
     446,     0,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
       0,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
       0,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,     0,   530,   531,     0,   532,     0,   534,   535,
     536,   537,   538,     0,   539,   540,   541,     0,     0,   542,
     543,   544,   545,   546,     0,   547,   548,   549,   550,   551,
     552,   553,     0,     0,   554,   555,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,     0,   566,
       0,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
    1062,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
     244,   245,   246,   247,     0,  1063,   250,  1064,  1065,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
    1066,  1067,   263,     0,   264,   265,   266,   267,     0,     0,
     269,     0,   270,   271,   272,   273,   274,   275,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,   285,
     286,   287,   288,     0,     0,     0,   289,     0,     0,     0,
     290,   291,   292,   293,   294,   295,  1068,  1069,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,  1070,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,     0,   326,   327,   328,     0,     0,   330,
       0,   331,   332,  1071,   334,     0,   335,     0,   336,   337,
       0,   338,   339,   340,   341,   342,     0,   343,     0,     0,
       0,   346,   347,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,   366,     0,   368,   369,   370,   371,
    1073,  1074,     0,  1075,     0,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,     0,     0,   385,     0,   387,
     388,   389,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,  1076,   410,  1077,   412,   413,   414,
       0,     0,   416,   417,   418,   419,  2266,     0,   421,  1078,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,     0,   434,   435,   436,     0,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,     0,   450,     0,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
    1079,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,     0,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,  2170,   508,   509,   510,
     511,   512,  1081,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   529,
       0,   530,   531,  3949,   532,   533,   534,   535,   536,   537,
     538,     0,   539,  1082,  1083,     0,     0,   542,   543,     0,
     545,     0,     0,   547,   548,   549,   550,   551,   552,   553,
       0,     0,   554,   555,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,     0,  1084,     0,   566,   567,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,  1062,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   590,   591,   592,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,   244,   245,   246,   247,     0,  1063,
     250,  1064,  1065,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   259,   260,  1066,  1067,   263,     0,   264,   265,
     266,   267,     0,     0,   269,     0,   270,   271,   272,   273,
     274,   275,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,   285,   286,   287,   288,     0,     0,     0,
     289,     0,     0,     0,   290,   291,   292,   293,   294,   295,
    1068,  1069,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,  1070,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,     0,   326,   327,
     328,     0,     0,   330,     0,   331,   332,  1071,   334,     0,
     335,     0,   336,   337,     0,   338,   339,   340,   341,   342,
       0,   343,     0,     0,     0,   346,   347,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,   366,     0,
     368,   369,   370,   371,  1073,  1074,     0,  1075,     0,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,     0,
       0,   385,     0,   387,   388,   389,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,  1076,   410,
    1077,   412,   413,   414,  2338,     0,   416,   417,   418,   419,
       0,     0,   421,  1078,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,     0,   431,   432,     0,
     434,   435,   436,     0,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,     0,   447,   448,     0,   450,     0,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,  1079,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,   484,   485,   486,   487,   488,
     489,     0,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
    1080,   508,   509,   510,   511,   512,  1081,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,     0,   529,     0,   530,   531,     0,   532,   533,
     534,   535,   536,   537,   538,     0,   539,  1082,  1083,     0,
       0,   542,   543,     0,   545,     0,     0,   547,   548,   549,
     550,   551,   552,   553,     0,     0,   554,   555,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,     0,  1084,
       0,   566,   567,   568,   569,   570,   571,     0,     0,   572,
       0,     0,   573,   574,   575,   576,   577,   578,  1062,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   590,
     591,   592,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,   244,   245,
     246,   247,     0,  1063,   250,  1064,  1065,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,  1066,  1067,
     263,     0,   264,   265,   266,   267,     0,     0,   269,     0,
     270,   271,   272,   273,   274,   275,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,   285,   286,   287,
     288,     0,     0,     0,   289,     0,     0,     0,   290,   291,
     292,   293,   294,   295,  1068,  1069,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,  1070,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,     0,   326,   327,   328,     0,     0,   330,     0,   331,
     332,  1071,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,     0,     0,     0,   346,
     347,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,     0,   368,   369,   370,   371,  1073,  1074,
       0,  1075,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,     0,   387,   388,   389,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,  1076,   410,  1077,   412,   413,   414,  3757,     0,
     416,   417,   418,   419,     0,     0,   421,  1078,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,     0,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,     0,   447,
     448,     0,   450,     0,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,  1079,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,     0,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,  1080,   508,   509,   510,   511,   512,
    1081,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,     0,   529,     0,   530,
     531,     0,   532,   533,   534,   535,   536,   537,   538,     0,
     539,  1082,  1083,     0,     0,   542,   543,     0,   545,     0,
       0,   547,   548,   549,   550,   551,   552,   553,     0,     0,
     554,   555,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,     0,  1084,     0,   566,   567,   568,   569,   570,
     571,     0,     0,   572,     0,     0,   573,   574,   575,   576,
     577,   578,  1062,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   590,   591,   592,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,   244,   245,   246,   247,     0,  1063,   250,  1064,
    1065,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,  1066,  1067,   263,     0,   264,   265,   266,   267,
       0,     0,   269,     0,   270,   271,   272,   273,   274,   275,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,   285,   286,   287,   288,     0,     0,     0,   289,     0,
       0,     0,   290,   291,   292,   293,   294,   295,  1068,  1069,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,  1070,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,     0,   326,   327,   328,     0,
       0,   330,     0,   331,   332,  1071,   334,  5298,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
       0,     0,     0,   346,   347,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,     0,   368,   369,
     370,   371,  1073,  1074,     0,  1075,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
       0,   387,   388,   389,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,  1076,   410,  1077,   412,
     413,   414,     0,     0,   416,   417,   418,   419,     0,     0,
     421,  1078,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,     0,   434,   435,
     436,     0,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,     0,   450,     0,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,  1079,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,     0,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,  1080,   508,
     509,   510,   511,   512,  1081,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   529,     0,   530,   531,     0,   532,   533,   534,   535,
     536,   537,   538,     0,   539,  1082,  1083,     0,     0,   542,
     543,     0,   545,     0,     0,   547,   548,   549,   550,   551,
     552,   553,     0,     0,   554,   555,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,     0,  1084,     0,   566,
     567,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,  1062,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   590,   591,   592,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,   244,   245,   246,   247,
       0,  1063,   250,  1064,  1065,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,  1066,  1067,   263,     0,
     264,   265,   266,   267,     0,     0,   269,     0,   270,   271,
     272,   273,   274,   275,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,   285,   286,   287,   288,     0,
       0,     0,   289,     0,     0,     0,   290,   291,   292,   293,
     294,   295,  1068,  1069,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,  1070,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,     0,
     326,   327,   328,     0,     0,   330,     0,   331,   332,  1071,
     334,     0,   335,     0,   336,   337,     0,   338,   339,   340,
     341,   342,     0,   343,     0,     0,     0,   346,   347,     0,
     348,   349,   350,   351,  1072,   353,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
     366,     0,   368,   369,   370,   371,  1073,  1074,     0,  1075,
       0,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,     0,     0,   385,     0,   387,   388,   389,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
    1076,   410,  1077,   412,   413,   414,     0,     0,   416,   417,
     418,   419,     0,     0,   421,  1078,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,     0,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,     0,   447,   448,     0,
     450,     0,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,  1079,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,     0,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,  1080,   508,   509,   510,   511,   512,  1081,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   529,     0,   530,   531,     0,
     532,   533,   534,   535,   536,   537,   538,     0,   539,  1082,
    1083,     0,     0,   542,   543,     0,   545,     0,     0,   547,
     548,   549,   550,   551,   552,   553,     0,     0,   554,   555,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
       0,  1084,     0,   566,   567,   568,   569,   570,   571,     0,
       0,   572,     0,     0,   573,   574,   575,   576,   577,   578,
    1062,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   590,   591,   592,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
     244,   245,   246,   247,     0,  1063,   250,  1064,  1065,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
    1066,  1067,   263,     0,   264,   265,   266,   267,     0,     0,
     269,     0,   270,   271,   272,   273,   274,   275,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,   285,
     286,   287,   288,     0,     0,     0,   289,     0,     0,     0,
     290,   291,   292,   293,   294,   295,  1068,  1069,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,  1070,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,     0,   326,   327,   328,     0,     0,   330,
       0,   331,   332,  1071,   334,     0,   335,     0,   336,   337,
       0,   338,   339,   340,   341,   342,     0,   343,     0,     0,
       0,   346,   347,     0,   348,   349,   350,   351,  1130,   353,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,   366,     0,   368,   369,   370,   371,
    1073,  1074,     0,  1075,     0,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,     0,     0,   385,     0,   387,
     388,   389,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,  1076,   410,  1077,   412,   413,   414,
       0,     0,   416,   417,   418,   419,     0,     0,   421,  1078,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,     0,   434,   435,   436,     0,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,     0,   450,     0,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
    1079,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,     0,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,  1080,   508,   509,   510,
     511,   512,  1081,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   529,
       0,   530,   531,     0,   532,   533,   534,   535,   536,   537,
     538,     0,   539,  1082,  1083,     0,     0,   542,   543,     0,
     545,     0,     0,   547,   548,   549,   550,   551,   552,   553,
       0,     0,   554,   555,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,     0,  1084,     0,   566,   567,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,  1062,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   590,   591,   592,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,   244,   245,   246,   247,     0,  1063,
     250,  1064,  1065,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   259,   260,  1066,  1067,   263,     0,   264,   265,
     266,   267,     0,     0,   269,     0,   270,   271,   272,   273,
     274,   275,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,   285,   286,   287,   288,     0,     0,     0,
     289,     0,     0,     0,   290,   291,   292,   293,   294,   295,
    1068,  1069,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,  1070,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,     0,   326,   327,
     328,     0,     0,   330,     0,   331,   332,  1071,   334,     0,
     335,     0,   336,   337,     0,   338,   339,   340,   341,   342,
       0,   343,     0,     0,     0,   346,   347,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,   366,     0,
     368,   369,   370,   371,  1073,  1074,     0,  1075,     0,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,     0,
       0,   385,     0,   387,   388,   389,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,  1076,   410,
    1077,   412,   413,   414,     0,     0,   416,   417,   418,   419,
       0,     0,   421,  1078,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,     0,   431,   432,     0,
     434,   435,   436,     0,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,     0,   447,   448,     0,   450,     0,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,  1079,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,   484,   485,   486,   487,   488,
     489,     0,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
    1080,   508,   509,   510,   511,   512,  1081,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,     0,   529,     0,   530,   531,     0,   532,   533,
     534,   535,   536,   537,   538,     0,   539,  1082,  1083,     0,
       0,   542,   543,     0,   545,     0,     0,   547,   548,   549,
     550,   551,   552,   553,     0,     0,   554,   555,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,     0,  1084,
       0,   566,   567,   568,   569,   570,   571,     0,     0,   572,
       0,     0,   573,   574,   575,   576,   577,   578,  1062,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   590,
     591,   592,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,   244,   245,
     246,   247,     0,  1063,   250,  1064,  1065,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,  1066,  1067,
     263,     0,   264,   265,   266,   267,     0,     0,   269,     0,
     270,   271,   272,   273,   274,   275,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,   285,   286,   287,
     288,     0,     0,     0,   289,     0,     0,     0,   290,   291,
     292,   293,   294,   295,  1068,  1069,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,  1070,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,     0,   326,   327,   328,     0,     0,   330,     0,   331,
     332,  1071,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,     0,     0,     0,   346,
     347,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,     0,   368,   369,   370,   371,  1073,  1074,
       0,  1075,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,     0,   387,   388,   389,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,  1076,   410,  1077,   412,   413,   414,     0,     0,
     416,   417,   418,   419,     0,     0,   421,  1078,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,     0,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,     0,   447,
     448,     0,   450,     0,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,  1079,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,     0,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,  2170,   508,   509,   510,   511,   512,
    1081,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,     0,   529,     0,   530,
     531,     0,   532,   533,   534,   535,   536,   537,   538,     0,
     539,  1082,  1083,     0,     0,   542,   543,     0,   545,     0,
       0,   547,   548,   549,   550,   551,   552,   553,     0,     0,
     554,   555,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,     0,  1084,     0,   566,   567,   568,   569,   570,
     571,     0,     0,   572,     0,     0,   573,   574,   575,   576,
     577,   578,  1062,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   590,   591,   592,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,   244,   245,   246,   247,     0,  1063,   250,  1064,
    1065,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,  1066,  1067,   263,     0,   264,   265,   266,   267,
       0,     0,   269,     0,   270,   271,   272,   273,   274,   275,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,   285,   286,   287,   288,     0,     0,     0,   289,     0,
       0,     0,   290,   291,   292,   293,   294,   295,  1068,  1069,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,  1070,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,     0,   326,   327,   328,     0,
       0,   330,     0,   331,   332,  1071,   334,     0,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
       0,     0,     0,   346,   347,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,     0,   368,   369,
     370,   371,  1073,  1074,     0,  1075,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
       0,   387,   388,   389,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,  1076,   410,  1077,   412,
     413,   414,     0,     0,   416,   417,   418,   419,     0,     0,
     421,  1078,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,     0,   434,   435,
     436,     0,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,     0,   450,     0,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,  1079,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,     0,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,     0,   508,
     509,   510,   511,   512,  1081,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   529,     0,   530,   531,     0,   532,   533,   534,   535,
     536,   537,   538,     0,   539,  1082,  1083,     0,     0,   542,
     543,     0,   545,     0,     0,   547,   548,   549,   550,   551,
     552,   553,     0,     0,   554,   555,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,     0,  1084,     0,   566,
     567,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,  1062,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   590,   591,   592,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,   244,   245,   246,   247,
       0,     0,   250,     0,     0,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,     0,     0,   263,     0,
     264,   265,   266,   267,     0,     0,   269,     0,   270,   271,
     272,   273,   274,   275,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,   285,   286,   287,   288,     0,
       0,     0,   289,     0,     0,     0,   290,   291,   292,   293,
     294,   295,     0,     0,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,     0,
     326,   327,   328,     0,     0,   330,     0,   331,   332,     0,
     334,     0,   335,     0,   336,   337,     0,   338,   339,   340,
     341,   342,     0,   343,     0,     0,     0,   346,   347,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
     366,     0,   368,   369,   370,   371,     0,     0,     0,     0,
       0,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,     0,     0,   385,     0,   387,   388,   389,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
       0,   410,     0,   412,   413,   414,     0,     0,   416,   417,
     418,   419,     0,     0,   421,     0,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,     0,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,     0,   447,   448,     0,
     450,     0,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,     0,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,     0,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,     0,   508,   509,   510,   511,   512,     0,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   529,     0,   530,   531,     0,
     532,   533,   534,   535,   536,   537,   538,     0,   539,     0,
       0,     0,     0,   542,   543,     0,   545,     0,     0,   547,
     548,   549,   550,   551,   552,   553,     0,     0,   554,   555,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
       0,     0,     0,   566,   567,   568,   569,   570,   571,     0,
       0,   572,     0,     0,   573,   574,   575,   576,   577,   578,
    4962,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   590,   591,   592,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
       0,   245,   246,   247,     0,     0,     0,     0,     0,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
       0,     0,   263,     0,   264,   265,   266,   267,     0,     0,
       0,     0,   270,   271,   272,   273,   274,     0,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,     0,
     286,   287,   288,     0,     0,     0,     0,     0,     0,     0,
     290,   291,   292,   293,   294,   295,     0,     0,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,     0,   326,   327,   328,     0,     0,   330,
       0,   331,   332,     0,   334,     0,   335,     0,   336,     0,
       0,     0,   339,   340,   341,   342,     0,   343,     0,     0,
       0,   346,   347,     0,   348,   349,   350,   351,   352,     0,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,     0,     0,   368,   369,   370,   371,
       0,     0,     0,     0,     0,   375,     0,     0,   378,     0,
     380,   381,   382,   383,   384,     0,     0,   385,     0,     0,
     388,     0,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,     0,     0,     0,   412,   413,   414,
       0,     0,   416,   417,     0,   419,     0,     0,   421,     0,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,     0,     0,   435,     0,     0,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,     0,   450,     0,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
       0,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,     0,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,     0,   508,   509,     0,
     511,   512,     0,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   529,
       0,   530,   531,     0,   532,     0,   534,   535,   536,   537,
     538,     0,   539,     0,     0,     0,     0,   542,   543,     0,
     545,     0,     0,   547,   548,   549,   550,   551,   552,   553,
       0,     0,   554,   555,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,     0,     0,     0,   566,     0,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   590,   591,   592
};

static const yytype_int16 yycheck[] =
{
       6,   204,     0,    52,   204,   912,     0,    45,    37,   661,
    1153,   628,     0,  1110,   199,   182,     0,    23,   842,    25,
       0,   791,   207,    29,  1080,   210,   793,    21,   928,    35,
      36,    37,  1433,    39,   943,   853,    42,    43,   815,    45,
    1559,    47,   939,   740,   741,   742,   937,  2505,   913,   746,
    1478,  2862,    13,    22,   190,  1495,   708,  1175,     6,    28,
    2703,  2577,  1083,  2399,    46,   816,  1212,  1025,   209,  2174,
    2175,  1717,  3309,  1796,   800,  1068,  1069,  1478,  2912,    23,
    1966,  2518,   223,  1471,  3649,  1078,   619,  3017,   865,  3044,
     684,  3604,  3071,    37,  3073,  3356,    18,  2420,  3359,   999,
       8,  1985,  1484,  1003,   698,  2337,  2679,    15,  1008,  3549,
     707,  3701,     0,  1621,  2921,   769,  4183,  3578,  1018,  3645,
    3882,   697,  3328,   169,  3274,  3938,  3921,  3737,  3263,   184,
     879,   671,  1032,    21,  2073,   702,   682,   670,  3339,   685,
    2886,  3584,  3926,  4533,   796,    36,     0,   661,  1588,  1589,
    4585,  2029,    43,  4420,     0,     0,  2794,   697,     0,     0,
       0,  1462,  1808,  3925,  1410,   184,  4428,    51,   820,   946,
       0,     0,     0,     0,  1014,  1898,    42,  2106,  2138,  4605,
     218,   833,     0,  4371,   190,   191,   192,   193,  2117,   195,
    1030,     0,  3326,   199,  2931,   201,  2140,  4690,   204,  3625,
    1582,   207,   912,  3512,   210,     0,   839,   213,  4731,   215,
     920,  4549,   218,  4551,  1357,   863,   222,   839,   224,  4645,
     930,  1522,     5,  4743,     5,    11,  4965,     0,    35,  4684,
     941,  4419,    13,    14,     5,     9,     0,     0,  1539,    49,
       0,  4059,  4939,  3583,    57,  3585,     5,     5,    79,  1242,
    1243,  1272,    87,     5,    42,   903,   145,     5,    57,    29,
     908,  2006,     5,   163,    42,     5,  1066,  1067,     5,  1262,
      13,    14,     5,    13,    14,     5,  2508,  1077,     4,    11,
      57,  1099,   796,     9,    26,     5,     0,  2925,    57,     5,
      39,  4842,  4843,   158,     5,   992,   112,  1619,  1620,   180,
     138,  1425,   163,   106,   119,    32,    74,    21,    40,   145,
     114,     5,     9,     0,   170,     5,    84,    39,   105,     5,
     163,  4676,     9,     5,     5,  3019,   163,     0,   309,  3939,
     144,   163,   114,   289,  4652,  4653,     9,   163,    52,    26,
      72,   270,   269,   144,   187,  4007,  4008,   264,  4010,  4011,
    4012,  4013,  4014,    26,   112,    29,   213,   269,   264,   756,
     117,   340,    57,    38,    62,    26,   163,   114,   104,    74,
      72,   126,   289,   128,   131,   316,   258,     5,   344,    57,
     270,  5283,   285,   289,    22,  1039,   386,  2619,   191,  2621,
     163,   141,  4847,   335,   163,   252,   115,   398,   284,   163,
     163,    36,  5141,   163,  1153,   163,   254,   211,   340,    74,
     421,   259,    57,   421,   187,   955,  1374,    86,   285,    84,
       3,     4,     5,   187,   187,   440,     9,   187,   628,   211,
      43,  1231,  1232,  4859,    11,  5132,   478,    57,    26,   481,
     980,    74,     4,  1352,  4967,    33,    57,     9,   463,  1340,
     254,    84,    65,    26,   357,   995,   117,   324,  1258,   128,
      33,   350,   310,    40,   183,  4732,   477,   822,  4806,   477,
     184,   357,   254,   311,    26,   225,   163,   477,   420,   679,
     481,    33,   364,  1135,    22,   626,   121,   419,   431,  1545,
     163,   632,   433,   131,   329,    72,   477,   386,   477,   254,
     187,  1153,   238,   360,   645,   241,    74,    11,   312,   264,
     185,   477,   259,    74,   187,  1292,  2464,   330,  2466,    74,
     917,   477,  2470,  1117,  2472,  2473,  5428,   163,    84,   112,
     312,   330,  5271,  2481,  2482,  2483,    40,   164,   427,   163,
     201,   344,   299,  1320,  1198,   114,   360,   187,   477,  4904,
     477,   440,   133,   330,   252,   445,   163,   327,  1155,   360,
     477,   398,   419,   475,  1473,  1217,   117,   479,    72,   259,
     340,   477,   342,   259,   463,   344,  3649,   259,   259,  3273,
     411,   481,   385,   386,   366,  5040,   105,  1181,   477,  1338,
    5045,    11,    26,   131,  1343,  1344,   477,   440,    11,   386,
     436,   607,  3737,  1197,  5039,  5344,   421,   613,  1357,   615,
     398,   617,   477,   619,   612,   621,   105,  5140,   612,  1213,
     481,  1135,   628,   206,   612,   481,  3761,   633,   612,   635,
     398,  1755,   612,   403,   383,   330,   642,  5130,   426,   477,
     398,  4081,  5193,  5340,   386,   228,   481,   430,   426,   481,
     466,   477,   330,   327,  1554,  1195,  3893,  1557,  4119,   708,
     666,   383,  4123,   432,   670,  4108,   712,   477,   481,   675,
     477,   398,  5411,   679,   477,   842,   682,   481,  4496,   685,
     374,   375,   481,  1335,   481,   330,   608,   473,  1528,   350,
    4957,  1343,  1344,   398,   477,   701,   477,  3652,  3935,  1410,
    1565,  1450,   476,  1217,   481,  1357,   477,   480,   466,   442,
     330,  1460,  5451,   707,   752,  4024,   480,   480,   477,   330,
     480,   479,  1619,  1620,  1621,   477,  1617,   475,  3934,   477,
     463,   479,  2964,   398,   477,  1575,  4162,   477,  1448,  5262,
     477,   473,   468,   469,   477,   706,   752,   477,  2070,   755,
     756,   757,   721,  5071,   723,  5275,   725,   477,   419,  1392,
     963,   477,   731,   963,   770,  3915,   477,  4107,  4835,  4109,
    1392,   468,   469,   475,   959,   830,  5202,   479,   816,   367,
     965,   468,   469,   968,   790,   791,   481,   793,   794,  5215,
    1145,   398,   798,   480,   367,   468,   469,  1546,  1365,  1509,
    1549,  1550,  1626,   481,  3939,  1902,   812,   480,   846,  4471,
     816,   830,   948,    20,   442,   367,   822,    22,  1936,   357,
     708,  1335,  1470,  5346,   862,  4415,  3162,   735,   834,  2934,
     398,  2936,  5170,    66,   832,   463,   481,   398,   832,     3,
     846,   481,   398,   398,   832,   481,  1943,  3981,   832,   477,
     477,    84,   832,   477,   423,   436,   862,  1954,  2286,   466,
     294,   481,    81,  3300,   755,   756,   757,   386,   419,  5136,
     481,  1864,   479,  2255,   880,  1523,   105,  5139,   440,   885,
     886,   419,    57,   105,   175,   468,   469,  5410,  3843,     3,
    5316,   252,  1540,   470,   471,   472,   473,   386,   612,  1516,
    3637,   463,   112,    34,   123,     5,   468,   469,   105,   142,
     916,   917,  3842,   172,   163,  5350,  5351,   398,   352,    83,
     304,  1384,    27,   342,    25,  5113,   131,   160,   794,   117,
     175,  2891,   798,   939,   940,    22,  1291,   144,   324,   823,
    2186,    28,   948,   324,   832,  2453,  2875,  5135,  2892,  5442,
     207,  2333,    47,   959,   164,   289,   390,   963,   392,   965,
    4722,   252,   968,   252,   468,   469,   470,   471,   472,   473,
     358,   135,  1512,   269,   120,  2276,   357,   983,   832,   317,
    1729,   112,   117,  2922,   403,  3623,   832,   832,  2866,  5379,
     832,   832,   832,   707,   708,     3,  5263,     5,   112,  1005,
     481,   164,   832,   832,   832,   832,  1012,  1013,  3240,  3241,
    5272,  4621,   398,   201,   832,  3761,  4581,   264,  5453,  2764,
    2765,   264,   421,   832,  2769,   916,   917,   855,  1034,  1035,
    1036,  3961,  1038,   160,  1040,  1041,  1042,   832,  2557,  1839,
    1840,  1752,   289,  1398,   131,   255,   289,  4487,   468,   469,
     470,   471,   472,   473,    26,   107,  2199,   470,   471,   472,
     473,  2806,  2807,   275,   165,    24,   201,   231,   287,   302,
    3904,    70,    66,   165,     3,  1984,   335,  4538,   477,   112,
     285,    81,  4543,   191,   755,  4546,    45,   182,   426,   477,
    5352,  4534,   187,   477,  5356,   112,    49,   202,   459,   107,
      95,  3333,    84,     8,  1110,    77,  1112,  1113,  1805,     5,
      15,    16,    17,    85,  2170,   215,   830,  2026,   832,   324,
     165,   285,   275,   123,  1046,   288,    81,   179,   117,   224,
     112,    22,   354,   340,   425,    22,   425,    28,  4922,  1145,
     254,   113,    57,   477,   275,   259,    35,  5409,   142,   398,
     103,    81,   357,   360,    83,   330,   107,   386,  3263,  4921,
    4955,  1155,   350,  2072,  4977,    54,   160,  4404,   123,  1175,
    1176,   179,   391,  2070,  1180,  4959,  1182,   172,   324,  4440,
     425,   414,  1722,   158,  1951,  1952,    22,  2575,   240,   386,
    5452,   243,    66,   123,   106,   167,  4958,  1203,   285,  1739,
     363,  5268,  5269,  1209,  4410,   306,  1212,   136,   180,  1215,
    5472,   421,   201,  5475,   306,   104,  4417,  1757,    22,   424,
     192,   254,  4177,  1229,   481,   389,   271,   391,   179,    81,
     477,   419,   240,   141,   477,   243,   610,   324,   112,  4218,
     131,   342,  1291,   202,   131,   916,  2023,   200,  3353,   105,
    1158,   275,  1160,  1259,  1162,   155,  1164,   252,  1166,  1167,
    1168,  1913,  1838,   342,   193,  1173,   283,   362,   267,   481,
     357,   123,   254,  1813,   255,   159,  1870,  2174,   386,   191,
     324,  1287,  1288,  1289,   419,  1291,  1826,   287,   386,   240,
    1884,  3239,   243,   167,  1827,   131,   348,   205,  1838,   252,
     401,   190,   124,  1897,    11,  1311,   407,  4833,   302,   193,
    1850,   344,   134,   357,  1360,  1912,  1516,   217,    26,  1895,
     179,  1867,  1377,  1378,   403,  1380,  2037,   131,   481,  4769,
     704,   376,   287,   350,    58,   466,  1882,   252,  1905,  1885,
     348,  4802,    66,  1349,   475,  5412,   477,   478,   479,   238,
     481,   326,   241,  4160,  1894,  1895,  1394,   287,  1377,  1378,
     157,  1380,   291,   252,   284,    72,   271,   275,   175,   386,
      22,  4961,   357,  1379,    91,  1942,    28,  1383,  1384,  1946,
     254,   240,   240,  1950,  2151,   259,  1953,  2004,  1394,  1395,
    1396,   391,  1398,   346,   285,   284,   252,   348,   285,  1945,
     395,   373,  1948,  1949,   376,    32,   458,   723,   724,   725,
     427,   785,   728,   729,   730,   330,  1422,   406,   126,   237,
     414,  4861,   738,   440,   166,   477,  4866,  4867,   302,  4002,
     419,   114,   344,   324,  3950,   287,   391,   324,   419,   283,
     329,  1155,   357,   112,   318,   252,   463,     3,   357,   285,
     458,  1457,   169,   116,   478,  2107,  1462,   481,  4531,  1465,
     477,   391,   351,   285,  2371,   234,   357,   350,  5033,   273,
     357,  1477,  1478,   385,   386,  2186,   112,  1832,   285,   131,
     175,  1487,   371,   412,  1490,   234,  4621,   357,   324,   348,
     348,   420,  2032,   301,   423,  4568,   481,   155,   166,   301,
     297,   273,   324,   386,   228,   413,   350,   458,  4581,   153,
    1516,  1225,  1518,   285,   174,  4721,  1522,   324,   145,  2616,
    1523,   357,   158,  1445,   328,   329,   329,    83,   211,  5042,
    5043,  1245,  4733,  1539,  3870,  1541,   145,  1540,  1544,   391,
     414,  1579,   386,  2006,   427,   208,  2859,  2199,   126,   168,
     128,  2014,   324,   357,   357,    26,  2453,   252,  4708,   464,
     465,   466,  1276,   468,   469,   470,   471,   472,   473,  3905,
     116,   254,   481,  1579,   400,  2285,  2416,  1291,   273,   135,
    3464,   225,   285,   427,  1590,  1591,  1592,  1593,  1594,   478,
     259,  3914,   400,   251,   477,   344,   440,   339,   400,  2912,
    2351,  2352,  1608,   345,  2355,   400,   340,  2318,   342,   228,
     352,   481,   234,  1619,  1620,  1621,   153,   443,   425,   463,
     389,   324,   266,  2447,  2448,  2449,  2375,  3146,  1983,   312,
    1985,  2342,  3737,   477,  2383,   443,  1991,  2386,   213,   307,
     389,   443,  1997,  1998,  1999,   387,  3034,   112,   417,   431,
     214,   311,  2007,  2008,   357,   126,  3761,  2012,   164,  2192,
     432,  2371,   208,  1377,  1378,  2128,  1380,   409,   417,   403,
    4743,   339,   275,   442,  2514,   231,  1879,   252,  1878,  1879,
    3403,   341,   187,  1868,   352,   165,   264,  1823,   225,  2283,
    2401,   197,   158,   442,  2404,   477,  2236,  2537,  2538,  2539,
    2540,  4938,  1530,   169,   143,     0,   212,  1535,   477,  2549,
    2250,  1717,  3220,  1719,  3600,   180,   222,   442,  3226,   387,
     340,   187,   344,  4678,   398,  1731,  1732,  2437,   477,   285,
     425,   114,  2361,  4221,  2574,   385,   292,   312,   463,  4227,
    3972,   350,  3974,   316,   347,  1751,  3491,  3492,  3493,  3494,
     189,  2291,  3497,  3498,  3499,  3500,  3501,  3502,  3503,  3504,
    3505,  3506,  2513,   284,  1770,  4966,   386,   389,   324,  4975,
     420,   390,   328,   392,   477,  1603,   285,   386,   351,  1607,
    1786,  1787,  1788,  1789,  3166,   360,  4936,   292,  2499,   254,
    5355,   271,   466,  1799,   153,   417,  5309,   115,   417,   158,
    1806,   357,  1808,  4953,  2004,   479,  2435,   284,  3553,  3554,
     115,   153,   195,   386,  1820,   324,   158,  1823,   427,   324,
     442,  1827,  4465,   328,  2357,  4755,  1832,  1530,   334,   141,
     165,   440,  1535,   389,  3939,   391,   357,   104,   285,   326,
    1156,   153,  4992,  1159,   419,  1161,   158,  1163,   357,  1165,
     480,  2969,   357,  1169,   463,   477,  4618,   126,   437,   128,
     433,  1867,  1868,   198,   158,   183,   225,   333,   477,   252,
    2567,   254,  1878,  1879,  4853,   114,  1882,   324,   183,  1885,
     357,  3829,   151,   225,   440,  3833,  3834,   181,  3836,  5150,
     163,  5456,   159,   205,   316,  3335,  1902,  1903,  4660,   285,
    1603,   442,   481,  1909,  1607,  1911,   477,   266,     8,   340,
     357,    11,  4370,   225,   187,    15,    16,    17,  1912,   158,
    2669,   158,   463,  1961,   266,    32,   193,  5133,  2580,   351,
    1936,  5004,  4575,  5134,  4577,   440,   477,  1943,   324,  1945,
    4751,   372,  1948,  1949,   181,  1951,  1952,  1976,  1954,  2942,
    2490,  4409,  4389,   440,   266,  1961,   195,    29,   463,   328,
    5033,   481,  1968,   275,   386,  5115,  4198,  4199,  1966,  1975,
    1976,   238,  1966,  1979,   241,   442,   463,  1983,  1966,  1985,
     440,    53,  1966,  2635,  1990,  1991,  1966,   390,   357,   392,
     259,  1997,  1998,  1999,   481,   264,   463,  2003,  2004,  2005,
    2006,  2007,  2008,  2009,  2010,   304,  2012,  3653,  2014,  2015,
     477,   433,  2018,   252,  1922,   254,  1924,   285,  1926,   403,
    1928,   481,  1930,  4359,   234,  1913,  1934,  2033,  2034,  2035,
    2036,  1975,   292,   263,  2040,  2041,   285,  2861,  2241,  2045,
    5277,  2241,  2048,  2697,  2698,  2051,  2052,  2053,  2054,  2055,
    2056,  2057,  2058,  2059,  2239,  2061,   324,  2242,  2243,  4989,
    1982,  2067,  2068,  5264,  2070,  5138,  2580,   285,   328,  3484,
     168,  2077,   312,   433,  2785,   324,   237,  4580,   141,   328,
    2791,   390,    24,   392,  4587,   325,    11,   187,   285,   357,
     153,  4902,  5047,   254,   440,   158,  2232,   357,  3513,  2666,
    2106,   413,   320,    45,   328,  5255,   324,  2113,   357,   209,
    4944,  2117,  2118,   353,  2932,    40,     8,  3862,  2867,    11,
     440,  2635,  2128,    15,    16,    17,   126,   324,   128,   215,
     228,  2137,  2138,   357,   344,   481,   405,   361,  2864,   357,
     347,  2282,   205,   463,  5345,  2151,   415,    72,   350,   440,
       5,   151,  2158,  2693,  2160,  3020,    11,   158,  2156,   239,
     357,   481,   225,   475,    19,    74,   478,   479,  1774,   250,
    2710,   271,  2201,   477,  2203,    84,   477,   440,  2533,   389,
     181,  3046,   168,    38,   386,  2725,  2192,   268,  5338,  3708,
     481,   466,  1798,  3916,   403,  2201,  3314,  2203,  1912,    83,
     463,   326,  5275,   266,   479,  2822,  3324,   417,     4,  2605,
    2606,  2607,   275,     9,  2220,  2867,  2254,  5454,   316,  2360,
     475,  5032,     4,  2111,   479,   427,  2232,     9,  2234,  2235,
    2199,   403,   442,  2239,  2589,  2241,  2242,  2243,   440,  2245,
     124,  2247,   228,    22,  5199,  2251,    63,    64,  2254,    28,
     134,   237,  1966,  4589,   254,  5405,   347,   478,    91,   259,
     481,   463,  3575,   237,   264,  3578,  3706,   477,  3708,   907,
    2276,  3699,    30,    31,   237,   477,  5349,  4893,   111,  4895,
    2286,   269,  5355,  4899,  4900,   191,   274,   925,  2294,  2295,
     928,  3937,   390,  2434,   392,   476,  2302,   234,  3444,    88,
     481,  2764,  2765,  3685,    92,  2311,  2769,   477,   403,   479,
     141,  3021,   145,  2351,  2352,     4,   476,  2355,   181,   417,
       9,   481,   153,  3220,   475,  2331,   477,   158,  2042,  3226,
    2336,  2337,  4948,    91,  2986,   433,  3649,   269,  2777,   239,
    2779,  2780,   274,  2806,  2807,  2351,  2352,    53,  3306,  2355,
     413,  2357,  2358,   111,  3375,  3376,  5311,    80,   478,  3741,
     234,   481,  2956,  2957,   464,   465,   466,  3267,   468,   469,
     470,   471,   472,   473,   205,  2381,   164,   433,  2384,   271,
     234,   347,  4330,  5456,  4332,  4333,  3096,   145,  4336,   215,
     472,   903,  2959,   477,   225,   477,   908,   479,     9,  2405,
    2406,   285,   477,   472,   390,   405,   392,   344,   477,   197,
     479,  2766,    13,    14,  2420,   415,  2422,  2423,   478,   478,
    3260,   481,   481,  2778,   212,   475,   440,   477,   442,   479,
     478,   417,   269,   481,   222,   266,   320,   477,   481,   479,
     324,  5396,  2156,   344,   275,  2451,  2452,  2453,    30,    31,
    2990,  2457,   389,   478,   200,  2810,   481,  2463,   478,   478,
     248,   481,   481,   209,  4980,  2471,   477,  4699,  2474,  3009,
     344,   433,  2986,   357,  2480,  2513,   478,   223,    53,   481,
     417,   269,   390,  2489,   392,  2491,   478,   320,  3928,   481,
     344,   478,   431,  2848,   481,   478,  5307,   211,   481,  2505,
    4836,    80,  2508,   478,  2510,   442,   481,  2513,   460,  4845,
     234,  2517,   340,   341,  2520,   389,  4621,   350,    84,   479,
    3114,   478,  3923,   390,   481,   392,  2532,  2533,  2713,   340,
     341,  2716,  3650,  3651,  2719,   389,   340,   341,   478,  3133,
     477,   481,   478,   417,  2550,   481,   334,   478,    43,  5192,
     481,  3262,   272,   386,  2560,  3943,  2562,   478,  2519,   272,
     481,  2559,   320,   417,  3104,   269,  3106,   478,   442,   158,
     481,  2707,   464,   465,   466,   269,   468,   469,   470,   471,
     472,   473,   413,  2589,   340,   341,   234,   234,   442,   460,
     478,  3904,   350,   481,   427,   478,  3293,  3308,   481,  5165,
    5166,     3,   168,   477,   836,   478,   838,   440,   481,  5420,
    2616,   272,  2618,  2619,  2620,  2621,   440,  3269,   442,  3271,
     344,    23,  2822,   477,  3533,   191,   478,    43,   386,   481,
     463,   141,   478,   421,    92,   481,   478,  5289,  5290,   481,
    4745,  3634,   478,   153,   477,   481,   478,   460,   158,   481,
    2656,   478,   211,   478,   481,  3195,   481,   478,   478,   162,
     481,   481,   228,     8,   478,   389,    11,   481,   477,   427,
      15,    16,    17,   431,  5485,   478,   478,  3428,   481,   481,
     470,    83,   440,   255,   256,   478,  2886,    32,   481,   440,
    3284,   442,  3286,   417,  3234,   205,   344,   344,   481,   234,
    3352,  2707,   478,  3594,  3453,   463,   164,  2713,   274,   478,
    2716,   478,   481,  2719,  4233,   225,  4664,  2766,   442,   477,
      53,   478,  2728,  3632,   481,   478,   478,   163,   481,   481,
    2736,    66,   479,   478,   136,  2741,   481,    72,  4483,   197,
     478,   389,   389,   481,     8,   478,   477,    11,   481,    84,
     478,   207,   480,   477,   212,  3269,   266,  3271,  2764,  2765,
    2766,  2810,   477,  2769,   222,   275,   478,   256,   480,   417,
     417,  2777,  2778,  2779,  2780,   444,    40,   112,   350,   114,
    4124,   477,  4126,    47,  2790,   187,   477,  2793,  4216,  2795,
     248,   193,  3332,   324,   442,   442,  5254,   187,   146,   478,
    2806,  2807,   481,   477,  2810,   146,  4119,  3707,    72,   344,
    4123,   479,  3589,   187,   386,  3526,  2822,   269,  2824,   269,
    2826,   146,  2828,   187,   390,   478,   392,  3367,   481,   477,
     477,  2016,   167,   478,  2019,   146,   481,   403,  3352,   324,
     478,   478,  2848,   481,   481,  2559,  2852,   269,   414,  3443,
    3417,   417,   158,  2859,   389,   427,   324,   146,   223,  3677,
     195,   350,   478,   478,   209,   481,   481,  2916,   440,  2875,
     114,  2853,  2854,  2855,   421,   139,   334,  2883,   478,   239,
     626,   481,   417,   403,   478,   478,   632,   481,   481,   291,
     478,   463,  2898,   481,   269,   478,   477,   386,   481,   645,
     263,    35,   347,   413,   433,   477,  2912,   442,   158,     0,
    2916,  2859,   215,  2919,   478,  2921,    66,     0,   182,   254,
      54,    35,   478,   187,   259,   481,   271,    35,   478,  3469,
     254,   481,   478,   335,   478,   481,   254,   481,   427,  3839,
     478,   478,   477,   481,   481,   478,    54,   444,   481,   477,
    3490,   440,  3817,   269,   478,   158,  2962,   481,  2964,   478,
     224,   254,   481,  2969,  2912,   478,   478,   302,   481,   481,
     104,    43,    43,   478,   463,  3515,   481,   478,   478,   254,
     481,   481,   384,   318,   478,   408,   254,   481,   477,   478,
    2996,   480,  2998,  2999,  3000,   478,   104,    83,   481,   478,
      91,  3825,   481,   478,   285,   433,   481,   271,    91,  3549,
     412,   478,  3761,   478,   481,  4071,   481,   478,   420,   478,
     481,   423,   481,  4768,   433,  3736,   158,  3738,  3491,  3492,
    3493,  3494,   305,   167,  3497,  3498,  3499,  3500,  3501,  3502,
    3503,  3504,  3505,  3506,   478,   478,   146,   481,   481,  3760,
     141,   478,  2766,   146,   481,   298,   190,   478,   141,   477,
     481,  3524,   153,  3263,   146,   146,   478,   158,  3779,   481,
     153,   478,   163,   478,   481,   158,   481,   430,   169,   414,
     163,   172,   190,    34,   478,   176,   169,   481,   477,   172,
    3553,  3554,   478,   176,   478,   481,  2810,   481,   362,   478,
     477,   477,   481,    49,   238,   478,  3112,   241,   481,   478,
     444,   146,   481,  2827,   205,   146,   146,   146,   252,   464,
     465,   466,   205,   468,   469,   470,   471,   472,   473,  2843,
     238,  3486,   478,   241,   225,   481,   146,   481,   146,   146,
     146,   158,   225,   146,   252,  2859,   146,    93,   146,   146,
     284,   146,   269,   386,   477,    35,   223,   158,   269,   158,
     477,     5,     5,   477,   477,  3520,   158,   477,   477,   477,
     477,     5,   118,   477,     5,   266,   284,   477,   269,   477,
     477,   477,   477,   266,   275,   477,   269,   477,     5,   135,
     477,   477,   275,   139,     5,   329,   441,   461,  2912,   477,
     477,   477,  2916,   477,   468,   469,   470,   471,   472,   473,
    3565,   477,   477,   159,  3220,   477,   162,   351,  4531,   477,
    3226,   329,   477,   477,   477,  4538,   281,  4136,   207,  3235,
    4543,   177,   481,  4546,  3240,  3241,    35,   371,    95,  3988,
     331,   481,   223,   351,    35,   481,   158,  4156,   331,   158,
     266,   264,   357,    62,   398,  4568,   398,   344,   398,   432,
     398,  4379,  5007,   371,   344,   479,   344,   398,  4581,  3275,
    3276,  3277,   398,   225,   398,   328,   398,   466,   398,    84,
     344,   146,   269,   269,   349,   220,  3292,   259,   398,   398,
     420,   398,   389,  3887,  3888,   386,   289,   340,   269,   269,
     264,   477,   180,   386,  3342,   477,   398,     8,  3314,  3315,
      11,    84,   481,   259,    15,    16,    17,   285,  3324,  3325,
    3326,   398,   413,   187,  3330,   146,  4727,  3333,   398,   269,
     413,    32,   421,   421,   386,   398,  3342,   398,   386,   398,
    3338,   398,   106,   269,   398,    53,   437,   398,   439,   440,
      53,  3891,   398,   398,   437,   245,   439,   440,   398,   398,
     398,   398,   273,    42,   310,   398,   398,  3365,   344,   389,
     398,   309,   398,   289,   289,   398,   398,    42,   344,   398,
     481,  4151,   209,   398,   475,   269,   398,   478,   479,   480,
    3428,   209,   475,   478,  3561,   478,   479,   480,   482,  3862,
     444,  3407,   209,   209,   398,   209,   269,   209,   269,   269,
      35,   209,   209,   209,   146,  3982,  3983,  3984,  3985,  3986,
       8,   477,  3428,    11,   408,    24,   146,    15,    16,    17,
    4743,   269,   254,   421,   112,  3441,   440,   146,  3444,   146,
    4340,   432,   146,   269,    32,   231,   254,   158,   264,    35,
     477,   254,    40,   254,    35,   215,   477,   346,     8,    47,
    3466,    11,    34,   477,   396,    15,    16,    17,   396,  3475,
     475,   398,   146,   475,   398,  3481,  4225,  3483,   398,   398,
    3486,   477,    32,   146,    72,  3491,  3492,  3493,  3494,  4802,
     421,  3497,  3498,  3499,  3500,  3501,  3502,  3503,  3504,  3505,
    3506,   146,   146,   421,  3510,  3511,   146,   263,   209,   258,
    3559,   398,   163,   436,  3520,   477,   245,   245,  3524,    11,
     481,   396,  3528,   477,   477,   398,   172,  4144,   154,  3578,
    3536,   163,   400,  3539,   481,  3541,   478,  3737,   180,   180,
     481,  4081,  4439,   205,  3550,   360,   213,  3553,  3554,   270,
     421,   481,  3558,  3559,    35,   278,    53,  3563,   213,  3565,
     344,  3761,   421,   213,   478,   259,  3572,  3573,  3574,  3575,
     271,   477,  3578,  3579,   259,   398,   477,  3583,  3584,  3585,
     239,   433,   347,   403,  3590,  3567,  3568,  3569,  3570,   158,
     259,   215,   148,   269,   182,    43,   366,  4060,   398,   187,
     254,   148,  3600,   398,   223,   223,  3600,   223,   398,  3615,
     340,   389,  3600,   269,   481,   148,  3600,   269,   148,  4213,
    3600,   209,   210,  3629,  3338,  3631,   324,  3575,   181,   354,
    3578,  4944,   398,   478,    35,   398,   224,  5382,  5383,   312,
     275,   209,   421,  3649,  3650,  3651,   421,  3653,  4111,   215,
     308,  3365,   466,   146,   264,   158,  4196,   433,    35,   209,
     387,   160,   309,  4360,  3670,  3671,  3672,  3673,   264,   257,
     354,   146,   146,   146,   264,   421,   254,    35,   440,   254,
     269,   215,   269,   271,   477,   477,   274,   178,   178,   158,
      35,  5004,   475,  3699,   243,  4235,  4290,   478,   478,   460,
     348,  3649,  4057,   460,   478,   215,   478,   478,   158,   269,
     254,   354,  3718,   481,   481,   187,  4256,  5236,   444,   187,
    5033,   271,   187,   187,   187,    23,   481,   170,  4846,   477,
     398,   163,  4299,  4300,   242,  4302,   481,   269,   440,  3939,
      53,   263,     8,   403,   433,    11,   163,  4890,   386,    15,
      16,    17,   281,   215,   478,   290,   478,   163,   237,   478,
     478,   478,   478,   464,   465,   466,    32,   468,   469,   470,
     471,   472,   473,   478,   362,   481,   398,   477,   460,   478,
       8,  4321,   478,    11,  4881,   478,  4883,   478,   437,   477,
     477,   477,   280,  4387,   477,   233,   477,   477,   462,  3768,
     270,     8,   419,   270,    11,   466,   437,  3813,    15,    16,
      17,   269,    40,   427,    53,   269,   272,   269,   191,    47,
     477,   146,   398,     8,   477,  5138,    11,   398,    35,   444,
      15,    16,    17,   398,   199,   259,   398,   146,   254,  3845,
     273,   357,   349,   146,    72,  3559,   146,   349,   349,   223,
     191,   148,  3858,   466,  3860,   398,  3862,   421,  1604,   225,
     481,  3575,   291,  3869,  3578,   291,   418,   398,   235,  3875,
     398,   398,   398,   461,   235,   235,   464,   465,   466,  3885,
     468,   469,   470,   471,   472,   473,  3600,   398,     8,   398,
     269,    11,   398,   481,  3900,    15,    16,    17,  3904,   344,
     398,  4441,   344,   398,   344,   344,   254,    42,  3914,   398,
     357,   139,   398,   146,   464,   465,   466,  3923,   468,   469,
     470,   471,   472,   473,   478,   476,   209,  3933,   209,   209,
    4697,  3937,   398,   478,  3932,   209,  5079,   398,  3944,  3945,
     478,   398,   478,   209,  4144,   175,     3,  4487,   408,   158,
      43,   326,   105,   478,   182,   478,  3904,   481,  4669,   187,
     481,   158,  5275,  4787,   477,  4582,  3972,    35,  3974,  5087,
    5088,   146,   146,   478,   158,  3981,   398,   175,   478,   466,
     476,   146,   476,   272,   421,   421,   354,   344,   344,  1085,
     344,   344,   344,   144,   144,   209,   224,   481,   209,   209,
     137,   209,   209,   209,   209,   271,   209,   209,   163,  1105,
    4016,    11,   281,   158,   432,  4632,   475,   163,   437,  1115,
    4483,  4027,   163,  1119,   209,     0,   481,  1123,  4622,  1125,
    1776,   426,   478,   172,   478,  1131,  5349,   478,  1784,  4394,
     331,  1137,  5355,   271,  1140,   270,   481,   478,   478,   477,
    1796,  4057,   477,   463,  4060,    82,   158,   478,   481,   408,
     398,    35,  4068,  4069,   271,   478,   477,   215,   199,  4075,
    4076,   421,    53,   389,  4080,   421,   146,   477,   373,  4085,
     167,   408,  4088,  4089,  4981,   349,   271,  4093,  4094,   209,
     398,   398,   398,  4099,  4100,  4101,  4102,  4103,   344,   398,
     344,  4107,  4108,  4109,   398,  4111,  4112,   478,   478,  4115,
    5228,   324,   440,  4119,   478,   477,    91,  4123,    53,   389,
     158,    72,   427,  4129,   148,  1871,   146,   105,   209,   408,
     209,   478,   209,   209,   362,   477,   194,   477,  4144,   213,
     398,  4890,   444,  5456,   269,  4151,  4175,   481,   319,  4155,
     481,   271,  1898,    35,  4160,  4153,  4154,   478,   267,   289,
       3,   269,   481,   477,   481,   408,   141,   398,   478,  4175,
     169,  4119,  4178,   477,   354,  4123,   105,   163,   153,   209,
     476,  5324,    53,   158,   163,   478,   478,   477,   163,   438,
    3904,  5098,  4198,  4199,   169,   481,   438,   172,   464,   465,
     466,   176,   468,   469,   470,   471,   472,   473,   281,   477,
    4216,   478,   279,   478,   212,   478,   477,   212,  3932,   388,
     477,   276,    53,   176,  4230,   478,  4878,   264,  4795,  4769,
     205,   466,   408,   461,   398,   163,   440,    72,  4890,  4806,
     468,   469,   470,   471,   472,   473,   188,   193,   181,   259,
     225,  4220,   259,    53,   466,   389,   398,   464,   465,   466,
    4229,   468,   469,   470,   471,   472,   473,    66,  4808,   398,
     398,   146,   209,  4279,   119,   165,   163,   478,   112,   464,
     465,   466,   481,   468,   469,   470,   471,   472,   473,   481,
     477,   266,    35,     8,   269,  4301,    11,   421,   187,   264,
     275,   354,   421,    35,   477,  4768,   254,   160,   158,   354,
    4316,    53,   264,   440,    78,    35,   163,   389,  4885,   440,
     269,  4861,   158,   477,   196,    40,  4866,  4867,   272,  4792,
     207,   163,    47,   477,   477,   426,   370,    84,   478,   289,
     478,   477,  4348,   212,   464,   465,   466,  5044,   468,   469,
     470,   471,   472,   473,   477,   477,   331,    72,  4364,   439,
     478,   127,   269,   318,  4370,   477,  5077,   478,    35,   398,
     146,   477,   398,  4379,   477,   158,   477,   477,   477,   477,
      35,   259,  4582,   191,   236,   477,   354,   477,  4394,   478,
     146,   105,   132,   436,    35,   478,   408,   273,   368,   368,
     478,  4407,    53,  4409,    35,  4119,    75,   426,  4406,  4123,
     481,   386,   477,   477,   477,   477,   477,  2163,  4773,   180,
     421,  4621,   389,   158,  5041,   389,   252,  5079,   477,  4632,
     269,   389,  4632,     5,   478,  2181,   152,  4443,   413,  4153,
    4154,  2187,  4982,   145,   477,  2191,  4631,   444,  5015,   477,
     341,    66,   272,   341,    66,   127,   440,  4812,   440,   425,
     477,   477,   437,  5174,   439,   440,   426,   182,   481,    35,
     163,  2217,   187,   357,   389,   315,   132,  4483,   259,   269,
     193,   269,    35,   477,   354,    35,   272,   272,   477,  4674,
     188,   165,   165,   478,   481,   478,   437,   477,    53,   398,
     475,   117,   340,   478,   479,   480,  4512,  4513,   419,   224,
    4516,   377,     5,   354,   142,   478,   477,  2263,   340,   276,
     325,  4876,  4877,   477,    21,  4531,    32,   145,  4534,   259,
     477,   398,  4538,   163,   477,    75,  2282,  4543,   340,   477,
    4546,  4547,   481,  4549,  5007,  4551,   277,  4553,  4554,   481,
     368,   368,   477,   871,   440,   440,   271,   165,   165,   832,
    2867,  2517,  4568,  2404,  4570,  1606,  2326,  5219,  3046,  2315,
    3736,  3710,  5219,  2429,  2487,  4581,  4582,  4583,  4584,  4585,
    4672,  3254,  5077,  4531,  5324,  1344,  3885,  4727,  4350,  4696,
    4538,  2963,  2656,  5198,  2340,  4543,  4581,  5313,  4546,  5107,
       8,  2347,  5106,    11,  5239,  5349,  2967,  2353,  3933,  3918,
    5051,  3876,  2502,  2502,  2360,  3731,  3072,  3304,  2364,     6,
    4568,  3901,  4388,  2369,  4703,  4631,  4632,  2496,   913,  4712,
    3316,  5326,    40,  4581,  5489,  5471,    35,  5177,  4689,    47,
    3941,  3262,  5252,  2389,  4634,  4864,  5001,   362,  2394,  1765,
    5060,  4637,  2398,  4561,    28,    54,  3991,  4832,  5417,  1811,
    2175,  3943,  1182,  5018,    72,  2411,  1809,  5022,  4674,  5024,
    2941,  4677,  5324,  1820,  4981,  1969,  1878,   695,  2424,  1970,
    3198,  1969,     3,  4689,  3760,   662,  4692,     8,  2434,  3779,
      11,  4697,  4406,  4699,    15,    16,    17,  5408,  3308,  5280,
    4706,  5459,  1913,  4701,  4742,   104,   105,   811,  2107,  4564,
    5173,    32,  2118,   112,    35,  1429,   833,  4723,  4155,    40,
    5191,  4727,  3629,  1321,  2883,  1364,    47,  2898,  2154,  3593,
    2128,   139,  5183,  5026,  4141,  4741,  4742,  4743,  2153,  3578,
    4108,  4739,  4125,  4803,  3575,  5004,   461,  5003,  3630,  5297,
    1387,    72,  1386,   468,   469,   470,   471,   472,   473,  1389,
    5471,  1394,  4768,  4812,  3575,  4771,  5465,  4773,   167,  5173,
    5386,  3528,  4771,  4557,   182,  1843,  5187,  1873,  5489,   187,
    5186,  2065,  2827,  2737,  2457,  1881,  4792,  2825,  2068,    -1,
      -1,   190,  4798,    -1,    56,  4743,  4802,    -1,    -1,    -1,
    4806,    -1,    -1,   190,    -1,  1901,  4812,    -1,    -1,    -1,
      -1,    -1,   199,   200,    -1,  4821,   224,    -1,    -1,    -1,
     207,    -1,   209,   210,  4538,    -1,    -1,    -1,    90,  4543,
    5293,    -1,  4546,    -1,    -1,    -1,   223,    -1,  4844,   238,
    4846,  5041,   241,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   252,  4802,   254,    -1,    -1,    -1,    -1,
      -1,   182,    -1,   271,    -1,  4871,   187,    -1,    -1,    -1,
    4876,  4877,    -1,    -1,    -1,  4881,  4882,  4883,  4884,    -1,
      -1,    -1,    -1,    -1,    -1,   284,    -1,   149,   209,   210,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   224,    -1,    -1,  4912,    -1,    -1,    -1,
      -1,    -1,    -1,  4919,    -1,    -1,    -1,    -1,    -1,  5382,
    5383,    -1,   184,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     329,  2677,    -1,    -1,    -1,  4941,   257,    -1,  4944,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2695,
     271,    -1,   351,   274,   362,    -1,  4954,  2703,   220,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   371,    -1,   373,    -1,    -1,   376,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4701,    -1,    -1,
      -1,    -1,   254,    -1,    -1,  5001,  4944,    -1,  5004,    -1,
      -1,  5007,    -1,    -1,    -1,  5011,    -1,    -1,    -1,  2105,
      -1,    -1,  5018,    -1,    -1,    -1,  5022,    -1,  5024,    -1,
    5026,  5206,    -1,    -1,   286,  4739,    -1,  5033,    -1,    -1,
     292,    -1,  5030,  5039,    -1,  5041,    -1,    -1,    -1,    -1,
      -1,   362,    -1,    -1,  5399,    -1,  5052,    -1,    -1,    -1,
      -1,    -1,    -1,   461,    -1,    -1,  5004,    -1,    -1,    -1,
     468,   469,   470,   471,   472,   473,   328,    -1,   330,    -1,
     332,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   477,   341,
      -1,  5087,  5088,    -1,    -1,  5033,    -1,   349,  4802,    -1,
      -1,    -1,    -1,    -1,    -1,   357,  5281,  5282,  4812,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   369,    -1,    -1,
      -1,    -1,  5118,    -1,    -1,    -1,   378,    -1,    -1,  5125,
     382,    -1,    -1,  5129,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5138,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     461,    -1,    -1,   464,   465,   466,    -1,   468,   469,   470,
     471,   472,   473,    -1,    -1,    -1,    -1,    -1,  5164,  5165,
    5166,    -1,    -1,     8,  5170,    -1,    11,  5173,    -1,    -1,
      15,    16,    17,   435,    -1,    -1,    -1,  5183,    -1,     6,
    5186,    -1,    -1,    -1,    -1,  5191,    -1,    -1,    -1,    -1,
    5138,    -1,    -1,    -1,    -1,    40,    -1,    -1,    -1,    -1,
    5206,    -1,    47,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    22,    -1,  5221,    -1,    -1,    -1,    28,
      -1,    -1,  5228,    -1,    -1,    -1,    -1,    72,    -1,    -1,
    4944,    -1,    41,    -1,    -1,    -1,    -1,  2983,    -1,   626,
    4954,    -1,    -1,    -1,    -1,   632,    -1,    -1,  5254,    -1,
      -1,    -1,    -1,  5259,    -1,  5253,    -1,    -1,   645,  5265,
      -1,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5275,
      -1,    -1,    -1,    -1,   661,  5281,  5282,  5283,    -1,   666,
      -1,    -1,  5280,    -1,   671,    -1,  5280,  5293,   675,   676,
      -1,  5297,  5280,    -1,    -1,   682,  5280,   684,   685,    -1,
    5280,    -1,    -1,    -1,    -1,    -1,  5491,  5492,    -1,  5358,
     697,   698,  5318,   122,    -1,   124,  5030,    -1,    -1,    -1,
      -1,   708,   131,    -1,    -1,   134,    -1,  5275,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   182,    -1,    -1,
      -1,    -1,   187,  5349,  5350,  5351,    -1,    -1,  3094,  5355,
     159,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5358,    -1,    -1,   190,  5358,    -1,    -1,    -1,    -1,    -1,
    5358,    -1,   199,    -1,  5358,    -1,  5382,  5383,  5358,   224,
     207,    -1,    -1,   210,   193,    -1,    -1,    -1,  5394,    -1,
      -1,    -1,    -1,  5399,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5349,    -1,   790,   791,    -1,    -1,  5355,    -1,   796,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5428,    -1,    -1,    -1,   271,    -1,    -1,    -1,
      -1,    -1,  5438,   820,    -1,   822,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   252,    -1,   254,   833,  5453,    -1,    -1,
    5456,    -1,    -1,    -1,    -1,   264,    -1,    -1,    -1,  5465,
      -1,  5459,    -1,  5469,   273,  5459,    -1,    -1,    -1,  3215,
      -1,  5459,    -1,    -1,    -1,  5459,   285,    -1,    -1,  5459,
      -1,    -1,    -1,    -1,    -1,  5491,  5492,    -1,    -1,  2585,
      -1,    -1,    -1,    -1,    -1,    -1,  2592,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5456,    -1,
      -1,    -1,    -1,    -1,    -1,   324,  2612,   362,   327,   328,
      -1,    -1,    -1,    -1,    -1,    -1,  2622,    -1,    -1,  2625,
      -1,  2627,  2628,    -1,    -1,  2631,    -1,    -1,    -1,  5253,
      -1,  2637,    -1,  2639,    -1,    -1,  2642,    -1,   357,    -1,
      -1,    -1,   939,   940,   941,    -1,    -1,    -1,    -1,    -1,
      -1,   948,    -1,    -1,    -1,    -1,  5280,    -1,   955,    -1,
      -1,    -1,   959,    -1,    -1,    -1,    -1,    -1,   965,    -1,
      -1,   968,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   980,    -1,    -1,    -1,    -1,     8,    -1,
      -1,    11,    -1,    -1,    -1,    15,    16,    17,   995,  2705,
      -1,    -1,    -1,    -1,    -1,   424,   461,    -1,    -1,   464,
     465,   466,    32,   468,   469,   470,   471,   472,   473,    -1,
      40,    -1,    -1,    -1,    -1,    -1,    -1,    47,    -1,    -1,
      -1,    -1,    -1,    -1,  5358,    -1,    -1,    -1,    -1,    -1,
      -1,     0,    -1,  1040,  1041,  1042,    -1,  3403,    -1,    -1,
      -1,    -1,    72,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      -1,    -1,    -1,    -1,    -1,  3421,    -1,    -1,    -1,    28,
      -1,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     8,  1080,    -1,    11,    -1,    46,    -1,    -1,
    3446,    -1,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    67,    -1,
      69,    70,    -1,    -1,    40,    -1,    -1,    76,    -1,    78,
    1117,    47,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      89,    -1,    91,    -1,    -1,  5459,    -1,    -1,  1135,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    72,    -1,  1145,   108,
      -1,    -1,   111,    -1,    -1,    -1,  1153,    -1,    -1,    -1,
      -1,    -1,   182,    -1,    -1,    -1,   125,   187,   127,    -1,
      -1,    -1,   131,    -1,    -1,    -1,    -1,    -1,   137,    -1,
      -1,    -1,    -1,    -1,  1181,    -1,   145,    -1,   147,   209,
     210,    -1,    -1,    -1,   153,    -1,    -1,    -1,  1195,    -1,
    1197,    -1,    -1,    -1,   224,    -1,    -1,    -1,    -1,    -1,
     169,    -1,    -1,   139,    -1,    -1,  1213,    -1,    -1,    -1,
    1217,    -1,    -1,    -1,    -1,    -1,    -1,   186,    -1,   666,
      -1,    -1,  1229,    -1,    -1,    -1,    -1,   257,   675,    -1,
      -1,    -1,    -1,    -1,    -1,   682,    -1,    -1,   685,    -1,
      -1,   271,    -1,    -1,   274,    -1,   182,    -1,    -1,    -1,
      -1,   187,  1259,    -1,    -1,    -1,  2972,   226,   227,    -1,
      -1,    -1,    -1,   232,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   244,    -1,    -1,    -1,    -1,
    1287,  1288,  1289,    -1,  1291,    -1,    -1,   256,   224,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1311,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3680,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   292,    -1,    -1,    -1,    -1,  1335,    -1,
      -1,   300,   362,    -1,    -1,   271,  1343,  1344,    -1,    -1,
    3056,    -1,  3058,    -1,    -1,   314,    -1,    -1,    -1,    -1,
    1357,   320,   321,    -1,   323,    -1,    -1,    -1,    -1,   328,
      -1,    -1,    -1,    -1,   333,    -1,    -1,   336,    -1,    -1,
      -1,    -1,  1379,    -1,   343,    -1,  1383,  1384,    -1,    -1,
     349,   350,    -1,    -1,    -1,    -1,     8,    -1,   357,    11,
      -1,  1398,   361,    -1,    -1,    -1,    -1,  1404,    -1,    -1,
      -1,    -1,   371,  1410,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   386,    40,    -1,
      -1,    -1,    -1,    -1,    -1,    47,   362,    -1,    -1,  3795,
      -1,   461,  3798,    -1,   464,   465,   466,   406,   468,   469,
     470,   471,   472,   473,    -1,    -1,    -1,   416,    -1,    -1,
      72,   481,    -1,   422,    35,    -1,     8,    -1,   427,    11,
      -1,    -1,    -1,    -1,  1471,    -1,    -1,    -1,    -1,    -1,
      -1,   440,    -1,    -1,    -1,    56,    -1,    -1,  3194,    -1,
      22,    -1,    -1,    -1,  3200,    -1,    28,    -1,    40,    -1,
       8,    -1,    -1,    11,   463,    47,    -1,    15,    16,    17,
      -1,   948,    -1,    -1,    -1,  1512,    -1,    -1,   477,    90,
      -1,   480,   959,    -1,    32,    -1,    -1,   139,   965,    -1,
      72,   968,    40,    -1,    -1,   461,    -1,    -1,    70,    47,
      -1,  3897,   468,   469,   470,   471,   472,   473,  1545,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3916,    -1,    -1,    -1,    72,    -1,    -1,    -1,    -1,    -1,
     182,    -1,    -1,    -1,    -1,   187,    -1,    -1,   149,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   120,    -1,
      -1,    -1,   124,    -1,    -1,    -1,    -1,   139,    -1,   131,
      -1,    -1,   134,  1040,  1041,  1042,    -1,  1604,    -1,    -1,
      -1,    -1,   224,   184,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1619,  1620,  1621,    -1,    -1,   159,    -1,    -1,
       8,    -1,    -1,    11,    -1,  3991,    -1,    15,    16,    17,
     182,    -1,    -1,    -1,   215,   187,    -1,    -1,    -1,   220,
      -1,    -1,    -1,    -1,    32,    -1,    -1,    -1,    -1,   271,
      -1,   193,    40,    -1,    -1,    -1,    -1,    -1,    -1,    47,
      -1,    -1,    -1,    -1,   182,    -1,    -1,    -1,    -1,   187,
      -1,    -1,   224,   254,    -1,  3391,    -1,  3393,    -1,  3395,
      -1,    -1,    -1,    -1,    72,    -1,    -1,    -1,  3404,    -1,
      -1,   209,   210,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   286,   224,    -1,    -1,    -1,
     252,   292,   254,    -1,    -1,  1722,    -1,    -1,    -1,   271,
      -1,    -1,   264,    -1,    -1,    -1,    -1,    -1,    -1,  3445,
      -1,   273,  1739,    -1,    -1,    -1,    -1,    -1,    -1,   257,
     362,    -1,    -1,   285,    -1,  1752,    -1,   328,    -1,    -1,
    1757,   332,    -1,   271,    -1,    -1,   274,    -1,    -1,    -1,
     341,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   349,  1776,
      -1,    -1,    -1,    -1,    -1,    -1,   357,  1784,    -1,    -1,
      -1,    -1,   324,    -1,    -1,   327,   328,    -1,   369,  1796,
      -1,    -1,    -1,    -1,   182,    -1,    -1,   378,    -1,   187,
      -1,   382,    -1,    -1,    -1,    -1,  1813,    -1,    -1,    -1,
     362,    -1,    -1,  1820,    -1,   357,  1823,    -1,    -1,  1826,
     401,   209,   210,    -1,    -1,  1832,    -1,    -1,    -1,    -1,
      -1,  1838,    -1,    -1,    -1,    -1,   224,    -1,    -1,   461,
      -1,    -1,    -1,  1850,   362,    -1,   468,   469,   470,   471,
     472,   473,    -1,    -1,   435,    -1,    -1,    -1,   439,    -1,
    1867,  1868,    -1,  1870,  1871,    -1,    -1,    -1,    -1,   257,
      -1,    -1,    -1,    -1,    -1,  1882,    -1,  1884,  1885,    -1,
      -1,    -1,   424,   271,    -1,  4251,   274,  1894,  1895,    -1,
    1897,  1898,    -1,    -1,    -1,    -1,    -1,  4263,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1913,    -1,    -1,   461,
      -1,    -1,    -1,    -1,    -1,    -1,   468,   469,   470,   471,
     472,   473,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1945,    -1,
      -1,  1948,  1949,   461,    -1,    -1,   464,   465,   466,    -1,
     468,   469,   470,   471,   472,   473,    -1,    -1,    -1,    -1,
     478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    17,    -1,   362,    -1,  1983,    -1,  1985,    -1,
      -1,    26,    -1,  1990,  1991,    -1,    -1,    -1,    -1,    -1,
    1997,  1998,  1999,    -1,    -1,    -1,  2003,    -1,  2005,  2006,
    2007,  2008,  2009,  2010,    -1,  2012,    -1,  2014,  2015,    -1,
      -1,  2018,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2032,  2033,  2034,  2035,  2036,
    2037,    -1,    -1,    -1,  2041,    -1,    -1,    -1,  2045,    -1,
      -1,  2048,    -1,    -1,  2051,  2052,  2053,  2054,  2055,  2056,
    2057,  2058,  2059,    -1,  2061,    -1,    -1,    -1,    -1,    -1,
      -1,  2068,    -1,  2070,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   461,    -1,    -1,   464,   465,   466,    -1,
     468,   469,   470,   471,   472,   473,    -1,    -1,     8,    -1,
     478,    11,    -1,    -1,    -1,    15,    16,    17,    -1,  4465,
    2107,    -1,    -1,    -1,    -1,    -1,  2113,    -1,    -1,    -1,
      -1,    -1,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,  2128,    -1,    -1,    -1,    -1,    -1,    47,    -1,    -1,
    2137,  2138,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    72,    25,    -1,    -1,  2163,    -1,    -1,    -1,
      -1,    -1,     8,  2170,    -1,    11,    -1,  2174,  2175,    15,
      16,    17,    -1,    -1,  2181,    -1,    -1,    -1,    -1,  2186,
    2187,    -1,    -1,    -1,  2191,    -1,    32,    -1,    -1,    -1,
      -1,    -1,  2199,    -1,    40,    -1,    -1,    -1,    -1,    -1,
      -1,    47,    74,    -1,    -1,    -1,    -1,    -1,    -1,  4575,
    2217,  4577,    -1,  2220,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2232,    72,    -1,    -1,  2236,
      -1,    -1,  2239,    -1,   106,  2242,  2243,    -1,    -1,    -1,
      -1,    -1,    -1,  2250,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2263,   129,    -1,    -1,
    3976,    -1,   182,    -1,  3980,    -1,    -1,   187,   140,    -1,
      -1,    -1,    -1,    -1,    -1,  2282,  2283,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2291,    -1,    -1,    -1,   160,   209,
     210,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   224,    -1,    -1,  2314,  2315,    -1,
      -1,  2318,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2340,    -1,  2342,   182,   257,    -1,    -1,
    2347,   187,    -1,    -1,   216,    -1,  2353,    -1,    -1,    -1,
      20,   271,    -1,  2360,   274,    25,    -1,  2364,    -1,    -1,
      -1,    -1,  2369,   209,   210,   237,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1820,    -1,    -1,  1823,    -1,   224,    -1,
      -1,    -1,  2389,    -1,    -1,    -1,    -1,  2394,    -1,    -1,
      60,  2398,    -1,    -1,  2401,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    73,  2411,    -1,    -1,    -1,    -1,    -1,
      -1,   257,    -1,    -1,    -1,    -1,    -1,  2424,    88,    -1,
    1867,  1868,    -1,    -1,    -1,   271,    -1,  2434,   274,    -1,
      -1,    -1,    -1,   305,   306,  1882,    -1,   309,  1885,    -1,
      -1,    -1,   362,    -1,  2451,  2452,  2453,    -1,    -1,    -1,
    2457,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   129,
      -1,    -1,    -1,   335,    -1,    -1,   338,    -1,    -1,    -1,
     140,    -1,   344,    -1,    -1,    -1,    -1,    -1,  4194,   351,
      -1,    -1,  2489,  2490,    -1,    -1,    -1,    -1,    -1,    -1,
     160,    -1,  2499,    -1,    -1,   165,    -1,    -1,  1945,    -1,
      -1,  1948,  1949,    -1,    -1,    -1,    -1,    -1,   380,    -1,
      -1,    -1,    -1,    -1,   386,    -1,   362,   389,    -1,    -1,
    4236,  4237,    -1,    -1,    -1,    -1,  2533,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   408,    -1,    -1,    -1,
      -1,   461,    -1,    -1,   464,   465,   466,    -1,   468,   469,
     470,   471,   472,   473,    -1,    -1,    -1,    -1,   478,    -1,
      -1,   433,    -1,    -1,   609,  2572,    -1,   237,  2575,    -1,
      -1,    -1,    -1,  2580,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2589,    22,    -1,    -1,    -1,    -1,    -1,    28,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   271,    -1,    -1,    -1,    -1,  4322,  4323,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   461,   661,   662,   464,   465,
     466,    -1,   468,   469,   470,   471,   472,   473,  2635,    -1,
      -1,    70,   478,    -1,    -1,   305,   306,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   338,    -1,
    2677,    -1,    -1,    -1,   344,    -1,    -1,    -1,    -1,    -1,
      -1,   351,    -1,    -1,   354,   124,  2693,    -1,  2695,    -1,
      -1,    -1,   131,    -1,    -1,   134,  2703,    -1,    -1,    -1,
    2707,    -1,    -1,  2710,    -1,    -1,  2713,    -1,    -1,  2716,
      -1,    -1,  2719,   758,    -1,    -1,   386,    -1,  2725,    -1,
     159,    -1,    -1,   393,    -1,    -1,    -1,    -1,    -1,  2736,
    4446,   401,  4448,  4449,  2741,    -1,    -1,     8,   408,   784,
      11,    -1,    -1,    -1,    15,    16,    17,   792,  4464,    -1,
     795,   796,   797,    -1,   193,    -1,    -1,  2764,  2765,  2766,
      -1,    32,  2769,   433,    -1,    -1,    -1,    -1,    -1,    40,
    2777,  2778,  2779,  2780,    -1,    -1,    47,    -1,  2785,    -1,
      -1,    -1,    -1,  2790,  2791,  2232,  2793,    -1,  2795,    -1,
      -1,    -1,  2239,    -1,    -1,  2242,  2243,    -1,    -1,  2806,
    2807,    72,    -1,  2810,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   252,    -1,   254,    -1,  2824,    -1,  2826,
      -1,  2828,    -1,    -1,    -1,   264,  5192,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   273,    -1,    -1,    -1,    -1,    -1,
      -1,  2848,    -1,    -1,    -1,    -1,   285,    -1,    -1,    -1,
      -1,    -1,  2859,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2867,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2883,    -1,     8,    -1,
      -1,    11,    -1,    -1,    -1,    15,    16,    17,   327,   328,
      -1,  2898,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    32,    -1,    -1,  2912,    -1,    -1,    -1,    -1,
      40,   182,    -1,    -1,    -1,    -1,   187,    47,   357,    -1,
      -1,    -1,    -1,    -1,  2931,    -1,    -1,  2934,    -1,  2936,
      -1,    -1,    -1,    -1,  2941,    -1,    -1,    -1,   209,   210,
      -1,    -1,    72,    -1,    -1,    -1,    -1,    -1,    56,  2956,
    2957,    -1,    -1,   224,    -1,  2962,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    11,    -1,    -1,    -1,    15,    16,    17,
      -1,    -1,    -1,    -1,    -1,    -1,  2983,    -1,    -1,  2986,
      -1,    -1,    90,  2990,    32,   424,   257,    -1,    -1,    -1,
      -1,    -1,    40,    -1,    -1,    -1,    -1,    -1,    -1,    47,
     271,    22,  3009,   274,    -1,    -1,    -1,    28,    -1,    -1,
      -1,    -1,   120,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    72,    -1,    -1,  3034,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   149,    -1,    -1,    -1,    -1,    -1,    -1,  4764,    -1,
      -1,    -1,   182,    -1,    -1,    -1,    -1,   187,    -1,    -1,
      -1,    -1,    -1,    -1,  3071,  3072,  3073,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   184,    -1,    -1,   209,
     210,    -1,    -1,    -1,    -1,    -1,    -1,  3094,    -1,    -1,
    1135,   362,    -1,    -1,   224,    -1,    -1,  3104,    -1,  3106,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3114,  1153,    -1,
      -1,    -1,   220,    -1,    -1,    -1,    -1,    -1,  4834,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3133,   257,    -1,    -1,
      -1,    -1,    -1,    -1,   182,    -1,    -1,    -1,    -1,   187,
      -1,   271,  1187,    -1,   274,    -1,   254,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   209,   210,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4886,    -1,  1217,    -1,    -1,    -1,   224,   285,   286,    -1,
      -1,    -1,    -1,    -1,   292,    -1,    -1,    -1,  3195,    -1,
     461,    -1,    -1,   464,   465,   466,    -1,   468,   469,   470,
     471,   472,   473,    -1,    -1,    -1,    -1,   478,  3215,   257,
      -1,    -1,    -1,  3220,    -1,    -1,   324,    -1,    -1,  3226,
     328,    -1,    -1,   271,   332,    -1,   274,  3234,    -1,    -1,
      -1,    -1,   362,   341,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   349,    -1,    -1,    -1,    -1,    -1,    -1,  1293,   357,
      -1,    -1,    -1,    -1,    -1,  3262,  3263,  1302,    -1,    -1,
    2707,   369,  3269,    -1,  3271,    -1,  2713,    -1,    -1,  2716,
     378,  1316,  2719,    -1,   382,    -1,    -1,  3284,    -1,  3286,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1335,    -1,    -1,  1338,  1339,    -1,    -1,    -1,  1343,  1344,
      -1,  3308,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1357,    -1,   362,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3332,    -1,   435,    -1,    -1,
      -1,   461,    -1,    -1,   464,   465,   466,    -1,   468,   469,
     470,   471,   472,   473,    -1,  3352,  3353,    -1,   478,    -1,
      -1,    -1,    -1,   191,   192,    -1,    -1,   195,    -1,    -1,
    3367,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,    15,
      16,    17,    -1,    -1,    -1,    -1,    -1,   215,    -1,    -1,
      -1,    -1,    -1,    -1,   222,    -1,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    -1,  3403,    -1,    -1,    -1,
      -1,    47,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2859,   461,  3421,    -1,   464,   465,   466,    -1,
     468,   469,   470,   471,   472,   473,    72,    -1,    -1,    -1,
     478,    -1,    -1,    -1,    -1,    -1,  3443,    -1,    -1,  3446,
      -1,    -1,    -1,    -1,    -1,    -1,    35,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3466,
      -1,    -1,  3469,    -1,    22,  2912,    -1,    56,  3475,    -1,
      28,    -1,    -1,    -1,  3481,    -1,  3483,    -1,    -1,  3486,
      -1,    -1,    -1,  3490,  3491,  3492,  3493,  3494,    -1,    -1,
    3497,  3498,  3499,  3500,  3501,  3502,  3503,  3504,  3505,  3506,
      -1,    90,    -1,  3510,  3511,    -1,    -1,    -1,  3515,    -1,
      -1,    -1,    70,  3520,    -1,    -1,    -1,  3524,  1563,  3526,
      -1,  3528,    -1,    -1,  1569,    -1,    -1,    -1,    -1,  3536,
      -1,    -1,  3539,    -1,  3541,    -1,   182,    -1,    -1,    -1,
      -1,   187,  3549,  3550,    -1,    -1,  3553,  3554,    -1,    -1,
      -1,  3558,  3559,    -1,    -1,    -1,    -1,    -1,  3565,    -1,
     149,    -1,    -1,   209,   210,    -1,   124,    -1,  3575,    -1,
      -1,  3578,    -1,   131,    -1,    -1,   134,    -1,   224,    -1,
      -1,    -1,    -1,  3590,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5308,    -1,    -1,   184,    -1,    -1,    -1,    -1,
      -1,   159,    -1,    -1,    -1,    -1,    -1,    -1,  3615,    -1,
      -1,   257,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3631,   271,   215,    -1,   274,    -1,
    3637,   220,    -1,    -1,    -1,   193,    -1,     8,    -1,    -1,
      11,    -1,  3649,    -1,    15,    16,    17,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    32,    -1,    -1,    -1,   254,    -1,    -1,    -1,    40,
      -1,    -1,    -1,  3680,    -1,    -1,    47,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   252,    -1,   254,   286,    -1,    -1,
     721,    72,   723,   292,   725,    -1,   264,    -1,    -1,    -1,
     731,   732,   733,    -1,    -1,   273,   362,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3731,    -1,    -1,   285,    -1,  3736,
    3737,  3738,    -1,    -1,  1779,    -1,    -1,    -1,  1783,   328,
      -1,    -1,    -1,   332,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   341,  3760,  3761,    -1,    -1,    -1,    -1,    -1,
     349,    -1,    -1,    -1,    -1,    -1,   324,    -1,   357,   327,
     328,    -1,  3779,    -1,    -1,    -1,    -1,   615,    -1,   617,
     369,    -1,    -1,   621,    -1,    -1,    -1,    -1,  3795,   378,
      -1,  3798,    -1,   382,    -1,    -1,    -1,   635,    -1,   357,
      -1,    -1,    -1,    22,   642,    -1,    -1,    -1,    -1,    28,
      -1,   182,   401,    -1,    -1,   461,   187,    -1,   464,   465,
     466,    -1,   468,   469,   470,   471,   472,   473,     8,    -1,
      -1,    11,   478,    -1,    -1,    15,    16,    17,   209,   210,
      -1,    -1,    -1,    -1,    -1,    -1,   435,    -1,    -1,    -1,
     439,    70,    32,   224,    -1,  3862,    -1,    -1,   879,    -1,
      40,    -1,    -1,    -1,    -1,    -1,   424,    47,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3887,  3888,    -1,    -1,  3891,    -1,   257,    -1,    -1,    -1,
    3897,    -1,    72,    -1,    -1,    -1,    -1,  3904,    -1,    -1,
     271,    -1,    -1,   274,    -1,   124,    -1,    -1,    -1,  3916,
      -1,    -1,   131,    -1,    -1,   134,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3939,    -1,    -1,    -1,  3943,  3944,  3945,    -1,
     159,     8,    -1,    -1,    11,    -1,    -1,    -1,    15,    16,
      17,  1996,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,   193,    -1,    -1,    -1,    -1,    -1,
      47,    -1,    -1,    -1,  3991,    -1,    -1,    -1,    -1,    -1,
      -1,   362,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   182,    -1,    -1,    72,    -1,   187,    -1,  4016,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4027,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   209,
     210,    -1,    -1,   252,    -1,   254,    -1,    -1,    -1,    -1,
      -1,    -1,  2087,    -1,   224,   264,    -1,   885,   886,    -1,
    4057,    -1,    -1,  4060,   273,    -1,    -1,    -1,    -1,    -1,
      -1,  4068,  4069,    -1,  4071,    -1,   285,    -1,  4075,  4076,
      -1,    -1,    -1,  4080,  4081,    -1,    -1,   257,  4085,    -1,
      -1,  4088,  4089,    -1,    -1,    -1,  4093,    -1,    -1,    -1,
     461,   271,  4099,   464,   465,   466,    -1,   468,   469,   470,
     471,   472,   473,    -1,  4111,   324,    -1,   478,   327,   328,
      -1,    -1,  4119,    -1,    -1,   182,  4123,    -1,    -1,    -1,
     187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3575,    -1,
      -1,  3578,  1153,    -1,    -1,    -1,    -1,    -1,   357,    -1,
      -1,    -1,   209,   210,  4151,   983,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2199,    -1,    -1,   224,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4178,    -1,    -1,  1012,  1013,    -1,    -1,    -1,    -1,
      -1,    -1,   362,    -1,     8,    -1,    -1,    11,    -1,  4196,
     257,    15,    16,    17,    -1,    -1,    -1,    -1,    -1,    -1,
    1038,    -1,  3649,    -1,   271,   424,  4213,   274,    32,    -1,
      -1,  4218,    -1,    -1,    -1,    -1,    40,    -1,    -1,    -1,
      -1,    -1,    -1,    47,    -1,  2270,    -1,    -1,  4235,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4251,    -1,    -1,    -1,    72,  4256,
      -1,    -1,    -1,    -1,    -1,    -1,  4263,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4279,    -1,  1112,  1113,    -1,    -1,    -1,    -1,
      -1,   461,    -1,  4290,   464,   465,   466,    -1,   468,   469,
     470,   471,   472,   473,    -1,   362,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2349,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4321,    -1,    -1,  1338,    -1,    -1,
      -1,  2366,  1343,  1344,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1357,    -1,    -1,    -1,
      -1,  4348,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4364,   182,    -1,
      -1,    -1,    -1,   187,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4387,    -1,  2427,    -1,    -1,   209,   210,  4394,    -1,    -1,
      -1,    -1,    -1,    -1,   461,    -1,    -1,   464,   465,   466,
     224,   468,   469,   470,   471,   472,   473,    -1,    -1,    -1,
      -1,   478,    -1,    -1,    -1,    -1,  2461,    -1,    -1,  2464,
      -1,  2466,    -1,    -1,    -1,  2470,    -1,  2472,  2473,  1450,
      -1,    -1,  4439,   257,  4441,    -1,  2481,  2482,  2483,  1460,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   271,    -1,    -1,
     274,    -1,    -1,    -1,    -1,    -1,    -1,  3904,  4465,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4483,    -1,    -1,    -1,
    4487,    -1,  1503,  1504,    22,    -1,    -1,    -1,    -1,    -1,
      28,  2536,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    41,    -1,  4512,  4513,    -1,    -1,  4516,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2568,  4531,  1546,    -1,    -1,  1549,  1550,
      -1,  4538,    70,    -1,    -1,  2580,  4543,    -1,   362,  4546,
    4547,    -1,    -1,    -1,    -1,    -1,  4553,  4554,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4568,    -1,  4570,    -1,    -1,    -1,    -1,  4575,    -1,
    4577,    -1,    -1,    -1,  4581,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   120,    -1,    -1,    -1,   124,    -1,    -1,    -1,
    2635,    -1,    -1,   131,    -1,    -1,   134,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4621,  4622,    -1,    -1,    -1,    -1,
      -1,   159,    -1,    -1,  4631,    -1,    -1,  1465,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   461,    -1,    -1,
     464,   465,   466,    -1,   468,   469,   470,   471,   472,   473,
      -1,    -1,  1490,    -1,   478,   193,    -1,    -1,    -1,    -1,
      -1,    -1,  4669,    -1,    -1,    -1,    -1,  4674,    -1,    -1,
      -1,    -1,  4119,    -1,    -1,    -1,  4123,    -1,    -1,     8,
      -1,    -1,    11,    -1,    -1,    -1,    15,    16,    17,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    32,    -1,    -1,    -1,    -1,  1729,    -1,
      -1,    40,    -1,    -1,   252,    -1,   254,    -1,    47,    -1,
      -1,    -1,    -1,  4730,    -1,    -1,   264,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   273,  4743,    -1,  4745,    -1,
      -1,    -1,    -1,    72,    -1,    -1,    -1,   285,    -1,    -1,
      -1,    -1,  1590,  1591,  1592,  1593,    -1,    -1,    -1,    -1,
      -1,  4768,  4769,    -1,  4771,    -1,  4773,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4792,   324,    -1,    -1,   327,
     328,  4798,    -1,    -1,    -1,  4802,    -1,    -1,    -1,    -1,
      -1,  4808,    -1,    -1,    -1,  4812,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1836,    -1,    -1,    -1,   357,
      -1,    -1,  2867,    -1,    -1,  1846,    -1,  1848,    -1,    -1,
      -1,    -1,    -1,  1854,    -1,    -1,    -1,    -1,    -1,    -1,
    1861,    -1,    -1,    -1,    -1,    -1,  4853,    -1,    -1,    -1,
      -1,    -1,    -1,   182,  4861,    -1,    -1,    -1,   187,  4866,
    4867,    -1,    -1,    -1,  4871,     8,    -1,    -1,    11,  4876,
    4877,  4878,    15,    16,    17,    -1,    -1,    -1,    -1,    -1,
     209,   210,    -1,  4890,    -1,    -1,   424,    -1,    -1,    -1,
      -1,    -1,    -1,  1731,  1732,   224,    -1,    40,    -1,    -1,
      -1,    -1,    -1,    -1,    47,  4912,    -1,    -1,    -1,    -1,
      -1,    -1,  4919,  1751,    -1,    -1,    -1,  4364,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   257,    72,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4944,    -1,    -1,
      -1,  2986,   271,    -1,    -1,   274,    -1,    -1,  1786,  1787,
    1788,  1789,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1993,  1994,  4981,  4982,    -1,    -1,    -1,  2000,
    2001,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5001,    -1,    -1,  5004,    -1,    -1,
    5007,    -1,    -1,    -1,    -1,    -1,    -1,  2028,    -1,    -1,
      -1,  5018,    -1,    -1,    -1,  5022,    -1,  5024,    -1,  5026,
      -1,    -1,    -1,    -1,    -1,    -1,  5033,    -1,    -1,    -1,
      -1,    -1,  3077,   362,    -1,    -1,     8,    -1,    -1,   182,
      -1,    -1,    14,    15,   187,  5052,    -1,    -1,    20,    -1,
      22,    -1,    -1,    -1,    -1,    -1,    28,    -1,    -1,    31,
      -1,    -1,    -1,    -1,    -1,  1903,   209,   210,    -1,    -1,
    5077,  1909,  5079,    -1,    -1,    -1,    -1,    -1,    50,    51,
      -1,   224,    -1,    -1,  4531,    -1,  3131,    -1,    -1,    -1,
      -1,  4538,    -1,    -1,    -1,    -1,  4543,    -1,    -1,  4546,
    4547,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   257,    -1,  2137,  2138,    -1,    -1,
      -1,  4568,  5129,    -1,    -1,    -1,    -1,    -1,   271,    -1,
      -1,  5138,   461,    -1,  4581,   464,   465,   466,    -1,   468,
     469,   470,   471,   472,   473,    -1,    -1,    -1,    -1,   478,
      -1,    -1,  3197,    -1,    -1,    -1,    -1,  5164,  5165,  5166,
      -1,    -1,    -1,    -1,    -1,    -1,  5173,  5174,    -1,    -1,
    5177,    -1,    -1,    -1,    -1,    -1,  5183,    -1,  2199,    -1,
      -1,    -1,    -1,    -1,  4631,  5192,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3239,    -1,    -1,    -1,    -1,  5206,
      -1,    -1,  2040,    -1,    -1,    -1,    -1,    -1,  3253,  3254,
      -1,    -1,  5219,    -1,     8,    -1,    -1,    11,  3263,   362,
      -1,    15,    16,    17,  3269,   197,  3271,  4674,    -1,    -1,
      -1,    -1,    -1,   205,    -1,    -1,   208,    -1,    32,   211,
     212,    -1,   214,    -1,   216,    -1,    40,   219,    -1,   221,
      -1,    -1,  5259,    47,    -1,    -1,    -1,    -1,  5265,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5275,    -1,
      -1,    22,  3317,  2294,  5281,  5282,  5283,    28,    72,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5293,    -1,    -1,    -1,
      41,    -1,     8,    -1,    -1,    11,  4743,    -1,    -1,    15,
      16,    17,    -1,    -1,    -1,    -1,  3351,  3352,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    32,  5324,   461,    70,
      -1,   464,   465,   466,    40,   468,   469,   470,   471,   472,
     473,    47,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5349,    -1,    -1,    -1,    -1,    -1,  5355,    -1,
      -1,    -1,    -1,    -1,  2375,  4802,    72,    -1,    -1,    -1,
      -1,    -1,  2383,    -1,    -1,  2386,    -1,    -1,    -1,    -1,
      -1,   122,    -1,   124,    -1,  5382,  5383,    -1,    -1,    -1,
     131,    -1,    -1,   134,    -1,    -1,    -1,  5394,   182,    -1,
      -1,    -1,  5399,   187,    -1,    -1,  2234,  2235,    -1,    -1,
      -1,  5408,    -1,    -1,    -1,    -1,    -1,  2245,   159,  2247,
      -1,    -1,    -1,  2251,    -1,   209,   210,    -1,    -1,     8,
      -1,  5428,    11,    -1,    -1,    -1,    15,    16,    17,    -1,
     224,  5438,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   193,    32,    -1,    -1,    -1,    -1,    -1,  5456,
      -1,    40,    -1,    -1,    -1,    -1,    -1,    -1,    47,    -1,
      -1,    -1,  5469,   257,  5471,    -1,   182,    -1,    -1,    -1,
      -1,   187,  4919,    -1,    -1,    -1,    -1,   271,    -1,    -1,
     274,    -1,  5489,    72,  5491,  5492,    -1,    -1,    -1,    -1,
    3535,    -1,    -1,   209,   210,    -1,    -1,  4944,    -1,    -1,
      -1,   252,    -1,   254,    -1,    -1,    -1,    -1,   224,    -1,
      -1,    -1,    -1,   264,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   273,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   285,    -1,    -1,    -1,    -1,    -1,
      -1,   257,    -1,  2381,    -1,    -1,  2384,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   271,    -1,  5004,   274,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   362,    -1,
      -1,    -1,    -1,   324,    -1,    -1,   327,   328,    -1,    -1,
      -1,  2602,  2603,    -1,    -1,    -1,  5033,  2608,    -1,    -1,
      -1,    -1,    -1,   182,    -1,    -1,    -1,    -1,   187,    -1,
      -1,    22,    -1,    -1,    -1,    -1,   357,    28,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     209,   210,    -1,    -1,    -1,  2463,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2471,    -1,   224,  2474,    -1,    -1,    -1,
      -1,    -1,  2480,    -1,    -1,    -1,   362,    -1,  2669,    70,
      -1,   623,    -1,  2491,    -1,    -1,    -1,    -1,   630,   631,
      -1,    -1,   634,    -1,   636,   637,    -1,   461,   257,   641,
     464,   465,   466,   424,   468,   469,   470,   471,   472,   473,
     652,    -1,   271,    -1,   478,   274,    -1,    -1,    -1,    -1,
      -1,  5138,  3737,    -1,  2532,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   124,    -1,    -1,    -1,    -1,    -1,    -1,
     131,    -1,    -1,   134,    -1,    -1,  3761,    -1,    -1,   691,
      -1,   693,  2560,    -1,  3769,    -1,    -1,  3772,    -1,  3774,
      -1,   703,    -1,    -1,    -1,    -1,    -1,    -1,   159,    -1,
      -1,    -1,    -1,    -1,    -1,   461,    -1,    -1,   464,   465,
     466,    -1,   468,   469,   470,   471,   472,   473,    -1,  5206,
      -1,    -1,   478,   735,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3816,   193,   362,    -1,    -1,    -1,    -1,    -1,    -1,
    2618,    -1,  2620,    -1,  3829,    -1,    -1,    -1,  3833,  3834,
      -1,  3836,    -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,
      11,    -1,    -1,    -1,    15,    16,    17,    -1,    -1,    -1,
      -1,    -1,  5259,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    32,    -1,    -1,    -1,    -1,    -1,    -1,  5275,    40,
      -1,   252,    -1,   254,  5281,  5282,    47,    -1,    -1,    -1,
      -1,    -1,    -1,   264,  2865,    -1,  2867,    -1,    -1,    -1,
      -1,   823,   273,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    72,    -1,    -1,   285,    -1,    -1,    -1,    -1,  2890,
    2891,    -1,   461,    -1,    -1,   464,   465,   466,    -1,   468,
     469,   470,   471,   472,   473,    -1,    -1,   859,    -1,   478,
    2728,  3936,    -1,    -1,  3939,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5349,   324,    -1,    -1,   327,   328,  5355,    -1,
       8,    -1,    -1,    11,    -1,    -1,    -1,    15,    16,    17,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    32,    -1,   357,    -1,    -1,    -1,
      -1,    -1,    40,    -1,    -1,    -1,    -1,    -1,    -1,    47,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   931,
      -1,  4006,  4007,  4008,    -1,  4010,  4011,  4012,  4013,  4014,
      -1,   182,    -1,    -1,    72,    -1,   187,    -1,    -1,    -1,
     952,    -1,    -1,    -1,    22,    -1,    -1,    -1,    -1,    -1,
      28,    -1,   964,    -1,    -1,    -1,    -1,   969,   209,   210,
      -1,    -1,    -1,   424,    -1,    -1,    -1,   979,    -1,  5456,
      -1,    -1,   984,   224,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   993,  5469,    -1,    -1,    -1,   998,    -1,    -1,  1001,
      -1,    -1,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5491,  5492,   257,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     271,    -1,    -1,   274,    -1,    -1,    -1,     8,    -1,    -1,
      11,  1043,    -1,    -1,    15,    16,    17,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   182,    -1,   124,    -1,    -1,   187,
      -1,    32,    -1,   131,    -1,  4140,   134,  4142,    -1,    40,
      -1,    -1,    -1,    -1,    -1,    -1,    47,    -1,    -1,    -1,
      -1,   209,   210,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   159,    -1,    -1,    -1,    -1,   224,    -1,    -1,    -1,
      -1,    72,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,
      15,    16,    17,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   362,    -1,    -1,    -1,   193,    -1,    32,  2996,   257,
    2998,  2999,  3000,    -1,    -1,    40,    -1,    -1,    -1,    -1,
      -1,    -1,    47,   271,    -1,    -1,   274,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1158,    -1,  1160,    -1,
    1162,    -1,  1164,    -1,  1166,  1167,  1168,    72,    -1,    -1,
      -1,  1173,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1184,    -1,   252,    -1,   254,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   264,    -1,    -1,    -1,
      -1,    -1,  1204,    -1,    -1,   273,    -1,    -1,    -1,    -1,
      -1,   182,  3263,    -1,    -1,    -1,   187,   285,    -1,    -1,
     461,    -1,    -1,   464,   465,   466,    -1,   468,   469,   470,
     471,   472,   473,    -1,   362,    -1,  3287,   478,   209,   210,
      -1,    -1,    -1,    -1,  4319,  4320,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   224,    -1,  4330,   324,  4332,  4333,   327,
     328,  4336,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,
      15,    16,    17,    -1,    -1,    -1,    -1,   182,    -1,    -1,
      -1,    -1,   187,    -1,    -1,    -1,   257,    32,    -1,   357,
      -1,    -1,    -1,    -1,    -1,    40,    -1,    -1,    -1,    -1,
     271,    -1,    47,   274,   209,   210,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   224,
      -1,  3372,    -1,    -1,    -1,  4400,    -1,    72,    -1,    -1,
      -1,    -1,    -1,   461,    -1,    -1,   464,   465,   466,    -1,
     468,   469,   470,   471,   472,   473,    -1,    -1,    -1,    -1,
     478,    -1,   257,    -1,    -1,    -1,   424,    -1,    -1,    -1,
      -1,    -1,  1364,  4438,    -1,    -1,   271,  3235,    -1,   274,
      -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,    11,    22,
      -1,    -1,    15,    16,    17,    28,    -1,    -1,    -1,    -1,
      -1,   362,    -1,    -1,    -1,    -1,  4471,    -1,    -1,    32,
      -1,    -1,  3453,    -1,    -1,    -1,    -1,    40,    -1,    -1,
      -1,    -1,    -1,    -1,    47,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   182,    -1,    72,
      -1,    -1,   187,    -1,  1446,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   362,    -1,    -1,
      -1,    -1,    -1,    -1,   209,   210,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   224,
      -1,   124,    -1,    -1,    -1,    -1,    -1,    -1,   131,    -1,
     461,   134,    -1,   464,   465,   466,    -1,   468,   469,   470,
     471,   472,   473,    -1,    -1,    -1,    -1,   478,    -1,    -1,
      -1,    -1,   257,    -1,    -1,  1517,   159,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   271,    -1,    -1,   274,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3407,
      -1,    -1,    -1,    -1,    -1,    -1,  4621,    -1,    -1,   182,
     193,    -1,    -1,    -1,   187,    -1,   461,    -1,    -1,   464,
     465,   466,    -1,   468,   469,   470,   471,   472,   473,    -1,
      -1,     8,    -1,   478,    11,    -1,   209,   210,    15,    16,
      17,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4664,
      -1,   224,    -1,    -1,    -1,    -1,    -1,    -1,  4673,    -1,
      -1,    -1,    -1,    40,    -1,     8,    -1,    -1,    11,   252,
      47,   254,    15,    16,    17,    -1,    -1,   362,    -1,    -1,
      -1,   264,    -1,    -1,   257,    -1,    -1,    -1,    -1,    32,
     273,    -1,    -1,    36,    -1,    72,    -1,    40,   271,    -1,
      -1,   274,   285,    -1,    47,    -1,    -1,    -1,     8,    -1,
      -1,    11,    -1,    -1,    -1,    15,    16,    17,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,    72,
      -1,    11,    32,    -1,    -1,    15,    16,    17,    -1,    -1,
      40,   324,    -1,    -1,   327,   328,  3737,    47,    -1,    -1,
      -1,    -1,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    -1,    -1,    -1,    -1,    -1,    -1,    47,    -1,    -1,
    3761,    -1,    72,    -1,   357,    -1,   461,  3768,   121,   464,
     465,   466,    -1,   468,   469,   470,   471,   472,   473,   362,
      -1,    -1,    72,   478,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   182,    -1,    -1,    -1,    -1,
     187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1761,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   209,   210,    -1,    -1,    -1,    -1,    -1,   182,
      -1,   424,    -1,    -1,   187,    -1,    -1,   224,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3850,
    3851,    -1,  3670,  3671,  3672,  3673,   209,   210,    -1,    -1,
      -1,    -1,    -1,    -1,    56,  4890,    -1,    -1,   158,  4894,
     257,   224,   182,   163,    -1,    -1,    -1,   187,   461,    -1,
      -1,   464,   465,   466,   271,   468,   469,   470,   471,   472,
     473,    -1,   182,   476,    -1,    -1,    -1,   187,    90,   209,
     210,    -1,    -1,    -1,   257,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   224,    -1,    -1,    -1,   271,   209,
     210,   274,    -1,    -1,    -1,    -1,    -1,    -1,   120,    -1,
      -1,    -1,    -1,    -1,   224,  1887,    -1,  1889,  3939,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   257,    -1,    -1,
      -1,    -1,    -1,    -1,  1906,    -1,  1908,   149,    -1,    -1,
      -1,   271,    -1,    -1,   274,    -1,    -1,   257,    -1,    -1,
    1922,    -1,  1924,    -1,  1926,   362,  1928,    -1,  1930,    -1,
      -1,   271,  1934,    -1,   274,    -1,    -1,  3988,    -1,   299,
      -1,    -1,   184,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   362,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3845,   220,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3860,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   362,    -1,  5079,    -1,    -1,    -1,  5083,    -1,
    5085,    -1,   254,    -1,  5089,  5090,    -1,    -1,   421,   379,
      -1,    -1,   362,    -1,   461,    -1,    -1,   464,   465,   466,
      -1,   468,   469,   470,   471,   472,   473,    -1,    -1,    -1,
      -1,    -1,    -1,   285,   286,    -1,    -1,    -1,    -1,    -1,
     292,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   461,    -1,
      -1,   464,   465,   466,    -1,   468,   469,   470,   471,   472,
     473,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   324,    -1,    -1,    -1,   328,    -1,    -1,    -1,
     332,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   341,
      -1,   461,    -1,    -1,   464,   465,   466,   349,   468,   469,
     470,   471,   472,   473,    -1,   357,    -1,    -1,    -1,    -1,
      -1,   461,    -1,    -1,   464,   465,   466,   369,   468,   469,
     470,   471,   472,   473,    -1,    -1,   378,    -1,    -1,    -1,
     382,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2164,  2165,    -1,    -1,    -1,    -1,    -1,  4220,
      -1,    -1,    -1,    -1,  4225,    -1,    -1,    -1,  4229,    -1,
      -1,  2183,  2184,    -1,    -1,    -1,  2188,  2189,    -1,    -1,
      -1,  2193,    -1,   435,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4254,  4255,  2207,    -1,    -1,  4259,  4260,
      -1,    -1,  2214,    -1,    -1,    -1,  2218,  2219,    -1,    -1,
    2222,  2223,    -1,    -1,    -1,    -1,    -1,  2229,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2244,    -1,  2246,    -1,    -1,    -1,    -1,  5324,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2265,    -1,    -1,    -1,    -1,  2270,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   199,   200,    -1,
      -1,    -1,  2284,    -1,    -1,   207,    -1,   209,   210,    -1,
      -1,  2293,    -1,    -1,  2296,    -1,    -1,  2299,  2300,  2301,
      -1,   223,    -1,    -1,  2306,  2307,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2316,    -1,    -1,     8,    -1,  2321,
      11,    -1,    -1,  2325,    15,    16,    17,    -1,    -1,    -1,
      -1,    -1,    -1,  5408,    -1,     8,    -1,    -1,    11,  2341,
      -1,    32,    15,    16,    17,    -1,  2348,  2349,    -1,    40,
      -1,    -1,  2354,    -1,    -1,    -1,    47,    -1,    -1,    32,
      -1,    -1,    35,  2365,  2366,    -1,    -1,    40,  2370,    -1,
      -1,    -1,    -1,    -1,    47,    -1,    -1,    -1,    -1,    -1,
    2382,    72,    -1,  2385,    -1,    -1,    -1,    -1,  2390,    -1,
      -1,    -1,    -1,  2395,  2396,    -1,  5471,    -1,  2400,    72,
      -1,  2403,    -1,    -1,    -1,  2407,  2408,  2409,  2410,    -1,
    2412,    -1,    -1,    -1,  5489,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2425,  2426,    -1,  2428,    -1,    -1,    -1,
      -1,    -1,    -1,  4301,    -1,    -1,  2438,  2439,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4316,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,    11,
      -1,    -1,    -1,    15,    16,    17,   157,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    -1,
      -1,   182,    -1,    -1,    -1,    47,   187,    -1,  2500,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   182,
      -1,    -1,    -1,    -1,   187,    -1,    -1,    -1,   209,   210,
      72,    -1,    -1,    -1,    -1,    -1,  2528,    -1,    -1,    -1,
      -1,    -1,    -1,   224,    -1,    -1,   209,   210,    -1,  4407,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   224,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   257,    -1,    -1,    -1,
    4621,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     271,    -1,    -1,   274,   257,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   271,    -1,
      -1,   274,    -1,    -1,    -1,    -1,   297,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,    11,    -1,
      -1,    -1,    15,    16,    17,    -1,    -1,    -1,    -1,    -1,
     182,    -1,    -1,    -1,    -1,   187,    -1,    -1,    -1,    32,
      -1,    -1,    35,    -1,    -1,    -1,    -1,    40,    -1,    -1,
      -1,    -1,    -1,    -1,    47,    -1,    -1,   209,   210,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   362,   224,    -1,    -1,    -1,    -1,    -1,    -1,    72,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   362,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      22,    -1,    -1,    -1,   626,   257,    28,    -1,    -1,    -1,
     632,    -1,    -1,    -1,    -1,  4583,  4584,  4585,    -1,   271,
      -1,    -1,   274,   645,    -1,    -1,    -1,  2729,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   661,
      -1,   293,    -1,    -1,    -1,    -1,    -1,    -1,    70,    -1,
      -1,    -1,    -1,   675,   676,    -1,    -1,    -1,    -1,    -1,
     682,    -1,   684,   685,    -1,    -1,    -1,    -1,    -1,    -1,
     461,    -1,    -1,   464,   465,   466,   698,   468,   469,   470,
     471,   472,   473,    -1,    -1,    -1,   708,    -1,   461,   182,
      -1,   464,   465,   466,   187,   468,   469,   470,   471,   472,
     473,    -1,   124,    -1,    -1,    -1,    -1,    -1,    -1,   131,
     362,    -1,   134,    -1,    -1,    -1,   209,   210,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   224,    -1,    -1,    -1,    -1,    -1,   159,    -1,  4890,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   257,    -1,    -1,    -1,    -1,    -1,
      -1,   193,    -1,  4741,   796,    -1,    -1,    -1,   271,    -1,
      -1,   274,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   820,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   461,
      -1,   833,   464,   465,   466,    -1,   468,   469,   470,   471,
     472,   473,    -1,    -1,    -1,    -1,     8,    -1,    -1,    11,
     252,    -1,   254,    15,    16,    17,    -1,    -1,    -1,    -1,
      -1,    -1,   264,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      32,   273,    -1,    -1,    -1,    -1,    -1,    -1,    40,    -1,
      -1,    -1,    -1,   285,    -1,    47,    -1,    -1,    -1,   362,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2984,    -1,    -1,    -1,  2988,    -1,    -1,    -1,
      72,    -1,  2994,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   324,    -1,    -1,   327,   328,    -1,    -1,    -1,
    3012,  3013,    -1,    -1,  4882,  3017,  4884,    -1,  5069,   941,
    3022,  3023,  3024,    -1,  3026,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   357,    -1,   959,    -1,    -1,
      -1,    -1,    -1,   965,    -1,    -1,   968,  3049,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3059,  3060,  3061,
    3062,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   461,    -1,
      -1,   464,   465,   466,    -1,   468,   469,   470,   471,   472,
     473,   163,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,
      15,    16,    17,  3095,    -1,    -1,  3098,  3099,  3100,    -1,
     182,    -1,   424,    -1,    -1,   187,    -1,    32,    -1,    -1,
      35,    -1,    -1,    -1,  3116,    40,    -1,    -1,    -1,    -1,
      -1,    -1,    47,    -1,    -1,    -1,    -1,   209,   210,    -1,
      -1,    -1,    -1,    -1,  3136,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   224,    -1,    -1,    -1,    -1,    72,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5039,    -1,    56,    -1,   257,     8,    -1,    -1,    11,
      -1,    -1,    -1,    15,    16,    17,    -1,    -1,    -1,   271,
      -1,    -1,   274,    -1,    -1,  1117,    -1,    -1,    -1,    -1,
      32,    -1,    -1,    -1,    -1,    -1,  3208,    90,    40,    -1,
      -1,    -1,    -1,  1135,  3216,    47,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1153,    -1,    -1,    -1,    -1,    -1,   120,    -1,    -1,
      72,    -1,    -1,    -1,    -1,  3247,    -1,    -1,    -1,    -1,
    5118,    -1,    -1,    -1,    -1,    -1,    -1,   182,    -1,  1181,
      -1,    -1,   187,    -1,    -1,    -1,   149,    -1,  3270,    -1,
      -1,    -1,    -1,    -1,    -1,  1197,    -1,    -1,    -1,    -1,
     362,    -1,    -1,    -1,   209,   210,    -1,    -1,    -1,    -1,
      -1,  1213,    -1,    -1,    -1,  1217,    -1,    -1,    -1,   224,
      -1,   184,    -1,    -1,    -1,    -1,     8,    -1,    -1,    11,
      -1,    -1,    -1,    15,    16,    17,    -1,    -1,    -1,    -1,
    3322,    -1,    -1,    -1,    -1,  3327,    -1,    -1,    -1,    -1,
      32,    -1,   257,    35,    -1,    -1,    -1,   220,    40,    -1,
      -1,    -1,    -1,    -1,    -1,    47,   271,    -1,    -1,   274,
     182,    -1,    -1,  5221,    -1,   187,    -1,  5408,    -1,  3361,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      72,   254,    -1,    -1,    -1,    -1,    -1,   209,   210,   461,
      -1,    -1,   464,   465,   466,    -1,   468,   469,   470,   471,
     472,   473,   224,    -1,    -1,    -1,    -1,    -1,  3400,    -1,
    3402,    -1,   285,   286,    -1,    -1,    -1,    -1,    -1,   292,
      -1,    -1,    -1,  1335,    -1,    -1,    -1,    -1,    -1,    -1,
    5471,  1343,  1344,    -1,    -1,   257,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1357,    -1,   362,  5489,   271,
    3442,   324,   274,    -1,    -1,   328,   200,    -1,    -1,   332,
    5318,    -1,    -1,    -1,    -1,   209,    -1,    -1,   341,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   349,    -1,    -1,   223,
      -1,    -1,    -1,    -1,   357,    -1,    -1,    -1,    -1,    -1,
     182,    -1,  5350,  5351,    -1,   187,   369,    -1,  1410,    -1,
      -1,    -1,    -1,    -1,    -1,   378,    -1,    -1,    -1,   382,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   209,   210,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   224,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     362,    -1,    -1,    -1,    -1,    -1,   461,    -1,    -1,   464,
     465,   466,    -1,   468,   469,   470,   471,   472,   473,    -1,
      -1,    -1,   435,    -1,    -1,   257,     8,    -1,    -1,    11,
      -1,    -1,   394,    15,    16,    17,    -1,    -1,    -1,   271,
      -1,    -1,   274,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      32,    -1,    -1,    -1,    -1,  5453,    -1,    -1,    40,    -1,
      -1,    -1,    -1,    -1,    -1,    47,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   461,
      -1,    -1,   464,   465,   466,    -1,   468,   469,   470,   471,
     472,   473,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3656,    -1,  3658,    -1,    -1,    -1,
     362,    -1,    -1,  3665,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3681,
      -1,    -1,  1604,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3697,    -1,    -1,    -1,    -1,
     201,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   213,    -1,  3716,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   224,    -1,    -1,    -1,    -1,    -1,    -1,
     182,    -1,  3734,    -1,    -1,   187,    -1,    -1,    -1,    -1,
      -1,    -1,  3744,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,   209,   210,   461,
      -1,  3763,   464,   465,   466,    -1,   468,   469,   470,   471,
     472,   473,   224,    37,  3776,  3777,  3778,    -1,    -1,    -1,
      -1,  3783,  3784,  3785,  3786,    -1,    -1,    -1,  3790,  3791,
      -1,    -1,    -1,    -1,  3796,  3797,    60,  3799,  3800,  3801,
    3802,  3803,  3804,    -1,  3806,   257,    -1,    -1,    -1,    73,
      -1,    -1,    -1,  3815,    -1,    -1,  3818,  3819,    -1,   271,
      84,    -1,   274,    -1,    88,    -1,    -1,    -1,    -1,    -1,
    1752,    22,    -1,    -1,    -1,    -1,    -1,    28,    -1,    -1,
    3842,    -1,   106,    -1,    35,    -1,    -1,    -1,   112,    -1,
      -1,    -1,    -1,    -1,  1776,    -1,    -1,    -1,    -1,  3861,
      -1,    -1,  1784,    54,    -1,   129,    -1,    -1,    -1,    22,
      -1,    -1,   626,    -1,  1796,    28,   140,    -1,   632,    70,
      -1,    -1,    35,    -1,   148,    -1,    -1,    -1,    -1,    -1,
      -1,   645,    -1,    -1,    -1,    -1,   160,    -1,    -1,    -1,
      -1,    54,    -1,    -1,   168,    -1,    -1,   661,   172,    -1,
     362,    -1,    -1,   104,    -1,    -1,    -1,    70,    -1,    -1,
      -1,    -1,   676,    -1,    -1,    -1,    -1,   191,    -1,    -1,
     684,    -1,    -1,   124,    -1,    -1,    -1,    -1,    -1,    -1,
     131,    -1,    -1,   134,   698,  1867,  1868,    -1,  1870,  1871,
      -1,   104,    -1,    -1,   708,    -1,    -1,    -1,    -1,  3961,
    1882,    -1,  1884,  1885,   228,    -1,    -1,    -1,   159,    -1,
      -1,   124,    -1,   237,    -1,  1897,  1898,    -1,   131,    -1,
      -1,   134,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1913,    -1,  3995,    -1,    -1,    -1,    -1,    -1,   190,
      -1,    -1,   193,    -1,    -1,    -1,   159,   271,    -1,   461,
     274,    -1,   464,   465,   466,    -1,   468,   469,   470,   471,
     472,   473,    -1,  1945,    -1,    -1,  1948,  1949,    -1,    -1,
      -1,   295,    -1,    -1,    -1,    -1,    -1,   190,    -1,    -1,
     193,    -1,   796,    -1,    -1,   309,    -1,   238,    -1,    -1,
     241,    -1,   316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   252,    -1,   254,    -1,    -1,   820,    -1,    -1,    -1,
      -1,   335,    -1,   264,    -1,    -1,    -1,    -1,    -1,   833,
     344,    -1,   273,    -1,    -1,   238,    -1,   351,   241,    -1,
     354,    -1,    -1,   284,   285,    -1,    -1,    -1,    -1,   252,
      -1,   254,    -1,    -1,    -1,    -1,   607,    -1,    -1,   373,
      -1,   264,   613,    -1,    -1,  2037,   380,    -1,    -1,    -1,
     273,    -1,   386,    -1,    -1,   389,   390,    -1,   392,   393,
      -1,   284,   285,   324,    -1,    -1,   327,   328,   329,   403,
      -1,    -1,    -1,    -1,   408,    -1,    -1,    -1,    -1,    -1,
     414,    -1,    -1,   417,    -1,    -1,   420,    -1,    -1,    -1,
     351,    -1,    -1,    -1,    -1,    -1,   357,    -1,    -1,   433,
      -1,   324,    -1,    -1,   327,   328,   329,    -1,    -1,    -1,
     371,    -1,    -1,    -1,    -1,  2107,    -1,   941,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   351,    -1,
      -1,    -1,  4204,    -1,   357,    -1,  4208,  4209,  4210,  4211,
      -1,    -1,  4214,    -1,    -1,    -1,    -1,    -1,   371,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   424,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2163,    -1,    -1,  4246,  4247,  4248,    -1,  4250,    -1,
    4252,  4253,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2181,
      -1,    -1,  4264,  4265,  2186,  2187,    -1,    -1,    -1,  2191,
      -1,   424,    -1,    -1,    -1,    -1,    -1,  2199,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4291,
      -1,    -1,   793,    -1,    20,  2217,    -1,    -1,    -1,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   812,  4314,    -1,    -1,    -1,    -1,  2239,    -1,    -1,
    2242,  2243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   834,    60,    -1,    -1,    -1,    -1,    -1,
      -1,  2263,    -1,    -1,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2282,  2283,    88,  1117,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   880,
     106,  1135,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4393,  2314,  2315,    -1,    -1,  2318,    -1,    -1,  1153,
      -1,    -1,    -1,   129,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   140,    -1,    -1,    -1,  2340,    -1,
    2342,    -1,   148,    -1,    -1,  2347,    -1,  1181,    -1,    -1,
      -1,  2353,    -1,    -1,   160,    -1,    -1,    -1,  2360,   165,
      -1,    -1,  2364,  1197,    -1,    -1,   172,  2369,    -1,  4451,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1213,
      -1,    -1,    -1,  1217,    -1,   191,    -1,  2389,    -1,    -1,
      -1,    -1,  2394,    -1,    -1,    -1,  2398,    -1,    -1,  2401,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2411,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2424,    -1,  1005,    -1,    -1,    -1,    -1,    -1,
      -1,   237,  2434,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1034,  1035,  1036,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   271,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   284,  4561,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   295,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2499,    -1,   305,
     306,  1335,    -1,   309,    -1,    -1,    -1,    -1,    -1,  1343,
    1344,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1357,    -1,    -1,    -1,    -1,    -1,   335,
      -1,    -1,   338,    -1,    -1,    -1,   342,    -1,   344,    -1,
      -1,  4623,    -1,    -1,    -1,   351,    -1,    -1,   354,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4641,
      -1,    -1,    -1,    -1,  4646,  4647,    -1,   373,    -1,    -1,
      -1,    -1,    -1,    -1,   380,    -1,  1410,    -1,  2580,    -1,
     386,    -1,    -1,   389,    -1,    -1,    -1,   393,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   401,    -1,   403,    -1,  1180,
      -1,    -1,   408,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   420,    -1,  4698,    -1,    -1,    -1,
      -1,    -1,  1203,    -1,    -1,    -1,    -1,   433,    -1,    -1,
      -1,  1212,    -1,  2635,    20,    -1,  4718,    -1,  4720,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4735,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4755,    60,  2677,    -1,    -1,    -1,    -1,
    4762,    -1,    -1,    -1,    -1,    -1,    -1,    73,    74,    -1,
      -1,    -1,    -1,  2695,    -1,    -1,    -1,    -1,    84,    -1,
      -1,  2703,    88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2713,    -1,    -1,  2716,    -1,    -1,  2719,    -1,    -1,
     106,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   129,    -1,  4827,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   140,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   148,    -1,    -1,    -1,    -1,  4849,  1349,    -1,
    1604,    -1,    -1,    -1,   160,    -1,    -1,    -1,  4860,   165,
      -1,    -1,    -1,  2785,    -1,    -1,    -1,    -1,    -1,  2791,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   191,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1395,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   790,   791,    -1,    -1,    -1,    -1,    -1,
     216,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4923,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   237,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2867,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   271,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1477,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1487,  4989,    -1,   295,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1752,   305,
     306,    -1,    -1,   309,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1518,    -1,    -1,
      -1,    -1,  1776,    -1,    -1,    -1,    -1,    -1,    -1,   335,
    1784,    -1,   338,    -1,  2956,  2957,   342,    -1,   344,    -1,
    1541,    -1,  1796,  1544,    -1,   351,    -1,  5049,   354,    -1,
      -1,    -1,   939,   940,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2983,  5064,    -1,  2986,    -1,    -1,   373,    -1,    -1,
      -1,    -1,    -1,    -1,   380,    -1,    -1,    -1,    -1,    -1,
     386,    -1,    -1,   389,    -1,    -1,    -1,   393,    -1,    -1,
      -1,    -1,    -1,  1594,    -1,   401,    -1,   403,    -1,    -1,
      -1,    -1,   408,    -1,    -1,    -1,  5108,  1608,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1870,  1871,    -1,    -1,
      -1,  5123,    -1,    -1,    -1,    -1,    -1,   433,    -1,    -1,
    1884,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1897,  1898,    -1,    -1,    -1,    -1,  3071,
    3072,  3073,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1913,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3094,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3114,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   671,  5205,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3133,    -1,    -1,    -1,    -1,    -1,    -1,  1719,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   697,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5249,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1770,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2037,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3215,    -1,    -1,    -1,    -1,  1799,    -1,
      -1,    -1,    -1,    -1,    -1,  1806,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5337,    -1,    -1,    -1,    -1,
    3262,    -1,  1229,    -1,    -1,    -1,    -1,  3269,    -1,  3271,
      -1,    -1,    -1,  2107,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3284,    -1,  3286,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1259,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    25,    -1,    -1,  3308,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1287,  1288,  1289,    -1,  1291,    -1,    -1,    -1,    -1,  2163,
    1911,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1311,    -1,    -1,  2181,    -1,    -1,
    3352,    73,  2186,  2187,    -1,    -1,    -1,  2191,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2199,    88,    -1,    -1,    -1,
    1951,  1952,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2217,   106,    -1,    -1,  1968,    -1,    -1,
     112,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3403,    -1,    -1,    -1,    -1,   955,   129,    -1,    -1,
      -1,    -1,  1379,    -1,    -1,    -1,  1383,  1384,   140,  3421,
      -1,    -1,    -1,    -1,    -1,    -1,   148,    -1,    -1,  2263,
      -1,   980,    -1,    -1,    -1,    -1,    -1,    -1,   160,    -1,
      -1,  3443,    -1,   165,  3446,    -1,   995,    -1,  2282,  2283,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   191,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2314,  2315,    -1,    -1,  2318,    -1,  2067,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   216,    -1,  2077,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2340,    -1,  2342,    -1,
      -1,    -1,    -1,  2347,    -1,   237,    -1,    -1,    -1,  2353,
      -1,    -1,    -1,    -1,  3526,  2106,  2360,    -1,    -1,    -1,
    2364,  1080,    -1,    -1,    -1,  2369,  2117,  2118,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   271,
      -1,    -1,    -1,    -1,    -1,  2389,    -1,    -1,    -1,    -1,
    2394,    -1,    -1,    -1,  2398,    -1,    -1,  2401,    -1,    -1,
    2151,    -1,    -1,   295,    -1,    -1,    -1,  2411,    -1,    -1,
      -1,    -1,    -1,   305,   306,    -1,    -1,   309,    -1,    -1,
    2424,   671,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2434,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   335,    -1,    -1,   338,   697,    -1,    -1,
     342,    -1,   344,    -1,    -1,    -1,    -1,    -1,    -1,   351,
      -1,    -1,   354,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1195,    -1,    -1,    -1,
      -1,   373,  1619,  1620,  1621,    -1,    -1,    -1,   380,    -1,
      -1,    -1,    -1,   385,   386,  2499,    -1,   389,    -1,    -1,
      -1,   393,    -1,    -1,    -1,    -1,    -1,    -1,  3680,    -1,
      -1,   403,    -1,    -1,    -1,    -1,   408,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   420,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   433,    -1,    -1,  2295,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3731,
    2311,    -1,    -1,    -1,  3736,    -1,  3738,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2580,    -1,    -1,    -1,
    2331,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3760,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3779,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1338,
      -1,    -1,    -1,  3795,    -1,    -1,  3798,    -1,    -1,    -1,
      -1,  2635,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2405,  2406,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2677,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1404,    -1,    -1,    -1,   939,
      -1,  2695,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2703,
      -1,    -1,    -1,    -1,    -1,   955,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3887,  3888,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3897,    -1,    -1,    -1,    -1,
     980,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3916,   995,    -1,    -1,    -1,    -1,
      -1,    -1,  1471,    -1,    -1,    -1,    -1,    -1,    -1,  2510,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2785,    -1,    -1,    -1,    -1,    -1,  2791,    -1,    -1,
      -1,    -1,    -1,  1512,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3991,
      -1,    -1,    -1,    -1,    -1,    -1,  1545,    -1,    -1,    -1,
    1080,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1990,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2867,    -1,    -1,  2003,    -1,  2005,    -1,
      -1,  2008,  2009,  2010,    -1,    -1,    -1,    -1,  2015,    -1,
      -1,  2018,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2033,  2034,  2035,  2036,
      -1,    -1,    -1,    -1,  2041,    -1,    -1,    -1,  2045,    -1,
      -1,  2048,    -1,    -1,  2051,  2052,  2053,  2054,  2055,  2056,
    2057,  2058,  2059,    -1,  2061,    -1,    -1,    -1,    -1,    -1,
      -1,  2068,    -1,  2070,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1195,    -1,    -1,    -1,    -1,
      -1,    -1,  2956,  2957,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2113,    -1,    -1,  2983,
      -1,    -1,  2986,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2137,  2138,    -1,  1722,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   671,    -1,
    1739,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1757,    -1,
      -1,  4213,    -1,    -1,   697,    -1,  4218,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3071,  3072,  3073,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4251,
      -1,    -1,    -1,  2220,    -1,    -1,    -1,    -1,    -1,    -1,
    3094,  4263,    -1,    -1,  1813,    -1,    -1,    -1,    -1,    -1,
      -1,  2852,    -1,    -1,    -1,    -1,    -1,  1826,    -1,    -1,
    3114,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4290,  1838,
      -1,    -1,    -1,    -1,  2875,    -1,    -1,    -1,    -1,  3133,
      -1,  1850,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1404,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1894,  1895,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3215,    -1,    -1,    -1,  4387,    -1,    -1,    -1,    -1,
      -1,  1471,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3262,    -1,
      -1,    -1,  1512,    -1,    -1,  3269,    -1,  3271,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3284,    -1,  3286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4465,    -1,  1545,    -1,    -1,    -1,    -1,
      -1,    -1,   955,    -1,  3308,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2032,  2451,  2452,  2453,    -1,    -1,    -1,
    2457,    -1,    -1,    -1,    -1,    -1,    -1,   980,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   995,    -1,    -1,    -1,    -1,    -1,  3352,    -1,
      -1,    -1,  2489,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3112,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1619,
    1620,  1621,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3403,
      -1,    -1,    -1,  4575,    -1,  4577,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3421,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1080,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3443,
      -1,    -1,  3446,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4622,  2170,    -1,    -1,    -1,  2174,  2175,    -1,    -1,  4631,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1722,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1739,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4669,    -1,    -1,
      -1,    -1,  4674,    -1,    -1,    -1,    -1,  1757,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2236,    -1,    -1,
      -1,    -1,  3526,    -1,  3275,  3276,  3277,    -1,    -1,    -1,
      -1,  2250,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3292,  1195,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1813,  3315,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2291,    -1,  3325,  3326,  1826,    -1,    -1,  3330,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1838,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2736,
    1850,    -1,    -1,    -1,  2741,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2766,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2777,    -1,  2779,  2780,  1894,  1895,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2790,    -1,    -1,  2793,    -1,  2795,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3680,    -1,    -1,    -1,
      -1,  4853,    -1,    -1,    -1,    -1,    -1,  2824,    -1,  2826,
    3441,  2828,    -1,  3444,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   671,  4878,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4890,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3731,    -1,    -1,
      -1,   697,  3736,    -1,  3738,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2883,    -1,    -1,    -1,
      -1,  1404,    -1,    -1,    -1,    -1,  3760,    -1,    -1,    -1,
      -1,  2898,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2490,    -1,    -1,    -1,  3779,    -1,    -1,    -1,    -1,
      -1,    -1,  2032,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3795,    -1,    -1,  3798,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1471,    -1,
    2070,  3572,  3573,  3574,    -1,  2962,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   671,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2572,    -1,    -1,  2575,    -1,    -1,  1512,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   697,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3887,  3888,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1545,  3897,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5077,    -1,  5079,    -1,    -1,
      -1,    -1,  3916,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2170,    -1,    -1,    -1,  2174,  2175,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2693,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2236,  3991,    -1,   955,
      -1,  2710,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2250,    -1,  5174,    -1,    -1,    -1,  2725,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   980,    -1,    -1,    -1,    -1,    -1,
    5192,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   995,
      -1,    -1,    -1,    -1,  5206,    -1,    -1,    -1,    -1,    -1,
      -1,  2291,    -1,    -1,    -1,    -1,    -1,  5219,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1722,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3220,    -1,    -1,  1739,    -1,    -1,  3226,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1757,    -1,    -1,  3858,    -1,  5281,
    5282,    -1,    -1,    -1,  1080,    -1,    -1,    -1,  3869,    -1,
      -1,    -1,    -1,    -1,    -1,   955,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3900,
     980,    -1,  5324,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1813,    -1,    -1,    -1,    -1,   995,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1826,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3933,    -1,    -1,  1838,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1850,    -1,    -1,
      -1,    -1,    -1,  2453,    -1,    -1,    -1,    -1,    -1,  4213,
      -1,    -1,  2931,    -1,  4218,  2934,    -1,  2936,    -1,    -1,
      -1,    -1,  2941,    -1,    -1,    -1,    -1,    -1,    -1,  1195,
    3981,    -1,    -1,    -1,    -1,    -1,  5408,    -1,    -1,    -1,
    2490,  1894,  1895,    -1,    -1,    -1,    -1,  4251,    -1,    -1,
    1080,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4263,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2990,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4290,    -1,    -1,    -1,
    3009,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5471,
      -1,    -1,   671,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3034,    -1,  5489,    -1,  5491,
    5492,    -1,  2572,    -1,    -1,  2575,    -1,    -1,   697,  3466,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3475,    -1,
      -1,    -1,    -1,    -1,  3481,    -1,  3483,    -1,    -1,  4100,
    4101,  4102,  4103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1195,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3510,  3511,    -1,    -1,    -1,    -1,  2032,
      -1,    -1,    -1,  4387,    -1,  3104,    -1,  3106,    -1,    -1,
      -1,  3528,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3536,
      -1,    -1,  3539,    -1,  3541,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3550,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3558,  3559,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1404,    -1,
      -1,    -1,    -1,  2693,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3590,    -1,    -1,    -1,    -1,    -1,    -1,
    2710,  4465,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2725,  3195,    -1,  3615,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3631,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1471,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3234,    -1,  2170,    -1,    -1,
      -1,  2174,  2175,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3263,    -1,  1512,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4575,    -1,  4577,  1404,    -1,    -1,    -1,    -1,  1545,
      -1,    -1,    -1,  2236,    -1,    -1,   955,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2250,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   980,    -1,  3332,    -1,    -1,    -1,    -1,  4622,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   995,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3353,    -1,    -1,    -1,  2291,    -1,
      -1,  1471,    -1,    -1,    -1,    -1,    -1,    -1,  3367,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4669,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2931,  1512,    -1,  2934,    -1,  2936,    -1,    -1,    -1,
      -1,  2941,  4443,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1080,    -1,    -1,    -1,  1545,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2990,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3469,    -1,    -1,    -1,    -1,    -1,  1722,    -1,    -1,  3009,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3490,    -1,  1739,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3034,    -1,    -1,    -1,    -1,    -1,
      -1,  1757,    -1,    -1,    -1,    -1,  3515,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3944,  3945,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1195,    -1,    -1,    -1,
    3549,    -1,    -1,    -1,    -1,    -1,    -1,  2490,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1813,    -1,  4853,
      -1,    -1,    -1,    -1,  3104,    -1,  3106,    -1,    -1,    -1,
    1826,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1838,    -1,  4878,    -1,    -1,    -1,    -1,  4016,
      -1,    -1,    -1,    -1,  1850,    -1,  4890,    -1,    -1,    -1,
    4027,    -1,  1722,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1739,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3637,  2572,
      -1,    -1,  2575,    -1,    -1,    -1,  4677,  1757,  1894,  1895,
      -1,  4068,  4069,    -1,    -1,    -1,    -1,    -1,  4075,  4076,
      -1,  4692,    -1,  4080,    -1,  3195,  4697,    -1,  4085,    -1,
      -1,  4088,  4089,    -1,    -1,    -1,  4093,    -1,    -1,    -1,
      -1,    -1,  4099,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3220,    -1,  4723,    -1,    -1,    -1,  3226,    -1,    -1,    -1,
      -1,    -1,    -1,  1813,  3234,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1826,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1838,    -1,
      -1,    -1,    -1,  3263,  4151,    -1,    -1,    -1,  3737,    -1,
    1850,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1404,    -1,    -1,    -1,    -1,
    2693,  4178,  3761,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2710,    -1,    -1,
      -1,    -1,    -1,    -1,  1894,  1895,  2032,    -1,    -1,    -1,
      -1,    -1,  2725,  5077,    -1,  5079,    -1,    -1,    -1,    -1,
      -1,    -1,  3332,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4844,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1471,  3353,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3367,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   671,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4279,  1512,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   697,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5174,    -1,  3891,    -1,    -1,    -1,  1545,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5192,    -1,
    4941,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2032,    -1,  2170,    -1,    -1,    -1,  2174,  2175,
      -1,  4348,    -1,    -1,    -1,  5219,    -1,    -1,    -1,  3469,
    3939,    -1,    -1,    -1,  3943,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3490,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3515,    -1,    -1,    -1,    -1,
    2236,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2931,    -1,
      -1,  2934,    -1,  2936,  2250,    -1,    -1,    -1,  2941,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3549,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5324,    -1,    -1,    -1,    -1,  2291,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2990,    -1,    -1,
    2170,    -1,    -1,    -1,  2174,  2175,    -1,    -1,    -1,    -1,
      -1,    -1,  4071,  1722,    -1,    -1,  3009,    -1,    -1,    -1,
      -1,    -1,  4081,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1739,    -1,    -1,    -1,    -1,  4512,  4513,    -1,    -1,  4516,
      -1,  3034,    -1,    -1,    -1,    -1,    -1,  3637,  1757,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5408,    -1,  2236,    -1,    -1,   955,
      -1,    -1,    -1,    -1,    -1,    -1,  4553,  4554,    -1,    -1,
    2250,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4570,   980,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1813,    -1,    -1,    -1,    -1,   995,
      -1,  3104,    -1,  3106,    -1,    -1,    -1,  1826,    -1,    -1,
      -1,  2291,    -1,    -1,    -1,    -1,    -1,  5471,    -1,  1838,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4196,    -1,    -1,
      -1,  1850,    -1,    -1,    -1,  5489,    -1,  3737,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3761,    -1,    -1,    -1,    -1,  4235,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2490,  1894,  1895,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1080,    -1,    -1,  4256,    -1,    -1,
      -1,    -1,  3195,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3234,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4321,    -1,    -1,    -1,  2572,    -1,    -1,  2575,
    3263,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   671,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4771,    -1,    -1,    -1,    -1,    -1,
      -1,  3891,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1195,
      -1,    -1,   697,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2490,  4798,    -1,  2032,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4812,    -1,    -1,    -1,  3332,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3939,
      -1,    -1,    -1,  3943,    -1,    -1,    -1,    -1,    -1,    -1,
    3353,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3367,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4441,    -1,    -1,    -1,    -1,  2693,    -1,    -1,
      -1,    -1,    -1,    -1,  4871,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2572,    -1,  2710,  2575,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2725,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4487,    -1,
      -1,    -1,    -1,    -1,    -1,  4912,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2170,    -1,    -1,    -1,  2174,  2175,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3469,    -1,    -1,    -1,
      -1,  4071,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4081,    -1,    -1,    -1,    -1,    -1,  3490,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1404,    -1,
      -1,    -1,  3515,  2693,    -1,    -1,    -1,  2236,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2710,  2250,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5026,
      -1,    -1,    -1,    -1,    -1,  2725,  3549,    -1,    -1,    -1,
      -1,    -1,  4621,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     955,    -1,    -1,    -1,    -1,  5052,    -1,    -1,    -1,    -1,
      -1,    -1,  2291,    -1,    -1,  1471,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   980,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4196,    -1,    -1,    -1,
     995,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2931,  1512,    -1,  2934,    -1,
    2936,    -1,    -1,    -1,    -1,  2941,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3637,  4235,    -1,    -1,    -1,    -1,
      -1,    -1,  5129,    -1,    -1,    -1,    -1,    -1,    -1,  1545,
      -1,    -1,    -1,    -1,    -1,    -1,  4256,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2990,    -1,  4745,  5164,  5165,  5166,
      -1,    -1,    -1,    -1,    -1,  1080,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3009,    -1,    -1,  5183,    -1,    -1,    -1,
    4769,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3034,    -1,
      -1,  4321,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3737,    -1,    -1,    -1,    -1,  4808,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2931,    -1,    -1,  2934,    -1,  2936,    -1,  3761,    -1,
      -1,  2941,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2490,    -1,    -1,    -1,    -1,    -1,    -1,  5265,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3104,    -1,
    3106,    -1,  4861,    -1,    -1,    -1,  5283,  4866,  4867,    -1,
    1195,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2990,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1722,    -1,    -1,  3009,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4439,
      -1,  4441,    -1,  1739,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2572,  3034,    -1,  2575,    -1,    -1,    -1,
      -1,  1757,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3195,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4487,  3891,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5394,    -1,    -1,
      -1,    -1,    -1,  4982,    -1,    -1,    -1,  1813,  3234,    -1,
      -1,    -1,    -1,    -1,  3104,    -1,  3106,    -1,    -1,    -1,
    1826,    -1,    -1,    -1,    -1,    -1,  3939,    -1,    -1,    -1,
    3943,  5428,  1838,    -1,    -1,    -1,    -1,  3263,    -1,    -1,
      -1,  5438,    -1,    -1,  1850,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2693,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2710,    -1,    -1,    -1,    -1,    -1,    -1,  1894,  1895,
      -1,    -1,    -1,    -1,    -1,    -1,  2725,    -1,    -1,  1404,
      -1,    -1,    -1,    -1,    -1,  3195,  3332,    -1,    -1,    -1,
      -1,  4621,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3353,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3367,    -1,    -1,  3234,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4071,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1471,    -1,  4081,    -1,
      -1,    -1,    -1,  3263,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5177,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1512,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2032,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4745,    -1,    -1,    -1,    -1,
    1545,    -1,  3332,  3469,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4769,
      -1,    -1,    -1,  3353,  3490,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3367,    -1,    -1,
      -1,    -1,    -1,  4196,    -1,    -1,    -1,    -1,    -1,  3515,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4808,    -1,
      -1,    -1,  2931,    -1,    -1,  2934,    -1,  2936,    -1,    -1,
      -1,    -1,  2941,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4235,  3549,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4256,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4861,    -1,    -1,    -1,    -1,  4866,  4867,    -1,    -1,
      -1,  2990,    -1,    -1,  2170,    -1,    -1,    -1,  2174,  2175,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3469,
    3009,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3490,    -1,    -1,    -1,    -1,  3034,    -1,    -1,  4321,    -1,
      -1,  3637,    -1,    -1,    -1,    -1,    -1,  1722,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3515,    -1,    -1,    -1,    -1,
    2236,    -1,    -1,    -1,  1739,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2250,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1757,    -1,    -1,    -1,    -1,    -1,    -1,  3549,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4981,  4982,    -1,    -1,  3104,    -1,  3106,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2291,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1813,    -1,
      -1,  3737,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1826,    -1,    -1,    -1,    -1,    -1,    -1,  4441,    -1,
      -1,    -1,    -1,  1838,    -1,  3761,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1850,    -1,  3637,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3195,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4487,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1894,
    1895,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3234,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3263,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3737,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3891,    -1,  5177,    -1,    -1,
      -1,  3761,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2490,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3332,    -1,    -1,    -1,    -1,  4621,    -1,
      -1,    -1,    -1,  3939,    -1,    -1,    -1,  3943,    -1,    -1,
      -1,    -1,    -1,    -1,  3353,    -1,    -1,  2032,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3367,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2572,    -1,    -1,  2575,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3891,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4745,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3469,    -1,    -1,    -1,    -1,  4071,    -1,    -1,    -1,  3939,
      -1,    -1,    -1,  3943,    -1,  4081,  4769,    -1,    -1,    -1,
      -1,  3490,    -1,    -1,    -1,  2170,    -1,    -1,    -1,  2174,
    2175,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3515,  2693,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4808,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2710,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2725,
    3549,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2236,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2250,    -1,    -1,  4861,    -1,
      -1,    -1,    -1,  4866,  4867,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4196,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4071,    -1,    -1,    -1,    -1,  2291,    -1,    -1,    -1,
      -1,  4081,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3637,  4235,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1303,    -1,    -1,    -1,    -1,    -1,    -1,
    4256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4982,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1361,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4321,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4196,    -1,  3737,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2931,    -1,    -1,  2934,    -1,
    2936,    -1,  3761,    -1,    -1,  2941,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4235,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4256,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2990,  2490,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3009,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4441,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3034,    -1,
      -1,  4321,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4487,  3891,    -1,  5177,    -1,    -1,  2572,    -1,    -1,
    2575,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3104,    -1,
    3106,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3939,    -1,    -1,    -1,  3943,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1625,    -1,    -1,    -1,  1629,
      -1,  4441,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2693,  3195,
      -1,    -1,    -1,    -1,    -1,  4621,    -1,  4487,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2710,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2725,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3234,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4071,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4081,    -1,    -1,    -1,    -1,  3263,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4745,
      -1,    -1,    -1,    -1,    -1,    -1,  3332,    -1,    -1,    -1,
      -1,  4621,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4769,    -1,    -1,    -1,  3353,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3367,    -1,    -1,    -1,    -1,    -1,  4196,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4808,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4235,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2931,  4256,    -1,  2934,
      -1,  2936,    -1,    -1,    -1,  4861,  2941,    -1,    -1,    -1,
    4866,  4867,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4745,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3469,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4769,
      -1,    -1,    -1,    -1,  3490,  2990,    -1,    -1,    -1,    -1,
      -1,    -1,  4321,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3009,    -1,    -1,    -1,  1988,  3515,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4808,    -1,
      -1,    -1,  2002,    -1,    -1,    -1,  2006,    -1,    -1,  3034,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2020,  2021,  2022,  3549,  2024,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4982,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4861,    -1,    -1,    -1,    -1,  4866,  4867,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2066,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3104,
      -1,  3106,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4441,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3637,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2124,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2136,    -1,  4487,    -1,
      -1,  2141,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3195,    -1,  4982,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3234,
      -1,  3737,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5177,    -1,    -1,    -1,  3761,    -1,    -1,  3263,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4621,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3332,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3353,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3367,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3891,    -1,  5177,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4745,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3939,    -1,    -1,    -1,  3943,    -1,    -1,
    4769,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3469,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4808,
      -1,    -1,    -1,    -1,    -1,  3490,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3515,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4861,    -1,    -1,    -1,    -1,  4866,  4867,    -1,
      -1,    -1,    -1,    -1,  3549,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4071,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4081,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3637,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4982,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4196,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4235,
      -1,    -1,  3737,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4256,    -1,    -1,    -1,    -1,    -1,  3761,    -1,    -1,  2739,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2759,
      -1,  2761,    -1,    -1,  2764,  2765,    -1,  2767,    -1,  2769,
      -1,    -1,    -1,  2773,    -1,    -1,  2776,    -1,    -1,    -1,
      -1,  2781,    -1,    -1,    -1,    -1,    -1,  2787,    -1,    -1,
      -1,    -1,  2792,    -1,    -1,  4321,    -1,    -1,    -1,  2799,
    2800,  2801,  2802,    -1,    -1,    -1,  2806,  2807,    -1,  2809,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2821,    -1,  2823,    -1,    -1,    -1,    -1,  5177,    -1,
    2830,  2831,  2832,  2833,  2834,  2835,  2836,  2837,  2838,  2839,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3891,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2876,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3939,  4441,    -1,    -1,  3943,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4487,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2977,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4071,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4081,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4621,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4196,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4745,
      -1,    -1,    -1,    -1,  3224,  3225,    -1,    -1,    -1,  3229,
      -1,  4256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4769,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3258,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4808,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4321,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4861,    -1,    -1,    -1,    -1,
    4866,  4867,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4441,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4982,    -1,    -1,    -1,
      -1,    -1,  4487,    -1,    -1,  3465,    -1,    -1,    -1,    -1,
      -1,  3471,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3487,  3488,    -1,
      -1,  3491,  3492,  3493,  3494,    -1,    -1,  3497,  3498,  3499,
    3500,  3501,  3502,  3503,  3504,  3505,  3506,  3507,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3529,
      -1,    -1,  3532,    -1,  3534,    -1,    -1,  3537,  3538,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3552,  3553,  3554,  3555,    -1,  3557,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4621,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3646,    -1,    -1,    -1,
      -1,  5177,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4745,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4769,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4808,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4861,    -1,    -1,    -1,
      -1,  4866,  4867,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3862,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4982,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4017,    -1,    -1,
      -1,  4021,  4022,  4023,    -1,    -1,    -1,    -1,    -1,  4029,
    4030,  4031,  4032,    -1,    -1,    -1,    -1,  4037,  4038,  4039,
    4040,  4041,  4042,  4043,  4044,  4045,  4046,  4047,  4048,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4074,    -1,    -1,  4077,    -1,  4079,
      -1,    -1,    -1,  4083,    -1,    -1,  4086,  4087,    -1,    -1,
    4090,  4091,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4137,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4150,    -1,  5177,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4163,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4351,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4436,  4437,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4477,    -1,    -1,
      -1,    -1,  4482,  4483,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4500,    -1,  4502,    -1,    -1,    -1,  4506,  4507,  4508,    -1,
      -1,  4511,    -1,    -1,  4514,  4515,    -1,    -1,    -1,  4519,
      -1,    -1,    -1,  4523,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4579,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4642,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4679,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4767,  4768,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4782,  4783,  4784,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4792,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4819,
    4820,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4831,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4994,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5007,    -1,    -1,
    5010,    -1,    -1,    -1,  5014,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5063,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5100,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5171,    -1,  5173,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5204,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5258,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5286,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5347,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5382,  5383,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5434,  5435,    -1,    -1,    -1,  5439,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    -1,    -1,    -1,  5466,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    73,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,    -1,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,    -1,    -1,    -1,    -1,    -1,    -1,   468,   469,   470,
      -1,    -1,    -1,    -1,    -1,    -1,   477,   478,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    73,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,   197,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,   222,   223,   224,
      -1,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,    -1,    -1,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,   432,   433,   434,
     435,    -1,    -1,   438,    -1,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,    -1,   463,    -1,
      -1,    -1,    -1,   468,   469,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   477,   478,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    73,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,   197,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,    -1,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,    -1,
      -1,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,   432,   433,   434,   435,    -1,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,    -1,    -1,    -1,    -1,    -1,    -1,   468,
     469,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   477,   478,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      73,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,   197,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,   222,
     223,   224,    -1,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,    -1,
      -1,    -1,    -1,    -1,    -1,   468,   469,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   477,   478,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    73,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
     197,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,   222,   223,   224,    -1,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,    -1,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,    -1,    -1,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,   432,   433,   434,   435,    -1,
      -1,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,    -1,    -1,     3,    -1,    -1,
      -1,   468,   469,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     477,   478,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    35,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    -1,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,    -1,    -1,   164,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,   197,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,    -1,    -1,   211,   212,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,   222,   223,    -1,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,    -1,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,    -1,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,    -1,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
      -1,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,    -1,   384,   385,
      -1,   387,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,    -1,    -1,   415,
     416,   417,   418,   419,    -1,    -1,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,    -1,   432,   433,   434,   435,
      -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   478,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    -1,    -1,    -1,    99,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,    -1,   147,   148,   149,    -1,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,    -1,   170,    -1,    -1,    -1,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,   197,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,    -1,   220,    -1,   222,   223,   224,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,    -1,    -1,
     255,   256,   257,   258,    -1,    -1,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,    -1,   294,
     295,    -1,   297,    -1,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,   334,
     335,   336,   337,   338,   339,    -1,   341,   342,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,    -1,   384,
     385,    -1,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,    -1,    -1,   400,   401,    -1,   403,    -1,
      -1,   406,   407,   408,   409,   410,   411,   412,    -1,    -1,
     415,   416,   417,   418,   419,    -1,    -1,   422,   423,   424,
     425,   426,    -1,   428,   429,   430,   431,   432,   433,   434,
     435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   458,   459,   460,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,   478,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      -1,    -1,    73,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    -1,    -1,    -1,    99,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,    -1,   147,   148,   149,    -1,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,    -1,   170,
      -1,    -1,    -1,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,    -1,   220,
      -1,   222,   223,   224,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,    -1,    -1,   255,   256,   257,   258,    -1,    -1,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,    -1,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,    -1,   297,    -1,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,    -1,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,    -1,   384,   385,    -1,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,    -1,   403,    -1,    -1,   406,   407,   408,   409,   410,
     411,   412,    -1,    -1,   415,   416,   417,   418,   419,    -1,
      -1,   422,   423,   424,   425,   426,    -1,   428,   429,   430,
     431,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,    -1,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,   458,   459,   460,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,   478,    34,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    73,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,   197,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,   222,   223,   224,    -1,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,    -1,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,   432,   433,   434,   435,
      -1,    -1,   438,    -1,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,    -1,   463,    -1,    -1,
      -1,    -1,   468,   469,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   477,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    73,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,   219,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,    -1,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,    -1,    -1,    -1,    -1,    -1,    -1,   468,   469,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   477,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    73,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,   197,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,   222,   223,   224,    -1,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,    -1,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,    -1,   384,   385,
      -1,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,   432,   433,   434,   435,
      -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,    -1,    -1,    -1,    -1,
      -1,    -1,   468,   469,    -1,    -1,    -1,    -1,    -1,   475,
     476,   477,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    73,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,    -1,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,    -1,    -1,    -1,    -1,    -1,    -1,   468,   469,   470,
      -1,    -1,    -1,    -1,    -1,    -1,   477,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    73,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,   197,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,   222,   223,   224,    -1,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,    -1,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,    -1,   384,   385,
      -1,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,   432,   433,   434,   435,
      -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,    -1,    -1,    -1,    -1,
      -1,    -1,   468,   469,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   477,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    73,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,    -1,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,    -1,    -1,    -1,    -1,    -1,    -1,   468,   469,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   477,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    73,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,   197,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,   222,   223,   224,    -1,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,    -1,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,    -1,   384,   385,
      -1,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,   432,   433,   434,   435,
      -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,    -1,    -1,    -1,    -1,
      -1,    -1,   468,   469,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   477,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    73,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,    -1,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,    -1,    -1,    -1,    -1,    -1,    -1,   468,   469,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   477,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    73,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,   197,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,   222,   223,   224,    -1,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,    -1,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,    -1,   384,   385,
      -1,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,   432,   433,   434,   435,
      -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,    -1,    -1,    -1,    -1,
      -1,    -1,   468,   469,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   477,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    73,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,    -1,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,    -1,    -1,    -1,    -1,    -1,    -1,   468,   469,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   477,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    73,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,   197,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,   222,   223,   224,    -1,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,    -1,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,    -1,   384,   385,
      -1,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,   432,   433,   434,   435,
      -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,    -1,    -1,    -1,    -1,
      -1,    -1,   468,   469,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   477,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    73,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,    -1,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,    -1,    -1,    -1,    -1,    -1,    -1,   468,   469,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   477,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    73,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,   197,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,   222,   223,   224,    -1,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,    -1,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,    -1,   384,   385,
      -1,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,   432,   433,   434,   435,
      -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,    -1,    -1,    -1,    -1,
      -1,    -1,   468,   469,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   477,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    73,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,    -1,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,    -1,    -1,    -1,    -1,    -1,    -1,   468,   469,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   477,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    73,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,   197,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,   222,   223,   224,    -1,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,    -1,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,    -1,   384,   385,
      -1,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,   432,   433,   434,   435,
      -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,    -1,    -1,    -1,    -1,
      -1,    -1,   468,   469,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   477,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    73,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,    -1,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,    -1,    -1,    -1,    -1,    -1,    -1,   468,   469,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   477,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    73,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,   197,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,   222,   223,   224,    -1,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,    -1,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,    -1,   384,   385,
      -1,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,    -1,    -1,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,   432,   433,   434,   435,
      -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   468,   469,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   477,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    73,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,   212,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,    -1,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,    -1,    -1,    -1,    -1,    -1,    -1,   468,   469,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   477,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    73,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,   197,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,   222,   223,   224,    -1,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,    -1,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,    -1,   384,   385,
      -1,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,    -1,    -1,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,   432,   433,   434,   435,
      -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   468,   469,    -1,    -1,     3,     4,     5,     6,
       7,   477,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    73,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
     197,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,   222,   223,   224,    -1,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,    -1,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,    -1,    -1,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,    -1,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,   432,   433,   434,   435,    -1,
      -1,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   468,   469,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     477,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    73,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,   197,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
     222,   223,   224,    -1,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,    -1,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,    -1,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   468,   469,    -1,    -1,
       3,     4,     5,     6,     7,   477,     9,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      73,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,   197,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,   222,
     223,   224,    -1,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,    -1,    -1,
       3,     4,     5,     6,     7,    -1,     9,    10,    -1,    -1,
      -1,    -1,    -1,    -1,   477,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      73,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,   197,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,   222,
     223,   224,    -1,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,    -1,    -1,
       3,     4,     5,     6,     7,    -1,     9,    10,    -1,    -1,
      -1,    -1,    -1,    -1,   477,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      73,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,   197,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,   222,
     223,   224,    -1,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,    -1,    -1,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    -1,    -1,    -1,   477,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      73,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,    -1,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,   197,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,   212,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,   222,
     223,    -1,    -1,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,    -1,    -1,
       3,    -1,    -1,    -1,    -1,   468,   469,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   477,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    60,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      73,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,   197,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,    -1,   220,   221,   222,
     223,   224,    -1,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,   257,   258,    -1,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,   270,   271,   272,
     273,    -1,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,   432,
     433,   434,   435,    -1,    -1,   438,    -1,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,    -1,    -1,
     463,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   477,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    60,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    73,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,   197,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,    -1,   220,   221,
     222,   223,   224,    -1,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,   270,   271,
     272,   273,    -1,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,    -1,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,    -1,    -1,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,    -1,
      -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   477,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    60,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    73,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,   197,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
     222,   223,   224,    -1,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,    -1,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,    -1,    -1,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,    -1,
      -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   477,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    60,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    73,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,   197,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
     222,   223,   224,    -1,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,    -1,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,    -1,    -1,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,    -1,
      -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   477,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    60,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    73,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,   197,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
     222,   223,   224,    -1,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,    -1,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,    -1,    -1,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,    -1,
      -1,     3,     4,     5,    -1,    -1,    -1,     9,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   477,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    73,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    -1,    -1,    -1,    99,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,   197,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
     222,   223,   224,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,    -1,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,    -1,
      -1,     3,    -1,    -1,    -1,    -1,   468,   469,   470,    -1,
      -1,    -1,    -1,    -1,    -1,   477,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    73,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    -1,    -1,    -1,    99,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,   197,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
     222,   223,   224,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,    -1,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,    -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,    -1,   438,    -1,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,    -1,
      -1,   463,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   477,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    73,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    -1,    -1,    -1,    99,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,    -1,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,    -1,    -1,   415,   416,   417,   418,   419,    -1,
      -1,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   477,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,    -1,    -1,   415,   416,   417,   418,   419,    -1,
      -1,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
      -1,   432,   433,   434,   435,    -1,    -1,   438,    -1,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
      -1,    -1,   463,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   477,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      -1,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,    -1,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,    -1,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,    -1,
      -1,   211,    -1,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,    -1,   255,   256,    -1,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,    -1,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,    -1,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,    -1,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,    -1,   384,   385,    -1,   387,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,    -1,    -1,   415,   416,   417,   418,   419,
      -1,    -1,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,    -1,   432,   433,   434,   435,    -1,    -1,   438,    -1,
      -1,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   477,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      -1,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,    -1,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,    -1,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,    -1,
      -1,   211,    -1,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,    -1,   255,   256,    -1,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,    -1,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,    -1,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,    -1,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,    -1,   384,   385,    -1,   387,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,    -1,    -1,   415,   416,   417,   418,   419,
      -1,    -1,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,    -1,   432,   433,   434,   435,    -1,    -1,   438,    -1,
      -1,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   477,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      -1,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,    -1,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,    -1,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,    -1,
      -1,   211,    -1,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,    -1,   255,   256,    -1,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,    -1,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,    -1,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,    -1,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,    -1,   384,   385,    -1,   387,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,    -1,    -1,   415,   416,   417,   418,   419,
      -1,    -1,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,    -1,   432,   433,   434,   435,    -1,    -1,   438,    -1,
      -1,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   477,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      -1,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,    -1,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,    -1,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,    -1,
      -1,   211,    -1,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,    -1,   255,   256,    -1,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,    -1,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,    -1,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,    -1,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,    -1,   384,   385,    -1,   387,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,    -1,    -1,   415,   416,   417,   418,   419,
      -1,    -1,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,    -1,   432,   433,   434,   435,    -1,    -1,   438,    -1,
      -1,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,    -1,    -1,    -1,    -1,    -1,     3,     4,     5,    -1,
      -1,     8,     9,    -1,    -1,    -1,    -1,   477,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    -1,    72,    73,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,    -1,
     147,   148,   149,    -1,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,    -1,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,    -1,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,    -1,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,    -1,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,    -1,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
      -1,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   458,   459,   460,    -1,    -1,    -1,   464,   465,   466,
      -1,   468,   469,   470,   471,   472,   473,     3,     4,     5,
      -1,    -1,     8,     9,    -1,    -1,    -1,    -1,    -1,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    -1,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
      -1,   147,   148,   149,    -1,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,    -1,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,    -1,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
      -1,   297,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,    -1,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,    -1,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   458,   459,   460,    -1,     3,    -1,   464,   465,
     466,     8,   468,   469,   470,   471,   472,   473,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,    -1,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,    -1,    -1,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,    -1,    -1,   415,   416,
     417,   418,   419,    -1,    -1,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,    -1,   432,   433,   434,   435,    -1,
      -1,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,    -1,     3,    -1,   464,   465,   466,
       8,   468,   469,   470,   471,   472,   473,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    -1,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    -1,    -1,    61,    62,    63,    64,    65,    -1,    67,
      68,    69,    70,    71,    -1,    -1,    -1,    75,    76,    77,
      78,    79,    -1,    81,    82,    83,    -1,    85,    86,    87,
      88,    89,    90,    -1,    -1,    93,    94,    95,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,   107,
     108,   109,   110,   111,    -1,   113,    -1,   115,   116,   117,
     118,   119,   120,    -1,   122,   123,   124,   125,    -1,    -1,
     128,   129,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,   147,
     148,   149,   150,    -1,   152,    -1,   154,   155,   156,   157,
      -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,   167,
     168,    -1,   170,   171,    -1,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,    -1,   183,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,    -1,   196,    -1,
     198,   199,   200,   201,   202,   203,   204,    -1,   206,    -1,
     208,    -1,    -1,   211,    -1,   213,   214,   215,   216,   217,
      -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,   227,
     228,    -1,    -1,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,    -1,   255,   256,    -1,
     258,    -1,   260,   261,   262,   263,   264,   265,    -1,   267,
     268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,
     278,    -1,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,    -1,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,    -1,   357,
     358,   359,   360,   361,    -1,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,    -1,   384,   385,    -1,   387,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,    -1,    -1,   415,   416,   417,
     418,   419,    -1,    -1,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,    -1,   432,   433,   434,   435,    -1,    -1,
     438,    -1,    -1,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,    -1,     3,    -1,   464,   465,   466,     8,
     468,   469,   470,   471,   472,   473,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    -1,    -1,    75,    76,    77,    78,
      79,    -1,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,    -1,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
      -1,    -1,   211,    -1,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,    -1,   223,    -1,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,    -1,   255,   256,    -1,   258,
      -1,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
      -1,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,    -1,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,    -1,
      -1,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,    -1,    -1,   415,   416,   417,   418,
     419,    -1,    -1,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,    -1,   432,   433,   434,   435,    -1,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,    -1,     3,    -1,   464,   465,   466,     8,   468,
     469,   470,   471,   472,   473,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      -1,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,    -1,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,    -1,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,    -1,
      -1,   211,    -1,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,    -1,   255,   256,    -1,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,    -1,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,    -1,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,    -1,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,    -1,   384,   385,    -1,   387,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,    -1,    -1,   415,   416,   417,   418,   419,
      -1,    -1,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,    -1,   432,   433,   434,   435,    -1,    -1,   438,    -1,
      -1,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,    -1,     3,    -1,   464,   465,   466,     8,   468,   469,
     470,   471,   472,   473,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,    -1,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,    -1,    -1,   415,   416,   417,   418,   419,    -1,
      -1,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
      -1,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
      -1,     3,    -1,   464,   465,   466,     8,   468,   469,   470,
     471,   472,   473,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
      -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,    -1,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,
      -1,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
      -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,    -1,   255,   256,    -1,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,    -1,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,    -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,    -1,
     432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,    -1,
       3,    -1,   464,   465,   466,     8,   468,   469,   470,   471,
     472,   473,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    -1,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    -1,
      93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,    -1,
      -1,    -1,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,    -1,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,    -1,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,    -1,
     223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,    -1,   255,   256,    -1,   258,    -1,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,    -1,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     3,    -1,
      -1,   464,   465,   466,    -1,   468,   469,   470,   471,   472,
     473,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   470,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,    -1,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,    -1,    -1,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,    -1,    -1,   415,   416,
     417,   418,   419,    -1,    -1,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,    -1,   432,   433,   434,   435,    -1,
      -1,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   470,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    -1,    -1,    75,    76,    77,    78,
      79,    -1,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,    -1,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
      -1,    -1,   211,    -1,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,    -1,   223,    -1,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,    -1,   255,   256,    -1,   258,
      -1,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
      -1,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,    -1,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,    -1,
      -1,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,    -1,    -1,   415,   416,   417,   418,
     419,    -1,    -1,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,    -1,   432,   433,   434,   435,    -1,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   470,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      -1,    -1,    73,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    -1,    -1,    -1,    99,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,    -1,   147,   148,   149,    -1,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,    -1,   170,
      -1,    -1,    -1,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,    -1,   220,
      -1,   222,   223,   224,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,    -1,    -1,   255,   256,   257,   258,    -1,    -1,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,   275,   276,   277,   278,   279,   280,
     281,    -1,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,    -1,   297,    -1,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,    -1,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,    -1,   384,   385,    -1,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,    -1,   403,    -1,    -1,   406,   407,   408,   409,   410,
     411,   412,    -1,    -1,   415,   416,   417,   418,   419,    -1,
      -1,   422,   423,   424,   425,   426,    -1,   428,   429,   430,
     431,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   458,   459,   460,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,   470,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    -1,    -1,    73,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    -1,
      -1,    -1,    99,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,    -1,
     147,   148,   149,    -1,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,    -1,   170,    -1,    -1,    -1,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
     197,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,    -1,   220,    -1,   222,   223,   224,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,    -1,    -1,   255,   256,
     257,   258,    -1,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,   275,   276,
     277,   278,   279,   280,   281,    -1,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,    -1,   294,   295,    -1,
     297,    -1,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,   334,   335,   336,
     337,   338,   339,    -1,   341,   342,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,    -1,   384,   385,    -1,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,    -1,    -1,   400,   401,    -1,   403,    -1,    -1,   406,
     407,   408,   409,   410,   411,   412,    -1,    -1,   415,   416,
     417,   418,   419,    -1,    -1,   422,   423,   424,   425,   426,
      -1,   428,   429,   430,   431,   432,   433,   434,   435,    -1,
      -1,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
       3,     4,     5,    -1,    -1,    -1,     9,    -1,    -1,    -1,
      -1,   458,   459,   460,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,   470,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      73,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    -1,    -1,    -1,    99,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,   197,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,   222,
     223,   224,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,   257,   258,    -1,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     3,     4,
       5,    -1,    -1,    -1,     9,   468,   469,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    73,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    -1,    -1,    -1,    99,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,   197,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,   222,   223,   224,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,   269,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,    -1,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,    -1,    -1,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,    -1,
     415,   416,   417,   418,   419,    -1,    -1,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,   432,   433,   434,
     435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     3,     4,     5,    -1,
      -1,    -1,     9,   468,   469,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    73,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    -1,
      -1,    -1,    99,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
     197,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,   222,   223,   224,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,    -1,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,    -1,    -1,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,    -1,   415,   416,
     417,   418,   419,    -1,    -1,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,   432,   433,   434,   435,    -1,
      -1,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     3,    -1,     5,    -1,    -1,    -1,
       9,   468,   469,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    73,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    -1,    -1,    -1,
      99,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,   197,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,   258,
      -1,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,    -1,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,    -1,
      -1,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,    -1,   415,   416,   417,   418,
     419,    -1,    -1,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,   432,   433,   434,   435,    -1,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     3,    -1,    -1,    -1,    -1,    -1,     9,   468,
     469,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,   163,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,    -1,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,    -1,    -1,   415,   416,   417,   418,   419,    -1,
      -1,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
      -1,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       3,     4,     5,    -1,    -1,    -1,     9,   468,   469,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    60,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    73,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,   197,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,   258,
      -1,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,    -1,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,    -1,
      -1,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,    -1,    -1,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,   432,   433,   434,   435,    -1,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     3,    -1,     5,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    73,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    -1,    -1,    -1,    99,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,   269,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,    -1,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,    -1,   415,   416,   417,   418,   419,    -1,
      -1,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      73,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    -1,    -1,    -1,    99,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,   197,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,   222,
     223,   224,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,   257,   258,    -1,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    73,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    -1,    -1,    -1,    99,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,   197,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,   222,   223,   224,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,    -1,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,    -1,    -1,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,    -1,    -1,
     415,   416,   417,   418,   419,    -1,    -1,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,   432,   433,   434,
     435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    73,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    -1,
      -1,    -1,    99,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
     197,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,   222,   223,   224,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,    -1,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,    -1,    -1,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,    -1,    -1,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,   432,   433,   434,   435,    -1,
      -1,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    73,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    -1,    -1,    -1,
      99,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
      -1,   170,   171,   172,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,   197,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,   258,
      -1,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,    -1,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,    -1,
      -1,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,    -1,    -1,   415,   416,   417,   418,
     419,    -1,    -1,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,   432,   433,   434,   435,    -1,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    73,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    -1,    -1,    -1,    99,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,    -1,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,    -1,    -1,   415,   416,   417,   418,   419,    -1,
      -1,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      73,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    -1,    -1,    -1,    99,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,   197,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,   222,
     223,   224,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,   257,   258,    -1,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    73,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    -1,    -1,    -1,    99,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,   197,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,   222,   223,   224,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,    -1,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,    -1,    -1,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,    -1,    -1,
     415,   416,   417,   418,   419,    -1,    -1,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,   432,   433,   434,
     435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    73,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    -1,
      -1,    -1,    99,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
     197,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,   222,   223,   224,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,    -1,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,    -1,    -1,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,    -1,    -1,   415,   416,
     417,   418,   419,    -1,    -1,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,   432,   433,   434,   435,    -1,
      -1,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    73,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    -1,    -1,    -1,
      99,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,   197,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,   258,
      -1,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,    -1,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,    -1,
      -1,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,    -1,    -1,   415,   416,   417,   418,
     419,    -1,    -1,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,   432,   433,   434,   435,    -1,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    30,
      31,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    73,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    -1,    -1,    -1,    99,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,    -1,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,    -1,    -1,   415,   416,   417,   418,   419,    -1,
      -1,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       3,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      73,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    -1,    -1,    -1,    99,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,   197,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,   222,
     223,   224,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,   257,   258,    -1,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     3,    -1,
       5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    73,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    -1,    -1,    -1,    99,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,   197,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,   222,   223,   224,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,    -1,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,    -1,    -1,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,    -1,    -1,
     415,   416,   417,   418,   419,    -1,    -1,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,   432,   433,   434,
     435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     3,    -1,     5,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    73,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    -1,
      -1,    -1,    99,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
     197,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,   222,   223,   224,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,    -1,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,    -1,    -1,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,    -1,    -1,   415,   416,
     417,   418,   419,    -1,    -1,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,   432,   433,   434,   435,    -1,
      -1,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    73,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    -1,    -1,    -1,
      99,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,   197,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,   258,
      -1,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,    -1,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,    -1,
      -1,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,    -1,    -1,   415,   416,   417,   418,
     419,    -1,    -1,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,   432,   433,   434,   435,    -1,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    73,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    -1,    -1,    -1,    99,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,    -1,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,    -1,    -1,   415,   416,   417,   418,   419,    -1,
      -1,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      73,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    -1,    -1,    -1,    99,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,   197,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,   222,
     223,   224,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,   257,   258,    -1,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    73,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    -1,    -1,    -1,    99,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,   197,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,   222,   223,   224,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,    -1,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,    -1,    -1,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,    -1,    -1,
     415,   416,   417,   418,   419,    -1,    -1,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,   432,   433,   434,
     435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    73,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    -1,
      -1,    -1,    99,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
     197,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,   222,   223,   224,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,    -1,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,    -1,    -1,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,    -1,    -1,   415,   416,
     417,   418,   419,    -1,    -1,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,   432,   433,   434,   435,    -1,
      -1,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    73,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    -1,    -1,    -1,
      99,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,   197,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,   258,
      -1,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,    -1,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,    -1,
      -1,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,    -1,    -1,   415,   416,   417,   418,
     419,    -1,    -1,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,   432,   433,   434,   435,    -1,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,    -1,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,    -1,
      -1,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
      -1,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    -1,
      93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,   160,   161,    -1,
      -1,    -1,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,    -1,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,    -1,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,    -1,
     223,   224,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,    -1,   255,   256,    -1,   258,    -1,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,    -1,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    91,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,    -1,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,    -1,    -1,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,    -1,    -1,
     415,   416,   417,   418,   419,    -1,    -1,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,    -1,   432,   433,   434,
     435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,   169,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,    -1,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,    -1,    -1,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,    -1,    -1,   415,   416,
     417,   418,   419,    -1,    -1,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,    -1,   432,   433,   434,   435,    -1,
      -1,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    -1,    -1,    -1,    75,    76,    77,    78,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,    -1,   154,   155,   156,   157,    -1,
     159,   160,   161,    -1,    -1,    -1,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,    -1,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
      -1,    -1,   211,    -1,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,    -1,   223,    -1,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,    -1,   255,   256,    -1,   258,
      -1,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
      -1,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,    -1,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,    -1,
      -1,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,    -1,    -1,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,    -1,   432,   433,   434,   435,    -1,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      91,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,    -1,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,    -1,    -1,   415,   416,   417,   418,   419,    -1,
      -1,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
      -1,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    -1,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    -1,
      93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,   160,   161,    -1,
      -1,    -1,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,    -1,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,    -1,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,    -1,
     223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,    -1,   255,   256,    -1,   258,    -1,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,    -1,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    91,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,    -1,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,    -1,    -1,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,    -1,    -1,
     415,   416,   417,   418,   419,    -1,    -1,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,    -1,   432,   433,   434,
     435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,   270,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,    -1,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,    -1,    -1,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,    -1,    -1,   415,   416,
     417,   418,   419,    -1,    -1,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,    -1,   432,   433,   434,   435,    -1,
      -1,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    -1,    -1,    75,    76,    77,    78,
      79,    -1,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,    -1,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
      -1,    -1,   211,    -1,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,    -1,   223,    -1,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,    -1,   255,   256,    -1,   258,
      -1,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
      -1,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,    -1,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,    -1,
      -1,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,    -1,    -1,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,    -1,   432,   433,   434,   435,    -1,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,    -1,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,    -1,    -1,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
      -1,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    -1,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    -1,
      93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,    -1,
      -1,    -1,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,    -1,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,    -1,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,    -1,
     223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,    -1,   255,   256,    -1,   258,    -1,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,    -1,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,    -1,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,    -1,    -1,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,    -1,    -1,
     415,   416,   417,   418,   419,    -1,    -1,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,    -1,   432,   433,   434,
     435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,    -1,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,    -1,    -1,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,    -1,    -1,   415,   416,
     417,   418,   419,    -1,    -1,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,    -1,   432,   433,   434,   435,    -1,
      -1,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    -1,    -1,    75,    76,    77,    78,
      79,    -1,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,    -1,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
      -1,    -1,   211,    -1,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,    -1,   223,    -1,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,    -1,   255,   256,    -1,   258,
      -1,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
      -1,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,    -1,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,    -1,
      -1,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,    -1,    -1,   415,   416,   417,   418,
     419,    -1,    -1,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,    -1,   432,   433,   434,   435,    -1,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,   270,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,    -1,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,    -1,    -1,   415,   416,   417,   418,   419,    -1,
      -1,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
      -1,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    -1,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    -1,
      93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,    -1,
      -1,    -1,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,    -1,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,    -1,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,    -1,
     223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,    -1,   255,   256,    -1,   258,    -1,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,    -1,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,    -1,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,    -1,    -1,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,    -1,    -1,
     415,   416,   417,   418,   419,    -1,    -1,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,    -1,   432,   433,   434,
     435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,    -1,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,    -1,    -1,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,    -1,    -1,   415,   416,
     417,   418,   419,    -1,    -1,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,    -1,   432,   433,   434,   435,    -1,
      -1,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    -1,    -1,    75,    76,    77,    78,
      79,    -1,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,    -1,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
      -1,    -1,   211,    -1,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,    -1,   223,    -1,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,    -1,   255,   256,    -1,   258,
      -1,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
      -1,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,    -1,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,    -1,
      -1,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,    -1,    -1,   415,   416,   417,   418,
     419,    -1,    -1,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,    -1,   432,   433,   434,   435,    -1,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,    -1,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,    -1,    -1,   415,   416,   417,   418,   419,    -1,
      -1,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
      -1,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    -1,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    -1,
      93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,    -1,
      -1,    -1,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,    -1,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,    -1,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,    -1,
     223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,    -1,   255,   256,    -1,   258,    -1,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,    -1,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,   270,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,    -1,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,    -1,    -1,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,    -1,    -1,
     415,   416,   417,   418,   419,    -1,    -1,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,    -1,   432,   433,   434,
     435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,    -1,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,    -1,    -1,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,    -1,    -1,   415,   416,
     417,   418,   419,    -1,    -1,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,    -1,   432,   433,   434,   435,    -1,
      -1,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    -1,    -1,    75,    76,    77,    78,
      79,    -1,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,    -1,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
      -1,    -1,   211,    -1,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,    -1,   223,    -1,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,    -1,   255,   256,    -1,   258,
      -1,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
      -1,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,    -1,
      -1,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,    -1,    -1,   415,   416,   417,   418,
     419,    -1,    -1,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,    -1,   432,   433,   434,   435,    -1,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     3,    -1,     5,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,    -1,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,    -1,    -1,   415,   416,   417,   418,   419,    -1,
      -1,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
      -1,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       3,    -1,    -1,    -1,    -1,    -1,     9,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    -1,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    -1,
      93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,    -1,
      -1,    -1,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,    -1,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,    -1,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,    -1,
     223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,    -1,   255,   256,    -1,   258,    -1,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,    -1,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      35,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,    -1,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,    -1,    -1,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,    -1,    -1,
     415,   416,   417,   418,   419,    -1,    -1,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,    -1,   432,   433,   434,
     435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    35,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,    -1,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,    -1,    -1,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,    -1,    -1,   415,   416,
     417,   418,   419,    -1,    -1,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,    -1,   432,   433,   434,   435,    -1,
      -1,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    -1,    -1,    75,    76,    77,    78,
      79,    -1,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,    -1,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
      -1,    -1,   211,    -1,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,    -1,   223,    -1,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,    -1,   255,   256,    -1,   258,
      -1,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
      -1,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,    -1,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,    -1,
      -1,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,    -1,    -1,   415,   416,   417,   418,
     419,    -1,    -1,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,    -1,   432,   433,   434,   435,    -1,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,    -1,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,    -1,    -1,   415,   416,   417,   418,   419,    -1,
      -1,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
      -1,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    -1,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    -1,
      93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,    -1,
      -1,    -1,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,    -1,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,    -1,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,    -1,
     223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,    -1,   255,   256,    -1,   258,    -1,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,    -1,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,    -1,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,    -1,    -1,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,    -1,    -1,
     415,   416,   417,   418,   419,    -1,    -1,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,    -1,   432,   433,   434,
     435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,    -1,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,    -1,    -1,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,    -1,    -1,   415,   416,
     417,   418,   419,    -1,    -1,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,    -1,   432,   433,   434,   435,    -1,
      -1,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    -1,    -1,    75,    76,    77,    78,
      79,    -1,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,    -1,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
      -1,    -1,   211,    -1,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,    -1,   223,    -1,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,    -1,   255,   256,    -1,   258,
      -1,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
      -1,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,    -1,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,    -1,
      -1,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,    -1,    -1,   415,   416,   417,   418,
     419,    -1,    -1,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,    -1,   432,   433,   434,   435,    -1,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,    -1,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,    -1,    -1,   415,   416,   417,   418,   419,    -1,
      -1,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
      -1,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    -1,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    -1,
      93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,    -1,
      -1,    -1,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,    -1,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,    -1,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,    -1,
     223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,    -1,   255,   256,    -1,   258,    -1,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,    -1,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,    -1,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,    -1,    -1,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,    -1,    -1,
     415,   416,   417,   418,   419,    -1,    -1,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,    -1,   432,   433,   434,
     435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,    -1,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,    -1,    -1,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,    -1,    -1,   415,   416,
     417,   418,   419,    -1,    -1,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,    -1,   432,   433,   434,   435,    -1,
      -1,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    -1,    -1,    75,    76,    77,    78,
      79,    -1,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,    -1,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
      -1,    -1,   211,    -1,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,    -1,   223,    -1,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,    -1,   255,   256,    -1,   258,
      -1,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
      -1,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,    -1,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,    -1,
      -1,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,    -1,    -1,   415,   416,   417,   418,
     419,    -1,    -1,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,    -1,   432,   433,   434,   435,    -1,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,    -1,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,    -1,    -1,   415,   416,   417,   418,   419,    -1,
      -1,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
      -1,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    -1,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    -1,
      93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,    -1,
      -1,    -1,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,    -1,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,    -1,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,    -1,
     223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,    -1,   255,   256,    -1,   258,    -1,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,    -1,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,    -1,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,    -1,    -1,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,    -1,    -1,
     415,   416,   417,   418,   419,    -1,    -1,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,    -1,   432,   433,   434,
     435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,    -1,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,    -1,    -1,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,    -1,    -1,   415,   416,
     417,   418,   419,    -1,    -1,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,    -1,   432,   433,   434,   435,    -1,
      -1,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    -1,    -1,    75,    76,    77,    78,
      79,    -1,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,    -1,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
      -1,    -1,   211,    -1,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,    -1,   223,    -1,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,    -1,   255,   256,    -1,   258,
      -1,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
      -1,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,    -1,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,    -1,
      -1,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,    -1,    -1,   415,   416,   417,   418,
     419,    -1,    -1,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,    -1,   432,   433,   434,   435,    -1,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,    -1,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,    -1,    -1,   415,   416,   417,   418,   419,    -1,
      -1,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
      -1,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    -1,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    -1,
      93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,    -1,
      -1,    -1,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,    -1,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,    -1,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,    -1,
     223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,    -1,   255,   256,    -1,   258,    -1,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,    -1,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,    -1,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,    -1,    -1,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,    -1,    -1,
     415,   416,   417,   418,   419,    -1,    -1,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,    -1,   432,   433,   434,
     435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,    -1,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,    -1,    -1,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,    -1,    -1,   415,   416,
     417,   418,   419,    -1,    -1,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,    -1,   432,   433,   434,   435,    -1,
      -1,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    -1,    -1,    75,    76,    77,    78,
      79,    -1,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,    -1,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
      -1,    -1,   211,    -1,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,    -1,   223,    -1,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,    -1,   255,   256,    -1,   258,
      -1,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
      -1,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,    -1,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,    -1,
      -1,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,    -1,    -1,   415,   416,   417,   418,
     419,    -1,    -1,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,    -1,   432,   433,   434,   435,    -1,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,    -1,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,    -1,    -1,   415,   416,   417,   418,   419,    -1,
      -1,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
      -1,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    -1,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    -1,
      93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,    -1,
      -1,    -1,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,    -1,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,    -1,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,    -1,
     223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,    -1,   255,   256,    -1,   258,    -1,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,    -1,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,    -1,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,    -1,    -1,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,    -1,    -1,
     415,   416,   417,   418,   419,    -1,    -1,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,    -1,   432,   433,   434,
     435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,    -1,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,    -1,    -1,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,    -1,    -1,   415,   416,
     417,   418,   419,    -1,    -1,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,    -1,   432,   433,   434,   435,    -1,
      -1,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    -1,    -1,    75,    76,    77,    78,
      79,    -1,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,    -1,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
      -1,    -1,   211,    -1,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,    -1,   223,    -1,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,    -1,   255,   256,    -1,   258,
      -1,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
      -1,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,    -1,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,    -1,
      -1,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,    -1,    -1,   415,   416,   417,   418,
     419,    -1,    -1,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,    -1,   432,   433,   434,   435,    -1,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,    -1,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,    -1,    -1,   415,   416,   417,   418,   419,    -1,
      -1,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
      -1,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    35,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    -1,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    -1,
      93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,    -1,
      -1,    -1,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,    -1,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,    -1,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,    -1,
     223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,    -1,   255,   256,    -1,   258,    -1,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,    -1,    -1,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,    -1,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,    -1,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,    -1,    -1,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,    -1,    -1,
     415,   416,   417,   418,   419,    -1,    -1,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,    -1,   432,   433,   434,
     435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,    -1,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,    -1,    -1,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,    -1,    -1,   415,   416,
     417,   418,   419,    -1,    -1,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,    -1,   432,   433,   434,   435,    -1,
      -1,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    -1,    -1,    75,    76,    77,    78,
      79,    -1,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,    -1,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
      -1,    -1,   211,    -1,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,    -1,   223,    -1,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,    -1,   255,   256,    -1,   258,
      -1,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
      -1,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,    -1,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,    -1,
      -1,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,    -1,    -1,   415,   416,   417,   418,
     419,    -1,    -1,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,    -1,   432,   433,   434,   435,    -1,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,    -1,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,    -1,    -1,   415,   416,   417,   418,   419,    -1,
      -1,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
      -1,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    -1,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    -1,
      93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,    -1,
      -1,    -1,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,    -1,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,    -1,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,    -1,
     223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,    -1,   255,   256,    -1,   258,    -1,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,    -1,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,    -1,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,    -1,    -1,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,    -1,    -1,
     415,   416,   417,   418,   419,    -1,    -1,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,    -1,   432,   433,   434,
     435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,    -1,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,    -1,    -1,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,    -1,    -1,   415,   416,
     417,   418,   419,    -1,    -1,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,    -1,   432,   433,   434,   435,    -1,
      -1,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    -1,    -1,    75,    76,    77,    78,
      79,    -1,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,    -1,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
      -1,    -1,   211,    -1,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,    -1,   223,    -1,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,    -1,   255,   256,    -1,   258,
      -1,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
      -1,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,    -1,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,    -1,
      -1,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,    -1,    -1,   415,   416,   417,   418,
     419,    -1,    -1,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,    -1,   432,   433,   434,   435,    -1,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,    -1,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,    -1,    -1,   415,   416,   417,   418,   419,    -1,
      -1,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
      -1,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    -1,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    -1,
      93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,    -1,
      -1,    -1,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,    -1,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,    -1,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,    -1,
     223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,    -1,   255,   256,    -1,   258,    -1,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,    -1,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,    -1,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,    -1,    -1,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,    -1,    -1,
     415,   416,   417,   418,   419,    -1,    -1,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,    -1,   432,   433,   434,
     435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,    -1,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,    -1,    -1,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,    -1,    -1,   415,   416,
     417,   418,   419,    -1,    -1,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,    -1,   432,   433,   434,   435,    -1,
      -1,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    -1,    -1,    75,    76,    77,    78,
      79,    -1,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,    -1,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
      -1,    -1,   211,    -1,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,    -1,   223,    -1,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,    -1,   255,   256,    -1,   258,
      -1,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
      -1,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,    -1,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,    -1,
      -1,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,    -1,    -1,   415,   416,   417,   418,
     419,    -1,    -1,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,    -1,   432,   433,   434,   435,    -1,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,    -1,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,    -1,    -1,   415,   416,   417,   418,   419,    -1,
      -1,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
      -1,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    -1,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    -1,
      93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,    -1,
      -1,    -1,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,    -1,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,    -1,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,    -1,
     223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,    -1,   255,   256,    -1,   258,    -1,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,    -1,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    -1,    -1,    -1,    99,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,    -1,   147,   148,   149,    -1,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,    -1,   170,    -1,    -1,    -1,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,   197,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,    -1,   220,    -1,   222,   223,   224,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,    -1,    -1,
     255,   256,   257,   258,    -1,    -1,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,    -1,   294,
     295,    -1,   297,    -1,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,   334,
     335,   336,   337,   338,   339,    -1,   341,   342,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,    -1,   384,
     385,    -1,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,    -1,    -1,   400,   401,    -1,   403,    -1,
      -1,   406,   407,   408,   409,   410,   411,   412,    -1,    -1,
     415,   416,   417,   418,   419,    -1,    -1,   422,   423,   424,
     425,   426,    -1,   428,   429,   430,   431,   432,   433,   434,
     435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   458,   459,   460,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,    -1,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,    -1,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
      -1,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,    -1,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,    -1,    -1,   415,   416,   417,   418,   419,    -1,
      -1,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
      -1,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    -1,    -1,
      73,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    -1,    -1,    -1,    99,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,    -1,   147,   148,   149,    -1,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,    -1,   170,    -1,    -1,
      -1,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,    -1,   220,    -1,   222,
     223,   224,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
      -1,    -1,   255,   256,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,    -1,   279,   280,   281,    -1,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,    -1,   297,    -1,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,    -1,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
      -1,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,    -1,
     403,    -1,    -1,   406,   407,   408,   409,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,   424,   425,   426,    -1,   428,    -1,   430,   431,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   458,   459,   460,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    -1,    -1,    73,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    -1,    -1,    -1,
      99,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,    -1,   147,   148,
     149,    -1,    -1,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
      -1,   170,    -1,    -1,    -1,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
      -1,   220,    -1,   222,   223,   224,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,   258,
      -1,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,    -1,
     279,   280,   281,    -1,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,    -1,   294,   295,    -1,   297,    -1,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,   334,   335,   336,   337,   338,
     339,    -1,   341,   342,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,    -1,   384,   385,    -1,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,    -1,
      -1,   400,   401,    -1,   403,    -1,    -1,   406,   407,   408,
     409,   410,   411,   412,    -1,    -1,   415,   416,   417,   418,
     419,    -1,    -1,   422,   423,   424,   425,   426,    -1,   428,
      -1,   430,   431,   432,   433,   434,   435,    -1,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   458,
     459,   460,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    -1,    -1,    -1,    99,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,    -1,   147,   148,   149,    -1,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,    -1,   170,    -1,    -1,    -1,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,    -1,   220,    -1,   222,   223,   224,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,   258,    -1,    -1,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,    -1,   279,   280,   281,    -1,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,    -1,   294,
     295,    -1,   297,    -1,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,   334,
     335,   336,   337,   338,   339,    -1,   341,   342,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,    -1,   384,
     385,    -1,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,    -1,    -1,   400,   401,    -1,   403,    -1,
      -1,   406,   407,   408,   409,   410,   411,   412,    -1,    -1,
     415,   416,   417,   418,   419,    -1,    -1,   422,   423,   424,
     425,   426,    -1,   428,    -1,   430,   431,   432,   433,   434,
     435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   458,   459,   460,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      -1,    -1,    73,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    -1,    -1,    -1,    99,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,    -1,   147,   148,   149,    -1,
      -1,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,    -1,   170,
      -1,    -1,    -1,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,    -1,   220,
      -1,   222,   223,   224,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,    -1,    -1,   255,   256,   257,   258,    -1,    -1,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,    -1,   279,   280,
     281,    -1,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,    -1,   297,    -1,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,    -1,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,    -1,   384,   385,    -1,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,    -1,   403,    -1,    -1,   406,   407,   408,   409,   410,
     411,   412,    -1,    -1,   415,   416,   417,   418,   419,    -1,
      -1,   422,   423,   424,   425,   426,    -1,   428,    -1,   430,
     431,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   458,   459,   460,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    -1,    -1,    73,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    -1,
      -1,    -1,    99,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,    -1,
     147,   148,   149,    -1,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,    -1,   170,    -1,    -1,    -1,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,    -1,   220,    -1,   222,   223,   224,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,    -1,    -1,   255,   256,
     257,   258,    -1,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,    -1,   279,   280,   281,    -1,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,    -1,   294,   295,    -1,
     297,    -1,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,   334,   335,   336,
     337,   338,   339,    -1,   341,   342,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,    -1,   384,   385,    -1,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,    -1,    -1,   400,   401,    -1,   403,    -1,    -1,   406,
     407,   408,   409,   410,   411,   412,    -1,    -1,   415,   416,
     417,   418,   419,    -1,    -1,   422,   423,   424,   425,   426,
      -1,   428,    -1,   430,   431,   432,   433,   434,   435,    -1,
      -1,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   458,   459,   460,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    -1,    -1,
      73,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    -1,    -1,    -1,    99,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,    -1,   147,   148,   149,    -1,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,    -1,   170,    -1,    -1,
      -1,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,    -1,   220,    -1,   222,
     223,   224,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
      -1,    -1,   255,   256,   257,   258,    -1,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,    -1,   279,   280,   281,    -1,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,    -1,   297,    -1,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,    -1,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
      -1,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,    -1,
     403,    -1,    -1,   406,   407,   408,   409,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,   424,   425,   426,    -1,   428,    -1,   430,   431,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   458,   459,   460,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    -1,    -1,    73,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    -1,    -1,    -1,
      99,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,    -1,   147,   148,
     149,    -1,    -1,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
      -1,   170,    -1,    -1,    -1,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
      -1,   220,    -1,   222,   223,   224,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,    -1,    -1,   255,   256,   257,   258,
      -1,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,    -1,
     279,   280,   281,    -1,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,    -1,   294,   295,    -1,   297,    -1,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,   334,   335,   336,   337,   338,
     339,    -1,   341,   342,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,    -1,   384,   385,    -1,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,    -1,
      -1,   400,   401,    -1,   403,    -1,    -1,   406,   407,   408,
     409,   410,   411,   412,    -1,    -1,   415,   416,   417,   418,
     419,    -1,    -1,   422,   423,   424,   425,   426,    -1,   428,
      -1,   430,   431,   432,   433,   434,   435,    -1,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   458,
     459,   460,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    -1,    -1,    -1,    99,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,    -1,   147,   148,   149,    -1,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,    -1,   170,    -1,    -1,    -1,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,    -1,   220,    -1,   222,   223,   224,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,    -1,    -1,
     255,   256,   257,   258,    -1,    -1,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,    -1,   279,   280,   281,    -1,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,    -1,   294,
     295,    -1,   297,    -1,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,   334,
     335,   336,   337,   338,   339,    -1,   341,   342,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,    -1,   384,
     385,    -1,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,    -1,    -1,   400,   401,    -1,   403,    -1,
      -1,   406,   407,   408,   409,   410,   411,   412,    -1,    -1,
     415,   416,   417,   418,   419,    -1,    -1,   422,   423,   424,
     425,   426,    -1,   428,    -1,   430,   431,   432,   433,   434,
     435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   458,   459,   460,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      -1,    -1,    73,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    -1,    -1,    -1,    99,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,    -1,   147,   148,   149,    -1,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,    -1,   170,
      -1,    -1,    -1,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,    -1,   220,
      -1,   222,   223,   224,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,    -1,    -1,   255,   256,   257,   258,    -1,    -1,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,    -1,   279,   280,
     281,    -1,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,    -1,   297,    -1,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,    -1,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,    -1,   384,   385,    -1,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,    -1,   403,    -1,    -1,   406,   407,   408,   409,   410,
     411,   412,    -1,    -1,   415,   416,   417,   418,   419,    -1,
      -1,   422,   423,   424,   425,   426,    -1,   428,    -1,   430,
     431,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   458,   459,   460,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      -1,    -1,    49,    -1,    -1,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    -1,    -1,    65,    -1,
      67,    68,    69,    70,    -1,    -1,    73,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    -1,
      -1,    -1,    99,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,    -1,    -1,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,    -1,
     147,   148,   149,    -1,    -1,   152,    -1,   154,   155,    -1,
     157,    -1,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,    -1,   170,    -1,    -1,    -1,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
     197,    -1,   199,   200,   201,   202,    -1,    -1,    -1,    -1,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,    -1,   220,    -1,   222,   223,   224,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,    -1,   250,   251,   252,    -1,    -1,   255,   256,
     257,   258,    -1,    -1,   261,    -1,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,    -1,   279,   280,   281,    -1,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,    -1,   294,   295,    -1,
     297,    -1,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,   334,   335,   336,
     337,   338,   339,    -1,   341,   342,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,   360,   361,   362,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,    -1,   384,   385,    -1,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,    -1,
      -1,    -1,    -1,   400,   401,    -1,   403,    -1,    -1,   406,
     407,   408,   409,   410,   411,   412,    -1,    -1,   415,   416,
     417,   418,   419,    -1,    -1,   422,   423,   424,   425,   426,
      -1,    -1,    -1,   430,   431,   432,   433,   434,   435,    -1,
      -1,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   458,   459,   460,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    -1,    -1,    -1,    -1,    -1,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      -1,    -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    -1,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    -1,
      93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,    -1,    -1,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,    -1,   147,   148,   149,    -1,    -1,   152,
      -1,   154,   155,    -1,   157,    -1,   159,    -1,   161,    -1,
      -1,    -1,   165,   166,   167,   168,    -1,   170,    -1,    -1,
      -1,   174,   175,    -1,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,    -1,    -1,   199,   200,   201,   202,
      -1,    -1,    -1,    -1,    -1,   208,    -1,    -1,   211,    -1,
     213,   214,   215,   216,   217,    -1,    -1,   220,    -1,    -1,
     223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,    -1,    -1,    -1,   250,   251,   252,
      -1,    -1,   255,   256,    -1,   258,    -1,    -1,   261,    -1,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,    -1,    -1,   280,    -1,    -1,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,    -1,   297,    -1,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,    -1,   335,   336,   337,   338,   339,    -1,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
      -1,   384,   385,    -1,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,    -1,    -1,    -1,    -1,   400,   401,    -1,
     403,    -1,    -1,   406,   407,   408,   409,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,   424,   425,   426,    -1,    -1,    -1,   430,    -1,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   458,   459,   460
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,    18,    28,    30,    31,    46,    55,    67,    69,    70,
      76,    78,    89,    91,   108,   111,   125,   127,   131,   137,
     145,   147,   153,   169,   186,   226,   227,   232,   244,   256,
     292,   300,   314,   320,   321,   323,   328,   333,   336,   343,
     349,   350,   357,   361,   371,   386,   406,   416,   422,   427,
     440,   463,   477,   484,   485,   486,   487,   488,   494,   495,
     497,   498,   499,   500,   502,   506,   518,   523,   524,   527,
     528,   529,   548,   551,   552,   567,   612,   613,   616,   619,
     620,   621,   629,   635,   637,   639,   640,   643,   646,   647,
     651,   660,   664,   665,   666,   667,   670,   672,   673,   674,
     675,   683,   685,   705,   709,   711,   712,   722,   724,   731,
     732,   735,   736,   737,   738,   739,   747,   749,   753,   758,
     762,   763,   771,   772,   775,   780,   793,   820,   823,   824,
     825,   830,   833,   835,   837,   839,   840,   845,   846,   849,
     850,   851,   855,   856,   859,   860,   863,   864,   865,   872,
     874,   875,   876,   882,   884,   885,   891,   892,   893,   894,
     895,   896,   897,   899,   900,   902,   903,   905,   906,   908,
     920,   926,   929,   931,   932,   941,   943,   948,   953,   957,
     958,   959,   960,   961,   962,   966,  1001,   400,   443,   877,
      25,    73,    88,   106,   112,   129,   140,   148,   160,   165,
     172,   191,   216,   237,   271,   295,   305,   306,   309,   335,
     338,   342,   344,   351,   354,   373,   380,   385,   386,   389,
     393,   403,   408,   420,   433,   636,   877,     3,    18,    19,
      20,    21,    22,    23,    24,    25,    27,    28,    29,    37,
      38,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    53,    54,    55,    56,    57,    58,    61,
      62,    63,    64,    65,    67,    68,    69,    70,    71,    73,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    85,
      86,    87,    88,    89,    90,    92,    93,    94,    95,    99,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   113,
     115,   116,   117,   118,   119,   120,   122,   123,   124,   125,
     128,   129,   130,   131,   132,   134,   135,   136,   138,   139,
     140,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     152,   154,   155,   156,   157,   159,   161,   162,   164,   165,
     166,   167,   168,   170,   171,   173,   174,   175,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   188,   189,
     190,   191,   192,   193,   194,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   206,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   220,   221,   222,   223,   224,
     226,   227,   228,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   255,   256,   257,   258,
     260,   261,   262,   263,   264,   265,   267,   268,   271,   272,
     273,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   294,   295,   296,
     297,   298,   299,   300,   301,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     351,   352,   353,   354,   355,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     384,   385,   387,   388,   389,   390,   391,   392,   393,   395,
     396,   397,   400,   401,   402,   403,   404,   406,   407,   408,
     409,   410,   411,   412,   415,   416,   417,   418,   419,   422,
     423,   424,   425,   426,   427,   428,   430,   431,   432,   433,
     434,   435,   438,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,  1060,  1134,  1142,  1143,  1146,  1147,  1148,
       3,    26,   954,  1128,  1142,  1146,   431,   913,   269,   301,
     877,    49,   477,   559,    20,    37,    60,    73,    84,   106,
     112,   129,   140,   148,   160,   168,   172,   228,   271,   274,
     295,   309,   335,   344,   354,   373,   380,   389,   390,   392,
     393,   403,   408,   414,   417,   420,   568,   618,   727,   781,
     794,    26,   300,  1128,   954,    26,   294,   352,   390,   392,
       5,   215,   831,   832,  1137,    20,    25,    60,    73,    88,
     106,   129,   140,   148,   160,   165,   172,   191,   237,   271,
     284,   295,   306,   309,   335,   338,   342,   344,   351,   354,
     373,   380,   386,   389,   393,   401,   403,   408,   420,   433,
     636,   740,   741,   742,   877,  1128,    91,   431,   477,   613,
     616,   619,   908,   921,   929,   932,   941,   948,   953,   957,
       9,    19,    26,    44,   155,   161,   163,   187,   217,   251,
     303,   322,   468,   469,   759,   760,   954,  1136,  1138,    26,
      91,   318,   350,   764,   765,   766,  1142,   160,  1142,  1133,
    1137,   386,   969,   759,  1142,   328,   357,   361,   400,  1128,
     284,   237,   106,   191,   344,   385,   386,   477,   841,   842,
     343,  1142,    26,   355,   396,   400,   510,   519,   520,  1142,
      23,   169,   764,   765,   301,   877,  1142,   214,    26,   126,
     971,   972,    61,    85,   228,   246,   335,   344,   355,   396,
     400,   446,   507,   508,   509,   510,    26,   355,   396,   400,
     510,   400,   270,  1012,  1126,  1142,   969,   470,  1142,   164,
     477,   914,   477,   316,   963,   964,  1128,   963,   958,   959,
     962,     0,   480,   477,   913,   141,   205,   275,   413,   973,
     974,   958,   960,   961,   117,   201,   419,   481,    32,   881,
     810,  1134,   744,  1142,   744,  1129,  1142,   304,   744,   403,
    1128,   105,   386,   798,  1134,  1142,  1148,     3,   102,   356,
    1139,  1140,  1144,  1146,  1147,  1148,    26,   181,  1126,   263,
     433,     8,    15,    16,    17,    68,   152,   464,   465,   466,
     468,   469,   470,   471,   472,   473,   827,   829,  1090,  1091,
    1142,   181,  1128,   798,  1128,    26,  1139,  1140,   798,  1128,
    1128,   181,  1126,  1128,   744,  1128,   328,   357,    26,   181,
    1012,  1128,   347,  1128,   744,    26,   235,  1139,  1140,   181,
    1126,   215,   114,   211,   254,   312,   878,   879,   880,   477,
     475,   479,  1117,  1119,  1126,  1132,  1142,    20,    25,    60,
      73,    74,    84,    88,   106,   129,   140,   148,   160,   165,
     191,   216,   237,   271,   295,   306,   309,   335,   338,   342,
     344,   351,   354,   373,   380,   386,   389,   393,   401,   403,
     408,   433,   636,   750,   751,  1137,   881,   928,   932,   941,
     948,   957,  1126,   239,   744,   477,   181,   744,   403,  1129,
     744,   403,   181,  1128,   105,   386,   390,   392,  1139,  1140,
     390,   392,    68,   152,   827,   326,  1128,  1128,  1139,   181,
     503,  1142,   181,  1128,   181,   744,  1128,  1128,   347,  1128,
     744,   235,  1139,   316,   351,   386,   433,   237,    88,   191,
      25,   165,   306,   342,   401,   407,   630,    26,  1128,   955,
     517,  1137,  1144,   832,   239,   181,   810,   811,   181,   836,
     181,  1129,     3,    48,    50,    51,    63,    64,   109,   110,
     130,   156,   181,   203,   204,   206,   247,   249,   262,   313,
     359,   365,   396,   397,   428,   746,  1034,  1036,  1038,  1040,
    1042,  1044,  1045,  1046,  1048,  1049,  1050,  1052,  1053,  1143,
    1146,   403,   105,   386,   181,   797,   798,   181,  1140,  1141,
      80,   433,    68,   152,   181,   828,   829,    53,   181,   797,
     181,  1141,   181,   797,   181,  1128,   181,  1128,   347,   836,
     181,   746,   181,   235,  1141,   215,   181,   743,   744,   181,
    1127,  1128,   181,  1128,   881,   477,   930,   568,   921,   427,
     908,   922,   923,   924,  1144,   913,  1138,   760,   761,    26,
     761,  1138,   761,    26,   761,  1138,   761,   761,   761,  1138,
    1136,  1136,   954,   761,   304,   477,   477,   588,   588,   588,
     269,   398,   481,   588,   344,  1012,  1013,   481,   873,   520,
     508,   510,    26,   510,  1137,   477,   927,    53,   433,   431,
     843,   844,    80,   782,   782,  1142,    43,   460,   211,   479,
     272,   272,   269,   163,  1137,   398,   881,   158,   754,   269,
       4,     6,     7,     8,    10,    34,    48,    50,    51,    59,
      60,    63,    64,    71,    73,    96,    97,    98,    99,   100,
     101,   102,   109,   110,   112,   146,   150,   151,   156,   171,
     173,   203,   204,   206,   221,   229,   230,   247,   249,   254,
     259,   260,   262,   271,   282,   296,   313,   340,   356,   365,
     381,   396,   397,   402,   404,   405,   414,   420,   428,   448,
     449,   450,   451,   453,   454,   455,   456,   461,   468,   469,
     470,   477,   958,  1037,  1040,  1043,  1044,  1045,  1047,  1048,
    1049,  1052,  1053,  1057,  1059,  1060,  1061,  1063,  1086,  1087,
    1088,  1092,  1111,  1116,  1123,  1124,  1134,  1135,  1136,  1137,
    1142,  1122,  1123,  1137,    26,   525,  1125,  1126,   355,   507,
     112,   516,  1137,   517,  1137,    43,    65,   507,   460,   366,
     879,   272,   163,   398,   466,    43,   460,   211,   880,   477,
    1126,   470,  1119,  1013,   907,   908,   909,   910,  1144,   162,
     915,  1057,  1095,   963,   481,   477,   916,   478,   478,   486,
     907,   917,   918,   919,  1126,    26,   126,   970,   970,    53,
     970,   153,   158,   225,   266,   977,   979,   980,   995,   997,
     998,   999,   973,   974,   163,   207,  1012,  1014,   477,    62,
     252,   285,   324,   357,   477,   808,   285,   320,   324,   357,
     479,   745,   285,   324,   357,     3,    83,   135,   231,   285,
     292,   324,   357,   389,   391,   440,   518,   521,   886,   887,
     888,   889,   776,    22,   131,   285,   324,   357,   424,   534,
    1128,    22,   131,   357,   419,   501,   444,   181,  1012,    56,
      90,   120,   149,   184,   220,   254,   285,   286,   324,   332,
     341,   349,   357,   369,   378,   382,   435,   518,   522,   813,
     821,   477,   795,  1119,   324,   501,   187,   146,    22,    28,
      41,    70,   120,   124,   131,   134,   159,   193,   252,   254,
     264,   273,   285,   324,   327,   328,   357,   424,   530,   532,
     533,   654,     4,   468,   469,   627,  1138,    26,   181,  1126,
     744,   744,   477,   826,   285,   357,   479,   146,   269,   120,
     285,   324,   357,   821,    22,   131,   285,   324,   357,   187,
     496,   324,   440,   463,   489,   496,   120,   285,   324,   357,
     821,   269,   285,   324,   146,    35,    54,   104,   190,   238,
     241,   252,   284,   324,   329,   351,   357,   371,   530,   624,
     625,   285,   324,   432,   654,   662,   285,   324,   357,    83,
     124,   134,   285,   320,   324,   357,   520,   508,   187,   146,
      41,   122,   324,   357,   530,   531,   285,   324,   328,   357,
      81,   123,   287,   391,   269,    22,    28,   131,   285,   324,
     357,   549,   550,   496,   158,   324,   489,   496,   146,   324,
     357,   530,  1128,   223,   114,   270,   445,   481,   878,    26,
     126,   429,   470,   478,   803,  1057,  1096,  1097,  1143,  1057,
    1118,     3,    26,    30,    31,    32,    33,    34,    35,    36,
      39,    52,    59,    60,    66,    72,    74,    84,    91,    96,
      97,    98,   100,   101,   102,   112,   114,   121,   126,   127,
     133,   137,   141,   151,   153,   158,   160,   163,   169,   172,
     176,   187,   195,   205,   207,   218,   219,   225,   229,   230,
     254,   259,   266,   269,   270,   274,   275,   293,   302,   318,
     331,   350,   356,   367,   383,   386,   394,   398,   399,   405,
     413,   414,   420,   421,   429,   436,   437,   439,   440,   470,
    1131,  1145,  1146,  1147,  1148,  1149,  1117,   421,   904,   269,
     239,   810,   477,  1128,  1034,   403,   105,   386,   798,   263,
     433,    68,   152,   829,  1128,   798,   798,  1128,   347,   158,
    1128,  1034,   215,   744,  1128,   478,   588,  1128,    66,  1034,
     254,   163,   477,   713,  1128,   489,    35,   898,  1128,   254,
     489,   444,   181,  1126,   489,   744,   744,   713,   417,   568,
     269,   158,   857,   858,   489,   254,    43,   504,   254,   408,
     661,   254,   916,    83,   285,   638,    81,   123,   287,   391,
      24,    45,   202,   686,    35,   713,   158,   181,   489,   433,
     181,  1126,   181,   614,  1126,  1126,   433,   744,   782,  1134,
    1134,  1134,  1128,   158,   636,    49,   103,   200,   252,   346,
     146,    57,   330,   481,   535,   146,   477,   146,   430,  1051,
    1051,  1051,   477,  1039,  1039,   298,   477,  1041,   146,    63,
      64,  1051,  1039,  1036,   442,   463,   477,  1054,   477,  1054,
     481,   535,    34,  1035,   477,   107,   179,   240,   243,   348,
     458,   477,  1055,  1056,   745,  1039,   444,   146,   481,   535,
     146,   481,   181,   743,   181,   744,   181,   744,   146,   481,
     535,  1141,   146,   535,   146,   146,   535,   146,   535,   146,
      81,   123,   287,   391,   158,   146,   535,   146,   158,   181,
     181,   517,   146,   481,   535,   146,   481,   535,   146,   269,
    1095,   386,   478,   481,   151,   269,   405,   514,   517,   627,
     925,   921,   761,   954,   761,   954,   761,   954,   761,   954,
     761,   954,   954,   954,   761,   954,   477,   589,   590,  1142,
     589,    26,   106,   129,   160,   165,   215,   216,   306,   338,
     344,   351,   386,   389,   408,   767,  1125,  1141,   766,  1128,
     187,   481,   944,  1137,  1034,  1098,    35,  1141,   782,   478,
     481,  1126,  1128,   223,  1142,   158,   158,   767,  1141,   343,
    1142,   517,   269,   477,  1120,   475,   958,  1099,  1057,  1115,
     477,   477,   158,   477,   477,   958,   477,   477,   477,   477,
     477,   477,  1057,   477,   477,   477,   477,   477,   477,   477,
     477,   958,   477,   477,   477,   477,   477,   477,   477,   477,
    1057,  1057,  1057,   958,  1057,  1095,  1119,  1137,   477,  1137,
       3,     8,    11,    15,    16,    17,    32,    35,    40,    47,
      72,   182,   187,   209,   210,   224,   257,   271,   274,   362,
     461,   464,   465,   466,   468,   469,   470,   471,   472,   473,
    1090,  1092,  1094,   441,  1073,   281,  1057,   207,   481,   967,
     477,  1137,  1119,   967,   115,   183,   526,   481,    65,   112,
     517,    35,     3,   112,   228,   515,   627,  1053,  1137,  1137,
      86,   128,  1069,    95,   112,   511,   512,   514,   627,   112,
     511,   223,  1126,    87,   329,   748,   478,   481,   514,   627,
     911,   913,   478,   481,   964,  1127,    35,   478,   481,   916,
     960,   960,   975,   976,  1057,   960,   155,   251,   986,   213,
     252,   312,   360,   419,    26,   981,  1057,   468,   469,   982,
     983,  1057,  1059,   995,   996,   980,   979,   977,   978,   158,
     998,   264,  1000,   977,   995,  1014,   933,  1126,    35,  1142,
     357,  1095,    62,   398,   398,   344,   187,   198,   275,   278,
     359,   429,   470,   801,   802,   803,   805,   807,   809,  1034,
    1143,   398,   432,   398,   344,  1131,   479,   398,   398,   344,
     225,   398,   398,   389,   507,   285,   886,   888,   466,   890,
     158,   169,   187,   333,   777,   778,    66,    84,   142,   160,
     302,   414,   585,   586,    84,   112,   254,   398,    84,   398,
     112,   254,   344,    84,   124,   134,   285,   324,   710,   344,
     644,    20,    25,    60,    73,    88,   129,   140,   160,   165,
     237,   271,   306,   338,   344,   351,   354,   386,   393,   401,
     408,   433,   636,  1128,   146,   324,   357,   530,   269,   627,
     269,   349,   220,   398,  1142,   398,   259,   627,   116,   208,
     344,   355,   400,   509,   744,   330,   357,   813,   822,   478,
     796,   801,   398,   420,   389,  1126,    74,   142,   181,   575,
     585,  1142,    74,    84,   847,   289,   269,   269,   340,   342,
     403,    84,   847,    29,   327,   340,   342,   403,   340,  1126,
     159,   193,   264,   744,   477,   398,   398,   180,   477,   539,
     234,   389,   417,   442,   539,    84,   481,     4,     4,   285,
     187,   146,   120,   324,   357,   530,   421,   421,   253,  1034,
     398,   344,   477,   827,  1128,  1126,   269,   398,   398,   344,
     822,   386,   386,   398,   398,   386,   713,   106,   357,   521,
     398,   491,   521,   269,   398,   398,   344,   822,  1126,   398,
     398,  1126,  1036,   627,    53,   626,   627,   627,   104,   238,
     241,    53,   398,   489,   245,   344,   489,   252,   625,   398,
     398,   259,  1137,   654,   398,   398,   344,  1137,   398,   309,
     398,   309,   713,   389,  1012,   289,   289,    84,   398,   847,
     344,   398,   398,   539,   539,   744,   744,   744,   744,  1126,
      42,   426,    42,    42,   398,    42,   398,   426,   344,   481,
     521,   420,   671,  1140,   398,   491,   521,  1126,   398,   344,
     285,   324,   312,   325,   353,   513,   878,  1096,  1096,  1097,
     478,    13,    14,   481,   973,   974,   476,   482,  1132,  1142,
    1126,   209,  1034,   269,   209,   444,   209,   627,   744,   744,
     209,   269,   209,   209,   269,    81,   123,   287,   391,  1034,
     269,   209,   209,   209,   398,   163,   398,   553,   408,   477,
      35,   146,   744,   714,   715,  1145,    24,   886,  1034,   269,
     146,   641,  1128,   254,   289,   477,   490,   727,   421,   316,
     433,  1126,    26,   386,   440,   817,   490,   146,  1140,    91,
     169,   505,   567,   620,   685,   762,   780,   882,   146,  1137,
     662,   663,   146,   269,  1137,  1140,   231,   744,   744,   744,
     744,   264,   117,   201,   406,   419,   687,   688,   138,   311,
     477,   671,   254,   490,  1126,   254,   622,   624,   254,    35,
     264,   289,   477,   588,   588,   181,   617,  1126,   158,   181,
     783,  1132,   477,   717,   808,   477,   799,   799,    35,  1034,
     215,   440,   442,   956,   346,   811,   810,  1034,  1129,   477,
    1095,  1136,   746,  1051,  1051,    34,  1035,   396,   396,  1136,
    1136,  1034,   475,   475,  1136,   398,   398,   398,   477,   398,
    1136,  1039,   797,   798,  1141,  1140,   146,   535,   146,   421,
     146,   421,   828,   829,   535,   797,  1141,   797,  1128,  1128,
    1034,   746,  1141,   671,   146,   146,   535,   743,   744,  1127,
    1128,  1128,   744,   478,   181,  1126,   921,   923,   954,   954,
     954,   954,   954,   954,   589,   478,   481,   478,   166,   307,
     339,   352,   387,  1127,   743,   105,   354,   797,  1127,   263,
     797,   797,  1127,  1125,  1125,  1127,   743,   398,   440,   773,
     141,   225,   668,   669,    20,   144,   340,   360,   945,  1012,
     258,   946,   478,   481,   928,   398,  1126,   841,   842,   844,
     765,   764,   765,   163,   170,   774,  1142,    25,    74,   106,
     129,   140,   160,   165,   216,   237,   306,   309,   335,   338,
     344,   351,   380,   386,   389,   408,   433,   636,   755,   756,
    1095,  1117,   476,  1095,  1099,  1100,   436,  1112,  1113,  1057,
    1095,   477,  1136,  1136,     3,   107,   179,   240,   243,   348,
     458,  1101,  1102,  1137,  1095,  1095,  1095,  1136,  1136,  1057,
     827,  1057,  1103,   340,   468,   469,   477,  1058,  1059,  1092,
    1105,   478,  1095,  1057,  1095,  1106,  1057,    52,   163,   219,
     399,  1057,  1095,  1109,  1095,   245,  1059,  1057,  1067,  1068,
    1069,   245,  1057,  1069,   478,   481,  1136,  1055,  1034,  1057,
    1057,  1057,  1057,  1145,   396,    39,   383,  1121,   744,  1057,
     477,   958,  1110,   126,   128,   151,   254,   259,   264,   405,
     415,  1057,   477,  1057,   398,    47,   182,   187,   224,   362,
    1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,
      26,    33,   367,  1089,   172,   154,  1074,   340,   477,  1086,
     168,   228,   386,   390,   392,   417,   968,  1126,  1124,   163,
    1002,  1096,  1002,  1126,   400,   477,  1137,   481,   478,   180,
     180,   535,   919,   909,   908,   912,  1057,   478,   237,   254,
     965,   919,   917,   481,    36,   121,   421,   791,   340,   341,
     468,   469,   983,   985,  1059,   360,   213,   270,   481,     4,
     984,  1136,   984,   340,   341,   985,  1125,   258,   364,   947,
     996,   978,   421,   942,   112,   283,   477,   934,   957,    35,
    1142,   477,   949,   950,   951,  1142,   478,  1140,  1128,  1128,
     278,    53,  1143,   478,   803,   805,   802,   805,  1143,   275,
     478,   481,   745,  1140,  1128,  1128,  1131,  1140,  1128,  1128,
    1140,  1129,  1128,   112,   514,  1138,   335,   420,   764,   344,
     169,   764,   477,  1128,   421,   784,   213,   213,   421,   477,
     611,   181,  1128,   259,  1140,  1128,  1128,  1057,   259,  1128,
    1128,    29,   327,   398,   398,  1128,   398,   645,   239,   810,
     477,   744,   744,  1034,   403,   105,   386,   798,   433,    68,
     152,   829,   798,   798,  1128,   744,  1128,   744,   347,   158,
    1034,   744,   215,   175,   252,   285,   324,   425,   648,   649,
     650,  1012,   398,   847,   344,   259,   148,   116,   208,  1140,
    1128,   269,  1128,   478,   481,  1139,  1141,  1128,   324,   530,
     181,   575,   254,  1034,  1128,  1136,  1142,  1126,  1128,   148,
     223,  1128,    26,   420,  1128,   181,  1128,   181,  1142,   342,
     403,   342,   403,   223,  1128,    26,   420,  1128,   223,   340,
    1126,    22,   131,   357,   655,   656,   657,   658,  1145,  1140,
    1128,   112,   164,   255,   421,   538,   541,   542,  1145,  1128,
      70,   267,  1128,   533,   398,   389,  1126,   269,   398,   847,
     344,  1130,  1142,  1130,   481,   478,   481,  1140,  1128,   852,
     853,  1145,   269,   324,   398,   679,   148,  1140,  1128,  1128,
    1013,  1013,  1140,  1128,  1013,  1129,  1139,     3,    83,   136,
     193,   291,   412,   420,   423,   492,   148,  1140,  1128,  1128,
     324,  1140,  1128,   324,   357,   530,   624,   627,   744,  1128,
     627,   744,  1128,   627,  1140,  1128,  1140,  1128,  1128,  1140,
     817,  1128,   861,   862,  1145,  1128,   324,   357,   530,   531,
    1126,  1126,  1128,  1128,  1128,  1128,  1140,  1128,    22,    28,
     131,   285,   324,   357,   285,   324,   357,   713,   324,   357,
     324,   357,   120,   324,  1026,  1142,   181,   723,  1142,   181,
    1142,  1140,  1128,  1128,  1137,  1128,    22,   550,   354,  1139,
     324,   357,   530,  1128,  1128,   398,   398,    79,   411,   312,
     481,   973,   973,   973,  1057,  1057,   429,  1097,   478,  1057,
    1118,   259,   752,  1137,    35,   129,   744,   752,   752,   209,
     421,   421,   752,   744,   752,   752,   744,   215,   744,   752,
     752,   752,   308,   554,   554,   191,   386,   684,  1057,  1034,
     744,   478,   481,   466,   687,   577,  1145,  1128,    57,   163,
     344,   432,   642,   649,   650,   146,   264,   224,   569,   571,
     573,   575,   582,   585,    23,   187,   335,   384,   492,   493,
     158,  1130,   433,  1126,    35,   680,   387,  1013,   713,   503,
    1142,   504,   274,   568,  1128,   160,   744,  1095,   309,  1137,
     713,   713,   713,   713,   264,   269,   274,   477,   713,  1024,
    1025,  1026,   354,   146,   477,   146,   146,   145,   957,   744,
     264,   569,  1142,   421,   606,   440,   540,   254,    35,   588,
    1137,   254,   269,     3,   718,   719,   713,   478,   800,   801,
     806,    35,   215,   332,   401,   439,   812,   813,   814,   812,
     269,   215,   517,   178,   178,   158,   535,    35,  1095,   478,
     478,   535,   475,   460,   460,   478,   478,  1136,   476,  1136,
     478,   179,   240,  1056,   240,  1056,  1056,  1136,   243,   478,
     535,   743,   744,  1130,   744,  1130,   535,   535,   535,   535,
     215,   535,   354,   158,   517,   535,   535,   269,   535,   254,
     478,   590,   187,   187,   187,   187,   187,   444,  1127,   627,
     628,   172,   768,   769,  1140,    23,   774,   398,   477,   163,
     144,   360,   144,   360,   340,   419,   242,  1034,  1140,   440,
     615,   782,   782,   163,   269,   768,    53,   535,   810,  1034,
     403,   386,   798,   263,   433,   798,   798,  1034,   215,   744,
    1128,   478,   476,   476,   481,  1057,   133,  1113,  1114,    35,
     478,  1057,   478,   478,   478,   163,   478,   478,   478,   478,
     478,   481,   478,   293,  1104,   478,   477,  1058,  1058,  1095,
      11,    15,    16,    17,   187,   209,   271,   464,   465,   466,
     468,   469,   470,   471,   472,   473,  1092,  1058,   478,   478,
     158,   163,  1107,  1108,   478,    35,  1109,  1095,  1109,  1109,
     163,   478,   478,  1145,   290,  1071,    35,   478,   481,  1057,
    1145,   481,  1057,  1120,  1057,   478,   460,  1058,  1058,   139,
    1095,   163,   126,   128,   151,   259,   264,   405,   415,   477,
     139,   827,  1057,   383,  1121,  1057,  1110,  1057,   398,   477,
     958,   477,   477,   280,  1078,   477,  1095,   390,   392,   390,
     392,  1126,   969,   969,   969,   218,   341,   457,   477,   958,
    1003,  1004,  1005,  1012,  1017,  1027,  1060,  1062,  1063,  1142,
     437,  1022,   973,  1022,   879,  1136,  1055,   512,   919,   237,
     477,   976,   271,  1090,  1093,   462,   792,     4,  1136,   985,
     270,   419,   982,   233,  1003,   437,  1023,   427,   385,   420,
     935,   936,   937,  1142,   269,   938,  1142,   951,   952,   481,
    1002,   466,  1120,   809,   745,   805,   805,    53,   807,   472,
    1141,  1141,   269,  1127,   272,   269,  1057,   586,  1130,   477,
     477,   477,   611,   191,   589,   703,   146,   535,   398,  1140,
    1128,   517,  1128,  1034,  1128,   444,   744,   744,   744,   744,
      81,   123,   287,   391,  1034,  1128,   631,  1128,   175,   425,
     398,   398,   631,   648,   654,   324,   357,   530,  1128,  1128,
    1128,   199,  1128,   259,   801,   284,   357,   398,   254,   146,
     273,   652,   703,   357,    22,   131,   328,   329,   357,   534,
     543,   544,   654,   848,  1128,   349,   146,   535,   146,   535,
    1128,  1128,  1128,  1128,   349,   349,   223,   657,   658,   657,
     478,   481,   659,  1137,   191,   478,   481,   466,   479,  1140,
    1128,   324,   357,   530,   148,  1128,  1128,  1128,   285,   324,
     357,    22,   131,   285,   324,   357,  1034,   253,  1034,   478,
     481,   466,  1126,   398,  1141,   421,   676,  1128,   225,   291,
     259,  1137,   291,  1141,   418,  1128,   398,   398,   344,   481,
     817,   284,   357,    84,   398,   847,   344,   112,   158,   545,
     398,   398,   235,   235,   235,   398,   398,   344,   398,   398,
     344,   398,   344,   398,   344,   269,   398,   535,  1034,   254,
    1137,   357,   848,   146,   535,   398,   398,  1128,   398,   344,
    1140,  1128,   478,   478,   478,  1097,   476,  1034,   744,   209,
     752,  1130,  1130,   209,   209,  1128,   209,   374,   375,   555,
    1137,   555,   175,   478,   478,   163,   713,   715,   253,   271,
     468,   469,   627,   716,   805,  1093,  1137,  1149,   269,    66,
      72,    84,   112,   114,   167,   195,   254,   259,   302,   318,
     414,   578,   579,   581,   145,   436,   489,   517,  1128,   517,
     652,  1126,  1126,  1126,   478,   481,  1141,   172,   335,  1141,
    1136,   408,  1126,   588,     3,   158,   681,    43,   504,   326,
     386,   661,   105,   916,   163,   861,   540,   589,  1126,   688,
     720,   721,  1137,   478,   481,  1128,   158,   589,  1126,   614,
    1126,  1128,   615,   477,   570,  1126,   478,  1130,   440,   442,
     607,   539,    35,   146,   957,   606,   398,   146,  1012,   466,
     478,   481,   478,   481,   112,   466,   815,  1137,   517,   386,
     804,   805,   158,   816,   814,   117,   201,   350,   419,   870,
    1128,   175,   957,  1034,   478,  1136,  1054,  1054,   476,   476,
     478,   535,   421,   535,   421,   535,  1128,  1128,   671,   535,
     744,   146,   344,   344,   344,   344,   344,  1127,   481,  1140,
     440,   481,   770,   272,  1013,   354,   144,   144,   105,   252,
    1126,  1128,  1141,   767,   535,  1140,   209,   209,   209,   627,
     209,   209,   209,   209,   209,  1099,   394,  1057,   137,  1034,
     478,  1057,  1057,  1057,  1107,   478,  1095,   481,  1034,  1058,
    1058,  1058,  1058,   126,   128,   254,   264,  1058,  1058,  1058,
    1058,  1058,  1058,  1058,  1058,  1058,  1058,  1057,  1057,  1108,
    1107,  1034,   478,   478,   478,  1095,   478,   481,    53,  1059,
    1072,   478,  1145,  1068,   299,   379,  1070,   478,   481,   432,
    1064,    35,   478,  1137,  1057,    32,    32,  1057,   478,  1057,
     163,   477,  1098,  1057,   478,   139,  1058,  1058,   139,   139,
    1057,  1057,   974,   437,   477,  1079,  1142,   478,  1095,   481,
     969,   969,   969,   969,  1126,  1126,  1126,   958,  1017,  1027,
     163,   477,   958,  1004,  1005,    35,  1006,  1007,  1142,   481,
      92,   164,   197,   212,   222,   248,   334,  1009,  1007,    35,
    1006,  1008,  1142,  1007,   463,  1021,  1119,  1057,   172,   987,
     478,   987,   478,   928,   477,   792,   155,   217,   270,    95,
    1057,   331,   940,   426,   478,   481,  1120,    82,   940,   478,
     481,   950,  1023,  1057,   478,   472,   809,   408,   166,   339,
     345,   352,   387,   409,   779,   158,   779,   478,   477,   593,
     594,   786,  1062,  1142,   589,   589,   703,  1132,   478,   114,
     195,   252,   254,   704,  1128,  1128,    35,  1128,   421,   421,
     744,   744,   744,   744,   215,   745,  1140,  1128,   398,   847,
     344,   398,   199,    53,   389,  1128,   146,   575,   477,   577,
     373,   167,   180,   254,   539,   489,   105,   167,   254,   373,
     376,   539,   625,   357,   544,   408,  1128,  1142,   349,   656,
    1128,   542,   716,  1145,   284,   357,   398,   847,   344,  1128,
     398,   398,   398,   344,   165,   271,   376,   725,   726,   165,
     271,   733,   734,   398,   398,   344,   478,   478,   478,   853,
     253,   627,   805,   854,  1093,  1137,  1149,   324,  1128,   477,
     440,   677,  1138,  1137,  1137,  1137,  1128,  1128,  1128,   862,
      53,   389,  1128,  1128,  1128,  1128,   427,  1128,  1128,   158,
     158,   326,   158,   181,  1140,  1128,  1128,  1140,  1128,  1128,
    1128,  1128,  1128,  1128,   148,  1128,    72,   536,   146,    24,
      45,   408,  1142,  1128,  1137,   654,  1128,  1128,   973,   478,
     209,   752,   209,   209,   752,   752,   209,   752,   489,   421,
     560,   561,   631,   703,   440,   442,   744,  1126,   477,   744,
    1128,  1058,    29,    53,   580,   115,   183,   114,   259,   213,
    1126,   817,   165,   306,   699,   706,   707,  1142,   641,   289,
     477,   570,   583,   194,   600,   573,  1141,  1141,  1034,   477,
     540,    26,   117,   201,   350,   419,   682,   398,   678,  1140,
     181,  1126,   663,   444,   269,  1003,   817,   319,   689,   478,
     481,  1026,   652,   671,   478,   622,    35,   264,   289,   477,
     930,   572,   574,   576,   585,  1142,   289,   601,   602,   570,
     600,   539,   267,   269,   608,   957,   617,   615,   540,  1137,
    1132,   784,   716,     3,   719,   806,  1057,  1057,   481,   477,
     812,   408,   481,   398,   477,   631,   478,   476,  1130,  1130,
     535,   354,   535,  1127,  1127,  1127,  1127,  1127,   627,   169,
     769,   478,  1128,   105,   774,   163,   259,   757,  1137,   757,
     757,   209,   757,   757,   757,   757,   757,  1057,   478,   478,
    1108,   478,  1057,   163,   126,   128,   264,   477,   478,   447,
    1066,  1095,   317,   426,    53,  1072,  1059,   438,   438,   478,
    1057,   252,  1057,   481,  1065,  1036,  1057,  1057,  1057,  1098,
     478,  1057,    32,    32,  1057,  1057,   139,   478,   478,  1057,
    1080,  1142,   478,  1057,  1126,  1126,  1126,  1126,  1007,  1008,
    1007,   477,   452,  1059,   478,  1142,   477,  1004,   212,   279,
    1010,  1004,  1010,   212,  1009,  1010,   212,   388,  1015,   477,
    1142,   477,   276,    53,   176,   994,  1137,   994,  1137,   478,
     827,   264,  1123,   957,   283,   957,   937,   269,   477,   939,
     466,   951,   940,   408,   478,   398,   764,   163,   703,  1057,
     478,   481,   440,    72,   789,   789,   478,   478,   188,   591,
     115,   183,   193,   114,   423,   535,  1034,  1130,  1130,  1128,
    1128,  1128,  1128,  1128,  1141,  1128,   575,   653,   657,  1138,
     580,   181,   259,   627,   580,   259,  1138,  1142,  1034,   535,
     535,   466,    53,   389,  1128,  1128,  1128,  1128,  1140,  1128,
    1128,  1136,  1136,  1034,   481,  1136,  1136,   481,  1140,  1128,
    1128,   398,  1057,    66,  1141,  1128,   398,   398,   163,   187,
     440,  1127,  1127,   744,  1127,   146,  1128,   744,  1137,  1137,
    1034,   535,   535,   478,   209,   752,   752,   752,   752,   477,
     556,   557,   489,   119,   165,   198,   165,   163,   702,  1057,
     254,   579,   112,    35,   817,   588,   421,   610,  1134,    32,
     145,   187,   264,   569,   545,   143,   189,   477,   354,   421,
     589,    35,  1141,   676,   504,   254,   477,   160,  1128,  1095,
     250,   268,   690,   691,   692,   158,   695,  1137,   354,   540,
     145,   957,   744,   264,   569,   615,   478,   481,   440,   577,
      53,   606,   545,   601,    78,   389,   609,   440,   883,    35,
     609,   163,   269,   477,  1137,   803,   818,   819,  1143,  1034,
     158,  1126,   163,   398,   838,   196,   632,   535,   535,   535,
    1128,   272,   207,   535,   768,   757,   478,  1058,   163,   477,
    1098,   477,   478,   481,   478,  1072,   478,   426,   370,   478,
     478,   478,  1057,  1057,  1057,   478,   289,  1081,   478,  1018,
    1019,  1062,   477,  1071,  1006,   477,  1127,  1004,   269,   421,
    1011,  1004,   212,  1004,  1134,  1025,   477,  1025,  1142,    94,
     173,   337,   477,   988,   989,   990,   991,   992,   993,  1057,
    1057,   439,  1075,  1075,   478,   954,   935,    84,   785,   786,
     127,  1057,   768,   269,   768,   478,   591,   594,   271,   827,
     744,   744,   790,   790,   318,   591,   477,   817,   478,   398,
     357,   946,   478,   481,    35,   146,   536,   716,  1141,  1128,
     398,   477,   798,   827,   829,   726,   477,   477,   734,  1128,
     478,   477,   357,   946,  1128,  1128,   477,   477,   477,   440,
     463,   901,   326,   901,   901,   158,   536,   752,   562,   563,
    1145,    49,    93,   118,   135,   139,   159,   162,   177,   259,
     310,   558,   556,  1137,   798,    35,   834,   834,  1126,   703,
     478,   180,   477,   610,   236,   592,   191,   477,   707,   699,
     477,  1126,   478,   354,    26,    77,    85,   113,   167,   180,
     192,   373,   376,   584,   584,  1125,  1128,  1130,   478,   957,
     677,   146,   105,   652,   163,   691,   340,   386,   693,   132,
     696,   436,   698,  1128,    35,  1128,   615,   570,  1126,   478,
     574,   273,     3,   603,  1146,   607,   601,   606,   117,   131,
     299,  1128,    58,    66,   228,   957,   744,  1012,   785,   805,
     478,   481,   408,  1022,   368,   368,   478,   631,   252,   425,
     633,   634,  1128,   535,  1058,  1098,   478,  1067,  1095,   252,
     459,    53,   973,   478,   481,    35,  1020,   112,  1032,  1033,
    1058,    75,  1127,   478,  1057,   477,  1004,  1011,   477,   478,
    1025,   478,   477,   358,   477,   478,   481,  1076,  1077,  1142,
     426,  1128,   478,   481,   255,   419,   770,   779,   535,   789,
     817,   477,   791,   791,  1126,   817,   589,   610,  1128,   389,
     657,   180,   421,   537,   357,   946,  1128,  1098,   158,   729,
     729,  1098,  1098,  1057,   389,  1095,  1095,   546,   547,  1144,
     743,   744,   743,   744,  1127,   535,   478,   481,   470,   477,
     514,   564,   627,   898,  1137,   898,   254,   259,   310,   898,
     898,  1022,   834,    38,   185,   158,   252,   587,   477,   623,
    1057,   164,   288,   363,   269,   596,   597,   598,   389,   478,
    1134,     5,   708,   570,   600,  1128,   478,   652,   152,   728,
     540,   883,  1126,   444,  1003,   898,   340,   372,   697,   477,
     145,   652,   957,   930,   601,   570,   600,   577,   477,   608,
     606,   607,   341,   341,    66,   272,    66,   615,   784,   478,
     812,   818,  1034,   127,   440,   440,   425,   631,   652,   478,
     478,   478,   426,  1095,   174,   311,   341,  1082,  1021,  1018,
     477,  1058,   478,   481,    35,  1028,  1029,  1142,   478,  1127,
    1095,   478,  1095,   477,  1095,   989,   481,    35,   957,  1022,
     786,   357,   163,   790,   610,   827,   792,   792,   588,   610,
     478,   703,  1128,   623,  1057,   389,   478,   275,   347,   315,
     730,   730,   478,   478,   478,  1128,   478,   478,   478,   481,
    1136,   901,   563,   514,   565,   566,  1137,  1137,   259,   589,
     470,   589,  1137,  1137,   132,   193,   624,   478,   117,   419,
     269,   598,   269,   597,  1128,   477,   478,   481,   545,   354,
     652,   744,    35,    35,   477,  1128,   694,  1142,  1057,   699,
     883,   615,   606,   545,   601,   477,   604,   605,  1062,  1142,
     609,   607,   608,   272,   272,   477,   188,   787,    27,   202,
     871,   165,   165,    47,    95,   410,  1057,  1083,  1084,  1083,
    1083,   478,  1025,   481,  1033,  1145,   478,   481,   158,  1034,
     478,   478,   478,   988,   478,  1077,  1079,   949,   768,   791,
     437,   595,   478,   592,   703,   946,  1128,   798,    53,   946,
     398,   546,   744,   478,   481,   589,   340,   478,   377,    57,
     252,   330,   357,   599,   599,   478,     5,   354,  1128,   725,
     957,   652,   478,  1134,   607,   601,   606,  1057,   478,   481,
     789,   789,   608,   609,   785,   477,   540,   255,   477,   866,
     868,   872,   932,   941,   948,   957,   798,   798,  1084,   340,
     157,   297,   157,   297,   142,  1085,  1085,  1085,   478,  1059,
    1029,   276,     3,   112,   254,   259,  1030,  1031,   325,  1016,
     478,  1022,   535,   792,   477,   703,   596,   946,   744,   477,
     566,   698,    21,   112,   259,  1128,   652,   883,   477,   608,
     606,   607,   478,   605,   790,   790,   609,   478,   786,   788,
     609,   867,   868,   869,   958,   959,   481,   481,    32,    95,
     172,   252,   395,  1071,  1058,  1058,   259,  1031,   477,  1057,
     703,  1095,   145,   652,     4,   700,   701,  1136,  1137,  1145,
     609,   607,   608,   789,   787,   478,   481,  1022,   478,   480,
     398,   163,  1084,   340,   277,    75,  1057,   478,   478,   699,
     478,   481,   608,   609,   790,   540,   786,   869,   368,   368,
    1028,   478,  1134,   701,   609,   609,   440,   440,   478,   477,
    1022,   165,   165,   700,   798,   798,   478
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   483,   484,   485,   485,   486,   486,   486,   486,   486,
     486,   486,   486,   486,   486,   486,   486,   486,   486,   486,
     486,   486,   486,   486,   486,   486,   486,   486,   486,   486,
     486,   486,   486,   486,   486,   486,   486,   486,   486,   486,
     486,   486,   486,   486,   486,   486,   486,   486,   486,   486,
     486,   486,   486,   486,   486,   486,   486,   486,   486,   486,
     486,   486,   486,   486,   486,   486,   486,   486,   486,   486,
     486,   486,   486,   486,   486,   486,   486,   486,   486,   486,
     486,   486,   486,   486,   486,   486,   486,   486,   486,   486,
     486,   486,   486,   486,   486,   486,   486,   486,   486,   486,
     486,   486,   486,   486,   486,   486,   486,   486,   486,   486,
     486,   486,   486,   486,   486,   486,   486,   486,   486,   486,
     486,   486,   486,   486,   486,   486,   486,   486,   486,   487,
     488,   489,   489,   489,   490,   490,   491,   491,   492,   492,
     492,   492,   492,   492,   492,   492,   492,   493,   493,   493,
     493,   493,   493,   494,   495,   495,   496,   496,   497,   497,
     497,   497,   498,   498,   498,   498,   498,   498,   499,   500,
     501,   501,   502,   502,   502,   502,   503,   503,   504,   504,
     505,   505,   505,   505,   505,   505,   506,   506,   506,   506,
     507,   507,   507,   508,   508,   508,   508,   509,   509,   509,
     509,   509,   509,   509,   509,   509,   509,   509,   510,   510,
     511,   511,   512,   512,   513,   513,   513,   513,   514,   514,
     514,   514,   515,   515,   515,   515,   515,   515,   515,   516,
     516,   516,   517,   517,   518,   518,   519,   519,   519,   519,
     520,   520,   521,   521,   522,   522,   523,   523,   523,   523,
     523,   523,   523,   524,   525,   525,   526,   526,   527,   528,
     528,   528,   528,   528,   529,   529,   529,   529,   529,   529,
     529,   529,   529,   529,   529,   529,   529,   529,   529,   529,
     529,   529,   529,   530,   530,   531,   531,   532,   533,   533,
     533,   533,   533,   533,   533,   533,   533,   533,   533,   533,
     533,   533,   533,   533,   533,   533,   533,   533,   533,   533,
     533,   533,   533,   533,   533,   533,   533,   533,   533,   533,
     533,   533,   533,   533,   533,   533,   533,   533,   533,   533,
     533,   533,   533,   533,   533,   533,   533,   533,   533,   533,
     533,   533,   533,   533,   534,   534,   535,   535,   535,   536,
     536,   537,   537,   538,   538,   538,   538,   539,   540,   540,
     541,   541,   542,   542,   542,   542,   543,   543,   544,   544,
     544,   544,   545,   545,   545,   545,   546,   547,   547,   548,
     549,   549,   550,   550,   550,   550,   551,   551,   552,   552,
     553,   553,   554,   554,   555,   555,   555,   556,   556,   557,
     557,   558,   558,   558,   558,   558,   558,   558,   558,   558,
     558,   558,   558,   558,   559,   559,   560,   560,   561,   561,
     562,   562,   563,   564,   564,   564,   564,   564,   565,   565,
     566,   567,   567,   567,   567,   567,   567,   568,   568,   568,
     568,   568,   568,   568,   568,   569,   569,   570,   570,   571,
     571,   572,   572,   573,   573,   573,   574,   574,   575,   576,
     576,   577,   577,   578,   578,   578,   578,   579,   579,   579,
     579,   579,   579,   579,   579,   579,   580,   580,   581,   581,
     581,   581,   582,   583,   583,   583,   584,   584,   584,   584,
     584,   584,   584,   584,   584,   585,   585,   586,   586,   586,
     586,   586,   586,   586,   587,   587,   588,   588,   589,   589,
     590,   591,   591,   592,   592,   592,   592,   593,   593,   594,
     594,   595,   595,   596,   596,   596,   596,   596,   597,   598,
     599,   599,   599,   599,   599,   600,   600,   601,   601,   602,
     603,   603,   604,   604,   605,   605,   605,   606,   606,   607,
     607,   607,   608,   608,   608,   608,   609,   609,   610,   610,
     611,   612,   612,   613,   613,   614,   615,   615,   615,   616,
     616,   617,   618,   618,   619,   620,   620,   621,   621,   622,
     622,   623,   623,   624,   624,   625,   625,   625,   625,   625,
     625,   625,   625,   625,   625,   625,   625,   625,   625,   626,
     626,   627,   627,   627,   627,   628,   628,   629,   629,   630,
     630,   631,   631,   632,   632,   633,   633,   634,   634,   635,
     635,   636,   636,   637,   638,   638,   639,   639,   640,   640,
     641,   641,   642,   642,   642,   642,   643,   644,   644,   645,
     646,   646,   646,   646,   646,   646,   646,   646,   646,   646,
     646,   646,   646,   646,   646,   646,   646,   646,   646,   646,
     646,   646,   646,   646,   646,   646,   646,   646,   647,   648,
     648,   648,   648,   649,   649,   650,   650,   651,   651,   652,
     652,   653,   653,   654,   655,   655,   656,   656,   656,   656,
     657,   658,   659,   660,   660,   661,   661,   662,   662,   663,
     663,   664,   664,   664,   665,   665,   665,   665,   666,   666,
     667,   668,   668,   669,   669,   670,   670,   671,   671,   672,
     672,   673,   674,   675,   676,   676,   677,   677,   678,   678,
     679,   679,   680,   680,   681,   681,   682,   682,   682,   682,
     682,   683,   684,   684,   685,   685,   686,   686,   686,   687,
     687,   688,   688,   688,   688,   688,   689,   689,   690,   690,
     691,   692,   692,   693,   693,   694,   695,   695,   696,   696,
     697,   697,   698,   698,   699,   699,   700,   700,   700,   701,
     701,   701,   701,   702,   702,   703,   703,   704,   704,   704,
     704,   704,   704,   705,   705,   706,   706,   707,   708,   708,
     709,   710,   710,   710,   710,   711,   712,   712,   712,   712,
     712,   712,   712,   712,   712,   712,   712,   712,   712,   712,
     712,   712,   713,   714,   714,   715,   715,   716,   716,   716,
     716,   716,   716,   717,   718,   718,   719,   720,   720,   721,
     721,   722,   722,   722,   722,   723,   723,   724,   725,   725,
     726,   726,   726,   726,   726,   727,   727,   728,   728,   729,
     729,   729,   730,   730,   731,   732,   732,   733,   733,   734,
     734,   735,   735,   736,   736,   737,   738,   739,   739,   739,
     739,   739,   739,   739,   739,   739,   739,   739,   739,   740,
     740,   740,   740,   740,   740,   740,   740,   740,   740,   740,
     740,   740,   741,   741,   741,   741,   741,   741,   741,   742,
     742,   742,   743,   743,   744,   744,   745,   745,   746,   746,
     747,   748,   748,   748,   749,   749,   749,   749,   749,   749,
     749,   749,   749,   749,   749,   749,   749,   749,   749,   749,
     749,   749,   749,   750,   750,   750,   750,   750,   750,   750,
     750,   750,   750,   750,   750,   750,   750,   751,   751,   751,
     751,   751,   751,   751,   751,   751,   751,   751,   751,   752,
     752,   753,   753,   753,   753,   753,   753,   753,   753,   753,
     754,   754,   755,   755,   755,   755,   755,   755,   756,   756,
     756,   756,   756,   756,   756,   756,   757,   757,   758,   758,
     759,   759,   759,   759,   759,   759,   759,   759,   759,   759,
     759,   759,   759,   759,   759,   759,   760,   760,   761,   761,
     762,   763,   763,   764,   764,   764,   764,   764,   765,   765,
     766,   766,   766,   766,   767,   767,   767,   767,   767,   767,
     767,   767,   767,   767,   767,   767,   767,   767,   767,   767,
     767,   767,   767,   767,   768,   768,   769,   769,   770,   770,
     771,   772,   772,   773,   773,   774,   774,   775,   776,   776,
     777,   777,   777,   778,   778,   778,   779,   779,   779,   779,
     779,   779,   780,   780,   781,   781,   782,   782,   783,   783,
     784,   784,   785,   785,   786,   786,   786,   787,   787,   788,
     788,   789,   789,   790,   790,   791,   791,   791,   792,   792,
     792,   793,   793,   793,   793,   794,   794,   795,   795,   796,
     796,   797,   797,   798,   798,   798,   798,   799,   799,   800,
     800,   801,   801,   801,   801,   801,   802,   802,   802,   802,
     802,   803,   804,   805,   805,   805,   806,   806,   806,   807,
     808,   808,   808,   808,   809,   809,   810,   811,   811,   812,
     812,   813,   813,   813,   813,   813,   813,   813,   813,   813,
     813,   813,   813,   813,   813,   813,   813,   813,   814,   814,
     814,   814,   814,   815,   815,   816,   816,   817,   817,   818,
     819,   819,   820,   820,   820,   821,   821,   822,   822,   823,
     823,   823,   823,   823,   823,   824,   824,   825,   825,   826,
     826,   826,   826,   827,   827,   828,   828,   829,   830,   831,
     831,   832,   832,   833,   833,   833,   834,   834,   834,   835,
     836,   836,   837,   838,   838,   838,   838,   839,   840,   840,
     840,   840,   841,   841,   842,   842,   842,   843,   843,   844,
     845,   845,   846,   846,   846,   846,   846,   846,   846,   846,
     846,   846,   846,   846,   846,   846,   846,   846,   846,   846,
     846,   846,   846,   846,   846,   846,   846,   846,   846,   846,
     846,   846,   846,   846,   846,   846,   846,   846,   846,   846,
     846,   846,   846,   846,   846,   846,   846,   846,   846,   846,
     846,   846,   846,   846,   846,   847,   847,   848,   848,   849,
     849,   849,   849,   849,   849,   850,   850,   850,   850,   850,
     850,   850,   850,   850,   850,   850,   850,   850,   850,   850,
     850,   850,   850,   850,   850,   850,   850,   850,   850,   850,
     850,   850,   851,   852,   852,   853,   853,   854,   854,   854,
     854,   854,   855,   855,   855,   855,   855,   855,   855,   855,
     855,   855,   855,   855,   855,   855,   855,   855,   855,   855,
     855,   855,   855,   855,   855,   855,   856,   857,   857,   858,
     858,   859,   859,   859,   859,   860,   861,   861,   862,   863,
     863,   863,   863,   863,   863,   864,   864,   865,   866,   866,
     866,   867,   867,   868,   868,   868,   868,   868,   869,   869,
     870,   870,   870,   870,   871,   871,   871,   872,   873,   873,
     874,   875,   875,   876,   876,   876,   876,   876,   876,   876,
     876,   876,   876,   876,   876,   876,   876,   877,   877,   877,
     878,   878,   878,   878,   878,   879,   879,   879,   880,   880,
     881,   881,   881,   882,   882,   882,   882,   883,   883,   883,
     883,   884,   885,   886,   886,   887,   887,   888,   888,   888,
     889,   889,   889,   889,   889,   889,   889,   890,   890,   891,
     891,   891,   892,   893,   893,   894,   895,   895,   896,   897,
     897,   897,   897,   897,   897,   897,   898,   898,   899,   900,
     900,   900,   900,   900,   900,   901,   901,   902,   903,   903,
     903,   904,   904,   905,   905,   906,   906,   907,   907,   908,
     908,   909,   910,   910,   911,   911,   911,   912,   912,   913,
     913,   914,   914,   915,   915,   916,   916,   917,   918,   918,
     919,   919,   920,   920,   920,   920,   921,   921,   921,   921,
     921,   921,   921,   921,   921,   922,   922,   923,   924,   924,
     925,   925,   925,   926,   927,   927,   928,   928,   928,   928,
     929,   929,   929,   930,   930,   931,   931,   931,   931,   932,
     933,   933,   934,   934,   934,   934,   934,   935,   935,   936,
     936,   937,   938,   938,   938,   939,   939,   939,   940,   940,
     941,   942,   942,   943,   944,   944,   945,   945,   945,   945,
     945,   945,   945,   945,   946,   946,   947,   947,   947,   948,
     949,   949,   950,   950,   951,   952,   952,   953,   954,   955,
     955,   955,   955,   955,   956,   956,   956,   957,   957,   958,
     958,   959,   959,   959,   959,   959,   959,   959,   959,   960,
     960,   961,   961,   961,   961,   961,   961,   961,   962,   962,
     962,   963,   963,   964,   965,   965,   965,   966,   966,   967,
     967,   968,   968,   968,   968,   968,   968,   968,   968,   968,
     969,   969,   970,   970,   970,   971,   971,   972,   972,   973,
     973,   974,   975,   975,   976,   976,   977,   977,   977,   977,
     978,   978,   979,   979,   979,   979,   980,   980,   981,   981,
     982,   983,   983,   983,   984,   984,   985,   985,   986,   986,
     987,   987,   988,   988,   989,   989,   989,   989,   989,   990,
     991,   992,   993,   994,   994,   995,   995,   996,   996,   997,
     997,   998,   999,   999,   999,   999,  1000,  1000,  1001,  1001,
    1002,  1002,  1003,  1003,  1004,  1004,  1004,  1004,  1004,  1004,
    1004,  1004,  1004,  1004,  1005,  1005,  1005,  1005,  1005,  1005,
    1006,  1006,  1006,  1006,  1007,  1007,  1008,  1008,  1008,  1008,
    1008,  1009,  1009,  1009,  1009,  1010,  1010,  1011,  1011,  1012,
    1012,  1012,  1012,  1013,  1013,  1014,  1014,  1014,  1015,  1016,
    1016,  1017,  1017,  1018,  1019,  1019,  1020,  1020,  1021,  1021,
    1022,  1022,  1023,  1023,  1023,  1024,  1024,  1025,  1025,  1026,
    1027,  1027,  1028,  1028,  1029,  1029,  1029,  1030,  1030,  1031,
    1031,  1031,  1031,  1032,  1032,  1033,  1033,  1034,  1034,  1034,
    1034,  1034,  1034,  1035,  1035,  1035,  1036,  1036,  1036,  1036,
    1036,  1036,  1036,  1037,  1037,  1037,  1037,  1038,  1038,  1039,
    1039,  1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,
    1040,  1040,  1041,  1041,  1042,  1042,  1043,  1043,  1044,  1045,
    1046,  1046,  1047,  1047,  1048,  1049,  1050,  1050,  1050,  1050,
    1050,  1050,  1051,  1051,  1052,  1052,  1052,  1052,  1053,  1054,
    1054,  1054,  1055,  1055,  1055,  1055,  1055,  1055,  1055,  1055,
    1055,  1055,  1055,  1055,  1055,  1055,  1056,  1056,  1057,  1057,
    1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,
    1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,
    1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,
    1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,
    1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,
    1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,
    1057,  1057,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,
    1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,
    1058,  1058,  1058,  1058,  1058,  1058,  1058,  1059,  1059,  1059,
    1059,  1059,  1059,  1059,  1059,  1059,  1059,  1059,  1059,  1059,
    1059,  1060,  1060,  1060,  1060,  1060,  1060,  1060,  1061,  1061,
    1062,  1062,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1064,  1064,  1065,  1065,  1065,  1065,
    1066,  1067,  1067,  1068,  1068,  1069,  1069,  1070,  1070,  1070,
    1071,  1071,  1071,  1071,  1072,  1072,  1073,  1073,  1074,  1074,
    1075,  1075,  1076,  1076,  1077,  1078,  1078,  1078,  1079,  1080,
    1080,  1081,  1081,  1082,  1082,  1082,  1082,  1083,  1083,  1084,
    1084,  1084,  1084,  1084,  1085,  1085,  1085,  1085,  1085,  1086,
    1086,  1086,  1087,  1087,  1088,  1089,  1089,  1089,  1090,  1090,
    1091,  1091,  1091,  1091,  1091,  1091,  1091,  1091,  1091,  1091,
    1091,  1091,  1092,  1092,  1093,  1093,  1094,  1094,  1094,  1094,
    1094,  1094,  1095,  1095,  1096,  1096,  1097,  1097,  1097,  1098,
    1098,  1099,  1099,  1099,  1100,  1100,  1101,  1101,  1102,  1102,
    1102,  1102,  1102,  1102,  1102,  1102,  1103,  1103,  1104,  1105,
    1105,  1106,  1106,  1106,  1106,  1106,  1106,  1107,  1108,  1109,
    1109,  1109,  1110,  1110,  1111,  1112,  1112,  1113,  1114,  1114,
    1115,  1115,  1116,  1116,  1117,  1117,  1117,  1117,  1118,  1118,
    1119,  1119,  1120,  1120,  1121,  1121,  1122,  1122,  1123,  1123,
    1124,  1124,  1124,  1124,  1125,  1125,  1126,  1126,  1127,  1127,
    1128,  1129,  1130,  1131,  1132,  1133,  1134,  1134,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1136,  1137,  1138,  1138,  1138,  1139,  1140,  1140,  1140,
    1141,  1141,  1142,  1142,  1142,  1143,  1143,  1143,  1144,  1144,
    1144,  1144,  1145,  1145,  1145,  1145,  1145,  1146,  1146,  1146,
    1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,
    1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,
    1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,
    1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,
    1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,
    1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,
    1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,
    1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,
    1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,
    1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,
    1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,
    1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,
    1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,
    1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,
    1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,
    1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,
    1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,
    1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,
    1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,
    1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,
    1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,
    1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,
    1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,
    1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,
    1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,
    1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,
    1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,
    1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,
    1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1147,
    1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,
    1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,
    1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,
    1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,
    1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1148,
    1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,
    1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,
    1148,  1148,  1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,
    1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,
    1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,
    1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,
    1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,
    1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,
    1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,
    1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     0,     2,
       5,     1,     1,     0,     2,     0,     2,     0,     2,     2,
       3,     3,     1,     3,     3,     2,     1,     1,     2,     2,
       2,     3,     3,     5,     5,     5,     0,     3,     5,     5,
       5,     5,     3,     5,     3,     5,     3,     5,     5,     6,
       1,     1,     6,     4,     9,     7,     1,     0,     2,     0,
       1,     1,     1,     1,     1,     1,     3,     2,     3,     3,
       2,     5,     1,     3,     3,     3,     3,     1,     3,     3,
       2,     2,     2,     2,     3,     3,     3,     3,     1,     3,
       1,     3,     1,     1,     2,     2,     2,     1,     1,     1,
       1,     1,     1,     1,     3,     5,     1,     1,     1,     1,
       1,     0,     1,     1,     2,     3,     1,     2,     3,     2,
       1,     1,     2,     1,     2,     1,     3,     3,     2,     3,
       4,     3,     2,     4,     1,     1,     1,     1,     1,     2,
       2,     2,     2,     2,     4,     6,     4,     6,    10,    13,
       4,     6,     4,    10,    13,     4,     6,     4,     6,     5,
       7,    11,    14,     1,     3,     4,     3,     3,     2,     5,
       3,     6,     4,     6,     6,     6,     6,     5,     5,     6,
       9,     4,     5,     7,     6,     4,     8,     4,     2,     4,
       3,     6,     4,     3,     3,     3,     2,     2,     3,     4,
       4,     3,     3,     3,     3,     3,     3,     4,     4,     3,
       2,     3,     2,     2,     3,     3,     2,     2,     3,     4,
       4,     4,     5,     1,     3,     2,     1,     1,     0,     2,
       0,     2,     0,     1,     1,     1,     3,     3,     2,     0,
       1,     3,     3,     1,     5,     3,     1,     2,     1,     3,
       2,     3,     6,     6,    10,     1,     2,     1,     3,     4,
       1,     3,     4,     6,     4,     8,     2,     2,    11,     9,
       1,     1,     1,     0,     1,     1,     1,     1,     3,     2,
       0,     1,     1,     3,     3,     1,     1,     3,     3,     3,
       3,     4,     3,     2,     1,     0,     3,     0,     1,     0,
       1,     3,     2,     1,     1,     1,     3,     0,     1,     3,
       1,    13,    16,    12,    15,    14,    17,     1,     1,     2,
       2,     2,     2,     1,     0,     1,     0,     3,     0,     1,
       3,     1,     3,     1,     1,     1,     1,     1,     4,     2,
       4,     2,     0,     3,     1,     1,     2,     2,     1,     3,
       4,     5,     2,     5,     7,     5,     1,     2,     1,     2,
       2,     2,     3,     3,     3,     0,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     3,     1,     5,     8,     3,
       9,     4,    10,    11,     2,     0,     3,     0,     1,     3,
       1,     4,     0,     2,     2,     2,     0,     1,     3,     3,
       6,     4,     0,     1,     1,     2,     2,     0,     3,     3,
       2,     1,     1,     2,     2,     4,     0,     1,     0,     6,
       1,     1,     1,     3,     3,     3,     5,     2,     0,     2,
       2,     0,     3,     4,     4,     0,     2,     0,     4,     0,
       3,     8,    11,     7,    10,     6,     2,     3,     0,     8,
      11,     5,     1,     0,     6,     5,     8,     4,     6,     1,
       0,     3,     0,     1,     2,     2,     2,     1,     2,     3,
       2,     2,     2,     2,     3,     3,     3,     1,     3,     1,
       0,     1,     2,     2,     1,     1,     3,     6,    10,     1,
       0,     1,     2,     2,     0,     2,     2,     1,     0,     5,
       7,     1,     0,     7,     2,     0,     3,     5,     5,     8,
       2,     0,     2,     2,     2,     1,     5,     2,     0,     2,
       7,     6,    10,     6,     6,     6,     6,     7,     6,     9,
       9,     6,     6,     6,     7,     6,     8,     8,     8,     8,
       6,     6,     7,     7,     8,     6,     9,     6,     7,     2,
       2,     2,     2,     1,     2,     1,     0,     7,     6,     4,
       0,     1,     3,     4,     1,     3,     1,     2,     2,     2,
       2,     1,     1,    10,    13,     2,     0,     2,     2,     1,
       0,     5,     4,     4,    11,    14,    12,    15,     5,     7,
      11,     2,     1,     4,     0,     8,    11,     1,     1,     7,
       9,     8,    10,     8,     4,     0,     5,     0,     2,     0,
       2,     0,     2,     0,     2,     0,     1,     1,     1,     1,
       1,     8,     1,     1,    16,    20,     1,     1,     2,     1,
       3,     1,     1,     1,     3,     1,     2,     0,     1,     2,
       4,     1,     1,     1,     1,     1,     3,     0,     1,     0,
       1,     1,     4,     0,     1,     1,     1,     3,     0,     1,
       1,     1,     1,     2,     0,     0,     2,     2,     1,     2,
       2,     2,     2,    11,    13,     1,     3,     5,     1,     3,
       5,     1,     2,     2,     1,     8,     6,     5,     4,     4,
       3,     7,     8,     6,     6,     6,     6,     6,     4,     7,
       5,     8,     3,     1,     3,     3,     1,     1,     1,     1,
       1,     1,     1,     3,     1,     3,     3,     1,     0,     1,
       3,     7,     9,     9,     8,     3,     0,    13,     1,     3,
       5,     5,     3,     6,     2,     1,     0,     2,     0,     2,
       4,     0,     1,     0,     6,     8,     8,     1,     3,     5,
       5,     7,     9,     7,     9,     5,     6,     6,     4,     6,
       4,     6,     8,     4,     6,     4,     6,     5,     7,     1,
       1,     1,     2,     1,     2,     1,     1,     1,     3,     3,
       3,     3,     2,     2,     1,     3,     1,     1,     1,     1,
       1,     1,     1,     3,     1,     2,     2,     3,     1,     3,
       5,     2,     2,     0,     6,     6,     6,     6,     6,     6,
       6,     8,     9,     8,     6,     6,     8,     9,     8,     9,
       9,     7,    10,     1,     1,     1,     1,     1,     1,     2,
       1,     1,     2,     3,     3,     3,     3,     2,     1,     2,
       1,     3,     2,     1,     1,     1,     1,     1,     1,     1,
       1,     8,     8,     8,     8,     8,     8,     9,     8,     8,
       2,     0,     1,     2,     1,     1,     1,     2,     1,     2,
       2,     1,     1,     1,     1,     1,     1,     1,     2,     2,
       1,     2,     3,     3,     3,     3,     4,     4,     3,     3,
       3,     4,     4,     3,     4,     4,     1,     1,     1,     0,
       7,     7,    10,     1,     1,     2,     4,     5,     1,     3,
       2,     2,     2,     2,     1,     2,     2,     4,     3,     2,
       2,     2,     2,     2,     2,     3,     2,     2,     2,     5,
       5,     5,     5,     5,     1,     3,     1,     2,     3,     0,
       6,     6,     9,     3,     0,     3,     0,     5,     2,     0,
       3,     3,     3,     7,     7,    10,     1,     1,     1,     1,
       1,     1,    15,    18,     1,     0,     1,     0,     1,     0,
       2,     0,     1,     3,     5,     5,     7,     4,     0,     1,
       3,     2,     0,     1,     0,     1,     1,     0,     2,     2,
       0,     8,    11,     6,     6,     2,     0,     3,     2,     1,
       3,     1,     3,     2,     1,     1,     2,     3,     2,     1,
       3,     3,     3,     2,     2,     1,     1,     1,     1,     2,
       1,     1,     1,     1,     4,     5,     1,     3,     3,     1,
       3,     3,     5,     6,     1,     3,     2,     1,     3,     1,
       2,     4,     5,     1,     1,     1,     1,     3,     3,     2,
       2,     1,     2,     2,     2,     2,     1,     2,     2,     2,
       2,     1,     1,     1,     3,     3,     5,     2,     0,     2,
       1,     3,     5,     5,     5,     1,     2,     1,     0,     4,
       6,     4,     6,     4,     6,     4,     6,     4,     6,     3,
       5,     5,     5,     1,     3,     1,     3,     2,     2,     1,
       2,     1,     2,    11,    10,    10,     2,     2,     0,     9,
       2,     0,    10,    11,    11,     5,     5,     8,     4,     4,
       7,     7,     1,     1,     1,     1,     1,     1,     3,     1,
       5,     5,     6,     6,     6,     6,     6,     8,     8,     6,
       6,     7,     9,     9,     8,    10,     6,     6,     6,     6,
       6,     6,     6,     8,     6,     8,     6,     8,     7,     9,
       6,     8,     7,     9,     8,    10,     9,    11,     8,    10,
       9,    11,     8,     8,     7,     6,     6,     6,     6,     8,
       8,     8,     8,     6,     9,     1,     0,     2,     0,     7,
       7,     7,     9,     8,     7,     6,     6,     6,     6,     6,
       6,     6,     9,     9,     6,     6,     6,     8,     6,     8,
       8,     8,     8,     6,     8,     6,     8,     7,     9,     7,
       9,     6,     7,     1,     3,     3,     3,     1,     1,     1,
       1,     1,     6,     6,     6,     6,     6,     6,     7,     7,
       6,     9,     9,     6,     6,     6,     6,     6,     6,     8,
       8,     8,     6,     7,     6,     6,     5,     1,     0,     3,
       3,     5,     6,     6,     6,     8,     1,     3,     1,     5,
       5,     6,     7,     4,     4,     4,     6,    13,     1,     1,
       3,     3,     1,     1,     1,     1,     1,     1,     1,     0,
       1,     1,     1,     1,     1,     1,     0,     3,     2,     0,
       2,     2,     2,     3,     3,     3,     3,     3,     3,     2,
       3,     2,     5,     4,     3,     3,     3,     1,     1,     0,
       3,     2,     2,     1,     2,     1,     3,     2,     1,     0,
       2,     3,     0,     9,    11,    12,    14,     3,     4,     4,
       0,     2,     5,     1,     0,     1,     2,     3,     3,     3,
       1,     2,     1,     1,     1,     1,     1,     1,     0,     5,
       4,     6,     4,     3,     5,     5,     4,     4,     6,     4,
       6,     6,     5,     7,     9,     6,     1,     0,     6,    11,
      11,    11,    13,     9,    11,     1,     1,    10,     4,     2,
       5,     2,     0,     6,     5,     3,     5,     1,     3,     1,
       1,     2,     1,     1,     1,     1,     0,     1,     0,     1,
       0,     1,     0,     1,     0,     3,     0,     2,     1,     3,
       1,     0,     2,     4,     3,     5,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     3,     2,     1,     1,
       1,     1,     0,     5,     3,     0,     1,     1,     1,     1,
       3,     9,    12,     3,     0,     2,     3,     2,     3,     7,
       1,     3,     1,     4,     4,     7,     2,     1,     1,     1,
       3,     2,     8,     5,     0,     4,     3,     0,     2,     0,
       7,     2,     0,     5,     3,     0,     2,     2,     2,     3,
       1,     3,     1,     2,     1,     0,     1,     2,     0,     8,
       1,     3,     3,     5,     2,     1,     3,     7,     1,     0,
       3,     2,     2,     2,     0,     2,     2,     1,     1,     3,
       3,     1,     2,     4,     4,     2,     3,     5,     5,     1,
       1,     9,     9,     1,     2,     4,     4,     4,     2,     2,
       3,     1,     3,     7,     1,     2,     0,     1,     0,     2,
       0,     3,     3,     4,     4,     4,     4,     3,     2,     1,
       1,     0,     1,     1,     0,     1,     5,     1,     0,     1,
       0,     3,     1,     3,     4,     3,     2,     2,     1,     1,
       1,     0,     2,     4,     5,     4,     2,     3,     1,     1,
       1,     1,     2,     2,     1,     1,     1,     1,     1,     1,
       3,     0,     1,     3,     1,     1,     1,     1,     1,     2,
       4,     4,     5,     2,     0,     1,     3,     1,     0,     1,
       2,     3,     2,     4,     2,     3,     2,     0,     4,     5,
       2,     0,     1,     3,     2,     3,     2,     3,     2,     3,
       2,     3,     1,     4,     3,     4,     5,     4,     5,     4,
       5,     2,     4,     1,     1,     0,     1,     4,     5,     4,
       0,     2,     2,     2,     1,     1,     0,     4,     2,     1,
       2,     2,     4,     1,     3,     1,     2,     3,     6,     4,
       0,     2,     6,     2,     1,     3,     4,     0,     2,     0,
       2,     0,     2,     4,     0,     1,     0,     1,     3,     3,
       7,    12,     1,     3,     2,     3,     3,     1,     2,     2,
       2,     2,     1,     1,     3,     3,     2,     2,     3,     5,
       6,     2,     3,     3,     4,     0,     1,     1,     1,     1,
       1,     2,     4,     1,     1,     1,     1,     2,     3,     3,
       0,     1,     1,     1,     1,     1,     2,     2,     2,     2,
       2,     1,     3,     0,     1,     1,     1,     1,     5,     2,
       1,     1,     1,     1,     4,     1,     2,     2,     1,     3,
       3,     2,     1,     0,     5,     2,     5,     2,     1,     3,
       3,     0,     1,     1,     1,     1,     1,     1,     3,     3,
       3,     3,     3,     3,     3,     0,     1,     4,     1,     3,
       3,     5,     2,     2,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     2,     2,     3,
       3,     2,     2,     3,     5,     4,     6,     3,     5,     4,
       6,     4,     6,     5,     7,     3,     2,     4,     2,     3,
       3,     4,     3,     4,     3,     4,     5,     6,     6,     7,
       6,     7,     6,     7,     3,     4,     4,     6,     2,     3,
       4,     1,     1,     3,     2,     2,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     2,
       2,     5,     6,     6,     7,     3,     4,     1,     1,     2,
       4,     1,     1,     1,     2,     2,     2,     2,     1,     1,
       4,     3,     5,     6,     8,     6,     6,     4,     4,     1,
       1,     1,     5,     1,     1,     4,     1,     4,     1,     4,
       1,     4,     1,     1,     1,     1,     1,     1,     6,     4,
       4,     4,     4,     6,     5,     5,     5,     4,     6,     4,
       4,     4,     4,     5,     7,     7,     9,     5,     4,     6,
       5,     7,     7,     7,     2,     3,     3,     3,     4,     0,
       4,     1,     3,     3,     1,     1,     1,     2,     2,     0,
       2,     3,     3,     4,     2,     2,     5,     0,     5,     0,
       2,     0,     1,     3,     3,     2,     2,     0,     6,     1,
       0,     3,     0,     3,     3,     3,     0,     1,     4,     2,
       2,     2,     2,     2,     3,     2,     2,     3,     0,     4,
       3,     5,     4,     3,     5,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     4,     1,     4,     1,     4,     1,     2,
       1,     2,     1,     3,     1,     3,     1,     3,     3,     1,
       3,     3,     3,     2,     1,     3,     3,     0,     1,     1,
       1,     1,     1,     1,     1,     1,     4,     3,     2,     3,
       0,     3,     3,     2,     2,     1,     0,     2,     2,     3,
       2,     1,     1,     3,     5,     1,     2,     4,     2,     0,
       1,     0,     1,     2,     2,     2,     3,     5,     1,     0,
       1,     2,     0,     2,     1,     0,     1,     0,     1,     3,
       3,     2,     1,     1,     1,     3,     1,     2,     1,     3,
       1,     1,     1,     1,     1,     1,     1,     2,     1,     1,
       1,     1,     1,     2,     6,     2,     3,     5,     1,     1,
       1,     1,     1,     1,     2,     2,     1,     1,     1,     1,
       1,     3,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (&yylloc, yyscanner, YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location, yyscanner); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule, core_yyscan_t yyscanner)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       , yyscanner);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule, yyscanner); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, core_yyscan_t yyscanner)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/*----------.
| yyparse.  |
`----------*/

int
yyparse (core_yyscan_t yyscanner)
{
/* The lookahead symbol.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

/* Location data for the lookahead symbol.  */
static YYLTYPE yyloc_default
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
YYLTYPE yylloc = yyloc_default;

    /* Number of syntax errors so far.  */
    int yynerrs;

    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex (&yylval, &yylloc, yyscanner);
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:
#line 827 "gram.y" /* yacc.c:1646  */
    {
				pg_yyget_extra(yyscanner)->parsetree = (yyvsp[0].list);
			}
#line 26334 "gram.c" /* yacc.c:1646  */
    break;

  case 3:
#line 843 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[-2].list) != NIL)
					{
						/* update length of previous stmt */
						updateRawStmtEnd(llast_node(RawStmt, (yyvsp[-2].list)), (yylsp[-1]));
					}
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = lappend((yyvsp[-2].list), makeRawStmt((yyvsp[0].node), (yylsp[-1]) + 1));
					else
						(yyval.list) = (yyvsp[-2].list);
				}
#line 26350 "gram.c" /* yacc.c:1646  */
    break;

  case 4:
#line 855 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = list_make1(makeRawStmt((yyvsp[0].node), 0));
					else
						(yyval.list) = NIL;
				}
#line 26361 "gram.c" /* yacc.c:1646  */
    break;

  case 128:
#line 988 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 26367 "gram.c" /* yacc.c:1646  */
    break;

  case 129:
#line 998 "gram.y" /* yacc.c:1646  */
    {
					CallStmt *n = makeNode(CallStmt);
					n->funccall = castNode(FuncCall, (yyvsp[0].node));
					(yyval.node) = (Node *)n;
				}
#line 26377 "gram.c" /* yacc.c:1646  */
    break;

  case 130:
#line 1013 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_ROLE;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26389 "gram.c" /* yacc.c:1646  */
    break;

  case 131:
#line 1023 "gram.y" /* yacc.c:1646  */
    {}
#line 26395 "gram.c" /* yacc.c:1646  */
    break;

  case 132:
#line 1024 "gram.y" /* yacc.c:1646  */
    {}
#line 26401 "gram.c" /* yacc.c:1646  */
    break;

  case 133:
#line 1025 "gram.y" /* yacc.c:1646  */
    {}
#line 26407 "gram.c" /* yacc.c:1646  */
    break;

  case 134:
#line 1034 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 26413 "gram.c" /* yacc.c:1646  */
    break;

  case 135:
#line 1035 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 26419 "gram.c" /* yacc.c:1646  */
    break;

  case 136:
#line 1039 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 26425 "gram.c" /* yacc.c:1646  */
    break;

  case 137:
#line 1040 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 26431 "gram.c" /* yacc.c:1646  */
    break;

  case 138:
#line 1045 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("password",
									 (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 26440 "gram.c" /* yacc.c:1646  */
    break;

  case 139:
#line 1050 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("password", NULL, (yylsp[-1]));
				}
#line 26448 "gram.c" /* yacc.c:1646  */
    break;

  case 140:
#line 1054 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * These days, passwords are always stored in encrypted
					 * form, so there is no difference between PASSWORD and
					 * ENCRYPTED PASSWORD.
					 */
					(yyval.defelt) = makeDefElem("password",
									 (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 26462 "gram.c" /* yacc.c:1646  */
    break;

  case 141:
#line 1064 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNENCRYPTED PASSWORD is no longer supported"),
							 errhint("Remove UNENCRYPTED to store the password in encrypted form instead."),
							 parser_errposition((yylsp[-2]))));
				}
#line 26474 "gram.c" /* yacc.c:1646  */
    break;

  case 142:
#line 1072 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 26482 "gram.c" /* yacc.c:1646  */
    break;

  case 143:
#line 1076 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 26490 "gram.c" /* yacc.c:1646  */
    break;

  case 144:
#line 1080 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("validUntil", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 26498 "gram.c" /* yacc.c:1646  */
    break;

  case 145:
#line 1085 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 26506 "gram.c" /* yacc.c:1646  */
    break;

  case 146:
#line 1089 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We handle identifiers that aren't parser keywords with
					 * the following special-case codes, to avoid bloating the
					 * size of the main parser.
					 */
					if (strcmp((yyvsp[0].str), "superuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nosuperuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "createrole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nocreaterole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "replication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "noreplication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "createdb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nocreatedb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "login") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nologin") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "bypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *)makeInteger(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nobypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *)makeInteger(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "noinherit") == 0)
					{
						/*
						 * Note that INHERIT is a keyword, so it's handled by main parser, but
						 * NOINHERIT is handled here.
						 */
						(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(false), (yylsp[0]));
					}
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized role option \"%s\"", (yyvsp[0].str)),
									 parser_errposition((yylsp[0]))));
				}
#line 26555 "gram.c" /* yacc.c:1646  */
    break;

  case 147:
#line 1136 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = (yyvsp[0].defelt); }
#line 26561 "gram.c" /* yacc.c:1646  */
    break;

  case 148:
#line 1139 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("sysid", (Node *)makeInteger((yyvsp[0].ival)), (yylsp[-1]));
				}
#line 26569 "gram.c" /* yacc.c:1646  */
    break;

  case 149:
#line 1143 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("adminmembers", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 26577 "gram.c" /* yacc.c:1646  */
    break;

  case 150:
#line 1147 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 26585 "gram.c" /* yacc.c:1646  */
    break;

  case 151:
#line 1151 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 26593 "gram.c" /* yacc.c:1646  */
    break;

  case 152:
#line 1155 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 26601 "gram.c" /* yacc.c:1646  */
    break;

  case 153:
#line 1169 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_USER;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26613 "gram.c" /* yacc.c:1646  */
    break;

  case 154:
#line 1187 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-2].rolespec);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 26625 "gram.c" /* yacc.c:1646  */
    break;

  case 155:
#line 1195 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-2].rolespec);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 26637 "gram.c" /* yacc.c:1646  */
    break;

  case 156:
#line 1205 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 26643 "gram.c" /* yacc.c:1646  */
    break;

  case 157:
#line 1206 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26649 "gram.c" /* yacc.c:1646  */
    break;

  case 158:
#line 1211 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[-2].rolespec);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 26661 "gram.c" /* yacc.c:1646  */
    break;

  case 159:
#line 1219 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 26673 "gram.c" /* yacc.c:1646  */
    break;

  case 160:
#line 1227 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[-2].rolespec);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 26685 "gram.c" /* yacc.c:1646  */
    break;

  case 161:
#line 1235 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 26697 "gram.c" /* yacc.c:1646  */
    break;

  case 162:
#line 1256 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26708 "gram.c" /* yacc.c:1646  */
    break;

  case 163:
#line 1263 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = true;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26719 "gram.c" /* yacc.c:1646  */
    break;

  case 164:
#line 1270 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26730 "gram.c" /* yacc.c:1646  */
    break;

  case 165:
#line 1277 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->roles = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 26741 "gram.c" /* yacc.c:1646  */
    break;

  case 166:
#line 1284 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26752 "gram.c" /* yacc.c:1646  */
    break;

  case 167:
#line 1291 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = true;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26763 "gram.c" /* yacc.c:1646  */
    break;

  case 168:
#line 1308 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_GROUP;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26775 "gram.c" /* yacc.c:1646  */
    break;

  case 169:
#line 1326 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-3].rolespec);
					n->action = (yyvsp[-2].ival);
					n->options = list_make1(makeDefElem("rolemembers",
														(Node *)(yyvsp[0].list), (yylsp[0])));
					(yyval.node) = (Node *)n;
				}
#line 26788 "gram.c" /* yacc.c:1646  */
    break;

  case 170:
#line 1336 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = +1; }
#line 26794 "gram.c" /* yacc.c:1646  */
    break;

  case 171:
#line 1337 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = -1; }
#line 26800 "gram.c" /* yacc.c:1646  */
    break;

  case 172:
#line 1349 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* One can omit the schema name or the authorization id. */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].rolespec);
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 26814 "gram.c" /* yacc.c:1646  */
    break;

  case 173:
#line 1359 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not both */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 26828 "gram.c" /* yacc.c:1646  */
    break;

  case 174:
#line 1369 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* schema name can be omitted here, too */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].rolespec);
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 26847 "gram.c" /* yacc.c:1646  */
    break;

  case 175:
#line 1384 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not here */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 26866 "gram.c" /* yacc.c:1646  */
    break;

  case 176:
#line 1401 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26872 "gram.c" /* yacc.c:1646  */
    break;

  case 177:
#line 1402 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 26878 "gram.c" /* yacc.c:1646  */
    break;

  case 178:
#line 1407 "gram.y" /* yacc.c:1646  */
    {
					if ((yyloc) < 0)			/* see comments for YYLLOC_DEFAULT */
						(yyloc) = (yylsp[0]);
					(yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node));
				}
#line 26888 "gram.c" /* yacc.c:1646  */
    break;

  case 179:
#line 1413 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 26894 "gram.c" /* yacc.c:1646  */
    break;

  case 186:
#line 1441 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->type = T_PgpoolVariableSetStmt; /* Hack to keep changes minumum */
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 26905 "gram.c" /* yacc.c:1646  */
    break;

  case 187:
#line 1448 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 26915 "gram.c" /* yacc.c:1646  */
    break;

  case 188:
#line 1454 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = true;
					(yyval.node) = (Node *) n;
				}
#line 26925 "gram.c" /* yacc.c:1646  */
    break;

  case 189:
#line 1460 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 26935 "gram.c" /* yacc.c:1646  */
    break;

  case 190:
#line 1469 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 26947 "gram.c" /* yacc.c:1646  */
    break;

  case 191:
#line 1477 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "SESSION CHARACTERISTICS";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 26959 "gram.c" /* yacc.c:1646  */
    break;

  case 193:
#line 1489 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 26971 "gram.c" /* yacc.c:1646  */
    break;

  case 194:
#line 1497 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 26983 "gram.c" /* yacc.c:1646  */
    break;

  case 195:
#line 1505 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 26994 "gram.c" /* yacc.c:1646  */
    break;

  case 196:
#line 1512 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 27005 "gram.c" /* yacc.c:1646  */
    break;

  case 197:
#line 1521 "gram.y" /* yacc.c:1646  */
    {(yyval.vsetstmt) = (yyvsp[0].vsetstmt);}
#line 27011 "gram.c" /* yacc.c:1646  */
    break;

  case 198:
#line 1523 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_CURRENT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 27022 "gram.c" /* yacc.c:1646  */
    break;

  case 199:
#line 1531 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "timezone";
					if ((yyvsp[0].node) != NULL)
						n->args = list_make1((yyvsp[0].node));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 27037 "gram.c" /* yacc.c:1646  */
    break;

  case 200:
#line 1542 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("current database cannot be changed"),
							 parser_errposition((yylsp[0]))));
					(yyval.vsetstmt) = NULL; /*not reached*/
				}
#line 27049 "gram.c" /* yacc.c:1646  */
    break;

  case 201:
#line 1550 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "search_path";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 27061 "gram.c" /* yacc.c:1646  */
    break;

  case 202:
#line 1558 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "client_encoding";
					if ((yyvsp[0].str) != NULL)
						n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 27076 "gram.c" /* yacc.c:1646  */
    break;

  case 203:
#line 1569 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "role";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 27088 "gram.c" /* yacc.c:1646  */
    break;

  case 204:
#line 1577 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "session_authorization";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 27100 "gram.c" /* yacc.c:1646  */
    break;

  case 205:
#line 1585 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 27111 "gram.c" /* yacc.c:1646  */
    break;

  case 206:
#line 1592 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "xmloption";
					n->args = list_make1(makeStringConst((yyvsp[0].ival) == XMLOPTION_DOCUMENT ? "DOCUMENT" : "CONTENT", (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 27123 "gram.c" /* yacc.c:1646  */
    break;

  case 207:
#line 1601 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION SNAPSHOT";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 27135 "gram.c" /* yacc.c:1646  */
    break;

  case 208:
#line 1610 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 27141 "gram.c" /* yacc.c:1646  */
    break;

  case 209:
#line 1612 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = psprintf("%s.%s", (yyvsp[-2].str), (yyvsp[0].str)); }
#line 27147 "gram.c" /* yacc.c:1646  */
    break;

  case 210:
#line 1615 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 27153 "gram.c" /* yacc.c:1646  */
    break;

  case 211:
#line 1616 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 27159 "gram.c" /* yacc.c:1646  */
    break;

  case 212:
#line 1620 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0])); }
#line 27165 "gram.c" /* yacc.c:1646  */
    break;

  case 213:
#line 1622 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 27171 "gram.c" /* yacc.c:1646  */
    break;

  case 214:
#line 1625 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "read uncommitted"; }
#line 27177 "gram.c" /* yacc.c:1646  */
    break;

  case 215:
#line 1626 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "read committed"; }
#line 27183 "gram.c" /* yacc.c:1646  */
    break;

  case 216:
#line 1627 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "repeatable read"; }
#line 27189 "gram.c" /* yacc.c:1646  */
    break;

  case 217:
#line 1628 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "serializable"; }
#line 27195 "gram.c" /* yacc.c:1646  */
    break;

  case 218:
#line 1632 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "true"; }
#line 27201 "gram.c" /* yacc.c:1646  */
    break;

  case 219:
#line 1633 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "false"; }
#line 27207 "gram.c" /* yacc.c:1646  */
    break;

  case 220:
#line 1634 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "on"; }
#line 27213 "gram.c" /* yacc.c:1646  */
    break;

  case 221:
#line 1640 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 27219 "gram.c" /* yacc.c:1646  */
    break;

  case 222:
#line 1653 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 27227 "gram.c" /* yacc.c:1646  */
    break;

  case 223:
#line 1657 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 27235 "gram.c" /* yacc.c:1646  */
    break;

  case 224:
#line 1661 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-2].typnam);
					if ((yyvsp[0].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[0].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[0]))));
					}
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 27254 "gram.c" /* yacc.c:1646  */
    break;

  case 225:
#line 1676 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-4].typnam);
					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 27265 "gram.c" /* yacc.c:1646  */
    break;

  case 226:
#line 1682 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 27271 "gram.c" /* yacc.c:1646  */
    break;

  case 227:
#line 1683 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 27277 "gram.c" /* yacc.c:1646  */
    break;

  case 228:
#line 1684 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 27283 "gram.c" /* yacc.c:1646  */
    break;

  case 229:
#line 1688 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 27289 "gram.c" /* yacc.c:1646  */
    break;

  case 230:
#line 1689 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 27295 "gram.c" /* yacc.c:1646  */
    break;

  case 231:
#line 1690 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 27301 "gram.c" /* yacc.c:1646  */
    break;

  case 232:
#line 1694 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 27307 "gram.c" /* yacc.c:1646  */
    break;

  case 233:
#line 1695 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 27313 "gram.c" /* yacc.c:1646  */
    break;

  case 234:
#line 1699 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].vsetstmt); }
#line 27319 "gram.c" /* yacc.c:1646  */
    break;

  case 235:
#line 1701 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->type = T_PgpoolVariableSetStmt; /* Hack to keep the changes minumum */
					(yyval.node) = (Node *) n;
				}
#line 27329 "gram.c" /* yacc.c:1646  */
    break;

  case 236:
#line 1709 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 27335 "gram.c" /* yacc.c:1646  */
    break;

  case 237:
#line 1711 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "timezone";
					(yyval.vsetstmt) = n;
				}
#line 27346 "gram.c" /* yacc.c:1646  */
    break;

  case 238:
#line 1718 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "transaction_isolation";
					(yyval.vsetstmt) = n;
				}
#line 27357 "gram.c" /* yacc.c:1646  */
    break;

  case 239:
#line 1725 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 27368 "gram.c" /* yacc.c:1646  */
    break;

  case 240:
#line 1735 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = (yyvsp[0].str);
					(yyval.vsetstmt) = n;
				}
#line 27379 "gram.c" /* yacc.c:1646  */
    break;

  case 241:
#line 1742 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET_ALL;
					(yyval.vsetstmt) = n;
				}
#line 27389 "gram.c" /* yacc.c:1646  */
    break;

  case 242:
#line 1751 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 27395 "gram.c" /* yacc.c:1646  */
    break;

  case 243:
#line 1752 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 27401 "gram.c" /* yacc.c:1646  */
    break;

  case 244:
#line 1757 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 27407 "gram.c" /* yacc.c:1646  */
    break;

  case 245:
#line 1758 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 27413 "gram.c" /* yacc.c:1646  */
    break;

  case 246:
#line 1765 "gram.y" /* yacc.c:1646  */
    {
				VariableShowStmt *n = (VariableShowStmt *)newNode(sizeof(VariableShowStmt),T_PgpoolVariableShowStmt);
				n->name = (yyvsp[0].str);
				(yyval.node) = (Node *) n;
			}
#line 27423 "gram.c" /* yacc.c:1646  */
    break;

  case 247:
#line 1771 "gram.y" /* yacc.c:1646  */
    {
				VariableShowStmt *n = (VariableShowStmt *)newNode(sizeof(VariableShowStmt),T_PgpoolVariableShowStmt);
				n->name = "all";
				(yyval.node) = (Node *) n;
			}
#line 27433 "gram.c" /* yacc.c:1646  */
    break;

  case 248:
#line 1777 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 27443 "gram.c" /* yacc.c:1646  */
    break;

  case 249:
#line 1783 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
#line 27453 "gram.c" /* yacc.c:1646  */
    break;

  case 250:
#line 1789 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
#line 27463 "gram.c" /* yacc.c:1646  */
    break;

  case 251:
#line 1795 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
#line 27473 "gram.c" /* yacc.c:1646  */
    break;

  case 252:
#line 1801 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "all";
					(yyval.node) = (Node *) n;
				}
#line 27483 "gram.c" /* yacc.c:1646  */
    break;

  case 253:
#line 1811 "gram.y" /* yacc.c:1646  */
    {
					ConstraintsSetStmt *n = makeNode(ConstraintsSetStmt);
					n->constraints = (yyvsp[-1].list);
					n->deferred = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 27494 "gram.c" /* yacc.c:1646  */
    break;

  case 254:
#line 1820 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27500 "gram.c" /* yacc.c:1646  */
    break;

  case 255:
#line 1821 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 27506 "gram.c" /* yacc.c:1646  */
    break;

  case 256:
#line 1825 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 27512 "gram.c" /* yacc.c:1646  */
    break;

  case 257:
#line 1826 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 27518 "gram.c" /* yacc.c:1646  */
    break;

  case 258:
#line 1835 "gram.y" /* yacc.c:1646  */
    {
					CheckPointStmt *n = makeNode(CheckPointStmt);
					(yyval.node) = (Node *)n;
				}
#line 27527 "gram.c" /* yacc.c:1646  */
    break;

  case 259:
#line 1850 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_ALL;
					(yyval.node) = (Node *) n;
				}
#line 27537 "gram.c" /* yacc.c:1646  */
    break;

  case 260:
#line 1856 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 27547 "gram.c" /* yacc.c:1646  */
    break;

  case 261:
#line 1862 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 27557 "gram.c" /* yacc.c:1646  */
    break;

  case 262:
#line 1868 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_PLANS;
					(yyval.node) = (Node *) n;
				}
#line 27567 "gram.c" /* yacc.c:1646  */
    break;

  case 263:
#line 1874 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_SEQUENCES;
					(yyval.node) = (Node *) n;
				}
#line 27577 "gram.c" /* yacc.c:1646  */
    break;

  case 264:
#line 1893 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27590 "gram.c" /* yacc.c:1646  */
    break;

  case 265:
#line 1902 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27603 "gram.c" /* yacc.c:1646  */
    break;

  case 266:
#line 1911 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->relkind = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27616 "gram.c" /* yacc.c:1646  */
    break;

  case 267:
#line 1920 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->relkind = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27629 "gram.c" /* yacc.c:1646  */
    break;

  case 268:
#line 1929 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_TABLE;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 27644 "gram.c" /* yacc.c:1646  */
    break;

  case 269:
#line 1940 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_TABLE;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 27659 "gram.c" /* yacc.c:1646  */
    break;

  case 270:
#line 1951 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27672 "gram.c" /* yacc.c:1646  */
    break;

  case 271:
#line 1960 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27685 "gram.c" /* yacc.c:1646  */
    break;

  case 272:
#line 1969 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->relkind = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27698 "gram.c" /* yacc.c:1646  */
    break;

  case 273:
#line 1978 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_INDEX;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 27713 "gram.c" /* yacc.c:1646  */
    break;

  case 274:
#line 1989 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_INDEX;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 27728 "gram.c" /* yacc.c:1646  */
    break;

  case 275:
#line 2000 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27741 "gram.c" /* yacc.c:1646  */
    break;

  case 276:
#line 2009 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27754 "gram.c" /* yacc.c:1646  */
    break;

  case 277:
#line 2018 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27767 "gram.c" /* yacc.c:1646  */
    break;

  case 278:
#line 2027 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27780 "gram.c" /* yacc.c:1646  */
    break;

  case 279:
#line 2036 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_MATVIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27793 "gram.c" /* yacc.c:1646  */
    break;

  case 280:
#line 2045 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_MATVIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27806 "gram.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2054 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 27821 "gram.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2065 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 27836 "gram.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2078 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 27842 "gram.c" /* yacc.c:1646  */
    break;

  case 284:
#line 2079 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 27848 "gram.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2085 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_AttachPartition;
					cmd->name = (yyvsp[-1].range);
					cmd->bound = (yyvsp[0].partboundspec);
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 27864 "gram.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2098 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_DetachPartition;
					cmd->name = (yyvsp[0].range);
					cmd->bound = NULL;
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 27880 "gram.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2114 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_AttachPartition;
					cmd->name = (yyvsp[0].range);
					cmd->bound = NULL;
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 27896 "gram.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2130 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27908 "gram.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2139 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27920 "gram.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2148 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27932 "gram.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2157 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27944 "gram.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2166 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ColumnDefault;
					n->name = (yyvsp[-1].str);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 27956 "gram.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2175 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *)n;
				}
#line 27967 "gram.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2183 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *)n;
				}
#line 27978 "gram.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2191 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStatistics;
					n->name = (yyvsp[-3].str);
					n->def = (Node *) makeInteger((yyvsp[0].ival));
					(yyval.node) = (Node *)n;
				}
#line 27990 "gram.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2200 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					if ((yyvsp[-3].ival) <= 0 || (yyvsp[-3].ival) > PG_INT16_MAX)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("column number must be in range from 1 to %d", PG_INT16_MAX),
								 parser_errposition((yylsp[-3]))));

					n->subtype = AT_SetStatistics;
					n->num = (int16) (yyvsp[-3].ival);
					n->def = (Node *) makeInteger((yyvsp[0].ival));
					(yyval.node) = (Node *)n;
				}
#line 28009 "gram.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2216 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28021 "gram.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2225 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28033 "gram.c" /* yacc.c:1646  */
    break;

  case 299:
#line 2234 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStorage;
					n->name = (yyvsp[-3].str);
					n->def = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 28045 "gram.c" /* yacc.c:1646  */
    break;

  case 300:
#line 2243 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);

					c->contype = CONSTR_IDENTITY;
					c->generated_when = (yyvsp[-3].ival);
					c->options = (yyvsp[0].list);
					c->location = (yylsp[-4]);

					n->subtype = AT_AddIdentity;
					n->name = (yyvsp[-6].str);
					n->def = (Node *) c;

					(yyval.node) = (Node *)n;
				}
#line 28065 "gram.c" /* yacc.c:1646  */
    break;

  case 301:
#line 2260 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetIdentity;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28077 "gram.c" /* yacc.c:1646  */
    break;

  case 302:
#line 2269 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropIdentity;
					n->name = (yyvsp[-2].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28089 "gram.c" /* yacc.c:1646  */
    break;

  case 303:
#line 2278 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropIdentity;
					n->name = (yyvsp[-4].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28101 "gram.c" /* yacc.c:1646  */
    break;

  case 304:
#line 2287 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28114 "gram.c" /* yacc.c:1646  */
    break;

  case 305:
#line 2297 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28127 "gram.c" /* yacc.c:1646  */
    break;

  case 306:
#line 2310 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = (yyvsp[0].node);
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *)n;
				}
#line 28145 "gram.c" /* yacc.c:1646  */
    break;

  case 307:
#line 2325 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AlterColumnGenericOptions;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28157 "gram.c" /* yacc.c:1646  */
    break;

  case 308:
#line 2334 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddConstraint;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28169 "gram.c" /* yacc.c:1646  */
    break;

  case 309:
#line 2343 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);
					n->subtype = AT_AlterConstraint;
					n->def = (Node *) c;
					c->contype = CONSTR_FOREIGN; /* others not supported, yet */
					c->conname = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "ALTER CONSTRAINT statement",
									&c->deferrable,
									&c->initdeferred,
									NULL, NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 28187 "gram.c" /* yacc.c:1646  */
    break;

  case 310:
#line 2358 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ValidateConstraint;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28198 "gram.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2366 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28211 "gram.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2376 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28224 "gram.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2386 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOids;
					(yyval.node) = (Node *)n;
				}
#line 28234 "gram.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2393 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ClusterOn;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28245 "gram.c" /* yacc.c:1646  */
    break;

  case 315:
#line 2401 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropCluster;
					n->name = NULL;
					(yyval.node) = (Node *)n;
				}
#line 28256 "gram.c" /* yacc.c:1646  */
    break;

  case 316:
#line 2409 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetLogged;
					(yyval.node) = (Node *)n;
				}
#line 28266 "gram.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2416 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetUnLogged;
					(yyval.node) = (Node *)n;
				}
#line 28276 "gram.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2423 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28287 "gram.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2431 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28298 "gram.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2439 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28309 "gram.c" /* yacc.c:1646  */
    break;

  case 321:
#line 2447 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigAll;
					(yyval.node) = (Node *)n;
				}
#line 28319 "gram.c" /* yacc.c:1646  */
    break;

  case 322:
#line 2454 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigUser;
					(yyval.node) = (Node *)n;
				}
#line 28329 "gram.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2461 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28340 "gram.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2469 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigAll;
					(yyval.node) = (Node *)n;
				}
#line 28350 "gram.c" /* yacc.c:1646  */
    break;

  case 325:
#line 2476 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigUser;
					(yyval.node) = (Node *)n;
				}
#line 28360 "gram.c" /* yacc.c:1646  */
    break;

  case 326:
#line 2483 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28371 "gram.c" /* yacc.c:1646  */
    break;

  case 327:
#line 2491 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28382 "gram.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2499 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28393 "gram.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2507 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28404 "gram.c" /* yacc.c:1646  */
    break;

  case 330:
#line 2515 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *)n;
				}
#line 28415 "gram.c" /* yacc.c:1646  */
    break;

  case 331:
#line 2523 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *)n;
				}
#line 28426 "gram.c" /* yacc.c:1646  */
    break;

  case 332:
#line 2531 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					TypeName *def = makeTypeNameFromNameList((yyvsp[0].list));
					def->location = (yylsp[0]);
					n->subtype = AT_AddOf;
					n->def = (Node *) def;
					(yyval.node) = (Node *)n;
				}
#line 28439 "gram.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2541 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOf;
					(yyval.node) = (Node *)n;
				}
#line 28449 "gram.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2548 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ChangeOwner;
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 28460 "gram.c" /* yacc.c:1646  */
    break;

  case 335:
#line 2556 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetTableSpace;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28471 "gram.c" /* yacc.c:1646  */
    break;

  case 336:
#line 2564 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetRelOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28482 "gram.c" /* yacc.c:1646  */
    break;

  case 337:
#line 2572 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetRelOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28493 "gram.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2580 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ReplicaIdentity;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 28504 "gram.c" /* yacc.c:1646  */
    break;

  case 339:
#line 2588 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 28514 "gram.c" /* yacc.c:1646  */
    break;

  case 340:
#line 2595 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 28524 "gram.c" /* yacc.c:1646  */
    break;

  case 341:
#line 2602 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ForceRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 28534 "gram.c" /* yacc.c:1646  */
    break;

  case 342:
#line 2609 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_NoForceRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 28544 "gram.c" /* yacc.c:1646  */
    break;

  case 343:
#line 2615 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_GenericOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 28555 "gram.c" /* yacc.c:1646  */
    break;

  case 344:
#line 2624 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 28561 "gram.c" /* yacc.c:1646  */
    break;

  case 345:
#line 2625 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 28567 "gram.c" /* yacc.c:1646  */
    break;

  case 346:
#line 2629 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_CASCADE; }
#line 28573 "gram.c" /* yacc.c:1646  */
    break;

  case 347:
#line 2630 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_RESTRICT; }
#line 28579 "gram.c" /* yacc.c:1646  */
    break;

  case 348:
#line 2631 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_RESTRICT; /* default */ }
#line 28585 "gram.c" /* yacc.c:1646  */
    break;

  case 349:
#line 2636 "gram.y" /* yacc.c:1646  */
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 28597 "gram.c" /* yacc.c:1646  */
    break;

  case 350:
#line 2643 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 28603 "gram.c" /* yacc.c:1646  */
    break;

  case 351:
#line 2647 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 28609 "gram.c" /* yacc.c:1646  */
    break;

  case 352:
#line 2648 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 28615 "gram.c" /* yacc.c:1646  */
    break;

  case 353:
#line 2653 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_NOTHING;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 28626 "gram.c" /* yacc.c:1646  */
    break;

  case 354:
#line 2660 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_FULL;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 28637 "gram.c" /* yacc.c:1646  */
    break;

  case 355:
#line 2667 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_DEFAULT;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 28648 "gram.c" /* yacc.c:1646  */
    break;

  case 356:
#line 2674 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_INDEX;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 28659 "gram.c" /* yacc.c:1646  */
    break;

  case 357:
#line 2683 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 28665 "gram.c" /* yacc.c:1646  */
    break;

  case 358:
#line 2686 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28671 "gram.c" /* yacc.c:1646  */
    break;

  case 359:
#line 2687 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28677 "gram.c" /* yacc.c:1646  */
    break;

  case 360:
#line 2691 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 28683 "gram.c" /* yacc.c:1646  */
    break;

  case 361:
#line 2692 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 28689 "gram.c" /* yacc.c:1646  */
    break;

  case 362:
#line 2698 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 28697 "gram.c" /* yacc.c:1646  */
    break;

  case 363:
#line 2702 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0]));
				}
#line 28705 "gram.c" /* yacc.c:1646  */
    break;

  case 364:
#line 2706 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-4].str), (yyvsp[-2].str), (Node *) (yyvsp[0].node),
											 DEFELEM_UNSPEC, (yylsp[-4]));
				}
#line 28714 "gram.c" /* yacc.c:1646  */
    break;

  case 365:
#line 2711 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-2].str), (yyvsp[0].str), NULL, DEFELEM_UNSPEC, (yylsp[-2]));
				}
#line 28722 "gram.c" /* yacc.c:1646  */
    break;

  case 366:
#line 2718 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 28728 "gram.c" /* yacc.c:1646  */
    break;

  case 367:
#line 2720 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 28734 "gram.c" /* yacc.c:1646  */
    break;

  case 368:
#line 2725 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", NULL, (yylsp[0]));
				}
#line 28742 "gram.c" /* yacc.c:1646  */
    break;

  case 369:
#line 2729 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", (Node *)(yyvsp[0].value), (yylsp[-2]));
				}
#line 28750 "gram.c" /* yacc.c:1646  */
    break;

  case 370:
#line 2733 "gram.y" /* yacc.c:1646  */
    {
					if (strcmp((yyvsp[0].defelt)->defname, "as") == 0 ||
						strcmp((yyvsp[0].defelt)->defname, "restart") == 0 ||
						strcmp((yyvsp[0].defelt)->defname, "owned_by") == 0)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("sequence option \"%s\" not supported here", (yyvsp[0].defelt)->defname),
								 parser_errposition((yylsp[0]))));
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 28765 "gram.c" /* yacc.c:1646  */
    break;

  case 371:
#line 2744 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("generated", (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 28773 "gram.c" /* yacc.c:1646  */
    break;

  case 372:
#line 2752 "gram.y" /* yacc.c:1646  */
    {
					ListCell   *lc;
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_HASH;
					n->modulus = n->remainder = -1;

					foreach (lc, (yyvsp[-1].list))
					{
						DefElem    *opt = lfirst_node(DefElem, lc);

						if (strcmp(opt->defname, "modulus") == 0)
						{
							if (n->modulus != -1)
								ereport(ERROR,
										(errcode(ERRCODE_DUPLICATE_OBJECT),
										 errmsg("modulus for hash partition provided more than once"),
										 parser_errposition(opt->location)));
							n->modulus = defGetInt32(opt);
						}
						else if (strcmp(opt->defname, "remainder") == 0)
						{
							if (n->remainder != -1)
								ereport(ERROR,
										(errcode(ERRCODE_DUPLICATE_OBJECT),
										 errmsg("remainder for hash partition provided more than once"),
										 parser_errposition(opt->location)));
							n->remainder = defGetInt32(opt);
						}
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("unrecognized hash partition bound specification \"%s\"",
											opt->defname),
									 parser_errposition(opt->location)));
					}

					if (n->modulus == -1)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("modulus for hash partition must be specified")));
					if (n->remainder == -1)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("remainder for hash partition must be specified")));

					n->location = (yylsp[-3]);

					(yyval.partboundspec) = n;
				}
#line 28828 "gram.c" /* yacc.c:1646  */
    break;

  case 373:
#line 2805 "gram.y" /* yacc.c:1646  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_LIST;
					n->is_default = false;
					n->listdatums = (yyvsp[-1].list);
					n->location = (yylsp[-3]);

					(yyval.partboundspec) = n;
				}
#line 28843 "gram.c" /* yacc.c:1646  */
    break;

  case 374:
#line 2818 "gram.y" /* yacc.c:1646  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_RANGE;
					n->is_default = false;
					n->lowerdatums = (yyvsp[-5].list);
					n->upperdatums = (yyvsp[-1].list);
					n->location = (yylsp[-7]);

					(yyval.partboundspec) = n;
				}
#line 28859 "gram.c" /* yacc.c:1646  */
    break;

  case 375:
#line 2832 "gram.y" /* yacc.c:1646  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->is_default = true;
					n->location = (yylsp[0]);

					(yyval.partboundspec) = n;
				}
#line 28872 "gram.c" /* yacc.c:1646  */
    break;

  case 376:
#line 2844 "gram.y" /* yacc.c:1646  */
    {
				(yyval.defelt) = makeDefElem((yyvsp[-1].str), (Node *)makeInteger((yyvsp[0].ival)), (yylsp[-1]));
			}
#line 28880 "gram.c" /* yacc.c:1646  */
    break;

  case 377:
#line 2851 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make1((yyvsp[0].defelt));
			}
#line 28888 "gram.c" /* yacc.c:1646  */
    break;

  case 378:
#line 2855 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
			}
#line 28896 "gram.c" /* yacc.c:1646  */
    break;

  case 379:
#line 2869 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					/* can't use qualified_name, sigh */
					n->relation = makeRangeVarFromAnyName((yyvsp[-1].list), (yylsp[-1]), yyscanner);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TYPE;
					(yyval.node) = (Node *)n;
				}
#line 28910 "gram.c" /* yacc.c:1646  */
    break;

  case 380:
#line 2881 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 28916 "gram.c" /* yacc.c:1646  */
    break;

  case 381:
#line 2882 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 28922 "gram.c" /* yacc.c:1646  */
    break;

  case 382:
#line 2888 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[-1].node);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 28934 "gram.c" /* yacc.c:1646  */
    break;

  case 383:
#line 2897 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28947 "gram.c" /* yacc.c:1646  */
    break;

  case 384:
#line 2907 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28960 "gram.c" /* yacc.c:1646  */
    break;

  case 385:
#line 2917 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					n->behavior = (yyvsp[0].dbehavior);
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = NULL;
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *)n;
				}
#line 28979 "gram.c" /* yacc.c:1646  */
    break;

  case 386:
#line 2943 "gram.y" /* yacc.c:1646  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28989 "gram.c" /* yacc.c:1646  */
    break;

  case 387:
#line 2949 "gram.y" /* yacc.c:1646  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = NULL;
					(yyval.node) = (Node *)n;
				}
#line 28999 "gram.c" /* yacc.c:1646  */
    break;

  case 388:
#line 2984 "gram.y" /* yacc.c:1646  */
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = (yyvsp[-8].range);
					n->query = NULL;
					n->attlist = (yyvsp[-7].list);
					n->is_from = (yyvsp[-6].boolean);
					n->is_program = (yyvsp[-5].boolean);
					n->filename = (yyvsp[-4].str);
					n->whereClause = (yyvsp[0].node);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-3]))));

					if (!n->is_from && n->whereClause != NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("WHERE clause not allowed with COPY TO"),
								 parser_errposition((yylsp[0]))));

					n->options = NIL;
					/* Concatenate user-supplied flags */
					if ((yyvsp[-9].defelt))
						n->options = lappend(n->options, (yyvsp[-9].defelt));
					if ((yyvsp[-3].defelt))
						n->options = lappend(n->options, (yyvsp[-3].defelt));
					if ((yyvsp[-1].list))
						n->options = list_concat(n->options, (yyvsp[-1].list));
					(yyval.node) = (Node *)n;
				}
#line 29036 "gram.c" /* yacc.c:1646  */
    break;

  case 389:
#line 3017 "gram.y" /* yacc.c:1646  */
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = NULL;
					n->query = (yyvsp[-6].node);
					n->attlist = NIL;
					n->is_from = false;
					n->is_program = (yyvsp[-3].boolean);
					n->filename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-4]))));

					(yyval.node) = (Node *)n;
				}
#line 29059 "gram.c" /* yacc.c:1646  */
    break;

  case 390:
#line 3038 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 29065 "gram.c" /* yacc.c:1646  */
    break;

  case 391:
#line 3039 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 29071 "gram.c" /* yacc.c:1646  */
    break;

  case 392:
#line 3043 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 29077 "gram.c" /* yacc.c:1646  */
    break;

  case 393:
#line 3044 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 29083 "gram.c" /* yacc.c:1646  */
    break;

  case 394:
#line 3053 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29089 "gram.c" /* yacc.c:1646  */
    break;

  case 395:
#line 3054 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 29095 "gram.c" /* yacc.c:1646  */
    break;

  case 396:
#line 3055 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 29101 "gram.c" /* yacc.c:1646  */
    break;

  case 397:
#line 3058 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 29107 "gram.c" /* yacc.c:1646  */
    break;

  case 398:
#line 3059 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 29113 "gram.c" /* yacc.c:1646  */
    break;

  case 399:
#line 3064 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 29119 "gram.c" /* yacc.c:1646  */
    break;

  case 400:
#line 3065 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29125 "gram.c" /* yacc.c:1646  */
    break;

  case 401:
#line 3070 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"), (yylsp[0]));
				}
#line 29133 "gram.c" /* yacc.c:1646  */
    break;

  case 402:
#line 3074 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("freeze", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 29141 "gram.c" /* yacc.c:1646  */
    break;

  case 403:
#line 3078 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 29149 "gram.c" /* yacc.c:1646  */
    break;

  case 404:
#line 3082 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("null", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 29157 "gram.c" /* yacc.c:1646  */
    break;

  case 405:
#line 3086 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("csv"), (yylsp[0]));
				}
#line 29165 "gram.c" /* yacc.c:1646  */
    break;

  case 406:
#line 3090 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("header", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 29173 "gram.c" /* yacc.c:1646  */
    break;

  case 407:
#line 3094 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("quote", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 29181 "gram.c" /* yacc.c:1646  */
    break;

  case 408:
#line 3098 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("escape", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 29189 "gram.c" /* yacc.c:1646  */
    break;

  case 409:
#line 3102 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 29197 "gram.c" /* yacc.c:1646  */
    break;

  case 410:
#line 3106 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)makeNode(A_Star), (yylsp[-2]));
				}
#line 29205 "gram.c" /* yacc.c:1646  */
    break;

  case 411:
#line 3110 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *)(yyvsp[0].list), (yylsp[-3]));
				}
#line 29213 "gram.c" /* yacc.c:1646  */
    break;

  case 412:
#line 3114 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_null", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 29221 "gram.c" /* yacc.c:1646  */
    break;

  case 413:
#line 3118 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 29229 "gram.c" /* yacc.c:1646  */
    break;

  case 414:
#line 3127 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"), (yylsp[0]));
				}
#line 29237 "gram.c" /* yacc.c:1646  */
    break;

  case 415:
#line 3130 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 29243 "gram.c" /* yacc.c:1646  */
    break;

  case 416:
#line 3135 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 29251 "gram.c" /* yacc.c:1646  */
    break;

  case 417:
#line 3138 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 29257 "gram.c" /* yacc.c:1646  */
    break;

  case 418:
#line 3142 "gram.y" /* yacc.c:1646  */
    {}
#line 29263 "gram.c" /* yacc.c:1646  */
    break;

  case 419:
#line 3143 "gram.y" /* yacc.c:1646  */
    {}
#line 29269 "gram.c" /* yacc.c:1646  */
    break;

  case 420:
#line 3149 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 29277 "gram.c" /* yacc.c:1646  */
    break;

  case 421:
#line 3153 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 29285 "gram.c" /* yacc.c:1646  */
    break;

  case 422:
#line 3160 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 29293 "gram.c" /* yacc.c:1646  */
    break;

  case 423:
#line 3166 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 29299 "gram.c" /* yacc.c:1646  */
    break;

  case 424:
#line 3167 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].value); }
#line 29305 "gram.c" /* yacc.c:1646  */
    break;

  case 425:
#line 3168 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeNode(A_Star); }
#line 29311 "gram.c" /* yacc.c:1646  */
    break;

  case 426:
#line 3169 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 29317 "gram.c" /* yacc.c:1646  */
    break;

  case 427:
#line 3170 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 29323 "gram.c" /* yacc.c:1646  */
    break;

  case 428:
#line 3175 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 29331 "gram.c" /* yacc.c:1646  */
    break;

  case 429:
#line 3179 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 29339 "gram.c" /* yacc.c:1646  */
    break;

  case 430:
#line 3186 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 29345 "gram.c" /* yacc.c:1646  */
    break;

  case 431:
#line 3200 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-9].range)->relpersistence = (yyvsp[-11].ival);
					n->relation = (yyvsp[-9].range);
					n->tableElts = (yyvsp[-7].list);
					n->inhRelations = (yyvsp[-5].list);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 29366 "gram.c" /* yacc.c:1646  */
    break;

  case 432:
#line 3219 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-9].range)->relpersistence = (yyvsp[-14].ival);
					n->relation = (yyvsp[-9].range);
					n->tableElts = (yyvsp[-7].list);
					n->inhRelations = (yyvsp[-5].list);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 29387 "gram.c" /* yacc.c:1646  */
    break;

  case 433:
#line 3238 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-8].range)->relpersistence = (yyvsp[-10].ival);
					n->relation = (yyvsp[-8].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = NIL;
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-6].list));
					n->ofTypename->location = (yylsp[-6]);
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 29409 "gram.c" /* yacc.c:1646  */
    break;

  case 434:
#line 3258 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-8].range)->relpersistence = (yyvsp[-13].ival);
					n->relation = (yyvsp[-8].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = NIL;
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-6].list));
					n->ofTypename->location = (yylsp[-6]);
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 29431 "gram.c" /* yacc.c:1646  */
    break;

  case 435:
#line 3278 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-10].range)->relpersistence = (yyvsp[-12].ival);
					n->relation = (yyvsp[-10].range);
					n->tableElts = (yyvsp[-6].list);
					n->inhRelations = list_make1((yyvsp[-7].range));
					n->partbound = (yyvsp[-5].partboundspec);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 29453 "gram.c" /* yacc.c:1646  */
    break;

  case 436:
#line 3298 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-10].range)->relpersistence = (yyvsp[-15].ival);
					n->relation = (yyvsp[-10].range);
					n->tableElts = (yyvsp[-6].list);
					n->inhRelations = list_make1((yyvsp[-7].range));
					n->partbound = (yyvsp[-5].partboundspec);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 29475 "gram.c" /* yacc.c:1646  */
    break;

  case 437:
#line 3328 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 29481 "gram.c" /* yacc.c:1646  */
    break;

  case 438:
#line 3329 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 29487 "gram.c" /* yacc.c:1646  */
    break;

  case 439:
#line 3330 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 29493 "gram.c" /* yacc.c:1646  */
    break;

  case 440:
#line 3331 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 29499 "gram.c" /* yacc.c:1646  */
    break;

  case 441:
#line 3333 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 29510 "gram.c" /* yacc.c:1646  */
    break;

  case 442:
#line 3340 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 29521 "gram.c" /* yacc.c:1646  */
    break;

  case 443:
#line 3346 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 29527 "gram.c" /* yacc.c:1646  */
    break;

  case 444:
#line 3347 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 29533 "gram.c" /* yacc.c:1646  */
    break;

  case 445:
#line 3351 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 29539 "gram.c" /* yacc.c:1646  */
    break;

  case 446:
#line 3352 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29545 "gram.c" /* yacc.c:1646  */
    break;

  case 447:
#line 3356 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 29551 "gram.c" /* yacc.c:1646  */
    break;

  case 448:
#line 3357 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29557 "gram.c" /* yacc.c:1646  */
    break;

  case 449:
#line 3362 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 29565 "gram.c" /* yacc.c:1646  */
    break;

  case 450:
#line 3366 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 29573 "gram.c" /* yacc.c:1646  */
    break;

  case 451:
#line 3373 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 29581 "gram.c" /* yacc.c:1646  */
    break;

  case 452:
#line 3377 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 29589 "gram.c" /* yacc.c:1646  */
    break;

  case 453:
#line 3383 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 29595 "gram.c" /* yacc.c:1646  */
    break;

  case 454:
#line 3384 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 29601 "gram.c" /* yacc.c:1646  */
    break;

  case 455:
#line 3385 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 29607 "gram.c" /* yacc.c:1646  */
    break;

  case 456:
#line 3389 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 29613 "gram.c" /* yacc.c:1646  */
    break;

  case 457:
#line 3390 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 29619 "gram.c" /* yacc.c:1646  */
    break;

  case 458:
#line 3394 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-3].str);
					n->typeName = (yyvsp[-2].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					n->fdwoptions = (yyvsp[-1].list);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 29642 "gram.c" /* yacc.c:1646  */
    break;

  case 459:
#line 3415 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-1].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 29664 "gram.c" /* yacc.c:1646  */
    break;

  case 460:
#line 3433 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-3].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 29686 "gram.c" /* yacc.c:1646  */
    break;

  case 461:
#line 3453 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 29692 "gram.c" /* yacc.c:1646  */
    break;

  case 462:
#line 3454 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29698 "gram.c" /* yacc.c:1646  */
    break;

  case 463:
#line 3459 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = castNode(Constraint, (yyvsp[0].node));
					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 29709 "gram.c" /* yacc.c:1646  */
    break;

  case 464:
#line 3465 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 29715 "gram.c" /* yacc.c:1646  */
    break;

  case 465:
#line 3466 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 29721 "gram.c" /* yacc.c:1646  */
    break;

  case 466:
#line 3468 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Note: the CollateClause is momentarily included in
					 * the list built by ColQualList, but we split it out
					 * again in SplitColQualList.
					 */
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 29738 "gram.c" /* yacc.c:1646  */
    break;

  case 467:
#line 3499 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 29749 "gram.c" /* yacc.c:1646  */
    break;

  case 468:
#line 3506 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 29760 "gram.c" /* yacc.c:1646  */
    break;

  case 469:
#line 3513 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29775 "gram.c" /* yacc.c:1646  */
    break;

  case 470:
#line 3524 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29790 "gram.c" /* yacc.c:1646  */
    break;

  case 471:
#line 3535 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->is_no_inherit = (yyvsp[0].boolean);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					n->skip_validation = false;
					n->initially_valid = true;
					(yyval.node) = (Node *)n;
				}
#line 29806 "gram.c" /* yacc.c:1646  */
    break;

  case 472:
#line 3547 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_DEFAULT;
					n->location = (yylsp[-1]);
					n->raw_expr = (yyvsp[0].node);
					n->cooked_expr = NULL;
					n->skip_validation = false;
					n->initially_valid = true;
					(yyval.node) = (Node *)n;
				}
#line 29821 "gram.c" /* yacc.c:1646  */
    break;

  case 473:
#line 3558 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_IDENTITY;
					n->generated_when = (yyvsp[-3].ival);
					n->options = (yyvsp[0].list);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *)n;
				}
#line 29834 "gram.c" /* yacc.c:1646  */
    break;

  case 474:
#line 3567 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_GENERATED;
					n->generated_when = (yyvsp[-5].ival);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					n->location = (yylsp[-6]);

					/*
					 * Can't do this in the grammar because of shift/reduce
					 * conflicts.  (IDENTITY allows both ALWAYS and BY
					 * DEFAULT, but generated columns only allow ALWAYS.)  We
					 * can also give a more useful error message and location.
					 */
					if ((yyvsp[-5].ival) != ATTRIBUTE_IDENTITY_ALWAYS)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("for a generated column, GENERATED ALWAYS must be specified"),
								 parser_errposition((yylsp[-5]))));

					(yyval.node) = (Node *)n;
				}
#line 29861 "gram.c" /* yacc.c:1646  */
    break;

  case 475:
#line 3590 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-4]);
					n->pktable			= (yyvsp[-3].range);
					n->fk_attrs			= NIL;
					n->pk_attrs			= (yyvsp[-2].list);
					n->fk_matchtype		= (yyvsp[-1].ival);
					n->fk_upd_action	= (char) ((yyvsp[0].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[0].ival) & 0xFF);
					n->skip_validation  = false;
					n->initially_valid  = true;
					(yyval.node) = (Node *)n;
				}
#line 29880 "gram.c" /* yacc.c:1646  */
    break;

  case 476:
#line 3607 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ATTRIBUTE_IDENTITY_ALWAYS; }
#line 29886 "gram.c" /* yacc.c:1646  */
    break;

  case 477:
#line 3608 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ATTRIBUTE_IDENTITY_BY_DEFAULT; }
#line 29892 "gram.c" /* yacc.c:1646  */
    break;

  case 478:
#line 3628 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRABLE;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 29903 "gram.c" /* yacc.c:1646  */
    break;

  case 479:
#line 3635 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_NOT_DEFERRABLE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 29914 "gram.c" /* yacc.c:1646  */
    break;

  case 480:
#line 3642 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRED;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 29925 "gram.c" /* yacc.c:1646  */
    break;

  case 481:
#line 3649 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_IMMEDIATE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 29936 "gram.c" /* yacc.c:1646  */
    break;

  case 482:
#line 3660 "gram.y" /* yacc.c:1646  */
    {
					TableLikeClause *n = makeNode(TableLikeClause);
					n->relation = (yyvsp[-1].range);
					n->options = (yyvsp[0].ival);
					(yyval.node) = (Node *)n;
				}
#line 29947 "gram.c" /* yacc.c:1646  */
    break;

  case 483:
#line 3669 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 29953 "gram.c" /* yacc.c:1646  */
    break;

  case 484:
#line 3670 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) & ~(yyvsp[0].ival); }
#line 29959 "gram.c" /* yacc.c:1646  */
    break;

  case 485:
#line 3671 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 29965 "gram.c" /* yacc.c:1646  */
    break;

  case 486:
#line 3675 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_COMMENTS; }
#line 29971 "gram.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3676 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_CONSTRAINTS; }
#line 29977 "gram.c" /* yacc.c:1646  */
    break;

  case 488:
#line 3677 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_DEFAULTS; }
#line 29983 "gram.c" /* yacc.c:1646  */
    break;

  case 489:
#line 3678 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_IDENTITY; }
#line 29989 "gram.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3679 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_GENERATED; }
#line 29995 "gram.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3680 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_INDEXES; }
#line 30001 "gram.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3681 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_STATISTICS; }
#line 30007 "gram.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3682 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_STORAGE; }
#line 30013 "gram.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3683 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_ALL; }
#line 30019 "gram.c" /* yacc.c:1646  */
    break;

  case 495:
#line 3693 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = castNode(Constraint, (yyvsp[0].node));
					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 30030 "gram.c" /* yacc.c:1646  */
    break;

  case 496:
#line 3699 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 30036 "gram.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3704 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "CHECK",
								   NULL, NULL, &n->skip_validation,
								   &n->is_no_inherit, yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
#line 30053 "gram.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3718 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-7]);
					n->keys = (yyvsp[-5].list);
					n->including = (yyvsp[-3].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 30072 "gram.c" /* yacc.c:1646  */
    break;

  case 499:
#line 3733 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NIL;
					n->including = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 30091 "gram.c" /* yacc.c:1646  */
    break;

  case 500:
#line 3749 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-8]);
					n->keys = (yyvsp[-5].list);
					n->including = (yyvsp[-3].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 30110 "gram.c" /* yacc.c:1646  */
    break;

  case 501:
#line 3764 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NIL;
					n->including = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 30129 "gram.c" /* yacc.c:1646  */
    break;

  case 502:
#line 3781 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_EXCLUSION;
					n->location = (yylsp[-9]);
					n->access_method	= (yyvsp[-8].str);
					n->exclusions		= (yyvsp[-6].list);
					n->including		= (yyvsp[-4].list);
					n->options			= (yyvsp[-3].list);
					n->indexname		= NULL;
					n->indexspace		= (yyvsp[-2].str);
					n->where_clause		= (yyvsp[-1].node);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "EXCLUDE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 30150 "gram.c" /* yacc.c:1646  */
    break;

  case 503:
#line 3799 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-10]);
					n->pktable			= (yyvsp[-4].range);
					n->fk_attrs			= (yyvsp[-7].list);
					n->pk_attrs			= (yyvsp[-3].list);
					n->fk_matchtype		= (yyvsp[-2].ival);
					n->fk_upd_action	= (char) ((yyvsp[-1].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[-1].ival) & 0xFF);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "FOREIGN KEY",
								   &n->deferrable, &n->initdeferred,
								   &n->skip_validation, NULL,
								   yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
#line 30172 "gram.c" /* yacc.c:1646  */
    break;

  case 504:
#line 3818 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = true; }
#line 30178 "gram.c" /* yacc.c:1646  */
    break;

  case 505:
#line 3819 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = false; }
#line 30184 "gram.c" /* yacc.c:1646  */
    break;

  case 506:
#line 3823 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 30190 "gram.c" /* yacc.c:1646  */
    break;

  case 507:
#line 3824 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30196 "gram.c" /* yacc.c:1646  */
    break;

  case 508:
#line 3828 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 30202 "gram.c" /* yacc.c:1646  */
    break;

  case 509:
#line 3829 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 30208 "gram.c" /* yacc.c:1646  */
    break;

  case 510:
#line 3833 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 30216 "gram.c" /* yacc.c:1646  */
    break;

  case 511:
#line 3838 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 30222 "gram.c" /* yacc.c:1646  */
    break;

  case 512:
#line 3839 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30228 "gram.c" /* yacc.c:1646  */
    break;

  case 513:
#line 3843 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_FULL;
			}
#line 30236 "gram.c" /* yacc.c:1646  */
    break;

  case 514:
#line 3847 "gram.y" /* yacc.c:1646  */
    {
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("MATCH PARTIAL not yet implemented"),
						 parser_errposition((yylsp[-1]))));
				(yyval.ival) = FKCONSTR_MATCH_PARTIAL;
			}
#line 30248 "gram.c" /* yacc.c:1646  */
    break;

  case 515:
#line 3855 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 30256 "gram.c" /* yacc.c:1646  */
    break;

  case 516:
#line 3859 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 30264 "gram.c" /* yacc.c:1646  */
    break;

  case 517:
#line 3865 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 30270 "gram.c" /* yacc.c:1646  */
    break;

  case 518:
#line 3867 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 30276 "gram.c" /* yacc.c:1646  */
    break;

  case 519:
#line 3871 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make2((yyvsp[-2].ielem), (yyvsp[0].list));
			}
#line 30284 "gram.c" /* yacc.c:1646  */
    break;

  case 520:
#line 3876 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make2((yyvsp[-5].ielem), (yyvsp[-1].list));
			}
#line 30292 "gram.c" /* yacc.c:1646  */
    break;

  case 521:
#line 3882 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 30298 "gram.c" /* yacc.c:1646  */
    break;

  case 522:
#line 3883 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 30304 "gram.c" /* yacc.c:1646  */
    break;

  case 523:
#line 3894 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ((yyvsp[0].ival) << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
#line 30310 "gram.c" /* yacc.c:1646  */
    break;

  case 524:
#line 3896 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | ((yyvsp[0].ival) & 0xFF); }
#line 30316 "gram.c" /* yacc.c:1646  */
    break;

  case 525:
#line 3898 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ((yyvsp[-1].ival) << 8) | ((yyvsp[0].ival) & 0xFF); }
#line 30322 "gram.c" /* yacc.c:1646  */
    break;

  case 526:
#line 3900 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ((yyvsp[0].ival) << 8) | ((yyvsp[-1].ival) & 0xFF); }
#line 30328 "gram.c" /* yacc.c:1646  */
    break;

  case 527:
#line 3902 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
#line 30334 "gram.c" /* yacc.c:1646  */
    break;

  case 528:
#line 3905 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 30340 "gram.c" /* yacc.c:1646  */
    break;

  case 529:
#line 3908 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 30346 "gram.c" /* yacc.c:1646  */
    break;

  case 530:
#line 3912 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_NOACTION; }
#line 30352 "gram.c" /* yacc.c:1646  */
    break;

  case 531:
#line 3913 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_RESTRICT; }
#line 30358 "gram.c" /* yacc.c:1646  */
    break;

  case 532:
#line 3914 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_CASCADE; }
#line 30364 "gram.c" /* yacc.c:1646  */
    break;

  case 533:
#line 3915 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_SETNULL; }
#line 30370 "gram.c" /* yacc.c:1646  */
    break;

  case 534:
#line 3916 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_SETDEFAULT; }
#line 30376 "gram.c" /* yacc.c:1646  */
    break;

  case 535:
#line 3919 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 30382 "gram.c" /* yacc.c:1646  */
    break;

  case 536:
#line 3920 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30388 "gram.c" /* yacc.c:1646  */
    break;

  case 537:
#line 3924 "gram.y" /* yacc.c:1646  */
    { (yyval.partspec) = (yyvsp[0].partspec); }
#line 30394 "gram.c" /* yacc.c:1646  */
    break;

  case 538:
#line 3925 "gram.y" /* yacc.c:1646  */
    { (yyval.partspec) = NULL; }
#line 30400 "gram.c" /* yacc.c:1646  */
    break;

  case 539:
#line 3929 "gram.y" /* yacc.c:1646  */
    {
					PartitionSpec *n = makeNode(PartitionSpec);

					n->strategy = (yyvsp[-3].str);
					n->partParams = (yyvsp[-1].list);
					n->location = (yylsp[-5]);

					(yyval.partspec) = n;
				}
#line 30414 "gram.c" /* yacc.c:1646  */
    break;

  case 540:
#line 3940 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30420 "gram.c" /* yacc.c:1646  */
    break;

  case 541:
#line 3941 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 30426 "gram.c" /* yacc.c:1646  */
    break;

  case 542:
#line 3944 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].partelem)); }
#line 30432 "gram.c" /* yacc.c:1646  */
    break;

  case 543:
#line 3945 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].partelem)); }
#line 30438 "gram.c" /* yacc.c:1646  */
    break;

  case 544:
#line 3949 "gram.y" /* yacc.c:1646  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = (yyvsp[-2].str);
					n->expr = NULL;
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-2]);
					(yyval.partelem) = n;
				}
#line 30453 "gram.c" /* yacc.c:1646  */
    break;

  case 545:
#line 3960 "gram.y" /* yacc.c:1646  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = NULL;
					n->expr = (yyvsp[-2].node);
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-2]);
					(yyval.partelem) = n;
				}
#line 30468 "gram.c" /* yacc.c:1646  */
    break;

  case 546:
#line 3971 "gram.y" /* yacc.c:1646  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = NULL;
					n->expr = (yyvsp[-3].node);
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-4]);
					(yyval.partelem) = n;
				}
#line 30483 "gram.c" /* yacc.c:1646  */
    break;

  case 547:
#line 3984 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30489 "gram.c" /* yacc.c:1646  */
    break;

  case 548:
#line 3985 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 30495 "gram.c" /* yacc.c:1646  */
    break;

  case 549:
#line 3990 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30501 "gram.c" /* yacc.c:1646  */
    break;

  case 550:
#line 3991 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30507 "gram.c" /* yacc.c:1646  */
    break;

  case 551:
#line 3992 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30513 "gram.c" /* yacc.c:1646  */
    break;

  case 552:
#line 3995 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_DROP; }
#line 30519 "gram.c" /* yacc.c:1646  */
    break;

  case 553:
#line 3996 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_DELETE_ROWS; }
#line 30525 "gram.c" /* yacc.c:1646  */
    break;

  case 554:
#line 3997 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_PRESERVE_ROWS; }
#line 30531 "gram.c" /* yacc.c:1646  */
    break;

  case 555:
#line 3998 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_NOOP; }
#line 30537 "gram.c" /* yacc.c:1646  */
    break;

  case 556:
#line 4001 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30543 "gram.c" /* yacc.c:1646  */
    break;

  case 557:
#line 4002 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 30549 "gram.c" /* yacc.c:1646  */
    break;

  case 558:
#line 4005 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30555 "gram.c" /* yacc.c:1646  */
    break;

  case 559:
#line 4006 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 30561 "gram.c" /* yacc.c:1646  */
    break;

  case 560:
#line 4009 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30567 "gram.c" /* yacc.c:1646  */
    break;

  case 561:
#line 4029 "gram.y" /* yacc.c:1646  */
    {
					CreateStatsStmt *n = makeNode(CreateStatsStmt);
					n->defnames = (yyvsp[-5].list);
					n->stat_types = (yyvsp[-4].list);
					n->exprs = (yyvsp[-2].list);
					n->relations = (yyvsp[0].list);
					n->stxcomment = NULL;
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 30582 "gram.c" /* yacc.c:1646  */
    break;

  case 562:
#line 4041 "gram.y" /* yacc.c:1646  */
    {
					CreateStatsStmt *n = makeNode(CreateStatsStmt);
					n->defnames = (yyvsp[-5].list);
					n->stat_types = (yyvsp[-4].list);
					n->exprs = (yyvsp[-2].list);
					n->relations = (yyvsp[0].list);
					n->stxcomment = NULL;
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 30597 "gram.c" /* yacc.c:1646  */
    break;

  case 563:
#line 4065 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-5].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 30614 "gram.c" /* yacc.c:1646  */
    break;

  case 564:
#line 4078 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-8].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 30631 "gram.c" /* yacc.c:1646  */
    break;

  case 565:
#line 4095 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-5].range);
					(yyval.into)->colNames = (yyvsp[-4].list);
					(yyval.into)->accessMethod = (yyvsp[-3].str);
					(yyval.into)->options = (yyvsp[-2].list);
					(yyval.into)->onCommit = (yyvsp[-1].oncommit);
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 30647 "gram.c" /* yacc.c:1646  */
    break;

  case 566:
#line 4109 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 30653 "gram.c" /* yacc.c:1646  */
    break;

  case 567:
#line 4110 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 30659 "gram.c" /* yacc.c:1646  */
    break;

  case 568:
#line 4111 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 30665 "gram.c" /* yacc.c:1646  */
    break;

  case 569:
#line 4124 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-6].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 30682 "gram.c" /* yacc.c:1646  */
    break;

  case 570:
#line 4137 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-9].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 30699 "gram.c" /* yacc.c:1646  */
    break;

  case 571:
#line 4153 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-4].range);
					(yyval.into)->colNames = (yyvsp[-3].list);
					(yyval.into)->accessMethod = (yyvsp[-2].str);
					(yyval.into)->options = (yyvsp[-1].list);
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;		/* filled at analysis time */
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 30715 "gram.c" /* yacc.c:1646  */
    break;

  case 572:
#line 4166 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 30721 "gram.c" /* yacc.c:1646  */
    break;

  case 573:
#line 4167 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 30727 "gram.c" /* yacc.c:1646  */
    break;

  case 574:
#line 4180 "gram.y" /* yacc.c:1646  */
    {
					RefreshMatViewStmt *n = makeNode(RefreshMatViewStmt);
					n->concurrent = (yyvsp[-2].boolean);
					n->relation = (yyvsp[-1].range);
					n->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) n;
				}
#line 30739 "gram.c" /* yacc.c:1646  */
    break;

  case 575:
#line 4200 "gram.y" /* yacc.c:1646  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[-1].range)->relpersistence = (yyvsp[-3].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 30753 "gram.c" /* yacc.c:1646  */
    break;

  case 576:
#line 4210 "gram.y" /* yacc.c:1646  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[-1].range)->relpersistence = (yyvsp[-6].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 30767 "gram.c" /* yacc.c:1646  */
    break;

  case 577:
#line 4223 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 30779 "gram.c" /* yacc.c:1646  */
    break;

  case 578:
#line 4231 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 30791 "gram.c" /* yacc.c:1646  */
    break;

  case 579:
#line 4241 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30797 "gram.c" /* yacc.c:1646  */
    break;

  case 580:
#line 4242 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30803 "gram.c" /* yacc.c:1646  */
    break;

  case 581:
#line 4245 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 30809 "gram.c" /* yacc.c:1646  */
    break;

  case 582:
#line 4246 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30815 "gram.c" /* yacc.c:1646  */
    break;

  case 583:
#line 4249 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 30821 "gram.c" /* yacc.c:1646  */
    break;

  case 584:
#line 4250 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 30827 "gram.c" /* yacc.c:1646  */
    break;

  case 585:
#line 4254 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)(yyvsp[0].typnam), (yylsp[-1]));
				}
#line 30835 "gram.c" /* yacc.c:1646  */
    break;

  case 586:
#line 4258 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cache", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 30843 "gram.c" /* yacc.c:1646  */
    break;

  case 587:
#line 4262 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 30851 "gram.c" /* yacc.c:1646  */
    break;

  case 588:
#line 4266 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(false), (yylsp[-1]));
				}
#line 30859 "gram.c" /* yacc.c:1646  */
    break;

  case 589:
#line 4270 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("increment", (Node *)(yyvsp[0].value), (yylsp[-2]));
				}
#line 30867 "gram.c" /* yacc.c:1646  */
    break;

  case 590:
#line 4274 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 30875 "gram.c" /* yacc.c:1646  */
    break;

  case 591:
#line 4278 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("minvalue", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 30883 "gram.c" /* yacc.c:1646  */
    break;

  case 592:
#line 4282 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", NULL, (yylsp[-1]));
				}
#line 30891 "gram.c" /* yacc.c:1646  */
    break;

  case 593:
#line 4286 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("minvalue", NULL, (yylsp[-1]));
				}
#line 30899 "gram.c" /* yacc.c:1646  */
    break;

  case 594:
#line 4290 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("owned_by", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 30907 "gram.c" /* yacc.c:1646  */
    break;

  case 595:
#line 4294 "gram.y" /* yacc.c:1646  */
    {
					/* not documented, only used by pg_dump */
					(yyval.defelt) = makeDefElem("sequence_name", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 30916 "gram.c" /* yacc.c:1646  */
    break;

  case 596:
#line 4299 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("start", (Node *)(yyvsp[0].value), (yylsp[-2]));
				}
#line 30924 "gram.c" /* yacc.c:1646  */
    break;

  case 597:
#line 4303 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", NULL, (yylsp[0]));
				}
#line 30932 "gram.c" /* yacc.c:1646  */
    break;

  case 598:
#line 4307 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", (Node *)(yyvsp[0].value), (yylsp[-2]));
				}
#line 30940 "gram.c" /* yacc.c:1646  */
    break;

  case 599:
#line 4312 "gram.y" /* yacc.c:1646  */
    {}
#line 30946 "gram.c" /* yacc.c:1646  */
    break;

  case 600:
#line 4313 "gram.y" /* yacc.c:1646  */
    {}
#line 30952 "gram.c" /* yacc.c:1646  */
    break;

  case 601:
#line 4317 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeFloat((yyvsp[0].str)); }
#line 30958 "gram.c" /* yacc.c:1646  */
    break;

  case 602:
#line 4318 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeFloat((yyvsp[0].str)); }
#line 30964 "gram.c" /* yacc.c:1646  */
    break;

  case 603:
#line 4320 "gram.y" /* yacc.c:1646  */
    {
					(yyval.value) = makeFloat((yyvsp[0].str));
					doNegateFloat((yyval.value));
				}
#line 30973 "gram.c" /* yacc.c:1646  */
    break;

  case 604:
#line 4324 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeInteger((yyvsp[0].ival)); }
#line 30979 "gram.c" /* yacc.c:1646  */
    break;

  case 605:
#line 4327 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].value)); }
#line 30985 "gram.c" /* yacc.c:1646  */
    break;

  case 606:
#line 4328 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value)); }
#line 30991 "gram.c" /* yacc.c:1646  */
    break;

  case 607:
#line 4341 "gram.y" /* yacc.c:1646  */
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[-4].boolean);
				n->plname = (yyvsp[0].str);
				/* parameters are all to be supplied by system */
				n->plhandler = NIL;
				n->plinline = NIL;
				n->plvalidator = NIL;
				n->pltrusted = false;
				(yyval.node) = (Node *)n;
			}
#line 31007 "gram.c" /* yacc.c:1646  */
    break;

  case 608:
#line 4354 "gram.y" /* yacc.c:1646  */
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[-8].boolean);
				n->plname = (yyvsp[-4].str);
				n->plhandler = (yyvsp[-2].list);
				n->plinline = (yyvsp[-1].list);
				n->plvalidator = (yyvsp[0].list);
				n->pltrusted = (yyvsp[-7].boolean);
				(yyval.node) = (Node *)n;
			}
#line 31022 "gram.c" /* yacc.c:1646  */
    break;

  case 609:
#line 4367 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 31028 "gram.c" /* yacc.c:1646  */
    break;

  case 610:
#line 4368 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 31034 "gram.c" /* yacc.c:1646  */
    break;

  case 611:
#line 4376 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 31040 "gram.c" /* yacc.c:1646  */
    break;

  case 612:
#line 4377 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 31046 "gram.c" /* yacc.c:1646  */
    break;

  case 613:
#line 4381 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31052 "gram.c" /* yacc.c:1646  */
    break;

  case 614:
#line 4382 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31058 "gram.c" /* yacc.c:1646  */
    break;

  case 615:
#line 4386 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31064 "gram.c" /* yacc.c:1646  */
    break;

  case 616:
#line 4387 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31070 "gram.c" /* yacc.c:1646  */
    break;

  case 617:
#line 4391 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31076 "gram.c" /* yacc.c:1646  */
    break;

  case 618:
#line 4392 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31082 "gram.c" /* yacc.c:1646  */
    break;

  case 619:
#line 4397 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(makeString((yyvsp[-1].str)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 31096 "gram.c" /* yacc.c:1646  */
    break;

  case 620:
#line 4407 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(makeString((yyvsp[-1].str)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 31110 "gram.c" /* yacc.c:1646  */
    break;

  case 621:
#line 4419 "gram.y" /* yacc.c:1646  */
    {}
#line 31116 "gram.c" /* yacc.c:1646  */
    break;

  case 622:
#line 4420 "gram.y" /* yacc.c:1646  */
    {}
#line 31122 "gram.c" /* yacc.c:1646  */
    break;

  case 623:
#line 4431 "gram.y" /* yacc.c:1646  */
    {
					CreateTableSpaceStmt *n = makeNode(CreateTableSpaceStmt);
					n->tablespacename = (yyvsp[-4].str);
					n->owner = (yyvsp[-3].rolespec);
					n->location = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31135 "gram.c" /* yacc.c:1646  */
    break;

  case 624:
#line 4441 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 31141 "gram.c" /* yacc.c:1646  */
    break;

  case 625:
#line 4442 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = NULL; }
#line 31147 "gram.c" /* yacc.c:1646  */
    break;

  case 626:
#line 4456 "gram.y" /* yacc.c:1646  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31158 "gram.c" /* yacc.c:1646  */
    break;

  case 627:
#line 4463 "gram.y" /* yacc.c:1646  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31169 "gram.c" /* yacc.c:1646  */
    break;

  case 628:
#line 4480 "gram.y" /* yacc.c:1646  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->if_not_exists = false;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31181 "gram.c" /* yacc.c:1646  */
    break;

  case 629:
#line 4488 "gram.y" /* yacc.c:1646  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->if_not_exists = true;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31193 "gram.c" /* yacc.c:1646  */
    break;

  case 630:
#line 4499 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 31199 "gram.c" /* yacc.c:1646  */
    break;

  case 631:
#line 4501 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31205 "gram.c" /* yacc.c:1646  */
    break;

  case 632:
#line 4506 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("schema", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 31213 "gram.c" /* yacc.c:1646  */
    break;

  case 633:
#line 4510 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 31221 "gram.c" /* yacc.c:1646  */
    break;

  case 634:
#line 4514 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("old_version", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 31229 "gram.c" /* yacc.c:1646  */
    break;

  case 635:
#line 4518 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cascade", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 31237 "gram.c" /* yacc.c:1646  */
    break;

  case 636:
#line 4530 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionStmt *n = makeNode(AlterExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31248 "gram.c" /* yacc.c:1646  */
    break;

  case 637:
#line 4540 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 31254 "gram.c" /* yacc.c:1646  */
    break;

  case 638:
#line 4542 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31260 "gram.c" /* yacc.c:1646  */
    break;

  case 639:
#line 4547 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 31268 "gram.c" /* yacc.c:1646  */
    break;

  case 640:
#line 4560 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_ACCESS_METHOD;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 31281 "gram.c" /* yacc.c:1646  */
    break;

  case 641:
#line 4569 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *)n;
				}
#line 31294 "gram.c" /* yacc.c:1646  */
    break;

  case 642:
#line 4578 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-7].str);
					n->action = (yyvsp[-6].ival);
					n->objtype = OBJECT_CAST;
					n->object = (Node *) list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam));
					(yyval.node) = (Node *) n;
				}
#line 31307 "gram.c" /* yacc.c:1646  */
    break;

  case 643:
#line 4587 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31320 "gram.c" /* yacc.c:1646  */
    break;

  case 644:
#line 4596 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31333 "gram.c" /* yacc.c:1646  */
    break;

  case 645:
#line 4605 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[0].typnam);
					(yyval.node) = (Node *)n;
				}
#line 31346 "gram.c" /* yacc.c:1646  */
    break;

  case 646:
#line 4614 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *)n;
				}
#line 31359 "gram.c" /* yacc.c:1646  */
    break;

  case 647:
#line 4623 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 31372 "gram.c" /* yacc.c:1646  */
    break;

  case 648:
#line 4632 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *)n;
				}
#line 31385 "gram.c" /* yacc.c:1646  */
    break;

  case 649:
#line 4641 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *)n;
				}
#line 31398 "gram.c" /* yacc.c:1646  */
    break;

  case 650:
#line 4650 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *)n;
				}
#line 31411 "gram.c" /* yacc.c:1646  */
    break;

  case 651:
#line 4659 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *)n;
				}
#line 31424 "gram.c" /* yacc.c:1646  */
    break;

  case 652:
#line 4668 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *)n;
				}
#line 31437 "gram.c" /* yacc.c:1646  */
    break;

  case 653:
#line 4677 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_SCHEMA;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 31450 "gram.c" /* yacc.c:1646  */
    break;

  case 654:
#line 4686 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 31463 "gram.c" /* yacc.c:1646  */
    break;

  case 655:
#line 4695 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TABLE;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31476 "gram.c" /* yacc.c:1646  */
    break;

  case 656:
#line 4704 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31489 "gram.c" /* yacc.c:1646  */
    break;

  case 657:
#line 4713 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31502 "gram.c" /* yacc.c:1646  */
    break;

  case 658:
#line 4722 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31515 "gram.c" /* yacc.c:1646  */
    break;

  case 659:
#line 4731 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31528 "gram.c" /* yacc.c:1646  */
    break;

  case 660:
#line 4740 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_SEQUENCE;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31541 "gram.c" /* yacc.c:1646  */
    break;

  case 661:
#line 4749 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_VIEW;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31554 "gram.c" /* yacc.c:1646  */
    break;

  case 662:
#line 4758 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_MATVIEW;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31567 "gram.c" /* yacc.c:1646  */
    break;

  case 663:
#line 4767 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31580 "gram.c" /* yacc.c:1646  */
    break;

  case 664:
#line 4776 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 31593 "gram.c" /* yacc.c:1646  */
    break;

  case 665:
#line 4785 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 31606 "gram.c" /* yacc.c:1646  */
    break;

  case 666:
#line 4794 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_TRANSFORM;
					n->object = (Node *) list_make2((yyvsp[-2].typnam), makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 31619 "gram.c" /* yacc.c:1646  */
    break;

  case 667:
#line 4803 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[0].typnam);
					(yyval.node) = (Node *)n;
				}
#line 31632 "gram.c" /* yacc.c:1646  */
    break;

  case 668:
#line 4821 "gram.y" /* yacc.c:1646  */
    {
					CreateFdwStmt *n = makeNode(CreateFdwStmt);
					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31644 "gram.c" /* yacc.c:1646  */
    break;

  case 669:
#line 4831 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("handler", (Node *)(yyvsp[0].list), (yylsp[-1])); }
#line 31650 "gram.c" /* yacc.c:1646  */
    break;

  case 670:
#line 4832 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("handler", NULL, (yylsp[-1])); }
#line 31656 "gram.c" /* yacc.c:1646  */
    break;

  case 671:
#line 4833 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("validator", (Node *)(yyvsp[0].list), (yylsp[-1])); }
#line 31662 "gram.c" /* yacc.c:1646  */
    break;

  case 672:
#line 4834 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("validator", NULL, (yylsp[-1])); }
#line 31668 "gram.c" /* yacc.c:1646  */
    break;

  case 673:
#line 4838 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 31674 "gram.c" /* yacc.c:1646  */
    break;

  case 674:
#line 4839 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 31680 "gram.c" /* yacc.c:1646  */
    break;

  case 675:
#line 4843 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31686 "gram.c" /* yacc.c:1646  */
    break;

  case 676:
#line 4844 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31692 "gram.c" /* yacc.c:1646  */
    break;

  case 677:
#line 4855 "gram.y" /* yacc.c:1646  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31704 "gram.c" /* yacc.c:1646  */
    break;

  case 678:
#line 4863 "gram.y" /* yacc.c:1646  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[-1].str);
					n->func_options = (yyvsp[0].list);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 31716 "gram.c" /* yacc.c:1646  */
    break;

  case 679:
#line 4874 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 31722 "gram.c" /* yacc.c:1646  */
    break;

  case 680:
#line 4875 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31728 "gram.c" /* yacc.c:1646  */
    break;

  case 681:
#line 4880 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 31736 "gram.c" /* yacc.c:1646  */
    break;

  case 682:
#line 4884 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 31744 "gram.c" /* yacc.c:1646  */
    break;

  case 683:
#line 4891 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 31750 "gram.c" /* yacc.c:1646  */
    break;

  case 684:
#line 4896 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 31758 "gram.c" /* yacc.c:1646  */
    break;

  case 685:
#line 4900 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 31766 "gram.c" /* yacc.c:1646  */
    break;

  case 686:
#line 4907 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 31774 "gram.c" /* yacc.c:1646  */
    break;

  case 687:
#line 4911 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_SET;
				}
#line 31783 "gram.c" /* yacc.c:1646  */
    break;

  case 688:
#line 4916 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_ADD;
				}
#line 31792 "gram.c" /* yacc.c:1646  */
    break;

  case 689:
#line 4921 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended(NULL, (yyvsp[0].str), NULL, DEFELEM_DROP, (yylsp[0]));
				}
#line 31800 "gram.c" /* yacc.c:1646  */
    break;

  case 690:
#line 4928 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 31808 "gram.c" /* yacc.c:1646  */
    break;

  case 691:
#line 4934 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31814 "gram.c" /* yacc.c:1646  */
    break;

  case 692:
#line 4939 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 31820 "gram.c" /* yacc.c:1646  */
    break;

  case 693:
#line 4951 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);
					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 31835 "gram.c" /* yacc.c:1646  */
    break;

  case 694:
#line 4963 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);
					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 31850 "gram.c" /* yacc.c:1646  */
    break;

  case 695:
#line 4976 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31856 "gram.c" /* yacc.c:1646  */
    break;

  case 696:
#line 4977 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 31862 "gram.c" /* yacc.c:1646  */
    break;

  case 697:
#line 4982 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31868 "gram.c" /* yacc.c:1646  */
    break;

  case 698:
#line 4983 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 31874 "gram.c" /* yacc.c:1646  */
    break;

  case 699:
#line 4987 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31880 "gram.c" /* yacc.c:1646  */
    break;

  case 700:
#line 4988 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 31886 "gram.c" /* yacc.c:1646  */
    break;

  case 701:
#line 4999 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-2].str);
					n->version = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 31899 "gram.c" /* yacc.c:1646  */
    break;

  case 702:
#line 5008 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-1].str);
					n->version = (yyvsp[0].str);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 31911 "gram.c" /* yacc.c:1646  */
    break;

  case 703:
#line 5016 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31922 "gram.c" /* yacc.c:1646  */
    break;

  case 704:
#line 5035 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31944 "gram.c" /* yacc.c:1646  */
    break;

  case 705:
#line 5055 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31966 "gram.c" /* yacc.c:1646  */
    break;

  case 706:
#line 5075 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-8].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-8].range);
					n->base.inhRelations = list_make1((yyvsp[-5].range));
					n->base.tableElts = (yyvsp[-4].list);
					n->base.partbound = (yyvsp[-3].partboundspec);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31989 "gram.c" /* yacc.c:1646  */
    break;

  case 707:
#line 5096 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-8].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-8].range);
					n->base.inhRelations = list_make1((yyvsp[-5].range));
					n->base.tableElts = (yyvsp[-4].list);
					n->base.partbound = (yyvsp[-3].partboundspec);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32012 "gram.c" /* yacc.c:1646  */
    break;

  case 708:
#line 5125 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32025 "gram.c" /* yacc.c:1646  */
    break;

  case 709:
#line 5134 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 32038 "gram.c" /* yacc.c:1646  */
    break;

  case 710:
#line 5156 "gram.y" /* yacc.c:1646  */
    {
				ImportForeignSchemaStmt *n = makeNode(ImportForeignSchemaStmt);
				n->server_name = (yyvsp[-3].str);
				n->remote_schema = (yyvsp[-7].str);
				n->local_schema = (yyvsp[-1].str);
				n->list_type = (yyvsp[-6].importqual)->type;
				n->table_list = (yyvsp[-6].importqual)->table_names;
				n->options = (yyvsp[0].list);
				(yyval.node) = (Node *) n;
			}
#line 32053 "gram.c" /* yacc.c:1646  */
    break;

  case 711:
#line 5169 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FDW_IMPORT_SCHEMA_LIMIT_TO; }
#line 32059 "gram.c" /* yacc.c:1646  */
    break;

  case 712:
#line 5170 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FDW_IMPORT_SCHEMA_EXCEPT; }
#line 32065 "gram.c" /* yacc.c:1646  */
    break;

  case 713:
#line 5175 "gram.y" /* yacc.c:1646  */
    {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));
				n->type = (yyvsp[-3].ival);
				n->table_names = (yyvsp[-1].list);
				(yyval.importqual) = n;
			}
#line 32076 "gram.c" /* yacc.c:1646  */
    break;

  case 714:
#line 5182 "gram.y" /* yacc.c:1646  */
    {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));
				n->type = FDW_IMPORT_SCHEMA_ALL;
				n->table_names = NIL;
				(yyval.importqual) = n;
			}
#line 32087 "gram.c" /* yacc.c:1646  */
    break;

  case 715:
#line 5198 "gram.y" /* yacc.c:1646  */
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);
					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 32100 "gram.c" /* yacc.c:1646  */
    break;

  case 716:
#line 5207 "gram.y" /* yacc.c:1646  */
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);
					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 32113 "gram.c" /* yacc.c:1646  */
    break;

  case 717:
#line 5218 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 32119 "gram.c" /* yacc.c:1646  */
    break;

  case 718:
#line 5219 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0])); }
#line 32125 "gram.c" /* yacc.c:1646  */
    break;

  case 719:
#line 5232 "gram.y" /* yacc.c:1646  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->user = (yyvsp[-2].rolespec);
					n->servername = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 32137 "gram.c" /* yacc.c:1646  */
    break;

  case 720:
#line 5240 "gram.y" /* yacc.c:1646  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->user = (yyvsp[-2].rolespec);
					n->servername = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 32149 "gram.c" /* yacc.c:1646  */
    break;

  case 721:
#line 5257 "gram.y" /* yacc.c:1646  */
    {
					AlterUserMappingStmt *n = makeNode(AlterUserMappingStmt);
					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32161 "gram.c" /* yacc.c:1646  */
    break;

  case 722:
#line 5283 "gram.y" /* yacc.c:1646  */
    {
					CreatePolicyStmt *n = makeNode(CreatePolicyStmt);
					n->policy_name = (yyvsp[-7].str);
					n->table = (yyvsp[-5].range);
					n->permissive = (yyvsp[-4].boolean);
					n->cmd_name = (yyvsp[-3].str);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 32177 "gram.c" /* yacc.c:1646  */
    break;

  case 723:
#line 5299 "gram.y" /* yacc.c:1646  */
    {
					AlterPolicyStmt *n = makeNode(AlterPolicyStmt);
					n->policy_name = (yyvsp[-5].str);
					n->table = (yyvsp[-3].range);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 32191 "gram.c" /* yacc.c:1646  */
    break;

  case 724:
#line 5311 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 32197 "gram.c" /* yacc.c:1646  */
    break;

  case 725:
#line 5312 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 32203 "gram.c" /* yacc.c:1646  */
    break;

  case 726:
#line 5316 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 32209 "gram.c" /* yacc.c:1646  */
    break;

  case 727:
#line 5317 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 32215 "gram.c" /* yacc.c:1646  */
    break;

  case 728:
#line 5321 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32221 "gram.c" /* yacc.c:1646  */
    break;

  case 729:
#line 5322 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeRoleSpec(ROLESPEC_PUBLIC, -1)); }
#line 32227 "gram.c" /* yacc.c:1646  */
    break;

  case 730:
#line 5326 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32233 "gram.c" /* yacc.c:1646  */
    break;

  case 731:
#line 5327 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NULL; }
#line 32239 "gram.c" /* yacc.c:1646  */
    break;

  case 732:
#line 5332 "gram.y" /* yacc.c:1646  */
    {
					if (strcmp((yyvsp[0].str), "permissive") == 0)
						(yyval.boolean) = true;
					else if (strcmp((yyvsp[0].str), "restrictive") == 0)
						(yyval.boolean) = false;
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("unrecognized row security option \"%s\"", (yyvsp[0].str)),
								 errhint("Only PERMISSIVE or RESTRICTIVE policies are supported currently."),
									 parser_errposition((yylsp[0]))));

				}
#line 32257 "gram.c" /* yacc.c:1646  */
    break;

  case 733:
#line 5345 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 32263 "gram.c" /* yacc.c:1646  */
    break;

  case 734:
#line 5349 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 32269 "gram.c" /* yacc.c:1646  */
    break;

  case 735:
#line 5350 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "all"; }
#line 32275 "gram.c" /* yacc.c:1646  */
    break;

  case 736:
#line 5354 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "all"; }
#line 32281 "gram.c" /* yacc.c:1646  */
    break;

  case 737:
#line 5355 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "select"; }
#line 32287 "gram.c" /* yacc.c:1646  */
    break;

  case 738:
#line 5356 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "insert"; }
#line 32293 "gram.c" /* yacc.c:1646  */
    break;

  case 739:
#line 5357 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "update"; }
#line 32299 "gram.c" /* yacc.c:1646  */
    break;

  case 740:
#line 5358 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "delete"; }
#line 32305 "gram.c" /* yacc.c:1646  */
    break;

  case 741:
#line 5369 "gram.y" /* yacc.c:1646  */
    {
					CreateAmStmt *n = makeNode(CreateAmStmt);
					n->amname = (yyvsp[-4].str);
					n->handler_name = (yyvsp[0].list);
					n->amtype = (yyvsp[-2].chr);
					(yyval.node) = (Node *) n;
				}
#line 32317 "gram.c" /* yacc.c:1646  */
    break;

  case 742:
#line 5379 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = AMTYPE_INDEX; }
#line 32323 "gram.c" /* yacc.c:1646  */
    break;

  case 743:
#line 5380 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = AMTYPE_TABLE; }
#line 32329 "gram.c" /* yacc.c:1646  */
    break;

  case 744:
#line 5394 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-13].str);
					n->relation = (yyvsp[-9].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = (yyvsp[-7].boolean);
					n->timing = (yyvsp[-12].ival);
					n->events = intVal(linitial((yyvsp[-11].list)));
					n->columns = (List *) lsecond((yyvsp[-11].list));
					n->whenClause = (yyvsp[-6].node);
					n->transitionRels = (yyvsp[-8].list);
					n->isconstraint  = false;
					n->deferrable	 = false;
					n->initdeferred  = false;
					n->constrrel = NULL;
					(yyval.node) = (Node *)n;
				}
#line 32352 "gram.c" /* yacc.c:1646  */
    break;

  case 745:
#line 5416 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-16].str);
					n->relation = (yyvsp[-12].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = true;
					n->timing = TRIGGER_TYPE_AFTER;
					n->events = intVal(linitial((yyvsp[-14].list)));
					n->columns = (List *) lsecond((yyvsp[-14].list));
					n->whenClause = (yyvsp[-6].node);
					n->transitionRels = NIL;
					n->isconstraint  = true;
					processCASbits((yyvsp[-10].ival), (yylsp[-10]), "TRIGGER",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					n->constrrel = (yyvsp[-11].range);
					(yyval.node) = (Node *)n;
				}
#line 32376 "gram.c" /* yacc.c:1646  */
    break;

  case 746:
#line 5438 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_BEFORE; }
#line 32382 "gram.c" /* yacc.c:1646  */
    break;

  case 747:
#line 5439 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_AFTER; }
#line 32388 "gram.c" /* yacc.c:1646  */
    break;

  case 748:
#line 5440 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_INSTEAD; }
#line 32394 "gram.c" /* yacc.c:1646  */
    break;

  case 749:
#line 5445 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32400 "gram.c" /* yacc.c:1646  */
    break;

  case 750:
#line 5447 "gram.y" /* yacc.c:1646  */
    {
					int		events1 = intVal(linitial((yyvsp[-2].list)));
					int		events2 = intVal(linitial((yyvsp[0].list)));
					List   *columns1 = (List *) lsecond((yyvsp[-2].list));
					List   *columns2 = (List *) lsecond((yyvsp[0].list));

					if (events1 & events2)
						parser_yyerror("duplicate trigger events specified");
					/*
					 * concat'ing the columns lists loses information about
					 * which columns went with which event, but so long as
					 * only UPDATE carries columns and we disallow multiple
					 * UPDATE items, it doesn't matter.  Command execution
					 * should just ignore the columns for non-UPDATE events.
					 */
					(yyval.list) = list_make2(makeInteger(events1 | events2),
									list_concat(columns1, columns2));
				}
#line 32423 "gram.c" /* yacc.c:1646  */
    break;

  case 751:
#line 5469 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_INSERT), NIL); }
#line 32429 "gram.c" /* yacc.c:1646  */
    break;

  case 752:
#line 5471 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_DELETE), NIL); }
#line 32435 "gram.c" /* yacc.c:1646  */
    break;

  case 753:
#line 5473 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), NIL); }
#line 32441 "gram.c" /* yacc.c:1646  */
    break;

  case 754:
#line 5475 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), (yyvsp[0].list)); }
#line 32447 "gram.c" /* yacc.c:1646  */
    break;

  case 755:
#line 5477 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_TRUNCATE), NIL); }
#line 32453 "gram.c" /* yacc.c:1646  */
    break;

  case 756:
#line 5481 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32459 "gram.c" /* yacc.c:1646  */
    break;

  case 757:
#line 5482 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32465 "gram.c" /* yacc.c:1646  */
    break;

  case 758:
#line 5486 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 32471 "gram.c" /* yacc.c:1646  */
    break;

  case 759:
#line 5487 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 32477 "gram.c" /* yacc.c:1646  */
    break;

  case 760:
#line 5492 "gram.y" /* yacc.c:1646  */
    {
					TriggerTransition *n = makeNode(TriggerTransition);
					n->name = (yyvsp[0].str);
					n->isNew = (yyvsp[-3].boolean);
					n->isTable = (yyvsp[-2].boolean);
					(yyval.node) = (Node *)n;
				}
#line 32489 "gram.c" /* yacc.c:1646  */
    break;

  case 761:
#line 5502 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 32495 "gram.c" /* yacc.c:1646  */
    break;

  case 762:
#line 5503 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 32501 "gram.c" /* yacc.c:1646  */
    break;

  case 763:
#line 5507 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 32507 "gram.c" /* yacc.c:1646  */
    break;

  case 764:
#line 5516 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 32513 "gram.c" /* yacc.c:1646  */
    break;

  case 765:
#line 5520 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 32519 "gram.c" /* yacc.c:1646  */
    break;

  case 766:
#line 5525 "gram.y" /* yacc.c:1646  */
    {
					(yyval.boolean) = (yyvsp[0].boolean);
				}
#line 32527 "gram.c" /* yacc.c:1646  */
    break;

  case 767:
#line 5529 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * If ROW/STATEMENT not specified, default to
					 * STATEMENT, per SQL
					 */
					(yyval.boolean) = false;
				}
#line 32539 "gram.c" /* yacc.c:1646  */
    break;

  case 768:
#line 5539 "gram.y" /* yacc.c:1646  */
    {}
#line 32545 "gram.c" /* yacc.c:1646  */
    break;

  case 769:
#line 5540 "gram.y" /* yacc.c:1646  */
    {}
#line 32551 "gram.c" /* yacc.c:1646  */
    break;

  case 770:
#line 5544 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 32557 "gram.c" /* yacc.c:1646  */
    break;

  case 771:
#line 5545 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 32563 "gram.c" /* yacc.c:1646  */
    break;

  case 772:
#line 5549 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 32569 "gram.c" /* yacc.c:1646  */
    break;

  case 773:
#line 5550 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 32575 "gram.c" /* yacc.c:1646  */
    break;

  case 776:
#line 5559 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].value)); }
#line 32581 "gram.c" /* yacc.c:1646  */
    break;

  case 777:
#line 5560 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value)); }
#line 32587 "gram.c" /* yacc.c:1646  */
    break;

  case 778:
#line 5561 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32593 "gram.c" /* yacc.c:1646  */
    break;

  case 779:
#line 5566 "gram.y" /* yacc.c:1646  */
    {
					(yyval.value) = makeString(psprintf("%d", (yyvsp[0].ival)));
				}
#line 32601 "gram.c" /* yacc.c:1646  */
    break;

  case 780:
#line 5569 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 32607 "gram.c" /* yacc.c:1646  */
    break;

  case 781:
#line 5570 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 32613 "gram.c" /* yacc.c:1646  */
    break;

  case 782:
#line 5571 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 32619 "gram.c" /* yacc.c:1646  */
    break;

  case 783:
#line 5575 "gram.y" /* yacc.c:1646  */
    { (yyval.range) = (yyvsp[0].range); }
#line 32625 "gram.c" /* yacc.c:1646  */
    break;

  case 784:
#line 5576 "gram.y" /* yacc.c:1646  */
    { (yyval.range) = NULL; }
#line 32631 "gram.c" /* yacc.c:1646  */
    break;

  case 785:
#line 5581 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 32637 "gram.c" /* yacc.c:1646  */
    break;

  case 786:
#line 5583 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We must complain about conflicting options.
					 * We could, but choose not to, complain about redundant
					 * options (ie, where $2's bit is already set in $1).
					 */
					int		newspec = (yyvsp[-1].ival) | (yyvsp[0].ival);

					/* special message for this case */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED)) == (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("constraint declared INITIALLY DEFERRED must be DEFERRABLE"),
								 parser_errposition((yylsp[0]))));
					/* generic message for other conflicts */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE)) == (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE) ||
						(newspec & (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED)) == (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("conflicting constraint properties"),
								 parser_errposition((yylsp[0]))));
					(yyval.ival) = newspec;
				}
#line 32665 "gram.c" /* yacc.c:1646  */
    break;

  case 787:
#line 5609 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NOT_DEFERRABLE; }
#line 32671 "gram.c" /* yacc.c:1646  */
    break;

  case 788:
#line 5610 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_DEFERRABLE; }
#line 32677 "gram.c" /* yacc.c:1646  */
    break;

  case 789:
#line 5611 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_INITIALLY_IMMEDIATE; }
#line 32683 "gram.c" /* yacc.c:1646  */
    break;

  case 790:
#line 5612 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_INITIALLY_DEFERRED; }
#line 32689 "gram.c" /* yacc.c:1646  */
    break;

  case 791:
#line 5613 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NOT_VALID; }
#line 32695 "gram.c" /* yacc.c:1646  */
    break;

  case 792:
#line 5614 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NO_INHERIT; }
#line 32701 "gram.c" /* yacc.c:1646  */
    break;

  case 793:
#line 5629 "gram.y" /* yacc.c:1646  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);
					n->trigname = (yyvsp[-7].str);
					n->eventname = (yyvsp[-5].str);
					n->whenclause = NULL;
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 32714 "gram.c" /* yacc.c:1646  */
    break;

  case 794:
#line 5640 "gram.y" /* yacc.c:1646  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);
					n->trigname = (yyvsp[-9].str);
					n->eventname = (yyvsp[-7].str);
					n->whenclause = (yyvsp[-5].list);
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 32727 "gram.c" /* yacc.c:1646  */
    break;

  case 795:
#line 5652 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 32733 "gram.c" /* yacc.c:1646  */
    break;

  case 796:
#line 5654 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 32739 "gram.c" /* yacc.c:1646  */
    break;

  case 797:
#line 5659 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-4].str), (Node *) (yyvsp[-1].list), (yylsp[-4])); }
#line 32745 "gram.c" /* yacc.c:1646  */
    break;

  case 798:
#line 5664 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 32751 "gram.c" /* yacc.c:1646  */
    break;

  case 799:
#line 5666 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 32757 "gram.c" /* yacc.c:1646  */
    break;

  case 800:
#line 5671 "gram.y" /* yacc.c:1646  */
    {
					AlterEventTrigStmt *n = makeNode(AlterEventTrigStmt);
					n->trigname = (yyvsp[-1].str);
					n->tgenabled = (yyvsp[0].chr);
					(yyval.node) = (Node *) n;
				}
#line 32768 "gram.c" /* yacc.c:1646  */
    break;

  case 801:
#line 5680 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ON_ORIGIN; }
#line 32774 "gram.c" /* yacc.c:1646  */
    break;

  case 802:
#line 5681 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ON_REPLICA; }
#line 32780 "gram.c" /* yacc.c:1646  */
    break;

  case 803:
#line 5682 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ALWAYS; }
#line 32786 "gram.c" /* yacc.c:1646  */
    break;

  case 804:
#line 5683 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_DISABLED; }
#line 32792 "gram.c" /* yacc.c:1646  */
    break;

  case 805:
#line 5695 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE ASSERTION is not yet implemented")));

					(yyval.node) = NULL;
				}
#line 32804 "gram.c" /* yacc.c:1646  */
    break;

  case 806:
#line 5714 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = false;
					n->replace = (yyvsp[-4].boolean);
					n->defnames = (yyvsp[-2].list);
					n->args = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 32819 "gram.c" /* yacc.c:1646  */
    break;

  case 807:
#line 5725 "gram.y" /* yacc.c:1646  */
    {
					/* old-style (pre-8.2) syntax for CREATE AGGREGATE */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = true;
					n->replace = (yyvsp[-3].boolean);
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 32835 "gram.c" /* yacc.c:1646  */
    break;

  case 808:
#line 5737 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_OPERATOR;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 32849 "gram.c" /* yacc.c:1646  */
    break;

  case 809:
#line 5747 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 32863 "gram.c" /* yacc.c:1646  */
    break;

  case 810:
#line 5757 "gram.y" /* yacc.c:1646  */
    {
					/* Shell type (identified by lack of definition) */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[0].list);
					n->args = NIL;
					n->definition = NIL;
					(yyval.node) = (Node *)n;
				}
#line 32878 "gram.c" /* yacc.c:1646  */
    break;

  case 811:
#line 5768 "gram.y" /* yacc.c:1646  */
    {
					CompositeTypeStmt *n = makeNode(CompositeTypeStmt);

					/* can't use qualified_name, sigh */
					n->typevar = makeRangeVarFromAnyName((yyvsp[-4].list), (yylsp[-4]), yyscanner);
					n->coldeflist = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 32891 "gram.c" /* yacc.c:1646  */
    break;

  case 812:
#line 5777 "gram.y" /* yacc.c:1646  */
    {
					CreateEnumStmt *n = makeNode(CreateEnumStmt);
					n->typeName = (yyvsp[-5].list);
					n->vals = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 32902 "gram.c" /* yacc.c:1646  */
    break;

  case 813:
#line 5784 "gram.y" /* yacc.c:1646  */
    {
					CreateRangeStmt *n = makeNode(CreateRangeStmt);
					n->typeName = (yyvsp[-3].list);
					n->params	= (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 32913 "gram.c" /* yacc.c:1646  */
    break;

  case 814:
#line 5791 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSPARSER;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 32926 "gram.c" /* yacc.c:1646  */
    break;

  case 815:
#line 5800 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSDICTIONARY;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 32939 "gram.c" /* yacc.c:1646  */
    break;

  case 816:
#line 5809 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSTEMPLATE;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 32952 "gram.c" /* yacc.c:1646  */
    break;

  case 817:
#line 5818 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSCONFIGURATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 32965 "gram.c" /* yacc.c:1646  */
    break;

  case 818:
#line 5827 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 32978 "gram.c" /* yacc.c:1646  */
    break;

  case 819:
#line 5836 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 32992 "gram.c" /* yacc.c:1646  */
    break;

  case 820:
#line 5846 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list), (yylsp[0])));
					(yyval.node) = (Node *)n;
				}
#line 33005 "gram.c" /* yacc.c:1646  */
    break;

  case 821:
#line 5855 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list), (yylsp[0])));
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 33019 "gram.c" /* yacc.c:1646  */
    break;

  case 822:
#line 5866 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 33025 "gram.c" /* yacc.c:1646  */
    break;

  case 823:
#line 5869 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 33031 "gram.c" /* yacc.c:1646  */
    break;

  case 824:
#line 5870 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 33037 "gram.c" /* yacc.c:1646  */
    break;

  case 825:
#line 5874 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 33045 "gram.c" /* yacc.c:1646  */
    break;

  case 826:
#line 5878 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0]));
				}
#line 33053 "gram.c" /* yacc.c:1646  */
    break;

  case 827:
#line 5884 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].typnam); }
#line 33059 "gram.c" /* yacc.c:1646  */
    break;

  case 828:
#line 5885 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[0].keyword))); }
#line 33065 "gram.c" /* yacc.c:1646  */
    break;

  case 829:
#line 5886 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].list); }
#line 33071 "gram.c" /* yacc.c:1646  */
    break;

  case 830:
#line 5887 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].value); }
#line 33077 "gram.c" /* yacc.c:1646  */
    break;

  case 831:
#line 5888 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString((yyvsp[0].str)); }
#line 33083 "gram.c" /* yacc.c:1646  */
    break;

  case 832:
#line 5889 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[0].keyword))); }
#line 33089 "gram.c" /* yacc.c:1646  */
    break;

  case 833:
#line 5892 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 33095 "gram.c" /* yacc.c:1646  */
    break;

  case 834:
#line 5895 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 33101 "gram.c" /* yacc.c:1646  */
    break;

  case 835:
#line 5896 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 33107 "gram.c" /* yacc.c:1646  */
    break;

  case 836:
#line 5905 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)(yyvsp[0].node), (yylsp[-2]));
				}
#line 33115 "gram.c" /* yacc.c:1646  */
    break;

  case 837:
#line 5911 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 33121 "gram.c" /* yacc.c:1646  */
    break;

  case 838:
#line 5912 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33127 "gram.c" /* yacc.c:1646  */
    break;

  case 839:
#line 5916 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 33133 "gram.c" /* yacc.c:1646  */
    break;

  case 840:
#line 5918 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 33139 "gram.c" /* yacc.c:1646  */
    break;

  case 841:
#line 5929 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-4].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = true;
				n->skipIfNewValExists = (yyvsp[-1].boolean);
				(yyval.node) = (Node *) n;
			}
#line 33154 "gram.c" /* yacc.c:1646  */
    break;

  case 842:
#line 5940 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-6].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = false;
				n->skipIfNewValExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 33169 "gram.c" /* yacc.c:1646  */
    break;

  case 843:
#line 5951 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-6].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = true;
				n->skipIfNewValExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 33184 "gram.c" /* yacc.c:1646  */
    break;

  case 844:
#line 5962 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-5].list);
				n->oldVal = (yyvsp[-2].str);
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = false;
				n->skipIfNewValExists = false;
				(yyval.node) = (Node *) n;
			}
#line 33199 "gram.c" /* yacc.c:1646  */
    break;

  case 845:
#line 5974 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 33205 "gram.c" /* yacc.c:1646  */
    break;

  case 846:
#line 5975 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 33211 "gram.c" /* yacc.c:1646  */
    break;

  case 847:
#line 5993 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassStmt *n = makeNode(CreateOpClassStmt);
					n->opclassname = (yyvsp[-9].list);
					n->isDefault = (yyvsp[-8].boolean);
					n->datatype = (yyvsp[-5].typnam);
					n->amname = (yyvsp[-3].str);
					n->opfamilyname = (yyvsp[-2].list);
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 33226 "gram.c" /* yacc.c:1646  */
    break;

  case 848:
#line 6006 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 33232 "gram.c" /* yacc.c:1646  */
    break;

  case 849:
#line 6007 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 33238 "gram.c" /* yacc.c:1646  */
    break;

  case 850:
#line 6012 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					ObjectWithArgs *owa = makeNode(ObjectWithArgs);
					owa->objname = (yyvsp[-2].list);
					owa->objargs = NIL;
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = owa;
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 33254 "gram.c" /* yacc.c:1646  */
    break;

  case 851:
#line 6025 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[-2].objwithargs);
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 33267 "gram.c" /* yacc.c:1646  */
    break;

  case 852:
#line 6034 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[0].objwithargs);
					n->number = (yyvsp[-1].ival);
					(yyval.node) = (Node *) n;
				}
#line 33279 "gram.c" /* yacc.c:1646  */
    break;

  case 853:
#line 6042 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[0].objwithargs);
					n->number = (yyvsp[-4].ival);
					n->class_args = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 33292 "gram.c" /* yacc.c:1646  */
    break;

  case 854:
#line 6051 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_STORAGETYPE;
					n->storedtype = (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 33303 "gram.c" /* yacc.c:1646  */
    break;

  case 855:
#line 6059 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 33309 "gram.c" /* yacc.c:1646  */
    break;

  case 856:
#line 6060 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 33315 "gram.c" /* yacc.c:1646  */
    break;

  case 857:
#line 6063 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 33321 "gram.c" /* yacc.c:1646  */
    break;

  case 858:
#line 6064 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33327 "gram.c" /* yacc.c:1646  */
    break;

  case 859:
#line 6067 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33333 "gram.c" /* yacc.c:1646  */
    break;

  case 860:
#line 6068 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 33339 "gram.c" /* yacc.c:1646  */
    break;

  case 861:
#line 6069 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33345 "gram.c" /* yacc.c:1646  */
    break;

  case 862:
#line 6073 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * RECHECK no longer does anything in opclass definitions,
					 * but we still accept it to ease porting of old database
					 * dumps.
					 */
					ereport(NOTICE,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("RECHECK is no longer required"),
							 errhint("Update your data type."),
							 parser_errposition((yylsp[0]))));
					(yyval.boolean) = true;
				}
#line 33363 "gram.c" /* yacc.c:1646  */
    break;

  case 863:
#line 6086 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 33369 "gram.c" /* yacc.c:1646  */
    break;

  case 864:
#line 6092 "gram.y" /* yacc.c:1646  */
    {
					CreateOpFamilyStmt *n = makeNode(CreateOpFamilyStmt);
					n->opfamilyname = (yyvsp[-2].list);
					n->amname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33380 "gram.c" /* yacc.c:1646  */
    break;

  case 865:
#line 6102 "gram.y" /* yacc.c:1646  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = false;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 33393 "gram.c" /* yacc.c:1646  */
    break;

  case 866:
#line 6111 "gram.y" /* yacc.c:1646  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = true;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 33406 "gram.c" /* yacc.c:1646  */
    break;

  case 867:
#line 6122 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 33412 "gram.c" /* yacc.c:1646  */
    break;

  case 868:
#line 6123 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 33418 "gram.c" /* yacc.c:1646  */
    break;

  case 869:
#line 6128 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->number = (yyvsp[-3].ival);
					n->class_args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 33430 "gram.c" /* yacc.c:1646  */
    break;

  case 870:
#line 6136 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->number = (yyvsp[-3].ival);
					n->class_args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 33442 "gram.c" /* yacc.c:1646  */
    break;

  case 871:
#line 6148 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 33456 "gram.c" /* yacc.c:1646  */
    break;

  case 872:
#line 6158 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 33470 "gram.c" /* yacc.c:1646  */
    break;

  case 873:
#line 6171 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 33484 "gram.c" /* yacc.c:1646  */
    break;

  case 874:
#line 6181 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 33498 "gram.c" /* yacc.c:1646  */
    break;

  case 875:
#line 6203 "gram.y" /* yacc.c:1646  */
    {
					DropOwnedStmt *n = makeNode(DropOwnedStmt);
					n->roles = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 33509 "gram.c" /* yacc.c:1646  */
    break;

  case 876:
#line 6213 "gram.y" /* yacc.c:1646  */
    {
					ReassignOwnedStmt *n = makeNode(ReassignOwnedStmt);
					n->roles = (yyvsp[-2].list);
					n->newrole = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 33520 "gram.c" /* yacc.c:1646  */
    break;

  case 877:
#line 6231 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 33534 "gram.c" /* yacc.c:1646  */
    break;

  case 878:
#line 6241 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 33548 "gram.c" /* yacc.c:1646  */
    break;

  case 879:
#line 6251 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 33562 "gram.c" /* yacc.c:1646  */
    break;

  case 880:
#line 6261 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 33576 "gram.c" /* yacc.c:1646  */
    break;

  case 881:
#line 6271 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-4].objtype);
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 33590 "gram.c" /* yacc.c:1646  */
    break;

  case 882:
#line 6281 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-6].objtype);
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 33604 "gram.c" /* yacc.c:1646  */
    break;

  case 883:
#line 6291 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TYPE;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 33618 "gram.c" /* yacc.c:1646  */
    break;

  case 884:
#line 6301 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TYPE;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 33632 "gram.c" /* yacc.c:1646  */
    break;

  case 885:
#line 6311 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 33646 "gram.c" /* yacc.c:1646  */
    break;

  case 886:
#line 6321 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 33660 "gram.c" /* yacc.c:1646  */
    break;

  case 887:
#line 6331 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
#line 33674 "gram.c" /* yacc.c:1646  */
    break;

  case 888:
#line 6341 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
#line 33688 "gram.c" /* yacc.c:1646  */
    break;

  case 889:
#line 6354 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 33694 "gram.c" /* yacc.c:1646  */
    break;

  case 890:
#line 6355 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 33700 "gram.c" /* yacc.c:1646  */
    break;

  case 891:
#line 6356 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 33706 "gram.c" /* yacc.c:1646  */
    break;

  case 892:
#line 6357 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 33712 "gram.c" /* yacc.c:1646  */
    break;

  case 893:
#line 6358 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 33718 "gram.c" /* yacc.c:1646  */
    break;

  case 894:
#line 6359 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 33724 "gram.c" /* yacc.c:1646  */
    break;

  case 895:
#line 6360 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLLATION; }
#line 33730 "gram.c" /* yacc.c:1646  */
    break;

  case 896:
#line 6361 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_CONVERSION; }
#line 33736 "gram.c" /* yacc.c:1646  */
    break;

  case 897:
#line 6362 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_STATISTIC_EXT; }
#line 33742 "gram.c" /* yacc.c:1646  */
    break;

  case 898:
#line 6363 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSPARSER; }
#line 33748 "gram.c" /* yacc.c:1646  */
    break;

  case 899:
#line 6364 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 33754 "gram.c" /* yacc.c:1646  */
    break;

  case 900:
#line 6365 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 33760 "gram.c" /* yacc.c:1646  */
    break;

  case 901:
#line 6366 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 33766 "gram.c" /* yacc.c:1646  */
    break;

  case 902:
#line 6371 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ACCESS_METHOD; }
#line 33772 "gram.c" /* yacc.c:1646  */
    break;

  case 903:
#line 6372 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 33778 "gram.c" /* yacc.c:1646  */
    break;

  case 904:
#line 6373 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EXTENSION; }
#line 33784 "gram.c" /* yacc.c:1646  */
    break;

  case 905:
#line 6374 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FDW; }
#line 33790 "gram.c" /* yacc.c:1646  */
    break;

  case 906:
#line 6375 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_PUBLICATION; }
#line 33796 "gram.c" /* yacc.c:1646  */
    break;

  case 907:
#line 6376 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 33802 "gram.c" /* yacc.c:1646  */
    break;

  case 908:
#line 6377 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_SERVER; }
#line 33808 "gram.c" /* yacc.c:1646  */
    break;

  case 909:
#line 6382 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_POLICY; }
#line 33814 "gram.c" /* yacc.c:1646  */
    break;

  case 910:
#line 6383 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_RULE; }
#line 33820 "gram.c" /* yacc.c:1646  */
    break;

  case 911:
#line 6384 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TRIGGER; }
#line 33826 "gram.c" /* yacc.c:1646  */
    break;

  case 912:
#line 6388 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 33832 "gram.c" /* yacc.c:1646  */
    break;

  case 913:
#line 6389 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 33838 "gram.c" /* yacc.c:1646  */
    break;

  case 914:
#line 6392 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 33844 "gram.c" /* yacc.c:1646  */
    break;

  case 915:
#line 6393 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 33850 "gram.c" /* yacc.c:1646  */
    break;

  case 916:
#line 6397 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 33856 "gram.c" /* yacc.c:1646  */
    break;

  case 917:
#line 6399 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 33862 "gram.c" /* yacc.c:1646  */
    break;

  case 918:
#line 6403 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 33868 "gram.c" /* yacc.c:1646  */
    break;

  case 919:
#line 6404 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 33874 "gram.c" /* yacc.c:1646  */
    break;

  case 920:
#line 6416 "gram.y" /* yacc.c:1646  */
    {
					TruncateStmt *n = makeNode(TruncateStmt);
					n->relations = (yyvsp[-2].list);
					n->restart_seqs = (yyvsp[-1].boolean);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 33886 "gram.c" /* yacc.c:1646  */
    break;

  case 921:
#line 6426 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 33892 "gram.c" /* yacc.c:1646  */
    break;

  case 922:
#line 6427 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 33898 "gram.c" /* yacc.c:1646  */
    break;

  case 923:
#line 6428 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 33904 "gram.c" /* yacc.c:1646  */
    break;

  case 924:
#line 6463 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33916 "gram.c" /* yacc.c:1646  */
    break;

  case 925:
#line 6471 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) makeString((yyvsp[-2].str));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33928 "gram.c" /* yacc.c:1646  */
    break;

  case 926:
#line 6479 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33940 "gram.c" /* yacc.c:1646  */
    break;

  case 927:
#line 6487 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33952 "gram.c" /* yacc.c:1646  */
    break;

  case 928:
#line 6495 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33964 "gram.c" /* yacc.c:1646  */
    break;

  case 929:
#line 6503 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33976 "gram.c" /* yacc.c:1646  */
    break;

  case 930:
#line 6511 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33988 "gram.c" /* yacc.c:1646  */
    break;

  case 931:
#line 6519 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TABCONSTRAINT;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34000 "gram.c" /* yacc.c:1646  */
    break;

  case 932:
#line 6527 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_DOMCONSTRAINT;
					/*
					 * should use Typename not any_name in the production, but
					 * there's a shift/reduce conflict if we do that, so fix it
					 * up here.
					 */
					n->object = (Node *) list_make2(makeTypeNameFromNameList((yyvsp[-2].list)), makeString((yyvsp[-5].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34017 "gram.c" /* yacc.c:1646  */
    break;

  case 933:
#line 6540 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_POLICY;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34029 "gram.c" /* yacc.c:1646  */
    break;

  case 934:
#line 6548 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34041 "gram.c" /* yacc.c:1646  */
    break;

  case 935:
#line 6556 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34053 "gram.c" /* yacc.c:1646  */
    break;

  case 936:
#line 6564 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34065 "gram.c" /* yacc.c:1646  */
    break;

  case 937:
#line 6572 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TRANSFORM;
					n->object = (Node *) list_make2((yyvsp[-4].typnam), makeString((yyvsp[-2].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34077 "gram.c" /* yacc.c:1646  */
    break;

  case 938:
#line 6580 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TRIGGER;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34089 "gram.c" /* yacc.c:1646  */
    break;

  case 939:
#line 6588 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34101 "gram.c" /* yacc.c:1646  */
    break;

  case 940:
#line 6596 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34113 "gram.c" /* yacc.c:1646  */
    break;

  case 941:
#line 6604 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-2].value);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34125 "gram.c" /* yacc.c:1646  */
    break;

  case 942:
#line 6612 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CAST;
					n->object = (Node *) list_make2((yyvsp[-5].typnam), (yyvsp[-3].typnam));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34137 "gram.c" /* yacc.c:1646  */
    break;

  case 943:
#line 6623 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLUMN; }
#line 34143 "gram.c" /* yacc.c:1646  */
    break;

  case 944:
#line 6624 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 34149 "gram.c" /* yacc.c:1646  */
    break;

  case 945:
#line 6625 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 34155 "gram.c" /* yacc.c:1646  */
    break;

  case 946:
#line 6626 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_STATISTIC_EXT; }
#line 34161 "gram.c" /* yacc.c:1646  */
    break;

  case 947:
#line 6627 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 34167 "gram.c" /* yacc.c:1646  */
    break;

  case 948:
#line 6628 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 34173 "gram.c" /* yacc.c:1646  */
    break;

  case 949:
#line 6629 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 34179 "gram.c" /* yacc.c:1646  */
    break;

  case 950:
#line 6630 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLLATION; }
#line 34185 "gram.c" /* yacc.c:1646  */
    break;

  case 951:
#line 6631 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_CONVERSION; }
#line 34191 "gram.c" /* yacc.c:1646  */
    break;

  case 952:
#line 6632 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 34197 "gram.c" /* yacc.c:1646  */
    break;

  case 953:
#line 6633 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 34203 "gram.c" /* yacc.c:1646  */
    break;

  case 954:
#line 6634 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 34209 "gram.c" /* yacc.c:1646  */
    break;

  case 955:
#line 6635 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSPARSER; }
#line 34215 "gram.c" /* yacc.c:1646  */
    break;

  case 956:
#line 6636 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 34221 "gram.c" /* yacc.c:1646  */
    break;

  case 957:
#line 6641 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ACCESS_METHOD; }
#line 34227 "gram.c" /* yacc.c:1646  */
    break;

  case 958:
#line 6642 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DATABASE; }
#line 34233 "gram.c" /* yacc.c:1646  */
    break;

  case 959:
#line 6643 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 34239 "gram.c" /* yacc.c:1646  */
    break;

  case 960:
#line 6644 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EXTENSION; }
#line 34245 "gram.c" /* yacc.c:1646  */
    break;

  case 961:
#line 6645 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FDW; }
#line 34251 "gram.c" /* yacc.c:1646  */
    break;

  case 962:
#line 6646 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_LANGUAGE; }
#line 34257 "gram.c" /* yacc.c:1646  */
    break;

  case 963:
#line 6647 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_PUBLICATION; }
#line 34263 "gram.c" /* yacc.c:1646  */
    break;

  case 964:
#line 6648 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ROLE; }
#line 34269 "gram.c" /* yacc.c:1646  */
    break;

  case 965:
#line 6649 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 34275 "gram.c" /* yacc.c:1646  */
    break;

  case 966:
#line 6650 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_SERVER; }
#line 34281 "gram.c" /* yacc.c:1646  */
    break;

  case 967:
#line 6651 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SUBSCRIPTION; }
#line 34287 "gram.c" /* yacc.c:1646  */
    break;

  case 968:
#line 6652 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 34293 "gram.c" /* yacc.c:1646  */
    break;

  case 969:
#line 6656 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34299 "gram.c" /* yacc.c:1646  */
    break;

  case 970:
#line 6657 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 34305 "gram.c" /* yacc.c:1646  */
    break;

  case 971:
#line 6673 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) (yyvsp[-2].list);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34318 "gram.c" /* yacc.c:1646  */
    break;

  case 972:
#line 6683 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) makeString((yyvsp[-2].str));
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34331 "gram.c" /* yacc.c:1646  */
    break;

  case 973:
#line 6693 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34344 "gram.c" /* yacc.c:1646  */
    break;

  case 974:
#line 6703 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34357 "gram.c" /* yacc.c:1646  */
    break;

  case 975:
#line 6713 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34370 "gram.c" /* yacc.c:1646  */
    break;

  case 976:
#line 6723 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34383 "gram.c" /* yacc.c:1646  */
    break;

  case 977:
#line 6733 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-2].value);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34396 "gram.c" /* yacc.c:1646  */
    break;

  case 978:
#line 6743 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34409 "gram.c" /* yacc.c:1646  */
    break;

  case 979:
#line 6753 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34422 "gram.c" /* yacc.c:1646  */
    break;

  case 980:
#line 6763 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34428 "gram.c" /* yacc.c:1646  */
    break;

  case 981:
#line 6764 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 34434 "gram.c" /* yacc.c:1646  */
    break;

  case 982:
#line 6769 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLUMN; }
#line 34440 "gram.c" /* yacc.c:1646  */
    break;

  case 983:
#line 6770 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 34446 "gram.c" /* yacc.c:1646  */
    break;

  case 984:
#line 6771 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 34452 "gram.c" /* yacc.c:1646  */
    break;

  case 985:
#line 6772 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 34458 "gram.c" /* yacc.c:1646  */
    break;

  case 986:
#line 6773 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 34464 "gram.c" /* yacc.c:1646  */
    break;

  case 987:
#line 6774 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 34470 "gram.c" /* yacc.c:1646  */
    break;

  case 988:
#line 6779 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DATABASE; }
#line 34476 "gram.c" /* yacc.c:1646  */
    break;

  case 989:
#line 6780 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 34482 "gram.c" /* yacc.c:1646  */
    break;

  case 990:
#line 6781 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_LANGUAGE; }
#line 34488 "gram.c" /* yacc.c:1646  */
    break;

  case 991:
#line 6782 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_PUBLICATION; }
#line 34494 "gram.c" /* yacc.c:1646  */
    break;

  case 992:
#line 6783 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ROLE; }
#line 34500 "gram.c" /* yacc.c:1646  */
    break;

  case 993:
#line 6784 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 34506 "gram.c" /* yacc.c:1646  */
    break;

  case 994:
#line 6785 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SUBSCRIPTION; }
#line 34512 "gram.c" /* yacc.c:1646  */
    break;

  case 995:
#line 6786 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 34518 "gram.c" /* yacc.c:1646  */
    break;

  case 996:
#line 6789 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34524 "gram.c" /* yacc.c:1646  */
    break;

  case 997:
#line 6790 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 34530 "gram.c" /* yacc.c:1646  */
    break;

  case 998:
#line 6801 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);
					n->ismove = false;
					(yyval.node) = (Node *)n;
				}
#line 34540 "gram.c" /* yacc.c:1646  */
    break;

  case 999:
#line 6807 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);
					n->ismove = true;
					(yyval.node) = (Node *)n;
				}
#line 34550 "gram.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 6815 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 34562 "gram.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 6823 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 34574 "gram.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 6831 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 34586 "gram.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 6839 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 34598 "gram.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 6847 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 34610 "gram.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 6855 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = -1;
					(yyval.node) = (Node *)n;
				}
#line 34622 "gram.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 6863 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 34634 "gram.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 6871 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_RELATIVE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 34646 "gram.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 6879 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 34658 "gram.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 6887 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 34670 "gram.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 6895 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 34682 "gram.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 6903 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 34694 "gram.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 6911 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 34706 "gram.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 6919 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 34718 "gram.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 6927 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 34730 "gram.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 6935 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 34742 "gram.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 6944 "gram.y" /* yacc.c:1646  */
    {}
#line 34748 "gram.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 6945 "gram.y" /* yacc.c:1646  */
    {}
#line 34754 "gram.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 6948 "gram.y" /* yacc.c:1646  */
    {}
#line 34760 "gram.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 6949 "gram.y" /* yacc.c:1646  */
    {}
#line 34766 "gram.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 6961 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 34782 "gram.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 6977 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 34799 "gram.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 6991 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 34816 "gram.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 7016 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 34822 "gram.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 7018 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34828 "gram.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 7020 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34834 "gram.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 7022 "gram.y" /* yacc.c:1646  */
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 34845 "gram.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 7029 "gram.y" /* yacc.c:1646  */
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 34856 "gram.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 7037 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].accesspriv)); }
#line 34862 "gram.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 7038 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].accesspriv)); }
#line 34868 "gram.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 7042 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 34879 "gram.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 7049 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 34890 "gram.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 7056 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 34901 "gram.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 7063 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = (yyvsp[-1].str);
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 34912 "gram.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 7077 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34924 "gram.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 7085 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34936 "gram.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 7093 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34948 "gram.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 7101 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FDW;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34960 "gram.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 7109 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FOREIGN_SERVER;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34972 "gram.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 7117 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34984 "gram.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 7125 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_PROCEDURE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34996 "gram.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 7133 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_ROUTINE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 35008 "gram.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 7141 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_DATABASE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 35020 "gram.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 7149 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_DOMAIN;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 35032 "gram.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 7157 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_LANGUAGE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 35044 "gram.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 7165 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_LARGEOBJECT;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 35056 "gram.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 7173 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_SCHEMA;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 35068 "gram.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 7181 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLESPACE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 35080 "gram.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 7189 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TYPE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 35092 "gram.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 7197 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 35104 "gram.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 7205 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 35116 "gram.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 7213 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 35128 "gram.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 7221 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_PROCEDURE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 35140 "gram.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 7229 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_ROUTINE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 35152 "gram.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 7240 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].rolespec)); }
#line 35158 "gram.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 7241 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].rolespec)); }
#line 35164 "gram.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 7245 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 35170 "gram.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 7246 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 35176 "gram.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 7251 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 35182 "gram.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 7252 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 35188 "gram.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 7263 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = true;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->admin_opt = (yyvsp[-1].boolean);
					n->grantor = (yyvsp[0].rolespec);
					(yyval.node) = (Node*)n;
				}
#line 35202 "gram.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 7276 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = false;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node*)n;
				}
#line 35216 "gram.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 7286 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = true;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node*)n;
				}
#line 35230 "gram.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 7297 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 35236 "gram.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 7298 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 35242 "gram.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 7301 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 35248 "gram.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 7302 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = NULL; }
#line 35254 "gram.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 7313 "gram.y" /* yacc.c:1646  */
    {
					AlterDefaultPrivilegesStmt *n = makeNode(AlterDefaultPrivilegesStmt);
					n->options = (yyvsp[-1].list);
					n->action = (GrantStmt *) (yyvsp[0].node);
					(yyval.node) = (Node*)n;
				}
#line 35265 "gram.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 7322 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 35271 "gram.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 7323 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35277 "gram.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 7328 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("schemas", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 35285 "gram.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 7332 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 35293 "gram.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 7336 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 35301 "gram.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 7348 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 35317 "gram.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 7361 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 35334 "gram.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 7375 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 35351 "gram.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 7390 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_TABLE; }
#line 35357 "gram.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 7391 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_FUNCTION; }
#line 35363 "gram.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 7392 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_FUNCTION; }
#line 35369 "gram.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 7393 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_SEQUENCE; }
#line 35375 "gram.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 7394 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_TYPE; }
#line 35381 "gram.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 7395 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_SCHEMA; }
#line 35387 "gram.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 7410 "gram.y" /* yacc.c:1646  */
    {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[-13].boolean);
					n->concurrent = (yyvsp[-11].boolean);
					n->idxname = (yyvsp[-10].str);
					n->relation = (yyvsp[-8].range);
					n->accessMethod = (yyvsp[-7].str);
					n->indexParams = (yyvsp[-5].list);
					n->indexIncludingParams = (yyvsp[-3].list);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNode = InvalidOid;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = false;
					n->reset_default_tblspc = false;
					(yyval.node) = (Node *)n;
				}
#line 35417 "gram.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 7438 "gram.y" /* yacc.c:1646  */
    {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[-16].boolean);
					n->concurrent = (yyvsp[-14].boolean);
					n->idxname = (yyvsp[-10].str);
					n->relation = (yyvsp[-8].range);
					n->accessMethod = (yyvsp[-7].str);
					n->indexParams = (yyvsp[-5].list);
					n->indexIncludingParams = (yyvsp[-3].list);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNode = InvalidOid;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = true;
					n->reset_default_tblspc = false;
					(yyval.node) = (Node *)n;
				}
#line 35447 "gram.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 7466 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 35453 "gram.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 7467 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 35459 "gram.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 7471 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 35465 "gram.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 7472 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 35471 "gram.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 7476 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35477 "gram.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 7477 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 35483 "gram.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 7481 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35489 "gram.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 7482 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = DEFAULT_INDEX_TYPE; }
#line 35495 "gram.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 7485 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 35501 "gram.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 7486 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 35507 "gram.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 7495 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = (yyvsp[-4].str);
					(yyval.ielem)->expr = NULL;
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 35522 "gram.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 7506 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[-4].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 35537 "gram.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 7517 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[-5].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 35552 "gram.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 7529 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 35558 "gram.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 7530 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35564 "gram.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 7533 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 35570 "gram.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 7534 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 35576 "gram.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 7537 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35582 "gram.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 7538 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35588 "gram.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 7541 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35594 "gram.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 7542 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35600 "gram.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 7545 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_ASC; }
#line 35606 "gram.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 7546 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_DESC; }
#line 35612 "gram.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 7547 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_DEFAULT; }
#line 35618 "gram.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 7550 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_FIRST; }
#line 35624 "gram.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 7551 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_LAST; }
#line 35630 "gram.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 7552 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_DEFAULT; }
#line 35636 "gram.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 7570 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->is_procedure = false;
					n->replace = (yyvsp[-6].boolean);
					n->funcname = (yyvsp[-4].list);
					n->parameters = (yyvsp[-3].list);
					n->returnType = (yyvsp[-1].typnam);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 35651 "gram.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 7582 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->is_procedure = false;
					n->replace = (yyvsp[-9].boolean);
					n->funcname = (yyvsp[-7].list);
					n->parameters = mergeTableFuncParameters((yyvsp[-6].list), (yyvsp[-2].list));
					n->returnType = TableFuncTypeName((yyvsp[-2].list));
					n->returnType->location = (yylsp[-4]);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 35667 "gram.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 7595 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->is_procedure = false;
					n->replace = (yyvsp[-4].boolean);
					n->funcname = (yyvsp[-2].list);
					n->parameters = (yyvsp[-1].list);
					n->returnType = NULL;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 35682 "gram.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 7607 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->is_procedure = true;
					n->replace = (yyvsp[-4].boolean);
					n->funcname = (yyvsp[-2].list);
					n->parameters = (yyvsp[-1].list);
					n->returnType = NULL;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 35697 "gram.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 7620 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 35703 "gram.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 7621 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 35709 "gram.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 7624 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 35715 "gram.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 7625 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35721 "gram.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 7629 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 35727 "gram.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 7630 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 35733 "gram.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 7634 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 35739 "gram.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 7636 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 35745 "gram.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 7641 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = (yyvsp[-1].list);
					n->objargs = extractArgTypes((yyvsp[0].list));
					(yyval.objwithargs) = n;
				}
#line 35756 "gram.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 7653 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = list_make1(makeString(pstrdup((yyvsp[0].keyword))));
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 35767 "gram.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 7660 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = list_make1(makeString((yyvsp[0].str)));
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 35778 "gram.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 7667 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
												  yyscanner);
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 35790 "gram.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 7681 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 35796 "gram.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 7682 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35802 "gram.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 7686 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 35808 "gram.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 7688 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 35814 "gram.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 7703 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-2].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 35827 "gram.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 7712 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-2].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 35840 "gram.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 7721 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 35853 "gram.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 7730 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 35866 "gram.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 7739 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 35879 "gram.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 7750 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_IN; }
#line 35885 "gram.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 7751 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_OUT; }
#line 35891 "gram.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 7752 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 35897 "gram.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 7753 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 35903 "gram.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 7754 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_VARIADIC; }
#line 35909 "gram.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 7765 "gram.y" /* yacc.c:1646  */
    {
					/* We can catch over-specified results here if we want to,
					 * but for now better to silently swallow typmod, etc.
					 * - thomas 2000-03-22
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 35921 "gram.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 7779 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 35927 "gram.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 7781 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 35937 "gram.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 7787 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->setof = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 35948 "gram.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 7797 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 35956 "gram.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 7801 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 35965 "gram.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 7806 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 35974 "gram.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 7814 "gram.y" /* yacc.c:1646  */
    {
					if (!((yyvsp[0].fun_param)->mode == FUNC_PARAM_IN ||
						  (yyvsp[0].fun_param)->mode == FUNC_PARAM_VARIADIC))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("aggregates cannot have output arguments"),
								 parser_errposition((yylsp[0]))));
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 35988 "gram.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 7855 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NIL, makeInteger(-1));
				}
#line 35996 "gram.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 7859 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(-1));
				}
#line 36004 "gram.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 7863 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(0));
				}
#line 36012 "gram.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 7867 "gram.y" /* yacc.c:1646  */
    {
					/* this is the only case requiring consistency checking */
					(yyval.list) = makeOrderedSetArgs((yyvsp[-4].list), (yyvsp[-1].list), yyscanner);
				}
#line 36021 "gram.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 7874 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 36027 "gram.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 7875 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 36033 "gram.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 7880 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = (yyvsp[-1].list);
					n->objargs = extractAggrArgTypes((yyvsp[0].list));
					(yyval.objwithargs) = n;
				}
#line 36044 "gram.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 7889 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 36050 "gram.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 7891 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 36056 "gram.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 7896 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 36062 "gram.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 7897 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 36068 "gram.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 7905 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(false), (yylsp[-3]));
				}
#line 36076 "gram.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 7909 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(true), (yylsp[-4]));
				}
#line 36084 "gram.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 7913 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 36092 "gram.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 7917 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("immutable"), (yylsp[0]));
				}
#line 36100 "gram.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 7921 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("stable"), (yylsp[0]));
				}
#line 36108 "gram.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 7925 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("volatile"), (yylsp[0]));
				}
#line 36116 "gram.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 7929 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(true), (yylsp[-2]));
				}
#line 36124 "gram.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 7933 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(false), (yylsp[-2]));
				}
#line 36132 "gram.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 7937 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(true), (yylsp[-1]));
				}
#line 36140 "gram.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 7941 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(false), (yylsp[-1]));
				}
#line 36148 "gram.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 7945 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 36156 "gram.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 7949 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(false), (yylsp[-1]));
				}
#line 36164 "gram.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 7953 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cost", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 36172 "gram.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 7957 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rows", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 36180 "gram.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 7961 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("support", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 36188 "gram.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 7965 "gram.y" /* yacc.c:1646  */
    {
					/* we abuse the normal content of a DefElem here */
					(yyval.defelt) = makeDefElem("set", (Node *)(yyvsp[0].vsetstmt), (yylsp[0]));
				}
#line 36197 "gram.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 7970 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("parallel", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 36205 "gram.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 7977 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 36213 "gram.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 7981 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 36221 "gram.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 7985 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("transform", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 36229 "gram.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 7989 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("window", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 36237 "gram.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 7993 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 36245 "gram.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 7998 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 36251 "gram.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 8000 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeString((yyvsp[-2].str)), makeString((yyvsp[0].str)));
				}
#line 36259 "gram.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 8006 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 36265 "gram.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 8007 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-4].list), (yyvsp[0].typnam)); }
#line 36271 "gram.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 8011 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36277 "gram.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 8012 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36283 "gram.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 8016 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_TABLE;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 36296 "gram.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 8028 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].fun_param));
				}
#line 36304 "gram.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 8032 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param));
				}
#line 36312 "gram.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 8047 "gram.y" /* yacc.c:1646  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);
					n->objtype = OBJECT_FUNCTION;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 36324 "gram.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 8055 "gram.y" /* yacc.c:1646  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);
					n->objtype = OBJECT_PROCEDURE;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 36336 "gram.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 8063 "gram.y" /* yacc.c:1646  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);
					n->objtype = OBJECT_ROUTINE;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 36348 "gram.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 8074 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 36354 "gram.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 8075 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 36360 "gram.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 8099 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 36374 "gram.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 8109 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 36388 "gram.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 8119 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_PROCEDURE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 36402 "gram.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 8129 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_PROCEDURE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 36416 "gram.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 8139 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_ROUTINE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 36430 "gram.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 8149 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_ROUTINE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 36444 "gram.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 8162 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 36458 "gram.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 8172 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 36472 "gram.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 8185 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 36486 "gram.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 8195 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 36500 "gram.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 8208 "gram.y" /* yacc.c:1646  */
    {
				   ereport(ERROR,
						   (errcode(ERRCODE_SYNTAX_ERROR),
							errmsg("missing argument"),
							errhint("Use NONE to denote the missing argument of a unary operator."),
							parser_errposition((yylsp[0]))));
				}
#line 36512 "gram.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 8216 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam)); }
#line 36518 "gram.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 8218 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL, (yyvsp[-1].typnam)); }
#line 36524 "gram.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 8220 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), NULL); }
#line 36530 "gram.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 8225 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 36536 "gram.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 8227 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-2].str)), (yyvsp[0].list)); }
#line 36542 "gram.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 8231 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 36548 "gram.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 8233 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 36554 "gram.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 8238 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = (yyvsp[-1].list);
					n->objargs = (yyvsp[0].list);
					(yyval.objwithargs) = n;
				}
#line 36565 "gram.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 8256 "gram.y" /* yacc.c:1646  */
    {
					DoStmt *n = makeNode(DoStmt);
					n->args = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 36575 "gram.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 8264 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 36581 "gram.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 8265 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 36587 "gram.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 8270 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)makeString((yyvsp[0].str)), (yylsp[0]));
				}
#line 36595 "gram.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 8274 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 36603 "gram.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 8287 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-7].typnam);
					n->targettype = (yyvsp[-5].typnam);
					n->func = (yyvsp[-1].objwithargs);
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
#line 36617 "gram.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 8298 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
#line 36631 "gram.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 8309 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = true;
					(yyval.node) = (Node *)n;
				}
#line 36645 "gram.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 8320 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_IMPLICIT; }
#line 36651 "gram.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 8321 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_ASSIGNMENT; }
#line 36657 "gram.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 8322 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_EXPLICIT; }
#line 36663 "gram.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 8327 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_CAST;
					n->objects = list_make1(list_make2((yyvsp[-4].typnam), (yyvsp[-2].typnam)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-6].boolean);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 36677 "gram.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 8338 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 36683 "gram.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 8339 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 36689 "gram.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 8350 "gram.y" /* yacc.c:1646  */
    {
					CreateTransformStmt *n = makeNode(CreateTransformStmt);
					n->replace = (yyvsp[-8].boolean);
					n->type_name = (yyvsp[-5].typnam);
					n->lang = (yyvsp[-3].str);
					n->fromsql = linitial((yyvsp[-1].list));
					n->tosql = lsecond((yyvsp[-1].list));
					(yyval.node) = (Node *)n;
				}
#line 36703 "gram.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 8362 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-6].objwithargs), (yyvsp[0].objwithargs));
				}
#line 36711 "gram.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 8366 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].objwithargs), (yyvsp[-6].objwithargs));
				}
#line 36719 "gram.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 8370 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].objwithargs), NULL);
				}
#line 36727 "gram.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 8374 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[0].objwithargs));
				}
#line 36735 "gram.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 8381 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TRANSFORM;
					n->objects = list_make1(list_make2((yyvsp[-3].typnam), makeString((yyvsp[-1].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-5].boolean);
					(yyval.node) = (Node *)n;
				}
#line 36748 "gram.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 8401 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-2].ival);
					n->concurrent = (yyvsp[-1].boolean);
					n->relation = (yyvsp[0].range);
					n->name = NULL;
					n->options = 0;
					(yyval.node) = (Node *)n;
				}
#line 36762 "gram.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 8411 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-2].ival);
					n->concurrent = (yyvsp[-1].boolean);
					n->name = (yyvsp[0].str);
					n->relation = NULL;
					n->options = 0;
					(yyval.node) = (Node *)n;
				}
#line 36776 "gram.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 8421 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-2].ival);
					n->concurrent = (yyvsp[-1].boolean);
					n->relation = (yyvsp[0].range);
					n->name = NULL;
					n->options = (yyvsp[-4].ival);
					(yyval.node) = (Node *)n;
				}
#line 36790 "gram.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 8431 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-2].ival);
					n->concurrent = (yyvsp[-1].boolean);
					n->name = (yyvsp[0].str);
					n->relation = NULL;
					n->options = (yyvsp[-4].ival);
					(yyval.node) = (Node *)n;
				}
#line 36804 "gram.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 8442 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_INDEX; }
#line 36810 "gram.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 8443 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_TABLE; }
#line 36816 "gram.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 8446 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_SCHEMA; }
#line 36822 "gram.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 8447 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_SYSTEM; }
#line 36828 "gram.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 8448 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_DATABASE; }
#line 36834 "gram.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 8451 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 36840 "gram.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 8452 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 36846 "gram.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 8455 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEXOPT_VERBOSE; }
#line 36852 "gram.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 8466 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = false;
					(yyval.node) = (Node *)n;
				}
#line 36865 "gram.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 8475 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = true;
					(yyval.node) = (Node *)n;
				}
#line 36878 "gram.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 8492 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36891 "gram.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 8501 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36904 "gram.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 8510 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36917 "gram.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 8519 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DATABASE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36930 "gram.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 8528 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36943 "gram.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 8537 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DOMCONSTRAINT;
					n->object = (Node *) (yyvsp[-5].list);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 36956 "gram.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 8546 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36969 "gram.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 8555 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36982 "gram.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 8564 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36995 "gram.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 8573 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37008 "gram.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 8582 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37021 "gram.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 8591 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37034 "gram.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 8600 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37048 "gram.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 8610 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 37062 "gram.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 8620 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37075 "gram.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 8629 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_PUBLICATION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37088 "gram.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 8638 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37101 "gram.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 8647 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SCHEMA;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37114 "gram.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 8656 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37127 "gram.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 8665 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SUBSCRIPTION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37140 "gram.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 8674 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37154 "gram.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 8684 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 37168 "gram.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 8694 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37182 "gram.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 8704 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 37196 "gram.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 8714 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37210 "gram.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 8724 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 37224 "gram.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 8734 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37238 "gram.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 8744 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 37252 "gram.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 8754 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37266 "gram.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 8764 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 37280 "gram.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 8774 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37294 "gram.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 8784 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 37308 "gram.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 8794 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37323 "gram.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 8805 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 37338 "gram.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 8816 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37353 "gram.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 8827 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 37368 "gram.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 8838 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37382 "gram.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 8848 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 37396 "gram.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 8858 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37411 "gram.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 8869 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 37426 "gram.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 8880 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_RULE;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37440 "gram.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 8890 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37454 "gram.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 8900 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 37466 "gram.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 8908 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37479 "gram.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 8917 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37492 "gram.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 8926 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLESPACE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37505 "gram.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 8935 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37518 "gram.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 8944 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37531 "gram.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 8953 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37544 "gram.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 8962 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37557 "gram.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 8971 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37570 "gram.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 8980 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37583 "gram.c" /* yacc.c:1646  */
    break;

  case 1304:
#line 8989 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ATTRIBUTE;
					n->relationType = OBJECT_TYPE;
					n->relation = makeRangeVarFromAnyName((yyvsp[-6].list), (yylsp[-6]), yyscanner);
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37599 "gram.c" /* yacc.c:1646  */
    break;

  case 1305:
#line 9002 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COLUMN; }
#line 37605 "gram.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 9003 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 37611 "gram.c" /* yacc.c:1646  */
    break;

  case 1307:
#line 9006 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 1; }
#line 37617 "gram.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 9007 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 37623 "gram.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 9018 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-4].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 37635 "gram.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 9026 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-4].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 37647 "gram.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 9034 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-4].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 37659 "gram.c" /* yacc.c:1646  */
    break;

  case 1312:
#line 9042 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-4].range);
					n->object = (Node *) list_make1(makeString((yyvsp[-6].str)));
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 37672 "gram.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 9051 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-4].range);
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 37684 "gram.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 9059 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_INDEX;
					n->relation = (yyvsp[-4].range);
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 37696 "gram.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 9076 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37709 "gram.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 9085 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37722 "gram.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 9094 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37735 "gram.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 9103 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37748 "gram.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 9112 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_EXTENSION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37761 "gram.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 9121 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37774 "gram.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 9130 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37787 "gram.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 9139 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37800 "gram.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 9148 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37813 "gram.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 9157 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37826 "gram.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 9166 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37839 "gram.c" /* yacc.c:1646  */
    break;

  case 1326:
#line 9175 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37852 "gram.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 9184 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 37865 "gram.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 9193 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37878 "gram.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 9202 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37891 "gram.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 9211 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37904 "gram.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 9220 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37917 "gram.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 9229 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37930 "gram.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 9238 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37943 "gram.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 9247 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 37956 "gram.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 9256 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37969 "gram.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 9265 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 37982 "gram.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 9274 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37995 "gram.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 9283 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 38008 "gram.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 9292 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 38021 "gram.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 9301 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 38034 "gram.c" /* yacc.c:1646  */
    break;

  case 1341:
#line 9310 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 38047 "gram.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 9328 "gram.y" /* yacc.c:1646  */
    {
					AlterOperatorStmt *n = makeNode(AlterOperatorStmt);
					n->opername = (yyvsp[-4].objwithargs);
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 38058 "gram.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 9336 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 38064 "gram.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 9337 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 38070 "gram.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 9341 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL, (yylsp[-2])); }
#line 38076 "gram.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 9343 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2])); }
#line 38082 "gram.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 9348 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].typnam); }
#line 38088 "gram.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 9349 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[0].keyword))); }
#line 38094 "gram.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 9350 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].list); }
#line 38100 "gram.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 9351 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].value); }
#line 38106 "gram.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 9352 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString((yyvsp[0].str)); }
#line 38112 "gram.c" /* yacc.c:1646  */
    break;

  case 1352:
#line 9362 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 38124 "gram.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 9370 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 38136 "gram.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 9378 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 38148 "gram.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 9386 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DATABASE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 38160 "gram.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 9394 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 38172 "gram.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 9402 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 38184 "gram.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 9410 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 38196 "gram.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 9418 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-3].value);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 38208 "gram.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 9426 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 38220 "gram.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 9434 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 38232 "gram.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 9442 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 38244 "gram.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 9450 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 38256 "gram.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 9458 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 38268 "gram.c" /* yacc.c:1646  */
    break;

  case 1365:
#line 9466 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_SCHEMA;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 38280 "gram.c" /* yacc.c:1646  */
    break;

  case 1366:
#line 9474 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 38292 "gram.c" /* yacc.c:1646  */
    break;

  case 1367:
#line 9482 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TABLESPACE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 38304 "gram.c" /* yacc.c:1646  */
    break;

  case 1368:
#line 9490 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 38316 "gram.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 9498 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 38328 "gram.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 9506 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 38340 "gram.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 9514 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 38352 "gram.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 9522 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 38364 "gram.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 9530 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 38376 "gram.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 9538 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_PUBLICATION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 38388 "gram.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 9546 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_SUBSCRIPTION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 38400 "gram.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 9564 "gram.y" /* yacc.c:1646  */
    {
					CreatePublicationStmt *n = makeNode(CreatePublicationStmt);
					n->pubname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					if ((yyvsp[-1].node) != NULL)
					{
						/* FOR TABLE */
						if (IsA((yyvsp[-1].node), List))
							n->tables = (List *)(yyvsp[-1].node);
						/* FOR ALL TABLES */
						else
							n->for_all_tables = true;
					}
					(yyval.node) = (Node *)n;
				}
#line 38420 "gram.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 9582 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38426 "gram.c" /* yacc.c:1646  */
    break;

  case 1378:
#line 9583 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 38432 "gram.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 9588 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) (yyvsp[0].list);
				}
#line 38440 "gram.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 9592 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeInteger(true);
				}
#line 38448 "gram.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 9612 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);
					n->pubname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 38459 "gram.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 9619 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);
					n->pubname = (yyvsp[-3].str);
					n->tables = (yyvsp[0].list);
					n->tableAction = DEFELEM_ADD;
					(yyval.node) = (Node *)n;
				}
#line 38471 "gram.c" /* yacc.c:1646  */
    break;

  case 1383:
#line 9627 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);
					n->pubname = (yyvsp[-3].str);
					n->tables = (yyvsp[0].list);
					n->tableAction = DEFELEM_SET;
					(yyval.node) = (Node *)n;
				}
#line 38483 "gram.c" /* yacc.c:1646  */
    break;

  case 1384:
#line 9635 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);
					n->pubname = (yyvsp[-3].str);
					n->tables = (yyvsp[0].list);
					n->tableAction = DEFELEM_DROP;
					(yyval.node) = (Node *)n;
				}
#line 38495 "gram.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 9652 "gram.y" /* yacc.c:1646  */
    {
					CreateSubscriptionStmt *n =
						makeNode(CreateSubscriptionStmt);
					n->subname = (yyvsp[-5].str);
					n->conninfo = (yyvsp[-3].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 38509 "gram.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 9665 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].value));
				}
#line 38517 "gram.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 9669 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value));
				}
#line 38525 "gram.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 9675 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 38531 "gram.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 9685 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_OPTIONS;
					n->subname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 38544 "gram.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 9694 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_CONNECTION;
					n->subname = (yyvsp[-2].str);
					n->conninfo = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38557 "gram.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 9703 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_REFRESH;
					n->subname = (yyvsp[-3].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 38570 "gram.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 9712 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_PUBLICATION;
					n->subname = (yyvsp[-4].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 38584 "gram.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 9722 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_ENABLED;
					n->subname = (yyvsp[-1].str);
					n->options = list_make1(makeDefElem("enabled",
											(Node *)makeInteger(true), (yylsp[-3])));
					(yyval.node) = (Node *)n;
				}
#line 38598 "gram.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 9732 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_ENABLED;
					n->subname = (yyvsp[-1].str);
					n->options = list_make1(makeDefElem("enabled",
											(Node *)makeInteger(false), (yylsp[-3])));
					(yyval.node) = (Node *)n;
				}
#line 38612 "gram.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 9750 "gram.y" /* yacc.c:1646  */
    {
					DropSubscriptionStmt *n = makeNode(DropSubscriptionStmt);
					n->subname = (yyvsp[-1].str);
					n->missing_ok = false;
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 38624 "gram.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 9758 "gram.y" /* yacc.c:1646  */
    {
					DropSubscriptionStmt *n = makeNode(DropSubscriptionStmt);
					n->subname = (yyvsp[-1].str);
					n->missing_ok = true;
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 38636 "gram.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 9776 "gram.y" /* yacc.c:1646  */
    {
					RuleStmt *n = makeNode(RuleStmt);
					n->replace = (yyvsp[-11].boolean);
					n->relation = (yyvsp[-4].range);
					n->rulename = (yyvsp[-9].str);
					n->whereClause = (yyvsp[-3].node);
					n->event = (yyvsp[-6].ival);
					n->instead = (yyvsp[-1].boolean);
					n->actions = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 38652 "gram.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 9790 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38658 "gram.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 9791 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 38664 "gram.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 9792 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 38670 "gram.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 9798 "gram.y" /* yacc.c:1646  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				  else
					(yyval.list) = (yyvsp[-2].list);
				}
#line 38680 "gram.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 9804 "gram.y" /* yacc.c:1646  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = list_make1((yyvsp[0].node));
				  else
					(yyval.list) = NIL;
				}
#line 38690 "gram.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 9820 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38696 "gram.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 9821 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 38702 "gram.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 9824 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_SELECT; }
#line 38708 "gram.c" /* yacc.c:1646  */
    break;

  case 1411:
#line 9825 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_UPDATE; }
#line 38714 "gram.c" /* yacc.c:1646  */
    break;

  case 1412:
#line 9826 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_DELETE; }
#line 38720 "gram.c" /* yacc.c:1646  */
    break;

  case 1413:
#line 9827 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_INSERT; }
#line 38726 "gram.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 9831 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 38732 "gram.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 9832 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 38738 "gram.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 9833 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 38744 "gram.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 9846 "gram.y" /* yacc.c:1646  */
    {
					NotifyStmt *n = makeNode(NotifyStmt);
					n->conditionname = (yyvsp[-1].str);
					n->payload = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38755 "gram.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 9855 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 38761 "gram.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 9856 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 38767 "gram.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 9860 "gram.y" /* yacc.c:1646  */
    {
					ListenStmt *n = makeNode(ListenStmt);
					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38777 "gram.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 9869 "gram.y" /* yacc.c:1646  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38787 "gram.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 9875 "gram.y" /* yacc.c:1646  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = NULL;
					(yyval.node) = (Node *)n;
				}
#line 38797 "gram.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 9894 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 38809 "gram.c" /* yacc.c:1646  */
    break;

  case 1424:
#line 9902 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_BEGIN;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 38820 "gram.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 9909 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_START;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 38831 "gram.c" /* yacc.c:1646  */
    break;

  case 1426:
#line 9916 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 38843 "gram.c" /* yacc.c:1646  */
    break;

  case 1427:
#line 9924 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 38855 "gram.c" /* yacc.c:1646  */
    break;

  case 1428:
#line 9932 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 38867 "gram.c" /* yacc.c:1646  */
    break;

  case 1429:
#line 9940 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_SAVEPOINT;
					n->savepoint_name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38878 "gram.c" /* yacc.c:1646  */
    break;

  case 1430:
#line 9947 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->savepoint_name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38889 "gram.c" /* yacc.c:1646  */
    break;

  case 1431:
#line 9954 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->savepoint_name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38900 "gram.c" /* yacc.c:1646  */
    break;

  case 1432:
#line 9961 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->savepoint_name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38911 "gram.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 9968 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->savepoint_name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38922 "gram.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 9975 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_PREPARE;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38933 "gram.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 9982 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT_PREPARED;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38944 "gram.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 9989 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_PREPARED;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38955 "gram.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 9997 "gram.y" /* yacc.c:1646  */
    {}
#line 38961 "gram.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 9998 "gram.y" /* yacc.c:1646  */
    {}
#line 38967 "gram.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 9999 "gram.y" /* yacc.c:1646  */
    {}
#line 38973 "gram.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 10004 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_isolation",
									   makeStringConst((yyvsp[0].str), (yylsp[0])), (yylsp[-2])); }
#line 38980 "gram.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 10007 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(true, (yylsp[-1])), (yylsp[-1])); }
#line 38987 "gram.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 10010 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(false, (yylsp[-1])), (yylsp[-1])); }
#line 38994 "gram.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 10013 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(true, (yylsp[0])), (yylsp[0])); }
#line 39001 "gram.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 10016 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(false, (yylsp[-1])), (yylsp[-1])); }
#line 39008 "gram.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 10023 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 39014 "gram.c" /* yacc.c:1646  */
    break;

  case 1446:
#line 10025 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 39020 "gram.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 10027 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 39026 "gram.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 10033 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39032 "gram.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 10037 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 39038 "gram.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 10038 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 39044 "gram.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 10039 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 39050 "gram.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 10053 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 39066 "gram.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 10066 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 39082 "gram.c" /* yacc.c:1646  */
    break;

  case 1455:
#line 10079 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 39103 "gram.c" /* yacc.c:1646  */
    break;

  case 1456:
#line 10097 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 39124 "gram.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 10116 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 39130 "gram.c" /* yacc.c:1646  */
    break;

  case 1458:
#line 10117 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 39136 "gram.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 10118 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LOCAL_CHECK_OPTION; }
#line 39142 "gram.c" /* yacc.c:1646  */
    break;

  case 1460:
#line 10119 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = NO_CHECK_OPTION; }
#line 39148 "gram.c" /* yacc.c:1646  */
    break;

  case 1461:
#line 10130 "gram.y" /* yacc.c:1646  */
    {
					LoadStmt *n = makeNode(LoadStmt);
					n->filename = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 39158 "gram.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 10146 "gram.y" /* yacc.c:1646  */
    {
					CreatedbStmt *n = makeNode(CreatedbStmt);
					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 39169 "gram.c" /* yacc.c:1646  */
    break;

  case 1463:
#line 10155 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 39175 "gram.c" /* yacc.c:1646  */
    break;

  case 1464:
#line 10156 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39181 "gram.c" /* yacc.c:1646  */
    break;

  case 1465:
#line 10160 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 39187 "gram.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 10161 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 39193 "gram.c" /* yacc.c:1646  */
    break;

  case 1467:
#line 10166 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 39201 "gram.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 10170 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 39209 "gram.c" /* yacc.c:1646  */
    break;

  case 1469:
#line 10174 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL, (yylsp[-2]));
				}
#line 39217 "gram.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 10191 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 39223 "gram.c" /* yacc.c:1646  */
    break;

  case 1471:
#line 10192 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup("connection_limit"); }
#line 39229 "gram.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 10193 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 39235 "gram.c" /* yacc.c:1646  */
    break;

  case 1473:
#line 10194 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 39241 "gram.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 10195 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 39247 "gram.c" /* yacc.c:1646  */
    break;

  case 1475:
#line 10196 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 39253 "gram.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 10197 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 39259 "gram.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 10204 "gram.y" /* yacc.c:1646  */
    {}
#line 39265 "gram.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 10205 "gram.y" /* yacc.c:1646  */
    {}
#line 39271 "gram.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 10217 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 39282 "gram.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 10224 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 39293 "gram.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 10231 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-3].str);
					n->options = list_make1(makeDefElem("tablespace",
														(Node *)makeString((yyvsp[0].str)), (yylsp[0])));
					(yyval.node) = (Node *)n;
				 }
#line 39305 "gram.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 10242 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseSetStmt *n = makeNode(AlterDatabaseSetStmt);
					n->dbname = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 39316 "gram.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 10259 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 39327 "gram.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 10266 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 39338 "gram.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 10282 "gram.y" /* yacc.c:1646  */
    {
					AlterCollationStmt *n = makeNode(AlterCollationStmt);
					n->collname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 39348 "gram.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 10299 "gram.y" /* yacc.c:1646  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 39358 "gram.c" /* yacc.c:1646  */
    break;

  case 1487:
#line 10305 "gram.y" /* yacc.c:1646  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 39368 "gram.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 10321 "gram.y" /* yacc.c:1646  */
    {
					CreateDomainStmt *n = makeNode(CreateDomainStmt);
					n->domainname = (yyvsp[-3].list);
					n->typeName = (yyvsp[-1].typnam);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 39381 "gram.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 10334 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'T';
					n->typeName = (yyvsp[-1].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 39393 "gram.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 10343 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'N';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *)n;
				}
#line 39404 "gram.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 10351 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'O';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *)n;
				}
#line 39415 "gram.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 10359 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'C';
					n->typeName = (yyvsp[-2].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 39427 "gram.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 10368 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[-4].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 39441 "gram.c" /* yacc.c:1646  */
    break;

  case 1494:
#line 10379 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[-6].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 39455 "gram.c" /* yacc.c:1646  */
    break;

  case 1495:
#line 10390 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'V';
					n->typeName = (yyvsp[-3].list);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 39467 "gram.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 10399 "gram.y" /* yacc.c:1646  */
    {}
#line 39473 "gram.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 10400 "gram.y" /* yacc.c:1646  */
    {}
#line 39479 "gram.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 10412 "gram.y" /* yacc.c:1646  */
    {
					AlterTSDictionaryStmt *n = makeNode(AlterTSDictionaryStmt);
					n->dictname = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 39490 "gram.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 10422 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_ADD_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = false;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
#line 39505 "gram.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 10433 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_ALTER_MAPPING_FOR_TOKEN;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = true;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
#line 39520 "gram.c" /* yacc.c:1646  */
    break;

  case 1501:
#line 10444 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_REPLACE_DICT;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = NIL;
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
#line 39535 "gram.c" /* yacc.c:1646  */
    break;

  case 1502:
#line 10455 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_REPLACE_DICT_FOR_TOKEN;
					n->cfgname = (yyvsp[-8].list);
					n->tokentype = (yyvsp[-4].list);
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
#line 39550 "gram.c" /* yacc.c:1646  */
    break;

  case 1503:
#line 10466 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-4].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node*)n;
				}
#line 39563 "gram.c" /* yacc.c:1646  */
    break;

  case 1504:
#line 10475 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node*)n;
				}
#line 39576 "gram.c" /* yacc.c:1646  */
    break;

  case 1505:
#line 10486 "gram.y" /* yacc.c:1646  */
    {}
#line 39582 "gram.c" /* yacc.c:1646  */
    break;

  case 1506:
#line 10487 "gram.y" /* yacc.c:1646  */
    {}
#line 39588 "gram.c" /* yacc.c:1646  */
    break;

  case 1507:
#line 10503 "gram.y" /* yacc.c:1646  */
    {
				CreateConversionStmt *n = makeNode(CreateConversionStmt);
				n->conversion_name = (yyvsp[-6].list);
				n->for_encoding_name = (yyvsp[-4].str);
				n->to_encoding_name = (yyvsp[-2].str);
				n->func_name = (yyvsp[0].list);
				n->def = (yyvsp[-8].boolean);
				(yyval.node) = (Node *)n;
			}
#line 39602 "gram.c" /* yacc.c:1646  */
    break;

  case 1508:
#line 10525 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[-1].range);
					n->indexname = (yyvsp[0].str);
					n->options = 0;
					if ((yyvsp[-2].boolean))
						n->options |= CLUOPT_VERBOSE;
					(yyval.node) = (Node*)n;
				}
#line 39616 "gram.c" /* yacc.c:1646  */
    break;

  case 1509:
#line 10535 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = NULL;
					n->indexname = NULL;
					n->options = 0;
					if ((yyvsp[0].boolean))
						n->options |= CLUOPT_VERBOSE;
					(yyval.node) = (Node*)n;
				}
#line 39630 "gram.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 10546 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[0].range);
					n->indexname = (yyvsp[-2].str);
					n->options = 0;
					if ((yyvsp[-3].boolean))
						n->options |= CLUOPT_VERBOSE;
					(yyval.node) = (Node*)n;
				}
#line 39644 "gram.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 10558 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 39650 "gram.c" /* yacc.c:1646  */
    break;

  case 1512:
#line 10559 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 39656 "gram.c" /* yacc.c:1646  */
    break;

  case 1513:
#line 10572 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = NIL;
					if ((yyvsp[-4].boolean))
						n->options = lappend(n->options,
											 makeDefElem("full", NULL, (yylsp[-4])));
					if ((yyvsp[-3].boolean))
						n->options = lappend(n->options,
											 makeDefElem("freeze", NULL, (yylsp[-3])));
					if ((yyvsp[-2].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-2])));
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("analyze", NULL, (yylsp[-1])));
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = true;
					(yyval.node) = (Node *)n;
				}
#line 39680 "gram.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 10592 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = (yyvsp[-2].list);
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = true;
					(yyval.node) = (Node *) n;
				}
#line 39692 "gram.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 10602 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = NIL;
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-1])));
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = false;
					(yyval.node) = (Node *)n;
				}
#line 39707 "gram.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 10613 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = (yyvsp[-2].list);
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = false;
					(yyval.node) = (Node *) n;
				}
#line 39719 "gram.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 10624 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 39727 "gram.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 10628 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 39735 "gram.c" /* yacc.c:1646  */
    break;

  case 1519:
#line 10634 "gram.y" /* yacc.c:1646  */
    {}
#line 39741 "gram.c" /* yacc.c:1646  */
    break;

  case 1520:
#line 10635 "gram.y" /* yacc.c:1646  */
    {}
#line 39747 "gram.c" /* yacc.c:1646  */
    break;

  case 1521:
#line 10640 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 39755 "gram.c" /* yacc.c:1646  */
    break;

  case 1522:
#line 10646 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 39761 "gram.c" /* yacc.c:1646  */
    break;

  case 1523:
#line 10647 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "analyze"; }
#line 39767 "gram.c" /* yacc.c:1646  */
    break;

  case 1524:
#line 10651 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 39773 "gram.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 10652 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].value); }
#line 39779 "gram.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 10653 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 39785 "gram.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 10657 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 39791 "gram.c" /* yacc.c:1646  */
    break;

  case 1528:
#line 10658 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 39797 "gram.c" /* yacc.c:1646  */
    break;

  case 1529:
#line 10662 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 39803 "gram.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 10663 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 39809 "gram.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 10666 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 39815 "gram.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 10667 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 39821 "gram.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 10670 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 39827 "gram.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 10671 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 39833 "gram.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 10675 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 39839 "gram.c" /* yacc.c:1646  */
    break;

  case 1536:
#line 10676 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39845 "gram.c" /* yacc.c:1646  */
    break;

  case 1537:
#line 10681 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeVacuumRelation((yyvsp[-1].range), InvalidOid, (yyvsp[0].list));
				}
#line 39853 "gram.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 10688 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 39859 "gram.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 10690 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 39865 "gram.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 10694 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 39871 "gram.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 10695 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39877 "gram.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 10709 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 39888 "gram.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 10716 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("analyze", NULL, (yylsp[-2])));
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 39902 "gram.c" /* yacc.c:1646  */
    break;

  case 1544:
#line 10726 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("verbose", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 39913 "gram.c" /* yacc.c:1646  */
    break;

  case 1545:
#line 10733 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 39924 "gram.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 10755 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 39932 "gram.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 10759 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 39940 "gram.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 10766 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 39948 "gram.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 10772 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 39954 "gram.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 10773 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "analyze"; }
#line 39960 "gram.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 10777 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 39966 "gram.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 10778 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].value); }
#line 39972 "gram.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 10779 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 39978 "gram.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 10790 "gram.y" /* yacc.c:1646  */
    {
					PrepareStmt *n = makeNode(PrepareStmt);
					n->name = (yyvsp[-3].str);
					n->argtypes = (yyvsp[-2].list);
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 39990 "gram.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 10799 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 39996 "gram.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 10800 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 40002 "gram.c" /* yacc.c:1646  */
    break;

  case 1570:
#line 10818 "gram.y" /* yacc.c:1646  */
    {
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-1].str);
					n->params = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 40013 "gram.c" /* yacc.c:1646  */
    break;

  case 1571:
#line 10826 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-7].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 40033 "gram.c" /* yacc.c:1646  */
    break;

  case 1572:
#line 10843 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-10].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 40053 "gram.c" /* yacc.c:1646  */
    break;

  case 1573:
#line 10860 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 40059 "gram.c" /* yacc.c:1646  */
    break;

  case 1574:
#line 10861 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 40065 "gram.c" /* yacc.c:1646  */
    break;

  case 1575:
#line 10872 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[0].str);
						(yyval.node) = (Node *) n;
					}
#line 40075 "gram.c" /* yacc.c:1646  */
    break;

  case 1576:
#line 10878 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[0].str);
						(yyval.node) = (Node *) n;
					}
#line 40085 "gram.c" /* yacc.c:1646  */
    break;

  case 1577:
#line 10884 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
#line 40095 "gram.c" /* yacc.c:1646  */
    break;

  case 1578:
#line 10890 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
#line 40105 "gram.c" /* yacc.c:1646  */
    break;

  case 1579:
#line 10907 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].istmt)->relation = (yyvsp[-3].range);
					(yyvsp[-2].istmt)->onConflictClause = (yyvsp[-1].onconflict);
					(yyvsp[-2].istmt)->returningList = (yyvsp[0].list);
					(yyvsp[-2].istmt)->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *) (yyvsp[-2].istmt);
				}
#line 40117 "gram.c" /* yacc.c:1646  */
    break;

  case 1580:
#line 10924 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 40125 "gram.c" /* yacc.c:1646  */
    break;

  case 1581:
#line 10928 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].range)->alias = makeAlias((yyvsp[0].str), NIL);
					(yyval.range) = (yyvsp[-2].range);
				}
#line 40134 "gram.c" /* yacc.c:1646  */
    break;

  case 1582:
#line 10936 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 40144 "gram.c" /* yacc.c:1646  */
    break;

  case 1583:
#line 10942 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->override = (yyvsp[-2].ival);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 40155 "gram.c" /* yacc.c:1646  */
    break;

  case 1584:
#line 10949 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-2].list);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 40165 "gram.c" /* yacc.c:1646  */
    break;

  case 1585:
#line 10955 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-5].list);
					(yyval.istmt)->override = (yyvsp[-2].ival);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 40176 "gram.c" /* yacc.c:1646  */
    break;

  case 1586:
#line 10962 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = NULL;
				}
#line 40186 "gram.c" /* yacc.c:1646  */
    break;

  case 1587:
#line 10970 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OVERRIDING_USER_VALUE; }
#line 40192 "gram.c" /* yacc.c:1646  */
    break;

  case 1588:
#line 10971 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OVERRIDING_SYSTEM_VALUE; }
#line 40198 "gram.c" /* yacc.c:1646  */
    break;

  case 1589:
#line 10976 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 40204 "gram.c" /* yacc.c:1646  */
    break;

  case 1590:
#line 10978 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 40210 "gram.c" /* yacc.c:1646  */
    break;

  case 1591:
#line 10983 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;
					(yyval.target)->location = (yylsp[-1]);
				}
#line 40222 "gram.c" /* yacc.c:1646  */
    break;

  case 1592:
#line 10994 "gram.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_UPDATE;
					(yyval.onconflict)->infer = (yyvsp[-5].infer);
					(yyval.onconflict)->targetList = (yyvsp[-1].list);
					(yyval.onconflict)->whereClause = (yyvsp[0].node);
					(yyval.onconflict)->location = (yylsp[-7]);
				}
#line 40235 "gram.c" /* yacc.c:1646  */
    break;

  case 1593:
#line 11004 "gram.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_NOTHING;
					(yyval.onconflict)->infer = (yyvsp[-2].infer);
					(yyval.onconflict)->targetList = NIL;
					(yyval.onconflict)->whereClause = NULL;
					(yyval.onconflict)->location = (yylsp[-4]);
				}
#line 40248 "gram.c" /* yacc.c:1646  */
    break;

  case 1594:
#line 11013 "gram.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = NULL;
				}
#line 40256 "gram.c" /* yacc.c:1646  */
    break;

  case 1595:
#line 11020 "gram.y" /* yacc.c:1646  */
    {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = (yyvsp[-2].list);
					(yyval.infer)->whereClause = (yyvsp[0].node);
					(yyval.infer)->conname = NULL;
					(yyval.infer)->location = (yylsp[-3]);
				}
#line 40268 "gram.c" /* yacc.c:1646  */
    break;

  case 1596:
#line 11029 "gram.y" /* yacc.c:1646  */
    {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = NIL;
					(yyval.infer)->whereClause = NULL;
					(yyval.infer)->conname = (yyvsp[0].str);
					(yyval.infer)->location = (yylsp[-2]);
				}
#line 40280 "gram.c" /* yacc.c:1646  */
    break;

  case 1597:
#line 11037 "gram.y" /* yacc.c:1646  */
    {
					(yyval.infer) = NULL;
				}
#line 40288 "gram.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 11043 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 40294 "gram.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 11044 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 40300 "gram.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 11057 "gram.y" /* yacc.c:1646  */
    {
					DeleteStmt *n = makeNode(DeleteStmt);
					n->relation = (yyvsp[-3].range);
					n->usingClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *)n;
				}
#line 40314 "gram.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 11069 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 40320 "gram.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 11070 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 40326 "gram.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 11082 "gram.y" /* yacc.c:1646  */
    {
					LockStmt *n = makeNode(LockStmt);

					n->relations = (yyvsp[-2].list);
					n->mode = (yyvsp[-1].ival);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 40339 "gram.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 11092 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival); }
#line 40345 "gram.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 11093 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 40351 "gram.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 11096 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessShareLock; }
#line 40357 "gram.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 11097 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RowShareLock; }
#line 40363 "gram.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 11098 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RowExclusiveLock; }
#line 40369 "gram.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 11099 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareUpdateExclusiveLock; }
#line 40375 "gram.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 11100 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareLock; }
#line 40381 "gram.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 11101 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareRowExclusiveLock; }
#line 40387 "gram.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 11102 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ExclusiveLock; }
#line 40393 "gram.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 11103 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 40399 "gram.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 11106 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 40405 "gram.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 11107 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 40411 "gram.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 11111 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitError; }
#line 40417 "gram.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 11112 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitSkip; }
#line 40423 "gram.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 11113 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitBlock; }
#line 40429 "gram.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 11129 "gram.y" /* yacc.c:1646  */
    {
					UpdateStmt *n = makeNode(UpdateStmt);
					n->relation = (yyvsp[-5].range);
					n->targetList = (yyvsp[-3].list);
					n->fromClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-7].with);
					(yyval.node) = (Node *)n;
				}
#line 40444 "gram.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 11141 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 40450 "gram.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 11142 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_concat((yyvsp[-2].list),(yyvsp[0].list)); }
#line 40456 "gram.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 11147 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].target)->val = (Node *) (yyvsp[0].node);
					(yyval.list) = list_make1((yyvsp[-2].target));
				}
#line 40465 "gram.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 11152 "gram.y" /* yacc.c:1646  */
    {
					int ncolumns = list_length((yyvsp[-3].list));
					int i = 1;
					ListCell *col_cell;

					/* Create a MultiAssignRef source for each target */
					foreach(col_cell, (yyvsp[-3].list))
					{
						ResTarget *res_col = (ResTarget *) lfirst(col_cell);
						MultiAssignRef *r = makeNode(MultiAssignRef);

						r->source = (Node *) (yyvsp[0].node);
						r->colno = i;
						r->ncolumns = ncolumns;
						res_col->val = (Node *) r;
						i++;
					}

					(yyval.list) = (yyvsp[-3].list);
				}
#line 40490 "gram.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 11176 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;	/* upper production sets this */
					(yyval.target)->location = (yylsp[-1]);
				}
#line 40502 "gram.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 11186 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 40508 "gram.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 11187 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].target)); }
#line 40514 "gram.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 11198 "gram.y" /* yacc.c:1646  */
    {
					DeclareCursorStmt *n = makeNode(DeclareCursorStmt);
					n->portalname = (yyvsp[-5].str);
					/* currently we always set FAST_PLAN option */
					n->options = (yyvsp[-4].ival) | (yyvsp[-2].ival) | CURSOR_OPT_FAST_PLAN;
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 40527 "gram.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 11208 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 40533 "gram.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 11211 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 40539 "gram.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 11212 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | CURSOR_OPT_NO_SCROLL; }
#line 40545 "gram.c" /* yacc.c:1646  */
    break;

  case 1631:
#line 11213 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_SCROLL; }
#line 40551 "gram.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 11214 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_BINARY; }
#line 40557 "gram.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 11215 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_INSENSITIVE; }
#line 40563 "gram.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 11218 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 40569 "gram.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 11219 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CURSOR_OPT_HOLD; }
#line 40575 "gram.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 11220 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 40581 "gram.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 11273 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 40587 "gram.c" /* yacc.c:1646  */
    break;

  case 1640:
#line 11274 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 40593 "gram.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 11289 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40599 "gram.c" /* yacc.c:1646  */
    break;

  case 1642:
#line 11291 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL, NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 40610 "gram.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 11298 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										list_nth((yyvsp[0].list), 0), list_nth((yyvsp[0].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 40622 "gram.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 11306 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										list_nth((yyvsp[-1].list), 0), list_nth((yyvsp[-1].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 40634 "gram.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 11314 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[0].node), NULL, NIL,
										NULL, NULL,
										(yyvsp[-1].with),
										yyscanner);
					(yyval.node) = (yyvsp[0].node);
				}
#line 40646 "gram.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 11322 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL,
										(yyvsp[-2].with),
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 40658 "gram.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 11330 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										list_nth((yyvsp[0].list), 0), list_nth((yyvsp[0].list), 1),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 40670 "gram.c" /* yacc.c:1646  */
    break;

  case 1648:
#line 11338 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										list_nth((yyvsp[-1].list), 0), list_nth((yyvsp[-1].list), 1),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 40682 "gram.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 11348 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40688 "gram.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 11349 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40694 "gram.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 11379 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = (yyvsp[-2].list);
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 40710 "gram.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 11393 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->distinctClause = (yyvsp[-7].list);
					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = (yyvsp[-2].list);
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 40727 "gram.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 11405 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40733 "gram.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 11407 "gram.y" /* yacc.c:1646  */
    {
					/* same as SELECT * FROM relation_expr */
					ColumnRef *cr = makeNode(ColumnRef);
					ResTarget *rt = makeNode(ResTarget);
					SelectStmt *n = makeNode(SelectStmt);

					cr->fields = list_make1(makeNode(A_Star));
					cr->location = -1;

					rt->name = NULL;
					rt->indirection = NIL;
					rt->val = (Node *)cr;
					rt->location = -1;

					n->targetList = list_make1(rt);
					n->fromClause = list_make1((yyvsp[0].range));
					(yyval.node) = (Node *)n;
				}
#line 40756 "gram.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 11426 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_UNION, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 40764 "gram.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 11430 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_INTERSECT, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 40772 "gram.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 11434 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_EXCEPT, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 40780 "gram.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 11451 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 40791 "gram.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 11458 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 40802 "gram.c" /* yacc.c:1646  */
    break;

  case 1660:
#line 11465 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = true;
				(yyval.with)->location = (yylsp[-2]);
			}
#line 40813 "gram.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 11474 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 40819 "gram.c" /* yacc.c:1646  */
    break;

  case 1662:
#line 11475 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 40825 "gram.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 11479 "gram.y" /* yacc.c:1646  */
    {
				CommonTableExpr *n = makeNode(CommonTableExpr);
				n->ctename = (yyvsp[-6].str);
				n->aliascolnames = (yyvsp[-5].list);
				n->ctematerialized = (yyvsp[-3].ival);
				n->ctequery = (yyvsp[-1].node);
				n->location = (yylsp[-6]);
				(yyval.node) = (Node *) n;
			}
#line 40839 "gram.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 11491 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CTEMaterializeAlways; }
#line 40845 "gram.c" /* yacc.c:1646  */
    break;

  case 1665:
#line 11492 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CTEMaterializeNever; }
#line 40851 "gram.c" /* yacc.c:1646  */
    break;

  case 1666:
#line 11493 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CTEMaterializeDefault; }
#line 40857 "gram.c" /* yacc.c:1646  */
    break;

  case 1667:
#line 11497 "gram.y" /* yacc.c:1646  */
    { (yyval.with) = (yyvsp[0].with); }
#line 40863 "gram.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 11498 "gram.y" /* yacc.c:1646  */
    { (yyval.with) = NULL; }
#line 40869 "gram.c" /* yacc.c:1646  */
    break;

  case 1669:
#line 11503 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[0].range);
					(yyval.into)->colNames = NIL;
					(yyval.into)->options = NIL;
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = NULL;
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;
				}
#line 40884 "gram.c" /* yacc.c:1646  */
    break;

  case 1670:
#line 11514 "gram.y" /* yacc.c:1646  */
    { (yyval.into) = NULL; }
#line 40890 "gram.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 11523 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 40899 "gram.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 11528 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 40908 "gram.c" /* yacc.c:1646  */
    break;

  case 1673:
#line 11533 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 40917 "gram.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 11538 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 40926 "gram.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 11543 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 40938 "gram.c" /* yacc.c:1646  */
    break;

  case 1676:
#line 11551 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 40950 "gram.c" /* yacc.c:1646  */
    break;

  case 1677:
#line 11559 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_UNLOGGED;
				}
#line 40959 "gram.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 11564 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 40968 "gram.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 11569 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 40977 "gram.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 11575 "gram.y" /* yacc.c:1646  */
    {}
#line 40983 "gram.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 11576 "gram.y" /* yacc.c:1646  */
    {}
#line 40989 "gram.c" /* yacc.c:1646  */
    break;

  case 1682:
#line 11580 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 40995 "gram.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 11581 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 41001 "gram.c" /* yacc.c:1646  */
    break;

  case 1684:
#line 11582 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 41007 "gram.c" /* yacc.c:1646  */
    break;

  case 1685:
#line 11589 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(NIL); }
#line 41013 "gram.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 11590 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 41019 "gram.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 11594 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL;}
#line 41025 "gram.c" /* yacc.c:1646  */
    break;

  case 1688:
#line 11595 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 41031 "gram.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 11599 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list);}
#line 41037 "gram.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 11600 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 41043 "gram.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 11604 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 41049 "gram.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 11608 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].sortby)); }
#line 41055 "gram.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 11609 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].sortby)); }
#line 41061 "gram.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 11613 "gram.y" /* yacc.c:1646  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-3].node);
					(yyval.sortby)->sortby_dir = SORTBY_USING;
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = (yyvsp[-1].list);
					(yyval.sortby)->location = (yylsp[-1]);
				}
#line 41074 "gram.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 11622 "gram.y" /* yacc.c:1646  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-2].node);
					(yyval.sortby)->sortby_dir = (yyvsp[-1].ival);
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = NIL;
					(yyval.sortby)->location = -1;		/* no operator */
				}
#line 41087 "gram.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 11634 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-1].node)); }
#line 41093 "gram.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 11635 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].node)); }
#line 41099 "gram.c" /* yacc.c:1646  */
    break;

  case 1698:
#line 11636 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL, (yyvsp[0].node)); }
#line 41105 "gram.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 11637 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), NULL); }
#line 41111 "gram.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 11641 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 41117 "gram.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 11642 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL,NULL); }
#line 41123 "gram.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 11647 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41129 "gram.c" /* yacc.c:1646  */
    break;

  case 1703:
#line 11649 "gram.y" /* yacc.c:1646  */
    {
					/* Disabled because it was too confusing, bjm 2002-02-18 */
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("LIMIT #,# syntax is not supported"),
							 errhint("Use separate LIMIT and OFFSET clauses."),
							 parser_errposition((yylsp[-3]))));
				}
#line 41142 "gram.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 11665 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-2].node); }
#line 41148 "gram.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 11667 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(1, -1); }
#line 41154 "gram.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 11672 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41160 "gram.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 11675 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 41166 "gram.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 11679 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41172 "gram.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 11681 "gram.y" /* yacc.c:1646  */
    {
					/* LIMIT ALL is represented as a NULL constant */
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 41181 "gram.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 11688 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41187 "gram.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 11708 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41193 "gram.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 11710 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 41199 "gram.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 11712 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 41205 "gram.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 11716 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst((yyvsp[0].ival),(yylsp[0])); }
#line 41211 "gram.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 11717 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeFloatConst((yyvsp[0].str),(yylsp[0])); }
#line 41217 "gram.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 11721 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 41223 "gram.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 11722 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 41229 "gram.c" /* yacc.c:1646  */
    break;

  case 1718:
#line 11725 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 41235 "gram.c" /* yacc.c:1646  */
    break;

  case 1719:
#line 11726 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 41241 "gram.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 11751 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 41247 "gram.c" /* yacc.c:1646  */
    break;

  case 1721:
#line 11752 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 41253 "gram.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 11756 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 41259 "gram.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 11757 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].node)); }
#line 41265 "gram.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 11761 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41271 "gram.c" /* yacc.c:1646  */
    break;

  case 1725:
#line 11762 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41277 "gram.c" /* yacc.c:1646  */
    break;

  case 1726:
#line 11763 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41283 "gram.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 11764 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41289 "gram.c" /* yacc.c:1646  */
    break;

  case 1728:
#line 11765 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41295 "gram.c" /* yacc.c:1646  */
    break;

  case 1729:
#line 11770 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_EMPTY, NIL, (yylsp[-1]));
				}
#line 41303 "gram.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 11783 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_ROLLUP, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 41311 "gram.c" /* yacc.c:1646  */
    break;

  case 1731:
#line 11790 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_CUBE, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 41319 "gram.c" /* yacc.c:1646  */
    break;

  case 1732:
#line 11797 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_SETS, (yyvsp[-1].list), (yylsp[-4]));
				}
#line 41327 "gram.c" /* yacc.c:1646  */
    break;

  case 1733:
#line 11803 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41333 "gram.c" /* yacc.c:1646  */
    break;

  case 1734:
#line 11804 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 41339 "gram.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 11808 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 41345 "gram.c" /* yacc.c:1646  */
    break;

  case 1736:
#line 11809 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 41351 "gram.c" /* yacc.c:1646  */
    break;

  case 1737:
#line 11813 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 41357 "gram.c" /* yacc.c:1646  */
    break;

  case 1738:
#line 11814 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 41363 "gram.c" /* yacc.c:1646  */
    break;

  case 1739:
#line 11818 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 41369 "gram.c" /* yacc.c:1646  */
    break;

  case 1740:
#line 11819 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 41375 "gram.c" /* yacc.c:1646  */
    break;

  case 1741:
#line 11824 "gram.y" /* yacc.c:1646  */
    {
					LockingClause *n = makeNode(LockingClause);
					n->lockedRels = (yyvsp[-1].list);
					n->strength = (yyvsp[-2].ival);
					n->waitPolicy = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 41387 "gram.c" /* yacc.c:1646  */
    break;

  case 1742:
#line 11834 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORUPDATE; }
#line 41393 "gram.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 11835 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORNOKEYUPDATE; }
#line 41399 "gram.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 11836 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORSHARE; }
#line 41405 "gram.c" /* yacc.c:1646  */
    break;

  case 1745:
#line 11837 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORKEYSHARE; }
#line 41411 "gram.c" /* yacc.c:1646  */
    break;

  case 1746:
#line 11841 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 41417 "gram.c" /* yacc.c:1646  */
    break;

  case 1747:
#line 11842 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 41423 "gram.c" /* yacc.c:1646  */
    break;

  case 1748:
#line 11853 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->valuesLists = list_make1((yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 41433 "gram.c" /* yacc.c:1646  */
    break;

  case 1749:
#line 11859 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = (SelectStmt *) (yyvsp[-4].node);
					n->valuesLists = lappend(n->valuesLists, (yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 41443 "gram.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 11876 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 41449 "gram.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 11877 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 41455 "gram.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 11881 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 41461 "gram.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 11882 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 41467 "gram.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 11889 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-1].range)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-1].range);
				}
#line 41476 "gram.c" /* yacc.c:1646  */
    break;

  case 1755:
#line 11894 "gram.y" /* yacc.c:1646  */
    {
					RangeTableSample *n = (RangeTableSample *) (yyvsp[0].node);
					(yyvsp[-2].range)->alias = (yyvsp[-1].alias);
					/* relation_expr goes inside the RangeTableSample node */
					n->relation = (Node *) (yyvsp[-2].range);
					(yyval.node) = (Node *) n;
				}
#line 41488 "gram.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 11902 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 41499 "gram.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 11909 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);
					n->lateral = true;
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 41511 "gram.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 11917 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = (RangeTableFunc *) (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 41521 "gram.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 11923 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = (RangeTableFunc *) (yyvsp[-1].node);
					n->lateral = true;
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 41532 "gram.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 11930 "gram.y" /* yacc.c:1646  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->lateral = false;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					/*
					 * The SQL spec does not permit a subselect
					 * (<derived_table>) without an alias clause,
					 * so we don't either.  This avoids the problem
					 * of needing to invent a unique refname for it.
					 * That could be surmounted if there's sufficient
					 * popular demand, but for now let's just implement
					 * the spec and see if anyone complains.
					 * However, it does seem like a good idea to emit
					 * an error message that's better than "syntax error".
					 */
					if ((yyvsp[0].alias) == NULL)
					{
						if (IsA((yyvsp[-1].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[-1].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
					}
					(yyval.node) = (Node *) n;
				}
#line 41571 "gram.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 11965 "gram.y" /* yacc.c:1646  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->lateral = true;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					/* same comment as above */
					if ((yyvsp[0].alias) == NULL)
					{
						if (IsA((yyvsp[-1].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[-1].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
					}
					(yyval.node) = (Node *) n;
				}
#line 41600 "gram.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 11990 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) (yyvsp[0].jexpr);
				}
#line 41608 "gram.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 11994 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].jexpr)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-2].jexpr);
				}
#line 41617 "gram.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 12020 "gram.y" /* yacc.c:1646  */
    {
					(yyval.jexpr) = (yyvsp[-1].jexpr);
				}
#line 41625 "gram.c" /* yacc.c:1646  */
    break;

  case 1765:
#line 12024 "gram.y" /* yacc.c:1646  */
    {
					/* CROSS JOIN is same as unqualified inner join */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = false;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL;
					n->quals = NULL;
					(yyval.jexpr) = n;
				}
#line 41641 "gram.c" /* yacc.c:1646  */
    break;

  case 1766:
#line 12036 "gram.y" /* yacc.c:1646  */
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[-3].jtype);
					n->isNatural = false;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
						n->usingClause = (List *) (yyvsp[0].node); /* USING clause */
					else
						n->quals = (yyvsp[0].node); /* ON clause */
					(yyval.jexpr) = n;
				}
#line 41658 "gram.c" /* yacc.c:1646  */
    break;

  case 1767:
#line 12049 "gram.y" /* yacc.c:1646  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = false;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
						n->usingClause = (List *) (yyvsp[0].node); /* USING clause */
					else
						n->quals = (yyvsp[0].node); /* ON clause */
					(yyval.jexpr) = n;
				}
#line 41676 "gram.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 12063 "gram.y" /* yacc.c:1646  */
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[-2].jtype);
					n->isNatural = true;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 41691 "gram.c" /* yacc.c:1646  */
    break;

  case 1769:
#line 12074 "gram.y" /* yacc.c:1646  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = true;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 41707 "gram.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 12089 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 41717 "gram.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 12095 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 41726 "gram.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 12100 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 41736 "gram.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 12106 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 41745 "gram.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 12112 "gram.y" /* yacc.c:1646  */
    { (yyval.alias) = (yyvsp[0].alias); }
#line 41751 "gram.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 12113 "gram.y" /* yacc.c:1646  */
    { (yyval.alias) = NULL; }
#line 41757 "gram.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 12122 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].alias), NIL);
				}
#line 41765 "gram.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 12126 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[-1].list));
				}
#line 41773 "gram.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 12130 "gram.y" /* yacc.c:1646  */
    {
					Alias *a = makeNode(Alias);
					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 41783 "gram.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 12136 "gram.y" /* yacc.c:1646  */
    {
					Alias *a = makeNode(Alias);
					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 41793 "gram.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 12142 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, NIL);
				}
#line 41801 "gram.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 12147 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_FULL; }
#line 41807 "gram.c" /* yacc.c:1646  */
    break;

  case 1782:
#line 12148 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_LEFT; }
#line 41813 "gram.c" /* yacc.c:1646  */
    break;

  case 1783:
#line 12149 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_RIGHT; }
#line 41819 "gram.c" /* yacc.c:1646  */
    break;

  case 1784:
#line 12150 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_INNER; }
#line 41825 "gram.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 12154 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 41831 "gram.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 12155 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 41837 "gram.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 12167 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 41843 "gram.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 12168 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41849 "gram.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 12174 "gram.y" /* yacc.c:1646  */
    {
					/* inheritance query, implicitly */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inh = true;
					(yyval.range)->alias = NULL;
				}
#line 41860 "gram.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 12181 "gram.y" /* yacc.c:1646  */
    {
					/* inheritance query, explicitly */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inh = true;
					(yyval.range)->alias = NULL;
				}
#line 41871 "gram.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 12188 "gram.y" /* yacc.c:1646  */
    {
					/* no inheritance */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inh = false;
					(yyval.range)->alias = NULL;
				}
#line 41882 "gram.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 12195 "gram.y" /* yacc.c:1646  */
    {
					/* no inheritance, SQL99-style syntax */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inh = false;
					(yyval.range)->alias = NULL;
				}
#line 41893 "gram.c" /* yacc.c:1646  */
    break;

  case 1793:
#line 12205 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 41899 "gram.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 12206 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 41905 "gram.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 12220 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 41913 "gram.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 12224 "gram.y" /* yacc.c:1646  */
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-1].range)->alias = alias;
					(yyval.range) = (yyvsp[-1].range);
				}
#line 41924 "gram.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 12231 "gram.y" /* yacc.c:1646  */
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-2].range)->alias = alias;
					(yyval.range) = (yyvsp[-2].range);
				}
#line 41935 "gram.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 12244 "gram.y" /* yacc.c:1646  */
    {
					RangeTableSample *n = makeNode(RangeTableSample);
					/* n->relation will be filled in later */
					n->method = (yyvsp[-4].list);
					n->args = (yyvsp[-2].list);
					n->repeatable = (yyvsp[0].node);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 41949 "gram.c" /* yacc.c:1646  */
    break;

  case 1799:
#line 12256 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].node); }
#line 41955 "gram.c" /* yacc.c:1646  */
    break;

  case 1800:
#line 12257 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 41961 "gram.c" /* yacc.c:1646  */
    break;

  case 1801:
#line 12273 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = false;
					n->functions = list_make1(list_make2((yyvsp[-1].node), NIL));
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 41975 "gram.c" /* yacc.c:1646  */
    break;

  case 1802:
#line 12283 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = true;
					n->functions = (yyvsp[-2].list);
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 41989 "gram.c" /* yacc.c:1646  */
    break;

  case 1803:
#line 12295 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].list)); }
#line 41995 "gram.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 12299 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 42001 "gram.c" /* yacc.c:1646  */
    break;

  case 1805:
#line 12300 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 42007 "gram.c" /* yacc.c:1646  */
    break;

  case 1806:
#line 12303 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 42013 "gram.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 12304 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 42019 "gram.c" /* yacc.c:1646  */
    break;

  case 1808:
#line 12307 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 42025 "gram.c" /* yacc.c:1646  */
    break;

  case 1809:
#line 12308 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 42031 "gram.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 12313 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42037 "gram.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 12314 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 42043 "gram.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 12319 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42049 "gram.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 12321 "gram.y" /* yacc.c:1646  */
    {
					CurrentOfExpr *n = makeNode(CurrentOfExpr);
					/* cvarno is filled in by parse analysis */
					n->cursor_name = (yyvsp[0].str);
					n->cursor_param = 0;
					(yyval.node) = (Node *) n;
				}
#line 42061 "gram.c" /* yacc.c:1646  */
    break;

  case 1814:
#line 12328 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 42067 "gram.c" /* yacc.c:1646  */
    break;

  case 1815:
#line 12333 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 42073 "gram.c" /* yacc.c:1646  */
    break;

  case 1816:
#line 12334 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 42079 "gram.c" /* yacc.c:1646  */
    break;

  case 1817:
#line 12339 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 42087 "gram.c" /* yacc.c:1646  */
    break;

  case 1818:
#line 12343 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 42095 "gram.c" /* yacc.c:1646  */
    break;

  case 1819:
#line 12349 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-2].str);
					n->typeName = (yyvsp[-1].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collClause = (CollateClause *) (yyvsp[0].node);
					n->collOid = InvalidOid;
					n->constraints = NIL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 42117 "gram.c" /* yacc.c:1646  */
    break;

  case 1820:
#line 12373 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = makeNode(RangeTableFunc);
					n->rowexpr = (yyvsp[-4].node);
					n->docexpr = (yyvsp[-3].node);
					n->columns = (yyvsp[-1].list);
					n->namespaces = NIL;
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *)n;
				}
#line 42131 "gram.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 12384 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = makeNode(RangeTableFunc);
					n->rowexpr = (yyvsp[-4].node);
					n->docexpr = (yyvsp[-3].node);
					n->columns = (yyvsp[-1].list);
					n->namespaces = (yyvsp[-7].list);
					n->location = (yylsp[-11]);
					(yyval.node) = (Node *)n;
				}
#line 42145 "gram.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 12395 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 42151 "gram.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 12396 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 42157 "gram.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 12401 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFuncCol	   *fc = makeNode(RangeTableFuncCol);

					fc->colname = (yyvsp[-1].str);
					fc->for_ordinality = false;
					fc->typeName = (yyvsp[0].typnam);
					fc->is_not_null = false;
					fc->colexpr = NULL;
					fc->coldefexpr = NULL;
					fc->location = (yylsp[-1]);

					(yyval.node) = (Node *) fc;
				}
#line 42175 "gram.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 12415 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFuncCol	   *fc = makeNode(RangeTableFuncCol);
					ListCell		   *option;
					bool				nullability_seen = false;

					fc->colname = (yyvsp[-2].str);
					fc->typeName = (yyvsp[-1].typnam);
					fc->for_ordinality = false;
					fc->is_not_null = false;
					fc->colexpr = NULL;
					fc->coldefexpr = NULL;
					fc->location = (yylsp[-2]);

					foreach(option, (yyvsp[0].list))
					{
						DefElem   *defel = (DefElem *) lfirst(option);

						if (strcmp(defel->defname, "default") == 0)
						{
							if (fc->coldefexpr != NULL)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("only one DEFAULT value is allowed"),
										 parser_errposition(defel->location)));
							fc->coldefexpr = defel->arg;
						}
						else if (strcmp(defel->defname, "path") == 0)
						{
							if (fc->colexpr != NULL)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("only one PATH value per column is allowed"),
										 parser_errposition(defel->location)));
							fc->colexpr = defel->arg;
						}
						else if (strcmp(defel->defname, "is_not_null") == 0)
						{
							if (nullability_seen)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("conflicting or redundant NULL / NOT NULL declarations for column \"%s\"", fc->colname),
										 parser_errposition(defel->location)));
							fc->is_not_null = intVal(defel->arg);
							nullability_seen = true;
						}
						else
						{
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("unrecognized column option \"%s\"",
											defel->defname),
									 parser_errposition(defel->location)));
						}
					}
					(yyval.node) = (Node *) fc;
				}
#line 42236 "gram.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 12472 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFuncCol	   *fc = makeNode(RangeTableFuncCol);

					fc->colname = (yyvsp[-2].str);
					fc->for_ordinality = true;
					/* other fields are ignored, initialized by makeNode */
					fc->location = (yylsp[-2]);

					(yyval.node) = (Node *) fc;
				}
#line 42251 "gram.c" /* yacc.c:1646  */
    break;

  case 1827:
#line 12486 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 42257 "gram.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 12488 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 42263 "gram.c" /* yacc.c:1646  */
    break;

  case 1829:
#line 12493 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1])); }
#line 42269 "gram.c" /* yacc.c:1646  */
    break;

  case 1830:
#line 12495 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("default", (yyvsp[0].node), (yylsp[-1])); }
#line 42275 "gram.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 12497 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("is_not_null", (Node *) makeInteger(true), (yylsp[-1])); }
#line 42281 "gram.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 12499 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("is_not_null", (Node *) makeInteger(false), (yylsp[0])); }
#line 42287 "gram.c" /* yacc.c:1646  */
    break;

  case 1833:
#line 12504 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 42293 "gram.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 12506 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 42299 "gram.c" /* yacc.c:1646  */
    break;

  case 1835:
#line 12511 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 42311 "gram.c" /* yacc.c:1646  */
    break;

  case 1836:
#line 12519 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (yyvsp[0].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 42323 "gram.c" /* yacc.c:1646  */
    break;

  case 1837:
#line 12539 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
				}
#line 42332 "gram.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 12544 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
					(yyval.typnam)->setof = true;
				}
#line 42342 "gram.c" /* yacc.c:1646  */
    break;

  case 1839:
#line 12551 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
				}
#line 42351 "gram.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 12556 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
					(yyval.typnam)->setof = true;
				}
#line 42361 "gram.c" /* yacc.c:1646  */
    break;

  case 1841:
#line 12562 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
				}
#line 42370 "gram.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 12567 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
					(yyval.typnam)->setof = true;
				}
#line 42380 "gram.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 12576 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = lappend((yyvsp[-2].list), makeInteger(-1)); }
#line 42386 "gram.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 12578 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = lappend((yyvsp[-3].list), makeInteger((yyvsp[-1].ival))); }
#line 42392 "gram.c" /* yacc.c:1646  */
    break;

  case 1845:
#line 12580 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = NIL; }
#line 42398 "gram.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 12584 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 42404 "gram.c" /* yacc.c:1646  */
    break;

  case 1847:
#line 12585 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 42410 "gram.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 12586 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 42416 "gram.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 12587 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 42422 "gram.c" /* yacc.c:1646  */
    break;

  case 1850:
#line 12588 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 42428 "gram.c" /* yacc.c:1646  */
    break;

  case 1851:
#line 12590 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->typmods = (yyvsp[0].list);
				}
#line 42437 "gram.c" /* yacc.c:1646  */
    break;

  case 1852:
#line 12595 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-3].typnam);
					(yyval.typnam)->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											 makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 42447 "gram.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 12614 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 42453 "gram.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 12615 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 42459 "gram.c" /* yacc.c:1646  */
    break;

  case 1855:
#line 12616 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 42465 "gram.c" /* yacc.c:1646  */
    break;

  case 1856:
#line 12617 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 42471 "gram.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 12629 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeName((yyvsp[-1].str));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 42481 "gram.c" /* yacc.c:1646  */
    break;

  case 1858:
#line 12635 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-2].str)), (yyvsp[-1].list)));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-2]);
				}
#line 42491 "gram.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 12642 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 42497 "gram.c" /* yacc.c:1646  */
    break;

  case 1860:
#line 12643 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 42503 "gram.c" /* yacc.c:1646  */
    break;

  case 1861:
#line 12650 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 42512 "gram.c" /* yacc.c:1646  */
    break;

  case 1862:
#line 12655 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 42521 "gram.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 12660 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int2");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 42530 "gram.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 12665 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int8");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 42539 "gram.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 12670 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 42548 "gram.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 12675 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 42557 "gram.c" /* yacc.c:1646  */
    break;

  case 1867:
#line 12680 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float8");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 42566 "gram.c" /* yacc.c:1646  */
    break;

  case 1868:
#line 12685 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 42576 "gram.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 12691 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 42586 "gram.c" /* yacc.c:1646  */
    break;

  case 1870:
#line 12697 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 42596 "gram.c" /* yacc.c:1646  */
    break;

  case 1871:
#line 12703 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("bool");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 42605 "gram.c" /* yacc.c:1646  */
    break;

  case 1872:
#line 12710 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Check FLOAT() precision limits assuming IEEE floating
					 * types - thomas 1997-09-18
					 */
					if ((yyvsp[-1].ival) < 1)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be at least 1 bit"),
								 parser_errposition((yylsp[-1]))));
					else if ((yyvsp[-1].ival) <= 24)
						(yyval.typnam) = SystemTypeName("float4");
					else if ((yyvsp[-1].ival) <= 53)
						(yyval.typnam) = SystemTypeName("float8");
					else
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be less than 54 bits"),
								 parser_errposition((yylsp[-1]))));
				}
#line 42630 "gram.c" /* yacc.c:1646  */
    break;

  case 1873:
#line 12731 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float8");
				}
#line 42638 "gram.c" /* yacc.c:1646  */
    break;

  case 1874:
#line 12741 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 42646 "gram.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 12745 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 42654 "gram.c" /* yacc.c:1646  */
    break;

  case 1876:
#line 12753 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 42662 "gram.c" /* yacc.c:1646  */
    break;

  case 1877:
#line 12757 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 42671 "gram.c" /* yacc.c:1646  */
    break;

  case 1878:
#line 12765 "gram.y" /* yacc.c:1646  */
    {
					char *typname;

					typname = (yyvsp[-3].boolean) ? "varbit" : "bit";
					(yyval.typnam) = SystemTypeName(typname);
					(yyval.typnam)->typmods = (yyvsp[-1].list);
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 42684 "gram.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 12777 "gram.y" /* yacc.c:1646  */
    {
					/* bit defaults to bit(1), varbit to no limit */
					if ((yyvsp[0].boolean))
					{
						(yyval.typnam) = SystemTypeName("varbit");
					}
					else
					{
						(yyval.typnam) = SystemTypeName("bit");
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					}
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 42702 "gram.c" /* yacc.c:1646  */
    break;

  case 1880:
#line 12798 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 42710 "gram.c" /* yacc.c:1646  */
    break;

  case 1881:
#line 12802 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 42718 "gram.c" /* yacc.c:1646  */
    break;

  case 1882:
#line 12808 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 42726 "gram.c" /* yacc.c:1646  */
    break;

  case 1883:
#line 12812 "gram.y" /* yacc.c:1646  */
    {
					/* Length was not specified so allow to be unrestricted.
					 * This handles problems with fixed-length (bpchar) strings
					 * which in column definitions must default to a length
					 * of one, but should not be constrained if the length
					 * was not specified.
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 42741 "gram.c" /* yacc.c:1646  */
    break;

  case 1884:
#line 12825 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName((yyvsp[-3].str));
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 42751 "gram.c" /* yacc.c:1646  */
    break;

  case 1885:
#line 12833 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName((yyvsp[0].str));
					/* char defaults to char(1), varchar to no limit */
					if (strcmp((yyvsp[0].str), "bpchar") == 0)
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 42763 "gram.c" /* yacc.c:1646  */
    break;

  case 1886:
#line 12843 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 42769 "gram.c" /* yacc.c:1646  */
    break;

  case 1887:
#line 12845 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 42775 "gram.c" /* yacc.c:1646  */
    break;

  case 1888:
#line 12847 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "varchar"; }
#line 42781 "gram.c" /* yacc.c:1646  */
    break;

  case 1889:
#line 12849 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 42787 "gram.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 12851 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 42793 "gram.c" /* yacc.c:1646  */
    break;

  case 1891:
#line 12853 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 42799 "gram.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 12857 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 42805 "gram.c" /* yacc.c:1646  */
    break;

  case 1893:
#line 12858 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 42811 "gram.c" /* yacc.c:1646  */
    break;

  case 1894:
#line 12866 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 42824 "gram.c" /* yacc.c:1646  */
    break;

  case 1895:
#line 12875 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 42836 "gram.c" /* yacc.c:1646  */
    break;

  case 1896:
#line 12883 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 42849 "gram.c" /* yacc.c:1646  */
    break;

  case 1897:
#line 12892 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 42861 "gram.c" /* yacc.c:1646  */
    break;

  case 1898:
#line 12903 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("interval");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 42870 "gram.c" /* yacc.c:1646  */
    break;

  case 1899:
#line 12910 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 42876 "gram.c" /* yacc.c:1646  */
    break;

  case 1900:
#line 12911 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 42882 "gram.c" /* yacc.c:1646  */
    break;

  case 1901:
#line 12912 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 42888 "gram.c" /* yacc.c:1646  */
    break;

  case 1902:
#line 12917 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR), (yylsp[0]))); }
#line 42894 "gram.c" /* yacc.c:1646  */
    break;

  case 1903:
#line 12919 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MONTH), (yylsp[0]))); }
#line 42900 "gram.c" /* yacc.c:1646  */
    break;

  case 1904:
#line 12921 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY), (yylsp[0]))); }
#line 42906 "gram.c" /* yacc.c:1646  */
    break;

  case 1905:
#line 12923 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR), (yylsp[0]))); }
#line 42912 "gram.c" /* yacc.c:1646  */
    break;

  case 1906:
#line 12925 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MINUTE), (yylsp[0]))); }
#line 42918 "gram.c" /* yacc.c:1646  */
    break;

  case 1907:
#line 12927 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 42924 "gram.c" /* yacc.c:1646  */
    break;

  case 1908:
#line 12929 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR) |
												 INTERVAL_MASK(MONTH), (yylsp[-2])));
				}
#line 42933 "gram.c" /* yacc.c:1646  */
    break;

  case 1909:
#line 12934 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR), (yylsp[-2])));
				}
#line 42942 "gram.c" /* yacc.c:1646  */
    break;

  case 1910:
#line 12939 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 42952 "gram.c" /* yacc.c:1646  */
    break;

  case 1911:
#line 12945 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(DAY) |
												INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 42964 "gram.c" /* yacc.c:1646  */
    break;

  case 1912:
#line 12953 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 42973 "gram.c" /* yacc.c:1646  */
    break;

  case 1913:
#line 12958 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 42984 "gram.c" /* yacc.c:1646  */
    break;

  case 1914:
#line 12965 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 42994 "gram.c" /* yacc.c:1646  */
    break;

  case 1915:
#line 12971 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 43000 "gram.c" /* yacc.c:1646  */
    break;

  case 1916:
#line 12976 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[0])));
				}
#line 43008 "gram.c" /* yacc.c:1646  */
    break;

  case 1917:
#line 12980 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[-3])),
									makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 43017 "gram.c" /* yacc.c:1646  */
    break;

  case 1918:
#line 13015 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 43023 "gram.c" /* yacc.c:1646  */
    break;

  case 1919:
#line 13017 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 43029 "gram.c" /* yacc.c:1646  */
    break;

  case 1920:
#line 13019 "gram.y" /* yacc.c:1646  */
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = (yyvsp[-2].node);
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 43041 "gram.c" /* yacc.c:1646  */
    break;

  case 1921:
#line 13027 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("timezone"),
											   list_make2((yyvsp[0].node), (yyvsp[-4].node)),
											   (yylsp[-3]));
				}
#line 43051 "gram.c" /* yacc.c:1646  */
    break;

  case 1922:
#line 13042 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 43057 "gram.c" /* yacc.c:1646  */
    break;

  case 1923:
#line 13044 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 43063 "gram.c" /* yacc.c:1646  */
    break;

  case 1924:
#line 13046 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43069 "gram.c" /* yacc.c:1646  */
    break;

  case 1925:
#line 13048 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43075 "gram.c" /* yacc.c:1646  */
    break;

  case 1926:
#line 13050 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43081 "gram.c" /* yacc.c:1646  */
    break;

  case 1927:
#line 13052 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43087 "gram.c" /* yacc.c:1646  */
    break;

  case 1928:
#line 13054 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43093 "gram.c" /* yacc.c:1646  */
    break;

  case 1929:
#line 13056 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43099 "gram.c" /* yacc.c:1646  */
    break;

  case 1930:
#line 13058 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43105 "gram.c" /* yacc.c:1646  */
    break;

  case 1931:
#line 13060 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43111 "gram.c" /* yacc.c:1646  */
    break;

  case 1932:
#line 13062 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43117 "gram.c" /* yacc.c:1646  */
    break;

  case 1933:
#line 13064 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43123 "gram.c" /* yacc.c:1646  */
    break;

  case 1934:
#line 13066 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43129 "gram.c" /* yacc.c:1646  */
    break;

  case 1935:
#line 13068 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43135 "gram.c" /* yacc.c:1646  */
    break;

  case 1936:
#line 13071 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43141 "gram.c" /* yacc.c:1646  */
    break;

  case 1937:
#line 13073 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 43147 "gram.c" /* yacc.c:1646  */
    break;

  case 1938:
#line 13075 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[0].list), (yyvsp[-1].node), NULL, (yylsp[0])); }
#line 43153 "gram.c" /* yacc.c:1646  */
    break;

  case 1939:
#line 13078 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAndExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43159 "gram.c" /* yacc.c:1646  */
    break;

  case 1940:
#line 13080 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeOrExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43165 "gram.c" /* yacc.c:1646  */
    break;

  case 1941:
#line 13082 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 43171 "gram.c" /* yacc.c:1646  */
    break;

  case 1942:
#line 13084 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 43177 "gram.c" /* yacc.c:1646  */
    break;

  case 1943:
#line 13087 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 43186 "gram.c" /* yacc.c:1646  */
    break;

  case 1944:
#line 13092 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 43198 "gram.c" /* yacc.c:1646  */
    break;

  case 1945:
#line 13100 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 43207 "gram.c" /* yacc.c:1646  */
    break;

  case 1946:
#line 13105 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 43219 "gram.c" /* yacc.c:1646  */
    break;

  case 1947:
#line 13113 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 43228 "gram.c" /* yacc.c:1646  */
    break;

  case 1948:
#line 13118 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 43240 "gram.c" /* yacc.c:1646  */
    break;

  case 1949:
#line 13126 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 43249 "gram.c" /* yacc.c:1646  */
    break;

  case 1950:
#line 13131 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 43261 "gram.c" /* yacc.c:1646  */
    break;

  case 1951:
#line 13140 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[0].node), makeNullAConst(-1)),
											   (yylsp[-2]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-3].node), (Node *) n, (yylsp[-2]));
				}
#line 43273 "gram.c" /* yacc.c:1646  */
    break;

  case 1952:
#line 13148 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 43285 "gram.c" /* yacc.c:1646  */
    break;

  case 1953:
#line 13156 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[0].node), makeNullAConst(-1)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 43297 "gram.c" /* yacc.c:1646  */
    break;

  case 1954:
#line 13164 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-5]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-6].node), (Node *) n, (yylsp[-5]));
				}
#line 43309 "gram.c" /* yacc.c:1646  */
    break;

  case 1955:
#line 13182 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-2].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 43321 "gram.c" /* yacc.c:1646  */
    break;

  case 1956:
#line 13190 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 43333 "gram.c" /* yacc.c:1646  */
    break;

  case 1957:
#line 13198 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-3].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 43345 "gram.c" /* yacc.c:1646  */
    break;

  case 1958:
#line 13206 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 43357 "gram.c" /* yacc.c:1646  */
    break;

  case 1959:
#line 13214 "gram.y" /* yacc.c:1646  */
    {
					if (list_length((yyvsp[-2].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on left side of OVERLAPS expression"),
								 parser_errposition((yylsp[-2]))));
					if (list_length((yyvsp[0].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on right side of OVERLAPS expression"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlaps"),
											   list_concat((yyvsp[-2].list), (yyvsp[0].list)),
											   (yylsp[-1]));
				}
#line 43377 "gram.c" /* yacc.c:1646  */
    break;

  case 1960:
#line 13230 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_TRUE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *)b;
				}
#line 43389 "gram.c" /* yacc.c:1646  */
    break;

  case 1961:
#line 13238 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_TRUE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *)b;
				}
#line 43401 "gram.c" /* yacc.c:1646  */
    break;

  case 1962:
#line 13246 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_FALSE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *)b;
				}
#line 43413 "gram.c" /* yacc.c:1646  */
    break;

  case 1963:
#line 13254 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_FALSE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *)b;
				}
#line 43425 "gram.c" /* yacc.c:1646  */
    break;

  case 1964:
#line 13262 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_UNKNOWN;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *)b;
				}
#line 43437 "gram.c" /* yacc.c:1646  */
    break;

  case 1965:
#line 13270 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_UNKNOWN;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *)b;
				}
#line 43449 "gram.c" /* yacc.c:1646  */
    break;

  case 1966:
#line 13278 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 43457 "gram.c" /* yacc.c:1646  */
    break;

  case 1967:
#line 13282 "gram.y" /* yacc.c:1646  */
    {
                    (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4]));
				}
#line 43465 "gram.c" /* yacc.c:1646  */
    break;

  case 1968:
#line 13286 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[-5].node), (Node *) (yyvsp[-1].list), (yylsp[-4]));
				}
#line 43473 "gram.c" /* yacc.c:1646  */
    break;

  case 1969:
#line 13290 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[-6].node), (Node *) (yyvsp[-1].list), (yylsp[-5]));
				}
#line 43481 "gram.c" /* yacc.c:1646  */
    break;

  case 1970:
#line 13294 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN,
												   "BETWEEN",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 43493 "gram.c" /* yacc.c:1646  */
    break;

  case 1971:
#line 13302 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN,
												   "NOT BETWEEN",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 43505 "gram.c" /* yacc.c:1646  */
    break;

  case 1972:
#line 13310 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN_SYM,
												   "BETWEEN SYMMETRIC",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 43517 "gram.c" /* yacc.c:1646  */
    break;

  case 1973:
#line 13318 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN_SYM,
												   "NOT BETWEEN SYMMETRIC",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 43529 "gram.c" /* yacc.c:1646  */
    break;

  case 1974:
#line 13326 "gram.y" /* yacc.c:1646  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate foo = ANY (subquery) */
						SubLink *n = (SubLink *) (yyvsp[0].node);
						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-2].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-1]);
						(yyval.node) = (Node *)n;
					}
					else
					{
						/* generate scalar IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
					}
				}
#line 43553 "gram.c" /* yacc.c:1646  */
    break;

  case 1975:
#line 13346 "gram.y" /* yacc.c:1646  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate NOT (foo = ANY (subquery)) */
						/* Make an = ANY node */
						SubLink *n = (SubLink *) (yyvsp[0].node);
						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-3].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-2]);
						/* Stick a NOT on top; must have same parse location */
						(yyval.node) = makeNotExpr((Node *) n, (yylsp[-2]));
					}
					else
					{
						/* generate scalar NOT IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "<>", (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
					}
				}
#line 43579 "gram.c" /* yacc.c:1646  */
    break;

  case 1976:
#line 13368 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = (yyvsp[-1].ival);
					n->subLinkId = 0;
					n->testexpr = (yyvsp[-3].node);
					n->operName = (yyvsp[-2].list);
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 43594 "gram.c" /* yacc.c:1646  */
    break;

  case 1977:
#line 13379 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[-3].ival) == ANY_SUBLINK)
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ANY, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
					else
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ALL, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
				}
#line 43605 "gram.c" /* yacc.c:1646  */
    break;

  case 1978:
#line 13386 "gram.y" /* yacc.c:1646  */
    {
					/* Not sure how to get rid of the parentheses
					 * but there are lots of shift/reduce errors without them.
					 *
					 * Should be able to implement this by plopping the entire
					 * select into a node, then transforming the target expressions
					 * from whatever they are into count(*), and testing the
					 * entire result equal to one.
					 * But, will probably implement a separate node in the executor.
					 */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNIQUE predicate is not yet implemented"),
							 parser_errposition((yylsp[-1]))));
				}
#line 43625 "gram.c" /* yacc.c:1646  */
    break;

  case 1979:
#line 13402 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 43634 "gram.c" /* yacc.c:1646  */
    break;

  case 1980:
#line 13407 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 43644 "gram.c" /* yacc.c:1646  */
    break;

  case 1981:
#line 13413 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * The SQL spec only allows DEFAULT in "contextually typed
					 * expressions", but for us, it's easier to allow it in
					 * any a_expr and then throw error during parse analysis
					 * if it's in an inappropriate context.  This way also
					 * lets us say something smarter than "syntax error".
					 */
					SetToDefault *n = makeNode(SetToDefault);
					/* parse analysis will fill in the rest */
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 43662 "gram.c" /* yacc.c:1646  */
    break;

  case 1982:
#line 13438 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 43668 "gram.c" /* yacc.c:1646  */
    break;

  case 1983:
#line 13440 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 43674 "gram.c" /* yacc.c:1646  */
    break;

  case 1984:
#line 13442 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 43680 "gram.c" /* yacc.c:1646  */
    break;

  case 1985:
#line 13444 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 43686 "gram.c" /* yacc.c:1646  */
    break;

  case 1986:
#line 13446 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43692 "gram.c" /* yacc.c:1646  */
    break;

  case 1987:
#line 13448 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43698 "gram.c" /* yacc.c:1646  */
    break;

  case 1988:
#line 13450 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43704 "gram.c" /* yacc.c:1646  */
    break;

  case 1989:
#line 13452 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43710 "gram.c" /* yacc.c:1646  */
    break;

  case 1990:
#line 13454 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43716 "gram.c" /* yacc.c:1646  */
    break;

  case 1991:
#line 13456 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43722 "gram.c" /* yacc.c:1646  */
    break;

  case 1992:
#line 13458 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43728 "gram.c" /* yacc.c:1646  */
    break;

  case 1993:
#line 13460 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43734 "gram.c" /* yacc.c:1646  */
    break;

  case 1994:
#line 13462 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43740 "gram.c" /* yacc.c:1646  */
    break;

  case 1995:
#line 13464 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43746 "gram.c" /* yacc.c:1646  */
    break;

  case 1996:
#line 13466 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43752 "gram.c" /* yacc.c:1646  */
    break;

  case 1997:
#line 13468 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43758 "gram.c" /* yacc.c:1646  */
    break;

  case 1998:
#line 13470 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43764 "gram.c" /* yacc.c:1646  */
    break;

  case 1999:
#line 13472 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 43770 "gram.c" /* yacc.c:1646  */
    break;

  case 2000:
#line 13474 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[0].list), (yyvsp[-1].node), NULL, (yylsp[0])); }
#line 43776 "gram.c" /* yacc.c:1646  */
    break;

  case 2001:
#line 13476 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 43784 "gram.c" /* yacc.c:1646  */
    break;

  case 2002:
#line 13480 "gram.y" /* yacc.c:1646  */
    {
                    (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4]));
				}
#line 43792 "gram.c" /* yacc.c:1646  */
    break;

  case 2003:
#line 13484 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[-5].node), (Node *) (yyvsp[-1].list), (yylsp[-4]));
				}
#line 43800 "gram.c" /* yacc.c:1646  */
    break;

  case 2004:
#line 13488 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[-6].node), (Node *) (yyvsp[-1].list), (yylsp[-5]));
				}
#line 43808 "gram.c" /* yacc.c:1646  */
    break;

  case 2005:
#line 13492 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 43817 "gram.c" /* yacc.c:1646  */
    break;

  case 2006:
#line 13497 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 43827 "gram.c" /* yacc.c:1646  */
    break;

  case 2007:
#line 13512 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 43833 "gram.c" /* yacc.c:1646  */
    break;

  case 2008:
#line 13513 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 43839 "gram.c" /* yacc.c:1646  */
    break;

  case 2009:
#line 13515 "gram.y" /* yacc.c:1646  */
    {
					ParamRef *p = makeNode(ParamRef);
					p->number = (yyvsp[-1].ival);
					p->location = (yylsp[-1]);
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (Node *) p;
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (Node *) p;
				}
#line 43858 "gram.c" /* yacc.c:1646  */
    break;

  case 2010:
#line 13530 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (yyvsp[-2].node);
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *)n;
					}
					else if (operator_precedence_warning)
					{
						/*
						 * If precedence warnings are enabled, insert
						 * AEXPR_PAREN nodes wrapping all explicitly
						 * parenthesized subexpressions; this prevents bogus
						 * warnings from being issued when the ordering has
						 * been forced by parentheses.  Take care that an
						 * AEXPR_PAREN node has the same exprLocation as its
						 * child, so as not to cause surprising changes in
						 * error cursor positioning.
						 *
						 * In principle we should not be relying on a GUC to
						 * decide whether to insert AEXPR_PAREN nodes.
						 * However, since they have no effect except to
						 * suppress warnings, it's probably safe enough; and
						 * we'd just as soon not waste cycles on dummy parse
						 * nodes if we don't have to.
						 */
						(yyval.node) = (Node *) makeA_Expr(AEXPR_PAREN, NIL, (yyvsp[-2].node), NULL,
												 exprLocation((yyvsp[-2].node)));
					}
					else
						(yyval.node) = (yyvsp[-2].node);
				}
#line 43896 "gram.c" /* yacc.c:1646  */
    break;

  case 2011:
#line 13564 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 43902 "gram.c" /* yacc.c:1646  */
    break;

  case 2012:
#line 13566 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 43908 "gram.c" /* yacc.c:1646  */
    break;

  case 2013:
#line 13568 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 43923 "gram.c" /* yacc.c:1646  */
    break;

  case 2014:
#line 13579 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Because the select_with_parens nonterminal is designed
					 * to "eat" as many levels of parens as possible, the
					 * '(' a_expr ')' opt_indirection production above will
					 * fail to match a sub-SELECT with indirection decoration;
					 * the sub-SELECT won't be regarded as an a_expr as long
					 * as there are parens around it.  To support applying
					 * subscripting or field selection to a sub-SELECT result,
					 * we need this redundant-looking production.
					 */
					SubLink *n = makeNode(SubLink);
					A_Indirection *a = makeNode(A_Indirection);
					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[-1].node);
					n->location = (yylsp[-1]);
					a->arg = (Node *)n;
					a->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.node) = (Node *)a;
				}
#line 43951 "gram.c" /* yacc.c:1646  */
    break;

  case 2015:
#line 13603 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXISTS_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 43966 "gram.c" /* yacc.c:1646  */
    break;

  case 2016:
#line 13614 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = ARRAY_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 43981 "gram.c" /* yacc.c:1646  */
    break;

  case 2017:
#line 13625 "gram.y" /* yacc.c:1646  */
    {
					A_ArrayExpr *n = castNode(A_ArrayExpr, (yyvsp[0].node));
					/* point outermost A_ArrayExpr to the ARRAY keyword */
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 43992 "gram.c" /* yacc.c:1646  */
    break;

  case 2018:
#line 13632 "gram.y" /* yacc.c:1646  */
    {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_EXPLICIT_CALL; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *)r;
				}
#line 44006 "gram.c" /* yacc.c:1646  */
    break;

  case 2019:
#line 13642 "gram.y" /* yacc.c:1646  */
    {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_IMPLICIT_CAST; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *)r;
				}
#line 44020 "gram.c" /* yacc.c:1646  */
    break;

  case 2020:
#line 13652 "gram.y" /* yacc.c:1646  */
    {
				  GroupingFunc *g = makeNode(GroupingFunc);
				  g->args = (yyvsp[-1].list);
				  g->location = (yylsp[-3]);
				  (yyval.node) = (Node *)g;
			  }
#line 44031 "gram.c" /* yacc.c:1646  */
    break;

  case 2021:
#line 13661 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall((yyvsp[-2].list), NIL, (yylsp[-2]));
				}
#line 44039 "gram.c" /* yacc.c:1646  */
    break;

  case 2022:
#line 13665 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-4].list), (yyvsp[-2].list), (yylsp[-4]));
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 44049 "gram.c" /* yacc.c:1646  */
    break;

  case 2023:
#line 13671 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), list_make1((yyvsp[-2].node)), (yylsp[-5]));
					n->func_variadic = true;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 44060 "gram.c" /* yacc.c:1646  */
    break;

  case 2024:
#line 13678 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-7].list), lappend((yyvsp[-5].list), (yyvsp[-2].node)), (yylsp[-7]));
					n->func_variadic = true;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 44071 "gram.c" /* yacc.c:1646  */
    break;

  case 2025:
#line 13685 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list), (yylsp[-5]));
					n->agg_order = (yyvsp[-1].list);
					/* Ideally we'd mark the FuncCall node to indicate
					 * "must be an aggregate", but there's no provision
					 * for that in FuncCall at the moment.
					 */
					(yyval.node) = (Node *)n;
				}
#line 44085 "gram.c" /* yacc.c:1646  */
    break;

  case 2026:
#line 13695 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list), (yylsp[-5]));
					n->agg_order = (yyvsp[-1].list);
					n->agg_distinct = true;
					(yyval.node) = (Node *)n;
				}
#line 44096 "gram.c" /* yacc.c:1646  */
    break;

  case 2027:
#line 13702 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We consider AGGREGATE(*) to invoke a parameterless
					 * aggregate.  This does the right thing for COUNT(*),
					 * and there are no other aggregates in SQL that accept
					 * '*' as parameter.
					 *
					 * The FuncCall node is also marked agg_star = true,
					 * so that later processing can detect what the argument
					 * really was.
					 */
					FuncCall *n = makeFuncCall((yyvsp[-3].list), NIL, (yylsp[-3]));
					n->agg_star = true;
					(yyval.node) = (Node *)n;
				}
#line 44116 "gram.c" /* yacc.c:1646  */
    break;

  case 2028:
#line 13730 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = (FuncCall *) (yyvsp[-3].node);
					/*
					 * The order clause for WITHIN GROUP and the one for
					 * plain-aggregate ORDER BY share a field, so we have to
					 * check here that at most one is present.  We also check
					 * for DISTINCT and VARIADIC here to give a better error
					 * location.  Other consistency checks are deferred to
					 * parse analysis.
					 */
					if ((yyvsp[-2].list) != NIL)
					{
						if (n->agg_order != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use multiple ORDER BY clauses with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->agg_distinct)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use DISTINCT with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->func_variadic)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use VARIADIC with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						n->agg_order = (yyvsp[-2].list);
						n->agg_within_group = true;
					}
					n->agg_filter = (yyvsp[-1].node);
					n->over = (yyvsp[0].windef);
					(yyval.node) = (Node *) n;
				}
#line 44155 "gram.c" /* yacc.c:1646  */
    break;

  case 2029:
#line 13765 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44161 "gram.c" /* yacc.c:1646  */
    break;

  case 2030:
#line 13775 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44167 "gram.c" /* yacc.c:1646  */
    break;

  case 2031:
#line 13776 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44173 "gram.c" /* yacc.c:1646  */
    break;

  case 2032:
#line 13784 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("pg_collation_for"),
											   list_make1((yyvsp[-1].node)),
											   (yylsp[-4]));
				}
#line 44183 "gram.c" /* yacc.c:1646  */
    break;

  case 2033:
#line 13790 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_DATE, -1, (yylsp[0]));
				}
#line 44191 "gram.c" /* yacc.c:1646  */
    break;

  case 2034:
#line 13794 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIME, -1, (yylsp[0]));
				}
#line 44199 "gram.c" /* yacc.c:1646  */
    break;

  case 2035:
#line 13798 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIME_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 44207 "gram.c" /* yacc.c:1646  */
    break;

  case 2036:
#line 13802 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIMESTAMP, -1, (yylsp[0]));
				}
#line 44215 "gram.c" /* yacc.c:1646  */
    break;

  case 2037:
#line 13806 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIMESTAMP_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 44223 "gram.c" /* yacc.c:1646  */
    break;

  case 2038:
#line 13810 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIME, -1, (yylsp[0]));
				}
#line 44231 "gram.c" /* yacc.c:1646  */
    break;

  case 2039:
#line 13814 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIME_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 44239 "gram.c" /* yacc.c:1646  */
    break;

  case 2040:
#line 13818 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIMESTAMP, -1, (yylsp[0]));
				}
#line 44247 "gram.c" /* yacc.c:1646  */
    break;

  case 2041:
#line 13822 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIMESTAMP_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 44255 "gram.c" /* yacc.c:1646  */
    break;

  case 2042:
#line 13826 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_ROLE, -1, (yylsp[0]));
				}
#line 44263 "gram.c" /* yacc.c:1646  */
    break;

  case 2043:
#line 13830 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_USER, -1, (yylsp[0]));
				}
#line 44271 "gram.c" /* yacc.c:1646  */
    break;

  case 2044:
#line 13834 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_SESSION_USER, -1, (yylsp[0]));
				}
#line 44279 "gram.c" /* yacc.c:1646  */
    break;

  case 2045:
#line 13838 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_USER, -1, (yylsp[0]));
				}
#line 44287 "gram.c" /* yacc.c:1646  */
    break;

  case 2046:
#line 13842 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_CATALOG, -1, (yylsp[0]));
				}
#line 44295 "gram.c" /* yacc.c:1646  */
    break;

  case 2047:
#line 13846 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_SCHEMA, -1, (yylsp[0]));
				}
#line 44303 "gram.c" /* yacc.c:1646  */
    break;

  case 2048:
#line 13850 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-3].node), (yyvsp[-1].typnam), (yylsp[-5])); }
#line 44309 "gram.c" /* yacc.c:1646  */
    break;

  case 2049:
#line 13852 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("date_part"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 44317 "gram.c" /* yacc.c:1646  */
    break;

  case 2050:
#line 13856 "gram.y" /* yacc.c:1646  */
    {
					/* overlay(A PLACING B FROM C FOR D) is converted to
					 * overlay(A, B, C, D)
					 * overlay(A PLACING B FROM C) is converted to
					 * overlay(A, B, C)
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlay"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 44330 "gram.c" /* yacc.c:1646  */
    break;

  case 2051:
#line 13865 "gram.y" /* yacc.c:1646  */
    {
					/* position(A in B) is converted to position(B, A) */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("position"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 44339 "gram.c" /* yacc.c:1646  */
    break;

  case 2052:
#line 13870 "gram.y" /* yacc.c:1646  */
    {
					/* substring(A from B for C) is converted to
					 * substring(A, B, C) - thomas 2000-11-28
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("substring"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 44350 "gram.c" /* yacc.c:1646  */
    break;

  case 2053:
#line 13877 "gram.y" /* yacc.c:1646  */
    {
					/* TREAT(expr AS target) converts expr of a particular type to target,
					 * which is defined to be a subtype of the original expression.
					 * In SQL99, this is intended for use with structured UDTs,
					 * but let's make this a generally useful form allowing stronger
					 * coercions than are handled by implicit casting.
					 *
					 * Convert SystemTypeName() to SystemFuncName() even though
					 * at the moment they result in the same thing.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName(((Value *)llast((yyvsp[-1].typnam)->names))->val.str),
												list_make1((yyvsp[-3].node)),
												(yylsp[-5]));
				}
#line 44369 "gram.c" /* yacc.c:1646  */
    break;

  case 2054:
#line 13892 "gram.y" /* yacc.c:1646  */
    {
					/* various trim expressions are defined in SQL
					 * - thomas 1997-07-19
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 44380 "gram.c" /* yacc.c:1646  */
    break;

  case 2055:
#line 13899 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("ltrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 44388 "gram.c" /* yacc.c:1646  */
    break;

  case 2056:
#line 13903 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("rtrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 44396 "gram.c" /* yacc.c:1646  */
    break;

  case 2057:
#line 13907 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 44404 "gram.c" /* yacc.c:1646  */
    break;

  case 2058:
#line 13911 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NULLIF, "=", (yyvsp[-3].node), (yyvsp[-1].node), (yylsp[-5]));
				}
#line 44412 "gram.c" /* yacc.c:1646  */
    break;

  case 2059:
#line 13915 "gram.y" /* yacc.c:1646  */
    {
					CoalesceExpr *c = makeNode(CoalesceExpr);
					c->args = (yyvsp[-1].list);
					c->location = (yylsp[-3]);
					(yyval.node) = (Node *)c;
				}
#line 44423 "gram.c" /* yacc.c:1646  */
    break;

  case 2060:
#line 13922 "gram.y" /* yacc.c:1646  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[-1].list);
					v->op = IS_GREATEST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *)v;
				}
#line 44435 "gram.c" /* yacc.c:1646  */
    break;

  case 2061:
#line 13930 "gram.y" /* yacc.c:1646  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[-1].list);
					v->op = IS_LEAST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *)v;
				}
#line 44447 "gram.c" /* yacc.c:1646  */
    break;

  case 2062:
#line 13938 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLCONCAT, NULL, NIL, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 44455 "gram.c" /* yacc.c:1646  */
    break;

  case 2063:
#line 13942 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-1].str), NIL, NIL, (yylsp[-4]));
				}
#line 44463 "gram.c" /* yacc.c:1646  */
    break;

  case 2064:
#line 13946 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), (yyvsp[-1].list), NIL, (yylsp[-6]));
				}
#line 44471 "gram.c" /* yacc.c:1646  */
    break;

  case 2065:
#line 13950 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), NIL, (yyvsp[-1].list), (yylsp[-6]));
				}
#line 44479 "gram.c" /* yacc.c:1646  */
    break;

  case 2066:
#line 13954 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-5].str), (yyvsp[-3].list), (yyvsp[-1].list), (yylsp[-8]));
				}
#line 44487 "gram.c" /* yacc.c:1646  */
    break;

  case 2067:
#line 13958 "gram.y" /* yacc.c:1646  */
    {
					/* xmlexists(A PASSING [BY REF] B [BY REF]) is
					 * converted to xmlexists(A, B)*/
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("xmlexists"), list_make2((yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-4]));
				}
#line 44497 "gram.c" /* yacc.c:1646  */
    break;

  case 2068:
#line 13964 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLFOREST, NULL, (yyvsp[-1].list), NIL, (yylsp[-3]));
				}
#line 44505 "gram.c" /* yacc.c:1646  */
    break;

  case 2069:
#line 13968 "gram.y" /* yacc.c:1646  */
    {
					XmlExpr *x = (XmlExpr *)
						makeXmlExpr(IS_XMLPARSE, NULL, NIL,
									list_make2((yyvsp[-2].node), makeBoolAConst((yyvsp[-1].boolean), -1)),
									(yylsp[-5]));
					x->xmloption = (yyvsp[-3].ival);
					(yyval.node) = (Node *)x;
				}
#line 44518 "gram.c" /* yacc.c:1646  */
    break;

  case 2070:
#line 13977 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-1].str), NULL, NIL, (yylsp[-4]));
				}
#line 44526 "gram.c" /* yacc.c:1646  */
    break;

  case 2071:
#line 13981 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-3].str), NULL, list_make1((yyvsp[-1].node)), (yylsp[-6]));
				}
#line 44534 "gram.c" /* yacc.c:1646  */
    break;

  case 2072:
#line 13985 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLROOT, NULL, NIL,
									 list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-6]));
				}
#line 44543 "gram.c" /* yacc.c:1646  */
    break;

  case 2073:
#line 13990 "gram.y" /* yacc.c:1646  */
    {
					XmlSerialize *n = makeNode(XmlSerialize);
					n->xmloption = (yyvsp[-4].ival);
					n->expr = (yyvsp[-3].node);
					n->typeName = (yyvsp[-1].typnam);
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *)n;
				}
#line 44556 "gram.c" /* yacc.c:1646  */
    break;

  case 2074:
#line 14004 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44562 "gram.c" /* yacc.c:1646  */
    break;

  case 2075:
#line 14006 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNullAConst(-1); }
#line 44568 "gram.c" /* yacc.c:1646  */
    break;

  case 2076:
#line 14010 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_YES, -1); }
#line 44574 "gram.c" /* yacc.c:1646  */
    break;

  case 2077:
#line 14012 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO, -1); }
#line 44580 "gram.c" /* yacc.c:1646  */
    break;

  case 2078:
#line 14014 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO_VALUE, -1); }
#line 44586 "gram.c" /* yacc.c:1646  */
    break;

  case 2079:
#line 14016 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_OMITTED, -1); }
#line 44592 "gram.c" /* yacc.c:1646  */
    break;

  case 2080:
#line 14019 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 44598 "gram.c" /* yacc.c:1646  */
    break;

  case 2081:
#line 14022 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 44604 "gram.c" /* yacc.c:1646  */
    break;

  case 2082:
#line 14023 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 44610 "gram.c" /* yacc.c:1646  */
    break;

  case 2083:
#line 14027 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 44622 "gram.c" /* yacc.c:1646  */
    break;

  case 2084:
#line 14035 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 44634 "gram.c" /* yacc.c:1646  */
    break;

  case 2085:
#line 14044 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = XMLOPTION_DOCUMENT; }
#line 44640 "gram.c" /* yacc.c:1646  */
    break;

  case 2086:
#line 14045 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = XMLOPTION_CONTENT; }
#line 44646 "gram.c" /* yacc.c:1646  */
    break;

  case 2087:
#line 14048 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 44652 "gram.c" /* yacc.c:1646  */
    break;

  case 2088:
#line 14049 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 44658 "gram.c" /* yacc.c:1646  */
    break;

  case 2089:
#line 14050 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 44664 "gram.c" /* yacc.c:1646  */
    break;

  case 2090:
#line 14056 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 44672 "gram.c" /* yacc.c:1646  */
    break;

  case 2091:
#line 14060 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[-1].node);
				}
#line 44680 "gram.c" /* yacc.c:1646  */
    break;

  case 2092:
#line 14064 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 44688 "gram.c" /* yacc.c:1646  */
    break;

  case 2093:
#line 14068 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[-1].node);
				}
#line 44696 "gram.c" /* yacc.c:1646  */
    break;

  case 2096:
#line 14083 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 44702 "gram.c" /* yacc.c:1646  */
    break;

  case 2097:
#line 14084 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 44708 "gram.c" /* yacc.c:1646  */
    break;

  case 2098:
#line 14088 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 44714 "gram.c" /* yacc.c:1646  */
    break;

  case 2099:
#line 14089 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 44720 "gram.c" /* yacc.c:1646  */
    break;

  case 2100:
#line 14097 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 44726 "gram.c" /* yacc.c:1646  */
    break;

  case 2101:
#line 14098 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 44732 "gram.c" /* yacc.c:1646  */
    break;

  case 2102:
#line 14102 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].windef)); }
#line 44738 "gram.c" /* yacc.c:1646  */
    break;

  case 2103:
#line 14104 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].windef)); }
#line 44744 "gram.c" /* yacc.c:1646  */
    break;

  case 2104:
#line 14109 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->name = (yyvsp[-2].str);
					(yyval.windef) = n;
				}
#line 44754 "gram.c" /* yacc.c:1646  */
    break;

  case 2105:
#line 14117 "gram.y" /* yacc.c:1646  */
    { (yyval.windef) = (yyvsp[0].windef); }
#line 44760 "gram.c" /* yacc.c:1646  */
    break;

  case 2106:
#line 14119 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = (yyvsp[0].str);
					n->refname = NULL;
					n->partitionClause = NIL;
					n->orderClause = NIL;
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					n->location = (yylsp[0]);
					(yyval.windef) = n;
				}
#line 44777 "gram.c" /* yacc.c:1646  */
    break;

  case 2107:
#line 14132 "gram.y" /* yacc.c:1646  */
    { (yyval.windef) = NULL; }
#line 44783 "gram.c" /* yacc.c:1646  */
    break;

  case 2108:
#line 14137 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = NULL;
					n->refname = (yyvsp[-4].str);
					n->partitionClause = (yyvsp[-3].list);
					n->orderClause = (yyvsp[-2].list);
					/* copy relevant fields of opt_frame_clause */
					n->frameOptions = (yyvsp[-1].windef)->frameOptions;
					n->startOffset = (yyvsp[-1].windef)->startOffset;
					n->endOffset = (yyvsp[-1].windef)->endOffset;
					n->location = (yylsp[-5]);
					(yyval.windef) = n;
				}
#line 44801 "gram.c" /* yacc.c:1646  */
    break;

  case 2109:
#line 14162 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44807 "gram.c" /* yacc.c:1646  */
    break;

  case 2110:
#line 14163 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 44813 "gram.c" /* yacc.c:1646  */
    break;

  case 2111:
#line 14166 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 44819 "gram.c" /* yacc.c:1646  */
    break;

  case 2112:
#line 14167 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 44825 "gram.c" /* yacc.c:1646  */
    break;

  case 2113:
#line 14176 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[-1].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_RANGE;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 44836 "gram.c" /* yacc.c:1646  */
    break;

  case 2114:
#line 14183 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[-1].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_ROWS;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 44847 "gram.c" /* yacc.c:1646  */
    break;

  case 2115:
#line 14190 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[-1].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_GROUPS;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 44858 "gram.c" /* yacc.c:1646  */
    break;

  case 2116:
#line 14197 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 44870 "gram.c" /* yacc.c:1646  */
    break;

  case 2117:
#line 14207 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					/* reject invalid cases */
					if (n->frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[0]))));
					if (n->frameOptions & FRAMEOPTION_START_OFFSET_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot end with current row"),
								 parser_errposition((yylsp[0]))));
					n->frameOptions |= FRAMEOPTION_END_CURRENT_ROW;
					(yyval.windef) = n;
				}
#line 44891 "gram.c" /* yacc.c:1646  */
    break;

  case 2118:
#line 14224 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n1 = (yyvsp[-2].windef);
					WindowDef *n2 = (yyvsp[0].windef);
					/* form merged options */
					int		frameOptions = n1->frameOptions;
					/* shift converts START_ options to END_ options */
					frameOptions |= n2->frameOptions << 1;
					frameOptions |= FRAMEOPTION_BETWEEN;
					/* reject invalid cases */
					if (frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[-2]))));
					if (frameOptions & FRAMEOPTION_END_UNBOUNDED_PRECEDING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame end cannot be UNBOUNDED PRECEDING"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_CURRENT_ROW) &&
						(frameOptions & FRAMEOPTION_END_OFFSET_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from current row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_OFFSET_FOLLOWING) &&
						(frameOptions & (FRAMEOPTION_END_OFFSET_PRECEDING |
										 FRAMEOPTION_END_CURRENT_ROW)))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					n1->frameOptions = frameOptions;
					n1->endOffset = n2->startOffset;
					(yyval.windef) = n1;
				}
#line 44932 "gram.c" /* yacc.c:1646  */
    break;

  case 2119:
#line 14269 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_PRECEDING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 44944 "gram.c" /* yacc.c:1646  */
    break;

  case 2120:
#line 14277 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_FOLLOWING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 44956 "gram.c" /* yacc.c:1646  */
    break;

  case 2121:
#line 14285 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_CURRENT_ROW;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 44968 "gram.c" /* yacc.c:1646  */
    break;

  case 2122:
#line 14293 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_OFFSET_PRECEDING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 44980 "gram.c" /* yacc.c:1646  */
    break;

  case 2123:
#line 14301 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_OFFSET_FOLLOWING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 44992 "gram.c" /* yacc.c:1646  */
    break;

  case 2124:
#line 14311 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FRAMEOPTION_EXCLUDE_CURRENT_ROW; }
#line 44998 "gram.c" /* yacc.c:1646  */
    break;

  case 2125:
#line 14312 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FRAMEOPTION_EXCLUDE_GROUP; }
#line 45004 "gram.c" /* yacc.c:1646  */
    break;

  case 2126:
#line 14313 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FRAMEOPTION_EXCLUDE_TIES; }
#line 45010 "gram.c" /* yacc.c:1646  */
    break;

  case 2127:
#line 14314 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 45016 "gram.c" /* yacc.c:1646  */
    break;

  case 2128:
#line 14315 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 45022 "gram.c" /* yacc.c:1646  */
    break;

  case 2129:
#line 14329 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 45028 "gram.c" /* yacc.c:1646  */
    break;

  case 2130:
#line 14330 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 45034 "gram.c" /* yacc.c:1646  */
    break;

  case 2131:
#line 14331 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 45040 "gram.c" /* yacc.c:1646  */
    break;

  case 2132:
#line 14334 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 45046 "gram.c" /* yacc.c:1646  */
    break;

  case 2133:
#line 14335 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 45052 "gram.c" /* yacc.c:1646  */
    break;

  case 2134:
#line 14338 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 45058 "gram.c" /* yacc.c:1646  */
    break;

  case 2135:
#line 14341 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 45064 "gram.c" /* yacc.c:1646  */
    break;

  case 2136:
#line 14342 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 45070 "gram.c" /* yacc.c:1646  */
    break;

  case 2137:
#line 14343 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ALL_SUBLINK; }
#line 45076 "gram.c" /* yacc.c:1646  */
    break;

  case 2138:
#line 14346 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45082 "gram.c" /* yacc.c:1646  */
    break;

  case 2139:
#line 14347 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45088 "gram.c" /* yacc.c:1646  */
    break;

  case 2140:
#line 14350 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "+"; }
#line 45094 "gram.c" /* yacc.c:1646  */
    break;

  case 2141:
#line 14351 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "-"; }
#line 45100 "gram.c" /* yacc.c:1646  */
    break;

  case 2142:
#line 14352 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "*"; }
#line 45106 "gram.c" /* yacc.c:1646  */
    break;

  case 2143:
#line 14353 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "/"; }
#line 45112 "gram.c" /* yacc.c:1646  */
    break;

  case 2144:
#line 14354 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "%"; }
#line 45118 "gram.c" /* yacc.c:1646  */
    break;

  case 2145:
#line 14355 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "^"; }
#line 45124 "gram.c" /* yacc.c:1646  */
    break;

  case 2146:
#line 14356 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<"; }
#line 45130 "gram.c" /* yacc.c:1646  */
    break;

  case 2147:
#line 14357 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = ">"; }
#line 45136 "gram.c" /* yacc.c:1646  */
    break;

  case 2148:
#line 14358 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "="; }
#line 45142 "gram.c" /* yacc.c:1646  */
    break;

  case 2149:
#line 14359 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<="; }
#line 45148 "gram.c" /* yacc.c:1646  */
    break;

  case 2150:
#line 14360 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = ">="; }
#line 45154 "gram.c" /* yacc.c:1646  */
    break;

  case 2151:
#line 14361 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<>"; }
#line 45160 "gram.c" /* yacc.c:1646  */
    break;

  case 2152:
#line 14365 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 45166 "gram.c" /* yacc.c:1646  */
    break;

  case 2153:
#line 14367 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 45172 "gram.c" /* yacc.c:1646  */
    break;

  case 2154:
#line 14372 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 45178 "gram.c" /* yacc.c:1646  */
    break;

  case 2155:
#line 14374 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 45184 "gram.c" /* yacc.c:1646  */
    break;

  case 2156:
#line 14379 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 45190 "gram.c" /* yacc.c:1646  */
    break;

  case 2157:
#line 14381 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 45196 "gram.c" /* yacc.c:1646  */
    break;

  case 2158:
#line 14383 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("~~")); }
#line 45202 "gram.c" /* yacc.c:1646  */
    break;

  case 2159:
#line 14385 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("!~~")); }
#line 45208 "gram.c" /* yacc.c:1646  */
    break;

  case 2160:
#line 14387 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("~~*")); }
#line 45214 "gram.c" /* yacc.c:1646  */
    break;

  case 2161:
#line 14389 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("!~~*")); }
#line 45220 "gram.c" /* yacc.c:1646  */
    break;

  case 2162:
#line 14401 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 45228 "gram.c" /* yacc.c:1646  */
    break;

  case 2163:
#line 14405 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 45236 "gram.c" /* yacc.c:1646  */
    break;

  case 2164:
#line 14412 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 45244 "gram.c" /* yacc.c:1646  */
    break;

  case 2165:
#line 14416 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 45252 "gram.c" /* yacc.c:1646  */
    break;

  case 2166:
#line 14422 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 45260 "gram.c" /* yacc.c:1646  */
    break;

  case 2167:
#line 14426 "gram.y" /* yacc.c:1646  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);
					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 45273 "gram.c" /* yacc.c:1646  */
    break;

  case 2168:
#line 14435 "gram.y" /* yacc.c:1646  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);
					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 45286 "gram.c" /* yacc.c:1646  */
    break;

  case 2169:
#line 14445 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 45292 "gram.c" /* yacc.c:1646  */
    break;

  case 2170:
#line 14446 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 45298 "gram.c" /* yacc.c:1646  */
    break;

  case 2171:
#line 14450 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 45306 "gram.c" /* yacc.c:1646  */
    break;

  case 2172:
#line 14454 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 45314 "gram.c" /* yacc.c:1646  */
    break;

  case 2173:
#line 14458 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr(NIL, (yylsp[-1]));
				}
#line 45322 "gram.c" /* yacc.c:1646  */
    break;

  case 2174:
#line 14463 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 45328 "gram.c" /* yacc.c:1646  */
    break;

  case 2175:
#line 14464 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 45334 "gram.c" /* yacc.c:1646  */
    break;

  case 2176:
#line 14470 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeStringConst((yyvsp[-2].str), (yylsp[-2])), (yyvsp[0].node));
				}
#line 45342 "gram.c" /* yacc.c:1646  */
    break;

  case 2177:
#line 14473 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 45348 "gram.c" /* yacc.c:1646  */
    break;

  case 2178:
#line 14480 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45354 "gram.c" /* yacc.c:1646  */
    break;

  case 2179:
#line 14481 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "year"; }
#line 45360 "gram.c" /* yacc.c:1646  */
    break;

  case 2180:
#line 14482 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "month"; }
#line 45366 "gram.c" /* yacc.c:1646  */
    break;

  case 2181:
#line 14483 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "day"; }
#line 45372 "gram.c" /* yacc.c:1646  */
    break;

  case 2182:
#line 14484 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "hour"; }
#line 45378 "gram.c" /* yacc.c:1646  */
    break;

  case 2183:
#line 14485 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "minute"; }
#line 45384 "gram.c" /* yacc.c:1646  */
    break;

  case 2184:
#line 14486 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "second"; }
#line 45390 "gram.c" /* yacc.c:1646  */
    break;

  case 2185:
#line 14487 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45396 "gram.c" /* yacc.c:1646  */
    break;

  case 2186:
#line 14498 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make4((yyvsp[-3].node), (yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 45404 "gram.c" /* yacc.c:1646  */
    break;

  case 2187:
#line 14502 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 45412 "gram.c" /* yacc.c:1646  */
    break;

  case 2188:
#line 14509 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45418 "gram.c" /* yacc.c:1646  */
    break;

  case 2189:
#line 14515 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-2].node)); }
#line 45424 "gram.c" /* yacc.c:1646  */
    break;

  case 2190:
#line 14516 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 45430 "gram.c" /* yacc.c:1646  */
    break;

  case 2191:
#line 14533 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 45438 "gram.c" /* yacc.c:1646  */
    break;

  case 2192:
#line 14537 "gram.y" /* yacc.c:1646  */
    {
					/* not legal per SQL99, but might as well allow it */
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[0].node), (yyvsp[-1].node));
				}
#line 45447 "gram.c" /* yacc.c:1646  */
    break;

  case 2193:
#line 14542 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].node));
				}
#line 45455 "gram.c" /* yacc.c:1646  */
    break;

  case 2194:
#line 14546 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Since there are no cases where this syntax allows
					 * a textual FOR value, we forcibly cast the argument
					 * to int4.  The possible matches in pg_proc are
					 * substring(text,int4) and substring(text,text),
					 * and we don't want the parser to choose the latter,
					 * which it is likely to do if the second argument
					 * is unknown or doesn't have an implicit cast to int4.
					 */
					(yyval.list) = list_make3((yyvsp[-1].node), makeIntConst(1, -1),
									makeTypeCast((yyvsp[0].node),
												 SystemTypeName("int4"), -1));
				}
#line 45474 "gram.c" /* yacc.c:1646  */
    break;

  case 2195:
#line 14561 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
				}
#line 45482 "gram.c" /* yacc.c:1646  */
    break;

  case 2196:
#line 14565 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 45488 "gram.c" /* yacc.c:1646  */
    break;

  case 2197:
#line 14569 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45494 "gram.c" /* yacc.c:1646  */
    break;

  case 2198:
#line 14572 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45500 "gram.c" /* yacc.c:1646  */
    break;

  case 2199:
#line 14575 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[0].list), (yyvsp[-2].node)); }
#line 45506 "gram.c" /* yacc.c:1646  */
    break;

  case 2200:
#line 14576 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 45512 "gram.c" /* yacc.c:1646  */
    break;

  case 2201:
#line 14577 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 45518 "gram.c" /* yacc.c:1646  */
    break;

  case 2202:
#line 14581 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subselect = (yyvsp[0].node);
					/* other fields will be filled later */
					(yyval.node) = (Node *)n;
				}
#line 45529 "gram.c" /* yacc.c:1646  */
    break;

  case 2203:
#line 14587 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[-1].list); }
#line 45535 "gram.c" /* yacc.c:1646  */
    break;

  case 2204:
#line 14598 "gram.y" /* yacc.c:1646  */
    {
					CaseExpr *c = makeNode(CaseExpr);
					c->casetype = InvalidOid; /* not analyzed yet */
					c->arg = (Expr *) (yyvsp[-3].node);
					c->args = (yyvsp[-2].list);
					c->defresult = (Expr *) (yyvsp[-1].node);
					c->location = (yylsp[-4]);
					(yyval.node) = (Node *)c;
				}
#line 45549 "gram.c" /* yacc.c:1646  */
    break;

  case 2205:
#line 14611 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 45555 "gram.c" /* yacc.c:1646  */
    break;

  case 2206:
#line 14612 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 45561 "gram.c" /* yacc.c:1646  */
    break;

  case 2207:
#line 14617 "gram.y" /* yacc.c:1646  */
    {
					CaseWhen *w = makeNode(CaseWhen);
					w->expr = (Expr *) (yyvsp[-2].node);
					w->result = (Expr *) (yyvsp[0].node);
					w->location = (yylsp[-3]);
					(yyval.node) = (Node *)w;
				}
#line 45573 "gram.c" /* yacc.c:1646  */
    break;

  case 2208:
#line 14627 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45579 "gram.c" /* yacc.c:1646  */
    break;

  case 2209:
#line 14628 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 45585 "gram.c" /* yacc.c:1646  */
    break;

  case 2210:
#line 14631 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45591 "gram.c" /* yacc.c:1646  */
    break;

  case 2211:
#line 14632 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 45597 "gram.c" /* yacc.c:1646  */
    break;

  case 2212:
#line 14636 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeColumnRef((yyvsp[0].str), NIL, (yylsp[0]), yyscanner);
				}
#line 45605 "gram.c" /* yacc.c:1646  */
    break;

  case 2213:
#line 14640 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeColumnRef((yyvsp[-1].str), (yyvsp[0].list), (yylsp[-1]), yyscanner);
				}
#line 45613 "gram.c" /* yacc.c:1646  */
    break;

  case 2214:
#line 14647 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 45621 "gram.c" /* yacc.c:1646  */
    break;

  case 2215:
#line 14651 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeNode(A_Star);
				}
#line 45629 "gram.c" /* yacc.c:1646  */
    break;

  case 2216:
#line 14655 "gram.y" /* yacc.c:1646  */
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->is_slice = false;
					ai->lidx = NULL;
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 45641 "gram.c" /* yacc.c:1646  */
    break;

  case 2217:
#line 14663 "gram.y" /* yacc.c:1646  */
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->is_slice = true;
					ai->lidx = (yyvsp[-3].node);
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 45653 "gram.c" /* yacc.c:1646  */
    break;

  case 2218:
#line 14673 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45659 "gram.c" /* yacc.c:1646  */
    break;

  case 2219:
#line 14674 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 45665 "gram.c" /* yacc.c:1646  */
    break;

  case 2220:
#line 14678 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 45671 "gram.c" /* yacc.c:1646  */
    break;

  case 2221:
#line 14679 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 45677 "gram.c" /* yacc.c:1646  */
    break;

  case 2222:
#line 14683 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 45683 "gram.c" /* yacc.c:1646  */
    break;

  case 2223:
#line 14684 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 45689 "gram.c" /* yacc.c:1646  */
    break;

  case 2226:
#line 14698 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 45695 "gram.c" /* yacc.c:1646  */
    break;

  case 2227:
#line 14699 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 45701 "gram.c" /* yacc.c:1646  */
    break;

  case 2228:
#line 14703 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 45707 "gram.c" /* yacc.c:1646  */
    break;

  case 2229:
#line 14704 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 45713 "gram.c" /* yacc.c:1646  */
    break;

  case 2230:
#line 14708 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 45725 "gram.c" /* yacc.c:1646  */
    break;

  case 2231:
#line 14724 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[-1].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 45737 "gram.c" /* yacc.c:1646  */
    break;

  case 2232:
#line 14732 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 45749 "gram.c" /* yacc.c:1646  */
    break;

  case 2233:
#line 14740 "gram.y" /* yacc.c:1646  */
    {
					ColumnRef *n = makeNode(ColumnRef);
					n->fields = list_make1(makeNode(A_Star));
					n->location = (yylsp[0]);

					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)n;
					(yyval.target)->location = (yylsp[0]);
				}
#line 45765 "gram.c" /* yacc.c:1646  */
    break;

  case 2234:
#line 14761 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 45771 "gram.c" /* yacc.c:1646  */
    break;

  case 2235:
#line 14762 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 45777 "gram.c" /* yacc.c:1646  */
    break;

  case 2236:
#line 14774 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = makeRangeVar(NULL, (yyvsp[0].str), (yylsp[0]));
				}
#line 45785 "gram.c" /* yacc.c:1646  */
    break;

  case 2237:
#line 14778 "gram.y" /* yacc.c:1646  */
    {
					check_qualified_name((yyvsp[0].list), yyscanner);
					(yyval.range) = makeRangeVar(NULL, NULL, (yylsp[-1]));
					switch (list_length((yyvsp[0].list)))
					{
						case 1:
							(yyval.range)->catalogname = NULL;
							(yyval.range)->schemaname = (yyvsp[-1].str);
							(yyval.range)->relname = strVal(linitial((yyvsp[0].list)));
							break;
						case 2:
							(yyval.range)->catalogname = (yyvsp[-1].str);
							(yyval.range)->schemaname = strVal(linitial((yyvsp[0].list)));
							(yyval.range)->relname = strVal(lsecond((yyvsp[0].list)));
							break;
						default:
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("improper qualified name (too many dotted names): %s",
											NameListToString(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)))),
									 parser_errposition((yylsp[-1]))));
							break;
					}
				}
#line 45814 "gram.c" /* yacc.c:1646  */
    break;

  case 2238:
#line 14805 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 45820 "gram.c" /* yacc.c:1646  */
    break;

  case 2239:
#line 14807 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 45826 "gram.c" /* yacc.c:1646  */
    break;

  case 2240:
#line 14811 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45832 "gram.c" /* yacc.c:1646  */
    break;

  case 2241:
#line 14814 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45838 "gram.c" /* yacc.c:1646  */
    break;

  case 2242:
#line 14817 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45844 "gram.c" /* yacc.c:1646  */
    break;

  case 2243:
#line 14819 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45850 "gram.c" /* yacc.c:1646  */
    break;

  case 2244:
#line 14821 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45856 "gram.c" /* yacc.c:1646  */
    break;

  case 2245:
#line 14823 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45862 "gram.c" /* yacc.c:1646  */
    break;

  case 2246:
#line 14834 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 45868 "gram.c" /* yacc.c:1646  */
    break;

  case 2247:
#line 14836 "gram.y" /* yacc.c:1646  */
    {
						(yyval.list) = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
											 yyscanner);
					}
#line 45877 "gram.c" /* yacc.c:1646  */
    break;

  case 2248:
#line 14847 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeIntConst((yyvsp[0].ival), (yylsp[0]));
				}
#line 45885 "gram.c" /* yacc.c:1646  */
    break;

  case 2249:
#line 14851 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeFloatConst((yyvsp[0].str), (yylsp[0]));
				}
#line 45893 "gram.c" /* yacc.c:1646  */
    break;

  case 2250:
#line 14855 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 45901 "gram.c" /* yacc.c:1646  */
    break;

  case 2251:
#line 14859 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 45909 "gram.c" /* yacc.c:1646  */
    break;

  case 2252:
#line 14863 "gram.y" /* yacc.c:1646  */
    {
					/* This is a bit constant per SQL99:
					 * Without Feature F511, "BIT data type",
					 * a <general literal> shall not be a
					 * <bit string literal> or a <hex string literal>.
					 */
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 45922 "gram.c" /* yacc.c:1646  */
    break;

  case 2253:
#line 14872 "gram.y" /* yacc.c:1646  */
    {
					/* generic type 'literal' syntax */
					TypeName *t = makeTypeNameFromNameList((yyvsp[-1].list));
					t->location = (yylsp[-1]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 45933 "gram.c" /* yacc.c:1646  */
    break;

  case 2254:
#line 14879 "gram.y" /* yacc.c:1646  */
    {
					/* generic syntax with a type modifier */
					TypeName *t = makeTypeNameFromNameList((yyvsp[-5].list));
					ListCell *lc;

					/*
					 * We must use func_arg_list and opt_sort_clause in the
					 * production to avoid reduce/reduce conflicts, but we
					 * don't actually wish to allow NamedArgExpr in this
					 * context, nor ORDER BY.
					 */
					foreach(lc, (yyvsp[-3].list))
					{
						NamedArgExpr *arg = (NamedArgExpr *) lfirst(lc);

						if (IsA(arg, NamedArgExpr))
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have parameter name"),
									 parser_errposition(arg->location)));
					}
					if ((yyvsp[-2].list) != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have ORDER BY"),
									 parser_errposition((yylsp[-2]))));

					t->typmods = (yyvsp[-3].list);
					t->location = (yylsp[-5]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 45969 "gram.c" /* yacc.c:1646  */
    break;

  case 2255:
#line 14911 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), (yyvsp[-1].typnam));
				}
#line 45977 "gram.c" /* yacc.c:1646  */
    break;

  case 2256:
#line 14915 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-2].typnam);
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 45987 "gram.c" /* yacc.c:1646  */
    break;

  case 2257:
#line 14921 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-4].typnam);
					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 45998 "gram.c" /* yacc.c:1646  */
    break;

  case 2258:
#line 14928 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBoolAConst(true, (yylsp[0]));
				}
#line 46006 "gram.c" /* yacc.c:1646  */
    break;

  case 2259:
#line 14932 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBoolAConst(false, (yylsp[0]));
				}
#line 46014 "gram.c" /* yacc.c:1646  */
    break;

  case 2260:
#line 14936 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 46022 "gram.c" /* yacc.c:1646  */
    break;

  case 2261:
#line 14941 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 46028 "gram.c" /* yacc.c:1646  */
    break;

  case 2262:
#line 14942 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46034 "gram.c" /* yacc.c:1646  */
    break;

  case 2263:
#line 14944 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 46040 "gram.c" /* yacc.c:1646  */
    break;

  case 2264:
#line 14945 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = + (yyvsp[0].ival); }
#line 46046 "gram.c" /* yacc.c:1646  */
    break;

  case 2265:
#line 14946 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = - (yyvsp[0].ival); }
#line 46052 "gram.c" /* yacc.c:1646  */
    break;

  case 2266:
#line 14951 "gram.y" /* yacc.c:1646  */
    {
					RoleSpec *spc = (RoleSpec *) (yyvsp[0].rolespec);
					switch (spc->roletype)
					{
						case ROLESPEC_CSTRING:
							(yyval.str) = spc->rolename;
							break;
						case ROLESPEC_PUBLIC:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("role name \"%s\" is reserved",
											"public"),
									 parser_errposition((yylsp[0]))));
							break;
						case ROLESPEC_SESSION_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"SESSION_USER"),
									 parser_errposition((yylsp[0]))));
							break;
						case ROLESPEC_CURRENT_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"CURRENT_USER"),
									 parser_errposition((yylsp[0]))));
							break;
					}
				}
#line 46087 "gram.c" /* yacc.c:1646  */
    break;

  case 2267:
#line 14984 "gram.y" /* yacc.c:1646  */
    {
						/*
						 * "public" and "none" are not keywords, but they must
						 * be treated specially here.
						 */
						RoleSpec *n;
						if (strcmp((yyvsp[0].str), "public") == 0)
						{
							n = (RoleSpec *) makeRoleSpec(ROLESPEC_PUBLIC, (yylsp[0]));
							n->roletype = ROLESPEC_PUBLIC;
						}
						else if (strcmp((yyvsp[0].str), "none") == 0)
						{
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("role name \"%s\" is reserved",
											"none"),
									 parser_errposition((yylsp[0]))));
						}
						else
						{
							n = makeRoleSpec(ROLESPEC_CSTRING, (yylsp[0]));
							n->rolename = pstrdup((yyvsp[0].str));
						}
						(yyval.rolespec) = n;
					}
#line 46118 "gram.c" /* yacc.c:1646  */
    break;

  case 2268:
#line 15011 "gram.y" /* yacc.c:1646  */
    {
						(yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0]));
					}
#line 46126 "gram.c" /* yacc.c:1646  */
    break;

  case 2269:
#line 15015 "gram.y" /* yacc.c:1646  */
    {
						(yyval.rolespec) = makeRoleSpec(ROLESPEC_SESSION_USER, (yylsp[0]));
					}
#line 46134 "gram.c" /* yacc.c:1646  */
    break;

  case 2270:
#line 15021 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].rolespec)); }
#line 46140 "gram.c" /* yacc.c:1646  */
    break;

  case 2271:
#line 15023 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].rolespec)); }
#line 46146 "gram.c" /* yacc.c:1646  */
    break;

  case 2272:
#line 15039 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46152 "gram.c" /* yacc.c:1646  */
    break;

  case 2273:
#line 15040 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 46158 "gram.c" /* yacc.c:1646  */
    break;

  case 2274:
#line 15041 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 46164 "gram.c" /* yacc.c:1646  */
    break;

  case 2275:
#line 15046 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46170 "gram.c" /* yacc.c:1646  */
    break;

  case 2276:
#line 15047 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 46176 "gram.c" /* yacc.c:1646  */
    break;

  case 2277:
#line 15048 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 46182 "gram.c" /* yacc.c:1646  */
    break;

  case 2278:
#line 15053 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46188 "gram.c" /* yacc.c:1646  */
    break;

  case 2279:
#line 15054 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 46194 "gram.c" /* yacc.c:1646  */
    break;

  case 2280:
#line 15055 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 46200 "gram.c" /* yacc.c:1646  */
    break;

  case 2281:
#line 15056 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 46206 "gram.c" /* yacc.c:1646  */
    break;

  case 2282:
#line 15062 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46212 "gram.c" /* yacc.c:1646  */
    break;

  case 2283:
#line 15063 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 46218 "gram.c" /* yacc.c:1646  */
    break;

  case 2284:
#line 15064 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 46224 "gram.c" /* yacc.c:1646  */
    break;

  case 2285:
#line 15065 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 46230 "gram.c" /* yacc.c:1646  */
    break;

  case 2286:
#line 15066 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 46236 "gram.c" /* yacc.c:1646  */
    break;


#line 46240 "gram.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (&yylloc, yyscanner, YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (&yylloc, yyscanner, yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc, yyscanner);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, yyscanner, YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, yyscanner);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 15565 "gram.y" /* yacc.c:1906  */


/*
 * The signature of this function is required by bison.  However, we
 * ignore the passed yylloc and instead use the last token position
 * available from the scanner.
 */
static void
base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner, const char *msg)
{
	parser_yyerror(msg);
}

static RawStmt *
makeRawStmt(Node *stmt, int stmt_location)
{
	RawStmt    *rs = makeNode(RawStmt);

	rs->stmt = stmt;
	rs->stmt_location = stmt_location;
	rs->stmt_len = 0;			/* might get changed later */
	return rs;
}

/* Adjust a RawStmt to reflect that it doesn't run to the end of the string */
static void
updateRawStmtEnd(RawStmt *rs, int end_location)
{
	/*
	 * If we already set the length, don't change it.  This is for situations
	 * like "select foo ;; select bar" where the same statement will be last
	 * in the string for more than one semicolon.
	 */
	if (rs->stmt_len > 0)
		return;

	/* OK, update length of RawStmt */
	rs->stmt_len = end_location - rs->stmt_location;
}

static Node *
makeColumnRef(char *colname, List *indirection,
			  int location, core_yyscan_t yyscanner)
{
	/*
	 * Generate a ColumnRef node, with an A_Indirection node added if there
	 * is any subscripting in the specified indirection list.  However,
	 * any field selection at the start of the indirection list must be
	 * transposed into the "fields" part of the ColumnRef node.
	 */
	ColumnRef  *c = makeNode(ColumnRef);
	int		nfields = 0;
	ListCell *l;

	c->location = location;
	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Indices))
		{
			A_Indirection *i = makeNode(A_Indirection);

			if (nfields == 0)
			{
				/* easy case - all indirection goes to A_Indirection */
				c->fields = list_make1(makeString(colname));
				i->indirection = check_indirection(indirection, yyscanner);
			}
			else
			{
				/* got to split the list in two */
				i->indirection = check_indirection(list_copy_tail(indirection,
																  nfields),
												   yyscanner);
				indirection = list_truncate(indirection, nfields);
				c->fields = lcons(makeString(colname), indirection);
			}
			i->arg = (Node *) c;
			return (Node *) i;
		}
		else if (IsA(lfirst(l), A_Star))
		{
			/* We only allow '*' at the end of a ColumnRef */
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
		nfields++;
	}
	/* No subscripting, so all indirection gets added to field list */
	c->fields = lcons(makeString(colname), indirection);
	return (Node *) c;
}

Node *
makeTypeCast(Node *arg, TypeName *typename, int location)
{
	TypeCast *n = makeNode(TypeCast);
	n->arg = arg;
	n->typeName = typename;
	n->location = location;
	return (Node *) n;
}

static Node *
makeStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

Node *
makeStringConstCast(char *str, int location, TypeName *typename)
{
	Node *s = makeStringConst(str, location);

	return makeTypeCast(s, typename, -1);
}

Node *
makeIntConst(int val, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Integer;
	n->val.val.ival = val;
	n->location = location;

	return (Node *)n;
}

static Node *
makeFloatConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Float;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeBitStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_BitString;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeNullAConst(int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Null;
	n->location = location;

	return (Node *)n;
}

static Node *
makeAConst(Value *v, int location)
{
	Node *n;

	switch (v->type)
	{
		case T_Float:
			n = makeFloatConst(v->val.str, location);
			break;

		case T_Integer:
			n = makeIntConst(v->val.ival, location);
			break;

		case T_String:
		default:
			n = makeStringConst(v->val.str, location);
			break;
	}

	return n;
}

/* makeBoolAConst()
 * Create an A_Const string node and put it inside a boolean cast.
 */
static Node *
makeBoolAConst(bool state, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = (state ? "t" : "f");
	n->location = location;

	return makeTypeCast((Node *)n, SystemTypeName("bool"), -1);
}

/* makeRoleSpec
 * Create a RoleSpec with the given type
 */
static RoleSpec *
makeRoleSpec(RoleSpecType type, int location)
{
	RoleSpec *spec = makeNode(RoleSpec);

	spec->roletype = type;
	spec->location = location;

	return spec;
}

/* check_qualified_name --- check the result of qualified_name production
 *
 * It's easiest to let the grammar production for qualified_name allow
 * subscripts and '*', which we then must reject here.
 */
static void
check_qualified_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
}

/* check_func_name --- check the result of func_name production
 *
 * It's easiest to let the grammar production for func_name allow subscripts
 * and '*', which we then must reject here.
 */
static List *
check_func_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
	return names;
}

/* check_indirection --- check the result of indirection production
 *
 * We only allow '*' at the end of the list, but it's hard to enforce that
 * in the grammar, so do it here.
 */
static List *
check_indirection(List *indirection, core_yyscan_t yyscanner)
{
	ListCell *l;

	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Star))
		{
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
	}
	return indirection;
}

/* extractArgTypes()
 * Given a list of FunctionParameter nodes, extract a list of just the
 * argument types (TypeNames) for input parameters only.  This is what
 * is needed to look up an existing function, which is what is wanted by
 * the productions that use this call.
 */
static List *
extractArgTypes(List *parameters)
{
	List	   *result = NIL;
	ListCell   *i;

	foreach(i, parameters)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(i);

		if (p->mode != FUNC_PARAM_OUT && p->mode != FUNC_PARAM_TABLE)
			result = lappend(result, p->argType);
	}
	return result;
}

/* extractAggrArgTypes()
 * As above, but work from the output of the aggr_args production.
 */
static List *
extractAggrArgTypes(List *aggrargs)
{
	Assert(list_length(aggrargs) == 2);
	return extractArgTypes((List *) linitial(aggrargs));
}

/* makeOrderedSetArgs()
 * Build the result of the aggr_args production (which see the comments for).
 * This handles only the case where both given lists are nonempty, so that
 * we have to deal with multiple VARIADIC arguments.
 */
static List *
makeOrderedSetArgs(List *directargs, List *orderedargs,
				   core_yyscan_t yyscanner)
{
	FunctionParameter *lastd = (FunctionParameter *) llast(directargs);
	int			ndirectargs;

	/* No restriction unless last direct arg is VARIADIC */
	if (lastd->mode == FUNC_PARAM_VARIADIC)
	{
		FunctionParameter *firsto = (FunctionParameter *) linitial(orderedargs);

		/*
		 * We ignore the names, though the aggr_arg production allows them;
		 * it doesn't allow default values, so those need not be checked.
		 */
		if (list_length(orderedargs) != 1 ||
			firsto->mode != FUNC_PARAM_VARIADIC)
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 errmsg("an ordered-set aggregate with a VARIADIC direct argument must have one VARIADIC aggregated argument of the same data type"),
					 parser_errposition(exprLocation((Node *) firsto))));

		/* OK, drop the duplicate VARIADIC argument from the internal form */
		orderedargs = NIL;
	}

	/* don't merge into the next line, as list_concat changes directargs */
	ndirectargs = list_length(directargs);

	return list_make2(list_concat(directargs, orderedargs),
					  makeInteger(ndirectargs));
}

/* insertSelectOptions()
 * Insert ORDER BY, etc into an already-constructed SelectStmt.
 *
 * This routine is just to avoid duplicating code in SelectStmt productions.
 */
static void
insertSelectOptions(SelectStmt *stmt,
					List *sortClause, List *lockingClause,
					Node *limitOffset, Node *limitCount,
					WithClause *withClause,
					core_yyscan_t yyscanner)
{
	Assert(IsA(stmt, SelectStmt));

	/*
	 * Tests here are to reject constructs like
	 *	(SELECT foo ORDER BY bar) ORDER BY baz
	 */
	if (sortClause)
	{
		if (stmt->sortClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple ORDER BY clauses not allowed"),
					 parser_errposition(exprLocation((Node *) sortClause))));
		stmt->sortClause = sortClause;
	}
	/* We can handle multiple locking clauses, though */
	stmt->lockingClause = list_concat(stmt->lockingClause, lockingClause);
	if (limitOffset)
	{
		if (stmt->limitOffset)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple OFFSET clauses not allowed"),
					 parser_errposition(exprLocation(limitOffset))));
		stmt->limitOffset = limitOffset;
	}
	if (limitCount)
	{
		if (stmt->limitCount)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple LIMIT clauses not allowed"),
					 parser_errposition(exprLocation(limitCount))));
		stmt->limitCount = limitCount;
	}
	if (withClause)
	{
		if (stmt->withClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple WITH clauses not allowed"),
					 parser_errposition(exprLocation((Node *) withClause))));
		stmt->withClause = withClause;
	}
}

static Node *
makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg)
{
	SelectStmt *n = makeNode(SelectStmt);

	n->op = op;
	n->all = all;
	n->larg = (SelectStmt *) larg;
	n->rarg = (SelectStmt *) rarg;
	return (Node *) n;
}

/* SystemFuncName()
 * Build a properly-qualified reference to a built-in function.
 */
List *
SystemFuncName(char *name)
{
	return list_make2(makeString("pg_catalog"), makeString(name));
}

/* SystemTypeName()
 * Build a properly-qualified reference to a built-in type.
 *
 * typmod is defaulted, but may be changed afterwards by caller.
 * Likewise for the location.
 */
TypeName *
SystemTypeName(char *name)
{
	return makeTypeNameFromNameList(list_make2(makeString("pg_catalog"),
											   makeString(name)));
}
/* doNegate()
 * Handle negation of a numeric constant.
 *
 * Formerly, we did this here because the optimizer couldn't cope with
 * indexquals that looked like "var = -4" --- it wants "var = const"
 * and a unary minus operator applied to a constant didn't qualify.
 * As of Postgres 7.0, that problem doesn't exist anymore because there
 * is a constant-subexpression simplifier in the optimizer.  However,
 * there's still a good reason for doing this here, which is that we can
 * postpone committing to a particular internal representation for simple
 * negative constants.	It's better to leave "-123.456" in string form
 * until we know what the desired type is.
 */
static Node *
doNegate(Node *n, int location)
{
	if (IsA(n, A_Const))
	{
		A_Const *con = (A_Const *)n;

		/* report the constant's location as that of the '-' sign */
		con->location = location;

		if (con->val.type == T_Integer)
		{
			con->val.val.ival = -con->val.val.ival;
			return n;
		}
		if (con->val.type == T_Float)
		{
			doNegateFloat(&con->val);
			return n;
		}
	}

	return (Node *) makeSimpleA_Expr(AEXPR_OP, "-", NULL, n, location);
}

static void
doNegateFloat(Value *v)
{
	char   *oldval = v->val.str;

	Assert(IsA(v, Float));
	if (*oldval == '+')
		oldval++;
	if (*oldval == '-')
		v->val.str = oldval+1;	/* just strip the '-' */
	else
		v->val.str = psprintf("-%s", oldval);
}

static Node *
makeAndExpr(Node *lexpr, Node *rexpr, int location)
{
	Node	   *lexp = lexpr;

	/* Look through AEXPR_PAREN nodes so they don't affect flattening */
	while (IsA(lexp, A_Expr) &&
		   ((A_Expr *) lexp)->kind == AEXPR_PAREN)
		lexp = ((A_Expr *) lexp)->lexpr;
	/* Flatten "a AND b AND c ..." to a single BoolExpr on sight */
	if (IsA(lexp, BoolExpr))
	{
		BoolExpr *blexpr = (BoolExpr *) lexp;

		if (blexpr->boolop == AND_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(AND_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeOrExpr(Node *lexpr, Node *rexpr, int location)
{
	Node	   *lexp = lexpr;

	/* Look through AEXPR_PAREN nodes so they don't affect flattening */
	while (IsA(lexp, A_Expr) &&
		   ((A_Expr *) lexp)->kind == AEXPR_PAREN)
		lexp = ((A_Expr *) lexp)->lexpr;
	/* Flatten "a OR b OR c ..." to a single BoolExpr on sight */
	if (IsA(lexp, BoolExpr))
	{
		BoolExpr *blexpr = (BoolExpr *) lexp;

		if (blexpr->boolop == OR_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(OR_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeNotExpr(Node *expr, int location)
{
	return (Node *) makeBoolExpr(NOT_EXPR, list_make1(expr), location);
}

static Node *
makeAArrayExpr(List *elements, int location)
{
	A_ArrayExpr *n = makeNode(A_ArrayExpr);

	n->elements = elements;
	n->location = location;
	return (Node *) n;
}

static Node *
makeSQLValueFunction(SQLValueFunctionOp op, int32 typmod, int location)
{
	SQLValueFunction *svf = makeNode(SQLValueFunction);

	svf->op = op;
	/* svf->type will be filled during parse analysis */
	svf->typmod = typmod;
	svf->location = location;
	return (Node *) svf;
}

static Node *
makeXmlExpr(XmlExprOp op, char *name, List *named_args, List *args,
			int location)
{
	XmlExpr		*x = makeNode(XmlExpr);

	x->op = op;
	x->name = name;
	/*
	 * named_args is a list of ResTarget; it'll be split apart into separate
	 * expression and name lists in transformXmlExpr().
	 */
	x->named_args = named_args;
	x->arg_names = NIL;
	x->args = args;
	/* xmloption, if relevant, must be filled in by caller */
	/* type and typmod will be filled in during parse analysis */
	x->type = InvalidOid;			/* marks the node as not analyzed */
	x->location = location;
	return (Node *) x;
}

/*
 * Merge the input and output parameters of a table function.
 */
static List *
mergeTableFuncParameters(List *func_args, List *columns)
{
	ListCell   *lc;

	/* Explicit OUT and INOUT parameters shouldn't be used in this syntax */
	foreach(lc, func_args)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(lc);

		if (p->mode != FUNC_PARAM_IN && p->mode != FUNC_PARAM_VARIADIC)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("OUT and INOUT arguments aren't allowed in TABLE functions")));
	}

	return list_concat(func_args, columns);
}

/*
 * Determine return type of a TABLE function.  A single result column
 * returns setof that column's type; otherwise return setof record.
 */
static TypeName *
TableFuncTypeName(List *columns)
{
	TypeName *result;

	if (list_length(columns) == 1)
	{
		FunctionParameter *p = (FunctionParameter *) linitial(columns);

		result = copyObject(p->argType);
	}
	else
		result = SystemTypeName("record");

	result->setof = true;

	return result;
}

/*
 * Convert a list of (dotted) names to a RangeVar (like
 * makeRangeVarFromNameList, but with position support).  The
 * "AnyName" refers to the any_name production in the grammar.
 */
static RangeVar *
makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner)
{
	RangeVar *r = makeNode(RangeVar);

	switch (list_length(names))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = NULL;
			r->relname = strVal(linitial(names));
			break;
		case 2:
			r->catalogname = NULL;
			r->schemaname = strVal(linitial(names));
			r->relname = strVal(lsecond(names));
			break;
		case 3:
			r->catalogname = strVal(linitial(names));
			r->schemaname = strVal(lsecond(names));
			r->relname = strVal(lthird(names));
			break;
		default:
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("improper qualified name (too many dotted names): %s",
							NameListToString(names)),
					 parser_errposition(position)));
			break;
	}

	r->relpersistence = RELPERSISTENCE_PERMANENT;
	r->location = position;

	return r;
}

/* Separate Constraint nodes from COLLATE clauses in a ColQualList */
static void
SplitColQualList(List *qualList,
				 List **constraintList, CollateClause **collClause,
				 core_yyscan_t yyscanner)
{
	ListCell   *cell;
	ListCell   *prev;
	ListCell   *next;

	*collClause = NULL;
	prev = NULL;
	for (cell = list_head(qualList); cell; cell = next)
	{
		Node   *n = (Node *) lfirst(cell);

		next = lnext(cell);
		if (IsA(n, Constraint))
		{
			/* keep it in list */
			prev = cell;
			continue;
		}
		if (IsA(n, CollateClause))
		{
			CollateClause *c = (CollateClause *) n;

			if (*collClause)
				ereport(ERROR,
						(errcode(ERRCODE_SYNTAX_ERROR),
						 errmsg("multiple COLLATE clauses not allowed"),
						 parser_errposition(c->location)));
			*collClause = c;
		}
		else
			elog(ERROR, "unexpected node type %d", (int) n->type);
		/* remove non-Constraint nodes from qualList */
		qualList = list_delete_cell(qualList, cell, prev);
	}
	*constraintList = qualList;
}

/*
 * Process result of ConstraintAttributeSpec, and set appropriate bool flags
 * in the output command node.  Pass NULL for any flags the particular
 * command doesn't support.
 */
static void
processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner)
{
	/* defaults */
	if (deferrable)
		*deferrable = false;
	if (initdeferred)
		*initdeferred = false;
	if (not_valid)
		*not_valid = false;

	if (cas_bits & (CAS_DEFERRABLE | CAS_INITIALLY_DEFERRED))
	{
		if (deferrable)
			*deferrable = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_INITIALLY_DEFERRED)
	{
		if (initdeferred)
			*initdeferred = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NOT_VALID)
	{
		if (not_valid)
			*not_valid = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NOT VALID",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NO_INHERIT)
	{
		if (no_inherit)
			*no_inherit = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NO INHERIT",
							constrType),
					 parser_errposition(location)));
	}
}

/*----------
 * Recursive view transformation
 *
 * Convert
 *
 *     CREATE RECURSIVE VIEW relname (aliases) AS query
 *
 * to
 *
 *     CREATE VIEW relname (aliases) AS
 *         WITH RECURSIVE relname (aliases) AS (query)
 *         SELECT aliases FROM relname
 *
 * Actually, just the WITH ... part, which is then inserted into the original
 * view definition as the query.
 * ----------
 */
static Node *
makeRecursiveViewSelect(char *relname, List *aliases, Node *query)
{
	SelectStmt *s = makeNode(SelectStmt);
	WithClause *w = makeNode(WithClause);
	CommonTableExpr *cte = makeNode(CommonTableExpr);
	List	   *tl = NIL;
	ListCell   *lc;

	/* create common table expression */
	cte->ctename = relname;
	cte->aliascolnames = aliases;
	cte->ctematerialized = CTEMaterializeDefault;
	cte->ctequery = query;
	cte->location = -1;

	/* create WITH clause and attach CTE */
	w->recursive = true;
	w->ctes = list_make1(cte);
	w->location = -1;

	/* create target list for the new SELECT from the alias list of the
	 * recursive view specification */
	foreach (lc, aliases)
	{
		ResTarget *rt = makeNode(ResTarget);

		rt->name = NULL;
		rt->indirection = NIL;
		rt->val = makeColumnRef(strVal(lfirst(lc)), NIL, -1, 0);
		rt->location = -1;

		tl = lappend(tl, rt);
	}

	/* create new SELECT combining WITH clause, target list, and fake FROM
	 * clause */
	s->withClause = w;
	s->targetList = tl;
	s->fromClause = list_make1(makeRangeVar(NULL, relname, -1));

	return (Node *) s;
}

/* parser_init()
 * Initialize to parse one query string
 */
void
parser_init(base_yy_extra_type *yyext)
{
	yyext->parsetree = NIL;		/* in case grammar forgets to set it */
}

