/* A Bison parser, made by GNU Bison 3.0.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         minimal_base_yyparse
#define yylex           minimal_base_yylex
#define yyerror         minimal_base_yyerror
#define yydebug         minimal_base_yydebug
#define yynerrs         minimal_base_yynerrs


/* Copy the first part of user declarations.  */
#line 1 "gram_minimal.y" /* yacc.c:339  */


/*#define YYDEBUG 1*/
/*-------------------------------------------------------------------------
 *
 * gram.y
 *	  POSTGRESQL BISON rules/actions
 *
 * Portions Copyright (c) 2003-2019, PgPool Global Development Group
 * Portions Copyright (c) 1996-2019, PostgreSQL Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 *
 * IDENTIFICATION
 *	  src/backend/parser/gram.y
 *
 * HISTORY
 *	  AUTHOR			DATE			MAJOR EVENT
 *	  Andrew Yu			Sept, 1994		POSTQUEL to SQL conversion
 *	  Andrew Yu			Oct, 1994		lispy code conversion
 *
 * NOTES
 *	  CAPITALS are used to represent terminal symbols.
 *	  non-capitals are used to represent non-terminals.
 *
 *	  In general, nothing in this file should initiate database accesses
 *	  nor depend on changeable state (such as SET variables).  If you do
 *	  database accesses, your code will fail when we have aborted the
 *	  current transaction and are just parsing commands to find the next
 *	  ROLLBACK or COMMIT.  If you make use of SET variables, then you
 *	  will do the wrong thing in multi-query strings like this:
 *			SET constraint_exclusion TO off; SELECT * FROM foo;
 *	  because the entire string is parsed by gram.y before the SET gets
 *	  executed.  Anything that depends on the database or changeable state
 *	  should be handled during parse analysis so that it happens at the
 *	  right time not the wrong time.
 *
 * WARNINGS
 *	  If you use a list, make sure the datum is a node so that the printing
 *	  routines work.
 *
 *	  Sometimes we assign constants to makeStrings. Make sure we don't free
 *	  those.
 *
 *-------------------------------------------------------------------------
 */

#include "pool_parser.h"
#include "utils/elog.h"
#include "utils/palloc.h"
#include <ctype.h>
#include <limits.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "nodes.h"
#include "keywords.h"
#include "gramparse.h"
#include "makefuncs.h"
#include "pool_string.h"
#include "parser.h"
#include "pg_class.h"
#include "pg_trigger.h"

/* This is a configuration parameter since PostgreSQL 9.5.
 * We set this false in pgpool-II. This is default in PostgreSQL.
 */
static bool operator_precedence_warning = false;

/*
 * Definition taken from
 * postgreSQL source code file: src/include/commands/trigger.h
 */
#define TRIGGER_FIRES_ON_ORIGIN                         'O'
#define TRIGGER_FIRES_ALWAYS                            'A'
#define TRIGGER_FIRES_ON_REPLICA                        'R'
#define TRIGGER_DISABLED                                'D'

/*
 * Definition taken from
 * postgreSQL source code file: src/include/catalog/pg_class.h
 */

#define           REPLICA_IDENTITY_DEFAULT      'd'
#define           REPLICA_IDENTITY_NOTHING      'n'
#define           REPLICA_IDENTITY_FULL         'f'
#define           REPLICA_IDENTITY_INDEX        'i'

/*
 * Definition taken from
 * postgreSQL source code file: src/include/catalog/pg_attribute.h
 */
#define		  ATTRIBUTE_IDENTITY_ALWAYS	'a'
#define		  ATTRIBUTE_IDENTITY_BY_DEFAULT 'd'

/*
 * Definition taken from
 * postgreSQL source code file: src/include/utils/xml.h
 */
typedef enum
{
	XML_STANDALONE_YES,
	XML_STANDALONE_NO,
	XML_STANDALONE_NO_VALUE,
	XML_STANDALONE_OMITTED
} XmlStandaloneType;

/*
 * Location tracking support --- simpler than bison's default, since we only
 * want to track the start position not the end position of each nonterminal.
 */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if ((N) > 0) \
			(Current) = (Rhs)[1]; \
		else \
			(Current) = (-1); \
	} while (0)

/*
 * The above macro assigns -1 (unknown) as the parse location of any
 * nonterminal that was reduced from an empty rule, or whose leftmost
 * component was reduced from an empty rule.  This is problematic
 * for nonterminals defined like
 *		OptFooList: / * EMPTY * / { ... } | OptFooList Foo { ... } ;
 * because we'll set -1 as the location during the first reduction and then
 * copy it during each subsequent reduction, leaving us with -1 for the
 * location even when the list is not empty.  To fix that, do this in the
 * action for the nonempty rule(s):
 *		if (@$ < 0) @$ = @2;
 * (Although we have many nonterminals that follow this pattern, we only
 * bother with fixing @$ like this when the nonterminal's parse location
 * is actually referenced in some rule.)
 *
 * A cleaner answer would be to make YYLLOC_DEFAULT scan all the Rhs
 * locations until it's found one that's not -1.  Then we'd get a correct
 * location for any nonterminal that isn't entirely empty.  But this way
 * would add overhead to every rule reduction, and so far there's not been
 * a compelling reason to pay that overhead.
 */

/*
 * Bison doesn't allocate anything that needs to live across parser calls,
 * so we can easily have it use palloc instead of malloc.  This prevents
 * memory leaks if we error out during parsing.  Note this only works with
 * bison >= 2.0.  However, in bison 1.875 the default is to use alloca()
 * if possible, so there's not really much problem anyhow, at least if
 * you're building with gcc.
 */
#define YYMALLOC palloc
#define YYFREE   pfree

/* Private struct for the result of privilege_target production */
typedef struct PrivTarget
{
	GrantTargetType targtype;
	ObjectType	objtype;
	List	   *objs;
} PrivTarget;

/* Private struct for the result of import_qualification production */
typedef struct ImportQual
{
	ImportForeignSchemaType type;
	List	   *table_names;
} ImportQual;

/* ConstraintAttributeSpec yields an integer bitmask of these flags: */
#define CAS_NOT_DEFERRABLE			0x01
#define CAS_DEFERRABLE				0x02
#define CAS_INITIALLY_IMMEDIATE		0x04
#define CAS_INITIALLY_DEFERRED		0x08
#define CAS_NOT_VALID				0x10
#define CAS_NO_INHERIT				0x20


#define parser_yyerror(msg)  scanner_yyerror(msg, yyscanner)
#define parser_errposition(pos)  scanner_errposition(pos, yyscanner)

static void minimal_base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner,
						 const char *msg);
static RawStmt *makeRawStmt(Node *stmt, int stmt_location);
static void updateRawStmtEnd(RawStmt *rs, int end_location);
static Node *makeColumnRef(char *colname, List *indirection,
						   int location, core_yyscan_t yyscanner);
static Node *makeStringConst(char *str, int location);
static Node *makeFloatConst(char *str, int location);
static Node *makeBitStringConst(char *str, int location);
static Node *makeNullAConst(int location);
static Node *makeAConst(Value *v, int location);
static Node *makeBoolAConst(bool state, int location);
static RoleSpec *makeRoleSpec(RoleSpecType type, int location);
static void check_qualified_name(List *names, core_yyscan_t yyscanner);
static List *check_func_name(List *names, core_yyscan_t yyscanner);
static List *check_indirection(List *indirection, core_yyscan_t yyscanner);
static List *extractArgTypes(List *parameters);
static List *extractAggrArgTypes(List *aggrargs);
static List *makeOrderedSetArgs(List *directargs, List *orderedargs,
								core_yyscan_t yyscanner);
static void insertSelectOptions(SelectStmt *stmt,
								List *sortClause, List *lockingClause,
								Node *limitOffset, Node *limitCount,
								WithClause *withClause,
								core_yyscan_t yyscanner);
static Node *makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg);
static Node *doNegate(Node *n, int location);
static void doNegateFloat(Value *v);
static Node *makeAndExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeOrExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeNotExpr(Node *expr, int location);
static Node *makeAArrayExpr(List *elements, int location);
static Node *makeSQLValueFunction(SQLValueFunctionOp op, int32 typmod,
								  int location);
static Node *makeXmlExpr(XmlExprOp op, char *name, List *named_args,
						 List *args, int location);
static List *mergeTableFuncParameters(List *func_args, List *columns);
static TypeName *TableFuncTypeName(List *columns);
static RangeVar *makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner);
static void SplitColQualList(List *qualList,
							 List **constraintList, CollateClause **collClause,
							 core_yyscan_t yyscanner);
static void processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner);
static Node *makeRecursiveViewSelect(char *relname, List *aliases, Node *query);


#line 301 "gram_minimal.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "y.tab.h".  */
#ifndef YY_MINIMAL_BASE_YY_Y_TAB_H_INCLUDED
# define YY_MINIMAL_BASE_YY_Y_TAB_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int minimal_base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    IDENT = 258,
    FCONST = 259,
    SCONST = 260,
    BCONST = 261,
    XCONST = 262,
    Op = 263,
    ICONST = 264,
    PARAM = 265,
    TYPECAST = 266,
    DOT_DOT = 267,
    COLON_EQUALS = 268,
    EQUALS_GREATER = 269,
    LESS_EQUALS = 270,
    GREATER_EQUALS = 271,
    NOT_EQUALS = 272,
    ABORT_P = 273,
    ABSOLUTE_P = 274,
    ACCESS = 275,
    ACTION = 276,
    ADD_P = 277,
    ADMIN = 278,
    AFTER = 279,
    AGGREGATE = 280,
    ALL = 281,
    ALSO = 282,
    ALTER = 283,
    ALWAYS = 284,
    ANALYSE = 285,
    ANALYZE = 286,
    AND = 287,
    ANY = 288,
    ARRAY = 289,
    AS = 290,
    ASC = 291,
    ASSERTION = 292,
    ASSIGNMENT = 293,
    ASYMMETRIC = 294,
    AT = 295,
    ATTACH = 296,
    ATTRIBUTE = 297,
    AUTHORIZATION = 298,
    BACKWARD = 299,
    BEFORE = 300,
    BEGIN_P = 301,
    BETWEEN = 302,
    BIGINT = 303,
    BINARY = 304,
    BIT = 305,
    BOOLEAN_P = 306,
    BOTH = 307,
    BY = 308,
    CACHE = 309,
    CALL = 310,
    CALLED = 311,
    CASCADE = 312,
    CASCADED = 313,
    CASE = 314,
    CAST = 315,
    CATALOG_P = 316,
    CHAIN = 317,
    CHAR_P = 318,
    CHARACTER = 319,
    CHARACTERISTICS = 320,
    CHECK = 321,
    CHECKPOINT = 322,
    CLASS = 323,
    CLOSE = 324,
    CLUSTER = 325,
    COALESCE = 326,
    COLLATE = 327,
    COLLATION = 328,
    COLUMN = 329,
    COLUMNS = 330,
    COMMENT = 331,
    COMMENTS = 332,
    COMMIT = 333,
    COMMITTED = 334,
    CONCURRENTLY = 335,
    CONFIGURATION = 336,
    CONFLICT = 337,
    CONNECTION = 338,
    CONSTRAINT = 339,
    CONSTRAINTS = 340,
    CONTENT_P = 341,
    CONTINUE_P = 342,
    CONVERSION_P = 343,
    COPY = 344,
    COST = 345,
    CREATE = 346,
    CROSS = 347,
    CSV = 348,
    CUBE = 349,
    CURRENT_P = 350,
    CURRENT_CATALOG = 351,
    CURRENT_DATE = 352,
    CURRENT_ROLE = 353,
    CURRENT_SCHEMA = 354,
    CURRENT_TIME = 355,
    CURRENT_TIMESTAMP = 356,
    CURRENT_USER = 357,
    CURSOR = 358,
    CYCLE = 359,
    DATA_P = 360,
    DATABASE = 361,
    DAY_P = 362,
    DEALLOCATE = 363,
    DEC = 364,
    DECIMAL_P = 365,
    DECLARE = 366,
    DEFAULT = 367,
    DEFAULTS = 368,
    DEFERRABLE = 369,
    DEFERRED = 370,
    DEFINER = 371,
    DELETE_P = 372,
    DELIMITER = 373,
    DELIMITERS = 374,
    DEPENDS = 375,
    DESC = 376,
    DETACH = 377,
    DICTIONARY = 378,
    DISABLE_P = 379,
    DISCARD = 380,
    DISTINCT = 381,
    DO = 382,
    DOCUMENT_P = 383,
    DOMAIN_P = 384,
    DOUBLE_P = 385,
    DROP = 386,
    EACH = 387,
    ELSE = 388,
    ENABLE_P = 389,
    ENCODING = 390,
    ENCRYPTED = 391,
    END_P = 392,
    ENUM_P = 393,
    ESCAPE = 394,
    EVENT = 395,
    EXCEPT = 396,
    EXCLUDE = 397,
    EXCLUDING = 398,
    EXCLUSIVE = 399,
    EXECUTE = 400,
    EXISTS = 401,
    EXPLAIN = 402,
    EXTENSION = 403,
    EXTERNAL = 404,
    EXTRACT = 405,
    FALSE_P = 406,
    FAMILY = 407,
    FETCH = 408,
    FILTER = 409,
    FIRST_P = 410,
    FLOAT_P = 411,
    FOLLOWING = 412,
    FOR = 413,
    FORCE = 414,
    FOREIGN = 415,
    FORWARD = 416,
    FREEZE = 417,
    FROM = 418,
    FULL = 419,
    FUNCTION = 420,
    FUNCTIONS = 421,
    GENERATED = 422,
    GLOBAL = 423,
    GRANT = 424,
    GRANTED = 425,
    GREATEST = 426,
    GROUP_P = 427,
    GROUPING = 428,
    GROUPS = 429,
    HANDLER = 430,
    HAVING = 431,
    HEADER_P = 432,
    HOLD = 433,
    HOUR_P = 434,
    IDENTITY_P = 435,
    IF_P = 436,
    ILIKE = 437,
    IMMEDIATE = 438,
    IMMUTABLE = 439,
    IMPLICIT_P = 440,
    IMPORT_P = 441,
    IN_P = 442,
    INCLUDE = 443,
    INCLUDING = 444,
    INCREMENT = 445,
    INDEX = 446,
    INDEXES = 447,
    INHERIT = 448,
    INHERITS = 449,
    INITIALLY = 450,
    INLINE_P = 451,
    INNER_P = 452,
    INOUT = 453,
    INPUT_P = 454,
    INSENSITIVE = 455,
    INSERT = 456,
    INSTEAD = 457,
    INT_P = 458,
    INTEGER = 459,
    INTERSECT = 460,
    INTERVAL = 461,
    INTO = 462,
    INVOKER = 463,
    IS = 464,
    ISNULL = 465,
    ISOLATION = 466,
    JOIN = 467,
    KEY = 468,
    LABEL = 469,
    LANGUAGE = 470,
    LARGE_P = 471,
    LAST_P = 472,
    LATERAL_P = 473,
    LEADING = 474,
    LEAKPROOF = 475,
    LEAST = 476,
    LEFT = 477,
    LEVEL = 478,
    LIKE = 479,
    LIMIT = 480,
    LISTEN = 481,
    LOAD = 482,
    LOCAL = 483,
    LOCALTIME = 484,
    LOCALTIMESTAMP = 485,
    LOCATION = 486,
    LOCK_P = 487,
    LOCKED = 488,
    LOGGED = 489,
    MAPPING = 490,
    MATCH = 491,
    MATERIALIZED = 492,
    MAXVALUE = 493,
    METHOD = 494,
    MINUTE_P = 495,
    MINVALUE = 496,
    MODE = 497,
    MONTH_P = 498,
    MOVE = 499,
    NAME_P = 500,
    NAMES = 501,
    NATIONAL = 502,
    NATURAL = 503,
    NCHAR = 504,
    NEW = 505,
    NEXT = 506,
    NO = 507,
    NONE = 508,
    NOT = 509,
    NOTHING = 510,
    NOTIFY = 511,
    NOTNULL = 512,
    NOWAIT = 513,
    NULL_P = 514,
    NULLIF = 515,
    NULLS_P = 516,
    NUMERIC = 517,
    OBJECT_P = 518,
    OF = 519,
    OFF = 520,
    OFFSET = 521,
    OIDS = 522,
    OLD = 523,
    ON = 524,
    ONLY = 525,
    OPERATOR = 526,
    OPTION = 527,
    OPTIONS = 528,
    OR = 529,
    ORDER = 530,
    ORDINALITY = 531,
    OTHERS = 532,
    OUT_P = 533,
    OUTER_P = 534,
    OVER = 535,
    OVERLAPS = 536,
    OVERLAY = 537,
    OVERRIDING = 538,
    OWNED = 539,
    OWNER = 540,
    PARALLEL = 541,
    PARSER = 542,
    PARTIAL = 543,
    PARTITION = 544,
    PASSING = 545,
    PASSWORD = 546,
    PGPOOL = 547,
    PLACING = 548,
    PLANS = 549,
    POLICY = 550,
    POSITION = 551,
    PRECEDING = 552,
    PRECISION = 553,
    PRESERVE = 554,
    PREPARE = 555,
    PREPARED = 556,
    PRIMARY = 557,
    PRIOR = 558,
    PRIVILEGES = 559,
    PROCEDURAL = 560,
    PROCEDURE = 561,
    PROCEDURES = 562,
    PROGRAM = 563,
    PUBLICATION = 564,
    QUOTE = 565,
    RANGE = 566,
    READ = 567,
    REAL = 568,
    REASSIGN = 569,
    RECHECK = 570,
    RECURSIVE = 571,
    REF = 572,
    REFERENCES = 573,
    REFERENCING = 574,
    REFRESH = 575,
    REINDEX = 576,
    RELATIVE_P = 577,
    RELEASE = 578,
    RENAME = 579,
    REPEATABLE = 580,
    REPLACE = 581,
    REPLICA = 582,
    RESET = 583,
    RESTART = 584,
    RESTRICT = 585,
    RETURNING = 586,
    RETURNS = 587,
    REVOKE = 588,
    RIGHT = 589,
    ROLE = 590,
    ROLLBACK = 591,
    ROLLUP = 592,
    ROUTINE = 593,
    ROUTINES = 594,
    ROW = 595,
    ROWS = 596,
    RULE = 597,
    SAVEPOINT = 598,
    SCHEMA = 599,
    SCHEMAS = 600,
    SCROLL = 601,
    SEARCH = 602,
    SECOND_P = 603,
    SECURITY = 604,
    SELECT = 605,
    SEQUENCE = 606,
    SEQUENCES = 607,
    SERIALIZABLE = 608,
    SERVER = 609,
    SESSION = 610,
    SESSION_USER = 611,
    SET = 612,
    SETS = 613,
    SETOF = 614,
    SHARE = 615,
    SHOW = 616,
    SIMILAR = 617,
    SIMPLE = 618,
    SKIP = 619,
    SMALLINT = 620,
    SNAPSHOT = 621,
    SOME = 622,
    SQL_P = 623,
    STABLE = 624,
    STANDALONE_P = 625,
    START = 626,
    STATEMENT = 627,
    STATISTICS = 628,
    STDIN = 629,
    STDOUT = 630,
    STORAGE = 631,
    STORED = 632,
    STRICT_P = 633,
    STRIP_P = 634,
    SUBSCRIPTION = 635,
    SUBSTRING = 636,
    SUPPORT = 637,
    SYMMETRIC = 638,
    SYSID = 639,
    SYSTEM_P = 640,
    TABLE = 641,
    TABLES = 642,
    TABLESAMPLE = 643,
    TABLESPACE = 644,
    TEMP = 645,
    TEMPLATE = 646,
    TEMPORARY = 647,
    TEXT_P = 648,
    THEN = 649,
    TIES = 650,
    TIME = 651,
    TIMESTAMP = 652,
    TO = 653,
    TRAILING = 654,
    TRANSACTION = 655,
    TRANSFORM = 656,
    TREAT = 657,
    TRIGGER = 658,
    TRIM = 659,
    TRUE_P = 660,
    TRUNCATE = 661,
    TRUSTED = 662,
    TYPE_P = 663,
    TYPES_P = 664,
    UNBOUNDED = 665,
    UNCOMMITTED = 666,
    UNENCRYPTED = 667,
    UNION = 668,
    UNIQUE = 669,
    UNKNOWN = 670,
    UNLISTEN = 671,
    UNLOGGED = 672,
    UNTIL = 673,
    UPDATE = 674,
    USER = 675,
    USING = 676,
    VACUUM = 677,
    VALID = 678,
    VALIDATE = 679,
    VALIDATOR = 680,
    VALUE_P = 681,
    VALUES = 682,
    VARCHAR = 683,
    VARIADIC = 684,
    VARYING = 685,
    VERBOSE = 686,
    VERSION_P = 687,
    VIEW = 688,
    VIEWS = 689,
    VOLATILE = 690,
    WHEN = 691,
    WHERE = 692,
    WHITESPACE_P = 693,
    WINDOW = 694,
    WITH = 695,
    WITHIN = 696,
    WITHOUT = 697,
    WORK = 698,
    WRAPPER = 699,
    WRITE = 700,
    XML_P = 701,
    XMLATTRIBUTES = 702,
    XMLCONCAT = 703,
    XMLELEMENT = 704,
    XMLEXISTS = 705,
    XMLFOREST = 706,
    XMLNAMESPACES = 707,
    XMLPARSE = 708,
    XMLPI = 709,
    XMLROOT = 710,
    XMLSERIALIZE = 711,
    XMLTABLE = 712,
    YEAR_P = 713,
    YES_P = 714,
    ZONE = 715,
    NOT_LA = 716,
    NULLS_LA = 717,
    WITH_LA = 718,
    POSTFIXOP = 719,
    UMINUS = 720
  };
#endif
/* Tokens.  */
#define IDENT 258
#define FCONST 259
#define SCONST 260
#define BCONST 261
#define XCONST 262
#define Op 263
#define ICONST 264
#define PARAM 265
#define TYPECAST 266
#define DOT_DOT 267
#define COLON_EQUALS 268
#define EQUALS_GREATER 269
#define LESS_EQUALS 270
#define GREATER_EQUALS 271
#define NOT_EQUALS 272
#define ABORT_P 273
#define ABSOLUTE_P 274
#define ACCESS 275
#define ACTION 276
#define ADD_P 277
#define ADMIN 278
#define AFTER 279
#define AGGREGATE 280
#define ALL 281
#define ALSO 282
#define ALTER 283
#define ALWAYS 284
#define ANALYSE 285
#define ANALYZE 286
#define AND 287
#define ANY 288
#define ARRAY 289
#define AS 290
#define ASC 291
#define ASSERTION 292
#define ASSIGNMENT 293
#define ASYMMETRIC 294
#define AT 295
#define ATTACH 296
#define ATTRIBUTE 297
#define AUTHORIZATION 298
#define BACKWARD 299
#define BEFORE 300
#define BEGIN_P 301
#define BETWEEN 302
#define BIGINT 303
#define BINARY 304
#define BIT 305
#define BOOLEAN_P 306
#define BOTH 307
#define BY 308
#define CACHE 309
#define CALL 310
#define CALLED 311
#define CASCADE 312
#define CASCADED 313
#define CASE 314
#define CAST 315
#define CATALOG_P 316
#define CHAIN 317
#define CHAR_P 318
#define CHARACTER 319
#define CHARACTERISTICS 320
#define CHECK 321
#define CHECKPOINT 322
#define CLASS 323
#define CLOSE 324
#define CLUSTER 325
#define COALESCE 326
#define COLLATE 327
#define COLLATION 328
#define COLUMN 329
#define COLUMNS 330
#define COMMENT 331
#define COMMENTS 332
#define COMMIT 333
#define COMMITTED 334
#define CONCURRENTLY 335
#define CONFIGURATION 336
#define CONFLICT 337
#define CONNECTION 338
#define CONSTRAINT 339
#define CONSTRAINTS 340
#define CONTENT_P 341
#define CONTINUE_P 342
#define CONVERSION_P 343
#define COPY 344
#define COST 345
#define CREATE 346
#define CROSS 347
#define CSV 348
#define CUBE 349
#define CURRENT_P 350
#define CURRENT_CATALOG 351
#define CURRENT_DATE 352
#define CURRENT_ROLE 353
#define CURRENT_SCHEMA 354
#define CURRENT_TIME 355
#define CURRENT_TIMESTAMP 356
#define CURRENT_USER 357
#define CURSOR 358
#define CYCLE 359
#define DATA_P 360
#define DATABASE 361
#define DAY_P 362
#define DEALLOCATE 363
#define DEC 364
#define DECIMAL_P 365
#define DECLARE 366
#define DEFAULT 367
#define DEFAULTS 368
#define DEFERRABLE 369
#define DEFERRED 370
#define DEFINER 371
#define DELETE_P 372
#define DELIMITER 373
#define DELIMITERS 374
#define DEPENDS 375
#define DESC 376
#define DETACH 377
#define DICTIONARY 378
#define DISABLE_P 379
#define DISCARD 380
#define DISTINCT 381
#define DO 382
#define DOCUMENT_P 383
#define DOMAIN_P 384
#define DOUBLE_P 385
#define DROP 386
#define EACH 387
#define ELSE 388
#define ENABLE_P 389
#define ENCODING 390
#define ENCRYPTED 391
#define END_P 392
#define ENUM_P 393
#define ESCAPE 394
#define EVENT 395
#define EXCEPT 396
#define EXCLUDE 397
#define EXCLUDING 398
#define EXCLUSIVE 399
#define EXECUTE 400
#define EXISTS 401
#define EXPLAIN 402
#define EXTENSION 403
#define EXTERNAL 404
#define EXTRACT 405
#define FALSE_P 406
#define FAMILY 407
#define FETCH 408
#define FILTER 409
#define FIRST_P 410
#define FLOAT_P 411
#define FOLLOWING 412
#define FOR 413
#define FORCE 414
#define FOREIGN 415
#define FORWARD 416
#define FREEZE 417
#define FROM 418
#define FULL 419
#define FUNCTION 420
#define FUNCTIONS 421
#define GENERATED 422
#define GLOBAL 423
#define GRANT 424
#define GRANTED 425
#define GREATEST 426
#define GROUP_P 427
#define GROUPING 428
#define GROUPS 429
#define HANDLER 430
#define HAVING 431
#define HEADER_P 432
#define HOLD 433
#define HOUR_P 434
#define IDENTITY_P 435
#define IF_P 436
#define ILIKE 437
#define IMMEDIATE 438
#define IMMUTABLE 439
#define IMPLICIT_P 440
#define IMPORT_P 441
#define IN_P 442
#define INCLUDE 443
#define INCLUDING 444
#define INCREMENT 445
#define INDEX 446
#define INDEXES 447
#define INHERIT 448
#define INHERITS 449
#define INITIALLY 450
#define INLINE_P 451
#define INNER_P 452
#define INOUT 453
#define INPUT_P 454
#define INSENSITIVE 455
#define INSERT 456
#define INSTEAD 457
#define INT_P 458
#define INTEGER 459
#define INTERSECT 460
#define INTERVAL 461
#define INTO 462
#define INVOKER 463
#define IS 464
#define ISNULL 465
#define ISOLATION 466
#define JOIN 467
#define KEY 468
#define LABEL 469
#define LANGUAGE 470
#define LARGE_P 471
#define LAST_P 472
#define LATERAL_P 473
#define LEADING 474
#define LEAKPROOF 475
#define LEAST 476
#define LEFT 477
#define LEVEL 478
#define LIKE 479
#define LIMIT 480
#define LISTEN 481
#define LOAD 482
#define LOCAL 483
#define LOCALTIME 484
#define LOCALTIMESTAMP 485
#define LOCATION 486
#define LOCK_P 487
#define LOCKED 488
#define LOGGED 489
#define MAPPING 490
#define MATCH 491
#define MATERIALIZED 492
#define MAXVALUE 493
#define METHOD 494
#define MINUTE_P 495
#define MINVALUE 496
#define MODE 497
#define MONTH_P 498
#define MOVE 499
#define NAME_P 500
#define NAMES 501
#define NATIONAL 502
#define NATURAL 503
#define NCHAR 504
#define NEW 505
#define NEXT 506
#define NO 507
#define NONE 508
#define NOT 509
#define NOTHING 510
#define NOTIFY 511
#define NOTNULL 512
#define NOWAIT 513
#define NULL_P 514
#define NULLIF 515
#define NULLS_P 516
#define NUMERIC 517
#define OBJECT_P 518
#define OF 519
#define OFF 520
#define OFFSET 521
#define OIDS 522
#define OLD 523
#define ON 524
#define ONLY 525
#define OPERATOR 526
#define OPTION 527
#define OPTIONS 528
#define OR 529
#define ORDER 530
#define ORDINALITY 531
#define OTHERS 532
#define OUT_P 533
#define OUTER_P 534
#define OVER 535
#define OVERLAPS 536
#define OVERLAY 537
#define OVERRIDING 538
#define OWNED 539
#define OWNER 540
#define PARALLEL 541
#define PARSER 542
#define PARTIAL 543
#define PARTITION 544
#define PASSING 545
#define PASSWORD 546
#define PGPOOL 547
#define PLACING 548
#define PLANS 549
#define POLICY 550
#define POSITION 551
#define PRECEDING 552
#define PRECISION 553
#define PRESERVE 554
#define PREPARE 555
#define PREPARED 556
#define PRIMARY 557
#define PRIOR 558
#define PRIVILEGES 559
#define PROCEDURAL 560
#define PROCEDURE 561
#define PROCEDURES 562
#define PROGRAM 563
#define PUBLICATION 564
#define QUOTE 565
#define RANGE 566
#define READ 567
#define REAL 568
#define REASSIGN 569
#define RECHECK 570
#define RECURSIVE 571
#define REF 572
#define REFERENCES 573
#define REFERENCING 574
#define REFRESH 575
#define REINDEX 576
#define RELATIVE_P 577
#define RELEASE 578
#define RENAME 579
#define REPEATABLE 580
#define REPLACE 581
#define REPLICA 582
#define RESET 583
#define RESTART 584
#define RESTRICT 585
#define RETURNING 586
#define RETURNS 587
#define REVOKE 588
#define RIGHT 589
#define ROLE 590
#define ROLLBACK 591
#define ROLLUP 592
#define ROUTINE 593
#define ROUTINES 594
#define ROW 595
#define ROWS 596
#define RULE 597
#define SAVEPOINT 598
#define SCHEMA 599
#define SCHEMAS 600
#define SCROLL 601
#define SEARCH 602
#define SECOND_P 603
#define SECURITY 604
#define SELECT 605
#define SEQUENCE 606
#define SEQUENCES 607
#define SERIALIZABLE 608
#define SERVER 609
#define SESSION 610
#define SESSION_USER 611
#define SET 612
#define SETS 613
#define SETOF 614
#define SHARE 615
#define SHOW 616
#define SIMILAR 617
#define SIMPLE 618
#define SKIP 619
#define SMALLINT 620
#define SNAPSHOT 621
#define SOME 622
#define SQL_P 623
#define STABLE 624
#define STANDALONE_P 625
#define START 626
#define STATEMENT 627
#define STATISTICS 628
#define STDIN 629
#define STDOUT 630
#define STORAGE 631
#define STORED 632
#define STRICT_P 633
#define STRIP_P 634
#define SUBSCRIPTION 635
#define SUBSTRING 636
#define SUPPORT 637
#define SYMMETRIC 638
#define SYSID 639
#define SYSTEM_P 640
#define TABLE 641
#define TABLES 642
#define TABLESAMPLE 643
#define TABLESPACE 644
#define TEMP 645
#define TEMPLATE 646
#define TEMPORARY 647
#define TEXT_P 648
#define THEN 649
#define TIES 650
#define TIME 651
#define TIMESTAMP 652
#define TO 653
#define TRAILING 654
#define TRANSACTION 655
#define TRANSFORM 656
#define TREAT 657
#define TRIGGER 658
#define TRIM 659
#define TRUE_P 660
#define TRUNCATE 661
#define TRUSTED 662
#define TYPE_P 663
#define TYPES_P 664
#define UNBOUNDED 665
#define UNCOMMITTED 666
#define UNENCRYPTED 667
#define UNION 668
#define UNIQUE 669
#define UNKNOWN 670
#define UNLISTEN 671
#define UNLOGGED 672
#define UNTIL 673
#define UPDATE 674
#define USER 675
#define USING 676
#define VACUUM 677
#define VALID 678
#define VALIDATE 679
#define VALIDATOR 680
#define VALUE_P 681
#define VALUES 682
#define VARCHAR 683
#define VARIADIC 684
#define VARYING 685
#define VERBOSE 686
#define VERSION_P 687
#define VIEW 688
#define VIEWS 689
#define VOLATILE 690
#define WHEN 691
#define WHERE 692
#define WHITESPACE_P 693
#define WINDOW 694
#define WITH 695
#define WITHIN 696
#define WITHOUT 697
#define WORK 698
#define WRAPPER 699
#define WRITE 700
#define XML_P 701
#define XMLATTRIBUTES 702
#define XMLCONCAT 703
#define XMLELEMENT 704
#define XMLEXISTS 705
#define XMLFOREST 706
#define XMLNAMESPACES 707
#define XMLPARSE 708
#define XMLPI 709
#define XMLROOT 710
#define XMLSERIALIZE 711
#define XMLTABLE 712
#define YEAR_P 713
#define YES_P 714
#define ZONE 715
#define NOT_LA 716
#define NULLS_LA 717
#define WITH_LA 718
#define POSTFIXOP 719
#define UMINUS 720

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 239 "gram_minimal.y" /* yacc.c:355  */

	core_YYSTYPE		core_yystype;
	/* these fields must match core_YYSTYPE: */
	int					ival;
	char				*str;
	const char			*keyword;

	char				chr;
	bool				boolean;
	JoinType			jtype;
	DropBehavior		dbehavior;
	OnCommitAction		oncommit;
	List				*list;
	Node				*node;
	Value				*value;
	ObjectType			objtype;
	TypeName			*typnam;
	FunctionParameter   *fun_param;
	FunctionParameterMode fun_param_mode;
	ObjectWithArgs		*objwithargs;
	DefElem				*defelt;
	SortBy				*sortby;
	WindowDef			*windef;
	JoinExpr			*jexpr;
	IndexElem			*ielem;
	Alias				*alias;
	RangeVar			*range;
	IntoClause			*into;
	WithClause			*with;
	InferClause			*infer;
	OnConflictClause	*onconflict;
	A_Indices			*aind;
	ResTarget			*target;
	struct PrivTarget	*privtarget;
	AccessPriv			*accesspriv;
	struct ImportQual	*importqual;
	InsertStmt			*istmt;
	VariableSetStmt		*vsetstmt;
	PartitionElem		*partelem;
	PartitionSpec		*partspec;
	PartitionBoundSpec	*partboundspec;
	RoleSpec			*rolespec;

#line 1315 "gram_minimal.c" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif



int minimal_base_yyparse (core_yyscan_t yyscanner);

#endif /* !YY_MINIMAL_BASE_YY_Y_TAB_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 1345 "gram_minimal.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  832
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   102535

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  483
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  669
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2730
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  5503

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   720

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   472,     2,     2,
     477,   478,   470,   468,   481,   469,   479,   471,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   482,   480,
     464,   466,   465,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   475,     2,   476,   473,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   467,
     474
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   828,   828,   844,   856,   866,   867,   868,   869,   870,
     871,   872,   873,   874,   875,   876,   877,   878,   879,   880,
     881,   882,   883,   884,   885,   886,   887,   888,   889,   890,
     891,   892,   893,   894,   895,   896,   897,   898,   899,   900,
     901,   902,   903,   904,   905,   906,   907,   908,   909,   910,
     911,   912,   913,   914,   915,   916,   917,   918,   919,   920,
     921,   922,   923,   924,   925,   926,   927,   928,   929,   930,
     931,   932,   933,   934,   935,   936,   937,   938,   939,   940,
     941,   942,   943,   944,   945,   946,   947,   948,   949,   950,
     951,   952,   953,   954,   955,   956,   957,   958,   959,   960,
     961,   962,   963,   964,   965,   966,   967,   968,   969,   970,
     971,   972,   973,   974,   975,   976,   977,   978,   979,   980,
     981,   982,   983,   984,   985,   986,   987,   988,   990,   999,
    1014,  1025,  1026,  1027,  1036,  1037,  1041,  1042,  1046,  1051,
    1055,  1065,  1073,  1077,  1081,  1086,  1090,  1138,  1140,  1144,
    1148,  1152,  1156,  1170,  1188,  1196,  1207,  1208,  1212,  1220,
    1228,  1236,  1257,  1264,  1271,  1278,  1285,  1292,  1309,  1327,
    1338,  1339,  1350,  1360,  1370,  1385,  1403,  1404,  1408,  1415,
    1423,  1424,  1425,  1426,  1427,  1428,  1442,  1449,  1455,  1461,
    1470,  1478,  1486,  1490,  1498,  1506,  1513,  1523,  1524,  1532,
    1543,  1551,  1559,  1570,  1578,  1586,  1593,  1602,  1612,  1613,
    1617,  1618,  1621,  1623,  1627,  1628,  1629,  1630,  1634,  1635,
    1636,  1642,  1654,  1658,  1662,  1677,  1684,  1685,  1686,  1690,
    1691,  1692,  1696,  1697,  1701,  1702,  1711,  1712,  1719,  1726,
    1736,  1743,  1753,  1754,  1759,  1760,  1766,  1772,  1778,  1784,
    1790,  1796,  1802,  1812,  1822,  1823,  1827,  1828,  1836,  1851,
    1857,  1863,  1869,  1875,  1894,  1903,  1912,  1921,  1930,  1941,
    1952,  1961,  1970,  1979,  1990,  2001,  2010,  2019,  2028,  2037,
    2046,  2055,  2066,  2080,  2081,  2086,  2099,  2115,  2131,  2140,
    2149,  2158,  2167,  2176,  2184,  2192,  2201,  2217,  2226,  2235,
    2244,  2261,  2270,  2279,  2288,  2298,  2311,  2326,  2335,  2344,
    2359,  2367,  2377,  2387,  2394,  2402,  2410,  2417,  2424,  2432,
    2440,  2448,  2455,  2462,  2470,  2477,  2484,  2492,  2500,  2508,
    2516,  2524,  2532,  2542,  2549,  2557,  2565,  2573,  2581,  2589,
    2596,  2603,  2610,  2616,  2626,  2627,  2631,  2632,  2633,  2637,
    2645,  2649,  2650,  2654,  2661,  2668,  2675,  2685,  2688,  2689,
    2693,  2694,  2699,  2703,  2707,  2712,  2719,  2721,  2726,  2730,
    2734,  2745,  2753,  2806,  2819,  2833,  2845,  2852,  2856,  2870,
    2883,  2884,  2889,  2898,  2908,  2918,  2944,  2950,  2983,  3018,
    3040,  3041,  3045,  3046,  3055,  3056,  3057,  3060,  3061,  3066,
    3067,  3071,  3075,  3079,  3083,  3087,  3091,  3095,  3099,  3103,
    3107,  3111,  3115,  3119,  3128,  3132,  3136,  3140,  3144,  3145,
    3150,  3154,  3161,  3168,  3169,  3170,  3171,  3172,  3176,  3180,
    3188,  3199,  3218,  3237,  3257,  3277,  3297,  3330,  3331,  3332,
    3333,  3334,  3341,  3348,  3349,  3353,  3354,  3358,  3359,  3363,
    3367,  3374,  3378,  3385,  3386,  3387,  3391,  3392,  3395,  3416,
    3434,  3455,  3456,  3460,  3467,  3468,  3469,  3500,  3507,  3514,
    3525,  3536,  3548,  3559,  3568,  3591,  3609,  3610,  3629,  3636,
    3643,  3650,  3661,  3671,  3672,  3673,  3677,  3678,  3679,  3680,
    3681,  3682,  3683,  3684,  3685,  3694,  3701,  3705,  3718,  3734,
    3749,  3765,  3780,  3799,  3820,  3821,  3825,  3826,  3830,  3831,
    3834,  3840,  3841,  3844,  3848,  3856,  3861,  3867,  3868,  3872,
    3877,  3884,  3885,  3895,  3897,  3899,  3901,  3904,  3907,  3910,
    3914,  3915,  3916,  3917,  3918,  3921,  3922,  3926,  3927,  3930,
    3942,  3943,  3946,  3947,  3950,  3961,  3972,  3986,  3987,  3992,
    3993,  3994,  3997,  3998,  3999,  4000,  4003,  4004,  4007,  4008,
    4011,  4029,  4041,  4066,  4079,  4095,  4111,  4112,  4113,  4125,
    4138,  4154,  4168,  4169,  4181,  4201,  4211,  4224,  4232,  4243,
    4244,  4247,  4248,  4251,  4252,  4255,  4259,  4263,  4267,  4271,
    4275,  4279,  4283,  4287,  4291,  4295,  4300,  4304,  4308,  4314,
    4315,  4319,  4320,  4321,  4326,  4329,  4330,  4342,  4354,  4369,
    4370,  4378,  4379,  4383,  4384,  4388,  4389,  4393,  4394,  4398,
    4408,  4421,  4422,  4432,  4443,  4444,  4457,  4464,  4481,  4489,
    4500,  4503,  4507,  4511,  4515,  4519,  4531,  4541,  4544,  4548,
    4561,  4570,  4579,  4588,  4597,  4606,  4615,  4624,  4633,  4642,
    4651,  4660,  4669,  4678,  4687,  4696,  4705,  4714,  4723,  4732,
    4741,  4750,  4759,  4768,  4777,  4786,  4795,  4804,  4822,  4833,
    4834,  4835,  4836,  4840,  4841,  4845,  4846,  4856,  4864,  4876,
    4877,  4881,  4885,  4893,  4897,  4901,  4908,  4912,  4917,  4922,
    4929,  4936,  4941,  4951,  4963,  4978,  4979,  4984,  4985,  4989,
    4990,  5000,  5009,  5017,  5034,  5054,  5074,  5095,  5126,  5135,
    5156,  5171,  5172,  5176,  5184,  5199,  5208,  5220,  5221,  5233,
    5241,  5258,  5282,  5299,  5313,  5314,  5318,  5319,  5323,  5324,
    5328,  5329,  5333,  5347,  5351,  5352,  5356,  5357,  5358,  5359,
    5360,  5370,  5381,  5382,  5393,  5414,  5440,  5441,  5442,  5446,
    5448,  5470,  5472,  5474,  5476,  5478,  5483,  5484,  5488,  5489,
    5493,  5504,  5505,  5509,  5518,  5522,  5526,  5531,  5541,  5542,
    5546,  5547,  5551,  5552,  5556,  5557,  5561,  5562,  5563,  5567,
    5571,  5572,  5573,  5577,  5578,  5583,  5584,  5611,  5612,  5613,
    5614,  5615,  5616,  5629,  5639,  5653,  5655,  5660,  5665,  5667,
    5672,  5682,  5683,  5684,  5685,  5696,  5715,  5726,  5738,  5748,
    5758,  5769,  5778,  5785,  5792,  5801,  5810,  5819,  5828,  5837,
    5847,  5856,  5868,  5871,  5872,  5875,  5879,  5886,  5887,  5888,
    5889,  5890,  5891,  5894,  5897,  5898,  5906,  5913,  5914,  5917,
    5919,  5930,  5941,  5952,  5963,  5976,  5977,  5993,  6008,  6009,
    6013,  6025,  6035,  6043,  6052,  6061,  6062,  6065,  6066,  6069,
    6070,  6071,  6074,  6088,  6093,  6103,  6112,  6124,  6125,  6129,
    6137,  6149,  6159,  6172,  6182,  6204,  6214,  6232,  6242,  6252,
    6262,  6272,  6282,  6292,  6302,  6312,  6322,  6332,  6342,  6356,
    6357,  6358,  6359,  6360,  6361,  6362,  6363,  6364,  6365,  6366,
    6367,  6368,  6373,  6374,  6375,  6376,  6377,  6378,  6379,  6384,
    6385,  6386,  6390,  6391,  6394,  6395,  6398,  6400,  6405,  6406,
    6417,  6428,  6429,  6430,  6464,  6472,  6480,  6488,  6496,  6504,
    6512,  6520,  6528,  6541,  6549,  6557,  6565,  6573,  6581,  6589,
    6597,  6605,  6613,  6625,  6626,  6627,  6628,  6629,  6630,  6631,
    6632,  6633,  6634,  6635,  6636,  6637,  6638,  6643,  6644,  6645,
    6646,  6647,  6648,  6649,  6650,  6651,  6652,  6653,  6654,  6658,
    6659,  6673,  6683,  6693,  6703,  6713,  6723,  6733,  6743,  6753,
    6765,  6766,  6771,  6772,  6773,  6774,  6775,  6776,  6781,  6782,
    6783,  6784,  6785,  6786,  6787,  6788,  6791,  6792,  6802,  6808,
    6816,  6824,  6832,  6840,  6848,  6856,  6864,  6872,  6880,  6888,
    6896,  6904,  6912,  6920,  6928,  6936,  6946,  6947,  6950,  6951,
    6961,  6977,  6991,  7017,  7019,  7021,  7023,  7030,  7039,  7040,
    7043,  7050,  7057,  7064,  7078,  7086,  7094,  7102,  7110,  7118,
    7126,  7134,  7142,  7150,  7158,  7166,  7174,  7182,  7190,  7198,
    7206,  7214,  7222,  7230,  7242,  7243,  7247,  7248,  7253,  7254,
    7264,  7277,  7287,  7299,  7300,  7303,  7304,  7314,  7324,  7325,
    7329,  7333,  7337,  7348,  7361,  7375,  7392,  7393,  7394,  7395,
    7396,  7397,  7409,  7437,  7468,  7469,  7473,  7474,  7478,  7479,
    7483,  7484,  7487,  7488,  7496,  7507,  7518,  7531,  7532,  7535,
    7536,  7539,  7540,  7543,  7544,  7547,  7548,  7549,  7552,  7553,
    7554,  7570,  7582,  7595,  7607,  7622,  7623,  7626,  7627,  7631,
    7632,  7636,  7637,  7642,  7654,  7661,  7668,  7683,  7684,  7688,
    7689,  7704,  7713,  7722,  7731,  7740,  7752,  7753,  7754,  7755,
    7756,  7762,  7766,  7781,  7782,  7788,  7798,  7802,  7807,  7815,
    7856,  7860,  7864,  7868,  7876,  7877,  7881,  7891,  7892,  7898,
    7899,  7906,  7910,  7914,  7918,  7922,  7926,  7930,  7934,  7938,
    7942,  7946,  7950,  7954,  7958,  7962,  7966,  7971,  7978,  7982,
    7986,  7990,  7994,  8000,  8001,  8008,  8009,  8013,  8014,  8017,
    8029,  8033,  8048,  8056,  8064,  8076,  8077,  8082,  8083,  8100,
    8110,  8120,  8130,  8140,  8150,  8163,  8173,  8186,  8196,  8209,
    8217,  8219,  8221,  8226,  8228,  8233,  8234,  8239,  8257,  8266,
    8267,  8271,  8275,  8287,  8298,  8309,  8322,  8323,  8324,  8328,
    8340,  8341,  8351,  8363,  8367,  8371,  8375,  8382,  8402,  8412,
    8422,  8432,  8444,  8445,  8448,  8449,  8450,  8453,  8454,  8457,
    8467,  8476,  8493,  8502,  8511,  8520,  8529,  8538,  8547,  8556,
    8565,  8574,  8583,  8592,  8601,  8611,  8621,  8630,  8639,  8648,
    8657,  8666,  8675,  8685,  8695,  8705,  8715,  8725,  8735,  8745,
    8755,  8765,  8775,  8785,  8795,  8806,  8817,  8828,  8839,  8849,
    8859,  8870,  8881,  8891,  8901,  8909,  8918,  8927,  8936,  8945,
    8954,  8963,  8972,  8981,  8990,  9004,  9005,  9008,  9009,  9019,
    9027,  9035,  9043,  9052,  9060,  9077,  9086,  9095,  9104,  9113,
    9122,  9131,  9140,  9149,  9158,  9167,  9176,  9185,  9194,  9203,
    9212,  9221,  9230,  9239,  9248,  9257,  9266,  9275,  9284,  9293,
    9302,  9311,  9329,  9338,  9339,  9342,  9344,  9350,  9351,  9352,
    9353,  9354,  9363,  9371,  9379,  9387,  9395,  9403,  9411,  9419,
    9427,  9435,  9443,  9451,  9459,  9467,  9475,  9483,  9491,  9499,
    9507,  9515,  9523,  9531,  9539,  9547,  9565,  9584,  9585,  9589,
    9593,  9613,  9620,  9628,  9636,  9653,  9666,  9670,  9677,  9686,
    9695,  9704,  9713,  9723,  9733,  9751,  9759,  9775,  9792,  9793,
    9794,  9799,  9805,  9814,  9815,  9816,  9817,  9818,  9822,  9823,
    9826,  9827,  9828,  9829,  9833,  9834,  9835,  9847,  9857,  9858,
    9861,  9870,  9876,  9895,  9903,  9910,  9917,  9925,  9933,  9941,
    9948,  9955,  9962,  9969,  9976,  9983,  9990,  9999, 10000, 10001,
   10005, 10008, 10011, 10014, 10017, 10024, 10026, 10028, 10033, 10035,
   10039, 10040, 10041, 10053, 10066, 10079, 10097, 10118, 10119, 10120,
   10121, 10131, 10147, 10157, 10158, 10162, 10163, 10167, 10171, 10175,
   10193, 10194, 10195, 10196, 10197, 10198, 10199, 10206, 10207, 10218,
   10225, 10232, 10243, 10260, 10267, 10283, 10300, 10306, 10322, 10335,
   10344, 10352, 10360, 10369, 10380, 10391, 10401, 10402, 10413, 10423,
   10434, 10445, 10456, 10467, 10476, 10488, 10489, 10503, 10526, 10536,
   10547, 10560, 10561, 10573, 10593, 10603, 10614, 10625, 10629, 10636,
   10637, 10641, 10648, 10649, 10653, 10654, 10655, 10659, 10660, 10664,
   10665, 10668, 10669, 10672, 10673, 10677, 10678, 10682, 10689, 10691,
   10696, 10697, 10710, 10717, 10727, 10734, 10744, 10745, 10746, 10747,
   10748, 10749, 10750, 10751, 10752, 10756, 10760, 10767, 10774, 10775,
   10779, 10780, 10781, 10791, 10801, 10802, 10806, 10807, 10808, 10809,
   10819, 10826, 10843, 10862, 10863, 10873, 10879, 10885, 10891, 10907,
   10918, 10940, 10944, 10952, 10958, 10965, 10971, 10978, 10987, 10988,
   10992, 10994, 10999, 11010, 11020, 11030, 11036, 11045, 11054, 11060,
   11061, 11072, 11086, 11087, 11098, 11109, 11110, 11113, 11114, 11115,
   11116, 11117, 11118, 11119, 11120, 11123, 11124, 11128, 11129, 11130,
   11141, 11157, 11172, 11173, 11177, 11182, 11206, 11217, 11218, 11228,
   11239, 11242, 11243, 11244, 11245, 11246, 11249, 11250, 11251, 11299,
   11300, 11304, 11305, 11320, 11321, 11328, 11336, 11344, 11352, 11360,
   11368, 11379, 11380, 11407, 11421, 11436, 11437, 11456, 11460, 11464,
   11481, 11488, 11495, 11505, 11506, 11509, 11522, 11523, 11524, 11528,
   11529, 11533, 11545, 11553, 11558, 11563, 11568, 11573, 11581, 11589,
   11594, 11599, 11606, 11607, 11611, 11612, 11613, 11620, 11621, 11625,
   11626, 11630, 11631, 11635, 11639, 11640, 11643, 11652, 11665, 11666,
   11667, 11668, 11672, 11673, 11677, 11679, 11695, 11697, 11702, 11705,
   11710, 11711, 11719, 11739, 11740, 11742, 11747, 11748, 11752, 11753,
   11756, 11757, 11782, 11783, 11787, 11788, 11792, 11793, 11794, 11795,
   11796, 11800, 11813, 11820, 11827, 11834, 11835, 11839, 11840, 11844,
   11845, 11849, 11850, 11854, 11865, 11866, 11867, 11868, 11872, 11873,
   11883, 11889, 11907, 11908, 11912, 11913, 11919, 11924, 11932, 11939,
   11947, 11953, 11960, 11995, 12020, 12024, 12050, 12054, 12066, 12079,
   12093, 12104, 12119, 12125, 12130, 12136, 12143, 12144, 12152, 12156,
   12160, 12166, 12173, 12178, 12179, 12180, 12181, 12185, 12186, 12198,
   12199, 12204, 12211, 12218, 12225, 12236, 12237, 12250, 12254, 12261,
   12274, 12287, 12288, 12303, 12313, 12325, 12330, 12331, 12334, 12335,
   12338, 12339, 12344, 12345, 12350, 12351, 12359, 12364, 12365, 12369,
   12373, 12379, 12403, 12413, 12426, 12427, 12431, 12445, 12502, 12516,
   12518, 12523, 12525, 12527, 12529, 12534, 12536, 12541, 12549, 12569,
   12574, 12581, 12586, 12592, 12597, 12606, 12608, 12611, 12615, 12616,
   12617, 12618, 12619, 12620, 12625, 12645, 12646, 12647, 12648, 12659,
   12665, 12673, 12674, 12680, 12685, 12690, 12695, 12700, 12705, 12710,
   12715, 12721, 12727, 12733, 12740, 12762, 12771, 12775, 12783, 12787,
   12795, 12807, 12828, 12832, 12838, 12842, 12855, 12863, 12873, 12875,
   12877, 12879, 12881, 12883, 12888, 12889, 12896, 12905, 12913, 12922,
   12933, 12941, 12942, 12943, 12947, 12949, 12951, 12953, 12955, 12957,
   12959, 12964, 12969, 12975, 12983, 12988, 12995, 13002, 13006, 13010,
   13046, 13047, 13049, 13057, 13072, 13074, 13076, 13078, 13080, 13082,
   13084, 13086, 13088, 13090, 13092, 13094, 13096, 13098, 13101, 13103,
   13105, 13108, 13110, 13112, 13114, 13117, 13122, 13130, 13135, 13143,
   13148, 13156, 13161, 13170, 13178, 13186, 13194, 13212, 13220, 13228,
   13236, 13244, 13260, 13268, 13276, 13284, 13292, 13300, 13308, 13312,
   13316, 13320, 13324, 13332, 13340, 13348, 13356, 13376, 13398, 13409,
   13416, 13432, 13437, 13443, 13468, 13470, 13472, 13474, 13476, 13478,
   13480, 13482, 13484, 13486, 13488, 13490, 13492, 13494, 13496, 13498,
   13500, 13502, 13504, 13506, 13510, 13514, 13518, 13522, 13527, 13543,
   13544, 13545, 13560, 13594, 13596, 13598, 13609, 13633, 13644, 13655,
   13662, 13672, 13682, 13691, 13695, 13701, 13708, 13715, 13725, 13732,
   13760, 13795, 13806, 13807, 13814, 13820, 13824, 13828, 13832, 13836,
   13840, 13844, 13848, 13852, 13856, 13860, 13864, 13868, 13872, 13876,
   13880, 13882, 13886, 13895, 13900, 13907, 13922, 13929, 13933, 13937,
   13941, 13945, 13952, 13960, 13968, 13972, 13976, 13980, 13984, 13988,
   13994, 13998, 14007, 14011, 14015, 14020, 14034, 14036, 14040, 14042,
   14044, 14047, 14050, 14053, 14054, 14057, 14065, 14075, 14076, 14079,
   14080, 14081, 14086, 14090, 14094, 14098, 14105, 14106, 14114, 14115,
   14119, 14120, 14128, 14129, 14133, 14134, 14139, 14147, 14149, 14163,
   14166, 14193, 14194, 14197, 14198, 14206, 14213, 14220, 14228, 14237,
   14254, 14299, 14307, 14315, 14323, 14331, 14342, 14343, 14344, 14345,
   14346, 14360, 14361, 14362, 14365, 14366, 14369, 14372, 14373, 14374,
   14377, 14378, 14381, 14382, 14383, 14384, 14385, 14386, 14387, 14388,
   14389, 14390, 14391, 14392, 14395, 14397, 14402, 14404, 14409, 14411,
   14413, 14415, 14417, 14419, 14431, 14435, 14442, 14446, 14452, 14456,
   14465, 14476, 14477, 14480, 14484, 14488, 14494, 14495, 14500, 14504,
   14511, 14512, 14513, 14514, 14515, 14516, 14517, 14518, 14528, 14532,
   14539, 14546, 14547, 14563, 14567, 14572, 14576, 14591, 14596, 14600,
   14603, 14606, 14607, 14608, 14611, 14618, 14628, 14642, 14643, 14647,
   14658, 14659, 14662, 14663, 14666, 14670, 14677, 14681, 14685, 14693,
   14704, 14705, 14709, 14710, 14714, 14715, 14718, 14719, 14729, 14730,
   14734, 14735, 14738, 14754, 14762, 14770, 14792, 14793, 14804, 14808,
   14835, 14837, 14842, 14845, 14848, 14850, 14852, 14854, 14864, 14866,
   14877, 14881, 14885, 14889, 14893, 14902, 14909, 14941, 14945, 14951,
   14958, 14962, 14966, 14972, 14973, 14975, 14976, 14977, 14981, 15014,
   15041, 15045, 15051, 15053, 15070, 15071, 15072, 15077, 15078, 15079,
   15084, 15085, 15086, 15087, 15093, 15094, 15095, 15096, 15097, 15117,
   15118, 15119, 15120, 15121, 15122, 15123, 15124, 15125, 15126, 15127,
   15128, 15129, 15130, 15131, 15132, 15133, 15134, 15135, 15136, 15137,
   15138, 15139, 15140, 15141, 15142, 15143, 15144, 15145, 15146, 15147,
   15148, 15149, 15150, 15151, 15152, 15153, 15154, 15155, 15156, 15157,
   15158, 15159, 15160, 15161, 15162, 15163, 15164, 15165, 15166, 15167,
   15168, 15169, 15170, 15171, 15172, 15173, 15174, 15175, 15176, 15177,
   15178, 15179, 15180, 15181, 15182, 15183, 15184, 15185, 15186, 15187,
   15188, 15189, 15190, 15191, 15192, 15193, 15194, 15195, 15196, 15197,
   15198, 15199, 15200, 15201, 15202, 15203, 15204, 15205, 15206, 15207,
   15208, 15209, 15210, 15211, 15212, 15213, 15214, 15215, 15216, 15217,
   15218, 15219, 15220, 15221, 15222, 15223, 15224, 15225, 15226, 15227,
   15228, 15229, 15230, 15231, 15232, 15233, 15234, 15235, 15236, 15237,
   15238, 15239, 15240, 15241, 15242, 15243, 15244, 15245, 15246, 15247,
   15248, 15249, 15250, 15251, 15252, 15253, 15254, 15255, 15256, 15257,
   15258, 15259, 15260, 15261, 15262, 15263, 15264, 15265, 15266, 15267,
   15268, 15269, 15270, 15271, 15272, 15273, 15274, 15275, 15276, 15277,
   15278, 15279, 15280, 15281, 15282, 15283, 15284, 15285, 15286, 15287,
   15288, 15289, 15290, 15291, 15292, 15293, 15294, 15295, 15296, 15297,
   15298, 15299, 15300, 15301, 15302, 15303, 15304, 15305, 15306, 15307,
   15308, 15309, 15310, 15311, 15312, 15313, 15314, 15315, 15316, 15317,
   15318, 15319, 15320, 15321, 15322, 15323, 15324, 15325, 15326, 15327,
   15328, 15329, 15330, 15331, 15332, 15333, 15334, 15335, 15336, 15337,
   15338, 15339, 15340, 15341, 15342, 15343, 15344, 15345, 15346, 15347,
   15348, 15349, 15350, 15351, 15352, 15353, 15354, 15355, 15356, 15357,
   15358, 15359, 15360, 15361, 15362, 15363, 15364, 15365, 15366, 15367,
   15368, 15369, 15370, 15371, 15372, 15373, 15374, 15375, 15376, 15377,
   15378, 15379, 15380, 15381, 15382, 15383, 15384, 15385, 15386, 15387,
   15388, 15389, 15390, 15391, 15392, 15393, 15394, 15395, 15396, 15397,
   15398, 15399, 15400, 15401, 15402, 15403, 15404, 15405, 15406, 15407,
   15408, 15422, 15423, 15424, 15425, 15426, 15427, 15428, 15429, 15430,
   15431, 15432, 15433, 15434, 15435, 15436, 15437, 15438, 15439, 15440,
   15441, 15442, 15443, 15444, 15445, 15446, 15447, 15448, 15449, 15450,
   15451, 15452, 15453, 15454, 15455, 15456, 15457, 15458, 15459, 15460,
   15461, 15462, 15463, 15464, 15465, 15466, 15467, 15468, 15469, 15470,
   15471, 15485, 15486, 15487, 15488, 15489, 15490, 15491, 15492, 15493,
   15494, 15495, 15496, 15497, 15498, 15499, 15500, 15501, 15502, 15503,
   15504, 15505, 15506, 15507, 15517, 15518, 15519, 15520, 15521, 15522,
   15523, 15524, 15525, 15526, 15527, 15528, 15529, 15530, 15531, 15532,
   15533, 15534, 15535, 15536, 15537, 15538, 15539, 15540, 15541, 15542,
   15543, 15544, 15545, 15546, 15547, 15548, 15549, 15550, 15551, 15552,
   15553, 15554, 15555, 15556, 15557, 15558, 15559, 15560, 15561, 15562,
   15563, 15564, 15565, 15566, 15567, 15568, 15569, 15570, 15571, 15572,
   15573, 15574, 15575, 15576, 15577, 15578, 15579, 15580, 15581, 15582,
   15583, 15584, 15585, 15586, 15587, 15588, 15589, 15590, 15591, 15592,
   15593
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "IDENT", "FCONST", "SCONST", "BCONST",
  "XCONST", "Op", "ICONST", "PARAM", "TYPECAST", "DOT_DOT", "COLON_EQUALS",
  "EQUALS_GREATER", "LESS_EQUALS", "GREATER_EQUALS", "NOT_EQUALS",
  "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION", "ADD_P", "ADMIN", "AFTER",
  "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS", "ANALYSE", "ANALYZE",
  "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION", "ASSIGNMENT",
  "ASYMMETRIC", "AT", "ATTACH", "ATTRIBUTE", "AUTHORIZATION", "BACKWARD",
  "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT", "BOOLEAN_P",
  "BOTH", "BY", "CACHE", "CALL", "CALLED", "CASCADE", "CASCADED", "CASE",
  "CAST", "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER", "CHARACTERISTICS",
  "CHECK", "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER", "COALESCE",
  "COLLATE", "COLLATION", "COLUMN", "COLUMNS", "COMMENT", "COMMENTS",
  "COMMIT", "COMMITTED", "CONCURRENTLY", "CONFIGURATION", "CONFLICT",
  "CONNECTION", "CONSTRAINT", "CONSTRAINTS", "CONTENT_P", "CONTINUE_P",
  "CONVERSION_P", "COPY", "COST", "CREATE", "CROSS", "CSV", "CUBE",
  "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE", "CURRENT_ROLE",
  "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP", "CURRENT_USER",
  "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P", "DEALLOCATE", "DEC",
  "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED",
  "DEFINER", "DELETE_P", "DELIMITER", "DELIMITERS", "DEPENDS", "DESC",
  "DETACH", "DICTIONARY", "DISABLE_P", "DISCARD", "DISTINCT", "DO",
  "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH", "ELSE", "ENABLE_P",
  "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE", "EVENT", "EXCEPT",
  "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE", "EXISTS", "EXPLAIN",
  "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P", "FAMILY", "FETCH",
  "FILTER", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR", "FORCE", "FOREIGN",
  "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION", "FUNCTIONS",
  "GENERATED", "GLOBAL", "GRANT", "GRANTED", "GREATEST", "GROUP_P",
  "GROUPING", "GROUPS", "HANDLER", "HAVING", "HEADER_P", "HOLD", "HOUR_P",
  "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE", "IMMUTABLE", "IMPLICIT_P",
  "IMPORT_P", "IN_P", "INCLUDE", "INCLUDING", "INCREMENT", "INDEX",
  "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P", "INNER_P",
  "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD", "INT_P",
  "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL",
  "ISOLATION", "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P", "LAST_P",
  "LATERAL_P", "LEADING", "LEAKPROOF", "LEAST", "LEFT", "LEVEL", "LIKE",
  "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME", "LOCALTIMESTAMP",
  "LOCATION", "LOCK_P", "LOCKED", "LOGGED", "MAPPING", "MATCH",
  "MATERIALIZED", "MAXVALUE", "METHOD", "MINUTE_P", "MINVALUE", "MODE",
  "MONTH_P", "MOVE", "NAME_P", "NAMES", "NATIONAL", "NATURAL", "NCHAR",
  "NEW", "NEXT", "NO", "NONE", "NOT", "NOTHING", "NOTIFY", "NOTNULL",
  "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC", "OBJECT_P", "OF",
  "OFF", "OFFSET", "OIDS", "OLD", "ON", "ONLY", "OPERATOR", "OPTION",
  "OPTIONS", "OR", "ORDER", "ORDINALITY", "OTHERS", "OUT_P", "OUTER_P",
  "OVER", "OVERLAPS", "OVERLAY", "OVERRIDING", "OWNED", "OWNER",
  "PARALLEL", "PARSER", "PARTIAL", "PARTITION", "PASSING", "PASSWORD",
  "PGPOOL", "PLACING", "PLANS", "POLICY", "POSITION", "PRECEDING",
  "PRECISION", "PRESERVE", "PREPARE", "PREPARED", "PRIMARY", "PRIOR",
  "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "PROCEDURES", "PROGRAM",
  "PUBLICATION", "QUOTE", "RANGE", "READ", "REAL", "REASSIGN", "RECHECK",
  "RECURSIVE", "REF", "REFERENCES", "REFERENCING", "REFRESH", "REINDEX",
  "RELATIVE_P", "RELEASE", "RENAME", "REPEATABLE", "REPLACE", "REPLICA",
  "RESET", "RESTART", "RESTRICT", "RETURNING", "RETURNS", "REVOKE",
  "RIGHT", "ROLE", "ROLLBACK", "ROLLUP", "ROUTINE", "ROUTINES", "ROW",
  "ROWS", "RULE", "SAVEPOINT", "SCHEMA", "SCHEMAS", "SCROLL", "SEARCH",
  "SECOND_P", "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES",
  "SERIALIZABLE", "SERVER", "SESSION", "SESSION_USER", "SET", "SETS",
  "SETOF", "SHARE", "SHOW", "SIMILAR", "SIMPLE", "SKIP", "SMALLINT",
  "SNAPSHOT", "SOME", "SQL_P", "STABLE", "STANDALONE_P", "START",
  "STATEMENT", "STATISTICS", "STDIN", "STDOUT", "STORAGE", "STORED",
  "STRICT_P", "STRIP_P", "SUBSCRIPTION", "SUBSTRING", "SUPPORT",
  "SYMMETRIC", "SYSID", "SYSTEM_P", "TABLE", "TABLES", "TABLESAMPLE",
  "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY", "TEXT_P", "THEN", "TIES",
  "TIME", "TIMESTAMP", "TO", "TRAILING", "TRANSACTION", "TRANSFORM",
  "TREAT", "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P",
  "TYPES_P", "UNBOUNDED", "UNCOMMITTED", "UNENCRYPTED", "UNION", "UNIQUE",
  "UNKNOWN", "UNLISTEN", "UNLOGGED", "UNTIL", "UPDATE", "USER", "USING",
  "VACUUM", "VALID", "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES",
  "VARCHAR", "VARIADIC", "VARYING", "VERBOSE", "VERSION_P", "VIEW",
  "VIEWS", "VOLATILE", "WHEN", "WHERE", "WHITESPACE_P", "WINDOW", "WITH",
  "WITHIN", "WITHOUT", "WORK", "WRAPPER", "WRITE", "XML_P",
  "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT", "XMLEXISTS", "XMLFOREST",
  "XMLNAMESPACES", "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE",
  "XMLTABLE", "YEAR_P", "YES_P", "ZONE", "NOT_LA", "NULLS_LA", "WITH_LA",
  "'<'", "'>'", "'='", "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'",
  "'^'", "UMINUS", "'['", "']'", "'('", "')'", "'.'", "';'", "','", "':'",
  "$accept", "stmtblock", "stmtmulti", "stmt", "CallStmt",
  "CreateRoleStmt", "opt_with", "OptRoleList", "AlterOptRoleList",
  "AlterOptRoleElem", "CreateOptRoleElem", "CreateUserStmt",
  "AlterRoleStmt", "opt_in_database", "AlterRoleSetStmt", "DropRoleStmt",
  "CreateGroupStmt", "AlterGroupStmt", "add_drop", "CreateSchemaStmt",
  "OptSchemaName", "OptSchemaEltList", "schema_stmt", "VariableSetStmt",
  "set_rest", "generic_set", "set_rest_more", "var_name", "var_list",
  "var_value", "iso_level", "opt_boolean_or_string", "zone_value",
  "opt_encoding", "NonReservedWord_or_Sconst", "VariableResetStmt",
  "reset_rest", "generic_reset", "SetResetClause",
  "FunctionSetResetClause", "VariableShowStmt", "ConstraintsSetStmt",
  "constraints_set_list", "constraints_set_mode", "CheckPointStmt",
  "DiscardStmt", "AlterTableStmt", "alter_table_cmds", "partition_cmd",
  "index_partition_cmd", "alter_table_cmd", "alter_column_default",
  "opt_drop_behavior", "opt_collate_clause", "alter_using",
  "replica_identity", "reloptions", "opt_reloptions", "reloption_list",
  "reloption_elem", "alter_identity_column_option_list",
  "alter_identity_column_option", "PartitionBoundSpec",
  "hash_partbound_elem", "hash_partbound", "AlterCompositeTypeStmt",
  "alter_type_cmds", "alter_type_cmd", "ClosePortalStmt", "CopyStmt",
  "copy_from", "opt_program", "copy_file_name", "copy_options",
  "copy_opt_list", "copy_opt_item", "opt_binary", "copy_delimiter",
  "opt_using", "copy_generic_opt_list", "copy_generic_opt_elem",
  "copy_generic_opt_arg", "copy_generic_opt_arg_list",
  "copy_generic_opt_arg_list_item", "CreateStmt", "OptTemp",
  "OptTableElementList", "OptTypedTableElementList", "TableElementList",
  "TypedTableElementList", "TableElement", "TypedTableElement",
  "columnDef", "columnOptions", "ColQualList", "ColConstraint",
  "ColConstraintElem", "generated_when", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_no_inherit", "opt_column_list",
  "columnList", "columnElem", "opt_c_include", "key_match",
  "ExclusionConstraintList", "ExclusionConstraintElem",
  "ExclusionWhereClause", "key_actions", "key_update", "key_delete",
  "key_action", "OptInherit", "OptPartitionSpec", "PartitionSpec",
  "part_strategy", "part_params", "part_elem",
  "table_access_method_clause", "OptWith", "OnCommitOption",
  "OptTableSpace", "OptConsTableSpace", "ExistingIndex", "CreateStatsStmt",
  "CreateAsStmt", "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "OptParenthesizedSeqOptList",
  "SeqOptList", "SeqOptElem", "opt_by", "NumericOnly", "NumericOnly_list",
  "CreatePLangStmt", "opt_trusted", "handler_name", "opt_inline_handler",
  "validator_clause", "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "AlterForeignServerStmt",
  "CreateForeignTableStmt", "AlterForeignTableStmt",
  "ImportForeignSchemaStmt", "import_qualification_type",
  "import_qualification", "CreateUserMappingStmt", "auth_ident",
  "DropUserMappingStmt", "AlterUserMappingStmt", "CreatePolicyStmt",
  "AlterPolicyStmt", "RowSecurityOptionalExpr",
  "RowSecurityOptionalWithCheck", "RowSecurityDefaultToRole",
  "RowSecurityOptionalToRole", "RowSecurityDefaultPermissive",
  "RowSecurityDefaultForCmd", "row_security_cmd", "CreateAmStmt",
  "am_type", "CreateTrigStmt", "TriggerActionTime", "TriggerEvents",
  "TriggerOneEvent", "TriggerReferencing", "TriggerTransitions",
  "TriggerTransition", "TransitionOldOrNew", "TransitionRowOrTable",
  "TransitionRelName", "TriggerForSpec", "TriggerForOptEach",
  "TriggerForType", "TriggerWhen", "FUNCTION_or_PROCEDURE",
  "TriggerFuncArgs", "TriggerFuncArg", "OptConstrFromTable",
  "ConstraintAttributeSpec", "ConstraintAttributeElem",
  "CreateEventTrigStmt", "event_trigger_when_list",
  "event_trigger_when_item", "event_trigger_value_list",
  "AlterEventTrigStmt", "enable_trigger", "CreateAssertionStmt",
  "DefineStmt", "definition", "def_list", "def_elem", "def_arg",
  "old_aggr_definition", "old_aggr_list", "old_aggr_elem",
  "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "opt_if_not_exists", "CreateOpClassStmt", "opclass_item_list",
  "opclass_item", "opt_default", "opt_opfamily", "opclass_purpose",
  "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "drop_type_any_name", "drop_type_name", "drop_type_name_on_any_name",
  "any_name_list", "any_name", "attrs", "type_name_list", "TruncateStmt",
  "opt_restart_seqs", "CommentStmt", "comment_type_any_name",
  "comment_type_name", "comment_text", "SecLabelStmt", "opt_provider",
  "security_label_type_any_name", "security_label_type_name",
  "security_label", "FetchStmt", "fetch_args", "from_in", "opt_from_in",
  "GrantStmt", "RevokeStmt", "privileges", "privilege_list", "privilege",
  "privilege_target", "grantee_list", "grantee", "opt_grant_grant_option",
  "GrantRoleStmt", "RevokeRoleStmt", "opt_grant_admin_option",
  "opt_granted_by", "AlterDefaultPrivilegesStmt", "DefACLOptionList",
  "DefACLOption", "DefACLAction", "defacl_privilege_target", "IndexStmt",
  "opt_unique", "opt_concurrently", "opt_index_name",
  "access_method_clause", "index_params", "index_elem", "opt_include",
  "index_including_params", "opt_collate", "opt_class", "opt_asc_desc",
  "opt_nulls_order", "CreateFunctionStmt", "opt_or_replace", "func_args",
  "func_args_list", "function_with_argtypes_list",
  "function_with_argtypes", "func_args_with_defaults",
  "func_args_with_defaults_list", "func_arg", "arg_class", "param_name",
  "func_return", "func_type", "func_arg_with_default", "aggr_arg",
  "aggr_args", "aggr_args_list", "aggregate_with_argtypes",
  "aggregate_with_argtypes_list", "createfunc_opt_list",
  "common_func_opt_item", "createfunc_opt_item", "func_as",
  "transform_type_list", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "operator_with_argtypes_list",
  "operator_with_argtypes", "DoStmt", "dostmt_opt_list", "dostmt_opt_item",
  "CreateCastStmt", "cast_context", "DropCastStmt", "opt_if_exists",
  "CreateTransformStmt", "transform_element_list", "DropTransformStmt",
  "ReindexStmt", "reindex_target_type", "reindex_target_multitable",
  "reindex_option_list", "reindex_option_elem", "AlterTblSpcStmt",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectDependsStmt",
  "AlterObjectSchemaStmt", "AlterOperatorStmt", "operator_def_list",
  "operator_def_elem", "operator_def_arg", "AlterOwnerStmt",
  "CreatePublicationStmt", "opt_publication_for_tables",
  "publication_for_tables", "AlterPublicationStmt",
  "CreateSubscriptionStmt", "publication_name_list",
  "publication_name_item", "AlterSubscriptionStmt", "DropSubscriptionStmt",
  "RuleStmt", "RuleActionList", "RuleActionMulti", "RuleActionStmt",
  "RuleActionStmtOrEmpty", "event", "opt_instead", "NotifyStmt",
  "notify_payload", "ListenStmt", "UnlistenStmt", "TransactionStmt",
  "opt_transaction", "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "opt_transaction_chain", "ViewStmt",
  "opt_check_option", "LoadStmt", "CreatedbStmt", "createdb_opt_list",
  "createdb_opt_items", "createdb_opt_item", "createdb_opt_name",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt", "DropdbStmt",
  "AlterCollationStmt", "AlterSystemStmt", "CreateDomainStmt",
  "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "any_with", "CreateConversionStmt",
  "ClusterStmt", "cluster_index_specification", "VacuumStmt",
  "AnalyzeStmt", "vac_analyze_option_list", "analyze_keyword",
  "vac_analyze_option_elem", "vac_analyze_option_name",
  "vac_analyze_option_arg", "opt_analyze", "opt_verbose", "opt_full",
  "opt_freeze", "opt_name_list", "vacuum_relation", "vacuum_relation_list",
  "opt_vacuum_relation_list", "ExplainStmt", "ExplainableStmt",
  "explain_option_list", "explain_option_elem", "explain_option_name",
  "explain_option_arg", "PrepareStmt", "prep_type_clause",
  "PreparableStmt", "ExecuteStmt", "execute_param_clause",
  "DeallocateStmt", "InsertStmt", "InsertStmtShort", "insert_target",
  "insert_rest", "override_kind", "insert_column_list",
  "insert_column_item", "opt_on_conflict", "opt_conf_expr",
  "returning_clause", "DeleteStmt", "using_clause", "LockStmt", "opt_lock",
  "lock_type", "opt_nowait", "opt_nowait_or_skip", "UpdateStmt",
  "UpdateStmtShort", "set_clause_list", "set_clause", "set_target",
  "set_target_list", "DeclareCursorStmt", "cursor_name", "cursor_options",
  "opt_hold", "SelectStmt", "select_with_parens", "select_no_parens",
  "select_clause", "simple_select", "with_clause", "cte_list",
  "common_table_expr", "opt_materialized", "opt_with_clause",
  "into_clause", "OptTempTableName", "opt_table", "all_or_distinct",
  "distinct_clause", "opt_all_clause", "opt_sort_clause", "sort_clause",
  "sortby_list", "sortby", "select_limit", "opt_select_limit",
  "limit_clause", "offset_clause", "select_limit_value",
  "select_offset_value", "select_fetch_first_value", "I_or_F_const",
  "row_or_rows", "first_or_next", "group_clause", "group_by_list",
  "group_by_item", "empty_grouping_set", "rollup_clause", "cube_clause",
  "grouping_sets_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "func_alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "tablesample_clause", "opt_repeatable_clause",
  "func_table", "rowsfrom_item", "rowsfrom_list", "opt_col_def_list",
  "opt_ordinality", "where_clause", "where_or_current_clause",
  "OptTableFuncElementList", "TableFuncElementList", "TableFuncElement",
  "xmltable", "xmltable_column_list", "xmltable_column_el",
  "xmltable_column_option_list", "xmltable_column_option_el",
  "xml_namespace_list", "xml_namespace_el", "Typename", "opt_array_bounds",
  "SimpleTypename", "ConstTypename", "GenericType", "opt_type_modifiers",
  "Numeric", "opt_float", "Bit", "ConstBit", "BitWithLength",
  "BitWithoutLength", "Character", "ConstCharacter", "CharacterWithLength",
  "CharacterWithoutLength", "character", "opt_varying", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "a_expr", "b_expr", "c_expr", "func_application", "func_expr",
  "func_expr_windowless", "func_expr_common_subexpr", "xml_root_version",
  "opt_xml_root_standalone", "xml_attributes", "xml_attribute_list",
  "xml_attribute_el", "document_or_content", "xml_whitespace_option",
  "xmlexists_argument", "xml_passing_mech", "within_group_clause",
  "filter_clause", "window_clause", "window_definition_list",
  "window_definition", "over_clause", "window_specification",
  "opt_existing_window_name", "opt_partition_clause", "opt_frame_clause",
  "frame_extent", "frame_bound", "opt_window_exclusion_clause", "row",
  "explicit_row", "implicit_row", "sub_type", "all_Op", "MathOp",
  "qual_Op", "qual_all_Op", "subquery_Op", "expr_list", "func_arg_list",
  "func_arg_expr", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "overlay_list", "overlay_placing",
  "position_list", "substr_list", "substr_from", "substr_for", "trim_list",
  "in_expr", "case_expr", "when_clause_list", "when_clause",
  "case_default", "case_arg", "columnref", "indirection_el",
  "opt_slice_bound", "indirection", "opt_indirection", "opt_asymmetric",
  "opt_target_list", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "database_name", "access_method",
  "attr_name", "index_name", "file_name", "func_name", "AexprConst",
  "Iconst", "Sconst", "SignedIconst", "RoleId", "RoleSpec", "role_list",
  "ColId", "type_function_name", "NonReservedWord", "ColLabel",
  "unreserved_keyword", "col_name_keyword", "type_func_name_keyword",
  "reserved_keyword", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,    60,    62,    61,   719,    43,    45,
      42,    47,    37,    94,   720,    91,    93,    40,    41,    46,
      59,    44,    58
};
# endif

#define YYPACT_NINF -4710

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-4710)))

#define YYTABLE_NINF -2637

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2637)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
    5509,  1326, 13151, -4710, -4710,  1326, 61009, -4710, 68795,    29,
     202,  1112,   204, 17131, 69253, 77039,   548,  1035, 17829,  1326,
   77039,  2136, 52307, 66047,   915, 77039,  1429,   896, 52307, 77039,
    1815, 77497,  1195,  1331,   759, 77955, 69711, 64673,  1177, 77039,
    1495,  1008, 78413, 70169,  1492, 70627,   896, 48671,   149,  1523,
   78871, 77039,  2505,  1721,  1447, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,  1192,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
    1648, -4710,  1150,  2866,  1408,   384,  1543, -4710, -4710,  1937,
   61009, 77039, 77039, 77039,  1771, 77039,  1685, 77039,   771, 61009,
   56887, 71085,  1910,  1776, 45001, 79329, -4710, 61009, 77039, 55055,
   61009, 77039, 77039, 79787, 77039, 77039, 77039,  1615, 67421, 77039,
    1877, 77039, 77039, 55513, 80245,  2071,  1321,   258, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710,  1845,  1769, -4710,   262, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, 77039, 17945,  1429,
    1937, -4710,  2505, 77039,  2087, 77039,  1853, 80703,  1951, 77039,
   -4710, 77039,  1956, 81161,   819,  2107, 56887,  2122, 45460,  2037,
   77039, 77039, 56887, 81619, 82077, 82535, 77039, 77039, -4710, -4710,
    2022, 77039, 77039, -4710,  2139, 57345,  1777,  2147,  2301,  2211,
     781, -4710, 71543, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, 60093,  1035, -4710, -4710,  2177, 61467,  2246, -4710, -4710,
   82993, 99411,  2029, -4710,   831, 61925, 57803,  2366,  2041, 45919,
    2431, -4710, 62383, -4710, 58261, 62841, -4710, -4710, -4710, -4710,
   -4710, 83451, -4710, 83909,  2145,  2246, -4710, 99855, 58719, -4710,
    2292, 84367, 84825, 85283,  1937,  2052,  1794,  1132, 40846, -4710,
   -4710, -4710,    29, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
     808, -4710,   331,   285,   277,   206,   302, -4710, -4710,   219,
     223,   237,   331,  2530,  2530, -4710, 77039, -4710, -4710,   285,
      73,  2091,  2091,  2091,  2300,    22, -4710,  2091,  2230, -4710,
   -4710, -4710, -4710, 70627, -4710,  2098, 72001, 77039, 72459,  1429,
    2118,  2522,  2175, -4710, -4710, -4710, -4710, -4710,  2202,  2500,
    2500, 77039, -4710, -4710,  2555,  2182,  2442,  2186, -4710, -4710,
   -4710,  2394,  2403,  2411,   122,  1429,   280, -4710,  2534, -4710,
    2429, 27707, 27707,  1429, 72917, 85741,   234, 60093,  1429, 73375,
    2275,  1244,  2482, -4710, -4710, -4710,   117, -4710,  2656,  2298,
    2562,  2186,  1321, 42228, -4710,  2311,  1769, 70627, -4710, -4710,
   -4710, 59177,  2630, 29607, 77039,  2317, -4710,  2320,  2317,  2326,
    2327,  1408, -4710,  5509, 59177, 77039,  1379,  1379,  2760,  1379,
    1962,  2000, -4710,  2973, -4710,  2668,  2640, 70627,  2391,   318,
   -4710,  1669,  2416,  1644,  2443,  1706,  2894, -4710, -4710,   765,
   77039,   453,  2457, 73833,  6940,  2432,  1769,  2440, -4710, -4710,
   -4710,  2597,   996, -4710, -4710, -4710, -4710,  2739,  2792,  5733,
     326, 74291, -4710, -4710, -4710, -4710, 77039, 77039, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710,  2484,   145, -4710,
   -4710,  2499,  2838,  2723,  9846,   839,  2807,  2675,  1753, 11929,
    2732,  1613,  2860, 11346,  1548,  1714,  1413, 72001, 77039,  2846,
    2879,  7179,  1802,   864,  2768,  1093,  2807,  2883,  2724,  1753,
    2906,  6677, 77039, -4710,  2836,  2947,   118, -4710,   180, -4710,
   22567, 29607, 48213, -4710,  1769,  2642,  2800,    79,  2835, 61009,
    2607, -4710, -4710, 77039, -4710, -4710,100299,  2676, -4710,   876,
   61009, -4710,  2825,  2662, 46378, 77039, 61009, -4710, -4710, 61009,
   77039, -4710, -4710, -4710, -4710, -4710, -4710, -4710,  2758,  2950,
   77039,100299, -4710,  2895, 77039, 77039, -4710, -4710,  2631, -4710,
   -4710, -4710, -4710,  2091, 77039,  3045,100299,  2858,   153, 77039,
      23,  3078, 77039,  2864,    23,  2678, 86199, -4710, -4710,    23,
   -4710, -4710, -4710, 77039, 77039,  2646,  1941,  2855,  2969,    23,
    2875,  3087,  3091,  2881,  2729,  2882,  2320,  3056,  2857,   962,
    1028,   216,  1860,    23,  2707, 86657, 87115, 77039,  2710, 77039,
    2500, 61009, 61009, 61009, 77039,  2988, -4710,  2843, -4710, -4710,
     913, -4710, -4710, -4710, -4710, -4710,  3003, -4710,   187,  3004,
    2679,  3006, -4710, -4710, -4710,  2733, -4710,  2733,  2733,  2687,
    2687,  2867,  2690,  3020, -4710, -4710, -4710,  1401,  2733,  2687,
   -4710,101187, -4710,    -4,  1384, -4710,   211, -4710,  3134, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710,  2692, -4710,   889,
    2048, -4710, -4710,  2727, -4710,  3026,   252, -4710,  3027, -4710,
    2694, 87573, -4710, 88031, 88489,  3030,   316, -4710, 56887,  3031,
     252,  3035,  2694,  3036,   252,  3038,   263,  3041, -4710,  1018,
    3032,  3043,   211,  3046,  1927,  2694, 60551,  3047,   317, -4710,
    3048,   337, -4710,  3053,  2932, -4710, 29607, -4710,  2816, -4710,
    1523, -4710,  1333, -4710, 51391, -4710,  1132,  2996, 70627,   285,
   -4710, 77039,   285, 77039,   285, 77039,   285, 77039,   285, 77039,
   77039, 77039,   285, -4710, -4710, -4710, 77039,  2730, 77039, 77039,
   -4710, -4710, -4710, 66505, 56887, 66963, -4710, 77039, -4710,   408,
    1429, -4710, -4710, -4710,  1302, -4710,  2186, -4710,100299,  3169,
   56887,  2500, -4710,  1745, -4710, -4710, 77039, 77039, -4710, -4710,
   -4710,  2983, 77039,  3050,  3051, 66505, 56887, -4710, 88947, -4710,
   60093,  2942,  2737, -4710, -4710, -4710, -4710, -4710,  2072,  3210,
     229,  3212, 29607,  2742,   229,   229,  2744,  3062, -4710, -4710,
   -4710,   265,  2747,  2749, -4710,   210,   210, -4710,  2751,  2752,
   -4710,   247,  2755,  2756,  3229,  3230,   278,  2759,  2761,  2763,
    1401,   229, 29607, -4710,  2765,   210,  2766,  2769,  2770,  3232,
    2775, -4710,  3240,  2776,   195,   242,  2777,  2779, -4710,  2751,
   -4710,   282,  2782,  2783,  2784,  2791,  2793,  2794,  2797,  2798,
   29607, 29607, 29607, -4710, 26282,  1769,  1429, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710,   291,  6438, -4710,  2837, -4710,
   -4710,  2995, -4710, -4710, 29607, -4710, -4710,   702, -4710,   295,
   -4710, -4710, -4710,  1769,  3073,  2803, -4710, -4710,  1275,  2805,
   -4710,  2117, -4710, -4710, -4710, -4710, -4710, -4710, 59635,  3246,
   -4710,   333,  1429,   180,   355,  3194, 50475, 50933, -4710, -4710,
    3069, -4710, 77039, -4710, -4710,  1769,   175,  1780, -4710, -4710,
   51391, -4710, -4710,    29, 16616,  1792,  2317, 77039, 77039,  3258,
   -4710, -4710, -4710,  1804, -4710,  2817, -4710,  2320, -4710, -4710,
    1408,  1408, 29607,  1408,  1414,  1547, 28182, 30082,  3141,  3042,
    1251,   259,  3143, -4710,  3049,  1962,  2000, 70627, 77039, 89405,
   -4710, 29607, -4710,  3245,  2904,  2911,  2966, 49587, -4710,  2913,
    2885,  2920,  2977, 53223,  2845,  2924,  2929,  2984, -4710,  3104,
   -4710, -4710,  2933,  3002,  2935, 89863, -4710, -4710,  1111, -4710,
   -4710, -4710,  1111, -4710,  2869,  1210,  1119,  1215,  2939,   434,
     840,  3254, -4710,  1277, -4710, -4710,  2998, -4710,  6461, 77039,
    3193,  7814,  3076,   326,  3079,  3001, -4710, -4710,  3135,  2956,
   77039,  2958,  3098,   326,  1426, 90321, -4710, -4710, 77039, -4710,
   -4710, -4710, -4710,  8080, 25393, -4710,  1862,  2961,  2940,  2976,
   77039, 63757,  2130,  3075,  3093,  3099,  1377,  2138,   225,  3029,
   77039,   283,  3103, 77039,  2893,  2974,  2981,  3195,  2896,  1068,
    3303,  2909, -4710, -4710, -4710, -4710,  2080,  2242,  3106, -4710,
    3205,  3249,  5016,  2978,  2980, 98079, -4710,  3000,   806, 46837,
   77039, 77039,  3127,  3005,  3008, 90779,  8080,  3018,  3021,  3010,
    3011,    28,  3304,  1526,  3015, -4710, -4710, -4710,  1526,  3147,
    3019,  3023, 91237,  8080, 77039,  3024,  3025, 77039,101187,   326,
   -4710,  3365,   326,   326,  1572,  3366,  3028,   351,  3179,  1488,
      23,  2909,  3339, -4710,  3033,  3034,   349, -4710,  3152,  3037,
    3039,  3083,  1429, -4710, -4710,  3040,  3121,  3054,   810, -4710,
   -4710,  3044, 70627,  3150,  3157,   245,  1544,  2909, -4710,  3058,
    3065,  2896,  2896, 77039, 77039, 77039, 77039, 77039,   215,  3394,
    3405,  3066,   251,  3105,  2967, -4710,  1526, 55971,  3067, -4710,
    1526, 77039,  3070,  1758,  2909,  1696,  1475, -4710, -4710, -4710,
    1321, -4710, 29607, 29607, 29607,  2989, -4710,  1750, 16616,   644,
   -4710,   296, 11866,  2990, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   77039, -4710, 77039, -4710,  3261,100299,  3204,  3265, -4710,  3052,
   -4710,  3267,   326, -4710, 77039, 77039,  3268,  3209,  3270,  3271,
    3215,  1236,100299,  3216,  3278, -4710,  3279,  3281,  3097,   755,
    3100,  3057,  3472,  3363, 77039, 53223, -4710,  3488,  1111, -4710,
  100299,  3244,  3368, -4710, 77039,  3263,    70, -4710,  3403,  3101,
   -4710, -4710,  1003, 77039,   256,  3081, -4710, -4710,  3373, 56887,
    1294,  3379,  1429,  3095,  3387,  3266,  1429, 56887,  3306, 77039,
   77039, 77039, 77039, -4710, -4710,  3274,   887,   135, -4710, 55971,
    3286, -4710, 77039,  3289,  3339,  3290,  3511,    89,  2091, 91695,
    3389, 92153,  3072,  3080,  3080,  3517,100299,  3341, -4710,  2206,
   -4710,  3214, -4710, 61009, -4710, -4710, 61009, -4710, -4710,100299,
   77039, -4710,  3084, -4710, -4710, 29607, -4710, -4710, -4710,  2530,
   -4710,100299,  2733,  2733, -4710, -4710,  3528,  3168,  3171,  2530,
   -4710,  2530, -4710,100299, -4710,  3094,  3107,  2530,  3170,  3172,
    3178, -4710,  3115,  3183,  2530, -4710, -4710,  2250, -4710, -4710,
   61009, 61009, -4710, 56887, 56887,  3447,   317,  3448,  3174,  3450,
    3176, 46837, 46837, -4710,   359, 61009, -4710, 56887, 61009, -4710,
   77039, -4710, 77039, -4710, -4710, -4710, -4710,100299,100299, -4710,
   56887, 55971,  3452,  3453,   263, 77039, 77039, -4710, 77039, 77039,
   -4710, 77039, 77039,  1907, 92611,  1132, 59177, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, 77039,  3243, 77039, -4710, 77039,
   -4710, 77039, -4710, 77039, -4710, 77039, -4710, -4710, -4710, 77039,
   -4710, 77039,  1912, -4710, -4710,  1919,  1500, 77039, 77039,   801,
   61009, 77039,  3340, 61009, 61009, 77039, 77039, 77039, 77039, 77039,
    3208,  2805,  1431, -4710,   281,   871, 70627,  3352, -4710, -4710,
    1936,  2505,   678, 77039,  1360,  2202, -4710, -4710, -4710, -4710,
   66963, 66047,  3449,   140, 77039, -4710, -4710,  5286, 29607,  1769,
   27232, -4710, -4710, 16616,  3177, 29607, 29607,  3137,  2530,  2530,
   -4710,   952, 29607, 29607, 29607,  2530,  2530,  8169, 29607, 46837,
   29607, 34832, 23519, 29607, 29607, 26757, -4710, 29607,  3371, 36245,
   29607,   355,  3372, 29607,   355,  8169,  3608,  3608,  1550,  6357,
    3139,  1769, -4710,  2530,   250, -4710,   395,100299, 29607, 29607,
   29607, 29607, 53223,  3225,   366, 77039, 29607,  3148,  2127, -4710,
   29607, -4710,  3154, 29607,  3226,  1020, 29607, 29607, 29607, 29607,
   29607, 29607, 29607, 29607, 29607, -4710, 37625,   417,  3457,  3478,
      43,   576, 74749, 27707,  3474, 22567, -4710,   253,  3474, -4710,
   -4710, -4710, 77039,  3246, -4710, -4710,  3239, -4710, -4710, -4710,
   -4710, -4710,   299, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
    3160, -4710, -4710, -4710, -4710,  3160, -4710,  3164,  3463,  3467,
     263, 77039, 59177, -4710, -4710, -4710,  2165, -4710, 29607, -4710,
    1945,  1836, 77039, 77039, -4710,  3454, -4710,  3173, -4710, 12366,
    3454, -4710, -4710, 35301,  3300,  3451,  3391, -4710, -4710, -4710,
    3181, 16616, 30557, 30557, -4710,  1793, 16616,  1955, -4710, -4710,
   -4710, -4710, -4710, -4710,  1483, -4710, 77039,  1103,  3141,   259,
    3242, -4710,  3631, 77039, -4710,  1967, -4710, 56887, 77039, 77039,
    3392, -4710,  3614, -4710,101187, -4710,  3191, -4710,100743, 96733,
   -4710, -4710,   835, -4710,   967, 56887, -4710, 77039, 77039, -4710,
   53223, 56887, 77039, 77039, -4710, 56887, 77039, 77039, -4710, -4710,
   -4710, -4710, -4710, 51849,    91, 66047,  3327, 65131, -4710, -4710,
    3197, 77039,  3251,  3462,  3464,   651, -4710, -4710, 93069, -4710,
    3419, 56887, 77039, 77039, 29607,  3421, 77039, 77039, -4710,   298,
    3283,  3284, -4710, 77039,  3285,  3446, 61009,  3217, 77039, 77039,
  100299,  3292,   917, 61009,  3260, 47296, 61009, 61009, 77039, 77039,
   77039, 77039,  3349,  3529,100299, 77039,  3483,  1354, 70627,   407,
    2109,  2909,  3440, -4710,  3552,  1481, -4710, 56887, -4710, 77039,
    3432, -4710, -4710, -4710, 75207,  3659,  3343, -4710, -4710, -4710,
   93527, -4710, -4710, -4710,  1982, -4710, 56887, 56887, 77039,  8528,
   93985,  1273,  3468, -4710, -4710,100299, -4710, 77039, 75665, 77039,
   77039,  3558,  3484, 77039, 67879, 94443, 94901,   715,  1216,  3498,
   77039, 68337,  3500, -4710,  3384, 77039, -4710, -4710, 53681, 56887,
   77039,   232, 53223, -4710, -4710, 77039, -4710,   305, -4710, 77039,
    9138, -4710, -4710,  3328,  3338, 77039,  3456,   426,  2161,  2909,
   77039, 77039,  3248,  1984, 56887, 77039, 53223, -4710,  3459,   111,
    3582, 56887, 77039, 75207, -4710, 70627, 70627, 56887, 77039, 70627,
   -4710, 77039, 85741, -4710, 56887,  1083, -4710,  3583, 56887, 77039,
   75207, -4710,  3410, 56887, 77039, 11354, -4710, -4710, -4710,   326,
   -4710, -4710, -4710, -4710, -4710, 77039, 77039,   326, 77039, 77039,
     326,  1436, -4710, 56887, 77039, -4710, -4710, -4710, 56887, 77039,
   77039, -4710, 56887,  3081, 77039, 53223, -4710, 77039,  7970, 77039,
   77039, 77039, 77039, 77039, 77039, 56887, 77039, -4710, -4710,  1114,
    1300,  1435,  1538,   238, 77039,  3554, 77039, 95359, 56887, 77039,
   77039,  1429, 77039,   391, -4710, -4710,  3382, -4710, 56887,  1083,
   -4710,  9039, 77039, 77039,  3342,  3344,   220,  3425, -4710, -4710,
   -4710,   799,   799,  3479, -4710, 29607, 29607, 28657,  3277, -4710,
   -4710, 29607, -4710, -4710, -4710,   922,  3703, 95817,   922, -4710,
     922,  3530,  3322,  3335,   922, 77039,   922,   922, 77039, -4710,
   -4710, -4710, -4710,  3542, 77039,   922,   922,   922,  3460, -4710,
   -4710,  3460,   740, 29607,100299, 77039, -4710,  1989, -4710,  3293,
     887, -4710, -4710, 53223, 77039,   358,   151,  3615,  3496, 64215,
    2441,  3604, 77039,  3332, 77039,  3732,  3383, 70627,  2646, -4710,
    2441, 77039, -4710,  2180, 66047, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, 77039, -4710, -4710,  3609, 77039, 29607,  3465, -4710,
    1429,  2646,  2646,  2646,  2646, -4710, -4710, -4710, -4710,  3507,
    2003, -4710,  3295,  2646, 77039,  3423,  3627,  2441,  3301,  3633,
   -4710,  3339,  3635,  1144, 77039,  3518, 64215,  3362,  3345,  3533,
    3749,  2091,  1429,  3537,  3523, -4710, 50031, -4710,  2646, 25837,
    6594,  7222,  3524,  3579, 60093,  3617,  3618,  3639, -4710,   187,
   -4710,  3764, -4710, 29607,  1995,  3325,   211, -4710, -4710,  3337,
    3107,  3350,  3353,  3346,  3348, -4710,  2530,   218,  3351,   899,
     734,  3466,  2530,  3573,  3354, -4710,   252, -4710,  2694, -4710,
   77039, -4710, 77039, 77039, 77039, 77039,   316, -4710, -4710,   252,
    2694,   252,   263, -4710,  3606,   211,  2694,  3469,  3661, 60093,
   -4710,   317, -4710,   337, -4710,  3553,   263, -4710,  3574,  2091,
   -4710, -4710,  1441, 42688, -4710, -4710, -4710, -4710, -4710, -4710,
    2001, -4710, 77039, -4710,  3640,  3644,  3646,  3647,  3648,  3355,
    3356,  3395, 77039,  3357,  3355,   326,  3357,  3357,  3355,  2805,
    2805,  3355,  3356, 56429,  3817,  3671, -4710,  3444,  3367,  3683,
     226, -4710,   228,    78,  3607, -4710, -4710, -4710, -4710,100299,
   -4710, 56887,  3408,  2500,  2500, -4710,   294,  3584,  3370, 56429,
    3799,   263, -4710, 61009, -4710, -4710,100299,  3455,  3470, 61009,
    3592,  3424, 61009, -4710, -4710, 61009, -4710, -4710, -4710, -4710,
   -4710,100299, -4710,  3650, 77039, 77039,  2002, -4710, -4710,  1834,
   -4710,  1835, 29607,   442, -4710, 13176,  2007, 29607,  3381,  3385,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710,  3388,  3698, -4710,
    2015,  2062,  2063,  3393,  3396,  5772,  3397, 13960,  3398,  3390,
   34832, 34832, 26282,  2574, -4710, 34832,  3399,  3581,  2083,  7443,
    3400,  3401, 13835, 29132, 29607, 29132, 29132, 14996,  3400,  3402,
    2103, 53223,  3588, 15362,  2144, -4710, 29607, 53223,  5888, 29607,
   -4710, 29607,  3404, -4710, -4710,  3247,  3247,  3247,  8169, -4710,
    3409, -4710, 34832, 34832, -4710,  3593, 26282, -4710, -4710,  3710,
   -4710, -4710,  2236, -4710,  3406, -4710, -4710,  3778, 46837, 12072,
   29607,   370, 29607,  3148, 29607,  3486,  3247,  3247,  3247,   397,
     397,   323,   323,   323,   422,   576, -4710, -4710, -4710,  3411,
    3414,  3417,  3616,  3418, 29607, -4710,  2167,  2395, 77039,  2975,
    3872,  5524, -4710, -4710, -4710, 38546,  3473,   644,  3473, -4710,
    1321,  2530,   250, 51391, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, 77039, 16616, -4710, -4710,  3649,  3420, -4710, -4710, 29607,
   -4710, -4710,  1833,  3438,   643,  3632,  2316,  2316,  1793,  3634,
   -4710, -4710,  3482, -4710, 29607,  2004, -4710,  2065, -4710, -4710,
   -4710, -4710,  2805, -4710,  3654, -4710, -4710, -4710, 38546,  3475,
   77039, -4710, -4710, -4710, -4710, -4710, -4710, 96733,  2048, -4710,
  100743, -4710,100743, -4710,  2048,  3850, -4710, 96733,  1757, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, 56887, 56887,  3636, 77039,  3637,  3638, 29607,   951,
   77039,  3429,  3434,  1416,  3722, 77039, -4710,  3768,   263, -4710,
   -4710,  3521, -4710, 16616, -4710, -4710, -4710, -4710, -4710, 56887,
   77039, -4710, 60093, -4710, 77039, -4710,100299, -4710, -4710, -4710,
   77039,  3471, 77039, -4710, 77039, 77039, 77039, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710,  1349,100299, -4710, -4710, 77039, 77039,
     723,  3522,  3526, 77039, -4710,  1155,  3152,  9655, 77039, 77039,
   77039,  3717, 77039, -4710, -4710, -4710, -4710,  3662, -4710, -4710,
   96733, -4710,  2694,  1299,  3534,  2909,  3672, -4710,  3781,  3655,
   -4710,  3576,  1094, -4710, -4710, 77039,  3585, -4710, -4710, -4710,
   -4710,  3785,   263,  3789,   263, 77039, 77039, 77039, 77039,  3589,
   -4710, -4710, -4710, -4710,  3590,  3714, -4710, 53223, 53223, 53223,
    2146, -4710, -4710,  1429, -4710, -4710, -4710, -4710, -4710, -4710,
    3751, -4710,  2148, -4710,    -5, -4710, -4710, -4710, -4710, -4710,
   56887, 77039,  9911,  3792, 77039, 77039, 77039,  1774, -4710,   875,
  100299, -4710, 98523, -4710, -4710,  2154, -4710,  3477, 77039,  3547,
   56887,  3525, 77039, -4710, -4710, -4710,  3480,  3480, -4710, -4710,
    3480, -4710, -4710, -4710,  3723,  3656, -4710,   975,  3663, 56887,
    3532, -4710, 77039, -4710, -4710, -4710,  3564, -4710, -4710,  3566,
    2260,  2909,  3339, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,  1444, -4710,
   -4710,  1358,   343,  2279,  2909, -4710,  1650, -4710,  3569, -4710,
    3570, -4710, -4710, -4710,  3721,  3734,  3736,  3575,  3577,  3630,
    3578,  3586,  3641, -4710,  3591,  3642,  3594,  3643,  3708,  3595,
     263,100299,  3725,  1429,  3624,  3806,   263, -4710,  3597, -4710,
    3598, -4710,  3946, -4710, 77039, -4710,  3599,  2427,  2909, -4710,
   -4710, 56887, 77039, -4710, -4710, -4710, 29607,  3512,  3513,  3520,
   16616, 16616, 29607, -4710, -4710, 16616,  3531, -4710, -4710, -4710,
  100299, 77039,  3790, -4710, -4710,   922, 77039, 77039, -4710,  3795,
   -4710, -4710,  3796, 77039,  3797, -4710, -4710, -4710, -4710,   260,
     260, -4710, -4710,  3826,  7117,  3536,   382, -4710, 53223, 44071,
    2054,  1480,   452,    23, -4710, 60093, 77039, 60093, -4710,   151,
    3655, 77039, 77039, 77039,  3539,  3538, -4710, -4710, -4710, -4710,
   56887,   811, 56887,  2530, -4710, -4710,  3601, -4710, 77039,  2091,
    4007,  3853, -4710,  3480, -4710,  3972,  3091,  1294,  3692,  1805,
    2729,  3917,  2320,   390, 53223,  3345, -4710, -4710, -4710, -4710,
   77039, 77039,   887,  1429, -4710,  3545,  3543, -4710, 77039,  3868,
   77039, 77039, 77039, 77039,  3408,  3555, 77039,  3551,100299, 77039,
    2381,  2896,  3998,  3888,  2505,  3362,  3657,  3890, 70627,  3571,
    2159, -4710, -4710, -4710,  2181,   272, -4710,  1429, 60093, 97635,
    3880, -4710,  7222, -4710, -4710,  7222,  1131, 77039,  3864, -4710,
   -4710,  2505, -4710,100299,  2192, -4710, -4710, -4710,  2530, -4710,
   -4710,  1186,  1186,  3580, -4710,  3596, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710,  3562, -4710, -4710, -4710,   317,  3621,   263,
    3626,   263, -4710, -4710, -4710, -4710, 77039, -4710, 77039, 55971,
     263, -4710, -4710, 77039, -4710,  3899,  3651,   686, 41767,  3784,
   -4710, 77039,   406, -4710,  3605, -4710, -4710, -4710,  3715,  3729,
    3735,  3738,  3740, 77039,  3355, -4710,  3610, 56887,  1531, -4710,
   -4710,  3786, -4710, -4710, 70627,  3713, -4710, -4710, -4710, -4710,
    3942,  3948, -4710, -4710, -4710,   999, -4710, 77039, 77039, 56887,
   66505,   368, 56887, -4710,  3881,  3886, -4710, -4710,  3887,   326,
   -4710,  3889,  3895,  3896, -4710,  3901,  3904, -4710, -4710, -4710,
    3645, 15747, 29607, -4710,  3977,100299, -4710,  7170, -4710, -4710,
   -4710, 29607, -4710, -4710, -4710, -4710, -4710, 29607, -4710, 29607,
    3953, -4710, 23995,  4106,  4106,  3652,100299, 34832, 34832, 34832,
   34832,  1662,  2766, 34832, 34832, 34832, 34832, 34832, 34832, 34832,
   34832, 34832, 35776,   593, -4710,  3837, 29607, 29607,  3963,  3953,
   -4710,100299,  3653,  3400,  3658,  3664, 29607, -4710, -4710,  2203,
   36705,  3665, 53223, -4710, 29607, 12636,  2208,  3690, 16482,  1769,
    7662,  1429, 29607,  2628,  2912, 29607,  2210, 29607,  3961, -4710,
   -4710, -4710,  3660, -4710, -4710,100299, 29607,  3667,  4253, 34832,
   34832,  4559, -4710,  4636, 29607, 26282, -4710,  3479,  3691, 43148,
   -4710, 24471,  3668,   896,   896,   896,   896, -4710, 77039, 77039,
   77039, 39006,  3964,  3675, 38085, 76123,  3674,  2743, -4710, 76123,
   76581, 76123, -4710,  3669, -4710,  1769, 29607,  3958,  3670,  3958,
     180,  3678, -4710, -4710, -4710, -4710,  2505, -4710,  3676, -4710,
    3438,  1365, -4710, -4710, -4710,  3865, -4710, -4710, -4710, -4710,
    3674, 31032,  3803, -4710,  2212,  1788, -4710, -4710, 96733, -4710,
    3731,  2694,  2694,  1343,  3355,  4000,  1343,  7850, -4710, -4710,
   39466, 77039, 77039, -4710, 77039,  2233,  1497, 77039, -4710, 77039,
   -4710, -4710, -4710, -4710,  4124, -4710, 77039, -4710, -4710,  3739,
    3741, 77039, 77039, 77039, 77039,  3950, -4710, -4710,  2443, -4710,
   -4710, 56887, 77039, -4710, -4710, -4710,   436,  2643,  2909, -4710,
    3763, -4710, -4710, -4710,  3967, -4710,  4110,  3780, 77039,  4026,
   77039,  3696, -4710,  1497,  3801,  4009,  1303,  2896,   351,  3916,
   -4710,  1708, -4710, -4710,  3769, -4710, -4710, 77039, -4710, 77039,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710,  3829, -4710, -4710,
   -4710, -4710, 53681, -4710, -4710, 77039, -4710, 53223, 44071, 53223,
   -4710,  1409,   449,  2728,  2909, 77039, -4710,  3782, -4710,  3783,
    3794,  3835,  1295,  1296,  3798,  3800,  3838,  3705,  3712,  3716,
   -4710, 53223, 44542,  3869, 77039,  2694,  3718,  3757, -4710,   331,
    1429, -4710, -4710,  1429,  2694,  1429, -4710, 77039, 77039, 77039,
   53223, -4710,  4146,  3812, 77039, 77039, 77039, 77039, -4710,  3775,
   -4710, 77039, 77039,  4048,  1113,  1980, 56887, 77039, 77039, 56887,
   77039, 77039, 77039, 77039, 77039, 77039,  4059, 77039, -4710,  4136,
    4063,  1887,  4105,  3804, 77039, -4710, 77039,  1429,  3152, 77039,
   77039, -4710, -4710, -4710, -4710, -4710,  3479, -4710,  3733,  4004,
     922, -4710,  4006,  4008,   922,   922,  4011,   922, -4710, -4710,
      23, -4710,   224, 77039, -4710,  2400, 77039, -4710, -4710, -4710,
    3676,  2080,  2242, -4710, -4710, -4710, -4710, -4710, -4710, 77039,
    3744, 77039, 77039, 34832, -4710,  1718,  1419,   284, -4710,  4003,
   77039,  3081, -4710, -4710, -4710,   227, 77039, -4710, -4710, -4710,
   -4710, -4710,   100,  3555, -4710,  4024, 64215,  2694, 56887, 56887,
    2694, -4710,100299,  3745,  3345, -4710,   454,  3827, 56887,  1294,
    1100, 96275,  3095,  3787,  3955, 38546,  1444, -4710,  3746,  3907,
   -4710,  3750,  3748, -4710, -4710, 77039,  3655, 55971,  2237,  3339,
    4195,   115,  2052, -4710, 65589,  3945,  3555,  4024, -4710,  2896,
    3968,  3969, -4710,  2505, 77039,  3408,  3345,  1429, 77039,  3251,
   44071, -4710,  4237, -4710, 96733, 29607, 29607, -4710,  3762, -4710,
    3776,  7222, -4710,  3844,  3773, -4710, -4710, -4710, -4710, -4710,
    3857,  3779, 77039, -4710,  3788, -4710,  3793, -4710, -4710, -4710,
   -4710, -4710, -4710, 77039, -4710, 77039, -4710,   263, -4710,  3903,
   -4710,   263, 77039, -4710, -4710, -4710,  3833,  2239, -4710, -4710,
    4178,  3803, -4710,  2244, 42688,  3475, 29607,  1769, 77039, 77039,
   77039, 77039, 77039,  3355,   326, -4710,  4093, 56429, -4710, -4710,
    2245, 77039, -4710, -4710, -4710,  4158, -4710, -4710,   140,  4102,
   -4710, -4710,  1007,  1007,  1007,  4062,  1007,  1007,  1007,  1007,
    1007, -4710, 29607, 16616, -4710,  3802, -4710, 16616,  8210, 16616,
    3963, -4710,  2253, 29607, -4710,  2689,  2689,  2689,  2585,  4111,
   -4710,  1592,  3805,  2689,  2689,  2689,   412,   412,   306,   306,
     306,  4106,   593, 16616, 16616, -4710, -4710,  3808, -4710, -4710,
   -4710,  3400, -4710, 31507,  1071,  4220, 36245, -4710, -4710, -4710,
    3839,  3840,  3810, -4710, 29607, 31982,  3813,101187,  3994, -4710,
    1701, 29607, 29607,  1182, -4710,  8904, 29607,100299,  2261,  1182,
     425, 29607,  3180,  3280, 29607, 29607,  5138,  8758,  3818, 29607,
   97177, -4710, -4710, -4710,  2262, 29607, 77039, 77039, 77039, 77039,
   -4710, -4710, -4710, 76123, 76581, 76123,  3807, 37165, 24932,  2743,
    3819, 77039, -4710, -4710,  3814, 38546,  4064,  4016, -4710, 38546,
    4016,  1645,  4016,  4071,  3910, 43608, -4710, -4710,  3822, -4710,
    4025, -4710,  1862, 16616,  4249,  4128,  1429,  4128,  1429,  3830,
   46837, -4710, -4710, -4710, -4710,  4043, 16616, 27707, -4710, -4710,
    3902,  2266, -4710, -4710, -4710, -4710, -4710, -4710, -4710,  3915,
   66047,  4151, -4710, 29607,  2267, -4710,  3876,  4246,   381,  2272,
    2274,  1497, -4710,  4133, -4710,  1439,  4129,   200, -4710,   263,
   -4710,100299, -4710, 77039, 77039, -4710, -4710, -4710, -4710, 77039,
    2845, -4710, -4710, 77039, 77039, 77039, 77039, -4710, 56887, 77039,
   -4710, 77039, -4710, 53223,  1480,   331,  1718,  4142,  4065, -4710,
     326, -4710,  1718,  4067,   331, 77039, -4710, -4710,  2629, -4710,
  100299,   263,   263, -4710, -4710, -4710, -4710, -4710,  3861,  4275,
    3940, 77039, 77039, 77039, -4710, 77039, 56887, 77039, 77039,  2530,
    2530,100299,  3849, -4710,  2530,  2530,  3852, -4710, 56887, 77039,
   77039, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710,  3933, -4710, 29607,  4268, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, 56887, 77039,  3941, -4710,  3943,
   -4710,   160, -4710, -4710, 77039, 77039, 77039, 77039,  4194, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710, 77039,
   -4710, 77039, -4710, -4710,  1429,  1429,100299,   263,   263, -4710,
   -4710, -4710, -4710,  3866,  4134,   922, -4710,   922,   922, -4710,
   -4710,   922, -4710,  3871, -4710,    23,  4223, -4710,  1497,  1724,
    4180, -4710,  4183, 29607, -4710,  1381,  2585, -4710,  4243,  4314,
   -4710, -4710, -4710, -4710,  3081,  2091,  3935, -4710, -4710, 61009,
     379, -4710,  4170,   358,  4096, 64215,  1650,  1697,  3884,  4010,
   -4710,  2694,  2694,  3944, 77039,  4328, -4710, -4710, -4710, -4710,
   -4710, -4710, 56887,  3525, -4710,  4112,   813,  4207, 77039, 29607,
    3674, -4710,  1924,  4211, -4710,  1429, -4710, -4710,  4017,  3345,
   -4710,  1609, 77039,  4108, 64215,  3408,  2281, -4710, -4710, -4710,
    3930,  4320,  3362, -4710,  1650,  3945, -4710, -4710,  4297,  3987,
    3937,  4343, -4710,  3987,  4216,  4113,  3908, -4710,  3571, -4710,
   -4710, 16616, 16616,  1429,101631,  7222,100299,  4222, 77039,   842,
    4188,   263, -4710,   263,   263, -4710, 77039, -4710,  2505,  1938,
   77039,  1769,    72, -4710,  3920, 77039, -4710,  3803, 16616,  3355,
    3355,  3355,  3355,  3355, -4710,  4115, -4710, -4710,  4181, -4710,
     263, 56429, -4710, -4710, -4710, -4710, -4710,  1007, -4710, -4710,
   -4710, -4710, -4710, 16616, -4710, -4710, -4710, -4710,  9312, 34832,
    4226, -4710,  3913,100299, -4710,  3914,  2289,  2308, -4710, -4710,
    1071, -4710,  4220, -4710, -4710, -4710,  9641,  3971, 16616,  4029,
    3922,  3923,  1182,  1182,  8904,  2321, -4710,  1182, 29607, 29607,
    1182,  1182, 29607, -4710, -4710,  9686,  4116, -4710, -4710,  9814,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710, 54139,  3918,  3588,
   76123,  3925, 77039,  2743, 38546, -4710, -4710,  2560, -4710, 38546,
    4182, -4710, 38546, 61009, -4710, 77039,  3927, 77039, -4710, 32457,
   29607,  3970, -4710,  3970, -4710, -4710,  3928, 77039,  2803, -4710,
   -4710, 56429,  4138, 56429,  1497, 10036,  4133, 39466, 47755, 77039,
   77039, 77039,  4090,  4133,  3934,  3081, -4710, -4710, -4710, -4710,
   -4710, -4710,  3932, -4710, -4710, -4710, -4710,  4014, -4710, -4710,
      33,  3352, -4710,  2331, -4710, -4710,  4378,  4269, -4710, -4710,
   -4710, -4710, -4710, -4710,  4136, -4710, -4710, 44071, 56887, 77039,
   -4710,  4018, -4710, -4710, -4710, -4710, -4710, 41307, 46837, -4710,
    1295,  3947,  3949,  1296, -4710, -4710, -4710, 77039, 10113,  3951,
    1026,  3352, 77039, 77039,  3952,  3956,  3959,    15,  1450,  1705,
    3355,  4256, -4710, -4710, -4710, -4710,  4136, -4710, -4710, -4710,
     922, -4710, -4710, -4710, -4710, 53223, -4710,  2453,  3871,  1429,
   61009,  4382,  4382, 77039, -4710, 10339,  4159, -4710, -4710,   400,
    3935,  4186,  4228, -4710,  3960, 77039,   227,  3962, 77039,  3965,
    4069,  1778,  1778, 77039, 77039, 77039,  2333,  2505,  2694,  3757,
    1294,  4281, 64215,  4325,  3655,   427, -4710, -4710,  1924, -4710,
    1511,  4309,  4012, -4710, 77039,  4407, 77039,  3408,  3555, 77039,
    3974, -4710, -4710, 65589,  4172,  1480,102075,  2381,  3945,  3362,
     911, 77039, -4710,  1283, -4710,  2505, -4710, 77039, 70627, 39466,
   -4710,100743, -4710,  2337, -4710, -4710,  4038,  3473,  4079,  4085,
    3976, 77039,   713, -4710, -4710, -4710, -4710, -4710,   686, -4710,
   -4710,  4371, 39466,  4330, 29607, -4710, -4710, -4710, 77039, -4710,
     368, -4710, -4710,  3336, 34832,100299,  2339, 29607, -4710, 29607,
   -4710, -4710, -4710, -4710,    97, -4710, -4710, -4710,  1182,  1182,
    1182, -4710,  4405,  3479, -4710, -4710,  2352,  4424, 33882,  4385,
   -4710, 77039,  2358, -4710, 29607,  3984, -4710, -4710, 38546,  2560,
    3985,  2360, 77039,  2368,100299,  3986,    49,  3990, 23043,  3983,
   -4710, -4710, -4710, -4710, -4710, 16616, 16616, 77039, -4710, -4710,
   -4710, -4710,  1531,  1343,   368,  4246,  3081, -4710,  3991, -4710,
   -4710, -4710,  1407,  1407, 77039,  3081, 77039,  3935, -4710, 77039,
    4080, -4710, -4710, 53223,  4290, -4710,  4050, -4710,  1027,  3352,
   77039,100299, -4710,   174,  4316, -4710,100299,100299, -4710, -4710,
   -4710, 29607,  4083, -4710, -4710, -4710, 29607, 29607, 63299, -4710,
   -4710, 77039, 77039, 77039, 77039, 77039,   263, -4710,  2373, -4710,
   40386, -4710, -4710,  3078,  1429,  3078,   185, -4710, -4710,  3078,
    3078, -4710,  3473, -4710,  4382,   361, -4710, -4710, -4710,  2084,
    4227,  4001, 29607, -4710,   932,  4212,  4091,  4013, -4710, 61009,
    4477,  3555,  4024, 77039, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710,  2379,  3655,  4332,  3345,  3937,
   -4710, 77039,  4041, -4710, 38546, -4710, -4710, -4710,  3078, -4710,
    1569,  4015,  4341,  3655,  2505,  2052, -4710,  3945,  3555,  4024,
   -4710, -4710, -4710,  4019, -4710,  3969,  3362,  2381,  4147, -4710,
    4152, -4710,  4421,  4225,  4428,  3408, -4710,  3251,  2384, -4710,
   -4710,  7222,101631,100299,  4368,  4058,  4070, -4710, -4710,  4077,
   77039, -4710, -4710,  4088, 77039,  2385,   121, 16616,  3655, -4710,
    3336,  2407, -4710,  2408,  2409,  4089, -4710, 29607,  1224,  3669,
   54139,  4034, -4710, 34832,  2422, -4710,  4035, 77039,  2424, -4710,
   16616, 77039, -4710, -4710, 29607, -4710,  2437, -4710, 29607,  4040,
   29607, -4710, 32457,  4039, -4710,  4484, -4710,  4358, -4710, 77039,
    3935, 46837,  3438,  3438,  2091,  3935,  2438, -4710, -4710, 77039,
   -4710,  4001, 29607, -4710,  4137, -4710, -4710,  2456,  1239,  4208,
    4208,  2461,  2468, 10422, 77039,  2469,  2470, -4710,  2475,  2530,
    3356,  1705,  3356, -4710,  3355, -4710, -4710, 53223, -4710, 54597,
   -4710, -4710, -4710,  1429, -4710,  1429,  4263, 77039, 49129,  1429,
    1429, -4710, -4710, -4710, -4710,  4393,  4334, -4710,  3339, -4710,
   10440, -4710, -4710, -4710,   443, -4710,  4259,  4260, 77039, -4710,
    4053, -4710,  2485,  1650,  4179,  3655, -4710, -4710, 77039,  4497,
    4500, -4710,   820, 77039,  3674, 77039, -4710, -4710, -4710, 29607,
     227, -4710,  3937,  3408,  3362,  1650,  3945,  1480, 39926,  3987,
    2381,  3969, -4710, -4710,  4264, -4710,  4265, -4710,  4068,  4351,
   39466,  7222, -4710, -4710,   945,  4375,  4376, -4710, -4710,  2505,
   -4710,  3473, -4710,  4185, -4710, -4710, -4710, -4710, -4710,  3400,
   32932, 32932, 32932,  4066, -4710, -4710, 77039,  2585,  4074, 33882,
   53223,  2489, -4710, 98967, -4710,  2491,  2493, -4710,  2498, 32457,
    2515, -4710, 77039,  4073, 56429,  1407,  4122,  4082, -4710, -4710,
    4186, -4710, -4710,  1497,  3352, -4710, 16616, 77039, 61009,  4495,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710,  3352,  4154, -4710,
   -4710, 63299, -4710, 77039, -4710, -4710,  2540, -4710, -4710, -4710,
   77039,  3746, -4710,  3746, -4710, -4710,  4221, -4710,  2417,  4187,
     276,   276,  4445, -4710,  4150, -4710, -4710,  4087, -4710,  4561,
    4224, 77039, -4710, -4710,  1295,  2505, 64215,  3655, -4710, -4710,
   10970, 61009, -4710, -4710,  2381,  3945,  3362, 29607,  2542, -4710,
    4246,   381, -4710,  3969,  3987, -4710, -4710, 39466,  4099,  3345,
   -4710, -4710, -4710,  1933, 61009, 61009, -4710, -4710, 42688, 34357,
    4239,  1152, 13687,  4435, -4710,  4435,  4435, -4710,  2549, 36245,
   -4710, -4710, -4710, 77039,  4304,  1089, -4710,  4257, -4710,  2589,
   -4710, -4710, -4710,   368,  3438,  4104, -4710, -4710,  4212,  1497,
   -4710,  3352, -4710, 77039, -4710,  4107, -4710, -4710, -4710, 54597,
    3746,  4012, -4710, -4710, -4710,  4564, -4710,   289, -4710, -4710,
   -4710, -4710, 77039,  3655,  3849,  3937, -4710, -4710,  4109,  3969,
    3362,  2381, 11090, -4710, 39926, 77039, 77039,  3987, -4710,  2595,
   39466,  3987, -4710,  2863, -4710, -4710, -4710, -4710, -4710, -4710,
   -4710,  4119,  4120,    10,  4556, -4710, -4710, -4710, -4710, -4710,
     897, -4710, -4710, -4710, -4710,  3588, -4710, -4710, 34832, 34832,
    4333, -4710,  1089, -4710,  4114, -4710, -4710, -4710, -4710, 29607,
    1497, -4710, -4710, -4710, 29607, -4710,  4444, -4710, -4710, -4710,
    3655, -4710, -4710, 52765,  3987,  2381,  3969,  4246, -4710, -4710,
   -4710, -4710,  4351, -4710,  2600,  3473,  2398, -4710, -4710,  2430,
    2327,  4196,  4430, -4710, 33407,  4262, -4710,  4319, -4710,  4522,
    2585,  2585, -4710, -4710, 29607, 11272,  1497,  2602,   227, -4710,
   -4710,  2608, -4710, -4710, -4710, -4710, -4710,  3969,  3987, 77039,
    3345, -4710, 39466, -4710, -4710,  2863,  4235,  4236, -4710, -4710,
   -4710, 77039, 11564, -4710, -4710, 61009, -4710, 52765,  3987, -4710,
   -4710,  3987, -4710, -4710,  4165,  4167,  2625, -4710,  4131, -4710,
   -4710,  3473,  4446,  4447, -4710, 52765, -4710, 61009, 61009,  2626,
   -4710, -4710, -4710
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    1670,  1439,   622,  1520,  1519,  1439,     0,   258,     0,  1530,
       0,  1439,   415,  1116,     0,     0,     0,     0,   622,  1439,
       0,  1670,     0,     0,     0,     0,     0,  1683,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1439,     0,
       0,  1690,     0,     0,     0,     0,  1683,     0,  1532,     0,
       0,     0,     0,     0,     2,     4,    37,    72,    73,    31,
      30,    91,    55,    18,    63,   125,   124,   126,    42,    38,
      80,    26,    28,    39,    43,    65,    67,    45,    56,   103,
      64,    24,    62,    86,    68,    89,    50,    12,    13,    51,
      14,    52,    15,    53,    16,    99,    74,    92,    35,    61,
      23,    44,    70,    71,     5,    46,    78,    11,    57,    58,
      60,    83,    84,    85,   108,    87,   120,    41,   117,    96,
      97,   114,    98,   115,     9,   100,    54,    17,   111,   110,
     112,    81,    47,    82,    69,    90,   109,    27,   113,    19,
      20,    22,    21,    59,    29,    66,    32,    88,   116,   106,
     102,   121,   119,   127,   104,    75,     7,     8,    93,     6,
      25,    49,    10,    34,    33,    48,    40,   123,    36,  1530,
      95,   107,    94,    76,   101,    79,   105,   122,    77,   118,
    1640,  1639,  1692,  1643,  1669,     0,  1655,  1438,  1437,  1452,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   621,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1449,  2274,  2289,  2290,
    2291,  2292,  2293,  2294,  2295,  2296,  2297,  2298,  2299,  2300,
    2301,  2302,  2303,  2304,  2631,  2305,  2306,  2307,  2581,  2582,
    2632,  2583,  2584,  2308,  2309,  2310,  2311,  2312,  2313,  2314,
    2315,  2585,  2586,  2316,  2317,  2318,  2319,  2320,  2587,  2633,
    2321,  2322,  2323,  2324,  2325,  2634,  2326,  2327,  2328,  2329,
    2330,  2331,  2332,  2333,  2334,  2635,  2335,  2336,  2337,  2636,
    2338,  2339,  2340,  2341,  2342,  2343,  2588,  2589,  2344,  2345,
    2346,  2347,  2348,  2349,  2350,  2351,  2352,  2353,  2354,  2355,
    2356,  2357,  2358,  2359,  2360,  2361,  2362,  2363,  2364,  2365,
    2366,  2367,  2368,  2369,  2370,  2590,  2371,  2372,  2373,  2591,
    2374,  2375,  2376,  2592,  2377,  2378,  2379,  2637,  2638,  2380,
    2381,  2382,  2383,  2384,  2593,  2594,  2385,  2386,  2387,  2388,
    2389,  2390,  2391,  2639,  2392,  2393,  2394,  2395,  2396,  2397,
    2398,  2399,  2400,  2401,  2402,  2403,  2640,  2595,  2404,  2405,
    2406,  2407,  2596,  2597,  2598,  2408,  2641,  2642,  2409,  2643,
    2410,  2411,  2412,  2413,  2414,  2415,  2599,  2644,  2416,  2645,
    2417,  2418,  2419,  2420,  2421,  2422,  2423,  2424,  2425,  2426,
    2427,  2428,  2429,  2430,  2431,  2432,  2433,  2434,  2435,  2600,
    2646,  2601,  2436,  2437,  2438,  2602,  2439,  2440,  2647,  2441,
    2603,  2442,  2604,  2443,  2444,  2445,  2446,  2447,  2448,  2449,
    2450,  2451,  2452,  2605,  2648,  2453,  2649,  2606,  2454,  2455,
    2456,  2457,  2458,  2459,  2460,  2461,  2462,  2463,  2464,  2607,
    2465,  2608,  2468,  2466,  2467,  2469,  2470,  2471,  2472,  2473,
    2474,  2475,  2476,  2477,  2478,  2609,  2479,  2480,  2481,  2482,
    2483,  2484,  2485,  2486,  2487,  2488,  2489,  2490,  2491,  2492,
    2493,  2494,  2495,  2496,  2650,  2497,  2498,  2499,  2500,  2501,
    2610,  2502,  2503,  2504,  2505,  2506,  2507,  2508,  2509,  2510,
    2511,  2512,  2513,  2514,  2515,  2516,  2517,  2611,  2518,  2519,
    2651,  2520,  2521,  2612,  2522,  2523,  2524,  2525,  2526,  2527,
    2528,  2529,  2530,  2531,  2532,  2533,  2534,  2535,  2613,  2536,
    2537,  2538,  2539,  2652,  2540,  2541,  2542,  2543,  2544,  2545,
    2614,  2615,  2546,  2547,  2616,  2548,  2617,  2549,  2550,  2551,
    2552,  2553,  2554,  2555,  2556,  2557,  2558,  2559,  2560,  2561,
    2562,  2563,  2564,  2565,  2618,  2619,  2566,  2653,  2567,  2568,
    2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,  2577,  2620,
    2621,  2622,  2623,  2624,  2625,  2626,  2627,  2628,  2629,  2630,
    2578,  2579,  2580,   129,     0,     0,  2248,  2275,  2276,  2279,
    2274,   387,   386,  1630,  2242,  2275,  1529,  1509,   622,     0,
    1452,   414,  1670,     0,     0,     0,     0,     0,     0,     0,
     855,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   177,     0,     0,     0,     0,   438,   437,
       0,     0,     0,  1084,   443,     0,     0,     0,     0,     0,
     610,  1577,  2466,  1575,  1631,   259,   262,   263,   260,   261,
    2264,     0,  1218,  1219,  1221,     0,     0,  1231,   895,   896,
       0,     0,     0,   904,     0,     0,     0,   893,     0,     0,
       0,   909,     0,   906,     0,     0,   910,   907,   890,   908,
     897,     0,   889,     0,     0,  1231,   911,     0,     0,   891,
       0,     0,     0,     0,  1452,  1574,   444,  1670,     0,  1551,
    1552,  1553,  1530,  1542,  1554,  1547,  1549,  1548,  1550,  1546,
       0,  2263,  2290,  1019,  1019,  1019,  1019,  1016,  1017,  1019,
    1019,  1019,  2486,     0,     0,   998,     0,  1000,  2265,  1019,
    1024,   507,   507,   507,     0,  1023,  1028,   507,     0,  1420,
    1461,  2247,  1682,     0,   999,  1419,     0,     0,     0,  2546,
    1565,     0,     0,  1246,  1242,  1244,  1245,  1243,     0,  1087,
    1087,  2504,  1431,   241,  2515,  2614,  2546,   240,   234,   236,
     208,  2294,     0,     0,  1023,     0,  1452,  1429,   981,  1689,
    1687,     0,  2229,  2314,  2329,  2419,   231,  2497,  2505,  2515,
    2614,  2546,  2577,   187,   197,   192,     0,   252,  2515,  2614,
    2546,   248,  1449,     0,  1656,  1791,  2238,     0,  1422,  1421,
    1531,     0,  1534,     0,  2481,  1660,  1663,  1536,  1661,  1652,
       0,     0,     1,  1670,     0,  1541,  1686,  1686,     0,  1686,
       0,  1644,  1652,  1647,  1651,     0,     0,     0,     0,     0,
    1423,     0,     0,     0,   914,     0,  1464,  2243,  1069,     0,
       0,     0,     0,     0,     0,     0,  1125,  1124,  2280,  2270,
    2271,     0,  2268,  2269,  2281,  2282,  2283,     0,  2391,     0,
       0,     0,  2140,  2151,  2152,  2153,  2318,  2374,  2148,  2149,
    2150,  2142,  2143,  2144,  2145,  2146,  2147,     0,     0,  1213,
    2141,     0,  2391,     0,     0,     0,   156,     0,   133,     0,
       0,     0,  2391,     0,     0,     0,     0,     0,     0,     0,
    2391,     0,     0,     0,     0,     0,   156,  2424,     0,   133,
    2391,     0,     0,  1443,     0,     0,     0,  1445,  1448,  1424,
       0,  2221,     0,  2222,  2249,  1512,     0,  2238,     0,     0,
       0,   950,   943,     0,   951,   958,     0,     0,   960,     0,
       0,   944,     0,     0,     0,     0,     0,   963,   964,     0,
       0,   965,   945,   966,   946,   967,   947,   968,     0,     0,
       0,     0,   948,     0,     0,     0,  1435,  1426,     0,  1567,
    1569,  1568,  1566,   507,     0,     0,     0,  2391,     0,     0,
     133,  1497,     0,  2391,   133,     0,     0,   442,   441,   133,
    2268,   440,   439,  2318,  2374,     0,  1115,     0,  1378,   133,
    2391,     0,   179,  2391,   696,  2391,  1536,     0,   625,     0,
       0,   810,  2424,   133,     0,     0,     0,     0,     0,     0,
    1087,     0,     0,     0,     0,     0,   609,   622,  1578,  1576,
       0,  1222,   233,   232,  1220,   902,  2391,  1157,   348,     0,
       0,  2391,  1483,  2277,  1866,  1895,  1873,  1895,  1895,  1862,
    1862,  2358,  1875,  2391,  1863,  1864,  1900,     0,  1895,  1862,
    1867,     0,  1865,  1903,  1903,  1890,   348,   918,  1847,  1848,
    1849,  1850,  1876,  1877,  1851,  1882,  1883,  1887,  1852,  1917,
    1862,  2278,   903,     0,   894,  2391,   348,  1121,  2391,  2272,
     166,     0,   892,  2318,  2374,  2391,   348,  1215,     0,  2391,
     348,  2391,   162,  2391,   348,  2391,   348,  2391,   626,     0,
       0,  2391,   348,  2391,  2424,   164,     0,  2391,   348,   912,
    2391,   348,  2240,  2391,     0,  1427,     0,  1570,     0,  1544,
    2618,  1559,     0,  1555,  1562,  1558,  1670,     0,     0,  1019,
    1018,     0,  1019,     0,  1019,     0,  1019,     0,  1019,     0,
       0,     0,  1019,  2266,  2267,  1001,     0,  1025,     0,     0,
    1032,  1031,  1030,     0,     0,     0,  1033,     0,  1795,  1606,
       0,  1417,   235,   186,     0,   247,   246,  1434,     0,     0,
       0,  1087,  1249,     0,  1247,  1086,     0,     0,  1430,   239,
     237,     0,     0,     0,     0,     0,     0,  1436,     0,  1428,
       0,     0,     0,  2251,  2253,  2254,  2154,  2224,     0,  2582,
    2583,  2584,  2213,     0,  2585,  2586,  2587,  2633,  2048,  2035,
    2044,  2049,  2036,  2038,  2045,  2588,  2589,  1983,  2590,  2591,
    2261,  2592,  2593,  2594,  2596,  2597,  2598,  2599,  2040,  2042,
    2600,  2601,     0,  2262,  2603,  2604,  2448,  2606,  2607,  2609,
    2610,  2046,  2612,  2613,  2614,  2615,  2616,  2617,  2260,     0,
    2047,  2619,  2621,  2622,  2623,  2624,  2626,  2627,  2628,  2629,
       0,     0,     0,  2235,     0,  2015,     0,  1855,  1856,  1878,
    1879,  1857,  1884,  1885,  1858,     0,  2234,  1920,  2099,  2014,
    2031,     0,  2020,  2021,     0,  2013,  2009,  1672,  2230,     0,
    2010,  2250,  2252,  2214,  1672,  2228,   200,   254,     0,   255,
    2236,  2515,   188,   230,   202,   229,   203,   201,     0,  2316,
     189,     0,     0,   190,     0,     0,     0,     0,   251,   249,
       0,  1425,     0,  1793,  1792,  2239,   923,     0,  1523,  1517,
    1526,  1522,  1533,  1530,  2164,     0,  1662,     0,     0,     0,
    1642,  1641,     3,     0,  1538,  1540,  1515,  1536,  1684,  1685,
       0,     0,     0,     0,     0,     0,     0,     0,  1740,  1700,
    1701,  1703,  1737,  1741,  1749,     0,  1648,     0,     0,  1797,
    1621,     0,  1450,     0,     0,     0,     0,     0,  1156,     0,
       0,     0,     0,     0,   915,     0,     0,     0,  1470,     0,
    1472,  1473,  1474,     0,     0,     0,  1475,  1476,  1464,   243,
    1482,  1480,  1463,  1465,  1478,     0,     0,     0,     0,     0,
       0,     0,  1489,     0,   170,   171,     0,   638,   622,     0,
    2391,     0,     0,     0,     0,     0,  1164,  1171,     0,     0,
       0,     0,     0,     0,     0,     0,  1165,  1163,     0,  1166,
     245,  1176,  1195,  1198,     0,  1123,  1126,     0,     0,     0,
       0,     0,  1306,     0,     0,     0,     0,  1306,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   270,   272,   283,   343,   601,     0,     0,     0,   604,
       0,  2391,     0,     0,     0,     0,  1217,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1198,     0,     0,     0,
       0,     0,     0,     0,     0,   131,   132,   137,     0,     0,
       0,     0,     0,  1198,     0,     0,     0,     0,     0,     0,
     587,   600,     0,     0,     0,     0,     0,   597,     0,     0,
     133,   275,   577,   583,     0,     0,     0,   703,   702,     0,
       0,     0,     0,  1394,  1393,     0,     0,     0,     0,  1487,
    1486,     0,     0,     0,     0,  1306,     0,   264,   266,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   379,   380,     0,     0,     0,   137,
       0,     0,     0,     0,   277,     0,     0,  1444,  1441,  1442,
       0,  1447,     0,     0,     0,     0,  2023,     0,  2168,  1692,
    2166,  1141,  2220,     0,  2284,  2654,  2655,  2656,  2657,  2658,
    2659,  2660,  2661,  2662,  2663,  2664,  2665,  2666,  2667,  2668,
    2669,  2670,  2671,  2672,  2673,  2674,  2675,  2676,  2677,  2678,
    2679,  2680,  2681,  2682,  2683,  2684,  2685,  2686,  2687,  2688,
    2689,  2690,  2691,  2692,  2693,  2694,  2695,  2696,  2697,  2698,
    2699,  2700,  2701,  2702,  2703,  2704,  2705,  2706,  2707,  2708,
    2709,  2710,  2711,  2712,  2713,  2714,  2715,  2716,  2717,  2718,
    2719,  2720,  2721,  2722,  2723,  2724,  2725,  2726,  2727,  2728,
    2729,  2730,  2217,  2216,  2245,  2285,  2286,  2287,  2288,  2223,
       0,  1508,     0,   957,     0,     0,     0,     0,   959,     0,
     952,     0,     0,   949,  2318,  2374,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   962,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   818,     0,  1464,  1496,
       0,     0,     0,   631,     0,  2391,     0,   135,   856,     0,
     808,   443,     0,     0,     0,  1188,  1377,   135,     0,     0,
     173,     0,     0,   700,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   747,   746,     0,     0,     0,   809,     0,
       0,   135,     0,  2391,   580,  2391,     0,   507,   507,     0,
       0,  1089,     0,     0,     0,     0,     0,     0,  1634,  1636,
    1635,     0,  1633,     0,   346,   347,     0,  1205,  1230,     0,
       0,  1894,  1881,  1889,  1888,     0,  1871,  1870,  1869,     0,
    1868,     0,  1895,  1895,  1893,  1872,  1847,     0,     0,     0,
    1899,     0,  1897,     0,   885,  1843,  1839,     0,  1906,  1907,
    1908,  1905,  1918,  1904,     0,  1853,  1909,  1862,  1859,   905,
       0,     0,  1199,     0,     0,  2391,   348,  2391,     0,  2391,
       0,     0,     0,  1207,   348,     0,  1201,     0,     0,  1203,
       0,  1395,     0,   901,   899,   898,   900,     0,     0,   883,
       0,     0,     0,  2391,   348,     0,     0,   878,     0,     0,
     880,     0,     0,     0,     0,  1670,     0,   219,   220,   218,
    1560,   221,  1561,  1557,  1543,     0,     0,     0,  1009,     0,
    1013,     0,  1004,     0,  1010,     0,  1005,  1002,  1003,     0,
    1008,     0,     0,   508,   510,     0,     0,  2341,  2357,     0,
    2380,  2412,  2413,  2472,  2500,  2505,  2511,     0,  2540,  2551,
       0,  1034,  1064,  1029,   714,     0,     0,  1616,  1418,  2171,
       0,  1670,     0,     0,     0,     0,  1238,  1239,   238,   209,
       0,     0,     0,  1066,  2504,  1433,   980,   622,     0,  2011,
       0,  2018,  2019,  2212,     0,     0,     0,     0,     0,     0,
    2017,  2179,     0,     0,     0,     0,     0,  1943,     0,     0,
       0,  2192,     0,  2198,     0,     0,  1980,     0,     0,     0,
       0,     0,     0,     0,     0,  1944,  1924,  1925,  2015,  2164,
       0,  2016,  2257,     0,  1917,  2233,  2154,     0,  2151,  2152,
    2153,     0,     0,     0,  2227,     0,  2162,     0,     0,  1958,
    2160,  1960,     0,     0,     0,     0,  2148,  2149,  2150,  2142,
    2143,  2144,  2145,  2146,  2147,  2158,  1940,     0,     0,  2101,
       0,  1939,     0,     0,  1753,     0,  2255,  2215,  1753,   256,
     257,   253,     0,     0,   205,   204,     0,   223,   227,   228,
     199,   226,     0,   222,   207,  2088,  2087,   206,   198,   195,
     193,   210,   212,   213,   196,   194,   250,     0,     0,     0,
     348,  1541,     0,  1524,  1525,  1521,  1528,  1750,     0,  1664,
       0,  1668,  1541,     0,  1537,  1659,  1658,  1693,  1694,  1107,
    1657,  1720,  1721,     0,     0,     0,     0,  1746,  1744,  1711,
    1704,  1710,     0,     0,  1708,     0,  1712,  1920,  1739,  1646,
    1698,  1699,  1702,  1645,     0,  1742,     0,  1619,  1740,  1703,
    1603,  1580,  1581,     0,  1798,     0,  1451,     0,     0,     0,
    1136,  1138,     0,  1137,     0,  1140,     0,  1149,     0,     0,
    1135,  1154,     0,  1143,  1141,     0,  1485,     0,     0,   916,
       0,     0,     0,     0,  1471,     0,     0,  2540,   242,  1474,
    1479,  1466,  1477,     0,     0,     0,     0,     0,  1068,  1067,
       0,     0,  1091,     0,     0,     0,  1492,   496,     0,   345,
       0,     0,     0,     0,     0,     0,     0,     0,   804,   801,
       0,     0,   800,     0,   636,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   676,     0,  1306,
       0,   708,     0,  1173,     0,     0,  1172,     0,  1177,     0,
       0,  1174,  1169,  1170,  2505,  2515,  2546,   244,  1175,  1197,
       0,  1196,  1192,  1118,     0,  1119,     0,     0,     0,     0,
       0,  2367,  2391,   288,   308,     0,  1305,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   330,     0,     0,   333,   332,     0,     0,
       0,     0,     0,   337,   316,     0,   317,     0,   336,     0,
       0,   602,   603,     0,     0,     0,     0,  1306,     0,   279,
       0,     0,     0,     0,     0,     0,     0,  1214,     0,   731,
       0,     0,     0,  2505,  1193,     0,     0,     0,     0,     0,
    1381,     0,     0,   159,     0,   154,   158,     0,     0,     0,
    2505,  1194,     0,     0,     0,     0,   585,   586,   599,     0,
     590,   591,   588,   592,   593,     0,     0,     0,     0,     0,
       0,     0,   584,     0,     0,   698,   697,   701,     0,     0,
       0,  1390,     0,  1188,     0,     0,  1389,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1251,  1250,     0,
       0,     0,     0,     0,     0,   846,     0,     0,     0,     0,
       0,     0,     0,     0,   161,   718,     0,   717,     0,   155,
     160,     0,     0,     0,     0,     0,     0,     0,   217,  1440,
    1446,  1692,  1692,  1692,  2029,     0,     0,     0,     0,  1691,
    2218,  2221,  1511,  2246,  1510,     0,     0,     0,     0,   961,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   953,
     954,   955,   956,     0,     0,     0,     0,     0,   393,   390,
     391,   393,     0,     0,     0,     0,   820,     0,   823,   826,
       0,  1462,   462,     0,     0,   628,   676,     0,     0,   446,
     168,     0,     0,     0,     0,   733,     0,     0,     0,  1376,
     130,   177,   179,   444,     0,   178,   180,   182,   183,   184,
     181,   185,     0,   695,   699,     0,     0,     0,     0,   624,
       0,     0,     0,     0,     0,   748,   752,   751,   755,   753,
       0,   749,     0,     0,  1818,     0,     0,   153,     0,     0,
     575,   579,     0,     0,     0,     0,   446,   548,   359,  2391,
       0,   507,     0,  2391,     0,  1088,     0,   807,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1632,   348,
    1158,     0,  1484,     0,     0,     0,   348,  1892,  1891,  1844,
    1840,     0,     0,     0,     0,   919,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1860,   348,  1122,   167,  2273,
       0,   887,     0,     0,     0,     0,   348,  1216,   875,   348,
     163,   348,   348,   627,     0,   348,   165,     0,     0,     0,
     619,   348,   913,   348,  2241,     0,   348,  1573,  2391,   507,
    1545,  1556,     0,     0,  1006,  1015,  1014,  1012,  1011,  1007,
       0,  1026,     0,   506,     0,     0,     0,     0,     0,  1042,
    1043,     0,     0,  1039,  1044,     0,  1040,  1041,  1046,  1036,
    1035,  1047,  1048,     0,     0,  1066,   712,     0,     0,     0,
       0,  1613,     0,  1611,     0,  1796,  1615,  1604,  1564,     0,
    1563,     0,   568,  1087,  1087,  1248,     0,     0,  1023,     0,
       0,   348,  1432,     0,   982,   988,     0,     0,     0,     0,
       0,     0,     0,   991,   992,     0,   993,   984,   994,   985,
     995,     0,   986,     0,     0,     0,     0,  2225,  2175,     0,
    2176,     0,     0,  2211,  2207,     0,     0,     0,     0,     0,
    2180,  2183,  2184,  2185,  2182,  2186,  2181,     0,     0,  2187,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2610,
       0,     0,     0,     0,  1984,     0,     0,  2135,     0,  2164,
    2197,     0,     0,     0,     0,     0,     0,  2164,  2203,     0,
       0,     0,     0,  2086,     0,  2083,     0,     0,     0,     0,
    2224,     0,     0,  2258,  1921,  1935,  1936,  1937,  1941,  2232,
       0,  2226,     0,     0,  1922,  1949,     0,  2204,  1976,     0,
    1981,  1964,     0,  1957,     0,  1962,  1966,  1945,     0,  1942,
       0,  2227,  2163,     0,  2161,     0,  1932,  1933,  1934,  1926,
    1927,  1928,  1929,  1930,  1931,  1938,  2139,  2137,  2138,     0,
       0,     0,  2109,     0,     0,  1961,  2383,  2419,     0,  1683,
    1683,  1683,  1671,  1681,  2231,     0,  1813,  1692,  1813,  2237,
       0,     0,  1917,     0,  1794,   921,   922,   920,  1514,  1518,
    1527,  1541,  2165,  1535,  1666,     0,     0,  1516,  1539,     0,
    1105,  1106,     0,  1110,  2610,  2502,     0,     0,     0,     0,
    1713,  1747,     0,  1738,     0,  2251,  1714,  2250,  1715,  1718,
    1719,  1709,  1748,  1617,     0,  1743,  1650,  1649,     0,  1816,
       0,  1799,  1751,  1352,  1252,  1315,  1139,     0,  1862,  1150,
       0,  1134,     0,  1133,  1862,     0,  1151,     0,  1862,  1353,
    1253,  1316,   917,  1354,  1254,  1317,  1355,  1255,  1481,  1469,
    1468,  1467,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   785,  2391,   348,  1490,
    1356,     0,  1256,   344,  1491,  1318,  1495,   803,   802,     0,
       0,  1319,     0,   637,     0,   641,     0,   643,   644,   645,
       0,     0,     0,   646,     0,  2318,  2374,   648,   651,   652,
     653,   660,   665,   655,     0,     0,   667,   661,     0,     0,
       0,     0,     0,     0,   673,   678,     0,     0,     0,     0,
       0,     0,     0,  1167,  1168,  1357,  1259,     0,  1320,  1117,
       0,  1260,   169,     0,     0,   271,  2391,   290,     0,   680,
     785,     0,  1308,   287,   314,     0,     0,   329,   324,   325,
     323,  2391,   348,  2391,   348,     0,     0,     0,     0,     0,
     326,   321,   322,   318,     0,     0,   331,  2293,  2359,  2516,
       0,   684,   686,     0,   691,   334,  1280,   355,   354,   353,
       0,   338,     0,   360,   363,   335,   315,   313,   310,   284,
       0,     0,     0,     0,     0,     0,     0,     0,  2244,     0,
       0,  1209,     0,  1360,  1321,     0,  1343,     0,     0,     0,
       0,   725,     0,  1363,  1266,  1324,  1382,  1384,  1374,  1267,
    1383,   157,  1295,   146,     0,     0,   142,     0,     0,     0,
       0,   136,     0,  1364,  1268,  1325,     0,  1365,  1269,     0,
       0,   276,   578,   589,   594,  1274,   598,   595,  1333,   596,
    1372,  1270,  1368,  1298,  1328,  1375,  1391,  1271,  1188,  1386,
    1388,     0,  1306,     0,   265,   267,     0,   286,     0,  1272,
       0,  1326,  1367,  1297,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1498,     0,     0,     0,     0,     0,     0,
     348,     0,     0,     0,  1308,  2391,   348,  1366,     0,  1303,
       0,  1341,     0,   381,     0,  1296,     0,     0,   278,  1276,
    1335,     0,     0,   215,   214,   216,     0,     0,     0,     0,
    2169,  2170,     0,  2167,  2024,  2220,     0,   970,   928,   969,
       0,  2357,     0,   927,   929,     0,     0,     0,   930,     0,
     934,   935,     0,     0,     0,   926,   924,   925,   392,     0,
       0,   742,   743,     0,     0,     0,     0,   822,     0,     0,
       0,  1488,     0,   133,   635,     0,     0,     0,   630,   675,
     680,     0,     0,     0,     0,   445,   449,   453,   454,   455,
       0,     0,     0,     0,   147,   134,     0,   864,     0,   507,
       0,   735,  1380,  1379,  1187,     0,   179,   172,     0,     0,
     696,     0,  1536,     0,     0,   359,   817,   815,   814,   816,
       0,     0,     0,   838,   813,     0,  1817,  1819,     0,     0,
       0,     0,     0,     0,   568,   448,     0,     0,   510,     0,
     551,     0,     0,     0,     0,   548,     0,     0,     0,  2277,
       0,   834,   806,  1128,     0,  1146,  1129,     0,     0,     0,
       0,  1181,  1113,  1182,  1159,  1114,     0,     0,   607,  1637,
    1638,     0,  1206,     0,     0,  1861,  1874,   886,     0,  1902,
    1901,  1903,  1903,     0,  1845,     0,  1886,  1911,  1912,  1913,
    1914,  1915,  1916,     0,  1910,  1854,  1200,   348,     0,   348,
       0,   348,  1208,  1202,  1204,  1396,     0,   884,     0,     0,
     348,   877,   879,     0,   881,     0,     0,     0,     0,  1595,
    1583,     0,  1753,  1622,     0,  2224,  1027,   509,     0,     0,
       0,     0,     0,     0,  1038,   605,  1045,     0,  1059,  1054,
    1056,     0,  1060,   711,     0,     0,  1614,  1607,  1609,  1608,
       0,     0,  1605,  2172,   876,     0,   574,     0,     0,     0,
       0,   348,     0,  1061,     0,     0,   989,   983,     0,     0,
     987,     0,     0,     0,   990,     0,     0,  1688,  2173,  2174,
       0,     0,     0,  2208,     0,     0,  2061,     0,  2037,  2039,
    2051,     0,  2062,  2022,  2063,  2041,  2043,     0,  2155,     0,
       0,  2052,     0,  1986,  1987,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2002,  2001,  2053,  2134,     0,     0,  2195,  2196,
    2054,     0,     0,  2202,     0,     0,     0,  2059,  2064,     0,
       0,     0,     0,  2070,     0,  2091,     0,     0,     0,  2012,
    2165,     0,     0,     0,     0,     0,     0,     0,     0,  1982,
    1965,  1959,     0,  1963,  1967,     0,     0,     0,  1953,     0,
       0,  1951,  1977,  1947,     0,     0,  1978,     0,     0,     0,
    2030,     0,     0,  1683,  1683,  1683,  1683,  1680,     0,     0,
       0,     0,  2502,  2630,     0,  1777,  1752,  1754,  1764,  1777,
    1782,  1777,  2032,  1811,  2033,  2238,     0,  1723,     0,  1723,
     191,     0,   224,   211,  1513,  1667,  1670,  1695,     0,  2156,
    1110,     0,  1697,  1717,  1716,     0,  1707,  1745,  1705,  1618,
    1602,     0,  1600,  1582,     0,  1862,  1131,  1132,     0,  1155,
       0,  1071,  1072,     0,  1070,     0,     0,     0,   495,  1090,
       0,     0,     0,   785,     0,     0,   499,     0,  1493,     0,
    1373,  1294,   639,   640,     0,   654,     0,   663,   662,     0,
       0,     0,     0,     0,     0,     0,   647,   669,   611,   670,
     672,     0,     0,   671,   674,   677,  1306,     0,   709,  1282,
       0,  1339,  1161,  1309,     0,  1120,     0,     0,     0,     0,
       0,     0,   462,   309,     0,     0,     0,     0,   368,     0,
     292,   301,   366,   307,     0,  1314,   340,     0,   312,     0,
     305,   327,   319,   328,   320,   339,   341,     0,   688,   689,
     687,   683,     0,   690,   692,     0,   357,     0,     0,     0,
    1359,     0,  1306,     0,   280,     0,  1278,     0,  1337,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1342,     0,     0,     0,     0,   730,     0,   727,  1310,     0,
       0,   139,   138,     0,   145,     0,  1311,     0,     0,     0,
       0,  1392,     0,     0,     0,     0,     0,     0,   375,     0,
     285,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   382,   350,
       0,   841,     0,     0,     0,   384,     0,     0,     0,     0,
       0,  1358,  1261,  2027,  2028,  2025,  1692,  2219,     0,     0,
       0,   941,     0,     0,     0,     0,     0,     0,   395,   396,
     133,   394,   417,     0,   785,     0,     0,   819,   824,   832,
    2448,  2142,  2143,   830,   825,   827,   829,   831,   828,     0,
       0,     0,     0,     0,   478,     0,     0,     0,   468,     0,
       0,  1188,   461,   464,   465,     0,     0,   631,   634,   632,
     633,   668,     0,   448,   485,   536,     0,   149,     0,     0,
     150,   148,     0,     0,   359,   732,     0,   729,     0,   175,
     444,     0,   700,     0,     0,     0,  1188,   623,   754,   757,
     750,     0,   837,   839,   811,     0,   680,     0,     0,   580,
       0,   507,  1574,   563,     0,   538,   448,   536,   547,     0,
       0,   555,   358,     0,     0,   568,   359,     0,     0,  1091,
       0,   833,     0,  1127,     0,     0,     0,  1178,  1183,  1179,
       0,     0,  1142,     0,  1180,  1160,  1412,  1413,  1410,  1411,
       0,     0,     0,  1629,     0,  1880,     0,  1898,  1896,  1841,
    1846,  1919,   888,     0,   871,     0,   873,   348,   719,     0,
     620,   348,     0,  1587,  1589,  1588,     0,     0,  1590,  2224,
       0,  1600,  1627,     0,     0,  1816,     0,  1626,     0,     0,
       0,     0,     0,  1037,     0,  1057,     0,     0,  1020,  1063,
       0,     0,  1612,  1610,   566,     0,  1240,  1241,  1066,     0,
    1021,  1065,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2177,     0,  2210,  2206,     0,  2034,  2178,     0,  2190,
    2189,  2135,     0,     0,  1985,  1997,  1998,  1999,  2191,     0,
    2007,     0,     0,  1994,  1995,  1996,  1988,  1989,  1990,  1991,
    1992,  1993,  2000,  2200,  2199,  2193,  2194,     0,  2056,  2057,
    2058,  2201,  2065,     0,  2308,  2092,     0,  2069,  2085,  2084,
       0,     0,     0,  2072,     0,     0,  2081,     0,  2136,  2259,
    1923,     0,     0,  1950,  2205,  1968,     0,     0,     0,  1946,
    2155,     0,     0,     0,     0,     0,  1955,     0,     0,     0,
    2112,  2107,  2108,  2132,     0,     0,     0,     0,     0,     0,
    1674,  1673,  1679,  1777,  1782,  1777,     0,     0,  1652,     0,
    1764,     0,  1776,  1762,  1775,     0,     0,  1788,  1786,     0,
    1788,     0,  1788,     0,  1756,     0,  1778,  1758,  1775,  1760,
       0,  1803,  2239,  1812,     0,  1736,  2024,  1736,     0,     0,
       0,  1696,  1108,  1109,  1706,  2337,  1814,     0,  1601,  1152,
       0,     0,  1144,  1077,  1078,  1081,  1079,  1076,  1080,     0,
       0,     0,   785,     0,     0,   517,     0,  1102,  1102,     0,
       0,   501,   560,   512,   788,     0,     0,     0,   786,   348,
    1257,     0,   664,     0,     0,   659,   657,   656,   658,     0,
     612,  1371,  1258,     0,     0,     0,     0,  1162,     0,     0,
    1281,     0,   289,     0,   458,     0,     0,   302,     0,   298,
       0,  1307,     0,     0,     0,     0,   297,   370,     0,   367,
       0,   348,   348,   342,   685,   356,   361,   362,   365,     0,
       0,     0,     0,     0,  1313,     0,     0,     0,     0,     0,
       0,     0,   865,   848,     0,     0,   866,   867,     0,     0,
       0,  1211,  1212,  1210,  1344,  1345,  1350,  1347,  1346,  1349,
    1351,  1348,     0,  1264,     0,     0,   723,   143,   140,   141,
     144,  1292,  1275,  1334,  1387,     0,     0,     0,  1273,     0,
    1327,     0,  1288,  1284,     0,     0,     0,     0,     0,  1370,
    1302,  1332,  1369,  1300,  1330,  1299,  1329,  1301,  1331,     0,
    1293,     0,  1821,   845,     0,     0,     0,   348,   348,   844,
     721,  1277,  1336,     0,     0,     0,   931,     0,     0,   933,
     936,     0,   938,   400,   418,   133,     0,   741,   805,     0,
       0,   821,   784,     0,   466,     0,   472,   476,     0,     0,
     480,   481,   479,   467,  1188,   507,   559,   774,   775,     0,
       0,   795,     0,   629,     0,   446,     0,   482,     0,     0,
     450,   152,   151,     0,     0,     0,   736,   740,   738,   737,
     739,   734,     0,   725,   179,  2391,     0,     0,     0,     0,
     561,  1385,     0,   767,   812,     0,  1820,   715,     0,   359,
     576,     0,     0,     0,   446,   568,     0,   451,   456,   457,
     462,     0,   548,   537,     0,   538,   549,   550,     0,   557,
    1460,     0,   569,   557,     0,     0,     0,   836,     0,   835,
    1130,  1147,  1148,     0,     0,  1111,     0,     0,     0,     0,
     614,   348,  1842,   348,   348,  1237,     0,   882,     0,     0,
       0,  1592,  1598,  1579,     0,     0,  1623,  1600,  1624,  1051,
    1052,  1053,  1050,  1049,   606,     0,  1055,   713,     0,   567,
     348,     0,   997,   975,   996,   974,   976,     0,   978,   979,
     973,   971,   972,  2209,  2050,  2060,  2188,  2134,  2165,     0,
       0,  2008,     0,     0,  2055,  2620,     0,     0,  2096,  2097,
       0,  2093,  2094,  2089,  2090,  2071,     0,  2438,  2076,     0,
       0,     0,  1974,  1972,  1969,     0,  1970,  1954,     0,     0,
    1952,  1948,     0,  1979,  2098,     0,  2114,  2111,  2131,  2165,
    1678,  1677,  1676,  1675,  1763,  1759,  1761,     0,  2625,     0,
    1766,  1773,     0,  1755,     0,  1787,  1783,     0,  1784,     0,
       0,  1785,     0,     0,  1757,     0,  1773,     0,  1810,     0,
       0,  2103,  2256,  2103,   225,  1665,     0,     0,  1599,  1145,
    1153,     0,     0,     0,   497,     0,   512,     0,     0,     0,
    1104,  1104,     0,   512,     0,  1188,   790,   789,   792,   787,
     791,  1494,     0,   649,   650,   666,  1283,     0,  1340,  1290,
       0,  1616,   291,     0,   681,   296,     0,     0,   293,   369,
     371,   294,   295,   299,   350,   311,   304,     0,     0,     0,
    1279,     0,  1338,  1286,  1361,  1262,  1322,     0,     0,   854,
       0,     0,     0,     0,  1362,  1263,  1323,     0,     0,     0,
       0,  1616,     0,     0,     0,     0,     0,     0,     0,     0,
    1503,     0,  1312,   349,   843,   842,   350,   383,  1304,  2026,
       0,   932,   939,   940,   937,     0,   389,   397,   400,     0,
       0,  1228,  1228,     0,   785,     0,     0,   463,   477,     0,
     559,   516,     0,   469,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   728,   727,
     174,     0,   446,     0,   680,     0,   761,   762,   756,   758,
       0,   769,   773,   840,     0,     0,     0,   568,   448,     0,
       0,  1571,   447,     0,     0,   459,     0,   551,   538,   548,
       0,     0,   565,     0,  1453,     0,   571,     0,     0,     0,
    1184,     0,  1190,     0,  1141,  1185,     0,  1813,     0,     0,
       0,     0,   618,  1229,   872,   874,   720,  1584,     0,  1585,
    1591,     0,     0,     0,     0,  1628,  1620,  1058,     0,  1062,
     348,   977,  2136,  2003,     0,     0,     0,     0,  2066,     0,
    2067,  2095,  2073,  2077,     0,  2074,  2075,  1971,  1975,  1973,
    1956,  2100,     0,  1692,  2133,  1806,     0,  1809,     0,     0,
    1765,     0,     0,  1767,     0,     0,  1769,  1771,     0,     0,
       0,     0,     0,     0,  2242,  2336,  2594,  2499,     0,  1722,
    1724,  1727,  1729,  1728,  1730,  1726,  1735,     0,  1654,  1653,
    2157,  1815,  1059,     0,   348,  1102,  1188,   518,  2448,   519,
    1101,  1103,  1107,  1107,     0,  1188,     0,   559,   642,     0,
       0,   273,   679,     0,     0,   303,   352,   364,     0,  1616,
       0,     0,   852,   861,   861,   849,     0,     0,   868,  1265,
     724,     0,     0,   268,  1289,  1285,     0,     0,     0,  1505,
    1506,     0,     0,     0,     0,     0,   348,   942,     0,   420,
     427,   401,   405,  1497,     0,  1497,     0,   402,   406,  1497,
    1497,   399,  1813,   416,  1228,     0,  1225,  1224,   783,     0,
     505,   582,     0,   470,     0,   527,     0,     0,   796,     0,
       0,   448,   536,     0,   494,   486,   487,   488,   490,   489,
     491,   492,   493,   484,   483,     0,   680,   858,   359,  1460,
     722,     0,     0,   693,     0,   759,   764,   763,  1497,   768,
       0,     0,     0,   680,     0,  1574,   564,   538,   448,   536,
     452,   462,   540,     0,   541,   555,   548,   551,     0,   552,
       0,   556,     0,     0,     0,   568,  1507,  1091,     0,  1092,
    1189,     0,     0,     0,     0,     0,     0,  1232,   613,     0,
       0,   617,   608,     0,     0,     0,     0,  1625,   680,  1022,
    2004,     0,  2005,     0,     0,  2079,  2078,     0,  2118,  1811,
       0,     0,  1805,     0,     0,  1835,     0,     0,     0,  1774,
    1790,     0,  1770,  1768,     0,  1779,     0,  1781,     0,     0,
       0,  1731,     0,  2102,  2104,     0,  1073,     0,  1074,  1104,
     559,     0,  1110,  1110,   507,   559,     0,   785,  1291,     0,
     682,   582,     0,   306,     0,   281,  1287,     0,     0,   863,
     863,     0,     0,     0,     0,     0,     0,   377,     0,     0,
    1499,     0,  1500,  1501,  1504,   385,   398,     0,   425,     0,
     423,   422,   424,     0,   413,     0,     0,     0,     0,     0,
       0,   388,  1223,  1227,  1226,     0,     0,   471,     0,   473,
       0,   513,   514,   515,     0,   475,   523,   524,     0,   793,
       0,   798,     0,     0,     0,   680,   535,   704,     0,     0,
       0,  1454,     0,     0,   562,     0,   770,   771,   766,     0,
       0,   716,  1460,   568,   548,     0,   538,   460,     0,   557,
     551,   555,   553,   554,     0,  1457,     0,   570,     0,  1098,
       0,  1112,  1191,  1186,  1416,     0,     0,   616,   615,     0,
    1597,  1813,  1594,     0,   710,  2006,  2082,  2068,  2080,  2113,
       0,     0,     0,     0,  1804,  1807,     0,  1838,     0,     0,
       0,     0,  1824,     0,  1772,     0,     0,  1780,     0,     0,
       0,  1725,     0,     0,     0,  1107,   522,     0,  1095,  1094,
     516,   785,   511,   498,  1616,   300,   351,     0,     0,     0,
     859,   862,   850,   851,   870,   869,   726,  1616,     0,   373,
     372,     0,   376,     0,   421,   430,     0,   428,   403,   408,
       0,   412,   410,   409,   404,   407,     0,   504,     0,     0,
       0,     0,     0,   525,     0,   526,   558,     0,   797,     0,
       0,     0,   706,   857,     0,     0,   446,   680,   760,   765,
       0,     0,  1455,  1572,   551,   538,   548,     0,     0,   542,
    1102,  1102,   433,   555,   557,  1458,  1459,     0,     0,   359,
    1093,  1415,  1414,  1670,     0,     0,  1586,  1596,     0,  2581,
    2337,  2553,     0,  2130,  2119,  2130,  2130,  2110,     0,     0,
    1836,  1837,  1822,     0,     0,  1826,  1789,  1802,  1733,     0,
    1732,  2105,  2106,   348,  1110,     0,   785,   520,   527,   500,
     274,  1616,   853,     0,   269,     0,   378,  1502,   426,     0,
     411,   773,   581,   474,   532,     0,   531,     0,   529,   528,
     794,   799,     0,   680,   847,  1460,   694,   772,     0,   555,
     548,   551,     0,   539,     0,  1104,  1104,   557,   431,     0,
       0,   557,  1398,  1670,  1397,  1399,  1407,  1404,  1406,  1405,
    1403,  1235,  1236,  1813,     0,  2123,  2122,  2121,  2125,  2124,
       0,  2117,  2115,  2116,  1808,     0,  1825,  1828,     0,     0,
       0,  1834,  1827,  1829,     0,  1800,  1734,  1075,  1096,     0,
     502,   785,   282,   860,     0,   429,     0,   530,   534,   533,
     680,   705,  1456,   778,   557,   551,   555,  1102,   543,   545,
     544,   435,  1098,  1099,     0,  1813,     0,  1408,  1402,  1652,
    1639,     0,     0,  1593,     0,     0,  2127,     0,  2128,     0,
    1831,  1832,  1833,  1830,     0,     0,   503,     0,     0,   707,
     780,     0,   776,   779,   781,   782,   434,   555,   557,  1104,
     359,  1097,     0,  1082,  1400,  1670,     0,     0,  2120,  2126,
    2129,     0,     0,   521,   374,     0,   744,     0,   557,   432,
     546,   557,  1100,  1401,     0,     0,     0,  1801,     0,   777,
     436,  1813,     0,     0,  1823,   778,  1083,     0,     0,     0,
    1233,  1234,   745
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -4710, -4710, -4710,  3777, -4710, -4710,  -895,    57,  3007,  -866,
   -4710, -4710, -4710,  -459, -4710, -4710, -4710, -4710,  3737, -4710,
    2092, -2445, -4710, -4710,   154,  -376, -1304,   137,  3272,  1741,
   -4710, -1143, -4710, -4710,  -557,   126, -4710,   324,   264, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -4710,  -685,  2209, -4710,
    2288,  1578,  4301, -2989, -4710, -4710, -1410, -3166, -4710,   898,
   -4710,   923, -4169,  -595, -4710, -4710, -4710,  2194, -4710, -4710,
   -4710,  2137,  1383,   -39, -4710, -4710, -4710, -4710, -4710, -4710,
    -443, -4710, -4710,  -694,   146,    30, -2455, -3750, -4710, -4710,
     760,   -86, -1436, -4710, -3567, -4710,   293, -2228, -4710, -4710,
   -4710,   -53, -1398,  1681, -4710,  -727, -1105,  1979, -2363,  -558,
   -4710,    66, -4710,  -673,  -461,  -458,  -592, -3785, -4272, -4710,
   -4710, -4710,  -703, -3256, -4501, -4709, -4260, -4089,  1690, -4710,
     152, -3119, -3237,   155,   730, -4710,   156,   162, -4710,   746,
    -395,  -907, -1534, -4710,  -809, -4710, -4710, -4710, -2928, -4710,
   -4710, -4710, -4710,    83, -4710, -4710, -4710, -4710,   791, -4710,
   -4710, -4710, -4710, -4710, -4710, -1995,  2153,  2155, -4710, -3179,
   -4710,  -872, -4710,   940, -2950,  1595, -4710, -4710,  1366,  3755,
     773, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -1688, -4710,
   -4710, -4710, -4710,   287,   -28, -4710, -4710, -4710, -4710, -4710,
   -4710, -4710,   164, -4710,  2172,  1361, -4710, -4710,   -31, -4710,
   -4710, -4710, -4710, -4710, -4710,  -653, -4511,  -815,  -796, -4710,
   -2933, -4710, -4710, -4710,     1, -4710, -4710, -4710, -4710, -4710,
    -881, -4710,  1427, -3591, -4710, -4710,   756, -4710, -4710, -4710,
   -4710, -4710,  -564,    61,  2925, -4710,  -172,  -366, -4710, -4710,
   -4710,    62, -4710, -4710, -4710, -4710, -4710, -4710, -4710, -4710,
   -1093, 11877,  -810,  -584, -4710, -4710, -4710, -4710, -4710, -2179,
   -4710, -4710, -4710, -4710, -3652, -4710,  4669,  2149,  -195,   177,
   -4710,   -24,    63,  3515, -1160, -2656,   704,  -130, -4710, -4710,
   -4710, -2579, -4710, -4710, -4710, -4710, -3518,   178, -4710,  -688,
   -4710, -3801, -4551, -3538,  -719, -4710, -4057, -4440, -4521, -3521,
   -4710, -4710, -4710, -4710,  -513,   -40,  2890, -4710, -1417,  2527,
    -908, -4710, -2084,   775,  1770,  2898, -2707,  -140,  2888, -2523,
    -640, -3271, -4710, -4710, -2335,  -267, -4710, -4710,  1468,   599,
   -4710, -4710, -4710, -4710,  -620,  2839,  -203, -4710, -4710,  4054,
   -4710, -3669, -4710,  4023, -4710, -4710, -4710, -4710,  2745,  2753,
   -4710,  2754, -4710, -4710, -1420,  1534, -4710, -4710, -4710, -4710,
     979, -4710, -4710, -4710, -4710, -4710, -4710, -4710,  1430,   966,
   -4710, -4710, -4710, -4710, -4710,  -545,  -726, -4710, -4710,   188,
   -4710, -4710, -4710, -4710,  2302,  -891,  -741,  3931,   894,   190,
   -4655, -4710, -4710, -1140, -4710,  3308, -4710, -4710, -4710, -4710,
   -4710, -4710, -4710, -4710, -4710, -2501, -4710, -4710, -4389, -4710,
   -4710, -4710, -4710, -4710,  3911,    69,  2632, -4710, -4710, -4710,
     -29, -4710, -4710,  -975,  2619, -4710, -1920, -4710,  -597, -4710,
    2831, -4710, -4710, -4710, -4710, -1901,   199, -3777, -4710,  -609,
   -4710,  2823, -4710,    -8, -4710,   301, -4710, -4710, -3746,    12,
   -4710, -4710, -4710, -4710, -4391, -4710,  -608, -4710,  -536,   769,
   -3275, -4710,   205,   168, -4710, -4710,     2,   108,   -42,   -57,
     -10,     5,    98,  3407, -4710,   208,  3433, -4710,    13,  2094,
   -4710, -4710,  -821,  -173, -4710,  1870,  -626,  2601,  3374,  3376,
   -4710,  1857,  2633, -1990, -1951, -4710,  1163,  -426,  -265, -4710,
   -4710, -4710, -4710,   622,  -615,  2612, -4710,  3380, -4710, -4710,
   -4710, -1998, -2844, -3454,  1193, -3457, -3359,   664,   648, -1147,
     -27,    11,  -756,  -808, -4710, -4710,  1199,  -229, -4710, -4710,
    -225, -2819,   802, -4710, -4324, -2331,  1205,  -683,  -514, -4710,
    -602, -4710,  -388,  -625,  2948, -1041, -4710, -4710, -1004, 13038,
   -4710, -4710, -4710, 14447, 14467, -4710, -4710, 14954, 15593, -4710,
    -910, 16194, 11762, -1020, -1886,     0, 12899, -1069,  -495,    46,
   -4710, -3524, -1462, -4710, -4710, -4710,    16,  1261,   398, -4710,
   -4395, -3822, -4710, -4710,   233, -4710,  -393, -4710,  -396, -4710,
   -4710, -4710, -2652, -4264, -2761,  2731, -4710, -4710, -4710,  -197,
   -4710, 17112, -2750, -4710,  -692, -1374, -1509, -3435, -1891, -4710,
   -4710, -4710, -4710, -4710, -4710, -4710, -1379, -3296,  -374,  1970,
   -4710, -4710,  2057, -4710, -4710, -4710,  -919,  2346,  -768, -2678,
    1978, -4710,  -757,  2738,  -770, 11204,  -531,  8839,  -523, -2238,
   -1262, -1657, -4710,   309, -4710,  5698,  6625,    -1,  -147,  6292,
    -606,    -6, 12820,  -516,  -845,  4266, 11011, 10002, -3147
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    53,    54,    55,    56,    57,  1537,  2510,  2365,  3284,
    3285,    58,    59,  1533,    60,    61,    62,    63,  1448,    64,
    1021,  1780,  2525,    65,  2198,   804,   805,   806,  2100,  2101,
    2449,  2102,  2090,  1334,  1921,  1470,   778,   779,  1430,  1471,
      67,    68,  1328,  2081,    69,    70,    71,  1501,  1588,  1502,
    1503,  1442,  1827,  4312,  5053,  3081,  2328,  3332,  3082,  3083,
    3701,  3702,  3780,  5067,  5068,    72,  1604,  1605,    73,    74,
    2491,  3249,  3830,  4666,  4667,  4901,   613,  4335,  4336,  4888,
    4889,  5081,  5226,  5227,  2526,  1772,  3327,  3915,  3275,  4406,
    3276,  4407,  3277,  4408,  3261,  3862,  3863,  4349,  3864,  3278,
    4367,  4933,  3279,  2217,  5097,  2567,  1945,  1943,  4585,  4915,
    4174,  4175,  5316,  5105,  5106,  5107,  5338,  4369,  4412,  4413,
    4963,  5268,  5269,  3330,  3921,  4419,  4732,  4683,  2966,    76,
     709,  1806,  3446,   710,  2570,   647,   711,  2527,    81,  2560,
    5099,  2561,  1563,  2379,  3843,  3426,    82,  1047,  3667,  4752,
    4991,  4992,    83,   225,    84,  1788,    85,    86,  2505,  3268,
      87,  2234,  2983,    88,    89,  3014,  3015,  3016,    90,  3692,
    4603,  1504,  3070,  3071,  3072,  3073,  3723,    91,  1783,  2534,
    2535,    92,    93,    94,    95,  2688,  2689,    96,  2436,    97,
      98,    99,   100,  3757,  4276,  4383,  3111,  3291,  3887,  4381,
     101,  3253,  2528,  1796,  2550,  2551,  4393,  4708,  4709,  4710,
    4948,  5258,  4712,  4950,  5128,  4952,  4359,  5451,  5452,  4674,
    3646,  4188,   103,  4360,  4361,  5112,   104,  2232,   105,   106,
    1756,  2497,  2498,  3844,  2577,  3340,  3341,  3901,  3902,   107,
    3193,   108,  4252,  4253,   648,  5119,  5059,  5212,   109,   110,
    4256,  4257,   111,   112,   113,   114,   115,   701,   702,   703,
    1138,  1139,  2938,  1086,   116,  2110,   117,   984,   985,  3228,
     118,  1221,  2734,  2735,  4473,   119,   735,  1160,  1161,  2529,
     121,   744,  2708,   746,  1960,  3428,  3429,  3998,   122,   123,
    2685,  2711,   124,  1435,  2208,  2209,  4169,  2530,   649,  1206,
    2574,  2961,  4978,  4979,  5279,  5424,  4580,  4842,  2893,  3612,
     126,   650,  1475,  2284,  1106,  1107,  2580,  3344,  2177,  2178,
    2179,  3941,  2180,  3346,  2181,  1408,  2182,  1057,  1058,  3352,
    3353,  3354,  3937,  3944,  2519,  4742,  4743,   127,  1473,  2282,
     128,   129,   130,  1516,   897,  1116,  1117,   131,   662,   663,
     132,  4906,   133,  1060,   134,  4750,   135,   136,   769,   770,
    1203,  1204,   137,   138,  2298,  3704,   139,   140,   141,  3105,
    3106,  4268,   142,   143,  1775,  1776,   144,   145,  3158,  3159,
     146,   147,   148,  5364,  5426,  5427,  5428,  3950,  5283,  5366,
    1191,   150,   151,   152,   189,   937,   938,   939,   850,  2531,
    4734,   154,   155,  1431,  1432,  1433,  1434,  2203,   156,   157,
     158,   159,   160,   161,   162,  1760,   163,   164,  4881,   165,
     166,  1721,   167,   168,  1357,  1358,  1359,  1360,  2115,  2881,
     607,   822,  1363,  1369,  1374,  1375,  1376,   170,   713,  1152,
    1153,  1154,  1923,   171,  1199,   988,   714,  1147,   173,   715,
     174,  2161,  3409,  3976,  3977,  3978,  3981,  4763,  4158,   716,
    2919,   176,  1967,  2694,  2697,  2915,   717,   177,  3412,  3413,
    3414,  3983,   718,   737,  1050,  2587,   719,  1295,   181,   182,
     183,   831,   825,   826,  2886,   720,  2074,  2862,   753,  1380,
     791,   792,   840,  2459,  2127,  2128,  2152,  2153,  1389,  1390,
    2140,  2144,  2145,  2906,  2899,  2133,  4145,  4819,  4820,  4821,
    4822,  4823,  4824,  4561,  2148,  2149,  1392,  1393,  1394,  2157,
     186,  2866,  3586,  3587,  3588,  4122,  4123,  4137,  4133,  4546,
    4806,  3589,  1189,  1400,  4554,  5395,  3590,  4795,  4796,  5012,
    4141,  3597,  3622,  3315,  3316,  3317,  3591,  5181,  5182,  5392,
    5393,  5014,  5015,  2183,  1856,  1088,  1296,  1089,  1868,  1297,
    1840,  1091,  1298,  1299,  1300,  1094,  1301,  1302,  1303,  1097,
    1832,  1304,  1305,  1850,  1865,  1866,  1364,  5016,  1307,  1308,
    1309,  3593,  1310,  4076,  4510,  4496,  2794,  2795,  2097,  4072,
    3531,  4066,  2069,  2852,  4828,  5033,  5034,  3570,  4101,  4526,
    4793,  5173,  5293,  5294,  5381,  1311,  1312,  1313,  2849,  2065,
     900,  1314,  3846,  2067,  2788,  1629,  1630,  1970,  1992,  2741,
    2757,  2758,  2768,  3490,  2776,  2781,  3518,  3519,  2789,  2818,
    1315,  2743,  2744,  3474,  1994,  1316,   943,  1633,   944,  1989,
    2813,  1324,  1317,  1318,  1961,   815,  4802,  1142,   856,  3097,
    1713,   946,   750,  1319,  1320,  1321,  1322,  1509,   871,  1109,
    1110,   604,   596,   873,  3074,   605,   598,   599,  1718
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     595,   898,   179,   989,   991,   184,  1562,   899,  1015,   841,
     830,  1920,   175,   783,  1180,  1181,  1182,   747,  1876,   749,
    1186,   739,  1395,   755,  1329,  1719,   184,   739,  2392,   772,
     780,   747,  1627,   787,  1609,  1325,   780,   780,  2216,   816,
    1846,   819,  1567,   646,  1414,  2293,  1087,  1621,  1355,  3599,
     851,  1785,   593,  3451,  3274,  1982,   814,  2285,  3355,   817,
    1343,  1356,   907,  2462,  1852,  1836,  1837,  2306,  3156,   169,
    2700,  1508,  1087,  1942,  3620,  1845,   928,  3297,  1122,  3926,
    2868,  3945,  1207,  2294,  3945,  3673,   745,  3913,  2323,  4151,
     712,  3871,  1135,  3190,  2931,  2933,  1000,  1714,  1476,  2740,
     784,   700,  4176,  3099,  1051,  1758,  3432,  3693,   180,  1763,
    1149,  2555,  3848,  1132,  1767,  2453,  4177,  3718,  4171,  3720,
    4088,  4581,  3539,  4366,  1777,  4214,    66,   843,  4426,   180,
    4119,  1365,  4415,  4136,  1770,  4405,  3982,  4237,  1801,  3897,
     835,  4843,  3610,  4729,  4799,  1053,    75,  1062,  2803,   828,
    1798,  2189,    77,  2908,  2575,    78,    79,  1833,  1834,   864,
     829,  2277,    80,  4736,   102,  2413,  4414,   904,  1844,  1120,
     909,  1141,  1124,   777,   844,  4919,   602,   120,   125,  1355,
     811,  2417,  2418,   654,   595,   854,   854,   857,   149,   854,
     153,  2878,  1155,   866,  2911,   816,   803,  4690,   901,   172,
   -1903,   866,  2887,  3910,   866,   178, -2376,   816,   185,   854,
    4851,  4995,   816,  2637,  1388, -1862,   854,  2113,   816, -2414,
    3624,  2277,  4055, -2437,  1472,  1391,  4965,   721,  1561,   921,
    4134,  4811,  4139,  4813, -1895,  4453,  1587, -2469,  2277,   660,
    1336,  1836,  1837,  4501,  1824,  4728,  1614, -1903,  2451,  2452,
    4873,  1797, -1875,   611,  2307,  1852,  5139,  2424, -2249,  4883,
    4884,  1845,  2108, -2277,  1472,   660,  1749, -2278,  1824,  1472,
   -2636, -2277, -2277,  2552,  3287, -2278, -2278, -2305, -2636, -2636,
    1345,  1053,  2516, -1900,  5121,  1216,   721, -1890,  2200,  3233,
    1867,  3234,   842,  2429,   933,  3238,   660,  3240,  3241,  3213,
     660, -2248, -2379,  1162,   660,  1361,  3245,  3246,  3247,  1824,
    2710,   721,   849,   820,  4589,   594,  1754,  3496,  1361,  2296,
    1824,  5042,  5043,  4644,  1833,  1834,  3009,  2977,  1166,  2411,
    1505,  1727,  5058,  5334,  2037,   721,  2087,  1505,   660,  4427,
     721,  4761,   721,  -419,  3077,  1922,  1333,  4645, -2246,  5005,
    1926,  1844,  1811,  2564,   660,  -133,  1744,  1858,  3188,  2508,
    -133,  4475,  4476,  2043,  4478,  4479,  4480,  4481,  4482,   727,
    3436,  1752,  3438,  1824,  1824,  3086,  5162,  1177,  2565,  4402,
    1402,  1193,   727,  2853,  3935,  3389,   727,  3391,  1618,  4364,
    4850,   934,  4357,   728,  1824,  2045,  3078, -2435,  4352,  5093,
     727,  5408,  2124,  3010,  4403,  2811,   728,  5029,  2037,  2811,
     728,  4685,  1384,  3202,  2359,  3264,  1824,  2296,  3440,  1599,
    1184, -2140,  2686,  3496,   728,  1824,  2952,  3774, -2140,  1859,
    1517,   899,  5274,  2037,   935,  3109,  1719,  2043,  1847,  5086,
     727,  2095,  2314,  2846,  5087,  2088,  2553,  3596,   727,  1538,
    2847, -2159,  1621,  4579,  1913,  4879,  4966,  3449, -2159,  1848,
     606,  3728,  2043,  1535,   728,   727,  5141,  1606,  5055,  2045,
    1610,   608,   728,  1849,  3729,  1444,  2315,  5262,  4880,  1009,
    4376,  2296,   899,  2096,  1386,  1019,  1536,  3079,  5026,   728,
    1860,  3984,   936,  1861,  2045,  5088,  1909,  3441,  1033,   852,
    2296,   845,  1518,  1185,  2109,  1755,  2687,  2376,   865,  3110,
    2296,  2953,  1884,  1973,  1874,  1346,   865,  1825,  2222,   865,
    2854,  3265,  1600,  2296,  4686,  1387,  2003,  2031,  5335,  1163,
    1165,  1167,  2091,  4358,  1169,  1170,  1171,  2103,  2103,  1076,
    5163,  1825,  1580,  4353,  1176,  3836,  5094,  2509,  5409,  4762,
    1178,  2114,  2308,  3895,   941,  2077,  5006,  1719,   942,  1924,
    5240,  2089,  3189,  1619,  5357,  2309,  2566,  2310,  1714,  2865,
    1403,  4377,  3087,  1969,   655,  3472,  3013,  4365,  1962,  1904,
    4911,  3848,  1825,  1347,  1445,   846,  3437,  2037,  3439,  2160,
    4944,  4913,  4404,  1825,  1972,  1965,  1212,  3865,  1862,  5195,
    4646,   947,  2030,  1185,  3496,  4271,  5336,   816,  2395,   854,
    1983,   854,  2554,   857,   992,   854,  2043,   184,  2501,  5261,
    1053,  1874,   901,  4590,   990,  2978,   821,  1022,  2311,   854,
    1755,  3214, -2435,  5337,  3828,  3829,   854,  1847,  1053,  5273,
    5414,  2425,  2517,  2412,  2263,  4334,  1825,  1825,  2045,  2430,
    2360,  1515,  4515,  3080,  2271,  4378,  1966,  4136,  1848,  1831,
     595,  1620,  2387,  1986,   857,  2390,   830,  1825,  1826,   866,
    1396,  4543,  1849,   901,  5314,  4547,   866,  2431,  1218,   866,
    4781,   612,  5223,  1156,  1847,  5134, -2376,  1835,  4422,  1825,
    5412,   983,  1853,  1755,  3374,   854,  2397,  2406,  1825, -2414,
   -2435,  2867,  3266, -2437,  1053,  1848, -1895,  5458,  1863,  2165,
    4181,  4766,   184, -2435,  1627,  1627,  1627, -2469,  4375,  1851,
     180,  1159,  3639,  1164,  1839,  1168,  5359,  4397,   941,  2450,
   -2249,  1172,   942,  1871,  4486, -2277,  1148,  3987,  3936, -2278,
    2377,  3775, -2636,  2380,  2381,   733,   734,   816,  5478,  2812,
     780,   780,   780,  3559,  4534, -1900,  4536, -2305,  5047, -1890,
    4423,  1736, -2140,  5349,  1188,  1208,  2261,   899,  2033,  2158,
     733,   734,  2075, -2248,   843,  1185,  2871,  1151,  5039,  3511,
    2159,  2085, -2379,  3848,  2848,  1323,  1323,  1436,   816,   780,
    3267,  1535, -2159,   780,  1506,  1507,  2064,  1882,  1906,   733,
     734,  1506,  1507,   847,  4379,  3018,  1041,   816,  2458,  1724,
    1446,   816,  2641,  5320,  1536,   180,   829,  1323,  1909,  -133,
    -133,   844,  1053,  3771,  3094,  4771,  5324,  2339,  1188,   816,
    1053,  1053,  2223,  2281,  4203,   179,  2660,  2120,   184,  3019,
    1874,   816,   656,  4725,  1053,   175,  3626,  4241,  3627,  3997,
    5416,  3889,  5298,  3910,  3037,  2670,   941,   816,  1399,  1755,
     942,  1527,  5241,  2615,  5266,   763,  2682,  2061,  2062,  2063,
    2064,  2118,  1447,  4380,  1451,   816,   862,  4912,  2742,  5272,
     854,   854,  3508,  3509,  3510,  3511,  2281,  3984,  3866,  1966,
    2343,  2690,  2147,   777,  1194,  1196,  1437,  3742,  3669,  2347,
     657,  4338,   169,  2281,  1175,  4337,  2671,  2908,  2118,  2072,
    2499,   780,   780, -1718,  5457,  5419,  5420,  3095,  2489,   838,
    1731,  4161,  1366,  2471,  1005,   845,  1738,   660,  2942,  1739,
    5402,  3251,  2597,  2598,  1323,  1323,  1103,  5475,   658,   842,
     659,   180,  2773,   595,  5250,  1593,  1042,  3615,  3223,  1332,
     764,  5196,  2224,  1340,   866,  2750,  5201,   660,   901,    66,
     866,  3604,  1818,   866,  1927,  4989,  5265,  1929,  4957,  1931,
    1528,  1933,  5281,  1935,  3380,   852,  2277,  1939,   854,    75,
     660,  1729,  1429,  3878,   865,    77,  3602,  1594,    78,    79,
    5439,   865,  5435,  5350,   865,    80,  1858,   102,  3822,  3823,
     816, -1862,  4269,  4907,  2546,  4748,  3743,   854,   854,  1157,
     120,   125,   660,  4797,  5358,  2691,  1819,  2210,  1444,  5480,
    3674,   149,  2991,   153,  4440,  5374,  4857,  2392,  4968,   816,
     816,   816,   172,   854,   789,   595,   595,   595,   178,  4176,
     660,   185,  4969,  1789,  2059,  2060,  2061,  2062,  2063,  2064,
    1438,  4390,  1793,  4177,   777,  1194,  3821,  3055,  4776,  2751,
    2950,  3506,  3507,  3508,  3509,  3510,  3511,  2831,  1859,  5436,
    2737,  3974,  2964,  1794,   838,   748,  2701,  2564,  3377, -1862,
    1192,  2568,  1862,  4800,  4402,  1790,  3123,  1043,  2547,  1439,
    4803,  3918,  5388,  2212,  2225,  4807,  5101,  5421,  4809,  1893,
    2466,  5425,  2565,   765,  4004,   854,  3975,   854,   854,  4403,
    2935,  2213,  1719,  1820,  1418,  1598,  3695,  2483,  3056,  2405,
    3492,  1599,  1440,  1044,  1529,  2457,  3252,  1445,  2965,  1860,
    1817,  2752,  1861,  1846,   790,  2502,  3174,  5114,  4990,  3378,
    1323,  1894,  3175,  2594,   766,   767,  3879,  5282,  3670,  5437,
    2345,  1595,   816,  2490,  5456,  2672,  4727,   863,  1719,  1874,
    3744,   184,  3345,  1530,  3945,  1821,  3124,  1627,  4721,  1399,
    5468,  5113,  1944,  1944,  5136,  3845,  5148,   816,  5133,   747,
    4765,  3227,  1045,  2073,  2226,  2210,  2679,  2680,  1046,  1441,
    2036,  2583,  2753,  2037,  1419,  2754,  1531,  2809,  5479,  3745,
     816,  5389,  2832,  2211,  2591,  1006,  1979,  2833,  5135,   816,
    4970,  2692,  1985,  5355,  5356,  4177,  1087,  1104,  5490,  3125,
    5102,  5491,  2043,   706,  1600,  3696,  1323,  1158,  2605, -2637,
    1795,  2693,  3746,  4715,  3761,  5092,   768,  1862,  4177,  4574,
    4749,  1579, -1862,    15,  2834,  3176,  1420,  1862,  3946,  1791,
     661,  4005,   830,  2214,  2045,  1596,  1323,  2596,   852,  1822,
    2031,  2212,  1730,  4604,   180,  3942,  4472,  2618,   625,   865,
    2930,  4295,  2634,  1087,  3674,   865,  3126,    20,   865,  2213,
    3216,  2630,   752,  2346,  1323,  1323,  1323,  1755,  1323,  3323,
    4702,   836,  5438,  2548,  2636,  5103,  2736,  5256,  2739,  2218,
    2755,  4451,  2324,  2992,  2746,  1895,  2549,  2592,  1323,  5376,
    2760,  2761,  2762,  2936,  2635,  5037,  2937,  2479,  2650,  2513,
    2778,  2780,   899,  2125,  2126,  2790,  2130,  2219,   627,  1928,
    3009,  1930,  3947,  1932,  2116,  1934,  1991,  1936,  1937,  1938,
    5001,  4972,  1421,  5390,  1940,  1714,   816,  1863,  5391,  4973,
    1812,  1813,  1814,  1792,  5022,   837,  2000,  2616,   933,  2480,
    5459,  2913,   989,   991, -2637,  2215,  1864,  1494,  2204, -2637,
     844,   844,  2629,   844,  3127,  2631,  1323,  2643,  1601,  2205,
    1323,  1323,  2835,  4872,  5054,  2523,  2912,  2016,  4498,  2766,
    2079,   816,   816,  2164,  5137,  1323,  2199,  2206,  5170,  3177,
    1155,  2228,  2028,  3594,  1384,  1378, -2637,  3010,  1399,  1896,
    2756,  2229,  2804,   609,  3985,  2219,  2669,  1602,  4435,   780,
    2674,  2214,  3697,  3698,  2678,   838,  5057,  2681,  -675,  4470,
    3661,  5061,  5062, -1862,   660,   933,  2514,  2673,  3178,  4296,
    2676,  2677, -1862,  2890,  1835, -1862,  1413,  3850, -1862,  5377,
    1603,  3699,    33,  2052,  2268,   934,  3594,  2325,  2080,   780,
    4249,  4254,   854,  2524,  1842,  1843,   763,  2914,  3142,  2220,
    3848,  3179,  3662,  4967,   816,  2295,  1386,  3084,   785,   761,
    4956,  3948,    41,  4217,   816,  2326,  4797,   854,   842,   842,
     638,   842,   639,  3853,    41,  3128,  1572,  4499,   935,  3131,
    1426,  3107,  1427,  3129,   987,  1379,  3130,  1874,  1874,  4163,
    2327,  4974,   187,   901,  5209,   816,  2774,  1771,    45,   780,
    4152,  5198,  5199,  2481,  2792,  4943,  4356,  3387,  2891,  3009,
      45,  2256,   934,  2215,  4350,  5171,   780,  1573,   816,  3183,
    2382,   816,  2272,  2207, -2637,  2322,  3850,  1574,  3855,  1627,
    3949,   764,  3851,  3406,  4586,   188,   936,  4218,  3057,    49,
    3160,  4391,  2230,   839,  3852,  5172,  4250,  4255,   762,  2131,
    3143,    49,    50,  3131,  4396,   935,   816,   187,  3146,  4021,
    3013,  3149,  4153,  3686,    50,  3180,  5210,   854,   854,   854,
     854,   816,  3853,  2408,  3854,    51,  1361,  3023,  1145,  3116,
    3117,  2231,  4351,  3120,  3035,   816,  3010,    51,  2392,    52,
    1342,  4184,  5280,  3685,  5270,  2989,  1323,  1323,  1323,  3058,
     188,    52,  4587,   606,  3181,  4856,  4177,  2482,  1847,  3006,
    3217,  3218,  3219,   936,  2273,  4676,  3663,  3294,  2900,  3011,
    3858,  4326,  3772, -2637,  3845,  4329,  4330,  3855,  4332,  1848,
    2059,  2060,  2061,  2062,  2063,  2064,  3687,  3182,  3262,  1429,
    3306,  3307,  3308,  3309,  1429,  2132,  2664,  4886,  4267,   834,
    3039,  4251,  3314,  2947,  2383,  3856,  2382,  2384,  3012,  2627,
    1219,  3032,  4164,  3859,   899,   899,  2590,  1053,  4165,  3024,
    3141, -1652,  4185,  4239,  2960,  4166,  2134,  3342,  1575,  3860,
    1346,  3493,  3494, -1652,   765,  4149,  3513,  3223, -1652,   788,
    5140,  3969,  2037,  3816,  2463,  3773,   816,  2302,  4490,  2303,
    4491,   832,  2324,  3164,  3407,  4443,   187,  4444,   854,   854,
    4167,  2314,  1429,  1576,  3857,  2135,  1429,  1577,  5147,  3858,
    3664,  4909,  3776,  3543,  3544,   766,   767,  4347,   854,  4186,
   -1091,  4187,  4168,  4177,  4716, -1652,  3208,  5117,    41,  3184,
    2134,  3293,  3778,  2455,  2456,  2315,  4240,   816,  1347,   188,
    1578,  4348,  5120,  2045,  5131, -1652,  4882,  1755,  2324,  3013,
    2304,  1212,  3859,   854,   854,   854,   854,  2446,  4039, -1652,
    4040,    41,  3185,  5398,    45,  3861,   816,  2363,  3860,  2135,
    2447, -1652,  2366,   816,  4924,  2463, -1652,  2665,  3779,  4127,
    2383,  1915,   899,  2384,  1916,  4770, -1652,   595,  1423,  5164,
     595,  1494,  5423,  4988,   857, -1652,  1847,    45,  2448,  1323,
    5270,  2617,  2389,  1564,  2520,    49,  4177,  2964,  3121,  2666,
    4691,   882,  4128,  2137,  3335,  3303,  3845,  1848,   883,   884,
     885,  4946,  2667, -1652,    36,  4925,  4492,  4549,  2557,  2136,
    3645,  1851,  3186,  4926,   866,   866,  3425,  4130,    49,  3255,
    2434,  2684,  1565, -1652,  2440,   901,   901,  2325,  5264,   866,
    3945,    50,   866,  2362,  2518,    52,  4692,  2668,  2414,  4670,
    4879,  4927,   812,  3642,  3861,  3187,  5263,  4947,  1545,   854,
     854,  3364,  2138,  5050,    51,  2326,   854,  2137,   816,  5126,
    4689,  4314,  1874,  4880, -1652,  4832,  4041,  4834,  3408,   816,
     184,  3922,  4671, -1652,  5482,  3770,  4042,   833,  4984,  1409,
    2327,  1909,  4315,  2325,  2615,  1944,  5252,  1546,  4177,  4700,
    1532,  5127,   854,   917,   866,  4928,  3529,   866,   866,  4720,
     816,   816,  3536,   854,  1404,  4593,  4594,  2707,  4929,    41,
     816,  2326,   625, -1652,  1410,  2322,  2138,   816,  1411,   849,
    4930,  3996,   918,   992,   747,   747,   184,  2695,  2712,  4132,
    1566,  2444,  1323,   990,  1323,  1151,  2327,  4182,  4606,  1323,
    1323,  1415,  2324,  1405,  4610,    45,  1323,  1323,  1323,  1569,
     823,  1412,  1323,   901,  1323,  1323,  1323,  1323,  1323,  1323,
    5351,  1323,  3997,  1323,  1323,  3447,  3448,  1323,  1799,  4680,
    2445,  2322,   627,   180,   848,   941,  1406,  3358,  1370,   942,
    1416,  -573,  1323,  1323,  1323,  1323,    49,  3698,  1570,   854,
    1323,  1800,  2997,  2706,  1323,  -156,  3598,  1323,   899,    50,
    1323,  1323,  1323,  1323,  1323,  1323,  1323,  1323,  1323,  3739,
    1323, -1652,  5158,  1417,  2103,  4228,   816,  1323,  1053,  1323,
    2733,  1571,    51,  2884,  3443,   858,   816, -2268,  5346,   180,
    3495,  -156,  3400,  5091,  2331,  1901,    52,  1589,   860,   721,
    2885,  3455,  3523,  1034,  5415,  2654,  2985,  2655,  3740,  2656,
    5124,  2657,  2443,  2658,  3608,   816,  3463,  2659,  1902,   625,
    -156,  4030,  1323,  5361,  5203,  1384,   816,   816,  3625,  3594,
    1385,  1034,  3594,  1053,  3546,  2354,  1590,  1323,  1035,  3600,
    1591,  3741,   852,  2909,  2910,   852,  1323,  1323,  4297,  3031,
    4056,  3424,  2371,   756,  3675,  4879,  4661,  2325,  4662,  4663,
     816,  4931,  4664, -1691,  4932,  2817,  1035,  2921, -1691,  1592,
    1338,  4298,  3572,  1036,  5411,  4227,     3,     4,  4880,   627,
    3703,   736,   757,   880,  4706,  2326,   758,   736,  3594,   865,
     865,  2954,  2083,  2957,   638,  2880,   639,  1386,  5362,    29,
     857,  3891,  4707,  1535,   865,     3,     4,   865,  4184,   747,
    2327,   747,  2951,  2993,  2296,  3898,  2998,  2999,  3557,   881,
    1037,   644,  2296,  4836,  2297,  3908,  1536,  3122,  1323,  4398,
    4845,  4758,  2305,  1974,   923, -1691,  1975,   706,  1387,  3630,
     595,  5449,   854,   854,  1835,  2322,  2190,   866,  1037,   901,
     866,   866,  5095,   854,   941,   854,  2332,    15,   942,   854,
    4847,   721,   816,  2819,  4212,  2820,  4204,  -444,  2111,   865,
    4160,  2112,   865,   865,   618,  1835, -1691,  2190,  5319,  3017,
    2117,  4425,  3311,  2118,   780,  2774,  2774,  3312,  2821,  4185,
    2774,    20,  2122,    41,  2295,  2112,   932,  4219,    41,  4226,
    4009,  3205,  3042,   816,  5481, -1713, -1713,   888,   889,   890,
    3054,   891,   892,   893,   894,   895,   896,   226,  1627,   816,
    3468,  3469,  4242,   610,  1627,  2118,  3470,  2774,  2774,    45,
    3613,   704,   940,  3849,    45,   721,   994,  3894,  3312,   816,
     996,   638,  3678,   639,  3098,  3098,  4186,   941,  4187, -2249,
     786,   942,  5287,  2324, -1717, -1717,  3631,  3632,   625,   816,
     816,  3957,  3958,   816,   999,   857,   780,  1053,  1771,  1002,
      49,  3654,  3548,  1016,  3549,    49,  1188,  1188,  3867,  1029,
    1188, -1085,  1526,    50,  -444,  3837,  -572,  1543,    50,   854,
    3665,  2822,   854,  5400,  1038,  2647,  2823,  3550,  2118,  1039,
    2661,  2824,  5083,  2662,  5085,  2324,    51,  2663,  5089,  5090,
    2662,    51,  1040,   816,   816, -1716, -1716,  3734,   627,  3522,
    5363,  3524,  3525,  2499,  2698,    52,  1055,  2699,  3191,  2796,
    3194,  3196,  2799,  2883,  3634,  3652,  1909,  1059,  4035,  4036,
    4037,  4038,  1102,  3594,  4043,  4044,  4045,  4046,  4047,  4048,
    4049,  4050,  4051,  4052,  3123,  2922,  1111,  5125,  2118,  1323,
    1323,  1323,  1548,  3020,  3298,  1323,    33,  4937,  5151,  3160,
    3029,   854,  3101,  3030,  3280,  3102,  1053,  3257,  5446,   854,
    3258,  1549,   854,  3365,  1112,  3747,  2118,  3749,   854,  3416,
    3467,  4887,  2662,  2118,  1118,  3476,    41,  1323,  2118,   854,
    4092,  4093,  1129,  3482,  2324,  3551,  2118,  1007,  2325,  1008,
    3552,  5040,  4891,  2295,  3755,  3096,  3098,  1136,   816,  4416,
    5045,   816,  1011,  2324,  1012,  3296,  4409,  3345,   747,  5295,
    5296,  1550,    45,  3764,  3124,  1835,  2326,  1413,  1188,  1146,
     854,  1323,  2825,  3845,  5382,  5383,  4179,  4180,  5313,   721,
    3483,  3484,  2826,  2118,  2118,   852,  4892,  1990,  3191,    52,
    2325,  2327,   865,  3299,  5433,   865,   865,  3573,   854,  3574,
    3328,  3515,  3884,    49,  2118,  3324,  3799,   707,  1179,  1183,
     638,  4893,   639,  3454,  1187,  1200,    50,  3125,  2326,  1190,
    1205,  3528,  1226,   641,  2118,  3496,  2322,  1323,  4894,  3497,
    3498,  3499,  4895,  1226,   643,  1198,  3496,  1771,  1209,    51,
    3497,  3498,  3499,  2327,  3769,  3818,  5463,  1551,  1201,  3379,
    3381,  3382,  4896,   708,   854,  4897,   854,  3098,   854,  3098,
    2737,  2615,  3533,  3777,  3721,  3534,  3726,  3722,  3281,  3727,
    4898,   899,  3750,  1202,  3126,  3751,  1226,  3931,  2322,  3496,
    3932,  3553,  1210,  3497,  3498,  3499,  2585,  3415,  2586,  2325,
    4015,  3554,  4126,  1211,  3410,  1552,  1944,  4980,  1553,  3933,
    4081,  2324,  3934,  3594,  1548,  1212,  1213,  3594,  2325,  2391,
    3955,   180,  5496,  2118,  3877,  1214,  3880,  2326,  4000,  3458,
    1215,  4062,  3461,  1549,  4063,  3462,  4073,  4068,  4084,  4074,
    4159,  2118,  1220,  2937,  4227,  3609,  2326,  1226,  1222,  1348,
    3496,  1555,  2327,  3039, -2637, -2637, -2637,   595,  3868,  1621,
    3870,  4183,  4899,   866,  2662,  4399,   866,  4449,  2662,   866,
    4450,  2327,  4454,  4467,  4127,  4455,  1966,  1835,   854,  2190,
     830,  4487,  3127,  1550,  2118,  1341,  1323,  2322,  3954,  4516,
    4528,  1323,  2699,  2118,  4570,  4576,  1557,  2937,  4577,  1053,
    4582,  1053,  4583,  2662,  1344,  2662,  2322,  4128,  1349,  4722,
     180,  3500,  4723,  4900,  1323,  1323,  1323,  4778,  1558,  1323,
    4779,  3810,  4129,  1350,   830,  4602,  3282,  1323,  1323,  1323,
    1323,  1354,  4130,  3501,  4346,  3575,  4780,  3576,  1560,  2118,
    1323,  3939,  1362,  1323,  3501,  1323,  4222,  1368,  1367,  4787,
    4032,  4720,  2699,  4220,  1370,  1371,  1323,  1323,  4131,  4852,
    1323,  4938,  4853,  1382,  2662,  4981,  2325,  5002,  4982,  1551,
    2699,  3919,   901,  3920,  1323,  3283,  1323,  4142,  1323,  4804,
    5009,  1397,  1053,  5010,  4061,  4126,  5019,  3501,  5025,  1909,
    4339,  3905,  4340,  4008,  2326,  3502,  5027,  1398,  1323,  3905,
    4025,  5076,   816,  3128,  5077,    41,  3502,  5116,  4200,  3595,
    2082,  3129,  5149,  5161,  3130,  5150,  5150,  1552,  1401,  2327,
    1553,  4034,  3578,  3579,  3580,   816,  5464,  2324,  5465,  4104,
    2028,  2391,  3084,  1323,  4238,  5165,  5166,  5167,  2699,  3534,
    2118,    45,  3993,  1407,  4132,  5332,  4057,  1418,  1323,  3502,
    5178,  1449,  5184,  5179,  2322,  1909,  3107,  4127,  1370,  1474,
   -1640,  3592,  3595,  1555,  3623,  5187,  5202, -2279,  3905,  2662,
    1226,  1477,  1413,  3496,  2028,  3160,  1479,  3497,  3498,  3499,
    1969,  1381,    49,  1383,  5208,  4333,  4320,  2699,  1480,  5214,
    4128,  2817,  2699,  4266,  4082,    50,  5215,  5218,  5219,  2699,
    2118,  2118,  1323,  5220,  3098,  4129,  5221,  3566,  1557,  1944,
    3502,  1515,  2324,  5248,  3592,  4130,  5249,  5302,    51,  5306,
    5303,  5307,  1909,  3585,  2118, -2541,  5308,  1419,  1519,  2118,
    1558,  4805,    52,  4548,  1520,  4551,   854,  4205,   854,   854,
     854,  4131,  1521,  5310,  1532,  4323,  2118,   989,   991,  1534,
    1560,  1544,  2774,  2774,  2774,  2774,  1547, -1651,  2774,  2774,
    2774,  2774,  2774,  2774,  2774,  2774,  2774,  2774,  5328, -1651,
    5353,  5329,   852,  5354, -1651,  1582,  3585,  5384,   865,  1420,
    3905,   865,  2325,  1581,   865,  4065,  4511,  1597,  3503,  3504,
    3505,  1607,  3506,  3507,  3508,  3509,  3510,  3511,  1608,  3503,
    3504,  3505,  1611,  3506,  3507,  3508,  3509,  3510,  3511,  1616,
    2326,  1617,  3609,  1720,  2774,  2774, -2541,  5396,  2737,  1722,
    5032, -1651,  4243,  5422,  1723,  3594,  5150,  4132,  5461,  1728,
    5474,  5462,  3594,  2118,  1725,  2327,  5476,  3594,  1732,  5477,
    3594, -1651,  3503,  3504,  3505,  1733,  3506,  3507,  3508,  3509,
    3510,  3511,   816,  5494,  5502,  1741,  5303,  5477,  1742,  1748,
    1745,  1751,  1753,  1759,   836,  3594, -2541,  2325,  1762,    29,
    2322,  3501,  1764,  1755,  1773,  1421, -1692,  1774, -2541,  1778,
    1779, -1692, -1651, -2541,  -176,  1781,  1784,  1782, -2541,  1786,
    1802, -1651,  1787,  1809, -2541,  2326,  1816, -2541,   206,  1823,
    1828, -2541,  1830, -2637, -2637, -2637,  1829,  3506,  3507,  3508,
    3509,  3510,  3511,  1831,  1835,  1838,  1841,  1839,  1855,  1857,
    2327,  1869,  1870,  1873,   594,  1874,  1881,  1885,   837,  1422,
   -2541,  1887,  1888,  3502,  1890,  4464,  1423,  1892,  1226,  1898,
    1897,  3496,  1900,  1905,  1908,  3497,  3498,  3499, -1692,  1911,
   -2541,  1912,  1914,  1925,  1971,  2322,  1978,  1941,  1980,  1981,
    1323,  1987,  4518,    41,  1988, -1866,  1323, -1873,  1424,  1995,
    1997,  1996,    36,  1719,  1998,   854,  1999,   594,    52,  2001,
    3098,  3098,  2002,  2003, -1863, -1864,  2004, -1867,  2005, -1692,
    2006, -2541,  2008,  2009, -2541, -1865,  2010,  2011,   838,    45,
   -2541,  1425,  2012,  2013,  2014,  2036,  2015,  4373,  2037,  2017,
    2018,  2019, -2637, -2637, -2637,   816,   816,   816,  2020,  4696,
    2021,  2022,  4371,  4372,  2023,  2024,  2070,  3594,  2068, -1651,
    2072,  2086,   816,  1426,  2073,  1427,  2082,  2043,  1226,  2098,
      49,  3496,  2106,  2121,  2044,  3497,  3498,  3499,  2123,  1385,
    3594,  2154,  2167,    50,  1944,   816, -2541,  2166,  1387,  2168,
    2169,  2185,  4519,  2156,  1944,   816,   816,  2186,  2187,  2045,
     816,  2188,  2191,  3098,  2190,  4409,    51,  2192,  2193,  2194,
     756,  2195,   816,  2196,  1428,  2202,  3925,  2221,  2227,  2258,
      52, -1409,  2233, -1409,  1226,  2262,  3594,  3496,  2264,  3929,
    2265,  3497,  3498,  3499,  2267,  2266,  2269,  2270,  2774,  2286,
    2287,   752,  2300,  3953,  2299,  2288,   830,  2316,  2301,  2312,
    2318,  4497,  2319,  2322,  1548,  2321,  3503,  3504,  3505,  2320,
    3506,  3507,  3508,  3509,  3510,  3511,   839,  2329, -2541,  3501,
    2330,  2333,  2334,  1549,  4098,  2335,  2350,   854,  2344,  2340,
    4568,  2341,  3979,  2351,  2355,  3415,  2352,  2356,  2357,  2358,
    2361,  4609, -2541,  2364, -2541, -2541,  2367,  2368,  2378,  2385,
    4773,  2369,  2373,  2374,  2388,  1494,  2386,  2400,   816,  2046,
    2403,  2393,  2394,  2407,  2047,  2398,  2426,  2399,  2402,  2409,
    4668,   816,   180,  1550,   816,  1188,  2410,  2427,  2433,  2432,
   -2541,  3502,  2404, -2541, -2541, -2541,  2415,  4459,  4460,  4461,
    4462,  4463,  1969,  2416,  2428,  2438,  1323,  2454,  2442,   180,
    2465,  2050,  2461,  2467,  2468,  1323,  2470,  2474,  2475,  2476,
    2477,  1323,  3594,  1323,  2478,  2484,  1323,  2485,  2486,  3501,
    2487,  1323,  1323,  1323,  1323,  2488,  2469,  1323,  1323,  1323,
    1323,  1323,  1323,  1323,  1323,  1323,  1323,  2494,  2492,  2495,
    1323,  1323,  2500,  2503,  2504,   620,   829,  2507,  2052,  2521,
    1323,  2518,  2512,   830,  1323,  2532,  4741,  1566,  1323,  1551,
    4566,  3609,  2737,  2536,  2493,  2537,  1323,  2540,  2545,  1323,
    2556,  1323,   830,  2559,  2562, -2637,  2563,  2572,  3594,  2576,
    1323,  3502,  2582,  1323,  1323,  3609,  2584,  2579,  1323,  1323,
    2588,  2593,  2599,  4102,  2601,  1323,  4592,  2602,  2609,  2606,
    2610,  4502,   816,   816,   816,   595,  2611,  1552,  3595,  4124,
    1553,  2613,  2607,  4124,  4138,  4124,  4106,  4107,  4108,  4109,
    1323,  2391,  2612,  2620,  2622,  2623,  2624,  2625,  2638,  2639,
    2653,  2036,  4600,  2675,  2037,  4614,  2683,  3502,   992,  2054,
    2696,   184,  2709,  2742,  2747,  1323,  2791,  2797,   990,  2037,
    2801,  2810,  4539,  1555,  2830,  2816,  4629,  3592,  4681,  2850,
    3592,  2828,  2851,  2043,  4178,  1944,  1944,  2865,  2463,  2870,
   -2637,  2873,  2874,  2875,  3503,  3504,  3505,  2876,  3506,  3507,
    3508,  3509,  3510,  3511,  2889,   854,   854,   854,   854,   837,
    2901,  2903,  2904,  2918,  2902,  2045,  2920,  2927,  1557,  2929,
    2926,  2955,  2960,  2028,  2958,  2962,  3594,  2963,  2969,  4640,
    2974,  2979,  2980,  2982,  2295,  2984,  3592,  3005,  3594,  4113,
    1558,  4656,  4118,  2994,  2986,  2990,  3004,  4705,  3008,  3021,
    3022,  3027,  1338,  4232,  2392,  5000,  3045,  3046,  2055,  1342,
    1560, -2637, -2637, -2637,   180,  2059,  2060,  2061,  2062,  2063,
    2064,  3059,  3038,  3064,  3065,  3093,  3090,  3091,  3108,  3100,
    3112,  3132,  3545,  3609,  3136,  3192,  3204,  3215,  3230,  3235,
    3211,  5046,  3212,  3236,  3503,  3504,  3505,  5080,  3506,  3507,
    3508,  3509,  3510,  3511,   838,  3224,  3237,  3243,  4277,  3259,
    3272,  3271,  3286,  4647,  4648,  3288,  4650,  3290,  3248,  3301,
    3292,  3310,  3313,  3319,  3304, -2637,  4698,  3318,  3320,  3321,
   -2637,  3322,  3326,  3329,  3334,  3331,  2036,  3333,  5070,  2037,
    5072,  3337,  3338,  3356,  3357,  3359,  3360,  3361,  4317,  3363,
    3503,  3504,  3505,  3366,  3506,  3507,  3508,  3509,  3510,  3511,
    3369,  4745,  3368,  3370,  1862,  3594,  3384, -2637,  2043,  3399,
    4890,  3396,  3403,  3398,  3371, -2637,  3372,  3418,  3405,  3376,
     854,  3419,  3385,  3420,  3421,  3422,  1909,  1906,  1871,  3423,
    3431,  2710,  3433,   816,  3434,   854,  3435,  1323,  3445,  3442,
    2045,  1185,  3452,  3450,   816,  3459,  3457,  3460,  3456,  3478,
    4362,  3481, -2132,  3479,  2052,  3464,  3480,  3492,  1969,  3542,
    2295,  3485, -2543,  3547,  3486,  3488,  3491,  3514,  3530,  3520,
    3527,  2118,  3541,  3555,  3564,   816,  3605,  3619,  3565,  3595,
     594,  3567,  3594,   594,  3568,  3571,  3569,  3606,  3594,  3191,
    3611,  3617, -1719,  3628,  3616,  3633,  3640,  3636,  4410,  3635,
    3596,  3641,  3621,  3644,  3647,  3656,  3682,  3556,   816,  3649,
    3671,  3684,  2463,  4935,  3672,  4420,  3689,  3690,  3691,  1323,
    1323,  3707,  3688,  3694,  3706,  3709,  5225,  3717,  3715,  3716,
    3735,  3592,  3725,  3752,  5177,  3754,  3756,  3760,  3759,   594,
    3765,  1548,  3804,   899,  3763, -2637,  3783,  3098,  4839,  3098,
   -2637,  1966,  3767, -2543,  3768, -2637,   816,  3781,  3782,  3784,
    1549,  3785,  5008,  3786,  3788,  3787,  3789,  3796,  3415,  3800,
    1323,  3802,  5231,  5233,  3790,  3791,  3793,  3795,  2424,  3792,
    3813,  3814,  3794,  3797,  2774,  3806,  3807,  3809,  3815,  3820,
    3594,  3833, -2637,  3585,  3824,  3825,  3827,  3817,  4863,  3882,
    3885,  3886,  4858, -2543,  3835,  3888,  1323,  3875,  3890,  3876,
    1550,  4221,  3893,  3904,  3905, -2543,  3907,  1323,  2224,  3917,
   -2543,   180,  3914,  3923,  3924, -2543,  3928,  3930,  3943,  3952,
    3961, -2543,  3963,  1226, -2543,  3972,  3496,  3965, -2543,  2052,
    3497,  3498,  3499,  3980, -2637,  3927,  3959,  1323,  3999,  3988,
    1323,  2059,  2060,  2061,  2062,  2063,  2064,  4001,  1323,  1323,
    5180,  3986,  3960,  3989,  4741,  1323,  1323, -2543,  3973,  3990,
    1323,  5082,  3991,  4222,  3992,  1323,  4002,  5004,  1323,  1323,
    4012,  3994,  4003,  1323,  4527,  4013,  4014, -2543,  4016,  1323,
     816,   816,   816,   816,  4017,  4018,  1551,  4124,  4138,  4124,
    4019,  1323,  4124,  4020,  4024,  4541,  3517,  3496, -2131,  3595,
    1990,  3516,  4075,  3595,  4086,  5330,  2030,  4116,  4099,  4556,
    4144,  4058,  4140,  4033,  4157,  4154,  4059,  4087, -2543,  4162,
   -2637, -2543,  4060,  4067,   901,  4090,  4572, -2543,  4146,  4105,
    1969,  1323,  4117,  4150,  1552,  4125,  4148,  1553,  4170,  4191,
    4193,  4206,  4194,  4208,   747,  4199,  4207,  1323,  2391,  4209,
    4223,  3592,  4211,  4213,  4215,  3592,  4216,  4230,  4233,  4248,
    4245,  4246,  4260,  4261,  5065,  5066,  5225,  3098,  3098,  3799,
    4262,  5238,  4247,  4272,  4263,  4274,  4258,  4275,  4259,  4285,
    1555,  4286,  4291, -2543,   594,  2295,  4294,  4309,  4311,  4313,
    4221,  4324,  4316,  4325,  4605,  4327,  4354,  4328,  4368,  4613,
    4331,  4343,  4374,  4612,  4389,  4382,  4392,  2662,  4394,  4395,
    4401,  4388,  4890,  3585,  4411,  4417,  1969,  3585,  4418, -2637,
    4428,  1969,  1969,  4433,  3501,  1557,  2059,  2060,  2061,  2062,
    2063,  2064,  4436,  4434,  4437,  4438,  4439,  4446,   752,  4448,
    4452,  2036,  4465,  4469,  2037,  4471,  4441,  1558,  1323,  4442,
    5018,  4477,   597,  4500,  4489, -2133,  4544,  4503,  4504,  2774,
    4484,  5018,  4493,  4552,  4537, -2543,  4494,  1560,  4505,  4224,
     854,  4542,  4225,  2043,  4509,  4545,  4524,  4540,  4553,  4557,
   -2637,  4558,  4559,  2774,  4560,   854,  3502,  4567,  4565, -2543,
    4569, -2543, -2543,  4571,  4573,  5169,  4578,  5200,  4579,  5440,
    5441,  4584,  4588,  4607,  4608,  2045,  4611,  4617,  4618,  4619,
    4630,  4637,  5186,  4633,  4639,  5301,  5188,  1323,  5190,  4642,
    4651,  4643,  4669,  4660,  4659,  4672,  4673, -2543,  4665,  4679,
   -2543, -2543, -2543,   595,  5074,  4678,  4682,  4687,  5153,  2295,
    4688,  4693,  5069,  4697,  4694,  4695,  4701,  4703,  1944,  4711,
    4724,  4714,  4719,  4726,  1053,  4730,  4731,  4733,  4735,  4737,
    4746,   899,  4738,  1323,  4751,  4739,  4764,  4767,  4768,  4774,
    4775,  4777,  4091,  2322,  4808,  4798,   854,  4783,  3328,  4784,
    4785,  4786,  4801,  4717,  4812,  4792,  4830,  4833,  4844,  4827,
    4848,  4846,  4849,  4854,  4885,  4855,  4860,  4905,  4353,  4916,
    3609,  5197,  4914,  4923,  4866,  4864,  4867,  4941,  4871,  4876,
    4942,   899,   816,  4877,   594, -2637,  4878,  4917,   594,  4920,
   -2637,  4949,  4954,  4922,  3979,  4961,  4983,  4985,  4951,  3415,
    4757,  4759,  4959,  4986,  4987,  4994,   597,  4996,  5007,  5011,
    5017,  5021,  5024,  5028,  5032,   597,   874,  5030,  5041,  5049,
    5051,  5052,  5064,   597,  5058,   874,   597, -2637,  5098,  5096,
    5108,  5104,  5111,  1323,  5118,  5123,  5130,  5144,  5142,   874,
    5185,  5109,  5129,  5143,  5146,  5154,  5138,  5145,  5155,  3503,
    3504,  3505,  5157,  3506,  3507,  3508,  3509,  3510,  3511,   180,
    5156,  5176,  1323,  1323,  5159,  5168,  1323,  5189,  2774,  5193,
    5192,  5194,  5230,  5211,  2052,  5236,  5207,  5237,  5242,  5244,
    5247,   595,  5254,  5251,  4124,  5255,  5275,  5276,  3595,  5278,
    5284,  5285,  5288,  3595,  5297,  5277,  3595,   595,  5323,  3191,
    4100,  4814,  5325,  1323,  1323,  5299,   180,   180,  5305,  5315,
    5317,  5331,  5240,  1053,  5333,  5340,  5341,  2036,  5455,  5241,
    2037,  4178,   901,   854,   854,   854,  5360,  5380,  5342,  5375,
    5387,  5399,  5394,  3592,  5404,  5407,  5413,  4862,  5434,  5448,
    3592,  5444,  5442,  5467,  5466,  3592,  5470,  5471,  3592,  2043,
    5431,  5432,  5469,  5484,  5485,  5492, -2637,  5493,  5495,  1478,
    1372,  5497,  5498,  3295,  3603, -2637,  2439,  3165,  3089,  2105,
    3700,   866,   901,  3592,  4229,  4236,  5326,  3203,  3250,  4902,
    4904,  2045,  5455,  3832,  5224,  5405,  4370,  4960,  4677,  4934,
    3638,  3417,  5318,  4837,  2036,  5401,  5245,  2037,  5243,  5339,
    5455,  5418,  3585,  3643,  4421,  4400,  5205,  3585,  4363,  3269,
    3585,  3270,  4234,  3719,   866,  4387,  3892,   816,  4684,  1568,
    4699,  4940,  3260,  3900,  5367,  5369,  2043,  4945,  5406,  4362,
    5499,  5489,   816, -2637,  2774,  3838,  4918,   816,  4429,  3098,
    5344,  4865,  5060,  2511,  5213,  4868,  2295,   754,  4094,  4939,
    1963,  4466,  5036,  5460,  2581,  5069,  2932,  3629,  2045,  4430,
    2578,  2589,  5447,   816, -2637,  5152,  1054,  4410,  1130,  2703,
    2626,  2059,  2060,  2061,  2062,  2063,  2064,  2704,  3803,  2705,
    4264,   854,   816,  4178,  3896,  4831,  4284,  4975,  5365,  5483,
    2201, -2637,  2888,  1351,  2879,  1373, -2637,  2651,  2652,  4977,
    4993,  4760,  5373,  4456,  5367,  5369,  4178,  2078,  1323,  3607,
    2917,  3618,  4147,  5309,  2151,  2150,  2898,  5191,  1323,  4563,
    2916,  1323,  2155,  1323,  2119,  4095,   830,  4120,  4535,  4550,
    4114,  5175,  5023, -2637,  5174,  3592,  4115,  4457,  5486,  5386,
    5443,  5300,  1323,  5003,  2600,  4069,  4829,  5312,  1323,  5311,
    3473,  2855,  3595,  3562,  5385,   180,  4814,  3226,  3592,  3560,
       0,  2864,  1323,  1053,     0,     0,     0,     0, -2637,     0,
       0,  5035,     0, -2637,     0,     0,     0,     0,     0,     0,
    2052,     0,     0,     0,     0,     0,     0,     0,   816,     0,
    1944,     0,     0,   180,   899,     0,   594,     0,     0,     0,
       0,     0,     0,   594,  3592,     0,  5367,  5369,   594,     0,
   -2637,   594,  4810,     0,     0,  1323,     0,     0,     0,     0,
    1323,  1323,     0,     0,     0,   854,   854,   854,   854,     0,
       0,     0,     0,     0,     0,     0,   594,     0,     0,     0,
       0,     0,   874,  2774,  2774,     0,     0,     0,   874,     0,
       0,     0,     0,     0,     0,     0,  1323,  2052,     0,     0,
       0,   874,     0,   595,     0,     0,  3585,     0,     0,     0,
       0, -2637,     0,     0,     0,     0,  2028,   874,     0,     0,
       0,     0,   597,     0,     0,   816,   865,  1101,  3595,     0,
       0,   597,   874,     0,     0,     0,     0,     0,   597,     0,
     874,   597,     0,     0,     0,     0,  5132,     0,     0,     0,
       0,     0,     0,  1101,   874,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   874,     0,     0,     0,     0,   865,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3592,     0,     0,     0,     0,     0,     0,     0, -2637,     0,
       0,  1323,     0,     0,   595,     0,     0,  1323,     0,     0,
       0,  5183,     0,     0,     0,     0,     0,     0,  1323,     0,
   -2637,     0,  1323,     0,  1323,     0,  1323,  2059,  2060,  2061,
    2062,  2063,  2064,   854,     0,   901,     0,     0,  1481,     0,
       0,     0,     0,     0,  1482,     0,  1323,     0,   594,     0,
       0,     0,  3585,     0,     0,     0,  3592,   597,   597,     0,
       0,     0,   180,   874,     0,     0,     0,     0,     0,     0,
       0,   594,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1944,  1944,     0,     0,     0,  1484,   874,     0,   597,
       0,     0,     0,     0,     0,     0,     0, -2637,     0,     0,
     874,     0,     0,     0,  2059,  2060,  2061,  2062,  2063,  2064,
       0,     0,   854,     0,     0,     0,     0,   594,     0,  5259,
       0,     0,     0,  1323,     0,     0,     0,     0,     0,     0,
       0,     0,  5271,     0,     0,     0,  2336,     0,     0,     0,
    1486,     0,     0,     0,  4178,     0,  2036,  1487,     0,  2037,
    1488,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5286,     0,     0,  1323,  1323,  1323,     0,  5322,     0,
    3191,     0,     0,  1323,     0,  1489,     0,     0,  2043,     0,
       0,     0,     0,  1323,  3592, -2637,  5035,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3592,     0,     0,     0,
       0,     0,   866,     0,     0,     0,   597,   597,  1715,  1490,
    2045,     0,     0,     0,     0,   597,     0,   854,     0,     0,
       0,     0,  1101,     0,  1944,     0,   597,     0,  5110,     0,
       0,     0,   597,     0,     0,   597,     0,     0,     0,     0,
       0,     0,     0,     0,  5371,  5372,     0,  1101,     0,     0,
    2295,     0,     0,   594,     0,   595,     0,  5345,     0,     0,
       0,  1323,  1101,     0,     0,     0,     0,   180,  1491,     0,
    1492,  4178,     0,     0,     0,     0,     0,  4522,   866,   866,
    1493,     0,  3415,  1323,     0,  5370,     0,     0,   184,  1494,
       0,     0,     0,  1323,     0,  5368,     0,  5183,     0,     0,
       0,  1495,     0,     0,     0,     0,     0,   597,   597,   597,
       0,  2713,     0,     0,     0,     0,     0,   854,     0,   594,
   -2637,  5430,     0,  3592,     0, -2637,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2337,     0,     0,  1497,  1498,     0,     0,  1101,  5271,   854,
     854,     0,     0,     0,  4178,     0,     0,     0,     0,     0,
    2714,     0, -2637,   180,     0,  5370,     0,     0,   184,     0,
       0,     0,     0,  2338,     0,  5368,     0,     0,     0,     0,
       0,     0,  1323,  1323,   874,     0,     0,  1854,     0,     0,
       0,   180,  2715,  1323,     0,     0,     0,     0,  1323,     0,
    3592,     0,   874,     0,     0,     0,  3592,  1872,     0,  2052,
       0,     0,   597,     0,     0,  2716,     0,  1883,     0,     0,
     874,  1886,     0,     0,     0,  1889,  2717,  1891,  1323,     0,
       0,     0,     0,  1899,     0,     0,     0,     0,  1323,  1907,
    1500,     0,  1910,     0,     0,     0,  2718,   594,     0,     0,
     874,  2719,     0,   854,     0,     0,  4178,  5500,  5501,   594,
       0,     0,     0,     0,  1101,  5183,   874,  5370,     0,   595,
     184,  5429,     0,     0,     0,     0,     0,  5368,     0,     0,
       0,     0,   874,     0,     0,     0,   874,     0,     0,     0,
       0,   866,   866,     0,     0,     0,     0,     0,   597,     0,
   -2637,     0,  2720,     0,     0,     0,     0,     0,  3592,  -128,
       0,     0,     0,     0,     0,     0,     0,   865,     0,     0,
       0,     0,     0,  2721, -2558,     0,     0,     1,   597,     0,
       0,     0,     0,     0,     0,     0,     0,     2,     0,     3,
       4,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     5,   597,   597,   597,     0,
     597,     0,     0,     0,     6,     0,     0,     0,     0,     0,
    5348,     0,     0,   180,     0,     0,     7,     0,     8,     9,
     597,     0,     0,     0,     0,    10,   594,    11,     0,     0,
       0,   206,  2722,   865,   865,  2723,     0,     0,    12, -2637,
      13,     0,     0,     0,   874,     0,  2059,  2060,  2061,  2062,
    2063,  2064,   874,   874,     0, -2558,     0,    14,     0,     0,
      15,  2724,     0,     0,  2725,     0,   874,     0,     0,     0,
    2726,     0,     0,     0,    16,     0,    17,  2727,     0,     0,
      18,     0,     0,     0,     0,     0,    19,     0,   597,     0,
       0,     0,   597,   597,    20,     0,    21,     0,     0,     0,
       0,     0,    22,   594,     0, -2558,  2728,   597,     0,   594,
       0,     0,  2729,  1101,     0,  2730,     0, -2558,    23,  1715,
       0,     0, -2558,     0,     0,     0,     0, -2558,     0,     0,
       0,     0,     0, -2558,  2731,    24, -2558,     0,     0,     0,
   -2558,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2732,
     738,     0,     0,     0,     0,     0,   738,     0,     0, -2558,
       0,     0,     0,     0,     0,    25,    26,     0,     0,     0,
    1101,    27,     0,     0,     0,     0,     0,     0,     0, -2558,
       0,     0,     0,    28,     0,  1481,     0,     0,     0,     0,
       0,  1482,     0,     0,     0,    29,     0,     0,     0,     0,
       0,   594,     0,     0,  1483,     0,     0,     0,     0,     0,
    2036,  1101,     0,  2037,  5488,     0,     0,  2038,  2039,  2040,
   -2558,     0,     0, -2558,     0,     0,     0,     0,     0, -2558,
       0,    30,     0,  1484,  2041,     0,   865,   865,     0,    31,
       0,     0,  2043,     0,  1101,     0,     0,     0,     0,  2044,
       0,     0,     0,    32,     0,     0,     0,     0,     0,    33,
      34,     0,    35,     0,     0,     0,     0,    36,     0,     0,
       0,     0,    37,     0,  2045,    38,     0,     0,     0,     0,
       0,     0,    39,  1485,     0, -2558,     0,  1486,    40,    41,
       0,     0,     0,     0,  1487,     0,    42,  1488,     0,     0,
      43,     0,     0,   874,     0,     0,     0,     0,     0,     0,
      44,     0,     0,     0,     0,     0,     0,     0,   597,   597,
     597,     0,  1489,     0,     0,    45,  2036,     0,     0,  2037,
       0,     0,     0,  2038,  2039,  2040,     0,     0,     0,     0,
     752,     0,     0,     0,     0,    46,     0,     0,     0,     0,
    2041,     0,     0,     0,     0,    47,  1490,     0,  2043,     0,
       0,    48,     0,     0,     0,  2044,    49, -2558,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    50,
       0,     0,     0,     0,  2046,     0,     0,     0,     0,  2047,
    2045, -2558,     0, -2558, -2558,     0,     0,     0,     0,     0,
       0,     0,    51,     0,     0,     0,     0,     0,     0,     0,
       0,  2048,  2049,     0,     0,  1491,    52,  1492,     0,  -128,
       0,  1101,     0,     0,     0,     0,  2050,  1493,     0, -2558,
       0,     0, -2558, -2558, -2558,     0,  1494,     0,  1101,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1495,     0,
       0,  1715,     0,     0,     0,     0,  1101,     0,     0,  2051,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2052,     0,   874,  2053,     0,     0,     0,
       0,     0,     0,   874,     0,     0,     0,  1496,     0,     0,
    1497,  1498,     0,     0,     0,   874,     0,     0,     0,     0,
    2046,     0,     0,     0,     0,  2047,     0,     0,     0,     0,
       0,     0,  1101,     0,     0,     0,     0,     0,     0,   597,
    1499,     0,   597,     0,     0,  1101,     0,  2048,  2049,     0,
       0,   597,     0,     0,     0,     0,     0,  1101,     0,     0,
       0,     0,  2050,     0,     0,     0,     0,     0,     0,  1101,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2054,     0,   597,   597,     0,   874,
     874,     0,     0,     0,     0,  2051,     0,     0,     0,     0,
       0,   597,     0,   874,   597,     0,     0,  1500,     0,  2052,
       0,     0,  2053,  1101,  1101,     0,   874,   874,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2621,     0,     0,
       0,     0,   874,     0,     0,  2628,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2640,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   597,     0,     0,   597,
     597,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2055,     0,     0,  2056,  2057,  2058,     0,
    2059,  2060,  2061,  2062,  2063,  2064,     0,     0,     0,     0,
    2054,     0,     0,  3487,   597,     0,   597,     0,     0,     0,
       0,   597,   597,     0,     0,     0,     0,     0,   597,   597,
     597,     0,     0,     0,   597,     0,   597,   597,   597,   597,
     597,   597,     0,   597,     0,   597,   597,     0,     0,   597,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1101,   597,   597,   597,   597,  1715,     0,
       0,     0,   597,     0,     0,     0,   597,     0,     0,   597,
       0,     0,   597,   597,   597,   597,   597,   597,   597,   597,
     597,     0,   597,     0,     0,     0,     0,     0,     0,   597,
       0,   597,     0,     0,     0,     0,     0,     0,     0,  2055,
       0,     0,  2056,  2057,  2058,     0,  2059,  2060,  2061,  2062,
    2063,  2064,     0,     0,     0,  2036,     0,     0,  2037,  3537,
       0,     0,  2038,  2039,  2040,     0,     0,     0,   874,     0,
       0,     0,     0,     0,   597,     0,     0,     0,     0,  2041,
       0,     0,     0,     0,     0,     0,     0,  2043,     0,   597,
       0,     0,     0,     0,  2044,     0,     0,     0,   597,   597,
       0,  2877,     0,     0,     0,     0,     0,     0,     0,     0,
     738,     0,   738,     0,   738,     0,     0,     0,     0,  2045,
     738,  1173,  1174,   874,     0,     0,     0,     0,     0,     0,
    1101,  2035,     0,     0,  1101,  1101,  2036,     0,     0,  2037,
       0,   874,     0,  2038,  2039,  2040,  1715,   874,     0,     0,
       0,   874,     0,     0,     0,     0,     0,     0,     0,   874,
    2041,     0,     0,  2042,     0,     0,     0,     0,  2043,     0,
       0,  2235,     0,     0,     0,  2044,  2236,   874,     0,     0,
     597,     0,   872,     0,     0,     0,     0,     0,     0,     0,
       0,   908,   597,     0,     0,     0,  1101,     0,     0,   597,
    2045,     0,   597,   597,     0,   929,     0,     0,     0,     0,
    1101,  2237,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   874,  2238,     0,     0,     0,     0,  2046,
       0,     0,     0,     0,  2047,     0,     0,     0,     0,  2239,
       0,     0,   874,   874,     0,     0,     0,     0,     0,     0,
       0,  1101,     0,     0,     0,     0,  2048,  2049,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   738,     0,
       0,  2050,     0,     0,  1715,   874,     0,     0,  1715,     0,
    2240,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2241,     0,     0,     0,     0,     0,     0,     0,     0,
     874,     0,  1715,     0,  2051,     0,     0,   874,     0,     0,
    2046,  2242,     0,   874,     0,  2047,  2243,     0,  2052,  3347,
     874,  2053,     0,     0,   874,     0,     0,     0,     0,   874,
       0,     0,   664,     0,     0,     0,     0,  2048,  2049,     0,
    1452,   751,     0,     0,     0,     0,     0,     0,     0,   874,
       0,     0,  2050,     0,   874,     0,     0,     0,   874,     0,
       0,  1715,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   874,     0,     0,  1453,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   874,  2051,     0,     0,  2244,  1481,
       0,     0,     0,     0,   874,  1482,     0,     0,     0,  2052,
       0,     0,  2053,     0,     0,     0,     0,     0,     0,  2054,
       0,   597,   597,   597,     0,     0,     0,   597,     0,     0,
       0,     0,  2245,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1455,     0,     0,     0,  1484,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   597,
    1101,     0,     0,     0,     0,     0,   206,  2246,     0,  1715,
       0,     0,     0,     0,     0,     0,     0,     0,  1456,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2247,
    2054,  1486,     0,   597,     0,  2248,     0,     0,  1487,  3348,
       0,  1488,  2249,     0,  1457,  2250,     0,     0,  2055,     0,
       0,  2056,  2057,  2058,     0,  2059,  2060,  2061,  2062,  2063,
    2064,     0,     0,     0,     0,  2800,  1489,     0,     0,     0,
       0,     0,  1101,     0,     0,  1101,     0,  2251,  1458,     0,
     874,     0,   738,     0,  2252,     0,     0,     0,     0,   597,
       0,     0,  2253,     0,     0,     0,     0,     0,     0,  2254,
    1490,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1460,     0,     0,     0,     0,     0,  1423,     0,     0,     0,
    3362,     0,     0,     0,  2255,     0,     0,  3367,     0,  2055,
       0,     0,  2056,  2057,  2058,   874,  2059,  2060,  2061,  2062,
    2063,  2064,     0,     0,     0,     0,     0,  3386,  1010,     0,
       0,     0,    36,     0,  1010,     0,  3349,  3392,     0,  1491,
    3393,  1492,  3394,  3395,     0,  1463,  3397,  1010,     0,     0,
       0,  1493,  3401,  1464,  3402,     0,     0,  3404,     0,   874,
    1494,  2280,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1495,  1466,     0,  1101,     0,   874,     0,     0,
       0,     0,  1467,     0,     0,   874,  1468,     0,     0,   597,
       0,     0,  1101,     0,     0,   597,     0,     0,   597,     0,
       0,   597,     0,     0,     0,  3350,  1452,  1101,     0,     0,
       0,  1612,     0,     0,  1497,  1498,     0,     0,   597,     0,
       0,     0,  3453,   597,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1469,
    1453,     0,     0,  3351,  1613,     0,   597,   597,   597,   738,
       0,   597,     0,     0,   738,   738,     0,     0,     0,   597,
     597,   597,   597,     0,     0,     0,     0,  1715,   738,     0,
    1454,     0,   597,  1715,     0,   597,     0,   597,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   597,   597,
       0,     0,   597,     0,     0,     0,     0,     0,     0,  1455,
       0,     0,     0,     0,     0,     0,   597,     0,   597,     0,
     597,  1500,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     597,     0,     0,     0,  1456,  2036,     0,     0,  2037,     0,
       0,   597,  2038,  2039,  2040,     0,     0,     0,     0,   874,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2041,
       0,   738,     0,     0,     0,   597,     0,  2043,     0,     0,
    1457,   738,     0,     0,  2044,     0,     0,     0,     0,     0,
     597,     0,     0,     0,     0,     0,     0,     0,  2036,     0,
       0,  2037,     0,     0,   597,  2038,  2039,  2040,     0,  2045,
       0,     0,     0,  1101,  1458,     0,  1101,     0,  1101,     0,
       0,  1481,  2041,  1101,  1173,  1174,     0,  1482,     0,     0,
    2043,     0,     0,     0,     0,     0,     0,  2044,   874,   874,
    1583,     0,     0,     0,   597,  1459,  1460,     0,     0,     0,
       0,     0,  1423,     0,   986,     0,     0,     0,     0,     0,
       0,     0,  2045,     0,     0,   874,     0,   738,   874,  1484,
     738,   738,  1101,     0,     0,     0,     0,  3347,     0,     0,
       0,     0,     0,     0,  1461,     0,     0,     0,    36,  3648,
       0,  1101,  1462,     0,     0,     0,     0,     0,  1452,     0,
       0,  1463,     0,     0,     0,     0,  1052,   664,     0,  1464,
       0,     0,     0,     0,     0,     0,  1101,  1465,     0,  2046,
       0,  1584,     0,  1486,  2047,     0,     0,     0,     0,  1466,
    1487,     0,  1453,  1488,     0,     0,     0,     0,  1467,     0,
       0,     0,  1468,     0,     0,     0,  2048,  2049,     0,     0,
       0,     0,     0,  1715,  1715,  1715,     0,     0,  1489,     0,
       0,  2050,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2046,  3708,     0,  3710,   874,  2047,     0,     0,
       0,     0,     0,     0,     0,     0,  1101,     0,  1101,     0,
       0,  1455,  1490,     0,  2051,  1469,   874,     0,     0,  2048,
    2049,     0,     0,     0,  1197,     0,     0,     0,  2052,     0,
       0,  2053,     0,     0,  2050,   874,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1456,     0,     0,     0,
    1217,     0,     0,     0,     0,     0,     0,     0,  1326,     0,
       0,  1335,  1052,  1337,     0,     0,     0,  2051,     0,     0,
     738,  1491,     0,  1492,     0,     0,     0,  3348,     0,     0,
       0,  2052,  1457,  1493,  2053,     0,     0,     0,     0,     0,
       0,  2036,  1494,     0,  2037,     0,     0,  1101,  2038,  2039,
    2040,     0,     0,     0,  1495,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2041,  1458,   874,     0,  2054,
       0,     0,   597,  2043,     0,     0,     0,     0,   597,     0,
    2044,  3798,     0,     0,     0,     0,  1101,  3805,     0,     0,
       0,     0,     0,  1585,     0,     0,  1497,  1498,  1460,     0,
       0,     0,     0,     0,  1423,  2045,     0,     0,     0,     0,
       0,     0,     0,     0,  1715,  1101,     0,     0,     0,     0,
       0,   874,  2054,   874,     0,     0,  1586,  2595,     0,     0,
       0,     0,     0,     0,     0,     0,   874,  2603,   874,  2604,
      36,     0,     0,     0,  1462,  2608,     0,     0,     0,     0,
       0,     0,  2614,  1463,     0,     0,     0,     0,     0,     0,
    1715,  1464,     0,     0,     0,     0,     0,     0,  2055,  2280,
       0,  2056,  2057,  2058,     0,  2059,  2060,  2061,  2062,  2063,
    2064,  1466,     0,     0,  1101,  3834,     0,     0,     0,     0,
    1467,  3516,     0,  1500,  1468,     0,  3517,     0,     0,     0,
       0,     0,     0,     0,   874,  1101,     0,     0,     0,     0,
       0,     0,     0,  3350,     0,  2046,     0,     0,     0,  1101,
    2047,  2055,     0,     0,  2056,  2057,  2058,     0,  2059,  2060,
    2061,  2062,  2063,  2064,     0,     0,     0,     0,  4026,     0,
       0,     0,  2048,  2049,     0,     0,     0,  1469,     0,     0,
       0,  3351,     0,     0,     0,   874,     0,  2050,     0,     0,
    2036,     0,     0,  2037,     0,     0,     0,  2038,  2039,  2040,
       0,     0,     0,     0,     0,     0,     0,     0,  3962,     0,
    3964,     0,  3966,   874,  2041,     0,  2748,  2749,     0,     0,
    2051,  3970,  2043,  2763,  2764,     0,     0,     0,     0,  2044,
       0,     0,     0,     0,  2052,   874,     0,  2053,   874,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2802,     0,     0,  2045,     0,     0,     0,   597,     0,
       0,  1101,     0,     0,     0,     0,     0,   597,     0,     0,
       0,     0,  4010,   597,     0,   597,     0,     0,   597,     0,
       0,  1052,  1101,   597,   597,   597,   597,     0,     0,   597,
     597,   597,   597,   597,   597,   597,   597,   597,   597,  1052,
       0,     0,   597,   597,     0,     0,     0,  1101,     0,     0,
       0,     0,   597,     0,     0,     0,   597,     0,  1715,     0,
     597,     0,     0,     0,     0,  2054,     0,     0,   597,     0,
       0,   597,     0,   597,     0,  1968,     0,     0,     0,     0,
       0,  1101,   597,     0,     0,   597,   597,     0,     0,     0,
     597,   597,     0,     0,     0,     0,  1481,   597,     0,     0,
    2907,  2907,  1482,     0,  2046,  1052,     0,   597,     0,  2047,
     597,     0,     0,     0,     0,     0,     0,     0,  2036,     0,
       0,  2037,   597,     0,     0,  2038,  2039,  2040,     0,     0,
       0,  2048,  2049,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2041,     0,  1484,     0,  2050,   597,     0,     0,
    2043,     0,     0,     0,  1101,     0,     0,  2044,     0,  2437,
       0,   738,     0,     0,  2055,     0,   597,  2056,  2057,  2058,
       0,  2059,  2060,  2061,  2062,  2063,  2064,     0,     0,  2051,
       0,  2032,  2045,     0,     0,     0,     0,     0,     0,     0,
    2034,     0,     0,  2052,     0,     0,  2053,   874,  1486,     0,
       0,     0,     0,     0,  2076,  1487,     0,     0,  1488,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1052,     0,     0,  2093,  2094,     0,     0,
       0,  1052,  1052,  1489,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1052,     0,     0,  1715,     0,
       0,     0,  1481,  1715,  1101,  1715,  3041,     0,  1482,     0,
       0,     0,     0,     0,     0,     0,     0,  1490,     0,     0,
       0,  1583,     0,     0,     0,     0,     0,  1715,  1101,     0,
       0,     0,     0,     0,  2054,     0,     0,     0,     0,     0,
       0,     0,  2046,     0,     0,     0,  1715,  2047,     0,     0,
    1484,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   874,     0,     0,   874,     0,     0,     0,  2048,
    2049,     0,     0,     0,     0,     0,  1491,     0,  1492,     0,
       0,  2522,     0,     0,  2050,     0,     0,   738,  1493,  2539,
       0,     0,     0,     0,     0,   738,     0,  1494,   738,     0,
       0,  2437,  1584,     0,  1486,     0,     0,     0,     0,  1495,
       0,  1487,     0,     0,  1488,     0,     0,  2051,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   597,
       0,  2052,     0,  2055,  2053,     0,  2056,  2057,  2058,  1489,
    2059,  2060,  2061,  2062,  2063,  2064,  1452,     0,  2259,     0,
    4078,  1497,  1498,     0,   874,   874,     0,     0,  1101,     0,
       0,     0,     0,     0,   874,     0,     0,     0,     0,     0,
       0,   597,     0,  1490,     0,     0,  2619,     0,     0,     0,
    1453,  2260,     0,   874,     0,     0,     0,  2036,     0,     0,
    2037,     0,     0,     0,  2038,  2039,  2040,     0,     0,     0,
       0,  2396,     0,  2437,     0,     0,  1101,  2401,     0,     0,
    1101,   597,   597,     0,     0,     0,     0,     0,     0,  2043,
       0,     0,  2054,     0,     0,     0,  2044,     0,  2036,     0,
       0,  2037,  1491,     0,  1492,  2038,  2039,  2040,     0,  1455,
       0,     0,     0,     0,  1493,     0,     0,     0,  1500,     0,
       0,  2045,  2041,  1494,     0,     0,     0,     0,     0,     0,
    2043,     0,   597,     0,     0,  1495,     0,  2044,     0,     0,
       0,     0,     0,   874,  1456,     0,     0,     0,  4445,     0,
       0,     0,  4447,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2045,     0,     0,     0,     0,     0,   597,     0,
       0,     0,     0,     0,  3162,     0,     0,  1497,  1498,   597,
    1457,     0,     0,     0,  3373,  3375,     0,     0,     0,     0,
    3383,  2055,     0,     0,  2056,  2057,  2058,     0,  2059,  2060,
    2061,  2062,  2063,  2064,     0,     0,     0,  3163,  4172,   597,
       0,     0,   597,     0,  1458,     0,     0,     0,     0,     0,
     597,   597,     0,  1101,     0,     0,     0,   597,   597,     0,
       0,  2046,   597,  1101,     0,     0,  2047,   597,     0,     0,
     597,   597,     0,     0,     0,   597,  1460,     0,     0,     0,
       0,   597,  1423,   738,     0,     0,     0,     0,  2048,  2049,
       0,     0,     0,   597,     0,     0,     0,     0,     0,     0,
       0,   597,  2046,  2050,  1500,   597,     0,  2047,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2533,    36,     0,
    2279,  2538,  1462,     0,     0,     0,     0,     0,     0,  2048,
    2049,  1463,     0,   597,     0,     0,  2051,     0,     0,  1464,
       0,     0,     0,     0,  2050,     0,     0,  2280,     0,   597,
    2052,     0,     0,     0,     0,     0,     0,     0,     0,  1466,
       0,     0,     0,     0,     0,     0,     0,  1101,  1467,  2923,
       0,     0,  1468,     0,     0,     0,     0,  2051,     0,     0,
       0,     0,     0,     0,   874,     0,     0,  2939,     0,  1715,
       0,  2052,     0,  2943,  2053,     0,     0,  2946,     0,     0,
    4591,     0,     0,     0,     0,     0,  1101,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   874,  2970,     0,  1469,     0,  1101,     0,     0,
       0,     0,     0,     0,   874,     0,     0,     0,     0,     0,
       0,  2054,  4615,  4616,     0,     0,     0,     0,     0,     0,
     597,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1481,   874,     0,     0,     0,     0,  1482,     0,     0,  3025,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3601,
       0,   738,  2054,     0,     0,     0,     0,     0,  1010,     0,
       0,     0,  1101,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3614,  3614,     0,     0,  1484,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   597,
       0,  3075,     0,     0,     0,     0,     0,     0,  4657,  4658,
       0,     0,     0,     0,     0,   597,  2759,     0,     0,     0,
    2055,     0,     0,  2056,  2057,  2058,  3103,  2059,  2060,  2061,
    2062,  2063,  2064,  3113,     0,     0,     0,     0,   874,  3118,
       0,     0,  1486,     0,     0,   597,  1010,     0,     0,  1487,
    3133,     0,  1488,     0,     0,  3137,     0,     0,     0,     0,
       0,  2055,     0,     0,  2056,  2057,  2058,     0,  2059,  2060,
    2061,  2062,  2063,  2064,     0,  3150,     0,  1489,  4485,     0,
    3152,     0,     0,     0,  3155,     0,     0,     0,     0,     0,
    1101,     0,  1101,     0,     0,     0,     0,  3172,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2872,     0,     0,
    3197,  1490,     0,     0,     0,     0,     0,     0,     0,     0,
    1010,     0,     0,     0,     0,     0,     0,   874,     0,     0,
       0,     0,  4753,     0,  4754,  4755,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   597,     0,     0,     0,  1101,
       0,     0,     0,     0,     0,     0,  2036,     0,     0,  2037,
       0,  4769,     0,  2038,  2039,  2040,     0,     0,     0,     0,
    1491,     0,  1492,     0,   597,   597,     0,     0,   597,     0,
    2041,     0,  1493,     0,     0,     0,     0,     0,  2043,     0,
       0,  1494,     0,   597,     0,  2044,     0,     0,     0,     0,
     597,     0,     0,  1495,     0,   597,     0,     0,   597,   597,
       0,     0,     0,     0,     0,   597,   597,     0,  1052,     0,
    2045,     0,     0,     0,     0,     0,     0,   874,     0,   874,
       0,     0,     0,   597,     0,     0,     0,   603,     0,     0,
       0,     0,  3034,   653,   603,  1497,  1498,     0,     0,   705,
       0,   603,     0,     0,     0,     0,     0,   603,     0,     0,
     760,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1101,   874,  1499,     0,     0,     0,   827,
     827,     0,     0,   597,     0,     0,     0,     0,     0,  1337,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2036,     0,     0,  2037,     0,     0,     0,  2038,
    2039,  2040,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1715,     0,     0,     0,     0,   597,     0,     0,     0,
    2046,     0,     0,     0,  2043,  2047,     0,     0,     0,     0,
       0,  2044,  1500,     0,     0,     0,     0,   738,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2048,  2049,     0,
       0,     0,     0,     0,     0,  3430,  2045,     0,  1337,     0,
       0,  3881,  2050,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4964,  3444,     0,  1337,     0,     0,     0,     0,
       0,  3430,     0,     0,     0,   597,     0,  1101,     0,     0,
       0,     0,     0,     0,     0,  2051,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   597,  2052,
     597,     0,  2053,     0,     0,     0,   861,     0,     0,     0,
     597,  1101,     0,   597,   903,   597,     0,   905,     0,     0,
     910,   911,     0,   914,     0,   916,  3200,     0,   922,     0,
     924,  1481,     0,     0,   597,     0,  3956,  1482,     0,     0,
     597,  4999,     0,     0,   597,     0,     0,     0,     0,     0,
    1101,     0,     0,     0,   597,     0,  2046,     0,     0,     0,
    3229,  2047,     0,  3229,     0,  3229,     0,     0,     0,  3229,
       0,  3229,  3229,     0,     0,     0,     0,     0,     0,  1484,
    3229,  3229,  3229, -2637, -2637,     0,     0,     0,     0,  1715,
    2054,     0,     0,     0,     0,     0,     0,  1101,  2050,     0,
       0,     0,  1101,  1101,     0,  5038,     0,   597,     0,     0,
       0,     0,   597,   597,   874,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   874,   738,     0,     0,
    1481, -2637,     0,  1486,     0,  3305,  1482,     0,     0,     0,
    1487,     0,     0,  1488,     0,  2052,     0,     0,   597,     0,
       0,     0,     0,     0,     0,   597,     0,  5075,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3336,  1489,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1484,  1052,
     597,     0,     0,     0,     0,     0,     0,     0,     0,  2055,
       0,     0,  2056,  2057,  2058,     0,  2059,  2060,  2061,  2062,
    2063,  2064,  1490,     0,     0,     0,  4523,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1101,  1101,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1486,     0,  1052,     0,  2054,     0,     0,  1487,
       0,  3650,  1488,   597,     0,     0,   597,     0,     0,   597,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     597,  1491,     0,  1492,   597,     0,   597,  1489,   597,     0,
       0,     0,     0,  1493,     0,     0,     0,     0,     0,     0,
       0,     0,  1494,     0,     0,     0,     0,     0,   597,     0,
    2036,     0,     0,  2037,  1495,     0,     0,  2038,  2039,  2040,
       0,  1490,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1715,  2041,   874,     0,     0,     0,     0,
       0,     0,  2043,     0,     0,     0,     0,     0,     0,  2044,
       0,     0,     0,  3206,     0,  2055,  1497,  1498,  2056,  2057,
    2058,     0,  2059,  2060,  2061,  2062,  2063,  2064,     0,     0,
       0,     0,  3730,     0,  2045,     0,     0,     0,     0,     0,
    1491,     0,  1492,     0,     0,   597,  3207,     0,     0,     0,
       0,     0,  1493,     0,   597,     0,     0,     0,     0,     0,
       0,  1494,     0,     0,     0,     0,   597,     0,     0,     0,
       0,     0,     0,  1495,     0,     0,   738,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   597,   597,   597,     0,
       0,     0,     0,     0,     0,   597,  1715,     0,     0,  1101,
     738,     0,     0,     0,     0,   597,     0,   738,     0,     0,
     874,     0,  1004,  1500,     0,  1497,  1498,     0,     0,  1017,
    1018,     0,     0,  1024,   597,  1027,  1028,     0,     0,     0,
    1030,     0,     0,     0,     0,     0,     0,   874,     0,     0,
       0,  1049,     0,     0,  2046,  1499,     0,     0,  1052,  2047,
       0,     0,     0,  3811,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2048,  2049,     0,     0,     0,     0,   597,     0,     0,
    1126,     0,  1128,   597,     0,     0,  2050,     0,     0,  1173,
    1174,     0,  1144,   597,     0,     0,     0,     0,     0,     0,
     597,   597,     0,     0,     0,   597,     0,     0,     0,     0,
       0,     0,  1500,     0,     0,   597,     0,     0,     0,  2051,
       0,     0,     0,     0,     0,   603,     0,     0,     0,     0,
       0,     0,     0,  2052,     0,     0,  2053,     0,     0,     0,
       0,     0,     0,     0,     0,   874,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1052,     0,     0,
       0,     0,     0,     0,  5397,     0,     0,     0,     0,     0,
     597,     0,     0,     0,     0,     0,   597,     0,   738,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2036,
       0,     0,  2037,     0,   597,   597,  2038,  2039,  2040,     0,
       0,     0,     0,   827,     0,   597,     0,     0,     0,     0,
     597,     0,     0,  2041,  2054,     0,     0,  1481,     0,  1715,
       0,  2043,     0,  1482,     0,     0,     0,     0,  2044,     0,
       0,  2437,   738,     0,  2036,     0,     0,  2037,  3724,  1443,
     597,  2038,  2039,  2040,     0,     0,     0,     0,     0,     0,
     597,     0,     0,  2045,     0,     0,     0,     0,  2041,  3995,
       0,     0,     0,     0,     0,  1484,  2043,     0,   597,     0,
       0,     0,     0,  2044,     0,     0,     0,     0,     0,     0,
       0,   597,     0,  1715,  4011,     0,     0,     0,     0,     0,
       0,     0,  3762,     0,     0,     0,     0,     0,  2045,     0,
       0,  1715,     0,   597,   597,     0,     0,     0,     0,     0,
       0,  1615,     0,  2055,     0,     0,  2056,  2057,  2058,  1486,
    2059,  2060,  2061,  2062,  2063,  2064,  1487,     0,     0,  1488,
    4772,     0,  1726,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1737,     0,     0,     0,     0,  1740,
       0,     0,     0,     0,  1489,     0,     0,     0,  3801,  1743,
       0,     0,  2036,  2046,  1747,  2037,     0,     0,  2047,  2038,
    2039,  2040,     0,  1750,     0,     0,     0,     0,  1757,     0,
       0,  1761,     0,     0,     0,     0,  2041,     0,  1490,     0,
    2048,  2049,     0,     0,  2043,     0,     0,     0,     0,     0,
    3229,  2044,     0,     0,     0,  2050,     0,     0,  2046,     0,
       0,     0,     0,  2047,  3831,  3831,     0,     0,     0,     0,
       0,     0,     0,  1815,  3847,     0,  2045,     0,     0,     0,
    1052,     0,  1052,     0,     0,  2048,  2049,     0,  2051,     0,
       0,     0,  1452,     0,     0,     0,     0,  1491,     0,  1492,
    2050,     0,  2052,   738,     0,  2053,     0,     0,   738,  1493,
       0,     0,   738,     0,     0,     0,     0,     0,  1494,     0,
       0,     0,     0,  1481,     0,     0,  1453,     0,  3903,  1482,
    1495,     0,     0,  2051,     0,     0,     0,  4627,  4628,     0,
       0,     0,  4631,  4632,     0,     0,     0,  2052,     0,     0,
    2053,     0,     0,  4201,     0,     0,  1522,     0,     0,     0,
       0,     0,  3938,  1052,     0,     0,     0,     0,     0,  3676,
       0,  1484,  1497,  1498,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1455,  2046,     0,     0,     0,
     603,  2047,   603,  2054,   603,     0,   603,     0,   603,   603,
     603,     0,  3677,     0,     0,   603,     0,     0,     0,     0,
       0,     0,     0,  2048,  2049,     0,  1964,     0,     0,     0,
    1456,     0,     0,     0,     0,  1486,     0,     0,  2050,     0,
       0,     0,  1487,     0,  2036,  1488,  1977,  2037,  2054,     0,
       0,  2038,  2039,  2040,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1457,     0,  2041,     0,
    1489,  2051,     0,     0,     0,     0,  2043,     0,  4299,  1500,
       0,  4302,     0,  2044,     0,  2052,     0,     0,  2053,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1458,     0,  2055,     0,  1490,  2056,  2057,  2058,  2045,  2059,
    2060,  2061,  2062,  2063,  2064,     0,     0,     0,     0,  4782,
       0,  2036,     0,     0,  2037,     0,     0,     0,  2038,  2039,
    2040,  1523,  1460,     0,     0,     0,     0,     0,  1423,     0,
       0,     0,     0,     0,     0,  2041,     0,  2055,     0,     0,
    2056,  2057,  2058,  2043,  2059,  2060,  2061,  2062,  2063,  2064,
    2044,     0,     0,  1491,  4791,  1492,  4079,     0,     0,     0,
    1524,     0,     0,     0,    36,  1493,  2054,     0,  1462,     0,
    4384,     0,     0,     0,  1494,  2045,     0,  1463,     0,     0,
       0,     0,     0,     0,     0,  1464,  1495,     0,     0,  2437,
       0,   867,   876,  1525,     0,     0,   827,     0,     0,   867,
       0,   876,   867,     0,     0,  1466,     0,     0,  2046,     0,
       0,     0,     0,  2047,  1467,   876,     0,     0,  1468,     0,
       0,     0,     0,     0,     0,  3732,     0,     0,  1497,  1498,
       0,     0,     0,     0,     0,  2048,  2049,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2050,     0,     0,     0,     0,     0,     0,     0,  3733,     0,
       0,     0,     0,     0,     0,  2055,     0,     0,  2056,  2057,
    2058,  1469,  2059,  2060,  2061,  2062,  2063,  2064,  2257,  3430,
       0,     0,  4794,  2051,     0,  2046,     0,     0,     0,     0,
    2047,     0,     0,     0,     0,     0,     0,  2052,     0,     0,
    2053,     0,     0,     0,     0,   738,     0,     0,     0,     0,
       0,     0,  2048,  2049,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1500,     0,  2050,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2036,     0,     0,
    2037,     0,     0,  3847,  2038,  2039,  2040,     0,     0,  2348,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2051,  2041,     0,     0,     0,     0,     0,  4270,     0,  2043,
       0,     0,     0,     0,  2052,  4278,  2044,  2053,  4279,     0,
    4280,     0,     0,     0,     0,     0,     0,     0,  2054,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2045,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2036,     0,  4319,  2037,     0,     0,     0,  2038,  2039,  2040,
       0,     0,     0,     0,     0,  3229,     0,     0,  2036,  3229,
    3229,  2037,  3229,     0,  2041,  2038,  2039,  2040,     0,     0,
       0,     0,  2043,     0,     0,     0,     0,     0,     0,  2044,
       0,     0,  2041,     0,     0,  2054,     0,     0,     0,     0,
    2043,     0,     0,     0,     0,     0,     0,  2044,     0,     0,
       0,     0,     0,     0,  2045,     0,     0,  2055,     0,     0,
    2056,  2057,  2058,     0,  2059,  2060,  2061,  2062,  2063,  2064,
       0,     0,  2045,     0,  4835,     0,     0,     0,     0,     0,
       0,  2046,     0,     0,     0,     0,  2047,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4624,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2048,  2049,
    4634,     0,  4424,     0,     0,  3847,     0,     0,     0,     0,
       0,     0,     0,  2050,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2055,     0,     0,  2056,  2057,  2058,
       0,  2059,  2060,  2061,  2062,  2063,  2064,     0,   738,     0,
       0,  4870,     0,     0,     0,     0,  2051,     0,     0,     0,
       0,     0,     0,  2506,  2046,     0,     0,     0,     0,  2047,
    2052,     0,     0,  2053,     0,     0,     0,     0,     0,     0,
       0,     0,  2046,     0,     0,     0,     0,  2047,   876,     0,
       0,  2048,  2049,     0,   876,     0,     0,  4474,  4474,  4474,
       0,  4474,  4474,  4474,  4474,  4474,  2050,   876,     0,  2048,
    2049,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   876,  2050,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   867,   876,  2051,
       0,     0,     0,     0,   867,     0,   876,   867,     0,     0,
       0,     0,     0,  2052,     0,     0,  2053,  2051,     0,     0,
     876,  2054,     0,     0,     0,     0,     0,     0,     0,     0,
     876,  2052,     0,     0,  2053,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2632,
       0,  2633,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2644,     0,
    2645,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3430,     0,     0,   603,  5222,   603,     0,
     603,  4562,   603,  4564,   603,     0,     0,     0,   603,     0,
       0,     0,     0,     0,  2054,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   876,
    2055,     0,  2054,  2056,  2057,  2058,     0,  2059,  2060,  2061,
    2062,  2063,  2064,     0,     0,     0,     0,  4910,     0,     0,
       0,     0,     0,   876,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   876,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3430,     0,  3430,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2055,     0,     0,  2056,  2057,  2058,     0,
    2059,  2060,  2061,  2062,  2063,  2064,     0,     0,     0,     0,
    5216,  2055,     0,     0,  2056,  2057,  2058,     0,  2059,  2060,
    2061,  2062,  2063,  2064,     0,     0,     0,     0,  5239,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4654,
    4655,     0,     0,     0,  1717,     0,     0,     0,     0,     0,
    3229,     0,  3229,  3229,     0,     0,  3229,     0,     0,     0,
       0,     0,   867,     0,     0,     0,     0,     0,   867,     0,
       0,   867,     0,     0,     0,     0,     0,     0,  2036,     0,
       0,  2037,     0,     0,     0,  2038,  2039,  2040,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2041,     0,     0,     0,     0,  2924,  2925,     0,
    2043,     0,     0,     0,     0,     0,     0,  2044,     0,     0,
    4713,     0,     0,     0,     0,     0,  2940,  2941,     0,     0,
       0,  2944,  2945,     0,     0,     0,  2948,     0,     0,     0,
       0,     0,  2045,     0,     0,     0,     0,     0,     0,     0,
    2959,     0,     0,     0,     0,     0,     0,  2968,  4740,     0,
       0,  2971,  2972,     0,     0,  2975,  2976,     0,     0,     0,
       0,     0,  2981,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3000,     0,  3002,
       0,     0,     0,     0,     0,     0,     0,     0,  2036,     0,
       0,  2037,  4474,     0,     0,  2038,  2039,  2040,  3026,     0,
       0,  5453,     0,  3028,     0,     0,     0,     0,     0,     0,
     876,     0,  2041,     0,     0,     0,     0,  3033,     0,     0,
    2043,     0,     0,     0,     0,     0,  3040,  2044,   876,  3044,
       0,     0,  3047,  3050,  3052,     0,     0,     0,     0,  3060,
    3063,     0,  2046,     0,     0,     0,   876,  2047,     0,  3076,
       0,     0,  2045,     0,  3085,     0,     0,     0,  3088,     0,
       0,     0,     0,     0,     0,  5453,     0,     0,     0,  2048,
    2049,     0,     0,     0,  3104,     0,   876,     0,     0,     0,
       0,  3114,  3115,  5453,  2050,     0,     0,  3119,     0,     0,
       0,     0,   876,     0,     0,     0,     0,     0,  3134,  3135,
       0,   875,     0,  3138,     0,     0,     0,     0,   876,     0,
     875,     0,   876,     0,     0,  3145,     0,  2051,  3148,     0,
       0,     0,     0,  3151,   875,     0,     0,     0,  3153,  3154,
       0,  2052,  3847,  3157,  2053,     0,  3161,     0,     0,     0,
    3168,  3169,  3170,  3171,     0,  3173,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3198,  3199,
       0,  3201,  2046,     0,     0,     0,     0,  2047,     0,     0,
    2036,  3209,  3210,  2037,     0,  3229,     0,  2038,  2039,  2040,
       0,     0,     0,     0,  4903,     0,     0,     0,     0,  2048,
    2049,     0,     0,     0,  2041,     0,     0,     0,     0,     0,
       0,     0,  2043,     0,  2050,     0,     0,     0,     0,  2044,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2054,     0,     0,     0,     0,     0,     0,     0,
     876,     0,     0,  3263,  2045,     0,     0,  2051,   876,   876,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2052,   876,     0,  2053,     0,     0,     0,  1481,     0,
       0,  3300,     0,     0,  1482,     0,  1481,     0,     0,     0,
       0,  1548,  1482,     0,     0,     0,     0,     0,     0,  1548,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1549,     0,     0,     0,     0,   879,     0,     0,  1549,     0,
       0,     0,     0,     0,     0,  1717,  1484,   913,     0,     0,
       0,     0,     0,     0,  1484,     0,     0,     0,   931,     0,
       0,  2055,     0,     0,  2056,  2057,  2058,     0,  2059,  2060,
    2061,  2062,  2063,  2064,     0,     0,     0,     0,  5347,     0,
    1550,     0,  2054,     0,  2046,     0,     0,     0,  1550,  2047,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1486,     0,     0,     0,     0,     0,     0,  1487,  1486,     0,
    1488,  2048,  2049,     0,     0,  1487,  3430,     0,  1488,     0,
       0,     0,     0,     0,     0,     0,  2050,     0,     0,     0,
       0,     0,     0,     0,     0,  1489,     0,     0,     0,     0,
       0,     0,     0,  1489,     0,  1052,     0,     0,     0,  5084,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2051,
       0,     0,     0,     0,     0,     0,  1551,     0,     0,  1490,
       0,     0,     0,  2052,  1551,     0,  2053,  1490,     0,     0,
       0,  2055,     0,     0,  2056,  2057,  2058,     0,  2059,  2060,
    2061,  2062,  2063,  2064,     0,     0,     0,     0,  5417,     0,
       0,     0,  2036,     0,  3466,  2037,     0,     0,     0,  2038,
    2039,  2040,     0,     0,  1552,     0,     0,  1553,     0,     0,
       0,     0,  1552,     0,     0,  1553,  2041,     0,  1554,     0,
    1492,     0,     0,     0,  2043,     0,  1554,     0,  1492,   876,
    1493,  2044,     0,     0,     0,     0,     0,     0,  1493,  1494,
       0,     0,     0,     0,     0,     0,     0,  1494,     0,     0,
    1555,  1495,     0,     0,  2054,     0,  2045,   875,  1555,  1495,
       0,     0,     0,   875,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   875,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1556,     0,   875,  1497,  1498,  1557,     0,     0,  3139,     0,
       0,  1497,  1498,  1557,     0,     0,     0,   875,     0,     0,
       0,     0,     0,     0,     0,   875,     0,  1558,     0,     0,
       0,     0,     0,  1559,  1052,  1558,     0,     0,  5228,   875,
    5229,  3140,     0,     0,  5234,  5235,     0,  1560,     0,   875,
       0,     0,     0,     0,     0,  1560,     0,     0,     0,     0,
       0,     0,     0,  2055,     0,     0,  2056,  2057,  2058,     0,
    2059,  2060,  2061,  2062,  2063,  2064,  2046,     0,     0,     0,
    5473,  2047,     0,     0,     0,     0,     0,  1717,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1500,     0,     0,  2048,  2049,     0,     0,     0,  1500,     0,
       0,   876,     0,     0,     0,     0,     0,     0,  2050,   876,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   876,     0,     0,     0,     0,     0,     0,   875,     0,
       0,   945,     0,     0,     0,     0,     0,   993,     0,  3651,
       0,  2051,     0,  3653,     0,     0,     0,     0,     0,  3655,
       0,     0,   875,     0,     0,  2052,     0,     0,  2053,     0,
       0,     0,     0,     0,     0,   875,     0,  3666,  3668,     0,
       0,     0,  3668,     0,     0,     0,     0,  3679,  3680,  3681,
       0,  3683,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   867,   867,  2036,   876,   876,  2037,     0,     0,
       0,  2038,  2039,  2040,  3705,     0,     0,   867,     0,   876,
     867,     0,     0,     0,  3711,  3712,  3713,  3714,  2041,     0,
       0,     0,   876,   876,     0,     0,  2043,     0,     0,     0,
       0,     0,     0,  2044,     0,     0,     0,     0,   876,     0,
       0,     0,     0,     0,     0,     0,  2054,     0,     0,     0,
    3731,     0,     0,  3736,  3737,  3738,     0,     0,  2045,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3758,   867,  1716,  1052,   867,   867,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3766,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1452,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1330,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1353,     0,  1453,
       0,     0,     0,     0,     0,  2055,     0,     0,  2056,  2057,
    2058,     0,  2059,  2060,  2061,  2062,  2063,  2064,  5454,  1377,
       0,     0,  5487,  3808,  1717,     0,     0,     0,  2046,  1539,
       0,  3812,     0,  2047,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   853,   855,
       0,     0,   859,     0,     0,  2048,  2049,     0,  1455,     0,
    2036,     0,  3826,  2037,     0,  1512,     0,  2038,  2039,  2040,
    2050,     0,   915,     0,     0,     0,     0,     0,     0,   925,
       0,     0,  5454,     0,  2041,  3869,     0,     0,     0,     0,
       0,     0,  2043,  1456,   876,     0,     0,     0,     0,  2044,
    5454,     0,     0,  2051,     0,     0,     0,     0,     0,   875,
       0,     0,     0,     0,     0,     0,     0,  2052,     0,     0,
    2053,     0,     0,     0,  2045,     0,     0,   875,     0,  1457,
       0,     0,     0,     0,     0,     0,     0,  3906,     0,     0,
       0,     0,  3912,     0,     0,   875,     0,     0,     0,   876,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1458,     0,     0,     0,   876,     0,     0,
       0,     0,  1717,   876,     0,   875,  3951,   876,     0,     0,
       0,     0,     0,     0,     0,   876,     0,     0,     0,     0,
    1766,   875,     0,     0,  1540,  1460,     0,     0,     0,     0,
       0,  1423,     0,   876,     0,     0,     0,   875,  2054,     0,
       0,   875,     0,     0,     0,  3967,     0,  3968,     0,  1804,
    1807,  1808,     0,     0,     0,   867,     0,     0,   867,   867,
       0,     0,     0,  1541,  2046,     0,     0,    36,     0,  2047,
       0,  1462,     0,     0,     0,     0,     0,     0,     0,   876,
    1463,     0,     0,     0,     0,     0,     0,     0,  1464,     0,
       0,  2048,  2049,     0,     0,     0,  1542,  4007,   876,   876,
       0,     0,     0,     0,     0,     0,  2050,     0,  1466,     0,
       0,     0,     0,     0,     0,     0,     0,  1467,     0,     0,
       0,  1468,     0,     0,     0,     0,     0,     0,     0,     0,
    1717,   876,     0,     0,  1717,     0,     0,  2055,     0,  2051,
    2056,  2057,  2058,     0,  2059,  2060,  2061,  2062,  2063,  2064,
       0,     0,  2460,  2052,     0,     0,   876,     0,  1717,   875,
       0,     0,     0,   876,     0,     0,     0,   875,   875,   876,
       0,     0,     0,     0,  1469,     0,   876,     0,     0,     0,
     876,   875,     0,     0,  2036,   876,     0,  2037,     0,     0,
       0,  2038,  2039,  2040,     0,     0,     0,  1330,     0,     0,
       0,     0,     0,     0,     0,   876,     0,     0,  2041,     0,
     876,     0,  2890,     0,   876,     0,  2043,  1717,     0,     0,
    1976,     0,     0,  2044,     0,     0,     0,   876,     0,  1330,
       0,     0,     0,     0,  1716,     0,     0,     0,     0,     0,
     876,     0,     0,  1099,  2054,     0,     0,     0,  2045,     0,
     876,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1099,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4189,  2891,  4190,     0,
       0,     0,   995,     0,   998,  4192,     0,     0,  1001,     0,
       0,     0,     0,     0,     0,  1717,     0,     0,     0,     0,
       0,  4202,  1026,     0,     0,     0,     0,     0,     0,  1031,
       0,     0,     0,     0,     0,     0,     0,  4210,     0,     0,
       0,     0,     0,  2055,     0,     0,  2056,  2057,  2058,     0,
    2059,  2060,  2061,  2062,  2063,  2064,  4231,     0,  2046,     0,
       0,     0,     0,  2047,     0,     0,  2107,     0,     0,     0,
       0,     0,     0,     0,  4235,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4244,  2048,  2049,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   876,     0,     0,     0,
    2050,     0,     0,  4273,     0,     0,     0,     0,     0,     0,
       0,     0,  2162,     0,     0,     0,  4281,  4282,  4283,     0,
       0,     0,     0,  4287,  4288,  4289,  4290,     0,   875,     0,
    4292,  4293,     0,  2051,     0,     0,  4300,  4301,     0,  4303,
    4304,  4305,  4306,  4307,  4308,     0,  4310,  2052,     0,     0,
    2053,   876,     0,     0,  2036,  4318,     0,  2037,  4321,  4322,
       0,  2038,  2039,  2040,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2041,     0,
       0,     0,  3668,     0,     0,     0,  2043,     0,     0,     0,
       0,     0,     0,  2044,  2289,   876,     0,     0,     0,     0,
       0,  4345,     0,     0,  2313,     0,     0,     0,     0,     0,
       0,     0,     0,   876,     0,     0,     0,     0,  2045,     0,
       0,   876,     0,     0,     0,     0,     0,     0,  1099,     0,
       0,   867,     0,     0,   867,  2349,     0,   867,  2054,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1099,     0,     0,     0,     0,  2372,     0,
       0,  2375,     0,     0,     0,     0,     0,     0,  1099,     0,
       0,     0,     0,  1513,  1514,     0,  1716,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2892,     0,     0,
     875,  3668,     0,  1717,     0,     0,     0,     0,   875,  1717,
       0,  2423,     0,     0,     0,     0,     0,     0,     0,     0,
     875,     0,     0,     0,     0,  2441,     0,     0,  2046,     0,
       0,     0,     0,  2047,     0,     0,     0,  2055,     0,     0,
    2056,  2057,  2058,     0,  2059,  2060,  2061,  2062,  2063,  2064,
    4468,     0,     0,  1099,     0,  2048,  2049,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2050,  1746,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   876,     0,     0,     0,     0,
       0,     0,     0,     0,   875,   875,     0,     0,     0,     0,
    1768,  1769,     0,  2051,     0,     0,     0,     0,   875,     0,
       0,     0,     0,     0,     0,     0,     0,  2052,     0,     0,
    2053,   875,   875,     0,     0,     0,  1810,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2464,   875,     0,     0,
       0,     0,     0,     0,     0,  4070,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   876,   876,     0,     0,     0,     0,
    1099,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2515,     0,     0,
       0,   876,     0,     0,   876,     0,     0,     0,     0,     0,
    1878,  1880,     0,     0,     0,     0,     0,     0,  2054,     0,
       0,     0,     0,     0,     0,     0,  2558,     0,     0,     0,
       0,     0,     0,  2571,     0,  4071,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4595,     0,
       0,     0,  4596,  4597,  4598,  4599,     0,     0,  4601,     0,
       0,     0,     0,  1716,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1717,
    1717,  1717,     0,     0,     0,     0,     0,     0,     0,     0,
    4620,  4621,  4622,     0,  4623,     0,  4625,  4626,     0,     0,
       0,     0,   876,     0,     0,     0,     0,  2055,  4635,  4636,
    2056,  2057,  2058,  2092,  2059,  2060,  2061,  2062,  2063,  2064,
       0,     0,   876,     0,     0,     0,     0,     0,  2649,     0,
       0,     0,     0,   875,     0,  4641,     0,     0,     0,  2162,
       0,   876,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4652,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1330,  1330,     0,     0,     0,     0,     0,     0,     0,  1099,
       0,     0,     0,     0,     0,     0,   190,  2702,   875,     0,
       0,     0,     0,     0,  2036,     0,     0,  2037,     0,     0,
       0,  2038,  2039,  2040,     0,     0,   875,     0,     0,     0,
       0,  1716,   875,     0,     0,     0,   875,     0,  2041,     0,
       0,  3475,     0,   876,   875,     0,  2043,     0,     0,     0,
       0,     0,     0,  2044,   191,     0,     0,  4704,     0,     0,
       0,     0,   875,     0,     0,     0,  1099,     0,     0,   192,
       0,     0,     0,     0,     0,     0,     0,     0,  2045,     0,
       0,     0,     0,     0,     0,     0,     0,   193,     0,     0,
    1717,     0,     0,   194,     0,     0,     0,   876,     0,   876,
       0,     0,     0,     0,     0,     0,  2863,  1099,   875,     0,
     195,     0,   876,     0,   876,  4756,  2869,     0,     0,     0,
       0,   196,     0,     0,     0,     0,     0,   875,   875,   197,
       0,     0,     0,     0,     0,     0,  1717,     0,     0,     0,
    1099,   198,     0,     0,     0,  1377,   199,     0,     0,     0,
       0,     0,     0,   200,     0,     0,  1377,  1377,     0,  1716,
     875,     0,     0,  1716,     0,     0,     0,     0,     0,     0,
       0,     0,   201,     0,     0,  2278,     0,     0,     0,     0,
     876,     0,     0,     0,     0,   875,     0,  1716,  2046,     0,
    1330,     0,   875,  2047,     0,     0,     0,   202,   875,     0,
    2317,     0,     0,     0,     0,   875,     0,     0,     0,   875,
       0,     0,     0,     0,   875,  2048,  2049,     0,   203,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2050,   876,     0,     0,   875,     0,   603,     0,     0,   875,
       0,     0,     0,   875,     0,     0,  1716,     0,     0,     0,
       0,     0,   204,     0,     0,     0,   875,     0,     0,   876,
       0,     0,     0,  2051,     0,     0,     0,     0,     0,   875,
       0,     0,     0,     0,     0,     0,   205,  2052,     0,   875,
    2053,   876,     0,     0,   876,     0,   206,   207,  4859,     0,
     208,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2419,  2420,  2421,  2422,     0,     0,  4869,     0,     0,     0,
       0,  4874,  4875,     0,     0,     0,   209,  1099,     0,   210,
       0,  1100,     0,   211,     0,   212,     0,     0,     0,     0,
       0,     0,   213,  3043,  1099,   214,     0,     0,     0,     0,
       0,     0,     0,     0,  1716,     0,     0,  1100,     0,  3066,
       0,     0,  1099,     0,   215,     0,     0,     0,     0,     0,
       0,   216,     0,  4936,  1717,     0,   217,   218,  2054,  3092,
     219,     0,     0,     0,   220,     0,     0,     0,     0,     0,
       0,     0,     0,  4953,   221,  4955,     0,     0,     0,   222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4971,   223,     0,     0,     0,     0,     0,     0,  1099,     0,
       0,     0,     0,     0,   224,     0,     0,     0,     0,     0,
    3668,  1099,     0,     0,     0,   875,     0,     0,     0,     0,
       0,     0,     0,  1099,     0,     0,     0,  4998,     0,     0,
       0,  2472,  2473,  3166,  3167,  1099,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2496,     0,     0,     0,     0,     0,  2055,     0,     0,
    2056,  2057,  2058,     0,  2059,  2060,  2061,  2062,  2063,  2064,
     875,     0,     0,     0,     0,     0,     0,     0,     0,  1099,
    1099,     0,     0,     0,     0,     0,  2541,  2542,  2543,  2544,
       0,     0,     0,   876,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5048,     0,
    1306,  1306,     0,     0,   875,  2036,     0,     0,  2037,  5056,
       0,     0,  2038,  2039,  2040,     0,     0,     0,     0,  1090,
       0,     0,   875,     0,     0,     0,     0,     0,  3289,  2041,
     875,     0,     0,     0,  1717,     0,     0,  2043,     0,  1717,
       0,  1717,     0,     0,  2044,  1090,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1717,     0,     0,     0,     0,     0,  2045,
    1631,     0,  5115,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1717,     0,     0,     0,  1100,     0,     0,     0,
       0,     0,     0,  2642,     0,     0,     0,     0,   876,  2646,
       0,   876,     0,     0,     0,     0,     0,     0,     0,  1099,
       0,  1100,  1716,     0,     0,     0,     0,     0,  1716,     0,
       0,     0,     0,     0,     0,     0,  1100,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3668,
       0,     0,     0,  5160,     0,     0,     0,     0,     0,  1628,
    1632,     0,     0,  2036,  5378,     0,  2037,     0,     0,     0,
    2038,  2039,  2040,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2041,     0,  2046,
    3521,     0,     0,     0,  2047,  2043,     0,     0,     0,     0,
     876,   876,  2044,     0,   875,     0,     0,     0,  5204,     0,
     876,     0,     0,     0,     0,     0,  2048,  2049,     0,     0,
       0,  1100,     0,  5217,     0,     0,     0,  2045,     0,   876,
       0,  2050,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2814,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1099,     0,     0,     0,
    1099,  1099,     0,     0,  2051,     0,     0,  5246,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2052,     0,
       0,  2053,  5257,   875,   875,     0,     0,     0,  2036,     0,
       0,  2037,     0,     0,     0,  2038,  2039,  2040,     0,     0,
       0,     0,     0,     0,  5379,     0,     0,     0,     0,     0,
     875,     0,  2041,   875,  1090,     0,     0,     0,     0,   876,
    2043,     0,  1099,     0,     0,     0,     0,  2044,     0,     0,
       0,     0,     0,     0,     0,     0,  1099,  2046,  1100,  1090,
       0,     0,  2047,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2045,     0,  1090,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2048,  2049,  5321,     0,     0,  2054,
       0,     0,     0,     0,     0,     0,     0,  1099,     0,  2050,
       0,     0,  3577,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1716,  1716,
    1716,     0,     0,     0,     0,  1377,     0,     0,     0,     0,
    5343,     0,  2051,     0,     0,     0,     0,     0,     0,     0,
       0,   875,     0,     0,     0,     0,  2052,     0,     0,  2053,
       0,     0,     0,     0,     0,  2987,  2988,     0,     0,  1090,
       0,   875,     0,     0,     0,     0,  3001,     0,  3003,     0,
       0,  1993,  3007,     0,     0,     0,     0,     0,     0,     0,
     875,     0,  2046,     0,     0,     0,     0,  2047,  2055,     0,
       0,  2056,  2057,  2058,     0,  2059,  2060,  2061,  2062,  2063,
    2064,  2007,     0,     0,     0,     0,     0,     0,     0,  2048,
    2049,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5410,     0,     0,  2050,     0,     0,     0,     0,  2025,
    2026,  2027,     0,  2029,     0,     0,     0,  2054,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     876,     0,     0,  2071,     0,  1717,     0,  2051,     0,     0,
       0,     0,   875,     0,     0,     0,     0,  2184,     0,     0,
       0,  2052,     0,     0,  2053,     0,  1090,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   876,     0,
       0,     0,     0,  3489,     0,     0,  1099,     0,     0,     0,
     876,     0,  3144,     0,     0,  3147,     0,     0,     0,  1716,
       0,     0,     0,     0,     0,     0,   875,     0,   875,     0,
       0,  2129,     0,     0,     0,  2141,  2146,   876,     0,     0,
       0,   875,     0,   875,  2184,     0,  2055,     0,     0,  2056,
    2057,  2058,     0,  2059,  2060,  2061,  2062,  2063,  2064,     0,
       0,     0,  3753,     0,     0,  1716,     0,     0,     0,     0,
       0,     0,  2054,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1100,     0,     0,  1099,     0,
       0,  1099,     0,     0,  3232,     0,     0,     0,     0,     0,
       0,     0,  3239,     0,     0,  3242,     0,     0,     0,   875,
       0,  3244,     0,     0,     0,     0,     0,     0,  1100,     0,
       0,     0,  3256,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   876,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     875,     0,     0,  3302,     0,     0,     0,     0,     0,     0,
       0,  2055,     0,     0,  2056,  2057,  2058,     0,  2059,  2060,
    2061,  2062,  2063,  2064,     0,     0,     0,     0,   875,     0,
       0,  3325,  1631,  1631,  1631,  1090,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     875,  1099,     0,   875,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   876,     0,  3872,  3873,  3874,  1099,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3883,  1099,     0,     0,     0,     0,     0,  3388,
       0,  3390,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1090,     0,     0,  3899,     0,     0,     0,     0,
       0,  1628,  1628,  1628,     0,  3909,  3911,     0,     0,     0,
    3916,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1716,     0,  1100,     0,     0,     0,     0,
       0,     0,     0,  1090,     0,     0,     0,     0,     0,     0,
       0,     0,  1100,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   876,     0,   876,     0,     0,     0,     0,
    1100,     0,     0,     0,     0,     0,  1090,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3465,     0,     0,     0,     0,     0,     0,     0,     0,
     876,     0,     0,     0,     0,     0,     0,     0,     0,   867,
       0,     0,     0,     0,     0,     0,  1100,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1100,
       0,  4006,     0,     0,  1330,     0,     0,     0,     0,     0,
       0,  1100,     0,     0,     0,     0,     0,  1717,     0,     0,
       0,     0,   867,  1100,     0,     0,     0,     0,     0,     0,
       0,     0,   875,     0,     0,     0,     0,     0,     0,  1099,
       0,     0,  1099,     0,  1099,     0,     0,     0,     0,  1099,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1100,  1100,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1716,     0,     0,     0,     0,  1716,     0,
    1716,     0,     0,     0,     0,     0,     0,     0,  1099,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1716,  1090,     0,     0,     0,  1099,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1090,  1716,  4110,  4111,  4112,     0,     0,     0,     0,     0,
       0,     0,  1099,     0,     0,     0,     0,   875,  1090,     0,
     875,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1090,  1717,     0,  1100,     0,     0,
       0,     0,  1099,     0,  1099,     0,     0,  1090,     0,  3657,
       0,  3658,  3659,  3660,     0,     0,     0,     0,     0,  1090,
     876,     0,     0,     0,     0,     0,     0,     0,     0,   875,
     875,  1090,   876,     0,  2745,  1631,     0,     0,     0,   875,
       0,     0,     0,     0,     0,     0,     0,  2765,     0,  2767,
       0,     0,  2779,  2782,  2787,     0,     0,     0,   875,  2793,
       0,     0,  2798,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1090,  1090,  2805,  2806,  2807,
    2808,     0,     0,     0,     0,  2815,     0,     0,     0,  2827,
       0,     0,  2829,  1099,     0,  2836,  2837,  2838,  2839,  2840,
    2841,  2842,  2843,  2844,     0,  2845,     0,     0,     0,     0,
       0,     0,  1306,     0,  1628,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1099,     0,  2928,     0,     0,     0,  2184,  2934,
       0,     0,     0,     0,  2036,     0,     0,  2037,   875,     0,
       0,  2038,  2039,  2040,     0,     0,     0,  2882,     0,     0,
       0,  1099,     0,     0,     0,     0,     0,     0,  2041,     0,
       0,     0,     0,     0,     0,     0,  2043,     0,     0,     0,
       0,  2026,  2027,  2044,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4342,     0,     0,     0,     0,     0,     0,
    1100,     0,     0,     0,  4355,     0,     0,     0,  2045,     0,
       0,     0,     0,     0,  1100,  1090,     0,     0,     0,  1717,
       0,   876,     0,     0,     0,     0,     0,     0,     0,     0,
    1099,     0,     0,     0,     0,  4386,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3819,     0,
       0,  1099,     0,     0,     0,  1100,     0,     0,  1092,     0,
       0,     0,     0,  2973,     0,  1099,     0,     0,  2571,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1093,     0,
       0,     0,     0,     0,  1092,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3526,
       0,     0,     0,     0,  1093,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2649,     0,  2046,     0,
       0,     0,  1717,  2047,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   876,     0,     0,     0,
       0,     0,     0,     0,     0,  2048,  2049,     0,     0,     0,
     867,     0,  1090,     0,     0,     0,  1090,  1090,     0,   875,
    2050,     0,     0,   876,  1716,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1099,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2051,     0,     0,     0,   875,  1099,     0,
       0,     0,     0,     0,     0,     0,     0,  2052,     0,   875,
    2053,     0,     0,     0,     0,     0,     0,  1631,  1090,     0,
    3971,     0,     0,  1099,     0,     0,   867,   867,     0,     0,
       0,     0,  1090,     0,     0,     0,   875,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4530,  4531,  4532,  4533,  1100,     0,     0,  1099,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   876,     0,  1090,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3220,  3221,  1628,     0,  2054,     0,
    3225,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2036,     0,     0,  2037,     0,     0,     0,  2038,  2039,  2040,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1099,     0,  3254,   875,  2041,     0,  2184,  3532,     0,  2184,
       0,     0,  2043,  1092,     0,     0,     0,     0,     0,  2044,
       0,     0,     0,     0,     0,  1717,     0,     0,     0,     0,
       0,     0,     0,  1093,     0,     0,     0,     0,  1092,     0,
       0,     0,     0,     0,  2045,     0,     0,     0,     0,     0,
       0,     0,     0,  1092,     0,     0,     0,     0,  1093,     0,
       0,     0,     0,     0,     0,     0,     0,  2055,     0,     0,
    2056,  2057,  2058,  1093,  2059,  2060,  2061,  2062,  2063,  2064,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1717,
       0,     0,   875,     0,     0,     0,     0,     0,     0,     0,
    1099,     0,     0,     0,     0,     0,     0,  1717,     0,   867,
     867,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1099,     0,     0,     0,     0,  1100,
       0,     0,     0,     0,     0,     0,     0,     0,  1092,     0,
       0,     0,  1090,     0,     0,     0,  1100,     0,  4195,  4196,
    4197,  4198,     0,     0,  2046,     0,     0,     0,  1093,  2047,
       0,  1100,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2048,  2049,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   875,     0,   875,     0,  2050,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1090,     0,     0,  1090,     0,  2051,
       0,     0,     0,     0,     0,  1095,     0,     0,     0,   875,
       0,     0,     0,  2052,     0,     0,  2053,     0,     0,     0,
       0,  3471,  4747,     0,  1099,  1092,  3477,     0,     0,     0,
       0,  1095,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1093,     0,     0,     0,     0,
       0,  2029,     0,     0,     0,     0,  1716,     0,     0,     0,
       0,     0,  2787,     0,  2787,  2787,     0,     0,     0,     0,
       0,     0,  1099,     0,     0,  3535,  1099,     0,  3538,     0,
    3540,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4341,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2054,     0,     0,     0,  4344,  3558,
       0,  3561,     0,  3563,     0,     0,     0,  1090,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2184,     0,     0,
    2934,     0,  2934,     0,  1090,  2036,     0,  2184,  2037,     0,
       0,     0,  2038,  2039,  2040,     0,     0,     0,     0,  1090,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2041,
       0,     0,     0,     0,     0,     0,     0,  2043,  2129,     0,
       0,     0,     0,     0,  2044,     0,     0,     0,     0,     0,
       0,     0,     0,  2146,     0,     0,  1100,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2045,
       0,     0,     0,  2055,     0,  1100,  2056,  2057,  2058,     0,
    2059,  2060,  2061,  2062,  2063,  2064,     0,     0,     0,  1099,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1099,
    2184,     0,     0,     0,  1092,     0,     0,  3637,     0,     0,
       0,     0,     0,     0,  1716,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1093,     0,     0,  4908,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   875,
       0,     0,  4921,     0,     0,     0,     0,  1330,     0,     0,
       0,   875,     0,     0,     0,     0,     0,     0,     0,     0,
    1095,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1100,  1092,  1100,  4958,     0,     0,     0,     0,     0,  2046,
       0,     0,     0,     0,  2047,  1095,     0,     0,     0,     0,
       0,  1093,     0,     0,     0,     0,     0,     0,     0,     0,
    1095,     0,     0,  1099,     0,     0,  2048,  2049,     0,     0,
       0,     0,  1092,     0,     0,  1090,     0,     0,  1090,     0,
    1090,  2050,     0,     0,     0,  1090,     0,     0,     0,     0,
       0,     0,  1093,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1099,     0,     0,  1092,     0,     0,     0,     0,
       0,     0,     0,     0,  2051,     0,     0,     0,     0,     0,
       0,  1100,     0,  1099,     0,  1093,     0,     0,  2052,     0,
       0,  2053,     0,     0,  1090,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1095,  1631,     0,     0,     0,
       0,     0,  1631,  1090,     0,     0,     0,     0,  5044,     0,
    1100,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1090,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1099,  2934,
       0,     0,     0,     0,     0,     0,     0,     0,  1716,     0,
     875,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2054,
       0,     0,     0,     0,     0,  1628,     0,     0,     0,     0,
       0,  1628,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1090,     0,
    1090,  4022,     0,     0,     0,  5122,     0,     0,  1100,     0,
       0,     0,  1095,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2934,
       0,     0,  1092,  4649,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1100,     0,     0,     0,     0,  4653,  1092,
       0,  1716,  1093,     0,     0,     0,     0,     0,  1099,     0,
       0,     0,     0,     0,     0,   875,     0,  1092,  2055,  1093,
       0,  2056,  2057,  2058,     0,  2059,  2060,  2061,  2062,  2063,
    2064,     0,     0,     0,     0,     0,     0,  1093,     0,  1090,
       0,     0,   875,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1099,     0,     0,     0,     0,
       0,     0,     0,  1092,  1096,     0,     0,     0,  1090,     0,
       0,     0,     0,     0,     0,     0,  1092,     0,     0,  4718,
       0,     0,     0,  1093,     0,     0,     0,     0,  1092,     0,
    1096,     0,     0,     0,     0,  1100,  1093,  1090,     0,     0,
    1092,     0,     0,     0,     0,     0,     0,     0,  1093,     0,
       0,     0,     0,     0,     0,     0,  1100,     0,     0,     0,
    1093,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     875,  1100,     0,     0,  1092,  1092,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1095,     0,     0,  1093,  1093,  1090,     0,     0,     0,
       0,  4023,     0,     0,     0,  1100,     0,     0,     0,  1099,
    4027,     0,     0,     0,     0,     0,  4028,  1090,  4029,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1090,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4053,  4054,     0,     0,     0,
       0,     0,     0,     0,  1716,     0,     0,     0,  1095,     0,
       0,     0,     0,  2793,     0,     0,     0,     0,     0,     0,
       0,  4080,     0,     0,  4083,     0,  4085,     0,  2184,     0,
       0,     0,     0,     0,     0,  4089,  4840,  4841,  4841,     0,
       0,     0,     0,  4096,  4097,     0,     0,     0,     0,  1095,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1092,     0,     0,     0,  1716,     0,
    2036,     0,     0,  2037,     0,  4143,     0,  2038,  2039,  2040,
       0,     0,  1095,  1099,  1093,     0,  1716,     0,     0,     0,
       0,     0,     0,  1090,  2041,     0,     0,  4077,     0,     0,
    4156,     0,  2043,     0,     0,     0,     0,     0,     0,  2044,
       0,     0,     0,     0,  1090,     0,     0,  1099,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2934,  1096,
       0,     0,     0,     0,  2045,     0,     0,     0,     0,  1090,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2934,     0,  1096,     0,  1099,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1096,
       0,     0,     0,  1090,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4976,     0,     0,     0,     0,     0,
       0,  1092,     0,  1099,  2036,  1092,  1092,  2037,  1099,  1099,
       0,  2038,  2039,  2040,     0,     0,     0,     0,     0,     0,
       0,  1093,     0,     0,     0,  1093,  1093,     0,  2041,     0,
       0,     0,     0,     0,     0,     0,  2043,     0,     0,     0,
       0,     0,     0,  2044,  2046,     0,  1090,     0,     0,  2047,
       0,     0,     0,     0,  1096,     0,     0,     0,     0,  1095,
       0,     0,     0,     0,     0,     0,     0,  1092,  2045,     0,
       0,  2048,  2049,     0,     0,     0,  1095,     0,     0,     0,
       0,  1092,  1100,     0,     0,     0,  2050,  1093,     0,     0,
       0,     0,     0,     0,  1095,     0,     0,     0,     0,     0,
       0,  1093,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2051,
       0,     0,  1092,     0,     0,  1099,     0,     0,     0,     0,
    2934,     0,     0,  2052,  2184,     0,  2053,     0,     0,  5071,
       0,  5073,  1093,     0,     0,     0,  1090,     0,     0,     0,
    1095,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1095,     0,     0,     0,     0,     0,     0,
    1090,  1096,     0,     0,     0,  1095,     0,     0,  2046,     0,
       0,     0,     0,  2047,     0,     0,     0,  1095,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2048,  2049,     0,     0,     0,
       0,     0,     0,     0,  4431,  4432,     0,     0,     0,     0,
    2050,     0,     0,     0,  2054,     0,     0,     0,     0,     0,
       0,  1095,  1095,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1098,     0,     0,     0,     0,
       0,     0,     0,  2051,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4458,     0,  2052,     0,     0,
    2053,  1098,     0,     0,     0,     0,     0,  1100,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1100,     0,     0,
       0,     0,     0,     0,     0,     0,  4841,     0,     0,     0,
    1090,  4483,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4488,     0,     0,     0,     0,     0,     0,     0,
       0,  1092,     0,  2055,     0,  1099,  2056,  2057,  2058,     0,
    2059,  2060,  2061,  2062,  2063,  2064,     0,     0,     0,     0,
       0,  1093,     0,     0,     0,     0,     0,     0,  1090,     0,
       0,     0,  1090,  4506,  4508,     0,     0,     0,  2054,     0,
    4512,  4513,     0,     0,     0,  4514,     0,     0,     0,     0,
    4517,  1095,     0,  4520,  4521,  5253,     0,     0,  4525,     0,
    1096,     0,     0,     0,  4529,     0,     0,     0,     0,     0,
       0,  1100,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1092,     0,     0,  1092,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1093,     0,     0,  1093,     0,     0,     0,
    1100,     0,     0,     0,     0,     0,  1306,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1096,     0,     0,
       0,  1100,  4575,     0,     0,     0,     0,  2055,     0,     0,
    2056,  2057,  2058,     0,  2059,  2060,  2061,  2062,  2063,  2064,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5327,     0,     0,     0,     0,     0,     0,     0,  1096,     0,
       0,     0,     0,     0,     0,  1090,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1090,     0,     0,  1095,     0,
       0,     0,  1095,  1095,     0,     0,  1100,     0,     0,     0,
       0,  1096,     0,     0,     0,     0,  1092,     0,     0,     0,
    1098,   614,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1092,     0,     0,  1093,     0,   615,     0,
       0,     0,     0,  4638,     0,  1098,     0,     0,  1092,     0,
       0,     0,     0,  1093,     0,     0,     0,     0,     0,     0,
    1098,   616,     0,     0,  1095,     0,     0,     0,  1093,     0,
    5403,     0,     0,     0,   617,     0,     0,     0,  1095,     0,
       0,     0,     0,     0,     0,   618,     0,     0,     0,  -856,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1090,
       0,     0,  4841,  4841,     0,     0,     0,   619,     0,     0,
       0,     0,  4675,   620,     0,     0,     0,     0,     0,  1095,
       0,     0,     0,     0,  4744,     0,  1100,     0,     0,     0,
     621,     0,     0,     0,     0,     0,     0,     0,  1090,     0,
       0,   622,     0,     0,     0,  1098,     0,     0,     0,   623,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1090,
       0,   624,     0,     0,     0,     0,     0,     0,     0,   625,
       0,     0,     0,   626,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1100,     0,     0,     0,     0,  1096,     0,
       0,     0, -1085,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1096,  4841,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1096,  1090,     0,     0,     0,     0,   627,
       0,     0,     0,     0,     0,     0,     0,     0,  -573,     0,
       0,     0,     0,     0,  1092,     0,     0,  1092,     0,  1092,
       0,     0,     0,     0,  1092,     0,     0,     0,     0,     0,
       0,     0,  1098,     0,  1093,     0,     0,  1093,     0,  1093,
       0,     0,   628,     0,  1093,   629,     0,     0,     0,  1096,
       0,     0,     0,     0,     0,     0,     0,  4788,  4789,     0,
       0,  4790,  1096,     0,     0,     0,   630,     0,     0,     0,
       0,     0,     0,  1092,  1096,     0,     0,  2934,     0,     0,
     631,     0,     0,     0,     0,     0,  1096,  -444,  1095,     0,
       0,     0,  1092,  1093,     0,     0,     0,     0,  4825,  4826,
       0,     0,     0,     0,     0,     0,   632,     0,     0,     0,
       0,     0,  1093,     0,  1090,   633,     0,  1092,     0,     0,
       0,     0,  -444,     0,     0,   634,     0,     0,     0,     0,
    1096,  1096,     0,     0,     0,     0,     0,  1093,     0,     0,
       0,     0,     0,     0,   635,     0,     0,     0,     0,     0,
       0,   636,     0,     0,     0,     0,     0,  -444,     0,     0,
     637,   638,     0,   639,   640,     0,     0,     0,     0,     0,
    1095,  1090,     0,  1095,   641,     0,     0,     0,     0,   642,
       0,     0,     0,     0,     0,   643,     0,  1092,   644,  1092,
       0,   645,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2934,     0,     0,  -444,     0,     0,  1093,     0,  1093,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1100,     0,     0,     0,     0,
       0,  1098,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1096,     0,     0,     0,  1100,     0,     0,     0,  1092,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1095,     0,  1090,     0,     0,  1093,     0,
       0,     0,     0,  4997,     0,     0,     0,     0,  1098,     0,
    1095,     0,     0,     0,     0,     0,  2793,  1092,     0,     0,
       0,  1100,     0,     0,     0,  1095,  1100,  1100,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1093,     0,     0,
       0,     0,     0,  5020,     0,     0,  1092,     0,     0,  1098,
       0,     0,     0,     0,     0,     0,     0,  2029,     0,     0,
       0,     0,     0,     0,     0,     0,  1093,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1098,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1096,     0,     0,
    5063,  1096,  1096,     0,     0,  1092,     0,     0,     0,  1090,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1093,  1092,     0,     0,     0,
       0,     0,  4744,  1100,     0,     0,     0,     0,     0,     0,
    1092,  5100,     0,  1090,     0,     0,  1093,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1093,     0,     0,  1096,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1096,     0,   665,
       0,     0,  1090,     0,   666,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1095,     0,     0,  1095,     0,  1095,     0,  1096,   667,
       0,  1095,     0,     0,     0,     0,     0,     0,     0,  1090,
       0,     0,   668,     0,  1090,  1090,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   669,     0,  1098,
       0,     0,  1092,     0,     0,     0,     0,     0,     0,     0,
       0,  4825,     0,     0,     0,   670,  1098,     0,     0,     0,
    1095,     0,  1093,  1092,     0,     0,     0,     0,     0,     0,
       0,  5206,     0,     0,  1098,     0,     0,     0,   671,  1095,
       0,     0,     0,  1093,     0,   948,     0,     0,  1092,   672,
     949,     0,     0,     0,     0,     0,     0,   673,     0,     0,
       0,     0,     0,     0,  1095,     0,     0,     0,  1093,   674,
       0,     0,     0,     0,   675,     0,     0,     0,     0,     0,
       0,   676,  1092,  1100,     0,   950,     0,     0,     0,     0,
    1098,     0,     0,     0,     0,     0,     0,     0,   951,   952,
     677,  1090,  1093,  1098,     0,     0,     0,     0,  5260,   953,
       0,     0,     0,   954,     0,  1098,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1098,     0,     0,
       0,   955,     0,     0,  1095,     0,  1095,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   678,     0,     0,  5292,
    5292,  5292,     0,     0,   956,  1092,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   957,     0,  1096,  4825,     0,
       0,  1098,  1098,   958,     0,  1093,     0,     0,     0,     0,
     679,     0,     0,     0,     0,   959,     0,     0,     0,     0,
     960,     0,     0,   680,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   681,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   206,   682,   961,     0,   683,     0,
       0,     0,     0,     0,     0,  1095,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   962,     0,     0,   684,     0,  5352,   685,     0,  1096,
       0,   686,  1096,   687,     0,  1092,     0,     0,     0,     0,
     688,     0,   963,   689,  1095,     0,     0,     0,  5292,     0,
       0,     0,     0,     0,     0,  1093,     0,     0,     0,  1092,
       0,     0,   690,     0,     0,     0,     0,     0,     0,   691,
       0,     0,     0,  1095,     0,   692,   964,     0,   693,  1093,
       0,  1090,   694,     0,     0,     0,     0,     0,     0,     0,
     695,  1098,   696,     0,     0,     0,     0,   697,     0,     0,
     965,     0,     0,     0,     0,     0,     0,     0,     0,   698,
     206,   966,     0,     0,   967,     0,     0,     0,     0,     0,
       0,     0,   699,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     968,     0,  1095,   969,     0,     0,     0,   970,     0,   971,
       0,     0,  1096,     0,     0,     0,   972,     0,  5445,   973,
       0,     0,     0,  1095,     0,     0,     0,     0,     0,  1096,
       0,     0,     0,     0,     0,     0,     0,  1095,   974,     0,
       0,     0,     0,     0,  1096,   975,     0,     0,     0,  1092,
       0,   976,     0,  5292,   977,     0,     0,     0,   978,     0,
       0,     0,     0,  5472,     0,     0,   979,     0,   980,  1093,
       0,     0,     0,   981,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1098,     0,
       0,     0,  1098,  1098,     0,     0,     0,  1092,   982,     0,
       0,  1092,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1093,     0,     0,
       0,  1093,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2066,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1095,
       0,     0,     0,     0,  1098,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1098,     0,
    1095,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1095,  2066,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1098,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1095,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1096,     0,     0,  1096,  1092,  1096,     0,     0,     0,     0,
    1096,     0,     0,     0,  1092,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1093,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1093,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1096,
       0,     0,  1095,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1096,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1096,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1092,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1093,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1092,     0,     0,
       0,     0,  1095,     0,     0,     0,     0,     0,  1098,     0,
       0,     0,     0,  1096,     0,  1096,     0,  1093,  1092,     0,
       0,     0,     0,     0,     0,     0,  1095,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1093,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2066,     0,     0,     0,  2066,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1092,     0,     0,     0,     0,     0,     0,
    1098,     0,     0,  1098,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1093,  1096,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1096,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1095,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1096,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1092,  1095,     0,     0,     0,  1095,     0,
       0,     0,     0,  1098,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1093,     0,     0,     0,     0,     0,     0,
    1098,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1096,     0,     0,     0,  1098,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1092,     0,  1096,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1096,     0,     0,     0,
    1093,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1095,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1095,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1092,     0,     0,     0,  1096,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1093,     0,     0,     0,     0,  1096,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2066,     0,     0,     0,     0,
       0,     0,     0,     0,  1096,     0,     0,     0,     0,  2066,
       0,  1098,     0,  2775,  1098,     0,  1098,     0,     0,     0,
       0,  1098,     0,     0,     0,     0,     0,  2066,  2066,  2066,
       0,  2066,     0,     0,     0,  1095,     0,     0,  1096,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1098,     0,     0,  2066,  1095,     0,     0,     0,  1092,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1098,
       0,     0,     0,     0,     0,  1095,     0,     0,  1093,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1096,  1092,     0,  1098,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2066,  1093,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2066,     0,     0,     0,     0,  2066,     0,
       0,  1092,     0,     0,     0,     0,     0,     0,     0,     0,
    1095,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1093,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1098,     0,  1098,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1092,     0,
       0,     0,     0,  1092,  1092,     0,     0,     0,     0,     0,
       0,  1096,     0,     0,     0,     0,     0,     0,  1093,     0,
       0,     0,     0,  1093,  1093,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1096,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1098,     0,     0,     0,     0,
    1095,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1098,     0,     0,     0,     0,     0,
    1092,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1095,     0,     0,
    1093,     0,     0,  1098,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1096,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1098,  1096,     0,     0,     0,  1096,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1098,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1098,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1095,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1092,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1093,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1098,
    1096,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1096,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1098,     0,     0,     0,     0,  1095,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1098,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1095,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1098,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1095,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1096,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1095,     0,     0,     0,     0,
    1095,  1095,  1098,  1096,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1096,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2066,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2066,     0,  2066,
       0,     0,  2775,  2775,     0,  3512,     0,  2775,     0,     0,
       0,  2066,     0,     0,  2066,     0,     0,     0,     0,  2066,
       0,     0,     0,     0,     0,  2066,     0,     0,     0,  1096,
    2066,     0,     0,     0,     0,     0,     0,  2066,  2066,  2066,
    2066,     0,  1098,     0,  2775,  2775,     0,  2066,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1095,     0,  2066,
       0,  2066,     0,     0,     0,     0,  1098,     0,  2066,  2066,
    2066,  2066,  2066,  2066,  2066,  2066,  2066,  2066,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2066,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1096,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1098,     0,     0,     0,
       0,     0,     0,     0,     0,  2066,  1096,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1098,     0,     0,     0,  1098,     0,
       0,     0,     0,     0,     0,     0,     0,  1095,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1096,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1098,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1098,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2066,  2066,  1096,     0,     0,  2066,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2066,     0,  1096,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1098,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1096,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1098,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1098,     0,     0,     0,     0,
       0,     0,     0,     0,  1096,     0,     0,     0,     0,  1096,
    1096,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1098,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1096,     0,     0,     0,
       0,     0,     0,  2066,     0,     0,     0,     0,     0,  2066,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3512,  3512,     0,     0,  2775,
    2775,  2775,  2775,     0,     0,  2775,  2775,  2775,  2775,  2775,
    2775,  2775,  2775,  2775,  2775,  3512,     0,     0,     0,     0,
    1098,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2066,     0,     0,
    2066,     0,  2066,     0,     0,  3512,  3512,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2066,  2775,  2775,  2066,     0,  2066,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1098,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2066,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1096,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1098,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1098,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2775,     0,     0,     0,  1098,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1098,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1098,     0,     0,     0,     0,
    1098,  1098,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2066,     0,     0,     0,  2066,
    2066,  2066,     0,     0,     0,     0,     0,  3512,  3512,  3512,
    3512,     0,     0,     0,     0,  3512,  3512,  3512,  3512,  3512,
    3512,  3512,  3512,  3512,  3512,  2066,  2066,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1098,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2066,     0,     0,  2066,     0,  2066,     0,     0,
       0,  2066,     0,     0,  3512,  3512,     0,     0,  2066,  2066,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2066,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2066,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1098,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3512,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2066,  2066,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2066,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2066,     0,     0,     0,     0,
    2066,  2775,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2066,     0,
    2066,     0,     0,     0,  2066,  2066,  2066,     0,     0,  2066,
       0,     0,  2066,  2066,     0,     0,     0,  2066,     0,     0,
       0,  2066,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2066,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2066,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2066,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3512,  2775,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2066,  2066,  2066,     0,     0,     0,     0,     0,     0,     0,
    2775,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2066,  2066,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2066,
       0,     0,  3512,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2775,     0,     0,  3512,     0,
       0,     0,  2066,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2066,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2066,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3512,
       0,  2775,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2066,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2066,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2066,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2066,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2775,  2775,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3512,  3512,     0,     0,     0,  2066,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     227,  1223,   660,  1224,  1225,  1226,   721,  1227,     0,     0,
       0,     0,     0,     0,  2066,   228,   229,   230,   231,   232,
     233,   234,   235,  1622,   236,   237,   238,     0,     0,     0,
       0,  1228,     0,     0,   239,   240,     0,   241,   242,   243,
     244,   245,   246,   247,   248,  1229,   250,  1230,  1231,     0,
     253,   254,   255,   256,   257,   258,  1232,  1233,   259,   260,
    1234,  1235,   263,     0,   264,   265,   266,   267,  1236,     0,
    1237,     0,   270,   271,   272,   273,   274,   275,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,   285,
     286,   287,   288,  1238,  1239,  1240,  1241,  1242,  1243,  1244,
     290,   291,   292,   293,   294,   295,  1245,  1246,   298,  1247,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,  1623,     0,   310,   311,  1071,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,  1248,   326,   327,   328,  1249,  1250,   330,
       0,   331,   332,  1251,   334,     0,   335,     0,   336,   337,
       0,   338,   339,   340,   341,   342,     0,   343,  1252,     0,
    1253,   346,   347,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
    1254,  1255,     0,  1256,     0,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,     0,     0,   385,  1257,   387,
     388,   389,     0,   390,   391,   392,  1258,  1259,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,  1260,   410,  1261,   412,   413,   414,
     415,  1262,   416,   417,   418,   419,  1263,  1264,   421,  1265,
     423,   424,   425,     0,   426,   427,     0,     0,  1266,   429,
     430,     0,     0,   431,   432,   433,   434,   435,   436,  1267,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,  1268,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
    1269,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,  1270,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,  1271,   505,   506,   507,   508,   509,   510,
     511,   512,  1272,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,  1273,   529,
       0,   530,   531,     0,   532,   533,   534,   535,   536,   537,
     538,     0,   539,  1274,  1275,     0,     0,   542,   543,  1276,
     545,  1277,  1278,   547,   548,   549,   550,   551,   552,   553,
       0,  1279,   554,   555,   556,   557,   558,  1280,     0,   559,
     560,   561,   562,   563,   564,  1281,  1624,   566,   567,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,   579,  1282,  1283,  1284,  1285,   584,
    1286,  1287,  1288,  1289,   589,   590,   591,   592,  1290,     0,
       0,     0,     0,     0,     0,  1291,  1292,  1625,     0,     0,
       0,     0,     0,     0,  1294,  1626,   227,  1223,   660,  1224,
    1225,  1226,   721,  1227,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,  1228,     0,     0,
     239,   240,     0,   241,   242,   243,   244,   245,   246,   247,
     248,  1229,   250,  1230,  1231,     0,   253,   254,   255,   256,
     257,   258,  1232,  1233,   259,   260,  1234,  1235,   263,     0,
     264,   265,   266,   267,  1236,     0,  1237,     0,   270,   271,
     272,   273,   274,   275,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,   285,   286,   287,   288,  1238,
    1239,  1240,  1241,  1242,  1243,  1244,   290,   291,   292,   293,
     294,   295,  1245,  1246,   298,  1247,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,  1071,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,  1248,
     326,   327,   328,  1249,  1250,   330,     0,   331,   332,  1251,
     334,     0,   335,     0,   336,   337,     0,   338,   339,   340,
     341,   342,     0,   343,  1252,     0,  1253,   346,   347,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
     366,   367,   368,   369,   370,   371,  1254,  1255,     0,  1256,
       0,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,     0,     0,   385,  1257,   387,   388,   389,     0,   390,
     391,   392,  1258,  1259,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
    1260,   410,  1261,   412,   413,   414,   415,  1262,   416,   417,
     418,   419,  1263,  1264,   421,  1265,   423,   424,   425,     0,
     426,   427,     0,     0,  1266,   429,   430,     0,     0,   431,
     432,   433,   434,   435,   436,  1267,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,     0,   447,   448,  1268,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,  1269,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,  1270,   491,   492,   493,   494,   495,   496,
     497,   498,   499,    41,   500,   501,   502,   503,   504,  1271,
     505,   506,   507,   508,   509,   510,   511,   512,  1272,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,  1273,   529,     0,   530,   531,    45,
     532,   533,   534,   535,   536,   537,   538,     0,   539,  1274,
    1275,     0,     0,   542,   543,  1276,   545,  1277,  1278,   547,
     548,   549,   550,   551,   552,   553,     0,  1279,   554,   555,
     556,   557,   558,  1280,     0,   559,   560,   561,   562,   563,
    1150,  1281,     0,   566,   567,   568,   569,   570,   571,     0,
       0,   572,     0,    50,   573,   574,   575,   576,   577,   578,
     579,  1282,  1283,  1284,  1285,   584,  1286,  1287,  1288,  1289,
     589,   590,   591,   592,  1290,     0,    51,     0,     0,     0,
       0,  1291,  1292,     0,     0,     0,     0,     0,     0,     0,
    1294,  5031,   227,  1223,   660,  1224,  1225,  1226,   721,  1227,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,  1228,     0,     0,   239,   240,     0,   241,
     242,   243,   244,   245,   246,   247,   248,  1229,   250,  1230,
    1231,     0,   253,   254,   255,   256,   257,   258,  1232,  1233,
     259,   260,  1234,  1235,   263,     0,   264,   265,   266,   267,
    1236,     0,  1237,     0,   270,   271,   272,   273,   274,   275,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,   285,   286,   287,   288,  1238,  1239,  1240,  1241,  1242,
    1243,  1244,   290,   291,   292,   293,   294,   295,  1245,  1246,
     298,  1247,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,  1071,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,  1248,   326,   327,   328,  1249,
    1250,   330,     0,   331,   332,  1251,   334,     0,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
    1252,     0,  1253,   346,   347,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,  1254,  1255,     0,  1256,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
    1257,   387,   388,   389,     0,   390,   391,   392,  1258,  1259,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,  1260,   410,  1261,   412,
     413,   414,   415,  1262,   416,   417,   418,   419,  1263,  1264,
     421,  1265,   423,   424,   425,     0,   426,   427,     0,     0,
    1266,   429,   430,     0,     0,   431,   432,   433,   434,   435,
     436,  1267,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,  1268,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,  1269,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,  1270,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,  1271,   505,   506,   507,   508,
     509,   510,   511,   512,  1272,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
    1273,   529,     0,   530,   531,     0,   532,   533,   534,   535,
     536,   537,   538,     0,   539,  1274,  1275,     0,     0,   542,
     543,  1276,   545,  1277,  1278,   547,   548,   549,   550,   551,
     552,   553,     0,  1279,   554,   555,   556,   557,   558,  1280,
       0,   559,   560,   561,   562,   563,   564,  1281,     0,   566,
     567,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,   579,  1282,  1283,  1284,
    1285,   584,  1286,  1287,  1288,  1289,   589,   590,   591,   592,
    1290,     0,     0,     0,     0,     0,     0,  1291,  1292,     0,
       0,     0,     0,     0,     0,     0,  1294,  2777,   227,  1223,
     660,  1224,  1225,  1226,   721,  1227,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,  1228,
       0,     0,   239,   240,     0,   241,   242,   243,   244,   245,
     246,   247,   248,  1229,   250,  1230,  1231,     0,   253,   254,
     255,   256,   257,   258,  1232,  1233,   259,   260,  1234,  1235,
     263,     0,   264,   265,   266,   267,  1236,     0,  1237,     0,
     270,   271,   272,   273,   274,   275,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,   285,   286,   287,
     288,  1238,  1239,  1240,  1241,  1242,  1243,  1244,   290,   291,
     292,   293,   294,   295,  1245,  1246,   298,  1247,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,  1071,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,  1248,   326,   327,   328,  1249,  1250,   330,     0,   331,
     332,  1251,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,  1252,     0,  1253,   346,
     347,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,   367,   368,   369,   370,   371,  1254,  1255,
       0,  1256,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,  1257,   387,   388,   389,
       0,   390,   391,   392,  1258,  1259,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,  1260,   410,  1261,   412,   413,   414,   415,  1262,
     416,   417,   418,   419,  1263,  1264,   421,  1265,   423,   424,
     425,     0,   426,   427,     0,     0,  1266,   429,   430,     0,
       0,   431,   432,   433,   434,   435,   436,  1267,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,     0,   447,
     448,  1268,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,  1269,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,  1270,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,  1271,   505,   506,   507,   508,   509,   510,   511,   512,
    1272,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,  1273,   529,     0,   530,
     531,     0,   532,   533,   534,   535,   536,   537,   538,     0,
     539,  1274,  1275,     0,     0,   542,   543,  1276,   545,  1277,
    1278,   547,   548,   549,   550,   551,   552,   553,     0,  1279,
     554,   555,   556,   557,   558,  1280,     0,   559,   560,   561,
     562,   563,   564,  1281,     0,   566,   567,   568,   569,   570,
     571,     0,     0,   572,     0,     0,   573,   574,   575,   576,
     577,   578,   579,  1282,  1283,  1284,  1285,   584,  1286,  1287,
    1288,  1289,   589,   590,   591,   592,  1290,     0,     0,     0,
       0,     0,     0,  1291,  1292,     0,     0,     0,     0,     0,
       0,     0,  1294,  4031,   227,  1223,   660,  1224,  1225,  1226,
     721,  1227,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,  1228,     0,     0,   239,   240,
       0,   241,   242,   243,   244,   245,   246,   247,   248,  1229,
     250,  1230,  1231,     0,   253,   254,   255,   256,   257,   258,
    1232,  1233,   259,   260,  1234,  1235,   263,     0,   264,   265,
     266,   267,  1236,     0,  1237,     0,   270,   271,   272,   273,
     274,   275,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,   285,   286,   287,   288,  1238,  1239,  1240,
    1241,  1242,  1243,  1244,   290,   291,   292,   293,   294,   295,
    1245,  1246,   298,  1247,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,  1071,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,  1248,   326,   327,
     328,  1249,  1250,   330,     0,   331,   332,  1251,   334,     0,
     335,     0,   336,   337,     0,   338,   339,   340,   341,   342,
       0,   343,  1252,     0,  1253,   346,   347,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,   366,   367,
     368,   369,   370,   371,  1254,  1255,     0,  1256,     0,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,     0,
       0,   385,  1257,   387,   388,   389,     0,   390,   391,   392,
    1258,  1259,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,  1260,   410,
    1261,   412,   413,   414,   415,  1262,   416,   417,   418,   419,
    1263,  1264,   421,  1265,   423,   424,   425,     0,   426,   427,
       0,     0,  1266,   429,   430,     0,     0,   431,   432,   433,
     434,   435,   436,  1267,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,     0,   447,   448,  1268,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,  1269,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,   484,   485,   486,   487,   488,
     489,  1270,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,  1271,   505,   506,
     507,   508,   509,   510,   511,   512,  1272,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,  1273,   529,     0,   530,   531,     0,   532,   533,
     534,   535,   536,   537,   538,     0,   539,  1274,  1275,     0,
       0,   542,   543,  1276,   545,  1277,  1278,   547,   548,   549,
     550,   551,   552,   553,     0,  1279,   554,   555,   556,   557,
     558,  1280,     0,   559,   560,   561,   562,   563,   564,  1281,
       0,   566,   567,   568,   569,   570,   571,     0,     0,   572,
       0,     0,   573,   574,   575,   576,   577,   578,   579,  1282,
    1283,  1284,  1285,   584,  1286,  1287,  1288,  1289,   589,   590,
     591,   592,  1290,     0,     0,   600,     0,     0,     0,  1291,
    1292,     0,     0,     0,     0,     0,     0,     0,  1294,  4103,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   236,
     237,   238,     0,     0,     0,     0,     0,  4121,     0,   239,
     240,     0,   241,   242,   243,     0,   245,   246,   247,   248,
     249,     0,   251,   252,     0,   253,   254,   255,   256,   257,
     258,     0,     0,   259,   260,   261,   262,   263,     0,   264,
     265,   266,   267,   268,     0,     0,     0,   270,   271,   272,
     273,   274,     0,   276,   277,   278,     0,   279,   280,   281,
     282,   283,   284,     0, -1777,   286,   287,   288,     0,     0,
       0,     0,     0,     0,     0,   290,   291,   292,   293,   294,
     295,   296,   297,   298,     0,   299,     0,   300,   301,   302,
     303,   304,   305,     0,   306,   307,   308,   309,     0,     0,
     310,   311,   312,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,     0,   321,   322,   323,   324,   325,   326,
     327,   328,   329,     0,   330,     0,   331,   332,   333,   334,
       0,   335,     0,   336,     0,     0, -1777,   339,   340,   341,
     342,     0,   343,   344,     0,   345,   346,   347,     0,   348,
     349,   350,   351,   352,     0,   354,   355,   356,   357,     0,
     358,   359,   360,   361,   362,   363,   364,     0,   365, -1777,
     367,   368,   369,   370,   371,   372,   373,     0,   374,     0,
     375,     0,     0,   378, -1777,   380,   381,   382,   383,   384,
       0,     0,   385,   386, -1777,   388,     0,     0,   390,   391,
     392,     0,     0,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
   -1777,   411,   412,   413,   414,   415,     0,   416,   417,     0,
     419,     0,   420,   421,   422,   423,   424,   425,     0,   426,
     427,     0,     0,   428,   429,   430,     0,     0,   431,   432,
     433,     0,   435,     0,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,     0,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483, -1777,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,     0,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,     0,   530,   531,     0,   532,
       0,   534,   535,   536,   537,   538,     0,   539,   540,   541,
       0,     0,   542,   543,   544,   545,   546,     0,   547,   548,
     549,   550,   551,   552,   553,     0,     0,   554,   555,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,     0,   566,     0,   568,   569,   570,   571,     0,     0,
     572,     0,     0,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,     0,     0,  1063,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1370,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,   244,   245,   246,   247,
       0,  1064,   250,  1065,  1066,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,  1067,  1068,   263,     0,
     264,   265,   266,   267,     0,     0,   269,     0,   270,   271,
     272,   273,   274,   275,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,   285,   286,   287,   288,     0,
       0,     0,   289,     0,     0,     0,   290,   291,   292,   293,
     294,   295,  1069,  1070,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,  1071,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,     0,
     326,   327,   328,     0,     0,   330,     0,   331,   332,  1072,
     334,     0,   335,     0,   336,   337,     0,   338,   339,   340,
     341,   342,     0,   343,     0,     0,     0,   346,   347,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
    2170,   358,   359,   360,   361,   362,   363,   364,     0,   365,
     366,  2171,   368,   369,   370,   371,  1074,  1075,     0,  1076,
       0,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,     0,     0,   385,     0,   387,   388,   389,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
    1077,   410,  1078,   412,   413,   414,     0,     0,   416,   417,
     418,   419,     0,     0,   421,  1079,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,  2173,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,     0,   447,   448,     0,
     450,     0,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,  1080,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,     0,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,  2174,   508,   509,   510,   511,   512,  1082,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   529,     0,   530,   531,     0,
     532,   533,   534,   535,   536,   537,   538,     0,   539,  1083,
    1084,     0,     0,   542,   543,     0,   545,     0,     0,   547,
     548,   549,   550,   551,   552,   553,     0,     0,   554,   555,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
       0,  1085,  2175,   566,   567,   568,   569,   570,   571,     0,
       0,   572,     0,     0,   573,   574,   575,   576,   577,   578,
    1063,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   590,   591,   592,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,  2283,     0,     0,   239,   240,     0,   241,   242,   243,
     244,   245,   246,   247,     0,  1064,   250,  1065,  1066,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
    1067,  1068,   263,     0,   264,   265,   266,   267,     0,     0,
     269,     0,   270,   271,   272,   273,   274,   275,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,   285,
     286,   287,   288,     0,     0,     0,   289,     0,     0,     0,
     290,   291,   292,   293,   294,   295,  1069,  1070,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,  1071,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,     0,   326,   327,   328,     0,     0,   330,
       0,   331,   332,  1072,   334,     0,   335,     0,   336,   337,
       0,   338,   339,   340,   341,   342,     0,   343,     0,     0,
       0,   346,   347,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,  2170,   358,   359,   360,   361,   362,
     363,   364,     0,   365,   366,  2171,   368,   369,   370,   371,
    1074,  1075,     0,  1076,     0,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,     0,     0,   385,     0,   387,
     388,   389,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,  1077,   410,  1078,   412,   413,   414,
       0,     0,   416,   417,   418,   419,     0,     0,   421,  1079,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,  2173,   434,   435,   436,     0,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,     0,   450,     0,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
    1080,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,     0,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,  2174,   508,   509,   510,
     511,   512,  1082,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   529,
       0,   530,   531,     0,   532,   533,   534,   535,   536,   537,
     538,     0,   539,  1083,  1084,     0,     0,   542,   543,     0,
     545,     0,     0,   547,   548,   549,   550,   551,   552,   553,
       0,     0,   554,   555,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,     0,  1085,  2175,   566,   567,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,     0,   227,  1223,   660,  1224,  1225,
    1226,   721,  1227,     0,     0,   590,   591,   592,     0,     0,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   236,
     237,   238,     0,     0,     0,  3343,  1228,     0,     0,   239,
     240,     0,   241,   242,   243,   244,   245,   246,   247,   248,
    1229,   250,  1230,  1231,     0,   253,   254,   255,   256,   257,
     258,  1232,  1233,   259,   260,  1234,  1235,   263,     0,   264,
     265,   266,   267,  1236,     0,  1237,     0,   270,   271,   272,
     273,   274,   275,   276,   277,   278,     0,   279,   280,   281,
     282,   283,   284,     0,   285,   286,   287,   288,  1238,  1239,
    1240,  1241,  1242,  1243,  1244,   290,   291,   292,   293,   294,
     295,  1245,  1246,   298,  1247,   299,     0,   300,   301,   302,
     303,   304,   305,     0,   306,   307,   308,   309,     0,     0,
     310,   311,  1071,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,     0,   321,   322,   323,   324,  1248,   326,
     327,   328,  1249,  1250,   330,     0,   331,   332,  1251,   334,
       0,   335,     0,   336,   337,     0,   338,   339,   340,   341,
     342,     0,   343,  1252,     0,  1253,   346,   347,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,     0,
     358,   359,   360,   361,   362,   363,   364,     0,   365,   366,
     367,   368,   369,   370,   371,  1254,  1255,     0,  1256,     0,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
       0,     0,   385,  1257,   387,   388,   389,     0,   390,   391,
     392,  1258,  1259,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,  1260,
     410,  1261,   412,   413,   414,   415,  1262,   416,   417,   418,
     419,  1263,  1264,   421,  1265,   423,   424,   425,     0,   426,
     427,     0,     0,  1266,   429,   430,     0,     0,   431,   432,
     433,   434,   435,   436,  1267,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,     0,   447,   448,  1268,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,  1269,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,   484,   485,   486,   487,
     488,   489,  1270,   491,   492,   493,   494,   495,   496,   497,
     498,   499,    41,   500,   501,   502,   503,   504,  1271,   505,
     506,   507,   508,   509,   510,   511,   512,  1272,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,  1273,   529,     0,   530,   531,    45,   532,
     533,   534,   535,   536,   537,   538,     0,   539,  1274,  1275,
       0,     0,   542,   543,  1276,   545,  1277,  1278,   547,   548,
     549,   550,   551,   552,   553,     0,  1279,   554,   555,   556,
     557,   558,  1280,     0,   559,   560,   561,   562,   563,  1150,
    1281,     0,   566,   567,   568,   569,   570,   571,     0,     0,
     572,     0,    50,   573,   574,   575,   576,   577,   578,   579,
    1282,  1283,  1284,  1285,   584,  1286,  1287,  1288,  1289,   589,
     590,   591,   592,  1290,     0,    51,     0,     0,     0,     0,
    1291,  1292,     0,     0,     0,     0,     0,     0,     0,  1294,
     227,  1223,   660,  1224,  1225,  1226,   721,  1227,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,  1228,     0,     0,   239,   240,     0,   241,   242,   243,
     244,   245,   246,   247,   248,  1229,   250,  1230,  1231,  2783,
     253,   254,   255,   256,   257,   258,  1232,  1233,   259,   260,
    1234,  1235,   263,     0,   264,   265,   266,   267,  1236,     0,
    1237,     0,   270,   271,   272,   273,   274,   275,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,   285,
     286,   287,   288,  1238,  1239,  1240,  1241,  1242,  1243,  1244,
     290,   291,   292,   293,   294,   295,  1245,  1246,   298,  1247,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,  1071,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,  1248,   326,   327,   328,  1249,  1250,   330,
       0,   331,   332,  1251,   334,     0,   335,     0,   336,   337,
    2784,   338,   339,   340,   341,   342,     0,   343,  1252,     0,
    1253,   346,   347,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
    1254,  1255,     0,  1256,     0,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,     0,  2785,   385,  1257,   387,
     388,   389,     0,   390,   391,   392,  1258,  1259,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,  1260,   410,  1261,   412,   413,   414,
     415,  1262,   416,   417,   418,   419,  1263,  1264,   421,  1265,
     423,   424,   425,     0,   426,   427,     0,     0,  1266,   429,
     430,     0,     0,   431,   432,   433,   434,   435,   436,  1267,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,  1268,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
    1269,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,  1270,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,  1271,   505,   506,   507,   508,   509,   510,
     511,   512,  1272,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,  1273,   529,
       0,   530,   531,     0,   532,   533,   534,   535,   536,   537,
     538,     0,   539,  1274,  1275,     0,  2786,   542,   543,  1276,
     545,  1277,  1278,   547,   548,   549,   550,   551,   552,   553,
       0,  1279,   554,   555,   556,   557,   558,  1280,     0,   559,
     560,   561,   562,   563,   564,  1281,     0,   566,   567,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,   579,  1282,  1283,  1284,  1285,   584,
    1286,  1287,  1288,  1289,   589,   590,   591,   592,  1290,     0,
       0,     0,     0,     0,     0,  1291,  1292,     0,     0,     0,
       0,     0,     0,     0,  1294,   227,  1223,   660,  1224,  1225,
    1226,   721,  1227,     0,     0,     0,     0,     0,     0,     0,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   236,
     237,   238,     0,     0,     0,     0,  1228,     0,     0,   239,
     240,     0,   241,   242,   243,   244,   245,   246,   247,   248,
    1229,   250,  1230,  1231,     0,   253,   254,   255,   256,   257,
     258,  1232,  1233,   259,   260,  1234,  1235,   263,     0,   264,
     265,   266,   267,  1236,     0,  1237,     0,   270,   271,   272,
     273,   274,   275,   276,   277,   278,     0,   279,   280,   281,
     282,   283,   284,     0,   285,   286,   287,   288,  1238,  1239,
    1240,  1241,  1242,  1243,  1244,   290,   291,   292,   293,   294,
     295,  1245,  1246,   298,  1247,   299,     0,   300,   301,   302,
     303,   304,   305,     0,   306,   307,   308,   309,     0,     0,
     310,   311,  1071,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,     0,   321,   322,   323,   324,  1248,   326,
     327,   328,  1249,  1250,   330,     0,   331,   332,  1251,   334,
       0,   335,     0,   336,   337,     0,   338,   339,   340,   341,
     342,     0,   343,  1252,     0,  1253,   346,   347,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,     0,
     358,   359,   360,   361,   362,   363,   364,     0,   365,   366,
     367,   368,   369,   370,   371,  1254,  1255,     0,  1256,     0,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
       0,     0,   385,  1257,   387,   388,   389,     0,   390,   391,
     392,  1258,  1259,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,  1260,
     410,  1261,   412,   413,   414,   415,  1262,   416,   417,   418,
     419,  1263,  1264,   421,  1265,   423,   424,   425,     0,   426,
     427,     0,     0,  1266,   429,   430,     0,     0,   431,   432,
     433,   434,   435,   436,  1267,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,     0,   447,   448,  1268,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,  1269,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,   484,   485,   486,   487,
     488,   489,  1270,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,  1271,   505,
     506,   507,   508,   509,   510,   511,   512,  1272,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,  1273,   529,     0,   530,   531,     0,   532,
     533,   534,   535,   536,   537,   538,     0,   539,  1274,  1275,
       0,     0,   542,   543,  1276,   545,  1277,  1278,   547,   548,
     549,   550,   551,   552,   553,     0,  1279,   554,   555,   556,
     557,   558,  1280,     0,   559,   560,   561,   562,   563,   564,
    1281,     0,   566,   567,   568,   569,   570,   571,     0,     0,
     572,     0,     0,   573,   574,   575,   576,   577,   578,   579,
    1282,  1283,  1284,  1285,   584,  1286,  1287,  1288,  1289,   589,
     590,   591,   592,  1290,     0,     0,     0,     0,     0,     0,
    1291,  1292,     0,     0,     0,     0,     0,  1990,  2738,  1294,
     227,  1223,   660,  1224,  1225,  1226,   721,  1227,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,  1228,     0,     0,   239,   240,     0,   241,   242,   243,
     244,   245,   246,   247,   248,  1229,   250,  1230,  1231,     0,
     253,   254,   255,   256,   257,   258,  1232,  1233,   259,   260,
    1234,  1235,   263,     0,   264,   265,   266,   267,  1236,     0,
    1237,     0,   270,   271,   272,   273,   274,   275,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,   285,
     286,   287,   288,  1238,  1239,  1240,  1241,  1242,  1243,  1244,
     290,   291,   292,   293,   294,   295,  1245,  1246,   298,  1247,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,  1071,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,  1248,   326,   327,   328,  1249,  1250,   330,
       0,   331,   332,  1251,   334,     0,   335,     0,   336,   337,
       0,   338,   339,   340,   341,   342,     0,   343,  1252,     0,
    1253,   346,   347,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
    1254,  1255,     0,  1256,     0,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,     0,     0,   385,  1257,   387,
     388,   389,     0,   390,   391,   392,  1258,  1259,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,  1260,   410,  1261,   412,   413,   414,
     415,  1262,   416,   417,   418,   419,  1263,  1264,   421,  1265,
     423,   424,   425,     0,   426,   427,     0,     0,  1266,   429,
     430,     0,     0,   431,   432,   433,   434,   435,   436,  1267,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,  1268,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
    1269,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,  1270,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,  1271,   505,   506,   507,   508,   509,   510,
     511,   512,  1272,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,  1273,   529,
       0,   530,   531,     0,   532,   533,   534,   535,   536,   537,
     538,     0,   539,  1274,  1275,     0,     0,   542,   543,  1276,
     545,  1277,  1278,   547,   548,   549,   550,   551,   552,   553,
       0,  1279,   554,   555,   556,   557,   558,  1280,     0,   559,
     560,   561,   562,   563,   564,  1281,     0,   566,   567,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,   579,  1282,  1283,  1284,  1285,   584,
    1286,  1287,  1288,  1289,   589,   590,   591,   592,  1290,     0,
       0,     0,     0,     0,     0,  1291,  1292,  1293,     0,     0,
       0,     0,     0,     0,  1294,   227,  1223,   660,  1224,  1225,
    1226,   721,  1227,     0,     0,     0,     0,     0,     0,     0,
     228,   229,   230,   231,   232,   233,   234,   235,  2139,   236,
     237,   238,     0,     0,     0,     0,  1228,     0,     0,   239,
     240,     0,   241,   242,   243,   244,   245,   246,   247,   248,
    1229,   250,  1230,  1231,     0,   253,   254,   255,   256,   257,
     258,  1232,  1233,   259,   260,  1234,  1235,   263,     0,   264,
     265,   266,   267,  1236,     0,  1237,     0,   270,   271,   272,
     273,   274,   275,   276,   277,   278,     0,   279,   280,   281,
     282,   283,   284,     0,   285,   286,   287,   288,  1238,  1239,
    1240,  1241,  1242,  1243,  1244,   290,   291,   292,   293,   294,
     295,  1245,  1246,   298,  1247,   299,     0,   300,   301,   302,
     303,   304,   305,     0,   306,   307,   308,   309,     0,     0,
     310,   311,  1071,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,     0,   321,   322,   323,   324,  1248,   326,
     327,   328,  1249,  1250,   330,     0,   331,   332,  1251,   334,
       0,   335,     0,   336,   337,     0,   338,   339,   340,   341,
     342,     0,   343,  1252,     0,  1253,   346,   347,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,     0,
     358,   359,   360,   361,   362,   363,   364,     0,   365,   366,
     367,   368,   369,   370,   371,  1254,  1255,     0,  1256,     0,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
       0,     0,   385,  1257,   387,   388,   389,     0,   390,   391,
     392,  1258,  1259,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,  1260,
     410,  1261,   412,   413,   414,   415,  1262,   416,   417,   418,
     419,  1263,  1264,   421,  1265,   423,   424,   425,     0,   426,
     427,     0,     0,  1266,   429,   430,     0,     0,   431,   432,
     433,   434,   435,   436,  1267,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,     0,   447,   448,  1268,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,  1269,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,   484,   485,   486,   487,
     488,   489,  1270,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,  1271,   505,
     506,   507,   508,   509,   510,   511,   512,  1272,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,  1273,   529,     0,   530,   531,     0,   532,
     533,   534,   535,   536,   537,   538,     0,   539,  1274,  1275,
       0,     0,   542,   543,  1276,   545,  1277,  1278,   547,   548,
     549,   550,   551,   552,   553,     0,  1279,   554,   555,   556,
     557,   558,  1280,     0,   559,   560,   561,   562,   563,   564,
    1281,     0,   566,   567,   568,   569,   570,   571,     0,     0,
     572,     0,     0,   573,   574,   575,   576,   577,   578,   579,
    1282,  1283,  1284,  1285,   584,  1286,  1287,  1288,  1289,   589,
     590,   591,   592,  1290,     0,     0,     0,     0,     0,     0,
    1291,  1292,     0,     0,     0,     0,     0,     0,     0,  1294,
     227,  1223,   660,  1224,  1225,  1226,   721,  1227,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,  1228,     0,     0,   239,   240,     0,   241,   242,   243,
     244,   245,   246,   247,   248,  1229,   250,  1230,  1231,     0,
     253,   254,   255,   256,   257,   258,  1232,  1233,   259,   260,
    1234,  1235,   263,     0,   264,   265,   266,   267,  1236,     0,
    1237,     0,   270,   271,   272,   273,   274,   275,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,   285,
     286,   287,   288,  1238,  1239,  1240,  1241,  1242,  1243,  1244,
     290,   291,   292,   293,   294,   295,  1245,  1246,   298,  1247,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,  1071,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,  1248,   326,   327,   328,  1249,  1250,   330,
       0,   331,   332,  1251,   334,     0,   335,     0,   336,   337,
       0,   338,   339,   340,   341,   342,     0,   343,  1252,     0,
    1253,   346,   347,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
    1254,  1255,     0,  1256,     0,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,     0,     0,   385,  1257,   387,
     388,   389,     0,   390,   391,   392,  1258,  1259,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,  1260,   410,  1261,   412,   413,   414,
     415,  1262,   416,   417,   418,   419,  1263,  1264,   421,  1265,
     423,   424,   425,     0,   426,   427,     0,     0,  1266,   429,
     430,     0,     0,   431,   432,   433,   434,   435,   436,  1267,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,  1268,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
    1269,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,  1270,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,  1271,   505,   506,   507,   508,   509,   510,
     511,   512,  1272,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,  1273,   529,
       0,   530,   531,     0,   532,   533,   534,   535,   536,   537,
     538,     0,   539,  1274,  1275,     0,     0,   542,   543,  1276,
     545,  1277,  1278,   547,   548,   549,   550,   551,   552,   553,
       0,  1279,   554,   555,   556,   557,   558,  1280,     0,   559,
     560,   561,   562,   563,   564,  1281,  3222,   566,   567,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,   579,  1282,  1283,  1284,  1285,   584,
    1286,  1287,  1288,  1289,   589,   590,   591,   592,  1290,     0,
       0,     0,     0,     0,     0,  1291,  1292,     0,     0,     0,
       0,     0,     0,     0,  1294,   227,  1223,   660,  1224,  1225,
    1226,   721,  1227,     0,     0,     0,     0,     0,     0,     0,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   236,
     237,   238,     0,     0,     0,     0,  1228,     0,     0,   239,
     240,     0,   241,   242,   243,   244,   245,   246,   247,   248,
    1229,   250,  1230,  1231,     0,   253,   254,   255,   256,   257,
     258,  1232,  1233,   259,   260,  1234,  1235,   263,     0,   264,
     265,   266,   267,  1236,     0,  1237,     0,   270,   271,   272,
     273,   274,   275,   276,   277,   278,     0,   279,   280,   281,
     282,   283,   284,     0,   285,   286,   287,   288,  1238,  1239,
    1240,  1241,  1242,  1243,  1244,   290,   291,   292,   293,   294,
     295,  1245,  1246,   298,  1247,   299,     0,   300,   301,   302,
     303,   304,   305,     0,   306,   307,   308,   309,     0,     0,
     310,   311,  1071,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,     0,   321,   322,   323,   324,  1248,   326,
     327,   328,  1249,  1250,   330,     0,   331,   332,  1251,   334,
       0,   335,     0,   336,   337,  2784,   338,   339,   340,   341,
     342,     0,   343,  1252,     0,  1253,   346,   347,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,     0,
     358,   359,   360,   361,   362,   363,   364,     0,   365,   366,
     367,   368,   369,   370,   371,  1254,  1255,     0,  1256,     0,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
       0,     0,   385,  1257,   387,   388,   389,     0,   390,   391,
     392,  1258,  1259,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,  1260,
     410,  1261,   412,   413,   414,   415,  1262,   416,   417,   418,
     419,  1263,  1264,   421,  1265,   423,   424,   425,     0,   426,
     427,     0,     0,  1266,   429,   430,     0,     0,   431,   432,
     433,   434,   435,   436,  1267,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,     0,   447,   448,  1268,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,  1269,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,   484,   485,   486,   487,
     488,   489,  1270,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,  1271,   505,
     506,   507,   508,   509,   510,   511,   512,  1272,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,  1273,   529,     0,   530,   531,     0,   532,
     533,   534,   535,   536,   537,   538,     0,   539,  1274,  1275,
       0,     0,   542,   543,  1276,   545,  1277,  1278,   547,   548,
     549,   550,   551,   552,   553,     0,  1279,   554,   555,   556,
     557,   558,  1280,     0,   559,   560,   561,   562,   563,   564,
    1281,     0,   566,   567,   568,   569,   570,   571,     0,     0,
     572,     0,     0,   573,   574,   575,   576,   577,   578,   579,
    1282,  1283,  1284,  1285,   584,  1286,  1287,  1288,  1289,   589,
     590,   591,   592,  1290,     0,     0,     0,     0,     0,     0,
    1291,  1292,     0,     0,     0,     0,     0,     0,     0,  1294,
     227,  1223,   660,  1224,  1225,  1226,   721,  1227,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,  1228,     0,     0,   239,   240,     0,   241,   242,   243,
     244,   245,   246,   247,   248,  1229,   250,  1230,  1231,     0,
     253,   254,   255,   256,   257,   258,  1232,  1233,   259,   260,
    1234,  1235,   263,     0,   264,   265,   266,   267,  1236,     0,
    1237,     0,   270,   271,   272,   273,   274,   275,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,   285,
     286,   287,   288,  1238,  1239,  1240,  1241,  1242,  1243,  1244,
     290,   291,   292,   293,   294,   295,  1245,  1246,   298,  1247,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,  1071,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,  1248,   326,   327,   328,  1249,  1250,   330,
       0,   331,   332,  1251,   334,     0,   335,     0,   336,   337,
       0,   338,   339,   340,   341,   342,     0,   343,  1252,     0,
    1253,   346,   347,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
    1254,  1255,     0,  1256,     0,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,     0,     0,   385,  1257,   387,
     388,   389,     0,   390,   391,   392,  1258,  1259,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,  1260,   410,  1261,   412,   413,   414,
     415,  1262,   416,   417,   418,   419,  1263,  1264,   421,  1265,
     423,   424,   425,     0,   426,   427,     0,     0,  1266,   429,
     430,     0,     0,   431,   432,   433,   434,   435,   436,  1267,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,  1268,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
    1269,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,  1270,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,  1271,   505,   506,   507,   508,   509,   510,
     511,   512,  1272,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,  1273,   529,
       0,   530,   531,     0,   532,   533,   534,   535,   536,   537,
     538,     0,   539,  1274,  1275,     0,     0,   542,   543,  1276,
     545,  1277,  1278,   547,   548,   549,   550,   551,   552,   553,
       0,  1279,   554,   555,   556,   557,   558,  1280,     0,   559,
     560,   561,   562,   563,   564,  1281,     0,   566,   567,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,   579,  1282,  1283,  1284,  1285,   584,
    1286,  1287,  1288,  1289,   589,   590,   591,   592,  1290,     0,
       0,     0,     0,     0,     0,  1291,  1292,     0,     0,     0,
       0,     0,     0,     0,  1294,   227,  1223,   660,  1224,  1225,
    1226,   721,  1227,     0,     0,     0,     0,     0,     0,     0,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   236,
     237,   238,     0,     0,     0,     0,  1228,     0,     0,   239,
     240,     0,   241,   242,   243,   244,   245,   246,   247,   248,
    1229,   250,  1230,  1231,     0,   253,   254,   255,   256,   257,
     258,  1232,  1233,   259,   260,  1234,  1235,   263,     0,   264,
     265,   266,   267,  1236,     0,  1237,     0,   270,   271,   272,
     273,   274,   275,   276,   277,   278,     0,   279,   280,   281,
     282,   283,   284,     0,   285,   286,   287,   288,  1238,  1239,
    1240,  1241,  1242,  1243,  1244,   290,   291,   292,   293,   294,
     295,  1245,  1246,   298,  1247,   299,     0,   300,   301,   302,
     303,   304,   305,     0,   306,   307,   308,   309,     0,     0,
     310,   311,  1071,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,     0,   321,   322,   323,   324,  1248,   326,
     327,   328,  1249,  1250,   330,     0,   331,   332,  1251,   334,
       0,   335,     0,   336,   337,     0,   338,   339,   340,   341,
     342,     0,   343,  1252,     0,  1253,   346,   347,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,     0,
     358,   359,   360,   361,   362,   363,   364,     0,   365,   366,
     367,   368,   369,   370,   371,  1254,  1255,     0,  1256,     0,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
       0,     0,   385,  1257,   387,   388,   389,     0,   390,   391,
     392,  1258,  1259,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,  1260,
     410,  1261,   412,   413,   414,   415,  1262,   416,   417,   418,
     419,  1263,  1264,   421,  1265,   423,   424,   425,     0,   426,
     427,     0,     0,  1266,   429,   430,     0,     0,   431,   432,
     433,   434,   435,   436,  1267,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,     0,   447,   448,  1268,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,  1269,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,   484,   485,   486,   487,
     488,   489,  1270,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,  1271,   505,
     506,   507,   508,   509,   510,   511,   512,  1272,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,  1273,   529,     0,   530,   531,     0,   532,
     533,   534,   535,   536,   537,   538,     0,   539,  1274,  1275,
       0,     0,   542,   543,  1276,   545,  1277,  1278,   547,   548,
     549,   550,   551,   552,   553,     0,  1279,   554,   555,   556,
     557,   558,  1280,     0,   559,   560,   561,   562,   563,   564,
    1281,     0,   566,   567,   568,   569,   570,   571,     0,     0,
     572,     0,     0,   573,   574,   575,   576,   577,   578,   579,
    1282,  1283,  1284,  1285,   584,  1286,  1287,  1288,  1289,   589,
     590,   591,   592,  1290,     0,     0,     0,     0,     0,     0,
    2142,  2143,     0,     0,     0,     0,     0,     0,     0,  1294,
     227,  2905,   660,  1224,  1225,  1226,   721,  1227,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,  1228,     0,     0,   239,   240,     0,   241,   242,   243,
     244,   245,   246,   247,   248,  1229,   250,  1230,  1231,     0,
     253,   254,   255,   256,   257,   258,  1232,  1233,   259,   260,
    1234,  1235,   263,     0,   264,   265,   266,   267,  1236,     0,
    1237,     0,   270,   271,   272,   273,   274,   275,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,   285,
     286,   287,   288,  1238,  1239,  1240,  1241,  1242,  1243,  1244,
     290,   291,   292,   293,   294,   295,  1245,  1246,   298,  1247,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,  1071,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,  1248,   326,   327,   328,  1249,  1250,   330,
       0,   331,   332,  1251,   334,     0,   335,     0,   336,   337,
       0,   338,   339,   340,   341,   342,     0,   343,  1252,     0,
    1253,   346,   347,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
    1254,  1255,     0,  1256,     0,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,     0,     0,   385,  1257,   387,
     388,   389,     0,   390,   391,   392,  1258,  1259,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,  1260,   410,  1261,   412,   413,   414,
     415,  1262,   416,   417,   418,   419,  1263,  1264,   421,  1265,
     423,   424,   425,     0,   426,   427,     0,     0,  1266,   429,
     430,     0,     0,   431,   432,   433,   434,   435,   436,  1267,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,  1268,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
    1269,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,  1270,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,  1271,   505,   506,   507,   508,   509,   510,
     511,   512,  1272,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,  1273,   529,
       0,   530,   531,     0,   532,   533,   534,   535,   536,   537,
     538,     0,   539,  1274,  1275,     0,     0,   542,   543,  1276,
     545,  1277,  1278,   547,   548,   549,   550,   551,   552,   553,
       0,  1279,   554,   555,   556,   557,   558,  1280,     0,   559,
     560,   561,   562,   563,   564,  1281,     0,   566,   567,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,   579,  1282,  1283,  1284,  1285,   584,
    1286,  1287,  1288,  1289,   589,   590,   591,   592,  1290,     0,
       0,     0,     0,     0,     0,  1291,  1292,     0,     0,     0,
       0,     0,     0,     0,  1294,   227,  1223,   660,  1224,  1225,
    1226,   721,  1227,     0,     0,     0,     0,     0,     0,     0,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   236,
     237,   238,     0,     0,     0,     0,  1228,     0,     0,   239,
     240,     0,   241,   242,   243,   244,   245,   246,   247,   248,
    1229,   250,  1230,  1231,     0,   253,   254,   255,   256,   257,
     258,  1232,  1233,   259,   260,  1234,  1235,   263,     0,   264,
     265,   266,   267,  1236,     0,  1237,     0,   270,   271,   272,
     273,   274,   275,   276,   277,   278,     0,   279,   280,   281,
     282,   283,   284,     0,   285,   286,   287,  4155,  1238,  1239,
    1240,  1241,  1242,  1243,  1244,   290,   291,   292,   293,   294,
     295,  1245,  1246,   298,  1247,   299,     0,   300,   301,   302,
     303,   304,   305,     0,   306,   307,   308,   309,     0,     0,
     310,   311,  1071,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,     0,   321,   322,   323,   324,  1248,   326,
     327,   328,  1249,  1250,   330,     0,   331,   332,  1251,   334,
       0,   335,     0,   336,   337,     0,   338,   339,   340,   341,
     342,     0,   343,  1252,     0,  1253,   346,   347,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,     0,
     358,   359,   360,   361,   362,   363,   364,     0,   365,   366,
     367,   368,   369,   370,   371,  1254,  1255,     0,  1256,     0,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
       0,     0,   385,  1257,   387,   388,   389,     0,   390,   391,
     392,  1258,  1259,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,  1260,
     410,  1261,   412,   413,   414,   415,  1262,   416,   417,   418,
     419,  1263,  1264,   421,  1265,   423,   424,   425,     0,   426,
     427,     0,     0,  1266,   429,   430,     0,     0,   431,   432,
     433,   434,   435,   436,  1267,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,     0,   447,   448,  1268,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,  1269,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,   484,   485,   486,   487,
     488,   489,  1270,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,  1271,   505,
     506,   507,   508,   509,   510,   511,   512,  1272,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,  1273,   529,     0,   530,   531,     0,   532,
     533,   534,   535,   536,   537,   538,     0,   539,  1274,  1275,
       0,     0,   542,   543,  1276,   545,  1277,  1278,   547,   548,
     549,   550,   551,   552,   553,     0,  1279,   554,   555,   556,
     557,   558,  1280,     0,   559,   560,   561,   562,   563,   564,
    1281,     0,   566,   567,   568,   569,   570,   571,     0,     0,
     572,     0,     0,   573,   574,   575,   576,   577,   578,   579,
    1282,  1283,  1284,  1285,   584,  1286,  1287,  1288,  1289,   589,
     590,   591,   592,  1290,     0,     0,     0,     0,     0,     0,
    1291,  1292,     0,     0,     0,     0,     0,     0,     0,  1294,
     227,  1223,   660,  1224,  1225,  1226,   721,  1227,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,  1228,     0,     0,   239,   240,     0,   241,   242,   243,
     244,   245,   246,   247,   248,  1229,   250,  1230,  1231,     0,
     253,   254,   255,   256,   257,   258,  1232,  1233,   259,   260,
    1234,  1235,   263,     0,   264,   265,   266,   267,  1236,     0,
    1237,     0,   270,   271,   272,   273,   274,   275,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,   285,
     286,   287,   288,  1238,  1239,  1240,  1241,  1242,  1243,  1244,
     290,   291,   292,   293,   294,   295,  1245,  1246,   298,  1247,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,  1071,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,  1248,   326,   327,   328,  1249,  1250,   330,
       0,   331,   332,  1251,   334,     0,   335,     0,   336,   337,
       0,   338,   339,   340,   341,   342,     0,   343,  1252,     0,
    1253,   346,   347,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
    1254,  1255,     0,  1256,     0,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,     0,     0,   385,  1257,   387,
     388,   389,     0,   390,   391,   392,  1258,  1259,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,  1260,   410,  1261,   412,   413,   414,
     415,  1262,   416,   417,   418,   419,  1263,  1264,   421,  1265,
     423,   424,   425,     0,   426,   427,     0,     0,  1266,   429,
     430,     0,     0,   431,   432,   433,   434,   435,   436,  1267,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,  1268,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
    1269,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,  1270,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,  1271,   505,   506,   507,   508,   509,   510,
     511,   512,  1272,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,  1273,   529,
       0,   530,   531,     0,   532,   533,   534,   535,   536,   537,
     538,     0,   539,  1274,  1275,     0,     0,   542,   543,  1276,
     545,  1277,  1278,   547,   548,   549,   550,   551,   552,   553,
       0,  1279,   554,   555,   556,   557,   558,  1280,     0,   559,
     560,   561,   562,   563,   564,  1281,     0,   566,   567,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,  4495,  1282,  1283,  1284,  1285,   584,
    1286,  1287,  1288,  1289,   589,   590,   591,   592,  1290,     0,
       0,     0,     0,     0,     0,  1291,  1292,     0,     0,     0,
       0,     0,     0,     0,  1294,   227,  1223,   660,  1224,  1225,
    1226,   721,  1227,     0,     0,     0,     0,     0,     0,     0,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   236,
     237,   238,     0,     0,     0,     0,  1228,     0,     0,   239,
     240,     0,   241,   242,   243,   244,   245,   246,   247,   248,
    1229,   250,  1230,  1231,     0,   253,   254,   255,   256,   257,
     258,  1232,  1233,   259,   260,  1234,  1235,   263,     0,   264,
     265,   266,   267,  1236,     0,  1237,     0,   270,   271,   272,
     273,   274,   275,   276,   277,   278,     0,   279,   280,   281,
     282,   283,   284,     0,   285,   286,   287,   288,  1238,  1239,
    1240,  1241,  1242,  1243,  1244,   290,   291,   292,   293,   294,
     295,  1245,  1246,   298,  1247,   299,     0,   300,   301,   302,
     303,   304,   305,     0,   306,   307,   308,   309,     0,     0,
     310,   311,  1071,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,     0,   321,   322,   323,   324,  1248,   326,
     327,   328,  1249,  1250,   330,     0,   331,   332,  1251,   334,
       0,   335,     0,   336,   337,     0,   338,   339,   340,   341,
     342,     0,   343,  1252,     0,  1253,   346,   347,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,     0,
     358,   359,   360,   361,   362,   363,   364,     0,   365,   366,
     367,   368,   369,   370,   371,  1254,  1255,     0,  1256,     0,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
       0,     0,   385,  1257,   387,   388,   389,     0,   390,   391,
     392,  1258,  1259,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,  1260,
     410,  1261,   412,   413,  4507,   415,  1262,   416,   417,   418,
     419,  1263,  1264,   421,  1265,   423,   424,   425,     0,   426,
     427,     0,     0,  1266,   429,   430,     0,     0,   431,   432,
     433,   434,   435,   436,  1267,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,     0,   447,   448,  1268,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,  1269,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,   484,   485,   486,   487,
     488,   489,  1270,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,  1271,   505,
     506,   507,   508,   509,   510,   511,   512,  1272,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,  1273,   529,     0,   530,   531,     0,   532,
     533,   534,   535,   536,   537,   538,     0,   539,  1274,  1275,
       0,     0,   542,   543,  1276,   545,  1277,  1278,   547,   548,
     549,   550,   551,   552,   553,     0,  1279,   554,   555,   556,
     557,   558,  1280,     0,   559,   560,   561,   562,   563,   564,
    1281,     0,   566,   567,   568,   569,   570,   571,     0,     0,
     572,     0,     0,   573,   574,   575,   576,   577,   578,   579,
    1282,  1283,  1284,  1285,   584,  1286,  1287,  1288,  1289,   589,
     590,   591,   592,  1290,     0,     0,     0,     0,     0,     0,
    1291,  1292,     0,     0,     0,     0,     0,     0,     0,  1294,
     227,  1223,   660,  1224,  1225,  1226,   721,  1227,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,  1228,     0,     0,   239,   240,     0,   241,   242,   243,
     244,   245,   246,   247,   248,  1229,   250,  1230,  1231,     0,
     253,   254,   255,   256,   257,   258,  1232,  1233,   259,   260,
    1234,  1235,   263,     0,   264,   265,   266,   267,  1236,     0,
    1237,     0,   270,   271,   272,   273,   274,   275,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,   285,
     286,  4815,   288,  1238,  1239,  1240,  1241,  1242,  1243,  1244,
     290,   291,   292,   293,   294,   295,  1245,  1246,   298,  1247,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,  1071,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,  1248,   326,   327,   328,  1249,  1250,   330,
       0,   331,   332,  1251,   334,     0,   335,     0,   336,   337,
       0,   338,   339,   340,   341,   342,     0,   343,  1252,     0,
    4816,   346,   347,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
    1254,  1255,     0,  1256,     0,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,     0,     0,   385,  1257,   387,
     388,   389,     0,   390,   391,   392,  1258,  1259,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,  1260,   410,  1261,   412,   413,   414,
     415,  1262,   416,   417,   418,   419,  1263,  1264,   421,  1265,
     423,   424,   425,     0,   426,   427,     0,     0,  1266,   429,
     430,     0,     0,   431,   432,   433,   434,   435,   436,  1267,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,  1268,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
    1269,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,  4817,   488,   489,  1270,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,  1271,   505,   506,   507,   508,   509,   510,
     511,   512,  1272,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,  1273,   529,
       0,   530,   531,     0,   532,   533,   534,   535,   536,   537,
     538,     0,   539,  1274,  1275,     0,     0,   542,   543,  1276,
     545,  1277,  1278,   547,   548,   549,   550,   551,   552,   553,
       0,  1279,   554,   555,   556,   557,   558,  1280,     0,   559,
     560,   561,   562,   563,   564,  1281,     0,   566,   567,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,   579,  1282,  1283,  1284,  1285,   584,
    1286,  1287,  1288,  1289,   589,   590,   591,   592,  1290,     0,
       0,     0,     0,     0,     0,  1291,  1292,     0,     0,     0,
       0,     0,     0,     0,  4818,   227,  1223,   660,  1224,  1225,
    1226,   721,  1227,     0,     0,     0,     0,     0,     0,     0,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   236,
     237,   238,     0,     0,     0,     0,  1228,     0,     0,   239,
     240,     0,   241,   242,   243,   244,   245,   246,   247,  5289,
    1229,   250,  1230,  1231,     0,   253,   254,   255,   256,   257,
     258,  1232,  1233,   259,   260,  1234,  1235,   263,     0,   264,
     265,   266,   267,  1236,     0,  1237,     0,   270,   271,   272,
     273,   274,   275,   276,   277,   278,     0,   279,   280,   281,
     282,   283,   284,     0,   285,   286,   287,  5290,  1238,  1239,
    1240,  1241,  1242,  1243,  1244,   290,   291,   292,   293,   294,
     295,  1245,  1246,   298,  1247,   299,     0,   300,   301,   302,
     303,   304,   305,     0,   306,   307,   308,   309,     0,     0,
     310,   311,  1071,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,     0,   321,   322,   323,   324,  1248,   326,
     327,   328,  1249,  1250,   330,     0,   331,   332,  1251,   334,
       0,   335,     0,   336,   337,     0,   338,   339,   340,   341,
     342,     0,   343,  1252,     0,  1253,   346,   347,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,     0,
     358,   359,   360,   361,   362,   363,   364,     0,   365,   366,
     367,   368,   369,   370,   371,  1254,  1255,     0,  1256,     0,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
       0,     0,   385,  1257,   387,   388,   389,     0,   390,   391,
     392,  1258,  1259,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,  1260,
     410,  1261,   412,   413,   414,   415,  1262,   416,   417,   418,
     419,  1263,  1264,   421,  1265,   423,   424,   425,     0,   426,
     427,     0,     0,  1266,   429,   430,     0,     0,   431,   432,
     433,   434,   435,   436,  1267,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,     0,   447,   448,  1268,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,  1269,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,   484,   485,   486,   487,
     488,   489,  1270,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,  1271,   505,
     506,   507,   508,   509,   510,   511,   512,  1272,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,  1273,   529,     0,   530,   531,     0,   532,
     533,   534,   535,   536,   537,   538,     0,   539,  1274,  1275,
       0,     0,   542,   543,  1276,   545,  1277,  1278,   547,   548,
     549,   550,  5291,   552,   553,     0,  1279,   554,   555,   556,
     557,   558,  1280,     0,   559,   560,   561,   562,   563,   564,
    1281,     0,   566,   567,   568,   569,   570,   571,     0,     0,
     572,     0,     0,   573,   574,   575,   576,   577,   578,   579,
    1282,  1283,  1284,  1285,   584,  1286,  1287,  1288,  1289,   589,
     590,   591,   592,  1290,     0,     0,     0,     0,     0,     0,
    1291,  1292,     0,     0,     0,     0,     0,     0,     0,  1294,
     227,  1223,   660,  1224,  1225,  1226,   721,  1227,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,  1228,     0,     0,   239,   240,     0,   241,   242,   243,
     244,   245,   246,   247,   248,  1229,   250,  1230,  1231,     0,
     253,   254,   255,   256,   257,   258,  1232,  1233,   259,   260,
    1234,  1235,   263,     0,   264,   265,   266,   267,  1236,     0,
    1237,     0,   270,   271,   272,   273,   274,   275,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,   285,
     286,   287,  5290,  1238,  1239,  1240,  1241,  1242,  1243,  1244,
     290,   291,   292,   293,   294,   295,  1245,  1246,   298,  1247,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,  1071,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,  1248,   326,   327,   328,  1249,  1250,   330,
       0,   331,   332,  1251,   334,     0,   335,     0,   336,   337,
       0,   338,   339,   340,   341,   342,     0,   343,  1252,     0,
    1253,   346,   347,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
    1254,  1255,     0,  1256,     0,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,     0,     0,   385,  1257,   387,
     388,   389,     0,   390,   391,   392,  1258,  1259,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,  1260,   410,  1261,   412,   413,   414,
     415,  1262,   416,   417,   418,   419,  1263,  1264,   421,  1265,
     423,   424,   425,     0,   426,   427,     0,     0,  1266,   429,
     430,     0,     0,   431,   432,   433,   434,   435,   436,  1267,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,  1268,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
    1269,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,  1270,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,  1271,   505,   506,   507,   508,   509,   510,
     511,   512,  1272,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,  1273,   529,
       0,   530,   531,     0,   532,   533,   534,   535,   536,   537,
     538,     0,   539,  1274,  1275,     0,     0,   542,   543,  1276,
     545,  1277,  1278,   547,   548,   549,   550,  5291,   552,   553,
       0,  1279,   554,   555,   556,   557,   558,  1280,     0,   559,
     560,   561,   562,   563,   564,  1281,     0,   566,   567,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,   579,  1282,  1283,  1284,  1285,   584,
    1286,  1287,  1288,  1289,   589,   590,   591,   592,  1290,     0,
       0,     0,     0,     0,     0,  1291,  1292,     0,     0,     0,
       0,     0,     0,     0,  1294,   227,  1223,   660,  1224,  1225,
    1226,   721,  1227,     0,     0,     0,     0,     0,     0,     0,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   236,
     237,   238,     0,     0,     0,     0,  1228,     0,     0,   239,
     240,     0,   241,   242,   243,   244,   245,   246,   247,   248,
    1229,   250,  1230,  1231,     0,   253,   254,   255,   256,   257,
     258,  1232,  1233,   259,   260,  1234,  1235,   263,     0,   264,
     265,   266,   267,  1236,     0,  1237,     0,   270,   271,   272,
     273,   274,   275,   276,   277,   278,     0,   279,   280,   281,
     282,   283,   284,     0,   285,   286,   287,   288,  1238,  1239,
    1240,  1241,  1242,  1243,  1244,   290,   291,   292,   293,   294,
     295,  1245,  1246,   298,  5013,   299,     0,   300,   301,   302,
     303,   304,   305,     0,   306,   307,   308,   309,     0,     0,
     310,   311,  1071,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,     0,   321,   322,   323,   324,  1248,   326,
     327,   328,  1249,  1250,   330,     0,   331,   332,  1251,   334,
       0,   335,     0,   336,   337,     0,   338,   339,   340,   341,
     342,     0,   343,  1252,     0,  1253,   346,   347,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,     0,
     358,   359,   360,   361,   362,   363,   364,     0,   365,   366,
     367,   368,   369,   370,   371,  1254,  1255,     0,  1256,     0,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
       0,     0,   385,  1257,   387,   388,   389,     0,   390,   391,
     392,  1258,  1259,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,  1260,
     410,  1261,   412,   413,   414,   415,     0,   416,   417,   418,
     419,  1263,  1264,   421,  1265,   423,   424,   425,     0,   426,
     427,     0,     0,  1266,   429,   430,     0,     0,   431,   432,
     433,   434,   435,   436,  1267,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,     0,   447,   448,  1268,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,  1269,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,   484,   485,   486,   487,
     488,   489,  2769,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,  1271,   505,
     506,   507,   508,   509,   510,   511,   512,  1272,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,  1273,   529,     0,   530,   531,     0,   532,
     533,   534,   535,   536,   537,   538,     0,   539,  1274,  1275,
       0,     0,   542,   543,  1276,   545,  1277,  1278,   547,   548,
     549,   550,   551,   552,   553,     0,     0,   554,   555,   556,
     557,   558,  1280,     0,   559,   560,   561,   562,   563,   564,
    1281,     0,   566,   567,   568,   569,   570,   571,     0,     0,
     572,     0,     0,   573,   574,   575,   576,   577,   578,   579,
    1282,  1283,  1284,  1285,   584,  1286,  1287,  1288,  1289,   589,
     590,   591,   592,     0,     0,     0,     0,     0,     0,     0,
    2770,  2771,     0,     0,     0,     0,     0,     0,     0,  2772,
     227,  1223,   660,  1224,  1225,  1226,   721,  1227,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,  1228,     0,     0,   239,   240,     0,   241,   242,   243,
     244,   245,   246,   247, -2637,  1229,   250,  1230,  1231,     0,
     253,   254,   255,   256,   257,   258,  1232,  1233,   259,   260,
    1234,  1235,   263,     0,   264,   265,   266,   267,  1236,     0,
    1237,     0,   270,   271,   272,   273,   274,   275,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,   285,
     286,   287,  5290,  1238,  1239,  1240,  1241,  1242,  1243,  1244,
     290,   291,   292,   293,   294,   295,  1245,  1246,   298,  1247,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,  1071,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,  1248,   326,   327,   328,  1249,  1250,   330,
       0,   331,   332,  1251,   334,     0,   335,     0,   336,   337,
       0,   338,   339,   340,   341,   342,     0,   343,  1252,     0,
    1253,   346,   347,     0,   348,   349,   350,   351,   352, -2637,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
    1254,  1255,     0,  1256,     0,   375,     0,     0,   378,   379,
     380,   381,   382,   383,   384,     0,     0,   385,  1257,   387,
     388, -2637,     0,   390,   391,   392,  1258,  1259,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,  1260,   410,  1261,   412,   413,   414,
     415,  1262,   416,   417,     0,   419,  1263,  1264,   421,  1265,
     423,   424,   425,     0,   426,   427,     0,     0,  1266,   429,
     430,     0,     0,   431,   432,   433,   434,   435,   436,  1267,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,  1268,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
    1269,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,  1270,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,  1271,   505,   506,   507,   508,   509, -2637,
     511,   512,  1272,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,  1273,   529,
       0,   530,   531,     0,   532,   533,   534,   535,   536,   537,
     538,     0,   539,  1274,  1275,     0,     0,   542,   543,  1276,
     545,  1277,  1278,   547,   548,   549,   550,  5291,   552,   553,
       0,  1279,   554,   555,   556,   557,   558,  1280,     0,   559,
     560,   561,   562,   563,   564,  1281,     0,   566,   567,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,   579,  1282,  1283,  1284,  1285,   584,
    1286,  1287,  1288,  1289,   589,   590,   591,   592, -2637,     0,
       0,     0,     0,     0,     0,  1291,  1292,     0,     0,     0,
       0,     0,     0,     0,  1294,   227,  1223,   660,  1224,  1225,
    1226,   721,  1227,     0,     0,     0,     0,     0,     0,     0,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   236,
     237,   238,     0,     0,     0,     0,  1228,     0,     0,   239,
     240,     0,   241,   242,   243,   244,   245,   246,   247,   248,
    1229,   250,  1230,  1231,     0,   253,   254,   255,   256,   257,
     258,  1232,  1233,   259,   260,  1234,  1235,   263,     0,   264,
     265,   266,   267,  1236,     0,  1237,     0,   270,   271,   272,
     273,   274,   275,   276,   277,   278,     0,   279,   280,   281,
     282,   283,   284,     0,   285,   286,   287,   288,  1238,  1239,
    1240,  1241,  1242,  1243,  1244,   290,   291,   292,   293,   294,
     295,  1245,  1246,   298,     0,   299,     0,   300,   301,   302,
     303,   304,   305,     0,   306,   307,   308,   309,     0,     0,
     310,   311,  1071,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,     0,   321,   322,   323,   324,  1248,   326,
     327,   328,  1249,  1250,   330,     0,   331,   332,  1251,   334,
       0,   335,     0,   336,   337,     0,   338,   339,   340,   341,
     342,     0,   343,  1252,     0,  1253,   346,   347,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,     0,
     358,   359,   360,   361,   362,   363,   364,     0,   365,   366,
     367,   368,   369,   370,   371,  1254,  1255,     0,  1256,     0,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
       0,     0,   385,  1257,   387,   388,   389,     0,   390,   391,
     392,  1258,  1259,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,  1260,
     410,  1261,   412,   413,   414,   415,     0,   416,   417,   418,
     419,  1263,  1264,   421,  1265,   423,   424,   425,     0,   426,
     427,     0,     0,  1266,   429,   430,     0,     0,   431,   432,
     433,   434,   435,   436,  1267,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,     0,   447,   448,  1268,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,  1269,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,   484,   485,   486,   487,
     488,   489,  2769,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,  1271,   505,
     506,   507,   508,   509,   510,   511,   512,  1272,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,  1273,   529,     0,   530,   531,     0,   532,
     533,   534,   535,   536,   537,   538,     0,   539,  1274,  1275,
       0,     0,   542,   543,  1276,   545,  1277,  1278,   547,   548,
     549,   550,   551,   552,   553,     0,     0,   554,   555,   556,
     557,   558,  1280,     0,   559,   560,   561,   562,   563,   564,
    1281,     0,   566,   567,   568,   569,   570,   571,     0,     0,
     572,     0,     0,   573,   574,   575,   576,   577,   578,   579,
    1282,  1283,  1284,  1285,   584,  1286,  1287,  1288,  1289,   589,
     590,   591,   592,     0,     0,     0,     0,     0,     0,     0,
    2770,  2771,     0,     0,   227,  1223,   660,  1224,  1225,  2772,
     721,  1227,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,  1228,     0,     0,   239,   240,
       0,   241,   242,   243,   244,   245,   246,   247,   248,  1229,
     250,  1230,  1231,     0,   253,   254,   255,   256,   257,   258,
    1232,  1233,   259,   260,  1234,  1235,   263,     0,   264,   265,
     266,   267,  1236,     0,  1237,     0,   270,   271,   272,   273,
     274,   275,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,   285,   286,   287,   288,  1238,  1239,  1240,
    1241,  1242,  1243,  1244,   290,   291,   292,   293,   294,   295,
    1245,  1246,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,  1071,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,  1248,   326,   327,
     328,  1249,  1250,   330,     0,   331,   332,  1251,   334,     0,
     335,     0,   336,   337,     0,   338,   339,   340,   341,   342,
       0,   343,  1252,     0,  1253,   346,   347,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,   366,   367,
     368,   369,   370,   371,  1254,  1255,     0,  1256,     0,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,     0,
       0,   385,  1257,   387,   388,   389,     0,   390,   391,   392,
    1258,  1259,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,  1260,   410,
    1261,   412,   413,   414,   415,     0,   416,   417,   418,   419,
    1263,  1264,   421,  1265,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,     0,   431,   432,   433,
     434,   435,   436,  1267,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,     0,   447,   448,  1268,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,  1269,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,   484,   485,   486,   487,   488,
     489,  2894,  2895,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,  1271,   505,   506,
     507,   508,   509,   510,   511,   512,  1272,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,  1273,   529,     0,   530,   531,     0,   532,   533,
     534,   535,   536,   537,   538,     0,   539,  1274,  1275,     0,
       0,   542,   543,  1276,   545,  1277,  1278,   547,   548,   549,
     550,   551,   552,   553,     0,     0,   554,   555,   556,   557,
     558,  1280,     0,   559,   560,   561,   562,   563,   564,  1281,
       0,   566,   567,   568,   569,   570,   571,     0,     0,   572,
       0,     0,   573,   574,   575,   576,   577,   578,   579,  1282,
    1283,  1284,  1285,   584,  1286,  1287,  1288,  1289,   589,   590,
     591,   592,     0,     0,     0,     0,     0,     0,     0,  2896,
    2897,     0,     0,     0,     0,     0,     0,     0,  2772,   227,
    1223,   660,  1224,  1225,  1226,   721,  1227,     0,     0,     0,
       0,     0,     0,     0,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   236,   237,   238,     0,     0,     0,     0,
    1228,     0,     0,   239,   240,     0,   241,   242,   243,   244,
     245,   246,   247,   248,  1229,   250,  1230,  1231,     0,   253,
     254,   255,   256,   257,   258,  1232,  1233,   259,   260,  1234,
    1235,   263,     0,   264,   265,   266,   267,  1236,     0,  1237,
       0,   270,   271,   272,   273,   274,   275,   276,   277,   278,
       0,   279,   280,   281,   282,   283,   284,     0,   285,   286,
     287,   288,  1238,  1239,  1240,  1241,  1242,  1243,  1244,   290,
     291,   292,   293,   294,   295,  1245,  1246,   298,     0,   299,
       0,   300,   301,   302,   303,   304,   305,     0,   306,   307,
     308,   309,     0,     0,   310,   311,  1071,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,     0,   321,   322,
     323,   324,  1248,   326,   327,   328,  1249,  1250,   330,     0,
     331,   332,  1251,   334,     0,   335,     0,   336,   337,     0,
     338,   339,   340,   341,   342,     0,   343,  1252,     0,  1253,
     346,   347,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,     0,   358,   359,   360,   361,   362,   363,
     364,     0,   365,   366,   367,   368,   369,   370,   371,  1254,
    1255,     0,  1256,     0,   375,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,     0,   385,  1257,   387,   388,
     389,     0,   390,   391,   392,  1258,  1259,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,  1260,   410,  1261,   412,   413,   414,   415,
       0,   416,   417,   418,   419,  1263,  1264,   421,  1265,   423,
     424,   425,     0,   426,   427,     0,     0,  1266,   429,   430,
       0,     0,   431,   432,   433,   434,   435,   436,  1267,   438,
     439,   440,   441,   442,   443,   444,   445,   446,     0,     0,
     447,   448,  1268,   450,   451,   452,   453,   454,     0,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,  1269,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,     0,   482,   483,
     484,   485,   486,   487,   488,   489,  2769,   491,   492,   493,
     494,   495,   496,   497,   498,   499,     0,   500,   501,   502,
     503,   504,  1271,   505,   506,   507,   508,   509,   510,   511,
     512,  1272,   514,     0,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,  1273,   529,     0,
     530,   531,     0,   532,   533,   534,   535,   536,   537,   538,
       0,   539,  1274,  1275,     0,     0,   542,   543,  1276,   545,
    1277,  1278,   547,   548,   549,   550,   551,   552,   553,     0,
       0,   554,   555,   556,   557,   558,  1280,     0,   559,   560,
     561,   562,   563,   564,  1281,     0,   566,   567,   568,   569,
     570,   571,     0,     0,   572,     0,     0,   573,   574,   575,
     576,   577,   578,   579,  1282,  1283,  1284,  1285,   584,  1286,
    1287,  1288,  1289,   589,   590,   591,   592,     0,     0,     0,
       0,     0,     0,     0,  2770,  2771,     0,     0,   227,  1223,
     660,  1224,  1225,  2772,   721,  1227,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,  1228,
       0,     0,   239,   240,     0,   241,   242,   243,   244,   245,
     246,   247,   248,  1229,   250,  1230,  1231,     0,   253,   254,
     255,   256,   257,   258,  1232,  1233,   259,   260,  1234,  1235,
     263,     0,   264,   265,   266,   267,  1236,     0,  1237,     0,
     270,   271,   272,   273,   274,   275,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,   285,   286,   287,
     288,  1238,  1239,  1240,  1241,  1242,  1243,  1244,   290,   291,
     292,   293,   294,   295,  1245,  1246,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,  1071,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,  1248,   326,   327,   328,  1249,  1250,   330,     0,   331,
     332,  1251,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,  1252,     0,  1253,   346,
     347,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,   367,   368,   369,   370,   371,  1254,  1255,
       0,  1256,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,  1257,   387,   388,   389,
       0,   390,   391,   392,  1258,  1259,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,  1260,   410,  1261,   412,   413,   414,   415,     0,
     416,   417,   418,   419,  1263,  1264,   421,  1265,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,   434,   435,   436,  1267,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,     0,   447,
     448,  1268,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,  1269,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,  2769,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,  1271,   505,   506,   507,   508,   509,   510,   511,   512,
    1272,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,  1273,   529,     0,   530,
     531,     0,   532,   533,   534,   535,   536,   537,   538,     0,
     539,  1274,  1275,     0,     0,   542,   543,  1276,   545,  1277,
    1278,   547,   548,   549,   550,   551,   552,   553,     0,     0,
     554,   555,   556,   557,   558,  1280,     0,   559,   560,   561,
     562,   563,   564,  1281,     0,   566,   567,   568,   569,   570,
     571,     0,     0,   572,     0,     0,   573,   574,   575,   576,
     577,   578,   579,  1282,  1283,  1284,  1285,   584,  1286,  1287,
    1288,  1289,   589,   590,   591,   592,     0,     0,   227,  1223,
     660,  1224,  1225,     0,   721,  1227,     0,     0,     0,     0,
       0,     0,  2772,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,  1228,
       0,     0,   239,   240,     0,   241,   242,   243,   244,   245,
     246,   247,   248,  1229,   250,  1230,  1231,     0,  4064,   254,
     255,   256,   257,   258,  1232,  1233,   259,   260,  1234,  1235,
     263,     0,   264,   265,   266,   267,  1236,     0,  1237,     0,
     270,   271,   272,   273,   274,   275,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,   285,   286,   287,
     288,  1238,  1239,  1240,  1241,  1242,  1243,  1244,   290,   291,
     292,   293,   294,   295,  1245,  1246,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,  1071,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,  1248,   326,   327,   328,  1249,  1250,   330,     0,   331,
     332,  1251,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,  1252,     0,  1253,   346,
     347,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,   367,   368,   369,   370,   371,  1254,  1255,
       0,  1256,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,  1257,   387,   388,   389,
       0,   390,   391,   392,  1258,  1259,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,  1260,   410,  1261,   412,   413,   414,   415,     0,
     416,   417,   418,   419,  1263,  1264,   421,  1265,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,   434,   435,   436,  1267,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,     0,   447,
     448,  1268,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,  1269,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,  2769,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,  1271,   505,   506,   507,   508,   509,   510,   511,   512,
    1272,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,  1273,   529,     0,   530,
     531,     0,   532,   533,   534,   535,   536,   537,   538,     0,
     539,  1274,  1275,     0,     0,   542,   543,  1276,   545,  1277,
    1278,   547,   548,   549,   550,   551,   552,   553,     0,     0,
     554,   555,   556,   557,   558,  1280,     0,   559,   560,   561,
     562,   563,   564,  1281,     0,   566,   567,   568,   569,   570,
     571,     0,     0,   572,     0,     0,   573,   574,   575,   576,
     577,   578,   579,  1282,  1283,  1284,  1285,   584,  1286,  1287,
    1288,  1289,   589,   590,   591,   592,     0,     0,   227,  1223,
     660,  1224,  1225,     0,   721,  1227,     0,     0,     0,     0,
       0,     0,  2772,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,  1228,
       0,     0,   239,   240,     0,   241,   242,   243,   244,   245,
     246,   247,   248,  1229,   250,  1230,  1231,     0,   253,   254,
     255,   256,   257,   258,  1232,  1233,   259,   260,  1234,  1235,
     263,     0,   264,   265,   266,   267,  1236,     0,  1237,     0,
     270,   271,   272,   273,   274,   275,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,   285,   286,   287,
     288,  1238,  1239,  1240,  1241,  1242,  1243,  1244,   290,   291,
     292,   293,   294,   295,  1245,  1246,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,  1071,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,  1248,   326,   327,   328,  1249,  1250,   330,     0,   331,
     332,  1251,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,  1252,     0,  1253,   346,
     347,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,   367,   368,   369,   370,   371,  1254,  1255,
       0,  1256,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,  1257,   387,   388,   389,
       0,   390,   391,   392,  1258,  1259,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,  1260,   410,  1261,   412,   413,   414,   415,     0,
     416,   417,   418,   419,  1263,  1264,   421,  1265,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,   434,   435,   436,  1267,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,     0,   447,
     448,  1268,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,  1269,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,  2769,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,  1271,   505,   506,   507,   508,   509,   510,   511,   512,
    1272,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,  1273,   529,     0,   530,
     531,     0,   532,   533,   534,   535,   536,   537,   538,     0,
     539,  1274,  1275,     0,     0,   542,   543,  1276,   545,  1277,
    1278,   547,   548,   549,   550,   551,   552,   553,     0,     0,
     554,   555,   556,   557,   558,  1280,     0,   559,   560,   561,
     562,   563,   564,  1281,     0,   566,   567,   568,   569,   570,
     571,     0,     0,   572,     0,     0,   573,   574,   575,   576,
     577,   578,   579,  1282,  1283,  1284,  1285,  4538,  1286,  1287,
    1288,  1289,   589,   590,   591,   592,     0,     0,   227,  1223,
     660,  1224,  1225,  1226,   721,  1227,     0,     0,     0,     0,
       0,     0,  2772,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,  1228,
       0,     0,   239,   240,     0,   241,   242,   243,   244,   245,
     246,   247,     0,  1229,   250,  1230,  1231,     0,   253,   254,
     255,   256,   257,   258,  1232,  1233,   259,   260,  1234,  1235,
     263,     0,   264,   265,   266,   267,  1236,     0,  1237,     0,
     270,   271,   272,   273,   274,   275,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,   285,   286,   287,
     288,  1238,  1239,  1240,  1241,  1242,  1243,  1244,   290,   291,
     292,   293,   294,   295,  1245,  1246,   298,  1247,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,  1071,   313,   314,     0,   315,
     316,   317,     0,   318,     0,   320,     0,   321,   322,   323,
     324,  1248,   326,   327,   328,  1249,  1250,   330,     0,   331,
     332,  1251,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,  1252,     0,  1253,   346,
     347,     0,   348,   349,   350,   351,   352,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,   367,   368,   369,   370,   371,  1254,  1255,
       0,  1256,     0,   375,     0,     0,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,  1257,   387,   388,     0,
       0,   390,   391,   392,  1258,  1259,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,  1260,   410,  1261,   412,   413,   414,   415,  1262,
     416,   417,     0,   419,  1263,  1264,   421,  1265,   423,   424,
     425,     0,   426,   427,     0,     0,  1266,   429,   430,     0,
       0,   431,   432,   433,   434,   435,   436,  1267,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,     0,   447,
     448,  1268,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,  1269,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,  1270,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,  1271,   505,   506,   507,   508,   509,     0,   511,   512,
    1272,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,  1273,   529,     0,   530,
     531,     0,   532,   533,   534,   535,   536,   537,   538,     0,
     539,  1274,  1275,     0,     0,   542,   543,  1276,   545,  1277,
    1278,   547,   548,   549,   550,   551,   552,   553,     0,  1279,
     554,   555,   556,   557,   558,  1280,     0,   559,   560,   561,
     562,   563,   564,  1281,     0,   566,   567,   568,   569,   570,
     571,     0,     0,   572,     0,     0,   573,   574,   575,   576,
     577,   578,   579,  1282,  1283,  1284,  1285,   584,  1286,  1287,
    1288,  1289,   589,   590,   591,   592,     0,     0,   227,     0,
       0,     0,     0,  1291,  1292,     0,     0,     0,     0,     0,
       0,     0,  1294,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,  1233,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,  1236,     0,  1237,     0,
     270,   271,   272,   273,   274,   275,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,   285,   286,   287,
     288,  1238,  1239,  1240,  1241,  1242,  1243,  1244,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,  1249,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,  1252,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,  3581,     0,   385,  1257,   387,   388,   389,
       0,   390,   391,   392,  1258,  1259,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,     0,
     416,   417,   418,   419,     0,  1264,   421,   422,   423,   424,
     425,     0,   426,   427,     0,   813,   428,   429,   430,     0,
       0,   431,   432,   433,   434,   435,   436,  1267,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,     0,   447,
     448,  1268,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,   490,  3582,   492,   493,   494,
     495,   496,   497,   498,   499,    41,   500,   501,   502,   503,
     504,  1271,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,  1273,   529,     0,   530,
     531,    45,   532,   533,   534,   535,   536,   537,   538,     0,
     539,   540,   541,     0,     0,   542,   543,  1276,   545,  1277,
       0,   547,   548,   549,   550,   551,   552,   553,     0,     0,
     554,   555,   556,   557,   558,  1280,     0,   559,   560,   561,
     562,   563,  1150,   565,     0,   566,   567,   568,   569,   570,
     571,     0,     0,   572,     0,    50,   573,   574,   575,   576,
     577,   578,   579,  1282,  1283,  1284,  1285,   584,  1286,  1287,
    1288,  1289,  3583,   590,   591,   592,     0,     0,    51,   227,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3584,     0,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   236,   237,   238,     0,     0,     0,     0,
       0,     0,     0,   239,   240,     0,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,     0,   253,
     254,   255,   256,   257,   258,     0,  1233,   259,   260,   261,
     262,   263,     0,   264,   265,   266,   267,  1236,     0,  1237,
       0,   270,   271,   272,   273,   274,   275,   276,   277,   278,
       0,   279,   280,   281,   282,   283,   284,     0,   285,   286,
     287,   288,  1238,  1239,  1240,  1241,  1242,  1243,  1244,   290,
     291,   292,   293,   294,   295,   296,   297,   298,     0,   299,
       0,   300,   301,   302,   303,   304,   305,     0,   306,   307,
     308,   309,     0,     0,   310,   311,   312,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,     0,   321,   322,
     323,   324,   325,   326,   327,   328,  1249,     0,   330,     0,
     331,   332,   333,   334,     0,   335,     0,   336,   337,     0,
     338,   339,   340,   341,   342,     0,   343,  1252,     0,   345,
     346,   347,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,     0,   358,   359,   360,   361,   362,   363,
     364,     0,   365,   366,   367,   368,   369,   370,   371,   372,
     373,     0,   374,     0,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,  3581,     0,   385,  1257,   387,   388,
     389,     0,   390,   391,   392,  1258,  1259,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
       0,   416,   417,   418,   419,     0,  1264,   421,   422,   423,
     424,   425,     0,   426,   427,     0,   813,   428,   429,   430,
       0,     0,   431,   432,   433,   434,   435,   436,  1267,   438,
     439,   440,   441,   442,   443,   444,   445,   446,     0,     0,
     447,   448,  1268,   450,   451,   452,   453,   454,     0,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,     0,   482,   483,
     484,   485,   486,   487,   488,   489,   490,  3582,   492,   493,
     494,   495,   496,   497,   498,   499,     0,   500,   501,   502,
     503,   504,  1271,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,     0,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,  1273,   529,     0,
     530,   531,     0,   532,   533,   534,   535,   536,   537,   538,
       0,   539,   540,   541,     0,     0,   542,   543,  1276,   545,
    1277,     0,   547,   548,   549,   550,   551,   552,   553,     0,
       0,   554,   555,   556,   557,   558,  1280,     0,   559,   560,
     561,   562,   563,   564,   565,     0,   566,   567,   568,   569,
     570,   571,     0,     0,   572,     0,     0,   573,   574,   575,
     576,   577,   578,   579,  1282,  1283,  1284,  1285,   584,  1286,
    1287,  1288,  1289,  3583,   590,   591,   592,     0,     0,   227,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3584,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   236,   237,   238,     0,     0,     0,     0,
       0,     0,     0,   239,   240,     0,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,     0,   253,
     254,   255,   256,   257,   258,     0,  1233,   259,   260,   261,
     262,   263,     0,   264,   265,   266,   267,  1236,     0,  1237,
       0,   270,   271,   272,   273,   274,   275,   276,   277,   278,
       0,   279,   280,   281,   282,   283,   284,     0,   285,   286,
     287,   288,  1238,  1239,  1240,  1241,  1242,  1243,  1244,   290,
     291,   292,   293,   294,   295,   296,   297,   298,     0,   299,
       0,   300,   301,   302,   303,   304,   305,     0,   306,   307,
     308,   309,     0,     0,   310,   311,   312,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,     0,   321,   322,
     323,   324,   325,   326,   327,   328,  1249,     0,   330,     0,
     331,   332,   333,   334,     0,   335,     0,   336,   337,     0,
     338,   339,   340,   341,   342,     0,   343,  1252,     0,   345,
     346,   347,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,     0,   358,   359,   360,   361,   362,   363,
     364,     0,   365,   366,   367,   368,   369,   370,   371,   372,
     373,     0,   374,     0,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,     0,     0,   385,  1257,   387,   388,
     389,     0,   390,   391,   392,  1258,  1259,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
       0,   416,   417,   418,   419,     0,  1264,   421,   422,   423,
     424,   425,     0,   426,   427,     0,     0,   428,   429,   430,
       0,     0,   431,   432,   433,   434,   435,   436,  1267,   438,
     439,   440,   441,   442,   443,   444,   445,   446,     0,     0,
     447,   448,  1268,   450,   451,   452,   453,   454,     0,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,     0,   482,   483,
     484,   485,   486,   487,   488,   489,   490,  3582,   492,   493,
     494,   495,   496,   497,   498,   499,     0,   500,   501,   502,
     503,   504,  1271,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,     0,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,  1273,   529,     0,
     530,   531,     0,   532,   533,   534,   535,   536,   537,   538,
       0,   539,   540,   541,     0,     0,   542,   543,  1276,   545,
    1277,     0,   547,   548,   549,   550,   551,   552,   553,     0,
       0,   554,   555,   556,   557,   558,  1280,     0,   559,   560,
     561,   562,   563,   564,   565,     0,   566,   567,   568,   569,
     570,   571,     0,     0,   572,     0,     0,   573,   574,   575,
     576,   577,   578,   579,  1282,  1283,  1284,  1285,   584,  1286,
    1287,  1288,  1289,  3583,   590,   591,   592,     0,     0,   227,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    52,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   236,   237,   238,     0,     0,     0,     0,
       0,     0,     0,   239,   240,     0,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,     0,   253,
     254,   255,   256,   257,   258,     0,  1233,   259,   260,   261,
     262,   263,     0,   264,   265,   266,   267,  1236,     0,  1237,
       0,   270,   271,   272,   273,   274,   275,   276,   277,   278,
       0,   279,   280,   281,   282,   283,   284,     0,   285,   286,
     287,   288,  1238,  1239,  1240,  1241,  1242,  1243,  1244,   290,
     291,   292,   293,   294,   295,   296,   297,   298,     0,   299,
       0,   300,   301,   302,   303,   304,   305,     0,   306,   307,
     308,   309,     0,     0,   310,   311,   312,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,     0,   321,   322,
     323,   324,   325,   326,   327,   328,  1249,     0,   330,     0,
     331,   332,   333,   334,     0,   335,     0,   336,   337,     0,
     338,   339,   340,   341,   342,     0,   343,  1252,     0,   345,
     346,   347,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,     0,   358,   359,   360,   361,   362,   363,
     364,     0,   365,   366,   367,   368,   369,   370,   371,   372,
     373,     0,   374,     0,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,     0,     0,   385,  1257,   387,   388,
     389,     0,   390,   391,   392,  1258,  1259,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
       0,   416,   417,   418,   419,     0,  1264,   421,   422,   423,
     424,   425,     0,   426,   427,     0,     0,   428,   429,   430,
       0,     0,   431,   432,   433,   434,   435,   436,  1267,   438,
     439,   440,   441,   442,   443,   444,   445,   446,     0,     0,
     447,   448,  1268,   450,   451,   452,   453,   454,     0,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,     0,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,     0,   500,   501,   502,
     503,   504,  1271,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,     0,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,  1273,   529,     0,
     530,   531,     0,   532,   533,   534,   535,   536,   537,   538,
       0,   539,   540,   541,     0,     0,   542,   543,  1276,   545,
    1277,     0,   547,   548,   549,   550,   551,   552,   553,     0,
       0,   554,   555,   556,   557,   558,  1280,     0,   559,   560,
     561,   562,   563,   564,   565,     0,   566,   567,   568,   569,
     570,   571,     0,     0,   572,     0,     0,   573,   574,   575,
     576,   577,   578,   579,  1282,  1283,  1284,  1285,   584,  1286,
    1287,  1288,  1289,   589,   590,   591,   592,     0,     0,   227,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4173,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   236,   237,   238,     0,     0,     0,     0,
       0,     0,     0,   239,   240,     0,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,     0,   253,
     254,   255,   256,   257,   258,     0,  1233,   259,   260,   261,
     262,   263,     0,   264,   265,   266,   267,  1236,     0,  1237,
       0,   270,   271,   272,   273,   274,   275,   276,   277,   278,
       0,   279,   280,   281,   282,   283,   284,     0,   285,   286,
     287,   288,  1238,  1239,  1240,  1241,  1242,  1243,  1244,   290,
     291,   292,   293,   294,   295,   296,   297,   298,     0,   299,
       0,   300,   301,   302,   303,   304,   305,     0,   306,   307,
     308,   309,     0,     0,   310,   311,   312,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,     0,   321,   322,
     323,   324,   325,   326,   327,   328,  1249,     0,   330,     0,
     331,   332,   333,   334,     0,   335,     0,   336,   337,     0,
     338,   339,   340,   341,   342,     0,   343,  1252,     0,   345,
     346,   347,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,     0,   358,   359,   360,   361,   362,   363,
     364,     0,   365,   366,   367,   368,   369,   370,   371,   372,
     373,     0,   374,     0,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,     0,     0,   385,  1257,   387,   388,
     389,     0,   390,   391,   392,  1258,  1259,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
       0,   416,   417,   418,   419,     0,  1264,   421,   422,   423,
     424,   425,     0,   426,   427,     0,     0,   428,   429,   430,
       0,     0,   431,   432,   433,   434,   435,   436,  1267,   438,
     439,   440,   441,   442,   443,   444,   445,   446,     0,     0,
     447,   448,  1268,   450,   451,   452,   453,   454,     0,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,     0,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,     0,   500,   501,   502,
     503,   504,  1271,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,     0,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,  1273,   529,     0,
     530,   531,     0,   532,   533,   534,   535,   536,   537,   538,
       0,   539,   540,   541,     0,     0,   542,   543,  1276,   545,
    1277,     0,   547,   548,   549,   550,   551,   552,   553,     0,
       0,   554,   555,   556,   557,   558,  1280,     0,   559,   560,
     561,   562,   563,   564,   565,     0,   566,   567,   568,   569,
     570,   571,     0,     0,   572,     0,     0,   573,   574,   575,
     576,   577,   578,   579,  1282,  1283,  1284,  1285,   584,  1286,
    1287,  1288,  1289,   589,   590,   591,   592,     0,     0,   868,
    1505,   660,     0,     0,     0,   721,     0,     0,     0,     0,
       0,     0,     0,  5267,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   236,   237,   238,     0,     0,     0,     0,
       0,     0,     0,   239,   240,     0,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,     0,   253,
     254,   255,   256,   257,   258,     0,     0,   259,   260,   261,
     262,   263,     0,   264,   265,   266,   267,   268,     0,   269,
       0,   270,   271,   272,   273,   274,   275,   276,   277,   278,
       0,   279,   280,   281,   282,   283,   284,     0,   285,   286,
     287,   288,     0,     0,     0,   289,     0,     0,     0,   290,
     291,   292,   293,   294,   295,   296,   297,   298,     0,   299,
       0,   300,   301,   302,   303,   304,   305,     0,   306,   307,
     308,   309,     0,     0,   310,   311,   312,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,     0,   321,   322,
     323,   324,   325,   326,   327,   328,   329,  1917,   330,     0,
     331,   332,   333,   334,     0,   335,     0,   336,   337,     0,
     338,   339,   340,   341,   342,     0,   343,   344,     0,   345,
     346,   347,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,     0,   358,   359,   360,   361,   362,   363,
     364,     0,   365,   366,   367,   368,   369,   370,   371,   372,
     373,     0,   374,     0,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,     0,     0,   385,   386,   387,   388,
     389,     0,   390,   391,   392,     0,     0,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
       0,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,   425,     0,   426,   427,  1918,     0,   428,   429,   430,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,     0,     0,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,     0,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,     0,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,     0,
     530,   531,     0,   532,   533,   534,   535,   536,   537,   538,
       0,   539,   540,   541,     0,     0,   542,   543,   544,   545,
     546,  1919,   547,   548,   549,   550,   551,   552,   553,     0,
       0,   554,   555,   556,   557,   558,     0,     0,   559,   560,
     561,   562,   563,   564,   565,     0,   566,   567,   568,   569,
     570,   571,     0,     0,   572,     0,     0,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,     0,   868,
       0,     0,     0,     0,  1506,  1507,  5078,     0,     0,     0,
       0,     0,     0,  5079,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   236,   237,   238,     3,     4,     0,     0,
       0,     0,     0,   239,   240,     0,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,     0,   253,
     254,   255,   256,   257,   258,     0,     0,   259,   260,   261,
     262,   263,     0,   264,   265,   266,   267,   268,     0,   269,
       0,   270,   271,   272,   273,   274,   275,   276,   277,   278,
       0,   279,   280,   281,   282,   283,   284,     0,   285,   286,
     287,   288,     0,     0,     0,   289,     0,     0,     0,   290,
     291,   292,   293,   294,   295,   296,   297,   298,     0,   299,
       0,   300,   301,   302,   303,   304,   305,     0,   306,   307,
     308,   309,     0,     0,   310,   311,   312,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,     0,   321,   322,
     323,   324,   325,   326,   327,   328,   329,     0,   330,     0,
     331,   332,   333,   334,     0,   335,     0,   336,   337,     0,
     338,   339,   340,   341,   342,     0,   343,   344,     0,   345,
     346,   347,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,     0,   358,   359,   360,   361,   362,   363,
     364,     0,   365,   366,   367,   368,   369,   370,   371,   372,
     373,     0,   374,     0,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,     0,     0,   385,   386,   387,   388,
     389,     0,   390,   391,   392,     0,     0,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
       0,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,   425,     0,   426,   427,     0,     0,   428,   429,   430,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,     0,     0,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,     0,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,    41,   500,   501,   502,
     503,   504,     0,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,     0,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,     0,
     530,   531,    45,   532,   533,   534,   535,   536,   537,   538,
       0,   539,   540,   541,     0,     0,   542,   543,   544,   545,
     546,     0,   547,   548,   549,   550,   551,   552,   553,     0,
       0,   554,   555,   556,   557,   558,     0,     0,   559,   560,
     561,   562,   563,  1150,   565,     0,   566,   567,   568,   569,
     570,   571,     0,     0,   572,     0,    50,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,     0,    51,
     227,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    52,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
     261,   262,   263,     0,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,   275,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,   285,
     286,   287,   288,     0,     0,     0,   289,     0,     0,     0,
     290,   291,   292,   293,   294,   295,   296,   297,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,   337,
       0,   338,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,     0,     0,   385,   386,   387,
     388,   389,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,     0,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
       0,   530,   531,     0,   532,   533,   534,   535,   536,   537,
     538,     0,   539,   540,   541,     0,     0,   542,   543,   544,
     545,   546,     0,   547,   548,   549,   550,   551,   552,   553,
       0,     0,   554,   555,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,     0,   566,   567,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,     0,
     600,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4861,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
       0,   245,   246,   247,   248,   249,     0,   251,   252,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
     261,   262,   263,     0,   264,   265,   266,   267,   268,     0,
       0,     0,   270,   271,   272,   273,   274,     0,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,     0,
     286,   287,   288,     0,     0,     0,     0,     0,     0,     0,
     290,   291,   292,   293,   294,   295,   296,   297,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,     0,
       0,     0,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,   352,     0,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,     0,     0,   378,     0,
     380,   381,   382,   383,   384,     0,     0,   385,   386,     0,
     388,     0,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,   411,   412,   413,   414,
     415,     0,   416,   417,     0,   419,     0,   420,   421,   422,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,   433,     0,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,    41,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
       0,   530,   531,    45,   532,     0,   534,   535,   536,   537,
     538,     0,   539,   540,   541,     0,     0,   542,   543,   544,
     545,   546,     0,   547,   548,   549,   550,   551,   552,   553,
       0,     0,   554,   555,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,  1150,   565,     0,   566,     0,   568,
     569,   570,   571,     0,     0,   572,     0,    50,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,     0,
      51,   600,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    52,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,     0,   245,   246,   247,   248,   249,     0,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
       0,     0,     0,   270,   271,   272,   273,   274,     0,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
       0,   286,   287,   288,     0,     0,     0,     0,     0,     0,
       0,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
       0,     0,     0,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,   352,
       0,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,     0,     0,   378,
       0,   380,   381,   382,   383,   384,     0,     0,   385,   386,
       0,   388,     0,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,   411,   412,   413,
     414,   415,     0,   416,   417,     0,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,     0,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,     0,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
       0,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,     0,   530,   531,     0,   532,     0,   534,   535,   536,
     537,   538,     0,   539,   540,   541,     0,     0,   542,   543,
     544,   545,   546,     0,   547,   548,   549,   550,   551,   552,
     553,     0,     0,   554,   555,   556,   557,   558,     0,     0,
     559,   560,   561,   562,   563,   564,   565,     0,   566,     0,
     568,   569,   570,   571,     0,     0,   572,     0,     0,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
       0,   600,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1352,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,     0,   245,   246,   247,   248,   249,     0,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
       0,     0,     0,   270,   271,   272,   273,   274,     0,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
       0,   286,   287,   288,     0,     0,     0,     0,     0,     0,
       0,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
       0,     0,     0,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,   352,
       0,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,     0,     0,   378,
       0,   380,   381,   382,   383,   384,     0,     0,   385,   386,
       0,   388,     0,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,   411,   412,   413,
     414,   415,     0,   416,   417,     0,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,     0,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,     0,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
       0,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,     0,   530,   531,     0,   532,     0,   534,   535,   536,
     537,   538,     0,   539,   540,   541,     0,     0,   542,   543,
     544,   545,   546,     0,   547,   548,   549,   550,   551,   552,
     553,     0,     0,   554,   555,   556,   557,   558,     0,     0,
     559,   560,   561,   562,   563,   564,   565,     0,   566,     0,
     568,   569,   570,   571,     0,     0,   572,     0,     0,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
       0,   600,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3411,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,     0,   245,   246,   247,   248,   249,     0,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
       0,     0,     0,   270,   271,   272,   273,   274,     0,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
       0,   286,   287,   288,     0,     0,     0,     0,     0,     0,
       0,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
       0,     0,     0,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,   352,
       0,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,     0,     0,   378,
       0,   380,   381,   382,   383,   384,     0,     0,   385,   386,
       0,   388,     0,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,   411,   412,   413,
     414,   415,     0,   416,   417,     0,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,     0,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,     0,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
       0,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,     0,   530,   531,     0,   532,     0,   534,   535,   536,
     537,   538,     0,   539,   540,   541,     0,     0,   542,   543,
     544,   545,   546,     0,   547,   548,   549,   550,   551,   552,
     553,     0,     0,   554,   555,   556,   557,   558,     0,     0,
     559,   560,   561,   562,   563,   564,   565,     0,   566,     0,
     568,   569,   570,   571,     0,     0,   572,     0,     0,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
       0,   600,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4100,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,     0,   245,   246,   247,   248,   249,     0,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
       0,     0,     0,   270,   271,   272,   273,   274,     0,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
       0,   286,   287,   288,     0,     0,     0,     0,     0,     0,
       0,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
       0,     0,     0,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,   352,
       0,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,     0,     0,   378,
       0,   380,   381,   382,   383,   384,     0,     0,   385,   386,
       0,   388,     0,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,   411,   412,   413,
     414,   415,     0,   416,   417,     0,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,     0,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,     0,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
       0,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,     0,   530,   531,     0,   532,     0,   534,   535,   536,
     537,   538,     0,   539,   540,   541,     0,     0,   542,   543,
     544,   545,   546,     0,   547,   548,   549,   550,   551,   552,
     553,     0,     0,   554,   555,   556,   557,   558,     0,     0,
     559,   560,   561,   562,   563,   564,   565,     0,   566,     0,
     568,   569,   570,   571,     0,     0,   572,     0,     0,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
       0,     0,     0,     0,  1063,  1505,   660,     0,     0,   882,
     721,     0,     0,     0,     0,  4555,   883,   884,   885,   228,
     229,   230,   231,   232,   233,   234,   235,  1635,   236,   237,
     238,  1636,  1637,  1638,  1639,  1640,  1641,  1642,   239,   240,
    1643,   241,   242,   243,   244,   245,   246,   247,     0,  1064,
     250,  1065,  1066,  1644,   253,   254,   255,   256,   257,   258,
    1645,  1646,   259,   260,  1067,  1068,   263,  1647,   264,   265,
     266,   267,     0,  1648,   269,  1649,   270,   271,   272,   273,
     274,   275,   276,   277,   278,  1650,   279,   280,   281,   282,
     283,   284,  1651,   285,   286,   287,   288,  1652,  1653,  1654,
     289,  1655,  1656,  1657,   290,   291,   292,   293,   294,   295,
    1069,  1070,   298,  1658,   299,  1659,   300,   301,   302,   303,
     304,   305,  1660,   306,   307,   308,   309,  1661,  1662,   310,
     311,  1071,   313,   314,  1663,   315,   316,   317,  1664,   318,
     319,   320,  1665,   321,   322,   323,   324,     0,   326,   327,
     328,     0,  1666,   330,  1667,   331,   332,  1072,   334,  1668,
     335,  1669,   336,   337,  1670,   338,   339,   340,   341,   342,
    1671,   343,     0,  1672,     0,   346,   347,  1673,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,  1674,   358,
     359,   360,   361,   362,   363,   364,  1675,   365,   366,     0,
     368,   369,   370,   371,  1074,  1075,  1676,  1076,  1677,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,  1678,
    1679,   385,     0,   387,   388,   389,  1680,   390,   391,   392,
    1681,  1682,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,  1077,   410,
    1078,   412,   413,   414,  3839,  1683,   416,   417,   418,   419,
    1684,     0,   421,  1079,   423,   424,   425,  1685,   426,   427,
    1686,  1687,  3840,   429,   430,  1688,  1689,   431,   432,     0,
     434,   435,   436,     0,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,  1690,   447,   448,     0,   450,     0,
     452,   453,   454,  1691,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,  1080,   466,   467,   468,   469,  1692,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,  1693,   482,   483,   484,   485,   486,   487,   488,
     489,     0,   491,   492,   493,   494,   495,   496,   497,   498,
     499,  1694,   500,   501,   502,   503,   504,  1695,   505,   506,
    2174,   508,   509,   510,   511,   512,  1082,   514,  1696,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,     0,   529,  1697,   530,   531,  1698,   532,   533,
     534,   535,   536,   537,   538,  1699,   539,  1083,  1084,  1700,
    1701,   542,   543,     0,   545,     0,  1702,   547,   548,   549,
     550,   551,   552,   553,  1703,  1704,   554,   555,   556,   557,
     558,  1705,  1706,   559,   560,   561,   562,   563,     0,  1085,
    1707,   566,   567,   568,   569,   570,   571,  1708,  1709,   572,
    1710,  1711,   573,   574,   575,   576,   577,   578,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   590,
     591,   592,     0,     0,     0,   888,   889,   890,     0,  3841,
    3842,   893,   894,   895,   896,  1063,  1505,   660,     0,     0,
     882,   721,     0,     0,     0,     0,     0,   883,   884,   885,
     228,   229,   230,   231,   232,   233,   234,   235,  1635,   236,
     237,   238,  1636,  1637,  1638,  1639,  1640,  1641,  1642,   239,
     240,  1643,   241,   242,   243,   244,   245,   246,   247,     0,
    1064,   250,  1065,  1066,  1644,   253,   254,   255,   256,   257,
     258,  1645,  1646,   259,   260,  1067,  1068,   263,  1647,   264,
     265,   266,   267,     0,  1648,   269,  1649,   270,   271,   272,
     273,   274,   275,   276,   277,   278,  1650,   279,   280,   281,
     282,   283,   284,  1651,   285,   286,   287,   288,  1652,  1653,
    1654,   289,  1655,  1656,  1657,   290,   291,   292,   293,   294,
     295,  1069,  1070,   298,  1658,   299,  1659,   300,   301,   302,
     303,   304,   305,  1660,   306,   307,   308,   309,  1661,  1662,
     310,   311,  1071,   313,   314,  1663,   315,   316,   317,  1664,
     318,   319,   320,  1665,   321,   322,   323,   324,     0,   326,
     327,   328,     0,  1666,   330,  1667,   331,   332,  1072,   334,
    1668,   335,  1669,   336,   337,  1670,   338,   339,   340,   341,
     342,  1671,   343,     0,  1672,     0,   346,   347,  1673,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,  1674,
     358,   359,   360,   361,   362,   363,   364,  1675,   365,   366,
       0,   368,   369,   370,   371,  1074,  1075,  1676,  1076,  1677,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
    1678,  1679,   385,     0,   387,   388,   389,  1680,   390,   391,
     392,  1681,  1682,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,  1077,
     410,  1078,   412,   413,   414,  4265,  1683,   416,   417,   418,
     419,  1684,     0,   421,  1079,   423,   424,   425,  1685,   426,
     427,  1686,  1687,  3840,   429,   430,  1688,  1689,   431,   432,
       0,   434,   435,   436,     0,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,  1690,   447,   448,     0,   450,
       0,   452,   453,   454,  1691,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,  1080,   466,   467,   468,   469,
    1692,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,  1693,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   491,   492,   493,   494,   495,   496,   497,
     498,   499,  1694,   500,   501,   502,   503,   504,  1695,   505,
     506,  2174,   508,   509,   510,   511,   512,  1082,   514,  1696,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,     0,   529,  1697,   530,   531,  1698,   532,
     533,   534,   535,   536,   537,   538,  1699,   539,  1083,  1084,
    1700,  1701,   542,   543,     0,   545,     0,  1702,   547,   548,
     549,   550,   551,   552,   553,  1703,  1704,   554,   555,   556,
     557,   558,  1705,  1706,   559,   560,   561,   562,   563,     0,
    1085,  1707,   566,   567,   568,   569,   570,   571,  1708,  1709,
     572,  1710,  1711,   573,   574,   575,   576,   577,   578,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     590,   591,   592,     0,   600,     0,   888,   889,   890,   882,
    3841,  3842,   893,   894,   895,   896,   883,   884,   885,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,     0,   245,   246,   247,   248,   249,
       0,   251,   252,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   259,   260,   261,   262,   263,     0,   264,   886,
     266,   267,   268,     0,     0,     0,   270,   271,   272,   273,
     274,     0,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,     0,   286,   287,   288,     0,     0,     0,
       0,     0,     0,     0,   290,   291,   292,   293,   294,   295,
     296,   297,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,   325,   326,   327,
     328,   329,     0,   887,     0,   331,   332,   333,   334,     0,
     335,     0,   336,     0,     0,     0,   339,   340,   341,   342,
       0,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,   352,     0,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
       0,     0,   378,     0,   380,   381,   382,   383,   384,     0,
       0,   385,   386,     0,   388,     0,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
     411,   412,   413,   414,   415,     0,   416,   417,     0,   419,
       0,   420,   421,   422,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,     0,   431,   432,   433,
       0,   435,     0,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,     0,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,     0,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,     0,   511,   512,   513,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,     0,   530,   531,     0,   532,     0,
     534,   535,   536,   537,   538,     0,   539,   540,   541,     0,
       0,   542,   543,   544,   545,   546,     0,   547,   548,   549,
     550,   551,   552,   553,     0,     0,   554,   555,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
       0,   566,     0,   568,   569,   570,   571,     0,     0,   572,
       0,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   600,     0,   888,   889,   890,   882,   891,
     892,   893,   894,   895,   896,   883,   884,   885,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,     0,   245,   246,   247,   248,   249,     0,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,   261,   262,   263,     0,   264,  1013,   266,
     267,   268,     0,     0,     0,   270,   271,   272,   273,   274,
       0,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,     0,   286,   287,   288,     0,     0,     0,     0,
       0,     0,     0,   290,   291,   292,   293,   294,   295,   296,
     297,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,  1014,     0,   331,   332,   333,   334,     0,   335,
       0,   336,     0,     0,     0,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,   352,     0,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,     0,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,     0,
       0,   378,     0,   380,   381,   382,   383,   384,     0,     0,
     385,   386,     0,   388,     0,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,   411,
     412,   413,   414,   415,     0,   416,   417,     0,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,   433,     0,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,     0,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,     0,   482,   483,     0,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
       0,   500,   501,   502,   503,   504,     0,   505,   506,   507,
     508,   509,     0,   511,   512,   513,   514,     0,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,     0,   530,   531,     0,   532,     0,   534,
     535,   536,   537,   538,     0,   539,   540,   541,     0,     0,
     542,   543,   544,   545,   546,     0,   547,   548,   549,   550,
     551,   552,   553,     0,     0,   554,   555,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,     0,
     566,     0,   568,   569,   570,   571,     0,     0,   572,     0,
       0,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   600,     0,   888,   889,   890,   882,   891,   892,
     893,   894,   895,   896,   883,   884,   885,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,  1113,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,  1114,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
    1115,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,     0,   530,   531,     0,   532,     0,   534,   535,
     536,   537,   538,     0,   539,   540,   541,     0,     0,   542,
     543,   544,   545,   546,     0,   547,   548,   549,   550,   551,
     552,   553,     0,     0,   554,   555,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,     0,   566,
       0,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   600,     0,   888,   889,   890,   882,   891,   892,   893,
     894,   895,   896,   883,   884,   885,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,     0,   245,   246,   247,   248,   249,     0,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,     0,   264,  1734,   266,   267,   268,
       0,     0,     0,   270,   271,   272,   273,   274,     0,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
       0,   286,   287,   288,     0,     0,     0,     0,     0,     0,
       0,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
    1735,     0,   331,   332,   333,   334,     0,   335,     0,   336,
       0,     0,     0,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,   352,
       0,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,     0,     0,   378,
       0,   380,   381,   382,   383,   384,     0,     0,   385,   386,
       0,   388,     0,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,   411,   412,   413,
     414,   415,     0,   416,   417,     0,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,     0,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,     0,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
       0,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,     0,   530,   531,     0,   532,     0,   534,   535,   536,
     537,   538,     0,   539,   540,   541,     0,     0,   542,   543,
     544,   545,   546,     0,   547,   548,   549,   550,   551,   552,
     553,     0,     0,   554,   555,   556,   557,   558,     0,     0,
     559,   560,   561,   562,   563,   564,   565,     0,   566,     0,
     568,   569,   570,   571,     0,     0,   572,     0,     0,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     600,     0,   888,   889,   890,   882,   891,   892,   893,   894,
     895,   896,   883,   884,   885,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
       0,   245,   246,   247,   248,   249,     0,   251,   252,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
     261,   262,   263,     0,   264,   265,   266,   267,   268,     0,
       0,     0,   270,   271,   272,   273,   274,     0,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,     0,
     286,   287,   288,     0,     0,     0,     0,     0,     0,     0,
     290,   291,   292,   293,   294,   295,   296,   297,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,     0,
       0,     0,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,   352,     0,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,     0,     0,   378,     0,
     380,   381,   382,   383,   384,     0,     0,   385,   386,     0,
     388,     0,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,   411,   412,   413,   414,
     415,     0,   416,   417,     0,   419,     0,   420,   421,   422,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,   433,     0,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
       0,   530,   531,     0,   532,     0,   534,   535,   536,   537,
     538,     0,   539,   540,   541,     0,     0,   542,   543,   544,
     545,   546,     0,   547,   548,   549,   550,   551,   552,   553,
       0,     0,   554,   555,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,     0,   566,     0,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   600,
       0,   888,   889,   890,   882,   891,   892,   893,   894,   895,
     896,   883,   884,   885,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   236,   237,   238,     0,     0,     0,     0,
       0,     0,     0,   239,   240,     0,   241,   242,   243,     0,
     245,   246,   247,   248,   249,     0,   251,   252,     0,   253,
     254,   255,   256,   257,   258,     0,     0,   259,   260,   261,
     262,   263,     0,   264,  2995,   266,   267,   268,     0,     0,
       0,   270,   271,   272,   273,   274,     0,   276,   277,   278,
       0,   279,   280,   281,   282,   283,   284,     0,     0,   286,
     287,   288,     0,     0,     0,     0,     0,     0,     0,   290,
     291,   292,   293,   294,   295,   296,   297,   298,     0,   299,
       0,   300,   301,   302,   303,   304,   305,     0,   306,   307,
     308,   309,     0,     0,   310,   311,   312,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,     0,   321,   322,
     323,   324,   325,   326,   327,   328,   329,     0,  2996,     0,
     331,   332,   333,   334,     0,   335,     0,   336,     0,     0,
       0,   339,   340,   341,   342,     0,   343,   344,     0,   345,
     346,   347,     0,   348,   349,   350,   351,   352,     0,   354,
     355,   356,   357,     0,   358,   359,   360,   361,   362,   363,
     364,     0,   365,     0,   367,   368,   369,   370,   371,   372,
     373,     0,   374,     0,   375,     0,     0,   378,     0,   380,
     381,   382,   383,   384,     0,     0,   385,   386,     0,   388,
       0,     0,   390,   391,   392,     0,     0,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     0,   411,   412,   413,   414,   415,
       0,   416,   417,     0,   419,     0,   420,   421,   422,   423,
     424,   425,     0,   426,   427,     0,     0,   428,   429,   430,
       0,     0,   431,   432,   433,     0,   435,     0,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,     0,     0,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,     0,   482,   483,
       0,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,   508,   509,     0,   511,
     512,   513,   514,     0,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,     0,
     530,   531,     0,   532,     0,   534,   535,   536,   537,   538,
       0,   539,   540,   541,     0,     0,   542,   543,   544,   545,
     546,     0,   547,   548,   549,   550,   551,   552,   553,     0,
       0,   554,   555,   556,   557,   558,     0,     0,   559,   560,
     561,   562,   563,   564,   565,     0,   566,     0,   568,   569,
     570,   571,     0,     0,   572,     0,     0,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   600,     0,
     888,   889,   890,   882,   891,   892,   893,   894,   895,   896,
     883,   884,   885,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,  4838,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,     0,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,     0,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,     0,   511,   512,
     513,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,     0,   530,
     531,     0,   532,     0,   534,   535,   536,   537,   538,     0,
     539,   540,   541,     0,     0,   542,   543,   544,   545,   546,
       0,   547,   548,   549,   550,   551,   552,   553,     0,     0,
     554,   555,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,     0,   566,     0,   568,   569,   570,
     571,     0,     0,   572,     0,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,  1634,     0,     0,   888,
     889,   890,     0,   891,   892,   893,   894,   895,   896,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,  1635,
     236,   237,   238,  1636,  1637,  1638,  1639,  1640,  1641,  1642,
     239,   240,  1643,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,  1644,   253,   254,   255,   256,
     257,   258,  1645,  1646,   259,   260,   261,   262,   263,  1647,
     264,   265,   266,   267,   268,  1648,   269,  1649,   270,   271,
     272,   273,   274,   275,   276,   277,   278,  1650,   279,   280,
     281,   282,   283,   284,  1651,   285,   286,   287,   288,  1652,
    1653,  1654,   289,  1655,  1656,  1657,   290,   291,   292,   293,
     294,   295,   296,   297,   298,  1658,   299,  1659,   300,   301,
     302,   303,   304,   305,  1660,   306,   307,   308,   309,  1661,
    1662,   310,   311,   312,   313,   314,  1663,   315,   316,   317,
    1664,   318,   319,   320,  1665,   321,   322,   323,   324,   325,
     326,   327,   328,   329,  1666,   330,  1667,   331,   332,   333,
     334,  1668,   335,  1669,   336,   337,  1670,   338,   339,   340,
     341,   342,  1671,   343,   344,  1672,   345,   346,   347,  1673,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
    1674,   358,   359,   360,   361,   362,   363,   364,  1675,   365,
     366,   367,   368,   369,   370,   371,   372,   373,  1676,   374,
    1677,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,  1678,  1679,   385,   386,   387,   388,   389,  1680,   390,
     391,   392,  1681,  1682,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,  1683,   416,   417,
     418,   419,  1684,   420,   421,   422,   423,   424,   425,  1685,
     426,   427,  1686,  1687,   428,   429,   430,  1688,  1689,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,  1690,   447,   448,   449,
     450,   451,   452,   453,   454,  1691,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,  1692,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,  1693,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,  1694,   500,   501,   502,   503,   504,  1695,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
    1696,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,  1697,   530,   531,  1698,
     532,   533,   534,   535,   536,   537,   538,  1699,   539,   540,
     541,  1700,  1701,   542,   543,   544,   545,   546,  1702,   547,
     548,   549,   550,   551,   552,   553,  1703,  1704,   554,   555,
     556,   557,   558,  1705,  1706,   559,   560,   561,   562,   563,
     564,   565,  1707,   566,   567,   568,   569,   570,   571,  1708,
    1709,   572,  1710,  1711,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   600,     0,     0,     0,     0,     0,
       0,     0,     0,  1712,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,     0,   245,   246,   247,   248,   249,
       0,   251,   252,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   259,   260,   261,   262,   263,     0,   264,   265,
     266,   267,   268,     0,     0,     0,   270,   271,   272,   273,
     274,     0,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,     0,   286,   287,   288,     0,     0,     0,
       0,     0,     0,     0,   290,   291,   292,   293,   294,   295,
     296,   297,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,   325,   326,   327,
     328,   329,     0,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,     0,     0,     0,   339,   340,   341,   342,
       0,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,   352,     0,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
       0,     0,   378,     0,   380,   381,   382,   383,   384,     0,
       0,   385,   386,     0,   388,     0,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
     411,   412,   413,   414,   415,     0,   416,   417,     0,   419,
       0,   420,   421,   422,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,     0,   431,   432,   433,
       0,   435,     0,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,     0,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,     0,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,     0,   511,   512,   513,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,     0,   530,   531,     0,   532,     0,
     534,   535,   536,   537,   538,     0,   539,   540,   541,     0,
       0,   542,   543,   544,   545,   546,     0,   547,   548,   549,
     550,   551,   552,   553,     0,     0,   554,   555,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
       0,   566,     0,   568,   569,   570,   571,     0,     0,   572,
       0,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   600,     0,     0,     0,     0,     0,     0,     0,
       0,   818,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,     0,   530,   531,     0,   532,     0,   534,   535,
     536,   537,   538,     0,   539,   540,   541,     0,     0,   542,
     543,   544,   545,   546,     0,   547,   548,   549,   550,   551,
     552,   553,     0,     0,   554,   555,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,     0,   566,
       0,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
    1063,     0,     0,     0,     0,     0,     0,     0,     0,  5232,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
     244,   245,   246,   247,     0,  1064,   250,  1065,  1066,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
    1067,  1068,   263,     0,   264,   265,   266,   267,     0,     0,
     269,     0,   270,   271,   272,   273,   274,   275,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,   285,
     286,   287,   288,     0,     0,     0,   289,     0,     0,     0,
     290,   291,   292,   293,   294,   295,  1069,  1070,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,  1071,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,     0,   326,   327,   328,     0,     0,   330,
       0,   331,   332,  1072,   334,     0,   335,     0,   336,   337,
       0,   338,   339,   340,   341,   342,     0,   343,     0,     0,
       0,   346,   347,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,  2170,   358,   359,   360,   361,   362,
     363,   364,     0,   365,   366,  2171,   368,   369,   370,   371,
    1074,  1075,     0,  1076,     0,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,     0,     0,   385,     0,   387,
     388,   389,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,  1077,   410,  1078,   412,   413,   414,
       0,     0,   416,   417,   418,   419,     0,     0,   421,  1079,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,  2172,   431,   432,  2173,   434,   435,   436,     0,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,     0,   450,     0,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
    1080,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,     0,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,  2174,   508,   509,   510,
     511,   512,  1082,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   529,
       0,   530,   531,     0,   532,   533,   534,   535,   536,   537,
     538,     0,   539,  1083,  1084,     0,     0,   542,   543,     0,
     545,     0,     0,   547,   548,   549,   550,   551,   552,   553,
       0,     0,   554,   555,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,     0,  1085,  2175,   566,   567,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,  3339,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   590,   591,   592,     0,   228,
     229,   230,   231,   232,   233,   234,   235,  2176,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,   244,   245,   246,   247,     0,  1064,
     250,  1065,  1066,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   259,   260,  1067,  1068,   263,     0,   264,   265,
     266,   267,     0,     0,   269,     0,   270,   271,   272,   273,
     274,   275,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,   285,   286,   287,   288,     0,     0,     0,
     289,     0,     0,     0,   290,   291,   292,   293,   294,   295,
    1069,  1070,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,  1071,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,     0,   326,   327,
     328,     0,     0,   330,     0,   331,   332,  1072,   334,     0,
     335,     0,   336,   337,     0,   338,   339,   340,   341,   342,
       0,   343,     0,     0,     0,   346,   347,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,  2170,   358,
     359,   360,   361,   362,   363,   364,     0,   365,   366,  2171,
     368,   369,   370,   371,  1074,  1075,     0,  1076,     0,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,     0,
       0,   385,     0,   387,   388,   389,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,  1077,   410,
    1078,   412,   413,   414,     0,     0,   416,   417,   418,   419,
       0,     0,   421,  1079,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,  2172,   431,   432,  2173,
     434,   435,   436,     0,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,     0,   447,   448,     0,   450,     0,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,  1080,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,   484,   485,   486,   487,   488,
     489,     0,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
    2174,   508,   509,   510,   511,   512,  1082,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,     0,   529,     0,   530,   531,     0,   532,   533,
     534,   535,   536,   537,   538,     0,   539,  1083,  1084,     0,
       0,   542,   543,     0,   545,     0,     0,   547,   548,   549,
     550,   551,   552,   553,     0,     0,   554,   555,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,     0,  1085,
    2175,   566,   567,   568,   569,   570,   571,     0,     0,   572,
       0,     0,   573,   574,   575,   576,   577,   578,   868,  1505,
     660,     0,     0,     0,   721,     0,     0,     0,     0,   590,
     591,   592,     0,   228,   229,   230,   231,   232,   233,   234,
     235,  2176,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,   275,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,   285,   286,   287,
     288,     0,     0,     0,   289,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,  2099,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,  1917,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,   386,   387,   388,   389,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,     0,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,  1918,     0,   428,   429,   430,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,     0,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,     0,   530,
     531,     0,   532,   533,   534,   535,   536,   537,   538,     0,
     539,   540,   541,     0,     0,   542,   543,   544,   545,   546,
    1919,   547,   548,   549,   550,   551,   552,   553,     0,     0,
     554,   555,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,     0,   566,   567,   568,   569,   570,
     571,     0,     0,   572,     0,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   868,  1505,   660,     0,
       0,     0,   721,  1506,  1507,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,   275,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,   285,   286,   287,   288,     0,
       0,     0,   289,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,  2104,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,  1917,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,   337,     0,   338,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
     366,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,     0,     0,   385,   386,   387,   388,   389,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,     0,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,  1918,     0,   428,   429,   430,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,     0,   530,   531,     0,
     532,   533,   534,   535,   536,   537,   538,     0,   539,   540,
     541,     0,     0,   542,   543,   544,   545,   546,  1919,   547,
     548,   549,   550,   551,   552,   553,     0,     0,   554,   555,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,     0,   566,   567,   568,   569,   570,   571,     0,
       0,   572,     0,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   868,  1505,   660,     0,     0,     0,
     721,  1506,  1507,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   259,   260,   261,   262,   263,     0,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,   275,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,   285,   286,   287,   288,     0,     0,     0,
     289,     0,     0,     0,   290,   291,   292,   293,   294,   295,
     296,   297,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,   325,   326,   327,
     328,   329,  1917,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,   337,     0,   338,   339,   340,   341,   342,
       0,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,   366,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,     0,
       0,   385,   386,   387,   388,   389,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,     0,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,   425,     0,   426,   427,
    1918,     0,   428,   429,   430,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,     0,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,     0,   530,   531,     0,   532,   533,
     534,   535,   536,   537,   538,     0,   539,   540,   541,     0,
       0,   542,   543,   544,   545,   546,  1919,   547,   548,   549,
     550,   551,   552,   553,     0,     0,   554,   555,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,   568,   569,   570,   571,     0,     0,   572,
       0,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   868,     0,   660,     0,     0,     0,   721,  1506,
    1507,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,   275,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,   285,   286,   287,   288,     0,     0,     0,   289,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,  2949,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
    1917,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
     386,   387,   388,   389,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,     0,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,  1918,     0,
     428,   429,   430,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,     0,   530,   531,     0,   532,   533,   534,   535,
     536,   537,   538,     0,   539,   540,   541,     0,     0,   542,
     543,   544,   545,   546,  1919,   547,   548,   549,   550,   551,
     552,   553,     0,     0,   554,   555,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     600,     0,     0,     0,     0,     0,   721,   733,   734,     0,
       0,     0,     0,     0,     0,   228,   722,   230,   231,   232,
     233,   234,   235,   723,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
       0,   724,   246,   247,   248,   249,     0,   251,   252,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
     261,   262,   263,     0,   264,   265,   266,   267,   268,     0,
       0,     0,   270,   271,   272,   273,   274,     0,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,     0,
     286,   287,   288,     0,     0,     0,     0,     0,     0,     0,
     290,   291,   292,   293,   294,   295,   296,   297,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   725,   333,   334,     0,   335,     0,   726,     0,
     727,     0,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,   352,     0,
     354,   355,   356,   357,   728,   358,   359,   360,   361,   362,
     363,   364,     0,   365,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,     0,     0,   378,     0,
     380,   381,   382,   383,   729,     0,     0,   385,   386,     0,
     388,     0,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,   411,   412,   730,   414,
     415,     0,   416,   417,     0,   419,     0,   420,   421,   422,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,   433,     0,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     731,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   732,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
       0,   530,   531,     0,   532,     0,   534,   535,   536,   537,
     538,     0,   539,   540,   541,     0,     0,   542,   543,   544,
     545,   546,     0,   547,   548,   549,   550,   551,   552,   553,
       0,     0,   554,   555,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,     0,   566,     0,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,  1634,  5450,
     660,     0,     0,     0,   721,   733,   734,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,  1635,   236,   237,   238,  1636,  1637,  1638,  1639,  1640,
    1641,  1642,   239,   240,  1643,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,  1644,   253,   254,
     255,   256,   257,   258,  1645,  1646,   259,   260,   261,   262,
     263,  1647,   264,   265,   266,   267,   268,  1648,   269,  1649,
     270,   271,   272,   273,   274,   275,   276,   277,   278,  1650,
     279,   280,   281,   282,   283,   284,  1651,   285,   286,   287,
     288,  1652,  1653,  1654,   289,  1655,  1656,  1657,   290,   291,
     292,   293,   294,   295,   296,   297,   298,  1658,   299,  1659,
     300,   301,   302,   303,   304,   305,  1660,   306,   307,   308,
     309,  1661,  1662,   310,   311,   312,   313,   314,  1663,   315,
     316,   317,  1664,   318,   319,   320,  1665,   321,   322,   323,
     324,   325,   326,   327,   328,   329,  1666,   330,  1667,   331,
     332,   333,   334,  1668,   335,  1669,   336,   337,  1670,   338,
     339,   340,   341,   342,  1671,   343,   344,  1672,   345,   346,
     347,  1673,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,  1674,   358,   359,   360,   361,   362,   363,   364,
    1675,   365,   366,   367,   368,   369,   370,   371,   372,   373,
    1676,   374,  1677,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,  1678,  1679,   385,   386,   387,   388,   389,
    1680,   390,   391,   392,  1681,  1682,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,  1683,
     416,   417,   418,   419,  1684,   420,   421,   422,   423,   424,
     425,  1685,   426,   427,  1686,  1687,   428,   429,   430,  1688,
    1689,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,  1690,   447,
     448,   449,   450,   451,   452,   453,   454,  1691,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,  1692,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,  1693,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,  1694,   500,   501,   502,   503,
     504,  1695,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,  1696,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,  1697,   530,
     531,  1698,   532,   533,   534,   535,   536,   537,   538,  1699,
     539,   540,   541,  1700,  1701,   542,   543,   544,   545,   546,
    1702,   547,   548,   549,   550,   551,   552,   553,  1703,  1704,
     554,   555,   556,   557,   558,  1705,  1706,   559,   560,   561,
     562,   563,   564,   565,  1707,   566,   567,   568,   569,   570,
     571,  1708,  1709,   572,  1710,  1711,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,  1634,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,  1635,
     236,   237,   238,  1636,  1637,  1638,  1639,  1640,  1641,  1642,
     239,   240,  1643,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,  1644,   253,   254,   255,   256,
     257,   258,  1645,  1646,   259,   260,   261,   262,   263,  1647,
     264,   265,   266,   267,   268,  1648,   269,  1649,   270,   271,
     272,   273,   274,   275,   276,   277,   278,  1650,   279,   280,
     281,   282,   283,   284,  1651,   285,   286,   287,   288,  1652,
    1653,  1654,   289,  1655,  1656,  1657,   290,   291,   292,   293,
     294,   295,   296,   297,   298,  1658,   299,  1659,   300,   301,
     302,   303,   304,   305,  1660,   306,   307,   308,   309,  1661,
    1662,   310,   311,   312,   313,   314,  1663,   315,   316,   317,
    1664,   318,   319,   320,  1665,   321,   322,   323,   324,   325,
     326,   327,   328,   329,  1666,   330,  1667,   331,   332,   333,
     334,  1668,   335,  1669,   336,   337,  1670,   338,   339,   340,
     341,   342,  1671,   343,   344,  1672,   345,   346,   347,  1673,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
    1674,   358,   359,   360,   361,   362,   363,   364,  1675,   365,
     366,   367,   368,   369,   370,   371,   372,   373,  1676,   374,
    1677,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,  1678,  1679,   385,   386,   387,   388,   389,  1680,   390,
     391,   392,  1681,  1682,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,  1683,   416,   417,
     418,   419,  1684,   420,   421,   422,   423,   424,   425,  1685,
     426,   427,  1686,  1687,   428,   429,   430,  1688,  1689,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,  1690,   447,   448,   449,
     450,   451,   452,   453,   454,  1691,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,  1692,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,  1693,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,  1694,   500,   501,   502,   503,   504,  1695,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
    1696,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,  1697,   530,   531,  1698,
     532,   533,   534,   535,   536,   537,   538,  1699,   539,   540,
     541,  1700,  1701,   542,   543,   544,   545,   546,  1702,   547,
     548,   549,   550,   551,   552,   553,  1703,  1704,   554,   555,
     556,   557,   558,  1705,  1706,   559,   560,   561,   562,   563,
     564,   565,  1707,   566,   567,   568,   569,   570,   571,  1708,
    1709,   572,  1710,  1711,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,  1634,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,  3067,   233,   234,   235,  1635,   236,   237,
     238,  1636,  1637,  1638,  1639,  1640,  1641,  1642,   239,   240,
    1643,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,  1644,   253,   254,   255,   256,   257,   258,
    1645,  1646,   259,   260,   261,   262,   263,  1647,   264,   265,
     266,   267,   268,  1648,   269,  1649,   270,   271,   272,   273,
     274,   275,   276,   277,   278,  1650,   279,   280,   281,   282,
     283,   284,  1651,   285,   286,   287,   288,  1652,  1653,  1654,
     289,  1655,  1656,  1657,   290,   291,   292,   293,   294,   295,
     296,   297,   298,  1658,   299,  1659,   300,   301,   302,   303,
     304,   305,  1660,   306,   307,   308,   309,  1661,  1662,   310,
     311,   312,  3068,   314,  1663,   315,   316,   317,  1664,   318,
     319,   320,  1665,   321,   322,   323,   324,   325,   326,   327,
     328,   329,  1666,   330,  1667,   331,   332,   333,   334,  1668,
     335,  1669,   336,   337,  1670,   338,   339,   340,   341,   342,
    1671,   343,   344,  1672,   345,   346,   347,  1673,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,  1674,   358,
     359,   360,   361,   362,   363,   364,  1675,   365,   366,   367,
     368,   369,   370,   371,   372,   373,  1676,   374,  1677,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,  1678,
    1679,   385,   386,   387,   388,   389,  1680,   390,   391,   392,
    1681,  1682,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,  1683,   416,   417,   418,   419,
    1684,   420,   421,   422,   423,   424,   425,  1685,   426,   427,
    1686,  1687,   428,   429,   430,  1688,  1689,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,  1690,   447,   448,   449,   450,   451,
     452,   453,   454,  1691,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,  1692,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,  1693,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,  1694,   500,   501,   502,   503,   504,  1695,  3069,   506,
     507,   508,   509,   510,   511,   512,   513,   514,  1696,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,  1697,   530,   531,  1698,   532,   533,
     534,   535,   536,   537,   538,  1699,   539,   540,   541,  1700,
    1701,   542,   543,   544,   545,   546,  1702,   547,   548,   549,
     550,   551,   552,   553,  1703,  1704,   554,   555,   556,   557,
     558,  1705,  1706,   559,   560,   561,   562,   563,   564,   565,
    1707,   566,   567,   568,   569,   570,   571,  1708,  1709,   572,
    1710,  1711,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   227,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,  1233,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
    1236,     0,  1237,     0,   270,   271,   272,   273,   274,   275,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,   285,   286,   287,   288,  1238,  1239,  1240,  1241,  1242,
    1243,  1244,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,  1249,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
    1252,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
    1257,   387,   388,   389,     0,   390,   391,   392,  1258,  1259,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,     0,   416,   417,   418,   419,     0,  1264,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,   434,   435,
     436,  1267,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,  1268,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,  1271,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
    1273,   529,     0,   530,   531,     0,   532,   533,   534,   535,
     536,   537,   538,     0,   539,   540,   541,     0,     0,   542,
     543,  1276,   545,  1277,     0,   547,   548,   549,   550,   551,
     552,   553,     0,     0,   554,   555,   556,   557,   558,  1280,
       0,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,   579,  1282,  1283,  1284,
    1285,   584,  1286,  1287,  1288,  1289,   589,   590,   591,   592,
     868,     0,   660,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
     261,   262,   263,     0,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,   275,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,   285,
     286,   287,   288,     0,     0,     0,   289,     0,     0,     0,
     290,   291,   292,   293,   294,   295,   296,   297,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,   325,   326,   327,   328,   329,  1917,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,   337,
       0,   338,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,     0,     0,   385,   386,   387,
     388,   389,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,     0,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,   425,     0,   426,   427,  1918,     0,   428,   429,
     430,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
       0,   530,   531,     0,   532,   533,   534,   535,   536,   537,
     538,     0,   539,   540,   541,     0,     0,   542,   543,   544,
     545,   546,  1919,   547,   548,   549,   550,   551,   552,   553,
       0,     0,   554,   555,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,     0,   566,   567,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   868,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,   906,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,   275,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,   285,   286,   287,
     288,     0,     0,     0,   289,     0,     0,   869,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,   386,   387,   388,   389,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,     0,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,     0,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   870,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,     0,   530,
     531,     0,   532,   533,   534,   535,   536,   537,   538,     0,
     539,   540,   541,     0,     0,   542,   543,   544,   545,   546,
       0,   547,   548,   549,   550,   551,   552,   553,     0,     0,
     554,   555,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,     0,   566,   567,   568,   569,   570,
     571,     0,     0,   572,     0,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   868,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,   926,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,   275,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,   285,   286,   287,   288,     0,
       0,     0,   289,     0,     0,   869,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,   337,     0,   338,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
     366,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,     0,     0,   385,   386,   387,   388,   389,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   927,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,     0,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   870,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,     0,   530,   531,     0,
     532,   533,   534,   535,   536,   537,   538,     0,   539,   540,
     541,     0,     0,   542,   543,   544,   545,   546,     0,   547,
     548,   549,   550,   551,   552,   553,     0,     0,   554,   555,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,     0,   566,   567,   568,   569,   570,   571,     0,
       0,   572,     0,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   868,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   259,   260,   261,   262,   263,     0,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,   275,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,   285,   286,   287,   288,     0,     0,     0,
     289,     0,     0,   869,   290,   291,   292,   293,   294,   295,
     296,   297,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,   325,   326,   327,
     328,   329,     0,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,   337,     0,   338,   339,   340,   341,   342,
       0,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,   366,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,     0,
       0,   385,   386,   387,   388,   389,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,     0,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,     0,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   870,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,     0,   530,   531,     0,   532,   533,
     534,   535,   536,   537,   538,     0,   539,   540,   541,     0,
       0,   542,   543,   544,   545,   546,     0,   547,   548,   549,
     550,   551,   552,   553,     0,     0,   554,   555,   556,   557,
     558,  2435,     0,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,   568,   569,   570,   571,     0,     0,   572,
       0,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   868,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,   275,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,   285,   286,   287,   288,     0,     0,     0,   289,     0,
       0,   869,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
     344,  3427,   345,   346,   347,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
     386,   387,   388,   389,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,     0,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   870,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,     0,   530,   531,     0,   532,   533,   534,   535,
     536,   537,   538,     0,   539,   540,   541,     0,     0,   542,
     543,   544,   545,   546,     0,   547,   548,   549,   550,   551,
     552,   553,     0,     0,   554,   555,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     868,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
     261,   262,   263,     0,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,   275,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,   285,
     286,   287,   288,     0,     0,     0,   289,     0,     0,   869,
     290,   291,   292,   293,   294,   295,   296,   297,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,   337,
       0,   338,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,     0,     0,   385,   386,   387,
     388,   389,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,     0,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   870,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
       0,   530,   531,     0,   532,   533,   534,   535,   536,   537,
     538,     0,   539,   540,   541,     0,     0,   542,   543,   544,
     545,   546,     0,   547,   548,   549,   550,   551,   552,   553,
       0,     0,   554,   555,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,     0,   566,   567,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   868,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,   275,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,   285,   286,   287,
     288,     0,     0,     0,   289,     0,     0,   869,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,   386,   387,   388,   389,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
    1032,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,     0,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,     0,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   870,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,     0,   530,
     531,     0,   532,   533,   534,   535,   536,   537,   538,     0,
     539,   540,   541,     0,     0,   542,   543,   544,   545,   546,
       0,   547,   548,   549,   550,   551,   552,   553,     0,     0,
     554,   555,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,     0,   566,   567,   568,   569,   570,
     571,     0,     0,   572,     0,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   868,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,   275,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,   285,   286,   287,   288,     0,
       0,     0,   289,     0,     0,   869,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,   337,     0,   338,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,  1108,   353,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
     366,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,     0,     0,   385,   386,   387,   388,   389,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,     0,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   870,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,     0,   530,   531,     0,
     532,   533,   534,   535,   536,   537,   538,     0,   539,   540,
     541,     0,     0,   542,   543,   544,   545,   546,     0,   547,
     548,   549,   550,   551,   552,   553,     0,     0,   554,   555,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,     0,   566,   567,   568,   569,   570,   571,     0,
       0,   572,     0,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   868,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   259,   260,   261,   262,   263,     0,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,   275,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,   285,   286,   287,   288,     0,     0,     0,
     289,     0,     0,   869,   290,   291,   292,   293,   294,   295,
     296,   297,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,   325,   326,   327,
     328,   329,     0,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,   337,     0,   338,   339,   340,   341,   342,
       0,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,  1121,   353,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,   366,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,     0,
       0,   385,   386,   387,   388,   389,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,     0,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,     0,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   870,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,     0,   530,   531,     0,   532,   533,
     534,   535,   536,   537,   538,     0,   539,   540,   541,     0,
       0,   542,   543,   544,   545,   546,     0,   547,   548,   549,
     550,   551,   552,   553,     0,     0,   554,   555,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,   568,   569,   570,   571,     0,     0,   572,
       0,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   868,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,   275,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,   285,   286,   287,   288,     0,     0,     0,   289,     0,
       0,   869,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
    1133,   353,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
     386,   387,   388,   389,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,  1134,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,     0,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   870,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,     0,   530,   531,     0,   532,   533,   534,   535,
     536,   537,   538,     0,   539,   540,   541,     0,     0,   542,
     543,   544,   545,   546,     0,   547,   548,   549,   550,   551,
     552,   553,     0,     0,   554,   555,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     868,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     3,     4,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
     261,   262,   263,     0,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,   275,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,   285,
     286,   287,   288,     0,     0,     0,   289,     0,     0,     0,
     290,   291,   292,   293,   294,   295,   296,   297,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,   337,
       0,   338,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,     0,     0,   385,   386,   387,
     388,   389,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,     0,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
       0,   530,   531,     0,   532,   533,   534,   535,   536,   537,
     538,     0,   539,   540,   541,     0,     0,   542,   543,   544,
     545,   546,     0,   547,   548,   549,   550,   551,   552,   553,
       0,     0,   554,   555,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,     0,   566,   567,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   868,     0,
     660,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,   275,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,   285,   286,   287,
     288,     0,     0,     0,   289,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,  2084,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,   386,   387,   388,   389,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,     0,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,     0,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,     0,   530,
     531,     0,   532,   533,   534,   535,   536,   537,   538,     0,
     539,   540,   541,     0,     0,   542,   543,   544,   545,   546,
       0,   547,   548,   549,   550,   551,   552,   553,     0,     0,
     554,   555,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,     0,   566,   567,   568,   569,   570,
     571,     0,     0,   572,     0,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   868,     0,   660,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,   275,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,   285,   286,   287,   288,     0,
       0,     0,   289,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,   337,     0,   338,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
     366,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,     0,     0,   385,   386,   387,   388,   389,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,     0,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,     0,   530,   531,     0,
     532,   533,   534,   535,   536,   537,   538,     0,   539,   540,
     541,     0,     0,   542,   543,   544,   545,   546,     0,   547,
     548,   549,   550,   551,   552,   553,     0,     0,   554,   555,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,     0,   566,   567,   568,   569,   570,   571,     0,
       0,   572,     0,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   868,     0,   660,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   259,   260,   261,   262,   263,     0,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,   275,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,   285,   286,   287,   288,     0,     0,     0,
     289,     0,     0,     0,   290,   291,   292,   293,   294,   295,
     296,   297,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,   325,   326,   327,
     328,   329,     0,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,   337,     0,   338,   339,   340,   341,   342,
       0,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,  1903,   353,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,   366,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,     0,
       0,   385,   386,   387,   388,   389,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,     0,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,     0,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,     0,   530,   531,     0,   532,   533,
     534,   535,   536,   537,   538,     0,   539,   540,   541,     0,
       0,   542,   543,   544,   545,   546,     0,   547,   548,   549,
     550,   551,   552,   553,     0,     0,   554,   555,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,   568,   569,   570,   571,     0,     0,   572,
       0,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   227,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,   275,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,   285,   286,   287,   288,     0,     0,     0,   289,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
     386,   387,   388,   389,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,     0,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,     0,   530,   531,     0,   532,   533,   534,   535,
     536,   537,   538,     0,   539,   540,   541,     0,     0,   542,
     543,   544,   545,   546,     0,   547,   548,   549,   550,   551,
     552,   553,     0,     0,   554,   555,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     227,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
     261,   262,   263,     0,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,   275,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,   285,
     286,   287,   288,     0,     0,     0,   289,     0,     0,     0,
     290,   291,   292,   293,   294,   295,   296,   297,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,   337,
       0,   338,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,  1056,   353,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,     0,     0,   385,   386,   387,
     388,   389,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,     0,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
       0,   530,   531,     0,   532,   533,   534,   535,   536,   537,
     538,     0,   539,   540,   541,     0,     0,   542,   543,   544,
     545,   546,     0,   547,   548,   549,   550,   551,   552,   553,
       0,     0,   554,   555,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,     0,   566,   567,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   227,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,   275,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,   285,   286,   287,
     288,     0,     0,     0,   289,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,  1105,   353,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,   386,   387,   388,   389,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,     0,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,     0,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,     0,   530,
     531,     0,   532,   533,   534,   535,   536,   537,   538,     0,
     539,   540,   541,     0,     0,   542,   543,   544,   545,   546,
       0,   547,   548,   549,   550,   551,   552,   553,     0,     0,
     554,   555,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,     0,   566,   567,   568,   569,   570,
     571,     0,     0,   572,     0,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   227,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,   275,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,   285,   286,   287,   288,     0,
       0,     0,   289,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,   337,     0,   338,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,  1119,   353,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
     366,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,     0,     0,   385,   386,   387,   388,   389,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,     0,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,     0,   530,   531,     0,
     532,   533,   534,   535,   536,   537,   538,     0,   539,   540,
     541,     0,     0,   542,   543,   544,   545,   546,     0,   547,
     548,   549,   550,   551,   552,   553,     0,     0,   554,   555,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,     0,   566,   567,   568,   569,   570,   571,     0,
       0,   572,     0,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   227,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   259,   260,   261,   262,   263,     0,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,   275,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,   285,   286,   287,   288,     0,     0,     0,
     289,     0,     0,     0,   290,   291,   292,   293,   294,   295,
     296,   297,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,   325,   326,   327,
     328,   329,     0,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,   337,     0,   338,   339,   340,   341,   342,
       0,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,  1123,   353,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,   366,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,     0,
       0,   385,   386,   387,   388,   389,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,     0,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,     0,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,     0,   530,   531,     0,   532,   533,
     534,   535,   536,   537,   538,     0,   539,   540,   541,     0,
       0,   542,   543,   544,   545,   546,     0,   547,   548,   549,
     550,   551,   552,   553,     0,     0,   554,   555,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,   568,   569,   570,   571,     0,     0,   572,
       0,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   868,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,   275,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,   285,   286,   287,   288,     0,     0,     0,   289,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
     386,   387,   388,   389,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,     0,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,     0,   530,   531,     0,   532,   533,   534,   535,
     536,   537,   538,     0,   539,   540,   541,     0,     0,   542,
     543,   544,   545,   546,     0,   547,   548,   549,   550,   551,
     552,   553,     0,     0,   554,   555,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     600,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
       0,   245,   246,   247,   248,   249,     0,   251,   252,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
     261,   262,   263,  2210,   264,   265,   266,   267,   268,     0,
       0,  2290,   270,   271,   272,   273,   274,     0,   276,   277,
     278,  2211,   279,   280,   281,   282,   283,   284,     0,     0,
     286,   287,   288,     0,     0,     0,     0,     0,     0,     0,
     290,   291,   292,   293,   294,   295,   296,   297,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,  2291,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,  2213,   336,     0,
       0,     0,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,  2292,     0,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,     0,     0,   378,     0,
     380,   381,   382,   383,   384,     0,     0,   385,   386,     0,
     388,     0,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,   411,   412,   413,   414,
     415,     0,   416,   417,     0,   419,     0,   420,   421,   422,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,   433,     0,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,   449,   450,   451,   452,   453,   454,  2214,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
       0,   530,   531,     0,   532,     0,   534,   535,   536,   537,
     538,     0,   539,   540,   541,     0,     0,   542,   543,   544,
     545,   546,     0,   547,   548,   549,   550,   551,   552,   553,
       0,  2215,   554,   555,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,     0,   566,     0,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   600,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,  2210,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,  2211,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,  2291,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,  2213,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,  3273,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,     0,   447,
     448,   449,   450,   451,   452,   453,   454,  2214,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,     0,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,     0,   511,   512,
     513,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,     0,   530,
     531,     0,   532,     0,   534,   535,   536,   537,   538,     0,
     539,   540,   541,     0,     0,   542,   543,   544,   545,   546,
       0,   547,   548,   549,   550,   551,   552,   553,     0,  2215,
     554,   555,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,     0,   566,     0,   568,   569,   570,
     571,     0,     0,   572,     0,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   600,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   781,   234,   235,   740,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,   741,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,   782,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   742,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   743,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,     0,   530,   531,     0,
     532,     0,   534,   535,   536,   537,   538,     0,   539,   540,
     541,     0,     0,   542,   543,   544,   545,   546,     0,   547,
     548,   549,   550,   551,   552,   553,     0,     0,   554,   555,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,     0,   566,     0,   568,   569,   570,   571,     0,
       0,   572,     0,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   600,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,   740,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,     0,   245,   246,   247,   248,   249,
       0,   251,   252,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   259,   260,   261,   262,   263,     0,   264,   265,
     266,   267,   268,     0,     0,     0,   270,   271,   272,   273,
     274,     0,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,   741,     0,   286,   287,   288,     0,     0,     0,
       0,     0,     0,     0,   290,   291,   292,   293,   294,   295,
     296,   297,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,   325,   326,   327,
     328,   329,     0,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,     0,     0,     0,   339,   340,   341,   342,
    2956,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,   352,     0,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
       0,     0,   378,     0,   380,   381,   382,   383,   384,     0,
       0,   385,   386,     0,   388,     0,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
     411,   412,   413,   414,   415,     0,   416,   417,     0,   419,
       0,   420,   421,   422,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,     0,   431,   432,   433,
       0,   435,     0,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,     0,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   742,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,     0,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   743,   500,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,     0,   511,   512,   513,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,     0,   530,   531,     0,   532,     0,
     534,   535,   536,   537,   538,     0,   539,   540,   541,     0,
       0,   542,   543,   544,   545,   546,     0,   547,   548,   549,
     550,   551,   552,   553,     0,     0,   554,   555,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
       0,   566,     0,   568,   569,   570,   571,     0,     0,   572,
       0,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   600,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,  2210,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,  2211,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,  2291,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,  2213,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,   449,   450,   451,   452,   453,
     454,  2214,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,     0,   530,   531,     0,   532,     0,   534,   535,
     536,   537,   538,     0,   539,   540,   541,     0,     0,   542,
     543,   544,   545,   546,     0,   547,   548,   549,   550,   551,
     552,   553,     0,  2215,   554,   555,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,     0,   566,
       0,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     600,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,   740,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
       0,   245,   246,   247,   248,   249,     0,   251,   252,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
     261,   262,   263,     0,   264,   265,   266,   267,   268,     0,
       0,     0,   270,   271,   272,   273,   274,     0,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,   741,     0,
     286,   287,   288,     0,     0,     0,     0,     0,     0,     0,
     290,   291,   292,   293,   294,   295,   296,   297,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,     0,
       0,     0,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,   352,     0,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,     0,     0,   378,     0,
     380,   381,   382,   383,   384,     0,     0,   385,   386,     0,
     388,     0,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,   411,   412,   413,   414,
     415,     0,   416,   417,     0,   419,     0,   420,   421,   422,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,   433,     0,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   742,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   743,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
       0,   530,   531,     0,   532,     0,   534,   535,   536,   537,
     538,     0,   539,   540,   541,     0,     0,   542,   543,   544,
     545,   546,     0,   547,   548,   549,   550,   551,   552,   553,
       0,     0,   554,   555,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,     0,   566,     0,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   600,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,  1946,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,  1947,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,  1948,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,  1949,   336,     0,     0,     0,
    1950,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
    1951,  1952,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,     0,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,  1953,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,     0,
     485,   486,   487,  1954,   489,   490,   491,   492,   493,  1955,
     495,   496,   497,   498,   499,     0,  1956,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,     0,   511,   512,
     513,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,     0,   530,
     531,  1957,   532,     0,  1958,   535,   536,   537,   538,     0,
     539,   540,   541,     0,     0,   542,   543,   544,   545,   546,
       0,   547,   548,  1959,   550,   551,   552,   553,     0,     0,
     554,   555,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,     0,   566,     0,   568,   569,   570,
     571,     0,     0,   572,     0,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   600,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,   741,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   742,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   743,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,     0,   530,   531,     0,
     532,     0,   534,   535,   536,   537,   538,     0,   539,   540,
     541,     0,     0,   542,   543,   544,   545,   546,     0,   547,
     548,   549,   550,   551,   552,   553,     0,     0,   554,   555,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,     0,   566,     0,   568,   569,   570,   571,     0,
       0,   572,     0,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   600,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,   919,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,     0,   245,   246,   247,   248,   249,
       0,   251,   252,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   259,   260,   261,   262,   263,     0,   264,   265,
     266,   267,   268,     0,     0,     0,   270,   271,   272,   273,
     274,     0,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,     0,   286,   287,   288,     0,     0,     0,
       0,     0,     0,     0,   290,   291,   292,   293,   294,   295,
     296,   297,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,   325,   326,   327,
     328,   329,     0,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,     0,     0,     0,   339,   340,   341,   342,
       0,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,   920,     0,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
       0,     0,   378,     0,   380,   381,   382,   383,   384,     0,
       0,   385,   386,     0,   388,     0,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
     411,   412,   413,   414,   415,     0,   416,   417,     0,   419,
       0,   420,   421,   422,   423,   424,   425,     0,   426,   427,
       0,   813,   428,   429,   430,     0,     0,   431,   432,   433,
       0,   435,     0,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,     0,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,     0,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,     0,   511,   512,   513,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,     0,   530,   531,     0,   532,     0,
     534,   535,   536,   537,   538,     0,   539,   540,   541,     0,
       0,   542,   543,   544,   545,   546,     0,   547,   548,   549,
     550,   551,   552,   553,     0,     0,   554,   555,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
       0,   566,     0,   568,   569,   570,   571,     0,     0,   572,
       0,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   600,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,  3048,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,     0,   530,   531,     0,   532,     0,   534,   535,
     536,   537,   538,     0,   539,   540,   541,     0,     0,   542,
     543,   544,   545,   546,     0,   547,   548,   549,   550,   551,
     552,   553,     0,     0,   554,   555,   556,   557,   558,  3049,
       0,   559,   560,   561,   562,   563,   564,   565,     0,   566,
       0,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     600,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,  3061,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
       0,   245,   246,   247,   248,   249,     0,   251,   252,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
     261,   262,   263,     0,   264,   265,   266,   267,   268,     0,
       0,     0,   270,   271,   272,   273,   274,     0,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,     0,
     286,   287,   288,     0,     0,     0,     0,     0,     0,     0,
     290,   291,   292,   293,   294,   295,   296,   297,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,     0,
       0,     0,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,   352,     0,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,     0,     0,   378,     0,
     380,   381,   382,   383,   384,     0,     0,   385,   386,     0,
     388,     0,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,   411,   412,   413,   414,
     415,     0,   416,   417,     0,   419,     0,   420,   421,   422,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,   433,     0,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
       0,   530,   531,     0,   532,     0,   534,   535,   536,   537,
     538,     0,   539,   540,   541,     0,     0,   542,   543,   544,
     545,   546,     0,   547,   548,   549,   550,   551,   552,   553,
       0,     0,   554,   555,   556,   557,   558,  3062,     0,   559,
     560,   561,   562,   563,   564,   565,     0,   566,     0,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   600,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,   601,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,     0,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,     0,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,     0,   511,   512,
     513,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,     0,   530,
     531,     0,   532,     0,   534,   535,   536,   537,   538,     0,
     539,   540,   541,     0,     0,   542,   543,   544,   545,   546,
       0,   547,   548,   549,   550,   551,   552,   553,     0,     0,
     554,   555,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,     0,   566,     0,   568,   569,   570,
     571,     0,     0,   572,     0,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   600,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,   651,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,     0,   447,   448,   449,
     450,   451,   452,   652,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,     0,   530,   531,     0,
     532,     0,   534,   535,   536,   537,   538,     0,   539,   540,
     541,     0,     0,   542,   543,   544,   545,   546,     0,   547,
     548,   549,   550,   551,   552,   553,     0,     0,   554,   555,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,     0,   566,     0,   568,   569,   570,   571,     0,
       0,   572,     0,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   600,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,   773,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,     0,   245,   246,   247,   248,   249,
       0,   251,   252,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   259,   260,   261,   262,   263,     0,   264,   265,
     266,   267,   268,     0,     0,     0,   270,   271,   272,   273,
     274,     0,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,     0,   286,   287,   288,     0,     0,     0,
       0,     0,     0,     0,   290,   291,   292,   293,   294,   295,
     296,   297,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,   325,   326,   327,
     328,   329,     0,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,     0,     0,     0,   339,   340,   341,   342,
       0,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,   352,     0,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
       0,     0,   378,     0,   380,   381,   382,   383,   384,     0,
       0,   385,   386,     0,   388,     0,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
     411,   412,   413,   414,   415,     0,   416,   417,     0,   419,
       0,   420,   421,   422,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,     0,   431,   432,   433,
       0,   435,     0,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,     0,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,     0,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   774,     0,   505,   506,
     507,   508,   509,     0,   511,   512,   513,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,     0,   530,   531,     0,   532,     0,
     534,   535,   536,   537,   538,     0,   539,   775,   541,     0,
       0,   776,   543,   544,   545,   546,     0,   547,   548,   549,
     550,   551,   552,   553,     0,     0,   554,   555,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
       0,   566,     0,   568,   569,   570,   571,     0,     0,   572,
       0,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   600,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,   807,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   808,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,     0,   530,   531,     0,   532,     0,   534,   535,
     536,   537,   538,     0,   539,   809,   541,     0,     0,   810,
     543,   544,   545,   546,     0,   547,   548,   549,   550,   551,
     552,   553,     0,     0,   554,   555,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,     0,   566,
       0,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     600,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
       0,   245,   246,   247,   248,   249,     0,   251,   252,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
     261,   262,   263,     0,   264,   265,   266,   267,   268,     0,
       0,     0,   270,   271,   272,   273,   274,     0,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,     0,
     286,   287,   288,     0,     0,     0,     0,     0,     0,     0,
     290,   291,   292,   293,   294,   295,   296,   297,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,     0,
       0,     0,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,   352,     0,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,     0,     0,   378,     0,
     380,   381,   382,   383,   384,     0,     0,   385,   386,     0,
     388,     0,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,   411,   412,   413,   414,
     415,     0,   416,   417,     0,   419,     0,   420,   421,   422,
     423,   424,   425,     0,   426,   427,     0,   813,   428,   429,
     430,     0,     0,   431,   432,   433,     0,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
       0,   530,   531,     0,   532,     0,   534,   535,   536,   537,
     538,     0,   539,   540,   541,     0,     0,   542,   543,   544,
     545,   546,     0,   547,   548,   549,   550,   551,   552,   553,
       0,     0,   554,   555,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,     0,   566,     0,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   600,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,   877,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   878,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,     0,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,     0,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,     0,   511,   512,
     513,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,     0,   530,
     531,     0,   532,     0,   534,   535,   536,   537,   538,     0,
     539,   540,   541,     0,     0,   542,   543,   544,   545,   546,
       0,   547,   548,   549,   550,   551,   552,   553,     0,     0,
     554,   555,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,     0,   566,     0,   568,   569,   570,
     571,     0,     0,   572,     0,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   600,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,  1048,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,     0,   530,   531,     0,
     532,     0,   534,   535,   536,   537,   538,     0,   539,   540,
     541,     0,     0,   542,   543,   544,   545,   546,     0,   547,
     548,   549,   550,   551,   552,   553,     0,     0,   554,   555,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,     0,   566,     0,   568,   569,   570,   571,     0,
       0,   572,     0,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   600,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,   773,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,     0,   245,   246,   247,   248,   249,
       0,   251,   252,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   259,   260,   261,   262,   263,     0,   264,   265,
     266,   267,   268,     0,     0,     0,   270,   271,   272,   273,
     274,     0,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,     0,   286,   287,   288,     0,     0,     0,
       0,     0,     0,     0,   290,   291,   292,   293,   294,   295,
     296,   297,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,   325,   326,   327,
     328,   329,     0,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,     0,     0,     0,   339,   340,   341,   342,
       0,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,   352,     0,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
       0,     0,   378,     0,   380,   381,   382,   383,   384,     0,
       0,   385,   386,     0,   388,     0,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
     411,   412,   413,   414,   415,     0,   416,   417,     0,   419,
       0,   420,   421,   422,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,     0,   431,   432,   433,
       0,   435,     0,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,     0,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,     0,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,     0,   511,   512,   513,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,     0,   530,   531,     0,   532,     0,
     534,   535,   536,   537,   538,     0,   539,   540,   541,     0,
       0,   542,   543,   544,   545,   546,     0,   547,   548,   549,
     550,   551,   552,   553,     0,     0,   554,   555,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
       0,   566,     0,   568,   569,   570,   571,     0,     0,   572,
       0,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   600,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,  1195,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,     0,   530,   531,     0,   532,     0,   534,   535,
     536,   537,   538,     0,   539,   540,   541,     0,     0,   542,
     543,   544,   545,   546,     0,   547,   548,   549,   550,   551,
     552,   553,     0,     0,   554,   555,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,     0,   566,
       0,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     600,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,  1327,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
       0,   245,   246,   247,   248,   249,     0,   251,   252,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
     261,   262,   263,     0,   264,   265,   266,   267,   268,     0,
       0,     0,   270,   271,   272,   273,   274,     0,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,     0,
     286,   287,   288,     0,     0,     0,     0,     0,     0,     0,
     290,   291,   292,   293,   294,   295,   296,   297,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,     0,
       0,     0,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,   352,     0,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,     0,     0,   378,     0,
     380,   381,   382,   383,   384,     0,     0,   385,   386,     0,
     388,     0,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,   411,   412,   413,   414,
     415,     0,   416,   417,     0,   419,     0,   420,   421,   422,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,   433,     0,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
       0,   530,   531,     0,   532,     0,   534,   535,   536,   537,
     538,     0,   539,   540,   541,     0,     0,   542,   543,   544,
     545,   546,     0,   547,   548,   549,   550,   551,   552,   553,
       0,     0,   554,   555,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,     0,   566,     0,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   600,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,  1338,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   793,   260,   261,   262,
    1339,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   796,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,     0,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,     0,
     797,   486,   487,   488,   489,   490,   491,   492,   493,   798,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
    1331,     0,   505,   506,   507,   508,   509,     0,   511,   512,
     513,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,     0,   530,
     531,     0,   532,     0,   534,   535,   536,   537,   538,     0,
     539,   800,   541,     0,     0,   801,   543,   544,   545,   546,
       0,   547,   548,   549,   550,   551,   552,   553,     0,     0,
     554,   555,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,     0,   566,     0,   568,   569,   570,
     571,     0,     0,   572,     0,     0,   573,   574,   575,   576,
     577,   802,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   600,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,  1450,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,   813,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,     0,   530,   531,     0,
     532,     0,   534,   535,   536,   537,   538,     0,   539,   540,
     541,     0,     0,   542,   543,   544,   545,   546,     0,   547,
     548,   549,   550,   551,   552,   553,     0,     0,   554,   555,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,     0,   566,     0,   568,   569,   570,   571,     0,
       0,   572,     0,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   600,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,  1510,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,     0,   245,   246,   247,   248,   249,
       0,   251,   252,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   259,   260,   261,   262,   263,     0,   264,   265,
     266,   267,   268,     0,     0,     0,   270,   271,   272,   273,
     274,     0,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,     0,   286,   287,   288,     0,     0,     0,
       0,     0,     0,     0,   290,   291,   292,   293,   294,   295,
     296,   297,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,   325,   326,   327,
     328,   329,     0,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,     0,     0,     0,   339,   340,   341,   342,
       0,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,  1511,     0,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
       0,     0,   378,     0,   380,   381,   382,   383,   384,     0,
       0,   385,   386,     0,   388,     0,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
     411,   412,   413,   414,   415,     0,   416,   417,     0,   419,
       0,   420,   421,   422,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,     0,   431,   432,   433,
       0,   435,     0,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,     0,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,     0,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,     0,   511,   512,   513,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,     0,   530,   531,     0,   532,     0,
     534,   535,   536,   537,   538,     0,   539,   540,   541,     0,
       0,   542,   543,   544,   545,   546,     0,   547,   548,   549,
     550,   551,   552,   553,     0,     0,   554,   555,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
       0,   566,     0,   568,   569,   570,   571,     0,     0,   572,
       0,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   600,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,  2856,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,  2857,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,     0,   530,   531,  2858,   532,     0,   534,  2859,
     536,  2860,   538,     0,   539,   540,   541,     0,     0,   542,
     543,   544,   545,   546,     0,   547,   548,   549,   550,   551,
     552,   553,     0,     0,   554,   555,  2861,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,     0,   566,
       0,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     600,     0,   660,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
       0,   245,   246,   247,   248,   249,     0,   251,   252,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
     261,   262,   263,     0,   264,   265,   266,   267,   268,     0,
       0,     0,   270,   271,   272,   273,   274,     0,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,     0,
     286,   287,   288,     0,     0,     0,     0,     0,     0,     0,
     290,   291,   292,   293,   294,   295,   296,   297,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,     0,
       0,     0,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,   352,     0,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,     0,     0,   378,     0,
     380,   381,   382,   383,   384,     0,     0,   385,   386,     0,
     388,     0,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,   411,   412,   413,   414,
     415,     0,   416,   417,     0,   419,     0,   420,   421,   422,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,   433,     0,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
       0,   530,   531,     0,   532,     0,   534,   535,   536,   537,
     538,     0,   539,   540,   541,     0,     0,   542,   543,   544,
     545,   546,     0,   547,   548,   549,   550,   551,   552,   553,
       0,     0,   554,   555,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,     0,   566,     0,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   600,     0,
       0,     0,     0,     0,   721,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,     0,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,     0,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,     0,   511,   512,
     513,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,     0,   530,
     531,     0,   532,     0,   534,   535,   536,   537,   538,     0,
     539,   540,   541,     0,     0,   542,   543,   544,   545,   546,
       0,   547,   548,   549,   550,   551,   552,   553,     0,     0,
     554,   555,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,     0,   566,     0,   568,   569,   570,
     571,     0,     0,   572,     0,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   600,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,  4121,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,     0,   530,   531,     0,
     532,     0,   534,   535,   536,   537,   538,     0,   539,   540,
     541,     0,     0,   542,   543,   544,   545,   546,     0,   547,
     548,   549,   550,   551,   552,   553,     0,     0,   554,   555,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,     0,   566,     0,   568,   569,   570,   571,     0,
       0,   572,     0,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   600,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,     0,  4135,     0,   239,   240,
       0,   241,   242,   243,     0,   245,   246,   247,   248,   249,
       0,   251,   252,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   259,   260,   261,   262,   263,     0,   264,   265,
     266,   267,   268,     0,     0,     0,   270,   271,   272,   273,
     274,     0,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,     0,   286,   287,   288,     0,     0,     0,
       0,     0,     0,     0,   290,   291,   292,   293,   294,   295,
     296,   297,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,   325,   326,   327,
     328,   329,     0,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,     0,     0,     0,   339,   340,   341,   342,
       0,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,   352,     0,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
       0,     0,   378,     0,   380,   381,   382,   383,   384,     0,
       0,   385,   386,     0,   388,     0,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
     411,   412,   413,   414,   415,     0,   416,   417,     0,   419,
       0,   420,   421,   422,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,     0,   431,   432,   433,
       0,   435,     0,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,     0,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,     0,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,     0,   511,   512,   513,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,     0,   530,   531,     0,   532,     0,
     534,   535,   536,   537,   538,     0,   539,   540,   541,     0,
       0,   542,   543,   544,   545,   546,     0,   547,   548,   549,
     550,   551,   552,   553,     0,     0,   554,   555,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
       0,   566,     0,   568,   569,   570,   571,     0,     0,   572,
       0,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   600,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,     0,   530,   531,     0,   532,     0,   534,   535,
     536,   537,   538,     0,   539,   540,   541,     0,     0,   542,
     543,   544,   545,   546,     0,   547,   548,   549,   550,   551,
     552,   553,     0,     0,   554,   555,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,     0,   566,
       0,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     600,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
       0,   245,   246,   247,   248,   249,     0,   251,   252,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
     261,   262,   263,     0,   264,   265,   266,   267,   268,     0,
       0,     0,   270,   271,   272,   273,   274,     0,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,     0,
     286,   287,   288,     0,     0,     0,     0,     0,     0,     0,
     290,   291,   292,   293,   294,   295,   296,   297,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,     0,
       0,     0,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,   352,     0,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,     0,     0,   378,     0,
     380,   381,   382,   383,   384,     0,     0,   385,   386,     0,
     388,     0,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,   411,   412,   413,   414,
     415,     0,   416,   417,     0,   419,     0,   420,   421,   422,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,   433,     0,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
       0,   530,   531,     0,   532,     0,   534,   535,   536,   537,
     538,     0,   539,   540,   541,     0,     0,   759,   543,   544,
     545,   546,     0,   547,   548,   549,   550,   551,   552,   553,
       0,     0,   554,   555,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,     0,   566,     0,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   600,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,     0,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,     0,
     485,   486,   487,   488,   489,   490,   491,   492,   771,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,     0,   511,   512,
     513,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,     0,   530,
     531,     0,   532,     0,   534,   535,   536,   537,   538,     0,
     539,   540,   541,     0,     0,   542,   543,   544,   545,   546,
       0,   547,   548,   549,   550,   551,   552,   553,     0,     0,
     554,   555,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,     0,   566,     0,   568,   569,   570,
     571,     0,     0,   572,     0,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   600,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   793,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   794,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   795,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   796,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   797,   486,
     487,   488,   489,   490,   491,   492,   493,   798,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   799,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,     0,   530,   531,     0,
     532,     0,   534,   535,   536,   537,   538,     0,   539,   800,
     541,     0,     0,   801,   543,   544,   545,   546,     0,   547,
     548,   549,   550,   551,   552,   553,     0,     0,   554,   555,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,     0,   566,     0,   568,   569,   570,   571,     0,
       0,   572,     0,     0,   573,   574,   575,   576,   577,   802,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   600,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,     0,   245,   246,   247,   248,   249,
       0,   251,   252,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   259,   260,   261,   262,   263,     0,   264,   265,
     266,   267,   268,     0,     0,     0,   270,   271,   272,   273,
     274,     0,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,     0,   286,   287,   288,     0,     0,     0,
       0,     0,     0,     0,   290,   291,   292,   293,   294,   295,
     296,   297,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,   325,   326,   327,
     328,   329,     0,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,     0,     0,     0,   339,   340,   341,   342,
       0,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,   352,     0,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
       0,     0,   378,     0,   380,   381,   382,   383,   384,     0,
       0,   385,   386,     0,   388,     0,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
     411,   412,   413,   414,   415,     0,   416,   417,     0,   419,
       0,   420,   421,   422,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,     0,   431,   432,   433,
       0,   435,     0,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,     0,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   824,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,     0,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,     0,   511,   512,   513,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,     0,   530,   531,     0,   532,     0,
     534,   535,   536,   537,   538,     0,   539,   540,   541,     0,
       0,   542,   543,   544,   545,   546,     0,   547,   548,   549,
     550,   551,   552,   553,     0,     0,   554,   555,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
       0,   566,     0,   568,   569,   570,   571,     0,     0,   572,
       0,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   600,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     902,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,     0,   530,   531,     0,   532,     0,   534,   535,
     536,   537,   538,     0,   539,   540,   541,     0,     0,   542,
     543,   544,   545,   546,     0,   547,   548,   549,   550,   551,
     552,   553,     0,     0,   554,   555,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,     0,   566,
       0,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     600,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
       0,   245,   246,   247,   248,   249,     0,   251,   252,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
     261,   262,   263,     0,   264,   265,   266,   267,   268,     0,
       0,     0,   270,   271,   272,   273,   274,     0,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,     0,
     286,   287,   288,     0,     0,     0,     0,     0,     0,     0,
     290,   291,   292,   293,   294,   295,   296,   297,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,     0,
       0,     0,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,   912,     0,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,     0,     0,   378,     0,
     380,   381,   382,   383,   384,     0,     0,   385,   386,     0,
     388,     0,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,   411,   412,   413,   414,
     415,     0,   416,   417,     0,   419,     0,   420,   421,   422,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,   433,     0,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
       0,   530,   531,     0,   532,     0,   534,   535,   536,   537,
     538,     0,   539,   540,   541,     0,     0,   542,   543,   544,
     545,   546,     0,   547,   548,   549,   550,   551,   552,   553,
       0,     0,   554,   555,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,     0,   566,     0,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   600,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   930,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,     0,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,     0,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,     0,   511,   512,
     513,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,     0,   530,
     531,     0,   532,     0,   534,   535,   536,   537,   538,     0,
     539,   540,   541,     0,     0,   542,   543,   544,   545,   546,
       0,   547,   548,   549,   550,   551,   552,   553,     0,     0,
     554,   555,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,     0,   566,     0,   568,   569,   570,
     571,     0,     0,   572,     0,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   600,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   997,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,     0,   530,   531,     0,
     532,     0,   534,   535,   536,   537,   538,     0,   539,   540,
     541,     0,     0,   542,   543,   544,   545,   546,     0,   547,
     548,   549,   550,   551,   552,   553,     0,     0,   554,   555,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,     0,   566,     0,   568,   569,   570,   571,     0,
       0,   572,     0,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   600,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,     0,   245,   246,   247,   248,   249,
       0,   251,   252,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   259,   260,   261,   262,   263,     0,   264,   265,
     266,   267,   268,     0,     0,     0,   270,   271,   272,   273,
     274,     0,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,     0,   286,   287,   288,     0,     0,     0,
       0,     0,     0,     0,   290,   291,   292,   293,   294,   295,
     296,   297,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,   325,   326,   327,
     328,   329,     0,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,     0,     0,     0,   339,   340,   341,   342,
       0,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,  1003,     0,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
       0,     0,   378,     0,   380,   381,   382,   383,   384,     0,
       0,   385,   386,     0,   388,     0,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
     411,   412,   413,   414,   415,     0,   416,   417,     0,   419,
       0,   420,   421,   422,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,     0,   431,   432,   433,
       0,   435,     0,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,     0,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,     0,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,     0,   511,   512,   513,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,     0,   530,   531,     0,   532,     0,
     534,   535,   536,   537,   538,     0,   539,   540,   541,     0,
       0,   542,   543,   544,   545,   546,     0,   547,   548,   549,
     550,   551,   552,   553,     0,     0,   554,   555,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
       0,   566,     0,   568,   569,   570,   571,     0,     0,   572,
       0,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   600,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
    1020,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,     0,   530,   531,     0,   532,     0,   534,   535,
     536,   537,   538,     0,   539,   540,   541,     0,     0,   542,
     543,   544,   545,   546,     0,   547,   548,   549,   550,   551,
     552,   553,     0,     0,   554,   555,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,     0,   566,
       0,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     600,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
       0,   245,   246,   247,   248,   249,     0,   251,   252,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
     261,   262,   263,     0,   264,   265,   266,   267,   268,     0,
       0,     0,   270,   271,   272,   273,   274,     0,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,     0,
     286,   287,   288,     0,     0,     0,     0,     0,     0,     0,
     290,   291,   292,   293,   294,   295,   296,   297,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,     0,
       0,     0,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,  1023,     0,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,     0,     0,   378,     0,
     380,   381,   382,   383,   384,     0,     0,   385,   386,     0,
     388,     0,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,   411,   412,   413,   414,
     415,     0,   416,   417,     0,   419,     0,   420,   421,   422,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,   433,     0,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
       0,   530,   531,     0,   532,     0,   534,   535,   536,   537,
     538,     0,   539,   540,   541,     0,     0,   542,   543,   544,
     545,   546,     0,   547,   548,   549,   550,   551,   552,   553,
       0,     0,   554,   555,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,     0,   566,     0,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   600,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,  1025,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,     0,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,     0,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,     0,   511,   512,
     513,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,     0,   530,
     531,     0,   532,     0,   534,   535,   536,   537,   538,     0,
     539,   540,   541,     0,     0,   542,   543,   544,   545,   546,
       0,   547,   548,   549,   550,   551,   552,   553,     0,     0,
     554,   555,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,     0,   566,     0,   568,   569,   570,
     571,     0,     0,   572,     0,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   600,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,  1061,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,     0,   530,   531,     0,
     532,     0,   534,   535,   536,   537,   538,     0,   539,   540,
     541,     0,     0,   542,   543,   544,   545,   546,     0,   547,
     548,   549,   550,   551,   552,   553,     0,     0,   554,   555,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,     0,   566,     0,   568,   569,   570,   571,     0,
       0,   572,     0,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   600,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,     0,   245,   246,   247,   248,   249,
       0,   251,   252,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   259,   260,   261,   262,   263,     0,   264,   265,
     266,   267,   268,     0,     0,     0,   270,   271,   272,   273,
     274,     0,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,     0,   286,   287,   288,     0,     0,     0,
       0,     0,     0,     0,   290,   291,   292,   293,   294,   295,
     296,   297,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,   325,   326,   327,
     328,   329,     0,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,     0,     0,     0,   339,   340,   341,   342,
       0,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,  1125,     0,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
       0,     0,   378,     0,   380,   381,   382,   383,   384,     0,
       0,   385,   386,     0,   388,     0,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
     411,   412,   413,   414,   415,     0,   416,   417,     0,   419,
       0,   420,   421,   422,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,     0,   431,   432,   433,
       0,   435,     0,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,     0,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,     0,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,     0,   511,   512,   513,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,     0,   530,   531,     0,   532,     0,
     534,   535,   536,   537,   538,     0,   539,   540,   541,     0,
       0,   542,   543,   544,   545,   546,     0,   547,   548,   549,
     550,   551,   552,   553,     0,     0,   554,   555,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
       0,   566,     0,   568,   569,   570,   571,     0,     0,   572,
       0,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   600,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
    1127,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,     0,   530,   531,     0,   532,     0,   534,   535,
     536,   537,   538,     0,   539,   540,   541,     0,     0,   542,
     543,   544,   545,   546,     0,   547,   548,   549,   550,   551,
     552,   553,     0,     0,   554,   555,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,     0,   566,
       0,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     600,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
       0,   245,   246,   247,   248,   249,     0,   251,   252,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
     261,   262,   263,     0,   264,   265,   266,   267,   268,     0,
       0,     0,   270,   271,   272,   273,   274,     0,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,     0,
     286,   287,   288,     0,     0,     0,     0,     0,     0,     0,
     290,   291,   292,   293,   294,   295,   296,   297,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,     0,
       0,     0,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,  1137,     0,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,     0,     0,   378,     0,
     380,   381,   382,   383,   384,     0,     0,   385,   386,     0,
     388,     0,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,   411,   412,   413,   414,
     415,     0,   416,   417,     0,   419,     0,   420,   421,   422,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,   433,     0,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
       0,   530,   531,     0,   532,     0,   534,   535,   536,   537,
     538,     0,   539,   540,   541,     0,     0,   542,   543,   544,
     545,   546,     0,   547,   548,   549,   550,   551,   552,   553,
       0,     0,   554,   555,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,     0,   566,     0,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   600,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,  1140,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,     0,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,     0,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,     0,   511,   512,
     513,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,     0,   530,
     531,     0,   532,     0,   534,   535,   536,   537,   538,     0,
     539,   540,   541,     0,     0,   542,   543,   544,   545,   546,
       0,   547,   548,   549,   550,   551,   552,   553,     0,     0,
     554,   555,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,     0,   566,     0,   568,   569,   570,
     571,     0,     0,   572,     0,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   600,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,  1143,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,     0,   530,   531,     0,
     532,     0,   534,   535,   536,   537,   538,     0,   539,   540,
     541,     0,     0,   542,   543,   544,   545,   546,     0,   547,
     548,   549,   550,   551,   552,   553,     0,     0,   554,   555,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,     0,   566,     0,   568,   569,   570,   571,     0,
       0,   572,     0,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   600,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,     0,   245,   246,   247,   248,   249,
       0,   251,   252,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   793,   260,   261,   262,   263,     0,   264,   265,
     266,   267,   268,     0,     0,     0,   270,   271,   272,   273,
     274,     0,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,     0,   286,   287,   288,     0,     0,     0,
       0,     0,     0,     0,   290,   291,   292,   293,   294,   295,
     296,   297,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,   325,   326,   327,
     328,   329,     0,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,     0,     0,     0,   339,   340,   341,   342,
       0,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,   352,     0,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
       0,     0,   378,     0,   380,   381,   382,   383,   384,     0,
       0,   385,   386,     0,   388,     0,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   796,   409,     0,
     411,   412,   413,   414,   415,     0,   416,   417,     0,   419,
       0,   420,   421,   422,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,     0,   431,   432,   433,
       0,   435,     0,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,     0,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,     0,   797,   486,   487,   488,
     489,   490,   491,   492,   493,   798,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,  1331,     0,   505,   506,
     507,   508,   509,     0,   511,   512,   513,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,     0,   530,   531,     0,   532,     0,
     534,   535,   536,   537,   538,     0,   539,   800,   541,     0,
       0,   801,   543,   544,   545,   546,     0,   547,   548,   549,
     550,   551,   552,   553,     0,     0,   554,   555,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
       0,   566,     0,   568,   569,   570,   571,     0,     0,   572,
       0,     0,   573,   574,   575,   576,   577,   802,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   600,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
    1765,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,     0,   530,   531,     0,   532,     0,   534,   535,
     536,   537,   538,     0,   539,   540,   541,     0,     0,   542,
     543,   544,   545,   546,     0,   547,   548,   549,   550,   551,
     552,   553,     0,     0,   554,   555,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,     0,   566,
       0,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     600,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
       0,   245,   246,   247,   248,   249,     0,   251,   252,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
     261,   262,   263,     0,   264,   265,   266,   267,   268,     0,
       0,     0,   270,   271,   272,   273,   274,     0,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,     0,
     286,   287,   288,     0,     0,     0,     0,     0,     0,     0,
     290,   291,   292,   293,   294,   295,   296,   297,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,     0,
       0,     0,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,  1803,     0,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,     0,     0,   378,     0,
     380,   381,   382,   383,   384,     0,     0,   385,   386,     0,
     388,     0,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,   411,   412,   413,   414,
     415,     0,   416,   417,     0,   419,     0,   420,   421,   422,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,   433,     0,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
       0,   530,   531,     0,   532,     0,   534,   535,   536,   537,
     538,     0,   539,   540,   541,     0,     0,   542,   543,   544,
     545,   546,     0,   547,   548,   549,   550,   551,   552,   553,
       0,     0,   554,   555,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,     0,   566,     0,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   600,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,  1805,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,     0,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,     0,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,     0,   511,   512,
     513,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,     0,   530,
     531,     0,   532,     0,   534,   535,   536,   537,   538,     0,
     539,   540,   541,     0,     0,   542,   543,   544,   545,   546,
       0,   547,   548,   549,   550,   551,   552,   553,     0,     0,
     554,   555,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,     0,   566,     0,   568,   569,   570,
     571,     0,     0,   572,     0,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   600,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,  1875,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,     0,   530,   531,     0,
     532,     0,   534,   535,   536,   537,   538,     0,   539,   540,
     541,     0,     0,   542,   543,   544,   545,   546,     0,   547,
     548,   549,   550,   551,   552,   553,     0,     0,   554,   555,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,     0,   566,     0,   568,   569,   570,   571,     0,
       0,   572,     0,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   600,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,     0,   245,   246,   247,   248,   249,
       0,   251,   252,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   259,   260,   261,   262,   263,     0,   264,   265,
     266,   267,   268,     0,     0,     0,   270,   271,   272,   273,
     274,     0,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,     0,   286,   287,   288,     0,     0,     0,
       0,     0,     0,     0,   290,   291,   292,   293,   294,   295,
     296,   297,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,   325,   326,   327,
     328,   329,     0,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,     0,     0,     0,   339,   340,   341,   342,
       0,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,  1877,     0,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
       0,     0,   378,     0,   380,   381,   382,   383,   384,     0,
       0,   385,   386,     0,   388,     0,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
     411,   412,   413,   414,   415,     0,   416,   417,     0,   419,
       0,   420,   421,   422,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,     0,   431,   432,   433,
       0,   435,     0,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,     0,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,     0,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,     0,   511,   512,   513,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,     0,   530,   531,     0,   532,     0,
     534,   535,   536,   537,   538,     0,   539,   540,   541,     0,
       0,   542,   543,   544,   545,   546,     0,   547,   548,   549,
     550,   551,   552,   553,     0,     0,   554,   555,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
       0,   566,     0,   568,   569,   570,   571,     0,     0,   572,
       0,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   600,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
    1879,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,     0,   530,   531,     0,   532,     0,   534,   535,
     536,   537,   538,     0,   539,   540,   541,     0,     0,   542,
     543,   544,   545,   546,     0,   547,   548,   549,   550,   551,
     552,   553,     0,     0,   554,   555,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,     0,   566,
       0,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     600,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
       0,   245,   246,   247,   248,   249,     0,   251,   252,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
     261,   262,   263,     0,   264,   265,   266,   267,   268,     0,
       0,     0,   270,   271,   272,   273,   274,     0,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,     0,
     286,   287,   288,     0,     0,     0,     0,     0,     0,     0,
     290,   291,   292,   293,   294,   295,   296,   297,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,     0,
       0,     0,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,   352,     0,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,     0,     0,   378,     0,
     380,   381,   382,   383,   384,     0,     0,   385,   386,     0,
     388,     0,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,   411,   412,   413,   414,
     415,     0,   416,   417,     0,   419,     0,   420,   421,   422,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,   433,     0,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
    1984,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
       0,   530,   531,     0,   532,     0,   534,   535,   536,   537,
     538,     0,   539,   540,   541,     0,     0,   542,   543,   544,
     545,   546,     0,   547,   548,   549,   550,   551,   552,   553,
       0,     0,   554,   555,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,     0,   566,     0,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   600,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
    2163,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,     0,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,     0,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,     0,     0,   506,   507,   508,   509,     0,   511,   512,
     513,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,     0,   530,
     531,     0,   532,     0,   534,   535,   536,   537,   538,     0,
     539,   540,   541,     0,     0,   542,   543,   544,   545,   546,
       0,   547,   548,   549,   550,   551,   552,   553,     0,     0,
     554,   555,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,     0,   566,     0,   568,   569,   570,
     571,     0,     0,   572,     0,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   600,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   793,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   796,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   797,   486,
     487,   488,   489,   490,   491,   492,   493,   798,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,  1331,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,     0,   530,   531,     0,
     532,     0,  2197,   535,   536,   537,   538,     0,   539,   800,
     541,     0,     0,   801,   543,   544,   545,   546,     0,   547,
     548,   549,   550,   551,   552,   553,     0,     0,   554,   555,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,     0,   566,     0,   568,   569,   570,   571,     0,
       0,   572,     0,     0,   573,   574,   575,   576,   577,   802,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   600,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,     0,   245,   246,   247,   248,   249,
       0,   251,   252,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   793,   260,   261,   262,   263,     0,   264,   265,
     266,   267,   268,     0,     0,     0,   270,   271,   272,   273,
     274,     0,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,     0,   286,   287,   288,     0,     0,     0,
       0,     0,     0,     0,   290,   291,   292,   293,   294,   295,
     296,   297,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,   325,   326,   327,
     328,   329,     0,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,     0,     0,     0,   339,   340,   341,   342,
       0,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,   352,     0,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
       0,     0,   378,     0,   380,   381,   382,   383,   384,     0,
       0,   385,   386,     0,   388,     0,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   796,   409,     0,
     411,   412,   413,   414,   415,     0,   416,   417,     0,   419,
       0,   420,   421,   422,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,     0,   431,   432,   433,
       0,   435,     0,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,     0,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,     0,   797,   486,   487,   488,
     489,   490,   491,   492,   493,  2274,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,  2275,     0,   505,   506,
     507,   508,   509,     0,   511,   512,   513,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,     0,   530,   531,     0,   532,     0,
     534,   535,   536,   537,   538,     0,   539,   800,   541,     0,
       0,  2276,   543,   544,   545,   546,     0,   547,   548,   549,
     550,   551,   552,   553,     0,     0,   554,   555,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
       0,   566,     0,   568,   569,   570,   571,     0,     0,   572,
       0,     0,   573,   574,   575,   576,   577,   802,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   600,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     793,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   796,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   797,   486,   487,   488,   489,   490,
     491,   492,   493,  2353,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,  2275,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,     0,   530,   531,     0,   532,     0,   534,   535,
     536,   537,   538,     0,   539,   800,   541,     0,     0,  2276,
     543,   544,   545,   546,     0,   547,   548,   549,   550,   551,
     552,   553,     0,     0,   554,   555,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,     0,   566,
       0,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   802,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     600,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
       0,   245,   246,   247,   248,   249,     0,   251,   252,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   793,   260,
     261,   262,   263,     0,   264,   265,   266,   267,   268,     0,
       0,     0,   270,   271,   272,   273,   274,     0,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,     0,
     286,   287,   288,     0,     0,     0,     0,     0,     0,     0,
     290,   291,   292,   293,   294,   295,   296,   297,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,     0,
       0,     0,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,   352,     0,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,     0,     0,   378,     0,
     380,   381,   382,   383,   384,     0,     0,   385,   386,     0,
     388,     0,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   796,   409,     0,   411,   412,   413,   414,
     415,     0,   416,   417,     0,   419,     0,   420,   421,   422,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,   433,     0,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   797,   486,   487,   488,   489,   490,   491,   492,
     493,  2370,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,  2275,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
       0,   530,   531,     0,   532,     0,   534,   535,   536,   537,
     538,     0,   539,   800,   541,     0,     0,  2276,   543,   544,
     545,   546,     0,   547,   548,   549,   550,   551,   552,   553,
       0,     0,   554,   555,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,     0,   566,     0,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   802,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   600,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,  2569,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,     0,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,     0,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,     0,   511,   512,
     513,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,     0,   530,
     531,     0,   532,     0,   534,   535,   536,   537,   538,     0,
     539,   540,   541,     0,     0,   542,   543,   544,   545,   546,
       0,   547,   548,   549,   550,   551,   552,   553,     0,     0,
     554,   555,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,     0,   566,     0,   568,   569,   570,
     571,     0,     0,   572,     0,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   600,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,  2573,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,     0,   530,   531,     0,
     532,     0,   534,   535,   536,   537,   538,     0,   539,   540,
     541,     0,     0,   542,   543,   544,   545,   546,     0,   547,
     548,   549,   550,   551,   552,   553,     0,     0,   554,   555,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,     0,   566,     0,   568,   569,   570,   571,     0,
       0,   572,     0,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   600,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,     0,   245,   246,   247,   248,   249,
       0,   251,   252,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   259,   260,   261,   262,   263,     0,   264,   265,
     266,   267,   268,     0,     0,     0,   270,   271,   272,   273,
     274,     0,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,     0,   286,   287,   288,     0,     0,     0,
       0,     0,     0,     0,   290,   291,   292,   293,   294,   295,
     296,   297,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,   325,   326,   327,
     328,   329,     0,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,     0,     0,     0,   339,   340,   341,   342,
       0,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,  2648,     0,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
       0,     0,   378,     0,   380,   381,   382,   383,   384,     0,
       0,   385,   386,     0,   388,     0,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
     411,   412,   413,   414,   415,     0,   416,   417,     0,   419,
       0,   420,   421,   422,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,     0,   431,   432,   433,
       0,   435,     0,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,     0,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,     0,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,     0,   511,   512,   513,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,     0,   530,   531,     0,   532,     0,
     534,   535,   536,   537,   538,     0,   539,   540,   541,     0,
       0,   542,   543,   544,   545,   546,     0,   547,   548,   549,
     550,   551,   552,   553,     0,     0,   554,   555,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
       0,   566,     0,   568,   569,   570,   571,     0,     0,   572,
       0,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   600,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
    2967,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,     0,   530,   531,     0,   532,     0,   534,   535,
     536,   537,   538,     0,   539,   540,   541,     0,     0,   542,
     543,   544,   545,   546,     0,   547,   548,   549,   550,   551,
     552,   553,     0,     0,   554,   555,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,     0,   566,
       0,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     600,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
       0,   245,   246,   247,   248,   249,     0,   251,   252,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   793,   260,
     261,   262,   263,     0,   264,   265,   266,   267,   268,     0,
       0,     0,   270,   271,   272,   273,   274,     0,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,     0,
     286,   287,   288,     0,     0,     0,     0,     0,     0,     0,
     290,   291,   292,   293,   294,   295,   296,   297,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,     0,
       0,     0,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,   352,     0,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,     0,     0,   378,     0,
     380,   381,   382,   383,   384,     0,     0,   385,   386,     0,
     388,     0,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   796,   409,     0,   411,   412,   413,   414,
     415,     0,   416,   417,     0,   419,     0,   420,   421,   422,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,   433,     0,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   797,   486,   487,   488,   489,   490,   491,   492,
     493,   798,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,  2275,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
       0,   530,   531,     0,   532,     0,   534,   535,   536,   537,
     538,     0,   539,   800,   541,     0,     0,  2276,   543,   544,
     545,   546,     0,   547,   548,   549,   550,   551,   552,   553,
       0,     0,   554,   555,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,     0,   566,     0,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   802,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   600,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,  3036,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,     0,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,     0,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,     0,   511,   512,
     513,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,     0,   530,
     531,     0,   532,     0,   534,   535,   536,   537,   538,     0,
     539,   540,   541,     0,     0,   542,   543,   544,   545,   546,
       0,   547,   548,   549,   550,   551,   552,   553,     0,     0,
     554,   555,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,     0,   566,     0,   568,   569,   570,
     571,     0,     0,   572,     0,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   600,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,  3051,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,     0,   530,   531,     0,
     532,     0,   534,   535,   536,   537,   538,     0,   539,   540,
     541,     0,     0,   542,   543,   544,   545,   546,     0,   547,
     548,   549,   550,   551,   552,   553,     0,     0,   554,   555,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,     0,   566,     0,   568,   569,   570,   571,     0,
       0,   572,     0,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   600,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,     0,   245,   246,   247,   248,   249,
       0,   251,   252,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   259,   260,   261,   262,   263,     0,   264,   265,
     266,   267,   268,     0,     0,     0,   270,   271,   272,   273,
     274,     0,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,     0,   286,   287,   288,     0,     0,     0,
       0,     0,     0,     0,   290,   291,   292,   293,   294,   295,
     296,   297,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,   325,   326,   327,
     328,   329,     0,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,     0,     0,     0,   339,   340,   341,   342,
       0,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,  3053,     0,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
       0,     0,   378,     0,   380,   381,   382,   383,   384,     0,
       0,   385,   386,     0,   388,     0,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
     411,   412,   413,   414,   415,     0,   416,   417,     0,   419,
       0,   420,   421,   422,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,     0,   431,   432,   433,
       0,   435,     0,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,     0,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,     0,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,     0,   511,   512,   513,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,     0,   530,   531,     0,   532,     0,
     534,   535,   536,   537,   538,     0,   539,   540,   541,     0,
       0,   542,   543,   544,   545,   546,     0,   547,   548,   549,
     550,   551,   552,   553,     0,     0,   554,   555,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
       0,   566,     0,   568,   569,   570,   571,     0,     0,   572,
       0,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   600,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
    3195,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,     0,   530,   531,     0,   532,     0,   534,   535,
     536,   537,   538,     0,   539,   540,   541,     0,     0,   542,
     543,   544,   545,   546,     0,   547,   548,   549,   550,   551,
     552,   553,     0,     0,   554,   555,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,     0,   566,
       0,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     600,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
       0,   245,   246,   247,   248,   249,     0,   251,   252,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
     261,   262,   263,     0,   264,   265,   266,   267,   268,     0,
       0,     0,   270,   271,   272,   273,   274,     0,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,     0,
     286,   287,   288,     0,     0,     0,     0,     0,     0,     0,
     290,   291,   292,   293,   294,   295,   296,   297,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,  3231,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,     0,
       0,     0,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,   352,     0,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,     0,     0,   378,     0,
     380,   381,   382,   383,   384,     0,     0,   385,   386,     0,
     388,     0,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,   411,   412,   413,   414,
     415,     0,   416,   417,     0,   419,     0,   420,   421,   422,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,   433,     0,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
       0,   530,   531,     0,   532,     0,   534,   535,   536,   537,
     538,     0,   539,   540,   541,     0,     0,   542,   543,   544,
     545,   546,     0,   547,   548,   549,   550,   551,   552,   553,
       0,     0,   554,   555,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,     0,   566,     0,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   600,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,  4385,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,     0,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,     0,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,     0,   511,   512,
     513,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,     0,   530,
     531,     0,   532,     0,   534,   535,   536,   537,   538,     0,
     539,   540,   541,     0,     0,   542,   543,   544,   545,   546,
       0,   547,   548,   549,   550,   551,   552,   553,     0,     0,
     554,   555,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,     0,   566,     0,   568,   569,   570,
     571,     0,     0,   572,     0,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,  1063,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,   244,   245,   246,   247,
       0,  1064,   250,  1065,  1066,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,  1067,  1068,   263,     0,
     264,   265,   266,   267,     0,     0,   269,     0,   270,   271,
     272,   273,   274,   275,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,   285,   286,   287,   288,     0,
       0,     0,   289,     0,     0,     0,   290,   291,   292,   293,
     294,   295,  1069,  1070,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,  1071,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,     0,
     326,   327,   328,     0,     0,   330,     0,   331,   332,  1072,
     334,     0,   335,     0,   336,   337,     0,   338,   339,   340,
     341,   342,     0,   343,     0,     0,     0,   346,   347,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
    2170,   358,   359,   360,   361,   362,   363,   364,     0,   365,
     366,  2171,   368,   369,   370,   371,  1074,  1075,     0,  1076,
       0,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,     0,     0,   385,     0,   387,   388,   389,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
    1077,   410,  1078,   412,   413,   414,     0,     0,   416,   417,
     418,   419,     0,     0,   421,  1079,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,  2173,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,     0,   447,   448,     0,
     450,     0,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,  1080,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,     0,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,  2174,   508,   509,   510,   511,   512,  1082,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   529,     0,   530,   531,     0,
     532,   533,   534,   535,   536,   537,   538,     0,   539,  1083,
    1084,     0,     0,   542,   543,     0,   545,     0,     0,   547,
     548,   549,   550,   551,   552,   553,     0,     0,   554,   555,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
       0,  1085,  2175,   566,   567,   568,   569,   570,   571,     0,
       0,   572,     0,     0,   573,   574,   575,   576,   577,   578,
     600,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   590,   591,   592,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
       0,   245,   246,   247,   248,   249,     0,   251,   252,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
     261,   262,   263,     0,   264,   265,   266,   267,   268,     0,
       0,     0,   270,   271,   272,   273,   274,     0,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,     0,
     286,   287,   288,     0,     0,     0,     0,     0,     0,     0,
     290,   291,   292,   293,   294,   295,   296,   297,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,     0,
       0,     0,   339,   340,   341,   342,     0,   343,   344,     0,
     345,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,     0,     0,   378,     0,
     380,   381,   382,   383,   384,     0,     0,   385,   386,     0,
     388,     0,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,   411,   412,   413,   414,
     415,     0,   416,   417,     0,   419,     0,   420,   421,   422,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,   433,     0,   435,     0,   437,
     438,   439,   440,   441,   442,   443,     0,   445,   446,     0,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,     0,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,     0,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
       0,   530,   531,     0,   532,     0,   534,   535,   536,   537,
     538,     0,   539,   540,   541,     0,     0,   542,   543,   544,
     545,   546,     0,   547,   548,   549,   550,   551,   552,   553,
       0,     0,   554,   555,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,     0,   566,     0,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,  1063,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,   244,   245,
     246,   247,     0,  1064,   250,  1065,  1066,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,  1067,  1068,
     263,     0,   264,   265,   266,   267,     0,     0,   269,     0,
     270,   271,   272,   273,   274,   275,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,   285,   286,   287,
     288,     0,     0,     0,   289,     0,     0,     0,   290,   291,
     292,   293,   294,   295,  1069,  1070,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,  1071,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,     0,   326,   327,   328,     0,     0,   330,     0,   331,
     332,  1072,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,     0,     0,     0,   346,
     347,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,     0,   368,   369,   370,   371,  1074,  1075,
       0,  1076,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,     0,   387,   388,   389,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,  1077,   410,  1078,   412,   413,   414,     0,     0,
     416,   417,   418,   419,  2270,     0,   421,  1079,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,     0,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,     0,   447,
     448,     0,   450,     0,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,  1080,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,     0,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,  2174,   508,   509,   510,   511,   512,
    1082,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,     0,   529,     0,   530,
     531,  3940,   532,   533,   534,   535,   536,   537,   538,     0,
     539,  1083,  1084,     0,     0,   542,   543,     0,   545,     0,
       0,   547,   548,   549,   550,   551,   552,   553,     0,     0,
     554,   555,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,     0,  1085,     0,   566,   567,   568,   569,   570,
     571,     0,     0,   572,     0,     0,   573,   574,   575,   576,
     577,   578,  1063,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   590,   591,   592,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,   244,   245,   246,   247,     0,  1064,   250,  1065,
    1066,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,  1067,  1068,   263,     0,   264,   265,   266,   267,
       0,     0,   269,     0,   270,   271,   272,   273,   274,   275,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,   285,   286,   287,   288,     0,     0,     0,   289,     0,
       0,     0,   290,   291,   292,   293,   294,   295,  1069,  1070,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,  1071,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,     0,   326,   327,   328,     0,
       0,   330,     0,   331,   332,  1072,   334,     0,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
       0,     0,     0,   346,   347,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,     0,   368,   369,
     370,   371,  1074,  1075,     0,  1076,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
       0,   387,   388,   389,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,  1077,   410,  1078,   412,
     413,   414,  2342,     0,   416,   417,   418,   419,     0,     0,
     421,  1079,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,     0,   434,   435,
     436,     0,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,     0,   450,     0,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,  1080,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,     0,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,  1081,   508,
     509,   510,   511,   512,  1082,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   529,     0,   530,   531,     0,   532,   533,   534,   535,
     536,   537,   538,     0,   539,  1083,  1084,     0,     0,   542,
     543,     0,   545,     0,     0,   547,   548,   549,   550,   551,
     552,   553,     0,     0,   554,   555,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,     0,  1085,     0,   566,
     567,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,  1063,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   590,   591,   592,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,   244,   245,   246,   247,
       0,  1064,   250,  1065,  1066,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,  1067,  1068,   263,     0,
     264,   265,   266,   267,     0,     0,   269,     0,   270,   271,
     272,   273,   274,   275,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,   285,   286,   287,   288,     0,
       0,     0,   289,     0,     0,     0,   290,   291,   292,   293,
     294,   295,  1069,  1070,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,  1071,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,     0,
     326,   327,   328,     0,     0,   330,     0,   331,   332,  1072,
     334,     0,   335,     0,   336,   337,     0,   338,   339,   340,
     341,   342,     0,   343,     0,     0,     0,   346,   347,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
     366,     0,   368,   369,   370,   371,  1074,  1075,     0,  1076,
       0,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,     0,     0,   385,     0,   387,   388,   389,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
    1077,   410,  1078,   412,   413,   414,  3748,     0,   416,   417,
     418,   419,     0,     0,   421,  1079,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,     0,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,     0,   447,   448,     0,
     450,     0,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,  1080,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,     0,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,  1081,   508,   509,   510,   511,   512,  1082,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   529,     0,   530,   531,     0,
     532,   533,   534,   535,   536,   537,   538,     0,   539,  1083,
    1084,     0,     0,   542,   543,     0,   545,     0,     0,   547,
     548,   549,   550,   551,   552,   553,     0,     0,   554,   555,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
       0,  1085,     0,   566,   567,   568,   569,   570,   571,     0,
       0,   572,     0,     0,   573,   574,   575,   576,   577,   578,
    1063,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   590,   591,   592,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
     244,   245,   246,   247,     0,  1064,   250,  1065,  1066,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
    1067,  1068,   263,     0,   264,   265,   266,   267,     0,     0,
     269,     0,   270,   271,   272,   273,   274,   275,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,   285,
     286,   287,   288,     0,     0,     0,   289,     0,     0,     0,
     290,   291,   292,   293,   294,   295,  1069,  1070,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,  1071,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,     0,   326,   327,   328,     0,     0,   330,
       0,   331,   332,  1072,   334,  5304,   335,     0,   336,   337,
       0,   338,   339,   340,   341,   342,     0,   343,     0,     0,
       0,   346,   347,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,   366,     0,   368,   369,   370,   371,
    1074,  1075,     0,  1076,     0,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,     0,     0,   385,     0,   387,
     388,   389,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,  1077,   410,  1078,   412,   413,   414,
       0,     0,   416,   417,   418,   419,     0,     0,   421,  1079,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,     0,   434,   435,   436,     0,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,     0,   450,     0,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
    1080,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,     0,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,  1081,   508,   509,   510,
     511,   512,  1082,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   529,
       0,   530,   531,     0,   532,   533,   534,   535,   536,   537,
     538,     0,   539,  1083,  1084,     0,     0,   542,   543,     0,
     545,     0,     0,   547,   548,   549,   550,   551,   552,   553,
       0,     0,   554,   555,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,     0,  1085,     0,   566,   567,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,  1063,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   590,   591,   592,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,   244,   245,   246,   247,     0,  1064,
     250,  1065,  1066,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   259,   260,  1067,  1068,   263,     0,   264,   265,
     266,   267,     0,     0,   269,     0,   270,   271,   272,   273,
     274,   275,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,   285,   286,   287,   288,     0,     0,     0,
     289,     0,     0,     0,   290,   291,   292,   293,   294,   295,
    1069,  1070,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,  1071,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,     0,   326,   327,
     328,     0,     0,   330,     0,   331,   332,  1072,   334,     0,
     335,     0,   336,   337,     0,   338,   339,   340,   341,   342,
       0,   343,     0,     0,     0,   346,   347,     0,   348,   349,
     350,   351,  1073,   353,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,   366,     0,
     368,   369,   370,   371,  1074,  1075,     0,  1076,     0,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,     0,
       0,   385,     0,   387,   388,   389,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,  1077,   410,
    1078,   412,   413,   414,     0,     0,   416,   417,   418,   419,
       0,     0,   421,  1079,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,     0,   431,   432,     0,
     434,   435,   436,     0,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,     0,   447,   448,     0,   450,     0,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,  1080,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,   484,   485,   486,   487,   488,
     489,     0,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
    1081,   508,   509,   510,   511,   512,  1082,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,     0,   529,     0,   530,   531,     0,   532,   533,
     534,   535,   536,   537,   538,     0,   539,  1083,  1084,     0,
       0,   542,   543,     0,   545,     0,     0,   547,   548,   549,
     550,   551,   552,   553,     0,     0,   554,   555,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,     0,  1085,
       0,   566,   567,   568,   569,   570,   571,     0,     0,   572,
       0,     0,   573,   574,   575,   576,   577,   578,  1063,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   590,
     591,   592,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,   244,   245,
     246,   247,     0,  1064,   250,  1065,  1066,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,  1067,  1068,
     263,     0,   264,   265,   266,   267,     0,     0,   269,     0,
     270,   271,   272,   273,   274,   275,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,   285,   286,   287,
     288,     0,     0,     0,   289,     0,     0,     0,   290,   291,
     292,   293,   294,   295,  1069,  1070,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,  1071,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,     0,   326,   327,   328,     0,     0,   330,     0,   331,
     332,  1072,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,     0,     0,     0,   346,
     347,     0,   348,   349,   350,   351,  1131,   353,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,     0,   368,   369,   370,   371,  1074,  1075,
       0,  1076,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,     0,   387,   388,   389,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,  1077,   410,  1078,   412,   413,   414,     0,     0,
     416,   417,   418,   419,     0,     0,   421,  1079,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,     0,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,     0,   447,
     448,     0,   450,     0,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,  1080,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,     0,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,  1081,   508,   509,   510,   511,   512,
    1082,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,     0,   529,     0,   530,
     531,     0,   532,   533,   534,   535,   536,   537,   538,     0,
     539,  1083,  1084,     0,     0,   542,   543,     0,   545,     0,
       0,   547,   548,   549,   550,   551,   552,   553,     0,     0,
     554,   555,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,     0,  1085,     0,   566,   567,   568,   569,   570,
     571,     0,     0,   572,     0,     0,   573,   574,   575,   576,
     577,   578,  1063,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   590,   591,   592,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,   244,   245,   246,   247,     0,  1064,   250,  1065,
    1066,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,  1067,  1068,   263,     0,   264,   265,   266,   267,
       0,     0,   269,     0,   270,   271,   272,   273,   274,   275,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,   285,   286,   287,   288,     0,     0,     0,   289,     0,
       0,     0,   290,   291,   292,   293,   294,   295,  1069,  1070,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,  1071,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,     0,   326,   327,   328,     0,
       0,   330,     0,   331,   332,  1072,   334,     0,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
       0,     0,     0,   346,   347,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,     0,   368,   369,
     370,   371,  1074,  1075,     0,  1076,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
       0,   387,   388,   389,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,  1077,   410,  1078,   412,
     413,   414,     0,     0,   416,   417,   418,   419,     0,     0,
     421,  1079,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,     0,   434,   435,
     436,     0,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   447,   448,     0,   450,     0,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,  1080,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,     0,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,  1081,   508,
     509,   510,   511,   512,  1082,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   529,     0,   530,   531,     0,   532,   533,   534,   535,
     536,   537,   538,     0,   539,  1083,  1084,     0,     0,   542,
     543,     0,   545,     0,     0,   547,   548,   549,   550,   551,
     552,   553,     0,     0,   554,   555,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,     0,  1085,     0,   566,
     567,   568,   569,   570,   571,     0,     0,   572,     0,     0,
     573,   574,   575,   576,   577,   578,  1063,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   590,   591,   592,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,   244,   245,   246,   247,
       0,  1064,   250,  1065,  1066,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,  1067,  1068,   263,     0,
     264,   265,   266,   267,     0,     0,   269,     0,   270,   271,
     272,   273,   274,   275,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,   285,   286,   287,   288,     0,
       0,     0,   289,     0,     0,     0,   290,   291,   292,   293,
     294,   295,  1069,  1070,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,  1071,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,     0,
     326,   327,   328,     0,     0,   330,     0,   331,   332,  1072,
     334,     0,   335,     0,   336,   337,     0,   338,   339,   340,
     341,   342,     0,   343,     0,     0,     0,   346,   347,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
     366,     0,   368,   369,   370,   371,  1074,  1075,     0,  1076,
       0,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,     0,     0,   385,     0,   387,   388,   389,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
    1077,   410,  1078,   412,   413,   414,     0,     0,   416,   417,
     418,   419,     0,     0,   421,  1079,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,     0,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,     0,   447,   448,     0,
     450,     0,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,  1080,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,     0,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,  2174,   508,   509,   510,   511,   512,  1082,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   529,     0,   530,   531,     0,
     532,   533,   534,   535,   536,   537,   538,     0,   539,  1083,
    1084,     0,     0,   542,   543,     0,   545,     0,     0,   547,
     548,   549,   550,   551,   552,   553,     0,     0,   554,   555,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
       0,  1085,     0,   566,   567,   568,   569,   570,   571,     0,
       0,   572,     0,     0,   573,   574,   575,   576,   577,   578,
    1063,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   590,   591,   592,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
     244,   245,   246,   247,     0,  1064,   250,  1065,  1066,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
    1067,  1068,   263,     0,   264,   265,   266,   267,     0,     0,
     269,     0,   270,   271,   272,   273,   274,   275,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,   285,
     286,   287,   288,     0,     0,     0,   289,     0,     0,     0,
     290,   291,   292,   293,   294,   295,  1069,  1070,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,  1071,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,     0,   326,   327,   328,     0,     0,   330,
       0,   331,   332,  1072,   334,     0,   335,     0,   336,   337,
       0,   338,   339,   340,   341,   342,     0,   343,     0,     0,
       0,   346,   347,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,   366,     0,   368,   369,   370,   371,
    1074,  1075,     0,  1076,     0,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,     0,     0,   385,     0,   387,
     388,   389,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,  1077,   410,  1078,   412,   413,   414,
       0,     0,   416,   417,   418,   419,     0,     0,   421,  1079,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,     0,   434,   435,   436,     0,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   447,   448,     0,   450,     0,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
    1080,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,     0,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,     0,   508,   509,   510,
     511,   512,  1082,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   529,
       0,   530,   531,     0,   532,   533,   534,   535,   536,   537,
     538,     0,   539,  1083,  1084,     0,     0,   542,   543,     0,
     545,     0,     0,   547,   548,   549,   550,   551,   552,   553,
       0,     0,   554,   555,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,     0,  1085,     0,   566,   567,   568,
     569,   570,   571,     0,     0,   572,     0,     0,   573,   574,
     575,   576,   577,   578,  1063,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   590,   591,   592,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,   244,   245,   246,   247,     0,     0,
     250,     0,     0,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   259,   260,     0,     0,   263,     0,   264,   265,
     266,   267,     0,     0,   269,     0,   270,   271,   272,   273,
     274,   275,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,   285,   286,   287,   288,     0,     0,     0,
     289,     0,     0,     0,   290,   291,   292,   293,   294,   295,
       0,     0,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,     0,   326,   327,
     328,     0,     0,   330,     0,   331,   332,     0,   334,     0,
     335,     0,   336,   337,     0,   338,   339,   340,   341,   342,
       0,   343,     0,     0,     0,   346,   347,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,   366,     0,
     368,   369,   370,   371,     0,     0,     0,     0,     0,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,     0,
       0,   385,     0,   387,   388,   389,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,     0,   410,
       0,   412,   413,   414,     0,     0,   416,   417,   418,   419,
       0,     0,   421,     0,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,     0,   431,   432,     0,
     434,   435,   436,     0,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,     0,   447,   448,     0,   450,     0,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,     0,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,   484,   485,   486,   487,   488,
     489,     0,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
       0,   508,   509,   510,   511,   512,     0,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,     0,   529,     0,   530,   531,     0,   532,   533,
     534,   535,   536,   537,   538,     0,   539,     0,     0,     0,
       0,   542,   543,     0,   545,     0,     0,   547,   548,   549,
     550,   551,   552,   553,     0,     0,   554,   555,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,     0,     0,
       0,   566,   567,   568,   569,   570,   571,     0,     0,   572,
       0,     0,   573,   574,   575,   576,   577,   578,  4962,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   590,
     591,   592,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,     0,     0,     0,     0,     0,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,     0,     0,
     263,     0,   264,   265,   266,   267,     0,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,     0,     0,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,     0,   326,   327,   328,     0,     0,   330,     0,   331,
     332,     0,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,     0,     0,     0,   346,
     347,     0,   348,   349,   350,   351,   352,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   368,   369,   370,   371,     0,     0,
       0,     0,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,     0,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,     0,     0,     0,   412,   413,   414,     0,     0,
     416,   417,     0,   419,     0,     0,   421,     0,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,     0,     0,   435,     0,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,     0,   447,
     448,     0,   450,     0,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,     0,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,     0,
     485,   486,   487,   488,   489,     0,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,     0,   508,   509,     0,   511,   512,
       0,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,     0,   529,     0,   530,
     531,     0,   532,     0,   534,   535,   536,   537,   538,     0,
     539,     0,     0,     0,     0,   542,   543,     0,   545,     0,
       0,   547,   548,   549,   550,   551,   552,   553,     0,     0,
     554,   555,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,     0,     0,     0,   566,     0,   568,   569,   570,
     571,     0,     0,   572,     0,     0,   573,   574,   575,   576,
     577,   578,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   590,   591,   592
};

static const yytype_int16 yycheck[] =
{
       6,   204,     0,   612,   612,     0,   913,   204,   628,   182,
      52,  1154,     0,    37,   741,   742,   743,    23,  1111,    25,
     747,    22,   843,    29,   794,   944,    21,    28,  1562,    35,
      36,    37,   940,    39,   929,   792,    42,    43,  1436,    45,
    1081,    47,   914,    13,   854,  1481,   671,   938,   816,  2868,
     190,  1026,     6,  2709,  2509,  1215,    45,  1474,  2581,    46,
     801,   817,   209,  1720,  1084,  1069,  1070,  1487,  2403,     0,
    1971,   880,   697,  1178,  2918,  1079,   223,  2522,   684,  3335,
    2078,  3352,   770,  1481,  3355,  3013,    23,  3324,  1498,  3610,
      21,  3270,   698,  2424,  2178,  2179,   619,   942,   866,  1990,
      37,    18,  3640,  2341,   661,  1000,  2685,  3040,     0,  1004,
     707,  1799,  3259,   697,  1009,  1624,  3640,  3067,  3636,  3069,
    3555,  4178,  2800,  3873,  1019,  3692,     0,   184,  3929,    21,
    3584,   823,  3917,  3590,  1015,  3912,  3411,  3728,  1033,  3305,
     169,  4581,  2892,  4415,  4539,   661,     0,   670,  2034,    51,
    1031,  1413,     0,  2143,  1811,     0,     0,  1067,  1068,   199,
      52,  1465,     0,  4423,     0,  1585,  3916,   207,  1078,   682,
     210,   702,   685,    36,   184,  4686,     8,     0,     0,   947,
      43,  1591,  1592,    15,   190,   191,   192,   193,     0,   195,
       0,  2111,   708,   199,  2145,   201,    42,  4366,   204,     0,
       5,   207,  2122,  3322,   210,     0,     0,   213,     0,   215,
    4601,  4762,   218,  1901,   840,     5,   222,  1360,   224,     0,
    2927,  1525,  3518,     0,   864,   840,  4727,     9,   913,   218,
    3589,  4555,  3591,  4557,     5,  3981,   921,     0,  1542,     5,
     797,  1245,  1246,  4065,    57,  4414,   931,     5,  1622,  1623,
    4641,    35,     5,    49,    29,  1275,  4965,    42,     5,  4648,
    4649,  1265,    87,     5,   904,     5,   993,     5,    57,   909,
       5,    13,    14,   138,  2512,    13,    14,     0,    13,    14,
     163,   797,    26,     5,  4939,   163,     9,     5,  1428,  2468,
    1100,  2470,   184,    42,   114,  2474,     5,  2476,  2477,    79,
       5,     5,     0,    26,     5,   821,  2485,  2486,  2487,    57,
     170,     9,    32,   164,   114,     6,   163,    11,   834,    74,
      57,  4842,  4843,   163,  1234,  1235,   175,    29,    26,    84,
       4,   956,   158,    57,    11,     9,     3,     4,     5,  3930,
       9,   269,     9,   119,   112,  1154,   112,   187,   269,   252,
    1158,  1261,  1040,   264,     5,     4,   981,   107,   120,   289,
       9,  4013,  4014,    40,  4016,  4017,  4018,  4019,  4020,   163,
     144,   996,   144,    57,    57,    70,   255,   304,   289,   264,
      62,   757,   163,   340,   112,  2623,   163,  2625,   270,   289,
     357,   211,   165,   187,    57,    72,   164,   163,   114,    38,
     163,   112,  1377,   252,   289,    39,   187,   358,    11,    39,
     187,    32,   153,    22,   386,    57,    57,    74,   340,    28,
     398,    26,   141,    11,   187,    57,   335,    84,    33,   179,
     285,   628,  5141,    11,   254,   324,  1355,    40,   442,   254,
     163,    86,   159,    26,   259,   112,   311,   437,   163,   908,
      33,    26,  1343,    72,  1146,   440,  4728,   163,    33,   463,
     431,   466,    40,   440,   187,   163,  4967,   926,  4859,    72,
     929,   269,   187,   477,   479,    22,   193,  5132,   463,   626,
      26,    74,   679,   128,   225,   632,   463,   255,  4812,   187,
     240,   481,   312,   243,    72,   310,   481,   419,   645,   190,
      74,   117,   357,   481,   329,   477,   225,  1548,   199,   398,
      74,   420,  1118,  1201,   481,   398,   207,   330,    84,   210,
     477,   163,   131,    74,   145,   266,   477,  1295,   252,   724,
     725,   726,  1341,   306,   729,   730,   731,  1346,  1347,   206,
     419,   330,   918,   259,   739,   163,   185,   477,   259,   477,
     477,  1360,   327,   163,   475,  1323,   459,  1476,   479,  1156,
     117,   228,   324,   445,  5273,   340,   477,   342,  1413,   163,
     252,   117,   267,  1198,    26,   133,   425,   477,  1184,  1136,
     180,  3728,   330,   466,   131,   201,   360,    11,   360,  1397,
     163,  4680,   477,   330,  1200,   187,   479,   145,   348,  5039,
     440,   607,  1294,   481,    11,  3752,   330,   613,   259,   615,
    1216,   617,   477,   619,   612,   621,    40,   612,  1758,  5130,
    1136,   481,   628,   423,   612,   327,   477,   633,   403,   635,
     477,   411,   398,   357,   374,   375,   642,   442,  1154,  5140,
    5349,   426,   386,   398,  1453,   421,   330,   330,    72,   398,
    1531,   477,  4087,   421,  1463,   201,   481,  4114,   463,   430,
     666,   481,  1557,  1220,   670,  1560,   708,   330,   481,   675,
     843,  4125,   477,   679,  5195,  4129,   682,   426,   398,   685,
    4502,   477,  5071,   712,   442,  4957,   480,   477,  3925,   330,
    5345,   608,   481,   477,   476,   701,  1568,  1578,   330,   480,
     466,  2075,   344,   480,  1220,   463,   477,  5416,   458,  1401,
    3643,  4457,   707,   479,  1622,  1623,  1624,   480,  3884,   477,
     612,   722,  2960,   724,   477,   726,  5277,  3906,   475,  1620,
     477,   732,   479,   481,  4030,   477,   706,  3415,   466,   477,
    1549,   398,   477,  1552,  1553,   468,   469,   753,  5457,   383,
     756,   757,   758,   383,  4113,   477,  4115,   480,  4847,   477,
    3926,   964,   367,  5264,   753,   771,  1451,   964,   477,  1395,
     468,   469,   477,   477,   831,   481,   477,   708,  4835,   473,
    1395,  1338,   480,  3930,   367,   791,   792,    22,   794,   795,
     432,   440,   367,   799,   468,   469,   473,   481,   481,   468,
     469,   468,   469,   419,   350,   398,    25,   813,  1629,   949,
     357,   817,  1905,  5204,   463,   707,   708,   823,   481,   468,
     469,   831,  1338,  3158,   398,  4477,  5217,  1512,   817,   835,
    1346,  1347,   398,  1473,   398,   833,  1941,  1368,   833,  2259,
     481,   847,   294,  4410,  1360,   833,  2930,   398,  2932,   481,
    5351,  3296,  5176,  3972,  2290,  1948,   475,   863,   847,   477,
     479,    22,   419,  1867,  5136,   106,  1959,   470,   471,   472,
     473,   481,   419,   419,   863,   881,   105,   477,   436,  5139,
     886,   887,   470,   471,   472,   473,  1526,   481,   436,   481,
    1515,    20,  1387,   756,   757,   758,   131,    22,   175,  1519,
     352,  3834,   833,  1543,   736,  3833,   105,  2897,   481,   207,
    1755,   917,   918,   270,  5415,  5355,  5356,  2337,   163,   275,
     960,  3628,   824,  1732,   105,   117,   966,     5,  2190,   969,
    5321,   191,  1842,  1843,   940,   941,   105,  5448,   390,   831,
     392,   833,  2011,   949,  5113,    81,   165,  2898,  2457,   795,
     191,  5040,   112,   799,   960,     3,  5045,     5,   964,   833,
     966,  2881,    49,   969,  1159,   252,  5135,  1162,  4718,  1164,
     131,  1166,    27,  1168,   240,   666,  2280,  1172,   984,   833,
       5,   105,   856,   172,   675,   833,  2872,   123,   833,   833,
    5385,   682,    95,  5265,   685,   833,   107,   833,  3236,  3237,
    1006,    34,  3752,  4672,   117,   163,   131,  1013,  1014,   201,
     833,   833,     5,  4537,  5274,   144,   103,    66,    22,  5459,
    3015,   833,   105,   833,  3952,  5289,  4617,  2561,   117,  1035,
    1036,  1037,   833,  1039,    26,  1041,  1042,  1043,   833,  4577,
       5,   833,   131,    81,   468,   469,   470,   471,   472,   473,
     285,  3895,    24,  4577,   917,   918,  3235,   342,  4493,   107,
    2203,   468,   469,   470,   471,   472,   473,    47,   179,   172,
    1989,   385,   421,    45,   275,   160,   398,   264,   179,   112,
     756,  1808,   348,  4540,   264,   123,     3,   306,   201,   324,
    4544,  3329,     3,   142,   254,  4549,   164,  5357,  4552,    81,
    1725,  5361,   289,   344,   105,  1111,   420,  1113,  1114,   289,
     275,   160,  2031,   200,     3,    22,    22,  1742,   403,   309,
     477,    28,   357,   342,   285,   481,   386,   131,   477,   240,
    1047,   179,   243,  2174,   126,  1760,    22,  4922,   425,   240,
    1146,   123,    28,  1835,   385,   386,   335,   202,   425,   252,
     344,   287,  1158,   398,  5414,   354,  4412,   386,  2077,   481,
     285,  1156,  2579,   324,  4435,   252,    83,  2075,  4405,  1158,
    5434,  4921,  1178,  1179,  4959,  3259,  4977,  1183,  4955,  1185,
    4455,   259,   401,   481,   344,    66,  1956,  1957,   407,   424,
       8,  1816,   240,    11,    83,   243,   357,  2042,  5458,   324,
    1206,   112,   182,    84,  1829,   386,  1212,   187,  4958,  1215,
     299,   340,  1218,  5270,  5271,  4739,  1841,   386,  5478,   136,
     288,  5481,    40,    91,   131,   131,  1232,   419,  1853,    47,
     202,   360,   357,  4399,   259,  4904,   477,   348,  4762,  4172,
     398,   917,   275,   111,   224,   131,   135,   348,   117,   287,
     215,   252,  1294,   302,    72,   391,  1262,  1841,   949,   346,
    2028,   142,   386,  4213,  1156,  3349,   259,  1873,   168,   960,
    2178,   158,  1897,  1898,  3269,   966,   193,   145,   969,   160,
     481,  1887,   386,   477,  1290,  1291,  1292,   477,  1294,   145,
     477,   141,   395,   406,  1900,   363,  1988,   477,  1990,    84,
     348,  3979,   234,   386,  1996,   287,   419,  1830,  1314,   157,
    2002,  2003,  2004,   478,  1898,  4833,   481,    81,  1915,   316,
    2012,  2013,  1519,  1380,  1381,  2017,  1383,   112,   228,  1161,
     175,  1163,   201,  1165,  1363,  1167,  1228,  1169,  1170,  1171,
    4775,    58,   231,   254,  1176,  2190,  1352,   458,   259,    66,
    1041,  1042,  1043,   391,  4808,   205,  1248,  1870,   114,   123,
    5417,   258,  1971,  1971,   182,   414,   477,   273,   158,   187,
    1380,  1381,  1885,  1383,   291,  1888,  1382,  1908,   285,   169,
    1386,  1387,   362,   357,   357,    91,  2156,  1279,   317,  2009,
     115,  1397,  1398,  1399,  4961,  1401,   285,   187,   174,   285,
    1916,   124,  1294,  2865,   153,    26,   224,   252,  1397,   391,
     458,   134,  2037,   301,  3412,   112,  1947,   324,  3941,  1425,
    1951,   302,   328,   329,  1955,   275,  4861,  1958,   273,  4008,
      81,  4866,  4867,   466,     5,   114,   433,  1950,   324,   326,
    1953,  1954,   475,    36,   477,   478,   479,    66,   481,   297,
     357,   357,   320,   271,  1460,   211,  2918,   389,   183,  1465,
     165,   165,  1468,   169,    63,    64,   106,   364,  2375,   254,
    4617,   357,   123,  4729,  1480,  1481,   225,  2322,   301,   284,
    4717,   350,   350,   180,  1490,   417,  5010,  1493,  1380,  1381,
     390,  1383,   392,   112,   350,   412,    83,   426,   254,  2365,
     389,  2346,   391,   420,   610,   126,   423,   481,   481,   166,
     442,   228,   400,  1519,   275,  1521,  2011,   417,   386,  1525,
     155,  5042,  5043,   287,  2019,  4704,  3861,  2620,   121,   175,
     386,  1448,   211,   414,   115,   311,  1542,   124,  1544,  2420,
     104,  1547,   116,   333,   362,   477,    66,   134,   167,  2457,
     419,   191,    72,   112,   115,   443,   312,   254,   342,   427,
    2405,  3896,   285,   413,    84,   341,   271,   271,   237,   155,
    2379,   427,   440,  2439,  3905,   254,  1582,   400,  2387,  3470,
     425,  2390,   217,   284,   440,   285,   347,  1593,  1594,  1595,
    1596,  1597,   112,  1582,   114,   463,  2112,   116,   704,  2355,
    2356,   324,   183,  2359,  2289,  1611,   252,   463,  3142,   477,
     366,   114,  5150,  3030,  5138,  2240,  1622,  1623,  1624,   403,
     443,   477,   183,   431,   324,  4614,  5150,   391,   442,  2254,
    2451,  2452,  2453,   312,   208,   254,   287,  2518,  2133,   285,
     259,  3820,   284,   461,  3728,  3824,  3825,   167,  3827,   463,
     468,   469,   470,   471,   472,   473,   357,   357,  2503,  1533,
    2541,  2542,  2543,  2544,  1538,   251,   166,  4656,  3752,   477,
    2295,   376,  2553,  2196,   238,   195,   104,   241,   324,  1882,
     786,  2287,   339,   302,  1881,  1882,  1826,  2203,   345,   208,
    2375,   141,   195,   284,   421,   352,   213,  2578,   285,   318,
     398,  2770,  2771,   153,   344,  3606,  2775,  3216,   158,   214,
    4966,  3399,    11,  3222,  1720,   357,  1722,   340,   126,   342,
     128,     0,   234,  2408,   283,  3963,   400,  3965,  1734,  1735,
     387,   159,  1606,   320,   254,   252,  1610,   324,  4975,   259,
     391,  4674,  3162,  2812,  2813,   385,   386,    29,  1754,   252,
     477,   254,   409,  5277,   145,   205,  2441,  4936,   350,   324,
     213,  2517,   112,    13,    14,   193,   357,  1773,   466,   443,
     357,    53,  4938,    72,  4953,   225,   326,   477,   234,   425,
     403,   479,   302,  1789,  1790,  1791,  1792,   312,   126,   141,
     128,   350,   357,  5314,   386,   414,  1802,  1533,   318,   252,
     325,   153,  1538,  1809,    26,  1811,   158,   307,   158,   164,
     238,   478,  2009,   241,   481,  4471,   266,  1823,   292,  4998,
    1826,   273,  5360,  4751,  1830,   275,   442,   386,   353,  1835,
    5354,  1871,   344,   285,  1777,   427,  5360,   421,  2361,   339,
     143,     8,   197,   360,  2571,  2537,  3930,   463,    15,    16,
      17,   340,   352,   205,   328,    77,   264,   212,  1801,   312,
    2965,   477,   324,    85,  1870,  1871,  2675,   222,   427,  2494,
    1606,   440,   324,   225,  1610,  1881,  1882,   389,  5134,  1885,
    5151,   440,  1888,   357,   440,   477,   189,   387,   344,   165,
     440,   113,   400,   477,   414,   357,  5133,   386,   285,  1905,
    1906,  2593,   419,  4853,   463,   417,  1912,   360,  1914,   340,
    4365,    24,   481,   463,   266,  4571,   254,  4573,   477,  1925,
    1915,  3331,   198,   275,  5462,   481,   264,   480,  4747,   285,
     442,   481,    45,   389,  2938,  1941,  5115,   324,  5462,  4384,
     187,   372,  1948,   328,  1950,   167,  2791,  1953,  1954,  4404,
    1956,  1957,  2797,  1959,   285,  4193,  4194,  1981,   180,   350,
    1966,   417,   168,   413,   320,   477,   419,  1973,   324,    32,
     192,   440,   357,  1971,  1980,  1981,  1971,  1966,  1984,   334,
     432,   285,  1988,  1971,  1990,  1916,   442,  3644,  4216,  1995,
    1996,   285,   234,   324,  4222,   386,  2002,  2003,  2004,   285,
     477,   357,  2008,  2009,  2010,  2011,  2012,  2013,  2014,  2015,
    5266,  2017,   481,  2019,  2020,  2703,  2704,  2023,   158,  4354,
     324,   477,   228,  1915,   481,   475,   357,  2584,   478,   479,
     324,   237,  2038,  2039,  2040,  2041,   427,   329,   324,  2045,
    2046,   181,  2245,  1980,  2050,   292,  2867,  2053,  2245,   440,
    2056,  2057,  2058,  2059,  2060,  2061,  2062,  2063,  2064,   285,
    2066,   413,  4990,   357,  2873,   357,  2072,  2073,  2584,  2075,
    1987,   357,   463,   237,  2699,   304,  2082,   324,  5257,  1971,
    2772,   328,  2639,  4902,     4,   158,   477,   285,   403,     9,
     254,  2716,  2784,   316,  5350,  1927,  2236,  1929,   324,  1931,
    4944,  1933,   344,  1935,   271,  2111,  2731,  1939,   181,   168,
     357,  3490,  2118,  5279,  5047,   153,  2122,  2123,  2928,  3581,
     158,   316,  3584,  2639,  2816,  1526,   324,  2133,   351,  2870,
     328,   357,  1823,   340,   341,  1826,  2142,  2143,   158,  2286,
    3519,  2672,  1543,   328,  3016,   440,  4325,   389,  4327,  4328,
    2156,   373,  4331,   153,   376,  2047,   351,  2163,   158,   357,
      43,   181,  2854,   386,  5343,  3699,    30,    31,   463,   228,
    3042,    22,   357,   263,   250,   417,   361,    28,  3640,  1870,
    1871,  2205,    65,  2207,   390,  2116,   392,   225,   255,   256,
    2196,   386,   268,   440,  1885,    30,    31,  1888,   114,  2205,
     442,  2207,  2203,  2243,    74,  3310,  2246,  2247,  2828,   433,
     433,   417,    74,  4576,    84,  3320,   463,  2364,  2224,  3907,
    4583,   283,    84,   478,   347,   225,   481,    91,   266,   472,
    2236,  5410,  2238,  2239,   477,   477,   479,  2243,   433,  2245,
    2246,  2247,   158,  2249,   475,  2251,     4,   111,   479,  2255,
    4585,     9,  2258,   126,  3690,   128,  3676,   316,   478,  1950,
     472,   481,  1953,  1954,    84,   477,   266,   479,  5201,  2258,
     478,  3928,   269,   481,  2280,  2770,  2771,   274,   151,   195,
    2775,   145,   478,   350,  2290,   481,   215,  3697,   350,  3699,
    3450,  2438,  2298,  2299,  5460,   340,   341,   464,   465,   466,
    2306,   468,   469,   470,   471,   472,   473,     5,  3216,  2315,
     476,   476,  3732,    11,  3222,   481,   481,  2812,  2813,   386,
       4,    19,   477,   269,   386,     9,   239,  3302,   274,  2335,
     477,   390,  3017,   392,  2340,  2341,   252,   475,   254,   477,
      38,   479,  5161,   234,   340,   341,  2952,  2953,   168,  2355,
    2356,  3371,  3372,  2359,   403,  2361,  2362,  2873,   417,   403,
     427,  2986,   126,   326,   128,   427,  2355,  2356,  3263,   347,
    2359,   191,   904,   440,   433,  3256,   237,   909,   440,  2385,
    3005,   254,  2388,  5316,   237,   478,   259,   151,   481,    88,
     478,   264,  4893,   481,  4895,   234,   463,   478,  4899,  4900,
     481,   463,   191,  2409,  2410,   340,   341,  3092,   228,  2783,
     477,  2785,  2786,  3258,   478,   477,   239,   481,  2424,  2021,
    2426,  2427,  2024,   478,  2955,  2982,   481,   181,  3497,  3498,
    3499,  3500,   403,  3895,  3503,  3504,  3505,  3506,  3507,  3508,
    3509,  3510,  3511,  3512,     3,   478,    80,  4948,   481,  2455,
    2456,  2457,    35,   344,   274,  2461,   320,  4695,  4981,  3304,
     478,  2467,   478,   481,    23,   481,  2982,   478,  5401,  2475,
     481,    54,  2478,   478,   433,  3100,   481,  3102,  2484,   478,
     478,  4660,   481,   481,    53,   478,   350,  2493,   481,  2495,
    3559,  3560,   347,   478,   234,   259,   481,   390,   389,   392,
     264,  4836,    49,  2509,  3110,   344,  2512,   215,  2514,  3919,
    4845,  2517,   390,   234,   392,  2521,  3914,  3934,  2524,  5171,
    5172,   104,   386,  3129,    83,   477,   417,   479,  2517,   477,
    2536,  2537,   405,  4617,  5295,  5296,  3641,  3642,  5194,     9,
     478,   478,   415,   481,   481,  2236,    93,   475,  2554,   477,
     389,   442,  2243,  2523,  5373,  2246,  2247,   390,  2564,   392,
    2566,   478,  3289,   427,   481,  2563,  3191,   431,   477,   269,
     390,   118,   392,  2713,   344,    53,   440,   136,   417,   481,
      80,   478,     8,   403,   481,    11,   477,  2593,   135,    15,
      16,    17,   139,     8,   414,   477,    11,   417,    43,   463,
      15,    16,    17,   442,   344,  3230,  5425,   190,   433,  2609,
    2610,  2611,   159,   477,  2620,   162,  2622,  2623,  2624,  2625,
    3539,  3625,   478,   344,   478,   481,   478,   481,   187,   481,
     177,  2828,   478,   431,   193,   481,     8,   478,   477,    11,
     481,   405,   460,    15,    16,    17,   440,  2653,   442,   389,
    3459,   415,    92,   211,  2652,   238,  2662,  4741,   241,   478,
      32,   234,   481,  4125,    35,   479,   272,  4129,   389,   252,
     478,  2563,  5491,   481,  3280,   272,  3282,   417,  3434,  2719,
     269,   478,  2722,    54,   481,  2725,   478,  3532,   478,   481,
     478,   481,   158,   481,  4228,  2892,   417,     8,   269,    43,
      11,   284,   442,  3328,    15,    16,    17,  2713,  3265,  3600,
    3267,   478,   259,  2719,   481,   478,  2722,   478,   481,  2725,
     481,   442,   478,   478,   164,   481,   481,   477,  2734,   479,
    2772,   478,   291,   104,   481,   460,  2742,   477,  3363,   478,
     478,  2747,   481,   481,   478,   478,   329,   481,   481,  3265,
     478,  3267,   478,   481,   272,   481,   477,   197,   460,   478,
    2652,   187,   481,   310,  2770,  2771,  2772,   478,   351,  2775,
     481,   344,   212,   211,  2816,  4211,   335,  2783,  2784,  2785,
    2786,   470,   222,   209,  3853,   390,   478,   392,   371,   481,
    2796,  3348,   162,  2799,   209,  2801,   167,   477,   481,   478,
    3492,  5256,   481,  3698,   478,   478,  2812,  2813,   248,   478,
    2816,   478,   481,    53,   481,   478,   389,   478,   481,   190,
     481,   440,  2828,   442,  2830,   384,  2832,  3595,  2834,   269,
     478,   163,  3348,   481,  3526,    92,   478,   209,   478,   481,
     440,   481,   442,  3449,   417,   271,   478,   207,  2854,   481,
    3475,   478,  2858,   412,   481,   350,   271,   478,  3668,  2865,
     481,   420,   478,   478,   423,   481,   481,   238,   477,   442,
     241,  3496,  2859,  2860,  2861,  2881,   478,   234,   480,  3571,
    2772,   252,  3727,  2889,  3729,   478,   478,   478,   481,   481,
     481,   386,  3423,   477,   334,   478,  3521,     3,  2904,   271,
     478,   444,   478,   481,   477,   481,  3751,   164,   478,   477,
     480,  2865,  2918,   284,  2920,   478,   478,   477,   481,   481,
       8,   324,   479,    11,  2816,  3770,   187,    15,    16,    17,
    3555,   837,   427,   839,   478,  3830,  3808,   481,   146,   478,
     197,  2833,   481,  3752,    32,   440,   478,   478,   478,   481,
     481,   481,  2958,   478,  2960,   212,   481,  2849,   329,  2965,
     271,   477,   234,   478,  2918,   222,   481,   478,   463,   478,
     481,   478,   481,  2865,   481,     0,   478,    83,   479,   481,
     351,   421,   477,  4130,   146,  4132,  2992,   344,  2994,  2995,
    2996,   248,   269,   478,   187,  3816,   481,  3606,  3606,   324,
     371,   269,  3497,  3498,  3499,  3500,   146,   141,  3503,  3504,
    3505,  3506,  3507,  3508,  3509,  3510,  3511,  3512,   478,   153,
     478,   481,  2713,   481,   158,   146,  2918,   478,  2719,   135,
     481,  2722,   389,   187,  2725,  3530,  4077,   269,   464,   465,
     466,   158,   468,   469,   470,   471,   472,   473,   324,   464,
     465,   466,   146,   468,   469,   470,   471,   472,   473,   223,
     417,   114,  3259,   421,  3559,  3560,    91,   478,  3987,   269,
     481,   205,   344,   478,   239,  4537,   481,   334,   478,   403,
     478,   481,  4544,   481,   477,   442,   478,  4549,   263,   481,
    4552,   225,   464,   465,   466,   433,   468,   469,   470,   471,
     472,   473,  3108,   478,   478,   347,   481,   481,   158,   478,
     215,    66,   254,    35,   141,  4577,   141,   389,   254,   256,
     477,   209,   444,   477,   269,   231,   153,   158,   153,   254,
      43,   158,   266,   158,    43,   254,   254,   408,   163,    83,
     433,   275,   285,   433,   169,   417,   158,   172,   305,   146,
     146,   176,   146,   464,   465,   466,   477,   468,   469,   470,
     471,   472,   473,   430,   477,   298,   146,   477,    34,   477,
     442,   444,   146,   146,  2865,   481,   146,   146,   205,   285,
     205,   146,   146,   271,   146,  3994,   292,   146,     8,   146,
     158,    11,   146,   146,   146,    15,    16,    17,   225,   146,
     225,   269,   386,   207,    35,   477,   223,   477,   158,   158,
    3216,   269,    32,   350,   477,     5,  3222,     5,   324,   477,
     158,   477,   328,  4142,   477,  3231,   477,  2918,   477,   477,
    3236,  3237,   477,   477,     5,     5,   477,     5,   477,   266,
     477,   266,   477,   477,   269,     5,   477,   477,   275,   386,
     275,   357,   477,   477,   477,     8,   477,  3882,    11,   477,
     477,   477,    15,    16,    17,  3271,  3272,  3273,   477,  4374,
     477,   477,  3878,  3879,   477,   477,   281,  4739,   441,   413,
     207,    35,  3288,   389,   481,   391,   481,    40,     8,    95,
     427,    11,   223,    35,    47,    15,    16,    17,   481,   158,
    4762,   158,   398,   440,  3310,  3311,   331,    62,   266,   398,
     344,   398,    32,   264,  3320,  3321,  3322,   432,   398,    72,
    3326,   344,   398,  3329,   479,  4723,   463,   398,   344,   225,
     328,   398,  3338,   398,   440,   466,  3334,   398,    84,   146,
     477,   478,   344,   480,     8,   269,  4808,    11,   269,  3338,
     349,    15,    16,    17,   398,   220,   398,   259,  3853,   398,
     420,   386,   269,  3361,   289,   389,  3408,   264,   269,   340,
     477,  4063,   398,   477,    35,   180,   464,   465,   466,   398,
     468,   469,   470,   471,   472,   473,   413,    84,   413,   209,
     481,   285,   187,    54,  3567,   146,   269,  3403,   398,   421,
    4157,   421,  3408,   398,   386,  3411,   398,   386,   398,   398,
     106,  4220,   437,   398,   439,   440,   269,   398,    53,    53,
    4489,   398,   398,   398,   245,   273,   398,   344,  3434,   182,
     309,   398,   398,   389,   187,   398,    42,   398,   398,   289,
    4335,  3447,  3334,   104,  3450,  3434,   289,    42,   481,   344,
     475,   271,   398,   478,   479,   480,   398,  3988,  3989,  3990,
    3991,  3992,  4087,   398,   398,   398,  3472,   478,   398,  3361,
     209,   224,   482,   269,   209,  3481,   209,   209,   269,   209,
     209,  3487,  4944,  3489,   269,   269,  3492,   209,   209,   209,
     209,  3497,  3498,  3499,  3500,   398,   444,  3503,  3504,  3505,
    3506,  3507,  3508,  3509,  3510,  3511,  3512,    35,   408,   146,
    3516,  3517,    24,   269,   146,   112,  3408,   254,   271,   146,
    3526,   440,   421,  3565,  3530,   146,  4434,   432,  3534,   190,
    4150,  3728,  4451,   146,   477,   269,  3542,   231,   264,  3545,
     254,  3547,  3584,   254,   254,   209,    35,   158,  5010,   477,
    3556,   271,    35,  3559,  3560,  3752,   215,   477,  3564,  3565,
     346,   477,    34,  3569,   396,  3571,  4191,   396,   398,   475,
     398,  4066,  3578,  3579,  3580,  3581,   398,   238,  3584,  3585,
     241,   398,   475,  3589,  3590,  3591,  3573,  3574,  3575,  3576,
    3596,   252,   477,   146,   146,   421,   146,   421,   146,   146,
     357,     8,  4208,   263,    11,  4230,   398,   271,  3606,   362,
     258,  3606,   163,   436,   477,  3621,   245,   245,  3606,    11,
     481,   396,  4117,   284,   398,   477,  4251,  3581,  4355,   172,
    3584,   477,   154,    40,  3640,  3641,  3642,   163,  3644,   400,
      47,   481,   478,   180,   464,   465,   466,   180,   468,   469,
     470,   471,   472,   473,   481,  3661,  3662,  3663,  3664,   205,
     360,   270,   481,   421,   213,    72,    35,    53,   329,   478,
     278,   344,   421,  3565,   477,   213,  5138,   213,   259,  4285,
     259,   398,   398,   398,  3690,   239,  3640,   158,  5150,  3581,
     351,  4316,  3584,   433,   477,   403,   347,  4389,   215,   259,
     148,   269,    43,  3709,  5238,  4774,   148,   223,   461,   366,
     371,   464,   465,   466,  3606,   468,   469,   470,   471,   472,
     473,   223,   254,   223,   340,   269,   398,   389,   269,   481,
     148,   148,   139,  3930,   324,   181,   354,   312,    35,   209,
     398,  4846,   398,   421,   464,   465,   466,  4890,   468,   469,
     470,   471,   472,   473,   275,   478,   421,   215,  3759,   466,
     264,   146,   158,  4294,  4295,   433,  4297,    35,   308,   160,
     387,   264,   477,   146,   309,   182,  4382,   354,   477,   146,
     187,   146,   264,   421,    35,   440,     8,   254,  4881,    11,
    4883,   254,   269,   269,   215,   178,   178,   158,  3804,    35,
     464,   465,   466,   478,   468,   469,   470,   471,   472,   473,
     460,  4436,   475,   460,   348,  5277,   243,   224,    40,   158,
    4665,   215,   269,   354,   478,    47,   478,   187,   254,   478,
    3836,   187,   478,   187,   187,   187,   481,   481,   481,   444,
      23,   170,   398,  3849,   477,  3851,   163,  3853,   440,   242,
      72,   481,    53,   269,  3860,   263,   386,   433,   403,   478,
    3866,   163,   281,   478,   271,   215,   478,   477,  4493,   460,
    3876,   478,     0,   163,   478,   478,   478,   478,   290,   478,
     478,   481,   478,   477,   398,  3891,   237,   233,   477,  3895,
    3581,   477,  5354,  3584,   477,   477,   280,   477,  5360,  3905,
     462,   419,   270,    53,   270,   269,   477,   269,  3914,   272,
     437,   477,   437,   191,   146,   444,   199,   139,  3924,   398,
     398,   259,  3928,  4693,   398,  3923,   254,   146,   273,  3935,
    3936,   146,   398,   357,   349,   146,  5079,   223,   349,   349,
     148,  3895,   191,   466,  5013,   398,   421,   291,   225,  3640,
     418,    35,   146,  4150,   291,   362,   235,  3963,  4578,  3965,
     182,   481,   398,    91,   398,   187,  3972,   398,   398,   235,
      54,   235,  4793,   398,   344,   398,   398,   269,  3984,   254,
    3986,   357,  5087,  5088,   398,   344,   344,   344,    42,   398,
     478,   478,   398,   398,  4489,   398,   398,   398,   478,   209,
    5462,   175,   224,  3895,   209,   209,   209,   476,  4628,   408,
       3,   158,  4618,   141,   478,    43,  4022,   478,   326,   481,
     104,   105,   105,   478,   481,   153,   158,  4033,   112,   478,
     158,  3923,   477,    35,   146,   163,   146,   466,   158,   175,
     478,   169,   421,     8,   172,   146,    11,   421,   176,   271,
      15,    16,    17,   269,   461,   398,   476,  4063,   272,   344,
    4066,   468,   469,   470,   471,   472,   473,   354,  4074,  4075,
      35,   466,   476,   344,  4982,  4081,  4082,   205,   427,   344,
    4086,  4890,   344,   167,   344,  4091,   144,  4779,  4094,  4095,
     209,   481,   144,  4099,  4100,   209,   209,   225,   209,  4105,
    4106,  4107,  4108,  4109,   209,   209,   190,  4113,  4114,  4115,
     209,  4117,  4118,   209,   137,  4121,   163,    11,   281,  4125,
     475,   158,   432,  4129,   163,  5230,  4818,   163,   437,  4135,
     172,   478,   463,   481,   331,   270,   478,   477,   266,   408,
     362,   269,   478,   478,  4150,   478,  4170,   275,   478,   481,
    4775,  4157,   477,   477,   238,   481,   478,   241,   158,    35,
     421,   398,   421,    53,  4170,   215,   199,  4173,   252,   389,
     254,  4125,   146,   477,   373,  4129,   167,   408,   349,   344,
     398,   398,   344,   478,  4876,  4877,  5329,  4193,  4194,  4814,
     478,  5098,   398,   324,   478,   477,   398,   440,   398,    53,
     284,   389,   427,   331,  3895,  4211,   158,   148,    72,   146,
     105,   478,   408,   209,  4215,   209,   213,   209,   194,  4225,
     209,   477,   477,  4224,   269,   398,   319,   481,   478,   481,
      35,   444,  5077,  4125,   289,   267,  4861,  4129,   269,   461,
       3,  4866,  4867,   481,   209,   329,   468,   469,   470,   471,
     472,   473,   408,   477,   481,   398,   477,   354,   386,   426,
      82,     8,   169,   105,    11,   163,   478,   351,  4274,   476,
    4801,   209,     6,    53,   163,   281,   212,   438,   438,  4774,
     478,  4812,   477,   212,   477,   413,   478,   371,   478,   373,
    4296,   477,   376,    40,   481,   279,   478,   478,   388,   477,
      47,   276,    53,  4798,   176,  4311,   271,   264,   478,   437,
     408,   439,   440,   398,   163,  5007,   440,  5044,    72,  5388,
    5389,   188,   193,   181,   259,    72,   259,   466,    53,   389,
     481,   398,  5024,   481,    66,  5180,  5028,  4343,  5030,   398,
     146,   398,   119,   209,   478,   165,   163,   475,   477,    35,
     478,   479,   480,  4359,  4885,   112,   421,   187,  4983,  4365,
     264,   477,  4878,    35,   354,   421,   254,   160,  4374,   158,
     440,   354,   264,    53,  4890,    78,   389,   440,    35,   163,
     158,  4578,   269,  4389,   196,   477,   466,   272,   207,   163,
     477,   477,   139,   477,   212,   477,  4402,   426,  4404,   370,
     478,   478,   477,  4401,   477,   289,   478,   269,   318,   439,
     478,   477,   398,    35,   158,   146,   398,    35,   259,   191,
    4617,  5041,   236,   354,   477,  4628,   477,   146,   477,   477,
     105,  4628,  4438,   477,  4125,   182,   477,   477,  4129,   477,
     187,   132,    35,   478,  4450,   273,   408,   368,   436,  4455,
    4448,  4449,   478,   368,   478,    84,   190,   127,    53,    35,
      75,   477,   477,   477,   481,   199,   200,   477,   477,   389,
     180,   421,   389,   207,   158,   209,   210,   224,   477,   252,
     389,   269,     5,  4489,   152,   444,   145,    66,   341,   223,
    5021,   478,   477,   341,    66,   127,   477,   272,   440,   464,
     465,   466,   425,   468,   469,   470,   471,   472,   473,  4401,
     440,   477,  4518,  4519,   426,   426,  4522,   477,  5013,    35,
     481,   163,   259,   315,   271,   132,   389,   193,   269,   269,
     477,  4537,    35,   354,  4540,    35,   272,   272,  4544,   188,
     165,   165,   357,  4549,   478,   477,  4552,  4553,    53,  4555,
     477,  4557,   398,  4559,  4560,   481,  4448,  4449,  5183,   437,
     478,   340,   117,  5079,   377,   478,     5,     8,  5413,   419,
      11,  4577,  4578,  4579,  4580,  4581,   477,   142,   354,   340,
     276,   477,   325,  4537,   477,    21,   477,  4627,    32,   145,
    4544,   477,   259,   163,   398,  4549,   277,    75,  4552,    40,
     481,   481,   340,   368,   368,   440,    47,   440,   477,   872,
     833,   165,   165,  2521,  2873,   362,  1609,  2408,  2330,  1347,
    3042,  4627,  4628,  4577,  3701,  3727,  5221,  2433,  2491,  4668,
    4670,    72,  5477,  3250,  5077,  5329,  3876,  4723,  4345,  4692,
    2959,  2662,  5200,  4577,     8,  5318,  5107,    11,  5106,  5241,
    5495,  5354,  4544,  2963,  3924,  3909,  5051,  4549,  3867,  2506,
    4552,  2506,  3722,  3068,  4670,  3892,  3300,  4673,  4359,   914,
    4383,  4699,  2500,  3312,  5283,  5283,    40,  4708,  5331,  4685,
    5495,  5477,  4688,    47,  5179,  3258,  4685,  4693,  3932,  4695,
    5254,  4630,  4864,  1768,  5060,  4633,  4702,    28,   139,  4697,
    1185,  3997,  4832,  5422,  1814,  5221,  2179,  2937,    72,  3934,
    1812,  1823,  5404,  4719,   461,  4982,   662,  4723,   695,  1974,
    1881,   468,   469,   470,   471,   472,   473,  1974,  3194,  1975,
    3751,  4737,  4738,  4739,  3304,  4567,  3770,  4735,  5283,  5465,
    1432,   182,  2123,   812,  2112,   834,   187,  1916,  1925,  4738,
    4758,  4450,  5288,  3984,  5363,  5363,  4762,  1324,  4764,  2889,
    2159,  2904,  3599,  5189,  1390,  1389,  2133,  5032,  4774,  4147,
    2158,  4777,  1392,  4779,  1367,   139,  4818,  3584,  4114,  4131,
    3581,  5010,  4809,   224,  5009,  4739,  3581,  3985,  5471,  5303,
    5392,  5179,  4798,  4777,  1846,  3534,  4563,  5193,  4804,  5192,
    2743,  2070,  4808,  2833,  5299,  4697,  4812,  2461,  4762,  2831,
      -1,  2073,  4818,  5329,    -1,    -1,    -1,    -1,   182,    -1,
      -1,  4827,    -1,   187,    -1,    -1,    -1,    -1,    -1,    -1,
     271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4844,    -1,
    4846,    -1,    -1,  4735,  5041,    -1,  4537,    -1,    -1,    -1,
      -1,    -1,    -1,  4544,  4808,    -1,  5465,  5465,  4549,    -1,
     224,  4552,  4553,    -1,    -1,  4871,    -1,    -1,    -1,    -1,
    4876,  4877,    -1,    -1,    -1,  4881,  4882,  4883,  4884,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4577,    -1,    -1,    -1,
      -1,    -1,   626,  5388,  5389,    -1,    -1,    -1,   632,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4912,   271,    -1,    -1,
      -1,   645,    -1,  4919,    -1,    -1,  4808,    -1,    -1,    -1,
      -1,   362,    -1,    -1,    -1,    -1,  4818,   661,    -1,    -1,
      -1,    -1,   666,    -1,    -1,  4941,  4627,   671,  4944,    -1,
      -1,   675,   676,    -1,    -1,    -1,    -1,    -1,   682,    -1,
     684,   685,    -1,    -1,    -1,    -1,  4954,    -1,    -1,    -1,
      -1,    -1,    -1,   697,   698,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   708,    -1,    -1,    -1,    -1,  4670,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4944,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   362,    -1,
      -1,  5007,    -1,    -1,  5010,    -1,    -1,  5013,    -1,    -1,
      -1,  5017,    -1,    -1,    -1,    -1,    -1,    -1,  5024,    -1,
     461,    -1,  5028,    -1,  5030,    -1,  5032,   468,   469,   470,
     471,   472,   473,  5039,    -1,  5041,    -1,    -1,    22,    -1,
      -1,    -1,    -1,    -1,    28,    -1,  5052,    -1,  4739,    -1,
      -1,    -1,  4944,    -1,    -1,    -1,  5010,   791,   792,    -1,
      -1,    -1,  4954,   797,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4762,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5087,  5088,    -1,    -1,    -1,    70,   821,    -1,   823,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   461,    -1,    -1,
     834,    -1,    -1,    -1,   468,   469,   470,   471,   472,   473,
      -1,    -1,  5118,    -1,    -1,    -1,    -1,  4808,    -1,  5125,
      -1,    -1,    -1,  5129,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5138,    -1,    -1,    -1,   120,    -1,    -1,    -1,
     124,    -1,    -1,    -1,  5150,    -1,     8,   131,    -1,    11,
     134,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5159,    -1,    -1,  5170,  5171,  5172,    -1,  5208,    -1,
    5176,    -1,    -1,  5179,    -1,   159,    -1,    -1,    40,    -1,
      -1,    -1,    -1,  5189,  5138,    47,  5192,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5150,    -1,    -1,    -1,
      -1,    -1,  5208,    -1,    -1,    -1,   940,   941,   942,   193,
      72,    -1,    -1,    -1,    -1,   949,    -1,  5223,    -1,    -1,
      -1,    -1,   956,    -1,  5230,    -1,   960,    -1,  4919,    -1,
      -1,    -1,   966,    -1,    -1,   969,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5284,  5285,    -1,   981,    -1,    -1,
    5256,    -1,    -1,  4944,    -1,  5261,    -1,  5255,    -1,    -1,
      -1,  5267,   996,    -1,    -1,    -1,    -1,  5159,   252,    -1,
     254,  5277,    -1,    -1,    -1,    -1,    -1,   139,  5284,  5285,
     264,    -1,  5288,  5289,    -1,  5283,    -1,    -1,  5283,   273,
      -1,    -1,    -1,  5299,    -1,  5283,    -1,  5303,    -1,    -1,
      -1,   285,    -1,    -1,    -1,    -1,    -1,  1041,  1042,  1043,
      -1,    25,    -1,    -1,    -1,    -1,    -1,  5323,    -1,  5010,
     182,  5363,    -1,  5277,    -1,   187,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     324,    -1,    -1,   327,   328,    -1,    -1,  1081,  5354,  5355,
    5356,    -1,    -1,    -1,  5360,    -1,    -1,    -1,    -1,    -1,
      74,    -1,   224,  5255,    -1,  5363,    -1,    -1,  5363,    -1,
      -1,    -1,    -1,   357,    -1,  5363,    -1,    -1,    -1,    -1,
      -1,    -1,  5388,  5389,  1118,    -1,    -1,  1086,    -1,    -1,
      -1,  5283,   106,  5399,    -1,    -1,    -1,    -1,  5404,    -1,
    5354,    -1,  1136,    -1,    -1,    -1,  5360,  1106,    -1,   271,
      -1,    -1,  1146,    -1,    -1,   129,    -1,  1116,    -1,    -1,
    1154,  1120,    -1,    -1,    -1,  1124,   140,  1126,  5434,    -1,
      -1,    -1,    -1,  1132,    -1,    -1,    -1,    -1,  5444,  1138,
     424,    -1,  1141,    -1,    -1,    -1,   160,  5138,    -1,    -1,
    1184,   165,    -1,  5459,    -1,    -1,  5462,  5497,  5498,  5150,
      -1,    -1,    -1,    -1,  1198,  5471,  1200,  5465,    -1,  5475,
    5465,  5363,    -1,    -1,    -1,    -1,    -1,  5465,    -1,    -1,
      -1,    -1,  1216,    -1,    -1,    -1,  1220,    -1,    -1,    -1,
      -1,  5497,  5498,    -1,    -1,    -1,    -1,    -1,  1232,    -1,
     362,    -1,   216,    -1,    -1,    -1,    -1,    -1,  5462,     0,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5208,    -1,    -1,
      -1,    -1,    -1,   237,     0,    -1,    -1,    18,  1262,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    28,    -1,    30,
      31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    46,  1290,  1291,  1292,    -1,
    1294,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
    5261,    -1,    -1,  5465,    -1,    -1,    67,    -1,    69,    70,
    1314,    -1,    -1,    -1,    -1,    76,  5277,    78,    -1,    -1,
      -1,   305,   306,  5284,  5285,   309,    -1,    -1,    89,   461,
      91,    -1,    -1,    -1,  1338,    -1,   468,   469,   470,   471,
     472,   473,  1346,  1347,    -1,    91,    -1,   108,    -1,    -1,
     111,   335,    -1,    -1,   338,    -1,  1360,    -1,    -1,    -1,
     344,    -1,    -1,    -1,   125,    -1,   127,   351,    -1,    -1,
     131,    -1,    -1,    -1,    -1,    -1,   137,    -1,  1382,    -1,
      -1,    -1,  1386,  1387,   145,    -1,   147,    -1,    -1,    -1,
      -1,    -1,   153,  5354,    -1,   141,   380,  1401,    -1,  5360,
      -1,    -1,   386,  1407,    -1,   389,    -1,   153,   169,  1413,
      -1,    -1,   158,    -1,    -1,    -1,    -1,   163,    -1,    -1,
      -1,    -1,    -1,   169,   408,   186,   172,    -1,    -1,    -1,
     176,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   433,
      22,    -1,    -1,    -1,    -1,    -1,    28,    -1,    -1,   205,
      -1,    -1,    -1,    -1,    -1,   226,   227,    -1,    -1,    -1,
    1474,   232,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   225,
      -1,    -1,    -1,   244,    -1,    22,    -1,    -1,    -1,    -1,
      -1,    28,    -1,    -1,    -1,   256,    -1,    -1,    -1,    -1,
      -1,  5462,    -1,    -1,    41,    -1,    -1,    -1,    -1,    -1,
       8,  1515,    -1,    11,  5475,    -1,    -1,    15,    16,    17,
     266,    -1,    -1,   269,    -1,    -1,    -1,    -1,    -1,   275,
      -1,   292,    -1,    70,    32,    -1,  5497,  5498,    -1,   300,
      -1,    -1,    40,    -1,  1548,    -1,    -1,    -1,    -1,    47,
      -1,    -1,    -1,   314,    -1,    -1,    -1,    -1,    -1,   320,
     321,    -1,   323,    -1,    -1,    -1,    -1,   328,    -1,    -1,
      -1,    -1,   333,    -1,    72,   336,    -1,    -1,    -1,    -1,
      -1,    -1,   343,   120,    -1,   331,    -1,   124,   349,   350,
      -1,    -1,    -1,    -1,   131,    -1,   357,   134,    -1,    -1,
     361,    -1,    -1,  1607,    -1,    -1,    -1,    -1,    -1,    -1,
     371,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1622,  1623,
    1624,    -1,   159,    -1,    -1,   386,     8,    -1,    -1,    11,
      -1,    -1,    -1,    15,    16,    17,    -1,    -1,    -1,    -1,
     386,    -1,    -1,    -1,    -1,   406,    -1,    -1,    -1,    -1,
      32,    -1,    -1,    -1,    -1,   416,   193,    -1,    40,    -1,
      -1,   422,    -1,    -1,    -1,    47,   427,   413,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   440,
      -1,    -1,    -1,    -1,   182,    -1,    -1,    -1,    -1,   187,
      72,   437,    -1,   439,   440,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   463,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   209,   210,    -1,    -1,   252,   477,   254,    -1,   480,
      -1,  1725,    -1,    -1,    -1,    -1,   224,   264,    -1,   475,
      -1,    -1,   478,   479,   480,    -1,   273,    -1,  1742,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   285,    -1,
      -1,  1755,    -1,    -1,    -1,    -1,  1760,    -1,    -1,   257,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   271,    -1,  1779,   274,    -1,    -1,    -1,
      -1,    -1,    -1,  1787,    -1,    -1,    -1,   324,    -1,    -1,
     327,   328,    -1,    -1,    -1,  1799,    -1,    -1,    -1,    -1,
     182,    -1,    -1,    -1,    -1,   187,    -1,    -1,    -1,    -1,
      -1,    -1,  1816,    -1,    -1,    -1,    -1,    -1,    -1,  1823,
     357,    -1,  1826,    -1,    -1,  1829,    -1,   209,   210,    -1,
      -1,  1835,    -1,    -1,    -1,    -1,    -1,  1841,    -1,    -1,
      -1,    -1,   224,    -1,    -1,    -1,    -1,    -1,    -1,  1853,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   362,    -1,  1870,  1871,    -1,  1873,
    1874,    -1,    -1,    -1,    -1,   257,    -1,    -1,    -1,    -1,
      -1,  1885,    -1,  1887,  1888,    -1,    -1,   424,    -1,   271,
      -1,    -1,   274,  1897,  1898,    -1,  1900,  1901,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1876,    -1,    -1,
      -1,    -1,  1916,    -1,    -1,  1884,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1904,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1950,    -1,    -1,  1953,
    1954,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   461,    -1,    -1,   464,   465,   466,    -1,
     468,   469,   470,   471,   472,   473,    -1,    -1,    -1,    -1,
     362,    -1,    -1,   481,  1988,    -1,  1990,    -1,    -1,    -1,
      -1,  1995,  1996,    -1,    -1,    -1,    -1,    -1,  2002,  2003,
    2004,    -1,    -1,    -1,  2008,    -1,  2010,  2011,  2012,  2013,
    2014,  2015,    -1,  2017,    -1,  2019,  2020,    -1,    -1,  2023,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2037,  2038,  2039,  2040,  2041,  2042,    -1,
      -1,    -1,  2046,    -1,    -1,    -1,  2050,    -1,    -1,  2053,
      -1,    -1,  2056,  2057,  2058,  2059,  2060,  2061,  2062,  2063,
    2064,    -1,  2066,    -1,    -1,    -1,    -1,    -1,    -1,  2073,
      -1,  2075,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   461,
      -1,    -1,   464,   465,   466,    -1,   468,   469,   470,   471,
     472,   473,    -1,    -1,    -1,     8,    -1,    -1,    11,   481,
      -1,    -1,    15,    16,    17,    -1,    -1,    -1,  2112,    -1,
      -1,    -1,    -1,    -1,  2118,    -1,    -1,    -1,    -1,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    -1,  2133,
      -1,    -1,    -1,    -1,    47,    -1,    -1,    -1,  2142,  2143,
      -1,  2110,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     722,    -1,   724,    -1,   726,    -1,    -1,    -1,    -1,    72,
     732,   733,   734,  2167,    -1,    -1,    -1,    -1,    -1,    -1,
    2174,     3,    -1,    -1,  2178,  2179,     8,    -1,    -1,    11,
      -1,  2185,    -1,    15,    16,    17,  2190,  2191,    -1,    -1,
      -1,  2195,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2203,
      32,    -1,    -1,    35,    -1,    -1,    -1,    -1,    40,    -1,
      -1,    20,    -1,    -1,    -1,    47,    25,  2221,    -1,    -1,
    2224,    -1,   200,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   209,  2236,    -1,    -1,    -1,  2240,    -1,    -1,  2243,
      72,    -1,  2246,  2247,    -1,   223,    -1,    -1,    -1,    -1,
    2254,    60,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2267,    73,    -1,    -1,    -1,    -1,   182,
      -1,    -1,    -1,    -1,   187,    -1,    -1,    -1,    -1,    88,
      -1,    -1,  2286,  2287,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2295,    -1,    -1,    -1,    -1,   209,   210,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   880,    -1,
      -1,   224,    -1,    -1,  2318,  2319,    -1,    -1,  2322,    -1,
     129,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   140,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2344,    -1,  2346,    -1,   257,    -1,    -1,  2351,    -1,    -1,
     182,   160,    -1,  2357,    -1,   187,   165,    -1,   271,    35,
    2364,   274,    -1,    -1,  2368,    -1,    -1,    -1,    -1,  2373,
      -1,    -1,    17,    -1,    -1,    -1,    -1,   209,   210,    -1,
      56,    26,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2393,
      -1,    -1,   224,    -1,  2398,    -1,    -1,    -1,  2402,    -1,
      -1,  2405,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2415,    -1,    -1,    90,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2428,   257,    -1,    -1,   237,    22,
      -1,    -1,    -1,    -1,  2438,    28,    -1,    -1,    -1,   271,
      -1,    -1,   274,    -1,    -1,    -1,    -1,    -1,    -1,   362,
      -1,  2455,  2456,  2457,    -1,    -1,    -1,  2461,    -1,    -1,
      -1,    -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   149,    -1,    -1,    -1,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2493,
    2494,    -1,    -1,    -1,    -1,    -1,   305,   306,    -1,  2503,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   184,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   338,
     362,   124,    -1,  2537,    -1,   344,    -1,    -1,   131,   215,
      -1,   134,   351,    -1,   220,   354,    -1,    -1,   461,    -1,
      -1,   464,   465,   466,    -1,   468,   469,   470,   471,   472,
     473,    -1,    -1,    -1,    -1,   478,   159,    -1,    -1,    -1,
      -1,    -1,  2576,    -1,    -1,  2579,    -1,   386,   254,    -1,
    2584,    -1,  1154,    -1,   393,    -1,    -1,    -1,    -1,  2593,
      -1,    -1,   401,    -1,    -1,    -1,    -1,    -1,    -1,   408,
     193,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     286,    -1,    -1,    -1,    -1,    -1,   292,    -1,    -1,    -1,
    2589,    -1,    -1,    -1,   433,    -1,    -1,  2596,    -1,   461,
      -1,    -1,   464,   465,   466,  2639,   468,   469,   470,   471,
     472,   473,    -1,    -1,    -1,    -1,    -1,  2616,   626,    -1,
      -1,    -1,   328,    -1,   632,    -1,   332,  2626,    -1,   252,
    2629,   254,  2631,  2632,    -1,   341,  2635,   645,    -1,    -1,
      -1,   264,  2641,   349,  2643,    -1,    -1,  2646,    -1,  2683,
     273,   357,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   285,   369,    -1,  2699,    -1,  2701,    -1,    -1,
      -1,    -1,   378,    -1,    -1,  2709,   382,    -1,    -1,  2713,
      -1,    -1,  2716,    -1,    -1,  2719,    -1,    -1,  2722,    -1,
      -1,  2725,    -1,    -1,    -1,   401,    56,  2731,    -1,    -1,
      -1,   324,    -1,    -1,   327,   328,    -1,    -1,  2742,    -1,
      -1,    -1,  2711,  2747,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   435,
      90,    -1,    -1,   439,   357,    -1,  2770,  2771,  2772,  1341,
      -1,  2775,    -1,    -1,  1346,  1347,    -1,    -1,    -1,  2783,
    2784,  2785,  2786,    -1,    -1,    -1,    -1,  2791,  1360,    -1,
     120,    -1,  2796,  2797,    -1,  2799,    -1,  2801,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2812,  2813,
      -1,    -1,  2816,    -1,    -1,    -1,    -1,    -1,    -1,   149,
      -1,    -1,    -1,    -1,    -1,    -1,  2830,    -1,  2832,    -1,
    2834,   424,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2854,    -1,    -1,    -1,   184,     8,    -1,    -1,    11,    -1,
      -1,  2865,    15,    16,    17,    -1,    -1,    -1,    -1,  2873,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    32,
      -1,  1453,    -1,    -1,    -1,  2889,    -1,    40,    -1,    -1,
     220,  1463,    -1,    -1,    47,    -1,    -1,    -1,    -1,    -1,
    2904,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,
      -1,    11,    -1,    -1,  2918,    15,    16,    17,    -1,    72,
      -1,    -1,    -1,  2927,   254,    -1,  2930,    -1,  2932,    -1,
      -1,    22,    32,  2937,  1506,  1507,    -1,    28,    -1,    -1,
      40,    -1,    -1,    -1,    -1,    -1,    -1,    47,  2952,  2953,
      41,    -1,    -1,    -1,  2958,   285,   286,    -1,    -1,    -1,
      -1,    -1,   292,    -1,   609,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    72,    -1,    -1,  2979,    -1,  1549,  2982,    70,
    1552,  1553,  2986,    -1,    -1,    -1,    -1,    35,    -1,    -1,
      -1,    -1,    -1,    -1,   324,    -1,    -1,    -1,   328,  2968,
      -1,  3005,   332,    -1,    -1,    -1,    -1,    -1,    56,    -1,
      -1,   341,    -1,    -1,    -1,    -1,   661,   662,    -1,   349,
      -1,    -1,    -1,    -1,    -1,    -1,  3030,   357,    -1,   182,
      -1,   122,    -1,   124,   187,    -1,    -1,    -1,    -1,   369,
     131,    -1,    90,   134,    -1,    -1,    -1,    -1,   378,    -1,
      -1,    -1,   382,    -1,    -1,    -1,   209,   210,    -1,    -1,
      -1,    -1,    -1,  3067,  3068,  3069,    -1,    -1,   159,    -1,
      -1,   224,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   182,  3052,    -1,  3054,  3090,   187,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3100,    -1,  3102,    -1,
      -1,   149,   193,    -1,   257,   435,  3110,    -1,    -1,   209,
     210,    -1,    -1,    -1,   759,    -1,    -1,    -1,   271,    -1,
      -1,   274,    -1,    -1,   224,  3129,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   184,    -1,    -1,    -1,
     785,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   793,    -1,
      -1,   796,   797,   798,    -1,    -1,    -1,   257,    -1,    -1,
    1732,   252,    -1,   254,    -1,    -1,    -1,   215,    -1,    -1,
      -1,   271,   220,   264,   274,    -1,    -1,    -1,    -1,    -1,
      -1,     8,   273,    -1,    11,    -1,    -1,  3191,    15,    16,
      17,    -1,    -1,    -1,   285,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    32,   254,  3211,    -1,   362,
      -1,    -1,  3216,    40,    -1,    -1,    -1,    -1,  3222,    -1,
      47,  3190,    -1,    -1,    -1,    -1,  3230,  3196,    -1,    -1,
      -1,    -1,    -1,   324,    -1,    -1,   327,   328,   286,    -1,
      -1,    -1,    -1,    -1,   292,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3258,  3259,    -1,    -1,    -1,    -1,
      -1,  3265,   362,  3267,    -1,    -1,   357,  1839,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3280,  1849,  3282,  1851,
     328,    -1,    -1,    -1,   332,  1857,    -1,    -1,    -1,    -1,
      -1,    -1,  1864,   341,    -1,    -1,    -1,    -1,    -1,    -1,
    3304,   349,    -1,    -1,    -1,    -1,    -1,    -1,   461,   357,
      -1,   464,   465,   466,    -1,   468,   469,   470,   471,   472,
     473,   369,    -1,    -1,  3328,   478,    -1,    -1,    -1,    -1,
     378,   158,    -1,   424,   382,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3348,  3349,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   401,    -1,   182,    -1,    -1,    -1,  3363,
     187,   461,    -1,    -1,   464,   465,   466,    -1,   468,   469,
     470,   471,   472,   473,    -1,    -1,    -1,    -1,   478,    -1,
      -1,    -1,   209,   210,    -1,    -1,    -1,   435,    -1,    -1,
      -1,   439,    -1,    -1,    -1,  3399,    -1,   224,    -1,    -1,
       8,    -1,    -1,    11,    -1,    -1,    -1,    15,    16,    17,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3387,    -1,
    3389,    -1,  3391,  3427,    32,    -1,  1998,  1999,    -1,    -1,
     257,  3400,    40,  2005,  2006,    -1,    -1,    -1,    -1,    47,
      -1,    -1,    -1,    -1,   271,  3449,    -1,   274,  3452,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2033,    -1,    -1,    72,    -1,    -1,    -1,  3472,    -1,
      -1,  3475,    -1,    -1,    -1,    -1,    -1,  3481,    -1,    -1,
      -1,    -1,  3451,  3487,    -1,  3489,    -1,    -1,  3492,    -1,
      -1,  1136,  3496,  3497,  3498,  3499,  3500,    -1,    -1,  3503,
    3504,  3505,  3506,  3507,  3508,  3509,  3510,  3511,  3512,  1154,
      -1,    -1,  3516,  3517,    -1,    -1,    -1,  3521,    -1,    -1,
      -1,    -1,  3526,    -1,    -1,    -1,  3530,    -1,  3532,    -1,
    3534,    -1,    -1,    -1,    -1,   362,    -1,    -1,  3542,    -1,
      -1,  3545,    -1,  3547,    -1,  1190,    -1,    -1,    -1,    -1,
      -1,  3555,  3556,    -1,    -1,  3559,  3560,    -1,    -1,    -1,
    3564,  3565,    -1,    -1,    -1,    -1,    22,  3571,    -1,    -1,
    2142,  2143,    28,    -1,   182,  1220,    -1,  3581,    -1,   187,
    3584,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,
      -1,    11,  3596,    -1,    -1,    15,    16,    17,    -1,    -1,
      -1,   209,   210,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    32,    -1,    70,    -1,   224,  3621,    -1,    -1,
      40,    -1,    -1,    -1,  3628,    -1,    -1,    47,    -1,  1607,
      -1,  2203,    -1,    -1,   461,    -1,  3640,   464,   465,   466,
      -1,   468,   469,   470,   471,   472,   473,    -1,    -1,   257,
      -1,  1296,    72,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1305,    -1,    -1,   271,    -1,    -1,   274,  3671,   124,    -1,
      -1,    -1,    -1,    -1,  1319,   131,    -1,    -1,   134,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1338,    -1,    -1,  1341,  1342,    -1,    -1,
      -1,  1346,  1347,   159,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1360,    -1,    -1,  3722,    -1,
      -1,    -1,    22,  3727,  3728,  3729,  2298,    -1,    28,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   193,    -1,    -1,
      -1,    41,    -1,    -1,    -1,    -1,    -1,  3751,  3752,    -1,
      -1,    -1,    -1,    -1,   362,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   182,    -1,    -1,    -1,  3770,   187,    -1,    -1,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3786,    -1,    -1,  3789,    -1,    -1,    -1,   209,
     210,    -1,    -1,    -1,    -1,    -1,   252,    -1,   254,    -1,
      -1,  1779,    -1,    -1,   224,    -1,    -1,  2379,   264,  1787,
      -1,    -1,    -1,    -1,    -1,  2387,    -1,   273,  2390,    -1,
      -1,  1799,   122,    -1,   124,    -1,    -1,    -1,    -1,   285,
      -1,   131,    -1,    -1,   134,    -1,    -1,   257,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3853,
      -1,   271,    -1,   461,   274,    -1,   464,   465,   466,   159,
     468,   469,   470,   471,   472,   473,    56,    -1,   324,    -1,
     478,   327,   328,    -1,  3878,  3879,    -1,    -1,  3882,    -1,
      -1,    -1,    -1,    -1,  3888,    -1,    -1,    -1,    -1,    -1,
      -1,  3895,    -1,   193,    -1,    -1,  1874,    -1,    -1,    -1,
      90,   357,    -1,  3907,    -1,    -1,    -1,     8,    -1,    -1,
      11,    -1,    -1,    -1,    15,    16,    17,    -1,    -1,    -1,
      -1,  1566,    -1,  1901,    -1,    -1,  3930,  1572,    -1,    -1,
    3934,  3935,  3936,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      -1,    -1,   362,    -1,    -1,    -1,    47,    -1,     8,    -1,
      -1,    11,   252,    -1,   254,    15,    16,    17,    -1,   149,
      -1,    -1,    -1,    -1,   264,    -1,    -1,    -1,   424,    -1,
      -1,    72,    32,   273,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    -1,  3986,    -1,    -1,   285,    -1,    47,    -1,    -1,
      -1,    -1,    -1,  3997,   184,    -1,    -1,    -1,  3967,    -1,
      -1,    -1,  3971,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    72,    -1,    -1,    -1,    -1,    -1,  4022,    -1,
      -1,    -1,    -1,    -1,   324,    -1,    -1,   327,   328,  4033,
     220,    -1,    -1,    -1,  2606,  2607,    -1,    -1,    -1,    -1,
    2612,   461,    -1,    -1,   464,   465,   466,    -1,   468,   469,
     470,   471,   472,   473,    -1,    -1,    -1,   357,   478,  4063,
      -1,    -1,  4066,    -1,   254,    -1,    -1,    -1,    -1,    -1,
    4074,  4075,    -1,  4077,    -1,    -1,    -1,  4081,  4082,    -1,
      -1,   182,  4086,  4087,    -1,    -1,   187,  4091,    -1,    -1,
    4094,  4095,    -1,    -1,    -1,  4099,   286,    -1,    -1,    -1,
      -1,  4105,   292,  2675,    -1,    -1,    -1,    -1,   209,   210,
      -1,    -1,    -1,  4117,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4125,   182,   224,   424,  4129,    -1,   187,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1782,   328,    -1,
     330,  1786,   332,    -1,    -1,    -1,    -1,    -1,    -1,   209,
     210,   341,    -1,  4157,    -1,    -1,   257,    -1,    -1,   349,
      -1,    -1,    -1,    -1,   224,    -1,    -1,   357,    -1,  4173,
     271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   369,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4191,   378,  2167,
      -1,    -1,   382,    -1,    -1,    -1,    -1,   257,    -1,    -1,
      -1,    -1,    -1,    -1,  4208,    -1,    -1,  2185,    -1,  4213,
      -1,   271,    -1,  2191,   274,    -1,    -1,  2195,    -1,    -1,
    4189,    -1,    -1,    -1,    -1,    -1,  4230,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4246,  2221,    -1,   435,    -1,  4251,    -1,    -1,
      -1,    -1,    -1,    -1,  4258,    -1,    -1,    -1,    -1,    -1,
      -1,   362,  4231,  4232,    -1,    -1,    -1,    -1,    -1,    -1,
    4274,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      22,  4285,    -1,    -1,    -1,    -1,    28,    -1,    -1,  2267,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2871,
      -1,  2873,   362,    -1,    -1,    -1,    -1,    -1,  2286,    -1,
      -1,    -1,  4316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2896,  2897,    -1,    -1,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4343,
      -1,  2319,    -1,    -1,    -1,    -1,    -1,    -1,  4317,  4318,
      -1,    -1,    -1,    -1,    -1,  4359,  2001,    -1,    -1,    -1,
     461,    -1,    -1,   464,   465,   466,  2344,   468,   469,   470,
     471,   472,   473,  2351,    -1,    -1,    -1,    -1,  4382,  2357,
      -1,    -1,   124,    -1,    -1,  4389,  2364,    -1,    -1,   131,
    2368,    -1,   134,    -1,    -1,  2373,    -1,    -1,    -1,    -1,
      -1,   461,    -1,    -1,   464,   465,   466,    -1,   468,   469,
     470,   471,   472,   473,    -1,  2393,    -1,   159,   478,    -1,
    2398,    -1,    -1,    -1,  2402,    -1,    -1,    -1,    -1,    -1,
    4434,    -1,  4436,    -1,    -1,    -1,    -1,  2415,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2092,    -1,    -1,
    2428,   193,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2438,    -1,    -1,    -1,    -1,    -1,    -1,  4471,    -1,    -1,
      -1,    -1,  4441,    -1,  4443,  4444,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4489,    -1,    -1,    -1,  4493,
      -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,    11,
      -1,  4470,    -1,    15,    16,    17,    -1,    -1,    -1,    -1,
     252,    -1,   254,    -1,  4518,  4519,    -1,    -1,  4522,    -1,
      32,    -1,   264,    -1,    -1,    -1,    -1,    -1,    40,    -1,
      -1,   273,    -1,  4537,    -1,    47,    -1,    -1,    -1,    -1,
    4544,    -1,    -1,   285,    -1,  4549,    -1,    -1,  4552,  4553,
      -1,    -1,    -1,    -1,    -1,  4559,  4560,    -1,  2203,    -1,
      72,    -1,    -1,    -1,    -1,    -1,    -1,  4571,    -1,  4573,
      -1,    -1,    -1,  4577,    -1,    -1,    -1,     8,    -1,    -1,
      -1,    -1,   324,    14,    15,   327,   328,    -1,    -1,    20,
      -1,    22,    -1,    -1,    -1,    -1,    -1,    28,    -1,    -1,
      31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4617,  4618,   357,    -1,    -1,    -1,    50,
      51,    -1,    -1,  4627,    -1,    -1,    -1,    -1,    -1,  2274,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,    15,
      16,    17,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4665,    -1,    -1,    -1,    -1,  4670,    -1,    -1,    -1,
     182,    -1,    -1,    -1,    40,   187,    -1,    -1,    -1,    -1,
      -1,    47,   424,    -1,    -1,    -1,    -1,  3259,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   209,   210,    -1,
      -1,    -1,    -1,    -1,    -1,  2683,    72,    -1,  2353,    -1,
      -1,  3283,   224,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4726,  2701,    -1,  2370,    -1,    -1,    -1,    -1,
      -1,  2709,    -1,    -1,    -1,  4739,    -1,  4741,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   257,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4762,   271,
    4764,    -1,   274,    -1,    -1,    -1,   197,    -1,    -1,    -1,
    4774,  4775,    -1,  4777,   205,  4779,    -1,   208,    -1,    -1,
     211,   212,    -1,   214,    -1,   216,  2431,    -1,   219,    -1,
     221,    22,    -1,    -1,  4798,    -1,  3368,    28,    -1,    -1,
    4804,  4770,    -1,    -1,  4808,    -1,    -1,    -1,    -1,    -1,
    4814,    -1,    -1,    -1,  4818,    -1,   182,    -1,    -1,    -1,
    2465,   187,    -1,  2468,    -1,  2470,    -1,    -1,    -1,  2474,
      -1,  2476,  2477,    -1,    -1,    -1,    -1,    -1,    -1,    70,
    2485,  2486,  2487,   209,   210,    -1,    -1,    -1,    -1,  4853,
     362,    -1,    -1,    -1,    -1,    -1,    -1,  4861,   224,    -1,
      -1,    -1,  4866,  4867,    -1,  4834,    -1,  4871,    -1,    -1,
      -1,    -1,  4876,  4877,  4878,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4890,  3459,    -1,    -1,
      22,   257,    -1,   124,    -1,  2540,    28,    -1,    -1,    -1,
     131,    -1,    -1,   134,    -1,   271,    -1,    -1,  4912,    -1,
      -1,    -1,    -1,    -1,    -1,  4919,    -1,  4886,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2572,   159,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    70,  2584,
    4944,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   461,
      -1,    -1,   464,   465,   466,    -1,   468,   469,   470,   471,
     472,   473,   193,    -1,    -1,    -1,   478,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4982,  4983,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   124,    -1,  2639,    -1,   362,    -1,    -1,   131,
      -1,  2979,   134,  5007,    -1,    -1,  5010,    -1,    -1,  5013,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5024,   252,    -1,   254,  5028,    -1,  5030,   159,  5032,    -1,
      -1,    -1,    -1,   264,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   273,    -1,    -1,    -1,    -1,    -1,  5052,    -1,
       8,    -1,    -1,    11,   285,    -1,    -1,    15,    16,    17,
      -1,   193,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5077,    32,  5079,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    -1,    -1,    -1,    -1,    -1,    -1,    47,
      -1,    -1,    -1,   324,    -1,   461,   327,   328,   464,   465,
     466,    -1,   468,   469,   470,   471,   472,   473,    -1,    -1,
      -1,    -1,  3090,    -1,    72,    -1,    -1,    -1,    -1,    -1,
     252,    -1,   254,    -1,    -1,  5129,   357,    -1,    -1,    -1,
      -1,    -1,   264,    -1,  5138,    -1,    -1,    -1,    -1,    -1,
      -1,   273,    -1,    -1,    -1,    -1,  5150,    -1,    -1,    -1,
      -1,    -1,    -1,   285,    -1,    -1,  3728,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5170,  5171,  5172,    -1,
      -1,    -1,    -1,    -1,    -1,  5179,  5180,    -1,    -1,  5183,
    3752,    -1,    -1,    -1,    -1,  5189,    -1,  3759,    -1,    -1,
    5194,    -1,   623,   424,    -1,   327,   328,    -1,    -1,   630,
     631,    -1,    -1,   634,  5208,   636,   637,    -1,    -1,    -1,
     641,    -1,    -1,    -1,    -1,    -1,    -1,  5221,    -1,    -1,
      -1,   652,    -1,    -1,   182,   357,    -1,    -1,  2873,   187,
      -1,    -1,    -1,  3211,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   209,   210,    -1,    -1,    -1,    -1,  5261,    -1,    -1,
     691,    -1,   693,  5267,    -1,    -1,   224,    -1,    -1,  3841,
    3842,    -1,   703,  5277,    -1,    -1,    -1,    -1,    -1,    -1,
    5284,  5285,    -1,    -1,    -1,  5289,    -1,    -1,    -1,    -1,
      -1,    -1,   424,    -1,    -1,  5299,    -1,    -1,    -1,   257,
      -1,    -1,    -1,    -1,    -1,   736,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   271,    -1,    -1,   274,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5329,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2982,    -1,    -1,
      -1,    -1,    -1,    -1,  5313,    -1,    -1,    -1,    -1,    -1,
    5354,    -1,    -1,    -1,    -1,    -1,  5360,    -1,  3930,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    11,    -1,  5388,  5389,    15,    16,    17,    -1,
      -1,    -1,    -1,   824,    -1,  5399,    -1,    -1,    -1,    -1,
    5404,    -1,    -1,    32,   362,    -1,    -1,    22,    -1,  5413,
      -1,    40,    -1,    28,    -1,    -1,    -1,    -1,    47,    -1,
      -1,  3399,  3994,    -1,     8,    -1,    -1,    11,  3073,   860,
    5434,    15,    16,    17,    -1,    -1,    -1,    -1,    -1,    -1,
    5444,    -1,    -1,    72,    -1,    -1,    -1,    -1,    32,  3427,
      -1,    -1,    -1,    -1,    -1,    70,    40,    -1,  5462,    -1,
      -1,    -1,    -1,    47,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5475,    -1,  5477,  3452,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3127,    -1,    -1,    -1,    -1,    -1,    72,    -1,
      -1,  5495,    -1,  5497,  5498,    -1,    -1,    -1,    -1,    -1,
      -1,   932,    -1,   461,    -1,    -1,   464,   465,   466,   124,
     468,   469,   470,   471,   472,   473,   131,    -1,    -1,   134,
     478,    -1,   953,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   965,    -1,    -1,    -1,    -1,   970,
      -1,    -1,    -1,    -1,   159,    -1,    -1,    -1,  3193,   980,
      -1,    -1,     8,   182,   985,    11,    -1,    -1,   187,    15,
      16,    17,    -1,   994,    -1,    -1,    -1,    -1,   999,    -1,
      -1,  1002,    -1,    -1,    -1,    -1,    32,    -1,   193,    -1,
     209,   210,    -1,    -1,    40,    -1,    -1,    -1,    -1,    -1,
    3235,    47,    -1,    -1,    -1,   224,    -1,    -1,   182,    -1,
      -1,    -1,    -1,   187,  3249,  3250,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1044,  3259,    -1,    72,    -1,    -1,    -1,
    3265,    -1,  3267,    -1,    -1,   209,   210,    -1,   257,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,   252,    -1,   254,
     224,    -1,   271,  4215,    -1,   274,    -1,    -1,  4220,   264,
      -1,    -1,  4224,    -1,    -1,    -1,    -1,    -1,   273,    -1,
      -1,    -1,    -1,    22,    -1,    -1,    90,    -1,  3313,    28,
     285,    -1,    -1,   257,    -1,    -1,    -1,  4249,  4250,    -1,
      -1,    -1,  4254,  4255,    -1,    -1,    -1,   271,    -1,    -1,
     274,    -1,    -1,  3671,    -1,    -1,   120,    -1,    -1,    -1,
      -1,    -1,  3347,  3348,    -1,    -1,    -1,    -1,    -1,   324,
      -1,    70,   327,   328,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   149,   182,    -1,    -1,    -1,
    1161,   187,  1163,   362,  1165,    -1,  1167,    -1,  1169,  1170,
    1171,    -1,   357,    -1,    -1,  1176,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   209,   210,    -1,  1187,    -1,    -1,    -1,
     184,    -1,    -1,    -1,    -1,   124,    -1,    -1,   224,    -1,
      -1,    -1,   131,    -1,     8,   134,  1207,    11,   362,    -1,
      -1,    15,    16,    17,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   220,    -1,    32,    -1,
     159,   257,    -1,    -1,    -1,    -1,    40,    -1,  3786,   424,
      -1,  3789,    -1,    47,    -1,   271,    -1,    -1,   274,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     254,    -1,   461,    -1,   193,   464,   465,   466,    72,   468,
     469,   470,   471,   472,   473,    -1,    -1,    -1,    -1,   478,
      -1,     8,    -1,    -1,    11,    -1,    -1,    -1,    15,    16,
      17,   285,   286,    -1,    -1,    -1,    -1,    -1,   292,    -1,
      -1,    -1,    -1,    -1,    -1,    32,    -1,   461,    -1,    -1,
     464,   465,   466,    40,   468,   469,   470,   471,   472,   473,
      47,    -1,    -1,   252,   478,   254,  3541,    -1,    -1,    -1,
     324,    -1,    -1,    -1,   328,   264,   362,    -1,   332,    -1,
    3888,    -1,    -1,    -1,   273,    72,    -1,   341,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   349,   285,    -1,    -1,  3907,
      -1,   199,   200,   357,    -1,    -1,  1367,    -1,    -1,   207,
      -1,   209,   210,    -1,    -1,   369,    -1,    -1,   182,    -1,
      -1,    -1,    -1,   187,   378,   223,    -1,    -1,   382,    -1,
      -1,    -1,    -1,    -1,    -1,   324,    -1,    -1,   327,   328,
      -1,    -1,    -1,    -1,    -1,   209,   210,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     224,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   357,    -1,
      -1,    -1,    -1,    -1,    -1,   461,    -1,    -1,   464,   465,
     466,   435,   468,   469,   470,   471,   472,   473,  1449,  3997,
      -1,    -1,   478,   257,    -1,   182,    -1,    -1,    -1,    -1,
     187,    -1,    -1,    -1,    -1,    -1,    -1,   271,    -1,    -1,
     274,    -1,    -1,    -1,    -1,  4617,    -1,    -1,    -1,    -1,
      -1,    -1,   209,   210,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   424,    -1,   224,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,
      11,    -1,    -1,  3728,    15,    16,    17,    -1,    -1,  1520,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     257,    32,    -1,    -1,    -1,    -1,    -1,  3752,    -1,    40,
      -1,    -1,    -1,    -1,   271,  3760,    47,   274,  3763,    -1,
    3765,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   362,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    72,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       8,    -1,  3807,    11,    -1,    -1,    -1,    15,    16,    17,
      -1,    -1,    -1,    -1,    -1,  3820,    -1,    -1,     8,  3824,
    3825,    11,  3827,    -1,    32,    15,    16,    17,    -1,    -1,
      -1,    -1,    40,    -1,    -1,    -1,    -1,    -1,    -1,    47,
      -1,    -1,    32,    -1,    -1,   362,    -1,    -1,    -1,    -1,
      40,    -1,    -1,    -1,    -1,    -1,    -1,    47,    -1,    -1,
      -1,    -1,    -1,    -1,    72,    -1,    -1,   461,    -1,    -1,
     464,   465,   466,    -1,   468,   469,   470,   471,   472,   473,
      -1,    -1,    72,    -1,   478,    -1,    -1,    -1,    -1,    -1,
      -1,   182,    -1,    -1,    -1,    -1,   187,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4246,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   209,   210,
    4258,    -1,  3927,    -1,    -1,  3930,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   224,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   461,    -1,    -1,   464,   465,   466,
      -1,   468,   469,   470,   471,   472,   473,    -1,  4890,    -1,
      -1,   478,    -1,    -1,    -1,    -1,   257,    -1,    -1,    -1,
      -1,    -1,    -1,  1764,   182,    -1,    -1,    -1,    -1,   187,
     271,    -1,    -1,   274,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   182,    -1,    -1,    -1,    -1,   187,   626,    -1,
      -1,   209,   210,    -1,   632,    -1,    -1,  4012,  4013,  4014,
      -1,  4016,  4017,  4018,  4019,  4020,   224,   645,    -1,   209,
     210,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   661,   224,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   675,   676,   257,
      -1,    -1,    -1,    -1,   682,    -1,   684,   685,    -1,    -1,
      -1,    -1,    -1,   271,    -1,    -1,   274,   257,    -1,    -1,
     698,   362,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     708,   271,    -1,    -1,   274,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1890,
      -1,  1892,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1909,    -1,
    1911,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4471,    -1,    -1,  1927,  5069,  1929,    -1,
    1931,  4146,  1933,  4148,  1935,    -1,    -1,    -1,  1939,    -1,
      -1,    -1,    -1,    -1,   362,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   797,
     461,    -1,   362,   464,   465,   466,    -1,   468,   469,   470,
     471,   472,   473,    -1,    -1,    -1,    -1,   478,    -1,    -1,
      -1,    -1,    -1,   821,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   834,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4571,    -1,  4573,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   461,    -1,    -1,   464,   465,   466,    -1,
     468,   469,   470,   471,   472,   473,    -1,    -1,    -1,    -1,
     478,   461,    -1,    -1,   464,   465,   466,    -1,   468,   469,
     470,   471,   472,   473,    -1,    -1,    -1,    -1,   478,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4314,
    4315,    -1,    -1,    -1,   942,    -1,    -1,    -1,    -1,    -1,
    4325,    -1,  4327,  4328,    -1,    -1,  4331,    -1,    -1,    -1,
      -1,    -1,   960,    -1,    -1,    -1,    -1,    -1,   966,    -1,
      -1,   969,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,
      -1,    11,    -1,    -1,    -1,    15,    16,    17,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    32,    -1,    -1,    -1,    -1,  2168,  2169,    -1,
      40,    -1,    -1,    -1,    -1,    -1,    -1,    47,    -1,    -1,
    4395,    -1,    -1,    -1,    -1,    -1,  2187,  2188,    -1,    -1,
      -1,  2192,  2193,    -1,    -1,    -1,  2197,    -1,    -1,    -1,
      -1,    -1,    72,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2211,    -1,    -1,    -1,    -1,    -1,    -1,  2218,  4433,    -1,
      -1,  2222,  2223,    -1,    -1,  2226,  2227,    -1,    -1,    -1,
      -1,    -1,  2233,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2248,    -1,  2250,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,
      -1,    11,  4477,    -1,    -1,    15,    16,    17,  2269,    -1,
      -1,  5413,    -1,  2274,    -1,    -1,    -1,    -1,    -1,    -1,
    1118,    -1,    32,    -1,    -1,    -1,    -1,  2288,    -1,    -1,
      40,    -1,    -1,    -1,    -1,    -1,  2297,    47,  1136,  2300,
      -1,    -1,  2303,  2304,  2305,    -1,    -1,    -1,    -1,  2310,
    2311,    -1,   182,    -1,    -1,    -1,  1154,   187,    -1,  2320,
      -1,    -1,    72,    -1,  2325,    -1,    -1,    -1,  2329,    -1,
      -1,    -1,    -1,    -1,    -1,  5477,    -1,    -1,    -1,   209,
     210,    -1,    -1,    -1,  2345,    -1,  1184,    -1,    -1,    -1,
      -1,  2352,  2353,  5495,   224,    -1,    -1,  2358,    -1,    -1,
      -1,    -1,  1200,    -1,    -1,    -1,    -1,    -1,  2369,  2370,
      -1,   200,    -1,  2374,    -1,    -1,    -1,    -1,  1216,    -1,
     209,    -1,  1220,    -1,    -1,  2386,    -1,   257,  2389,    -1,
      -1,    -1,    -1,  2394,   223,    -1,    -1,    -1,  2399,  2400,
      -1,   271,  4617,  2404,   274,    -1,  2407,    -1,    -1,    -1,
    2411,  2412,  2413,  2414,    -1,  2416,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2429,  2430,
      -1,  2432,   182,    -1,    -1,    -1,    -1,   187,    -1,    -1,
       8,  2442,  2443,    11,    -1,  4660,    -1,    15,    16,    17,
      -1,    -1,    -1,    -1,  4669,    -1,    -1,    -1,    -1,   209,
     210,    -1,    -1,    -1,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    -1,   224,    -1,    -1,    -1,    -1,    47,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   362,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1338,    -1,    -1,  2504,    72,    -1,    -1,   257,  1346,  1347,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   271,  1360,    -1,   274,    -1,    -1,    -1,    22,    -1,
      -1,  2532,    -1,    -1,    28,    -1,    22,    -1,    -1,    -1,
      -1,    35,    28,    -1,    -1,    -1,    -1,    -1,    -1,    35,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,   201,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,  1413,    70,   213,    -1,    -1,
      -1,    -1,    -1,    -1,    70,    -1,    -1,    -1,   224,    -1,
      -1,   461,    -1,    -1,   464,   465,   466,    -1,   468,   469,
     470,   471,   472,   473,    -1,    -1,    -1,    -1,   478,    -1,
     104,    -1,   362,    -1,   182,    -1,    -1,    -1,   104,   187,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     124,    -1,    -1,    -1,    -1,    -1,    -1,   131,   124,    -1,
     134,   209,   210,    -1,    -1,   131,  5194,    -1,   134,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   224,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   159,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   159,    -1,  4890,    -1,    -1,    -1,  4894,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   257,
      -1,    -1,    -1,    -1,    -1,    -1,   190,    -1,    -1,   193,
      -1,    -1,    -1,   271,   190,    -1,   274,   193,    -1,    -1,
      -1,   461,    -1,    -1,   464,   465,   466,    -1,   468,   469,
     470,   471,   472,   473,    -1,    -1,    -1,    -1,   478,    -1,
      -1,    -1,     8,    -1,  2735,    11,    -1,    -1,    -1,    15,
      16,    17,    -1,    -1,   238,    -1,    -1,   241,    -1,    -1,
      -1,    -1,   238,    -1,    -1,   241,    32,    -1,   252,    -1,
     254,    -1,    -1,    -1,    40,    -1,   252,    -1,   254,  1607,
     264,    47,    -1,    -1,    -1,    -1,    -1,    -1,   264,   273,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   273,    -1,    -1,
     284,   285,    -1,    -1,   362,    -1,    72,   626,   284,   285,
      -1,    -1,    -1,   632,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   645,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     324,    -1,   661,   327,   328,   329,    -1,    -1,   324,    -1,
      -1,   327,   328,   329,    -1,    -1,    -1,   676,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   684,    -1,   351,    -1,    -1,
      -1,    -1,    -1,   357,  5079,   351,    -1,    -1,  5083,   698,
    5085,   357,    -1,    -1,  5089,  5090,    -1,   371,    -1,   708,
      -1,    -1,    -1,    -1,    -1,   371,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   461,    -1,    -1,   464,   465,   466,    -1,
     468,   469,   470,   471,   472,   473,   182,    -1,    -1,    -1,
     478,   187,    -1,    -1,    -1,    -1,    -1,  1755,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     424,    -1,    -1,   209,   210,    -1,    -1,    -1,   424,    -1,
      -1,  1779,    -1,    -1,    -1,    -1,    -1,    -1,   224,  1787,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1799,    -1,    -1,    -1,    -1,    -1,    -1,   797,    -1,
      -1,   607,    -1,    -1,    -1,    -1,    -1,   613,    -1,  2980,
      -1,   257,    -1,  2984,    -1,    -1,    -1,    -1,    -1,  2990,
      -1,    -1,   821,    -1,    -1,   271,    -1,    -1,   274,    -1,
      -1,    -1,    -1,    -1,    -1,   834,    -1,  3008,  3009,    -1,
      -1,    -1,  3013,    -1,    -1,    -1,    -1,  3018,  3019,  3020,
      -1,  3022,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1870,  1871,     8,  1873,  1874,    11,    -1,    -1,
      -1,    15,    16,    17,  3045,    -1,    -1,  1885,    -1,  1887,
    1888,    -1,    -1,    -1,  3055,  3056,  3057,  3058,    32,    -1,
      -1,    -1,  1900,  1901,    -1,    -1,    40,    -1,    -1,    -1,
      -1,    -1,    -1,    47,    -1,    -1,    -1,    -1,  1916,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   362,    -1,    -1,    -1,
    3091,    -1,    -1,  3094,  3095,  3096,    -1,    -1,    72,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3112,  1950,   942,  5329,  1953,  1954,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3132,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   794,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   813,    -1,    90,
      -1,    -1,    -1,    -1,    -1,   461,    -1,    -1,   464,   465,
     466,    -1,   468,   469,   470,   471,   472,   473,  5413,   835,
      -1,    -1,   478,  3204,  2042,    -1,    -1,    -1,   182,   120,
      -1,  3212,    -1,   187,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   191,   192,
      -1,    -1,   195,    -1,    -1,   209,   210,    -1,   149,    -1,
       8,    -1,  3243,    11,    -1,   881,    -1,    15,    16,    17,
     224,    -1,   215,    -1,    -1,    -1,    -1,    -1,    -1,   222,
      -1,    -1,  5477,    -1,    32,  3266,    -1,    -1,    -1,    -1,
      -1,    -1,    40,   184,  2112,    -1,    -1,    -1,    -1,    47,
    5495,    -1,    -1,   257,    -1,    -1,    -1,    -1,    -1,  1118,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   271,    -1,    -1,
     274,    -1,    -1,    -1,    72,    -1,    -1,  1136,    -1,   220,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3318,    -1,    -1,
      -1,    -1,  3323,    -1,    -1,  1154,    -1,    -1,    -1,  2167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   254,    -1,    -1,    -1,  2185,    -1,    -1,
      -1,    -1,  2190,  2191,    -1,  1184,  3357,  2195,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2203,    -1,    -1,    -1,    -1,
    1006,  1200,    -1,    -1,   285,   286,    -1,    -1,    -1,    -1,
      -1,   292,    -1,  2221,    -1,    -1,    -1,  1216,   362,    -1,
      -1,  1220,    -1,    -1,    -1,  3396,    -1,  3398,    -1,  1035,
    1036,  1037,    -1,    -1,    -1,  2243,    -1,    -1,  2246,  2247,
      -1,    -1,    -1,   324,   182,    -1,    -1,   328,    -1,   187,
      -1,   332,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2267,
     341,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   349,    -1,
      -1,   209,   210,    -1,    -1,    -1,   357,  3448,  2286,  2287,
      -1,    -1,    -1,    -1,    -1,    -1,   224,    -1,   369,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   378,    -1,    -1,
      -1,   382,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2318,  2319,    -1,    -1,  2322,    -1,    -1,   461,    -1,   257,
     464,   465,   466,    -1,   468,   469,   470,   471,   472,   473,
      -1,    -1,   476,   271,    -1,    -1,  2344,    -1,  2346,  1338,
      -1,    -1,    -1,  2351,    -1,    -1,    -1,  1346,  1347,  2357,
      -1,    -1,    -1,    -1,   435,    -1,  2364,    -1,    -1,    -1,
    2368,  1360,    -1,    -1,     8,  2373,    -1,    11,    -1,    -1,
      -1,    15,    16,    17,    -1,    -1,    -1,  1183,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2393,    -1,    -1,    32,    -1,
    2398,    -1,    36,    -1,  2402,    -1,    40,  2405,    -1,    -1,
    1206,    -1,    -1,    47,    -1,    -1,    -1,  2415,    -1,  1215,
      -1,    -1,    -1,    -1,  1413,    -1,    -1,    -1,    -1,    -1,
    2428,    -1,    -1,   671,   362,    -1,    -1,    -1,    72,    -1,
    2438,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   697,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3647,   121,  3649,    -1,
      -1,    -1,   615,    -1,   617,  3656,    -1,    -1,   621,    -1,
      -1,    -1,    -1,    -1,    -1,  2503,    -1,    -1,    -1,    -1,
      -1,  3672,   635,    -1,    -1,    -1,    -1,    -1,    -1,   642,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3688,    -1,    -1,
      -1,    -1,    -1,   461,    -1,    -1,   464,   465,   466,    -1,
     468,   469,   470,   471,   472,   473,  3707,    -1,   182,    -1,
      -1,    -1,    -1,   187,    -1,    -1,  1352,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3725,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3735,   209,   210,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2584,    -1,    -1,    -1,
     224,    -1,    -1,  3754,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1398,    -1,    -1,    -1,  3767,  3768,  3769,    -1,
      -1,    -1,    -1,  3774,  3775,  3776,  3777,    -1,  1607,    -1,
    3781,  3782,    -1,   257,    -1,    -1,  3787,  3788,    -1,  3790,
    3791,  3792,  3793,  3794,  3795,    -1,  3797,   271,    -1,    -1,
     274,  2639,    -1,    -1,     8,  3806,    -1,    11,  3809,  3810,
      -1,    15,    16,    17,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    32,    -1,
      -1,    -1,  3833,    -1,    -1,    -1,    40,    -1,    -1,    -1,
      -1,    -1,    -1,    47,  1480,  2683,    -1,    -1,    -1,    -1,
      -1,  3852,    -1,    -1,  1490,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2701,    -1,    -1,    -1,    -1,    72,    -1,
      -1,  2709,    -1,    -1,    -1,    -1,    -1,    -1,   956,    -1,
      -1,  2719,    -1,    -1,  2722,  1521,    -1,  2725,   362,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   981,    -1,    -1,    -1,    -1,  1544,    -1,
      -1,  1547,    -1,    -1,    -1,    -1,    -1,    -1,   996,    -1,
      -1,    -1,    -1,   886,   887,    -1,  1755,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   421,    -1,    -1,
    1779,  3952,    -1,  2791,    -1,    -1,    -1,    -1,  1787,  2797,
      -1,  1597,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1799,    -1,    -1,    -1,    -1,  1611,    -1,    -1,   182,    -1,
      -1,    -1,    -1,   187,    -1,    -1,    -1,   461,    -1,    -1,
     464,   465,   466,    -1,   468,   469,   470,   471,   472,   473,
    4001,    -1,    -1,  1081,    -1,   209,   210,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     224,   984,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2873,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1873,  1874,    -1,    -1,    -1,    -1,
    1013,  1014,    -1,   257,    -1,    -1,    -1,    -1,  1887,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   271,    -1,    -1,
     274,  1900,  1901,    -1,    -1,    -1,  1039,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1722,  1916,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   299,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2952,  2953,    -1,    -1,    -1,    -1,
    1198,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1773,    -1,    -1,
      -1,  2979,    -1,    -1,  2982,    -1,    -1,    -1,    -1,    -1,
    1113,  1114,    -1,    -1,    -1,    -1,    -1,    -1,   362,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1802,    -1,    -1,    -1,
      -1,    -1,    -1,  1809,    -1,   379,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4199,    -1,
      -1,    -1,  4203,  4204,  4205,  4206,    -1,    -1,  4209,    -1,
      -1,    -1,    -1,  2042,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3067,
    3068,  3069,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4241,  4242,  4243,    -1,  4245,    -1,  4247,  4248,    -1,    -1,
      -1,    -1,  3090,    -1,    -1,    -1,    -1,   461,  4259,  4260,
     464,   465,   466,  1341,   468,   469,   470,   471,   472,   473,
      -1,    -1,  3110,    -1,    -1,    -1,    -1,    -1,  1914,    -1,
      -1,    -1,    -1,  2112,    -1,  4286,    -1,    -1,    -1,  1925,
      -1,  3129,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4309,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1956,  1957,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1407,
      -1,    -1,    -1,    -1,    -1,    -1,    25,  1973,  2167,    -1,
      -1,    -1,    -1,    -1,     8,    -1,    -1,    11,    -1,    -1,
      -1,    15,    16,    17,    -1,    -1,  2185,    -1,    -1,    -1,
      -1,  2190,  2191,    -1,    -1,    -1,  2195,    -1,    32,    -1,
      -1,    35,    -1,  3211,  2203,    -1,    40,    -1,    -1,    -1,
      -1,    -1,    -1,    47,    73,    -1,    -1,  4388,    -1,    -1,
      -1,    -1,  2221,    -1,    -1,    -1,  1474,    -1,    -1,    88,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    72,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   106,    -1,    -1,
    3258,    -1,    -1,   112,    -1,    -1,    -1,  3265,    -1,  3267,
      -1,    -1,    -1,    -1,    -1,    -1,  2072,  1515,  2267,    -1,
     129,    -1,  3280,    -1,  3282,  4446,  2082,    -1,    -1,    -1,
      -1,   140,    -1,    -1,    -1,    -1,    -1,  2286,  2287,   148,
      -1,    -1,    -1,    -1,    -1,    -1,  3304,    -1,    -1,    -1,
    1548,   160,    -1,    -1,    -1,  2111,   165,    -1,    -1,    -1,
      -1,    -1,    -1,   172,    -1,    -1,  2122,  2123,    -1,  2318,
    2319,    -1,    -1,  2322,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   191,    -1,    -1,  1468,    -1,    -1,    -1,    -1,
    3348,    -1,    -1,    -1,    -1,  2344,    -1,  2346,   182,    -1,
    2156,    -1,  2351,   187,    -1,    -1,    -1,   216,  2357,    -1,
    1493,    -1,    -1,    -1,    -1,  2364,    -1,    -1,    -1,  2368,
      -1,    -1,    -1,    -1,  2373,   209,   210,    -1,   237,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     224,  3399,    -1,    -1,  2393,    -1,  4567,    -1,    -1,  2398,
      -1,    -1,    -1,  2402,    -1,    -1,  2405,    -1,    -1,    -1,
      -1,    -1,   271,    -1,    -1,    -1,  2415,    -1,    -1,  3427,
      -1,    -1,    -1,   257,    -1,    -1,    -1,    -1,    -1,  2428,
      -1,    -1,    -1,    -1,    -1,    -1,   295,   271,    -1,  2438,
     274,  3449,    -1,    -1,  3452,    -1,   305,   306,  4619,    -1,
     309,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1593,  1594,  1595,  1596,    -1,    -1,  4637,    -1,    -1,    -1,
      -1,  4642,  4643,    -1,    -1,    -1,   335,  1725,    -1,   338,
      -1,   671,    -1,   342,    -1,   344,    -1,    -1,    -1,    -1,
      -1,    -1,   351,  2299,  1742,   354,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2503,    -1,    -1,   697,    -1,  2315,
      -1,    -1,  1760,    -1,   373,    -1,    -1,    -1,    -1,    -1,
      -1,   380,    -1,  4694,  3532,    -1,   385,   386,   362,  2335,
     389,    -1,    -1,    -1,   393,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4714,   403,  4716,    -1,    -1,    -1,   408,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4731,   420,    -1,    -1,    -1,    -1,    -1,    -1,  1816,    -1,
      -1,    -1,    -1,    -1,   433,    -1,    -1,    -1,    -1,    -1,
    4751,  1829,    -1,    -1,    -1,  2584,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1841,    -1,    -1,    -1,  4768,    -1,    -1,
      -1,  1734,  1735,  2409,  2410,  1853,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1754,    -1,    -1,    -1,    -1,    -1,   461,    -1,    -1,
     464,   465,   466,    -1,   468,   469,   470,   471,   472,   473,
    2639,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1897,
    1898,    -1,    -1,    -1,    -1,    -1,  1789,  1790,  1791,  1792,
      -1,    -1,    -1,  3671,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4849,    -1,
     791,   792,    -1,    -1,  2683,     8,    -1,    -1,    11,  4860,
      -1,    -1,    15,    16,    17,    -1,    -1,    -1,    -1,   671,
      -1,    -1,  2701,    -1,    -1,    -1,    -1,    -1,  2514,    32,
    2709,    -1,    -1,    -1,  3722,    -1,    -1,    40,    -1,  3727,
      -1,  3729,    -1,    -1,    47,   697,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3751,    -1,    -1,    -1,    -1,    -1,    72,
     940,    -1,  4923,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3770,    -1,    -1,    -1,   956,    -1,    -1,    -1,
      -1,    -1,    -1,  1906,    -1,    -1,    -1,    -1,  3786,  1912,
      -1,  3789,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2037,
      -1,   981,  2791,    -1,    -1,    -1,    -1,    -1,  2797,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   996,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4990,
      -1,    -1,    -1,  4994,    -1,    -1,    -1,    -1,    -1,   940,
     941,    -1,    -1,     8,   157,    -1,    11,    -1,    -1,    -1,
      15,    16,    17,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    32,    -1,   182,
      35,    -1,    -1,    -1,   187,    40,    -1,    -1,    -1,    -1,
    3878,  3879,    47,    -1,  2873,    -1,    -1,    -1,  5049,    -1,
    3888,    -1,    -1,    -1,    -1,    -1,   209,   210,    -1,    -1,
      -1,  1081,    -1,  5064,    -1,    -1,    -1,    72,    -1,  3907,
      -1,   224,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2045,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2174,    -1,    -1,    -1,
    2178,  2179,    -1,    -1,   257,    -1,    -1,  5108,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   271,    -1,
      -1,   274,  5123,  2952,  2953,    -1,    -1,    -1,     8,    -1,
      -1,    11,    -1,    -1,    -1,    15,    16,    17,    -1,    -1,
      -1,    -1,    -1,    -1,   297,    -1,    -1,    -1,    -1,    -1,
    2979,    -1,    32,  2982,   956,    -1,    -1,    -1,    -1,  3997,
      40,    -1,  2240,    -1,    -1,    -1,    -1,    47,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2254,   182,  1198,   981,
      -1,    -1,   187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    72,    -1,   996,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   209,   210,  5207,    -1,    -1,   362,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2295,    -1,   224,
      -1,    -1,  2858,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3067,  3068,
    3069,    -1,    -1,    -1,    -1,  2881,    -1,    -1,    -1,    -1,
    5251,    -1,   257,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3090,    -1,    -1,    -1,    -1,   271,    -1,    -1,   274,
      -1,    -1,    -1,    -1,    -1,  2238,  2239,    -1,    -1,  1081,
      -1,  3110,    -1,    -1,    -1,    -1,  2249,    -1,  2251,    -1,
      -1,  1232,  2255,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3129,    -1,   182,    -1,    -1,    -1,    -1,   187,   461,    -1,
      -1,   464,   465,   466,    -1,   468,   469,   470,   471,   472,
     473,  1262,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   209,
     210,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5342,    -1,    -1,   224,    -1,    -1,    -1,    -1,  1290,
    1291,  1292,    -1,  1294,    -1,    -1,    -1,   362,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4208,    -1,    -1,  1314,    -1,  4213,    -1,   257,    -1,    -1,
      -1,    -1,  3211,    -1,    -1,    -1,    -1,  1407,    -1,    -1,
      -1,   271,    -1,    -1,   274,    -1,  1198,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4246,    -1,
      -1,    -1,    -1,   293,    -1,    -1,  2494,    -1,    -1,    -1,
    4258,    -1,  2385,    -1,    -1,  2388,    -1,    -1,    -1,  3258,
      -1,    -1,    -1,    -1,    -1,    -1,  3265,    -1,  3267,    -1,
      -1,  1382,    -1,    -1,    -1,  1386,  1387,  4285,    -1,    -1,
      -1,  3280,    -1,  3282,  1474,    -1,   461,    -1,    -1,   464,
     465,   466,    -1,   468,   469,   470,   471,   472,   473,    -1,
      -1,    -1,  3108,    -1,    -1,  3304,    -1,    -1,    -1,    -1,
      -1,    -1,   362,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1515,    -1,    -1,  2576,    -1,
      -1,  2579,    -1,    -1,  2467,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2475,    -1,    -1,  2478,    -1,    -1,    -1,  3348,
      -1,  2484,    -1,    -1,    -1,    -1,    -1,    -1,  1548,    -1,
      -1,    -1,  2495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4382,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3399,    -1,    -1,  2536,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   461,    -1,    -1,   464,   465,   466,    -1,   468,   469,
     470,   471,   472,   473,    -1,    -1,    -1,    -1,  3427,    -1,
      -1,  2564,  1622,  1623,  1624,  1407,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3449,  2699,    -1,  3452,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4471,    -1,  3271,  3272,  3273,  2716,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3288,  2731,    -1,    -1,    -1,    -1,    -1,  2622,
      -1,  2624,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1474,    -1,    -1,  3311,    -1,    -1,    -1,    -1,
      -1,  1622,  1623,  1624,    -1,  3321,  3322,    -1,    -1,    -1,
    3326,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3532,    -1,  1725,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1515,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1742,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4571,    -1,  4573,    -1,    -1,    -1,    -1,
    1760,    -1,    -1,    -1,    -1,    -1,  1548,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2734,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4618,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4627,
      -1,    -1,    -1,    -1,    -1,    -1,  1816,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1829,
      -1,  3447,    -1,    -1,  3450,    -1,    -1,    -1,    -1,    -1,
      -1,  1841,    -1,    -1,    -1,    -1,    -1,  4665,    -1,    -1,
      -1,    -1,  4670,  1853,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3671,    -1,    -1,    -1,    -1,    -1,    -1,  2927,
      -1,    -1,  2930,    -1,  2932,    -1,    -1,    -1,    -1,  2937,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1897,  1898,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3722,    -1,    -1,    -1,    -1,  3727,    -1,
    3729,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2986,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3751,  1725,    -1,    -1,    -1,  3005,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1742,  3770,  3578,  3579,  3580,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3030,    -1,    -1,    -1,    -1,  3786,  1760,    -1,
    3789,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1816,  4853,    -1,  2037,    -1,    -1,
      -1,    -1,  3100,    -1,  3102,    -1,    -1,  1829,    -1,  2992,
      -1,  2994,  2995,  2996,    -1,    -1,    -1,    -1,    -1,  1841,
    4878,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3878,
    3879,  1853,  4890,    -1,  1995,  2075,    -1,    -1,    -1,  3888,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2008,    -1,  2010,
      -1,    -1,  2013,  2014,  2015,    -1,    -1,    -1,  3907,  2020,
      -1,    -1,  2023,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1897,  1898,  2038,  2039,  2040,
    2041,    -1,    -1,    -1,    -1,  2046,    -1,    -1,    -1,  2050,
      -1,    -1,  2053,  3191,    -1,  2056,  2057,  2058,  2059,  2060,
    2061,  2062,  2063,  2064,    -1,  2066,    -1,    -1,    -1,    -1,
      -1,    -1,  2073,    -1,  2075,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3230,    -1,  2174,    -1,    -1,    -1,  2178,  2179,
      -1,    -1,    -1,    -1,     8,    -1,    -1,    11,  3997,    -1,
      -1,    15,    16,    17,    -1,    -1,    -1,  2118,    -1,    -1,
      -1,  3259,    -1,    -1,    -1,    -1,    -1,    -1,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    -1,    -1,    -1,
      -1,  2142,  2143,    47,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3849,    -1,    -1,    -1,    -1,    -1,    -1,
    2240,    -1,    -1,    -1,  3860,    -1,    -1,    -1,    72,    -1,
      -1,    -1,    -1,    -1,  2254,  2037,    -1,    -1,    -1,  5077,
      -1,  5079,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3328,    -1,    -1,    -1,    -1,  3891,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3231,    -1,
      -1,  3349,    -1,    -1,    -1,  2295,    -1,    -1,   671,    -1,
      -1,    -1,    -1,  2224,    -1,  3363,    -1,    -1,  3924,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   671,    -1,
      -1,    -1,    -1,    -1,   697,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   163,
      -1,    -1,    -1,    -1,   697,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3972,    -1,   182,    -1,
      -1,    -1,  5180,   187,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5194,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   209,   210,    -1,    -1,    -1,
    5208,    -1,  2174,    -1,    -1,    -1,  2178,  2179,    -1,  4208,
     224,    -1,    -1,  5221,  4213,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3475,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   257,    -1,    -1,    -1,  4246,  3496,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   271,    -1,  4258,
     274,    -1,    -1,    -1,    -1,    -1,    -1,  2457,  2240,    -1,
    3403,    -1,    -1,  3521,    -1,    -1,  5284,  5285,    -1,    -1,
      -1,    -1,  2254,    -1,    -1,    -1,  4285,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4106,  4107,  4108,  4109,  2494,    -1,    -1,  3555,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5329,    -1,  2295,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2455,  2456,  2457,    -1,   362,    -1,
    2461,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    11,    -1,    -1,    -1,    15,    16,    17,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3628,    -1,  2493,  4382,    32,    -1,  2576,    35,    -1,  2579,
      -1,    -1,    40,   956,    -1,    -1,    -1,    -1,    -1,    47,
      -1,    -1,    -1,    -1,    -1,  5413,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   956,    -1,    -1,    -1,    -1,   981,    -1,
      -1,    -1,    -1,    -1,    72,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   996,    -1,    -1,    -1,    -1,   981,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   461,    -1,    -1,
     464,   465,   466,   996,   468,   469,   470,   471,   472,   473,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5477,
      -1,    -1,  4471,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3728,    -1,    -1,    -1,    -1,    -1,    -1,  5495,    -1,  5497,
    5498,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3752,    -1,    -1,    -1,    -1,  2699,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1081,    -1,
      -1,    -1,  2494,    -1,    -1,    -1,  2716,    -1,  3661,  3662,
    3663,  3664,    -1,    -1,   182,    -1,    -1,    -1,  1081,   187,
      -1,  2731,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   209,   210,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4571,    -1,  4573,    -1,   224,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2576,    -1,    -1,  2579,    -1,   257,
      -1,    -1,    -1,    -1,    -1,   671,    -1,    -1,    -1,  4618,
      -1,    -1,    -1,   271,    -1,    -1,   274,    -1,    -1,    -1,
      -1,  2742,  4438,    -1,  3882,  1198,  2747,    -1,    -1,    -1,
      -1,   697,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1198,    -1,    -1,    -1,    -1,
      -1,  2772,    -1,    -1,    -1,    -1,  4665,    -1,    -1,    -1,
      -1,    -1,  2783,    -1,  2785,  2786,    -1,    -1,    -1,    -1,
      -1,    -1,  3930,    -1,    -1,  2796,  3934,    -1,  2799,    -1,
    2801,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3836,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   362,    -1,    -1,    -1,  3851,  2830,
      -1,  2832,    -1,  2834,    -1,    -1,    -1,  2699,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2927,    -1,    -1,
    2930,    -1,  2932,    -1,  2716,     8,    -1,  2937,    11,    -1,
      -1,    -1,    15,    16,    17,    -1,    -1,    -1,    -1,  2731,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,  2889,    -1,
      -1,    -1,    -1,    -1,    47,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2904,    -1,    -1,  2986,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    72,
      -1,    -1,    -1,   461,    -1,  3005,   464,   465,   466,    -1,
     468,   469,   470,   471,   472,   473,    -1,    -1,    -1,  4077,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4087,
    3030,    -1,    -1,    -1,  1407,    -1,    -1,  2958,    -1,    -1,
      -1,    -1,    -1,    -1,  4853,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1407,    -1,    -1,  4673,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4878,
      -1,    -1,  4688,    -1,    -1,    -1,    -1,  4693,    -1,    -1,
      -1,  4890,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     956,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3100,  1474,  3102,  4719,    -1,    -1,    -1,    -1,    -1,   182,
      -1,    -1,    -1,    -1,   187,   981,    -1,    -1,    -1,    -1,
      -1,  1474,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     996,    -1,    -1,  4191,    -1,    -1,   209,   210,    -1,    -1,
      -1,    -1,  1515,    -1,    -1,  2927,    -1,    -1,  2930,    -1,
    2932,   224,    -1,    -1,    -1,  2937,    -1,    -1,    -1,    -1,
      -1,    -1,  1515,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4230,    -1,    -1,  1548,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   257,    -1,    -1,    -1,    -1,    -1,
      -1,  3191,    -1,  4251,    -1,  1548,    -1,    -1,   271,    -1,
      -1,   274,    -1,    -1,  2986,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1081,  3216,    -1,    -1,    -1,
      -1,    -1,  3222,  3005,    -1,    -1,    -1,    -1,  4844,    -1,
    3230,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3030,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4316,  3259,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5077,    -1,
    5079,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   362,
      -1,    -1,    -1,    -1,    -1,  3216,    -1,    -1,    -1,    -1,
      -1,  3222,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3100,    -1,
    3102,   394,    -1,    -1,    -1,  4941,    -1,    -1,  3328,    -1,
      -1,    -1,  1198,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3349,
      -1,    -1,  1725,  4296,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3363,    -1,    -1,    -1,    -1,  4311,  1742,
      -1,  5180,  1725,    -1,    -1,    -1,    -1,    -1,  4436,    -1,
      -1,    -1,    -1,    -1,    -1,  5194,    -1,  1760,   461,  1742,
      -1,   464,   465,   466,    -1,   468,   469,   470,   471,   472,
     473,    -1,    -1,    -1,    -1,    -1,    -1,  1760,    -1,  3191,
      -1,    -1,  5221,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4493,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1816,   671,    -1,    -1,    -1,  3230,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1829,    -1,    -1,  4402,
      -1,    -1,    -1,  1816,    -1,    -1,    -1,    -1,  1841,    -1,
     697,    -1,    -1,    -1,    -1,  3475,  1829,  3259,    -1,    -1,
    1853,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1841,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3496,    -1,    -1,    -1,
    1853,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5329,  3521,    -1,    -1,  1897,  1898,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1407,    -1,    -1,  1897,  1898,  3328,    -1,    -1,    -1,
      -1,  3472,    -1,    -1,    -1,  3555,    -1,    -1,    -1,  4617,
    3481,    -1,    -1,    -1,    -1,    -1,  3487,  3349,  3489,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3363,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3516,  3517,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5413,    -1,    -1,    -1,  1474,    -1,
      -1,    -1,    -1,  3534,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3542,    -1,    -1,  3545,    -1,  3547,    -1,  3628,    -1,
      -1,    -1,    -1,    -1,    -1,  3556,  4579,  4580,  4581,    -1,
      -1,    -1,    -1,  3564,  3565,    -1,    -1,    -1,    -1,  1515,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2037,    -1,    -1,    -1,  5477,    -1,
       8,    -1,    -1,    11,    -1,  3596,    -1,    15,    16,    17,
      -1,    -1,  1548,  4741,  2037,    -1,  5495,    -1,    -1,    -1,
      -1,    -1,    -1,  3475,    32,    -1,    -1,    35,    -1,    -1,
    3621,    -1,    40,    -1,    -1,    -1,    -1,    -1,    -1,    47,
      -1,    -1,    -1,    -1,  3496,    -1,    -1,  4775,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3728,   956,
      -1,    -1,    -1,    -1,    72,    -1,    -1,    -1,    -1,  3521,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3752,    -1,   981,    -1,  4814,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   996,
      -1,    -1,    -1,  3555,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4737,    -1,    -1,    -1,    -1,    -1,
      -1,  2174,    -1,  4861,     8,  2178,  2179,    11,  4866,  4867,
      -1,    15,    16,    17,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2174,    -1,    -1,    -1,  2178,  2179,    -1,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    -1,    -1,    -1,
      -1,    -1,    -1,    47,   182,    -1,  3628,    -1,    -1,   187,
      -1,    -1,    -1,    -1,  1081,    -1,    -1,    -1,    -1,  1725,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2240,    72,    -1,
      -1,   209,   210,    -1,    -1,    -1,  1742,    -1,    -1,    -1,
      -1,  2254,  3882,    -1,    -1,    -1,   224,  2240,    -1,    -1,
      -1,    -1,    -1,    -1,  1760,    -1,    -1,    -1,    -1,    -1,
      -1,  2254,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   257,
      -1,    -1,  2295,    -1,    -1,  4983,    -1,    -1,    -1,    -1,
    3930,    -1,    -1,   271,  3934,    -1,   274,    -1,    -1,  4882,
      -1,  4884,  2295,    -1,    -1,    -1,  3728,    -1,    -1,    -1,
    1816,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1829,    -1,    -1,    -1,    -1,    -1,    -1,
    3752,  1198,    -1,    -1,    -1,  1841,    -1,    -1,   182,    -1,
      -1,    -1,    -1,   187,    -1,    -1,    -1,  1853,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   209,   210,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3935,  3936,    -1,    -1,    -1,    -1,
     224,    -1,    -1,    -1,   362,    -1,    -1,    -1,    -1,    -1,
      -1,  1897,  1898,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   671,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   257,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3986,    -1,   271,    -1,    -1,
     274,   697,    -1,    -1,    -1,    -1,    -1,  4077,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4087,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5039,    -1,    -1,    -1,
    3882,  4022,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4033,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2494,    -1,   461,    -1,  5183,   464,   465,   466,    -1,
     468,   469,   470,   471,   472,   473,    -1,    -1,    -1,    -1,
      -1,  2494,    -1,    -1,    -1,    -1,    -1,    -1,  3930,    -1,
      -1,    -1,  3934,  4074,  4075,    -1,    -1,    -1,   362,    -1,
    4081,  4082,    -1,    -1,    -1,  4086,    -1,    -1,    -1,    -1,
    4091,  2037,    -1,  4094,  4095,  5118,    -1,    -1,  4099,    -1,
    1407,    -1,    -1,    -1,  4105,    -1,    -1,    -1,    -1,    -1,
      -1,  4191,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2576,    -1,    -1,  2579,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2576,    -1,    -1,  2579,    -1,    -1,    -1,
    4230,    -1,    -1,    -1,    -1,    -1,  4157,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1474,    -1,    -1,
      -1,  4251,  4173,    -1,    -1,    -1,    -1,   461,    -1,    -1,
     464,   465,   466,    -1,   468,   469,   470,   471,   472,   473,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5223,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1515,    -1,
      -1,    -1,    -1,    -1,    -1,  4077,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4087,    -1,    -1,  2174,    -1,
      -1,    -1,  2178,  2179,    -1,    -1,  4316,    -1,    -1,    -1,
      -1,  1548,    -1,    -1,    -1,    -1,  2699,    -1,    -1,    -1,
     956,    20,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2716,    -1,    -1,  2699,    -1,    37,    -1,
      -1,    -1,    -1,  4274,    -1,   981,    -1,    -1,  2731,    -1,
      -1,    -1,    -1,  2716,    -1,    -1,    -1,    -1,    -1,    -1,
     996,    60,    -1,    -1,  2240,    -1,    -1,    -1,  2731,    -1,
    5323,    -1,    -1,    -1,    73,    -1,    -1,    -1,  2254,    -1,
      -1,    -1,    -1,    -1,    -1,    84,    -1,    -1,    -1,    88,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4191,
      -1,    -1,  5355,  5356,    -1,    -1,    -1,   106,    -1,    -1,
      -1,    -1,  4343,   112,    -1,    -1,    -1,    -1,    -1,  2295,
      -1,    -1,    -1,    -1,  4434,    -1,  4436,    -1,    -1,    -1,
     129,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4230,    -1,
      -1,   140,    -1,    -1,    -1,  1081,    -1,    -1,    -1,   148,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4251,
      -1,   160,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   168,
      -1,    -1,    -1,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4493,    -1,    -1,    -1,    -1,  1725,    -1,
      -1,    -1,   191,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1742,  5459,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1760,  4316,    -1,    -1,    -1,    -1,   228,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   237,    -1,
      -1,    -1,    -1,    -1,  2927,    -1,    -1,  2930,    -1,  2932,
      -1,    -1,    -1,    -1,  2937,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1198,    -1,  2927,    -1,    -1,  2930,    -1,  2932,
      -1,    -1,   271,    -1,  2937,   274,    -1,    -1,    -1,  1816,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4518,  4519,    -1,
      -1,  4522,  1829,    -1,    -1,    -1,   295,    -1,    -1,    -1,
      -1,    -1,    -1,  2986,  1841,    -1,    -1,  4617,    -1,    -1,
     309,    -1,    -1,    -1,    -1,    -1,  1853,   316,  2494,    -1,
      -1,    -1,  3005,  2986,    -1,    -1,    -1,    -1,  4559,  4560,
      -1,    -1,    -1,    -1,    -1,    -1,   335,    -1,    -1,    -1,
      -1,    -1,  3005,    -1,  4436,   344,    -1,  3030,    -1,    -1,
      -1,    -1,   351,    -1,    -1,   354,    -1,    -1,    -1,    -1,
    1897,  1898,    -1,    -1,    -1,    -1,    -1,  3030,    -1,    -1,
      -1,    -1,    -1,    -1,   373,    -1,    -1,    -1,    -1,    -1,
      -1,   380,    -1,    -1,    -1,    -1,    -1,   386,    -1,    -1,
     389,   390,    -1,   392,   393,    -1,    -1,    -1,    -1,    -1,
    2576,  4493,    -1,  2579,   403,    -1,    -1,    -1,    -1,   408,
      -1,    -1,    -1,    -1,    -1,   414,    -1,  3100,   417,  3102,
      -1,   420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4741,    -1,    -1,   433,    -1,    -1,  3100,    -1,  3102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4775,    -1,    -1,    -1,    -1,
      -1,  1407,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2037,    -1,    -1,    -1,  4814,    -1,    -1,    -1,  3191,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2699,    -1,  4617,    -1,    -1,  3191,    -1,
      -1,    -1,    -1,  4764,    -1,    -1,    -1,    -1,  1474,    -1,
    2716,    -1,    -1,    -1,    -1,    -1,  4777,  3230,    -1,    -1,
      -1,  4861,    -1,    -1,    -1,  2731,  4866,  4867,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3230,    -1,    -1,
      -1,    -1,    -1,  4804,    -1,    -1,  3259,    -1,    -1,  1515,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4818,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3259,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1548,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2174,    -1,    -1,
    4871,  2178,  2179,    -1,    -1,  3328,    -1,    -1,    -1,  4741,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3328,  3349,    -1,    -1,    -1,
      -1,    -1,  4982,  4983,    -1,    -1,    -1,    -1,    -1,    -1,
    3363,  4912,    -1,  4775,    -1,    -1,  3349,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3363,    -1,    -1,  2240,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2254,    -1,    20,
      -1,    -1,  4814,    -1,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2927,    -1,    -1,  2930,    -1,  2932,    -1,  2295,    60,
      -1,  2937,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4861,
      -1,    -1,    73,    -1,  4866,  4867,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    88,    -1,  1725,
      -1,    -1,  3475,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5032,    -1,    -1,    -1,   106,  1742,    -1,    -1,    -1,
    2986,    -1,  3475,  3496,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5052,    -1,    -1,  1760,    -1,    -1,    -1,   129,  3005,
      -1,    -1,    -1,  3496,    -1,    20,    -1,    -1,  3521,   140,
      25,    -1,    -1,    -1,    -1,    -1,    -1,   148,    -1,    -1,
      -1,    -1,    -1,    -1,  3030,    -1,    -1,    -1,  3521,   160,
      -1,    -1,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,
      -1,   172,  3555,  5183,    -1,    60,    -1,    -1,    -1,    -1,
    1816,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    73,    74,
     191,  4983,  3555,  1829,    -1,    -1,    -1,    -1,  5129,    84,
      -1,    -1,    -1,    88,    -1,  1841,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1853,    -1,    -1,
      -1,   106,    -1,    -1,  3100,    -1,  3102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   237,    -1,    -1,  5170,
    5171,  5172,    -1,    -1,   129,  3628,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   140,    -1,  2494,  5189,    -1,
      -1,  1897,  1898,   148,    -1,  3628,    -1,    -1,    -1,    -1,
     271,    -1,    -1,    -1,    -1,   160,    -1,    -1,    -1,    -1,
     165,    -1,    -1,   284,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   295,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   305,   306,   191,    -1,   309,    -1,
      -1,    -1,    -1,    -1,    -1,  3191,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   216,    -1,    -1,   335,    -1,  5267,   338,    -1,  2576,
      -1,   342,  2579,   344,    -1,  3728,    -1,    -1,    -1,    -1,
     351,    -1,   237,   354,  3230,    -1,    -1,    -1,  5289,    -1,
      -1,    -1,    -1,    -1,    -1,  3728,    -1,    -1,    -1,  3752,
      -1,    -1,   373,    -1,    -1,    -1,    -1,    -1,    -1,   380,
      -1,    -1,    -1,  3259,    -1,   386,   271,    -1,   389,  3752,
      -1,  5183,   393,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     401,  2037,   403,    -1,    -1,    -1,    -1,   408,    -1,    -1,
     295,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   420,
     305,   306,    -1,    -1,   309,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   433,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     335,    -1,  3328,   338,    -1,    -1,    -1,   342,    -1,   344,
      -1,    -1,  2699,    -1,    -1,    -1,   351,    -1,  5399,   354,
      -1,    -1,    -1,  3349,    -1,    -1,    -1,    -1,    -1,  2716,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3363,   373,    -1,
      -1,    -1,    -1,    -1,  2731,   380,    -1,    -1,    -1,  3882,
      -1,   386,    -1,  5434,   389,    -1,    -1,    -1,   393,    -1,
      -1,    -1,    -1,  5444,    -1,    -1,   401,    -1,   403,  3882,
      -1,    -1,    -1,   408,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2174,    -1,
      -1,    -1,  2178,  2179,    -1,    -1,    -1,  3930,   433,    -1,
      -1,  3934,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3930,    -1,    -1,
      -1,  3934,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1306,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3475,
      -1,    -1,    -1,    -1,  2240,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2254,    -1,
    3496,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3521,  1364,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2295,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3555,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2927,    -1,    -1,  2930,  4077,  2932,    -1,    -1,    -1,    -1,
    2937,    -1,    -1,    -1,  4087,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4077,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4087,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2986,
      -1,    -1,  3628,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3005,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3030,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4191,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4191,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4230,    -1,    -1,
      -1,    -1,  3728,    -1,    -1,    -1,    -1,    -1,  2494,    -1,
      -1,    -1,    -1,  3100,    -1,  3102,    -1,  4230,  4251,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3752,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4251,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1628,    -1,    -1,    -1,  1632,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4316,    -1,    -1,    -1,    -1,    -1,    -1,
    2576,    -1,    -1,  2579,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4316,  3191,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3230,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3882,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3259,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4436,  3930,    -1,    -1,    -1,  3934,    -1,
      -1,    -1,    -1,  2699,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4436,    -1,    -1,    -1,    -1,    -1,    -1,
    2716,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3328,    -1,    -1,    -1,  2731,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4493,    -1,  3349,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3363,    -1,    -1,    -1,
    4493,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4077,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4087,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4617,    -1,    -1,    -1,  3475,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4617,    -1,    -1,    -1,    -1,  3496,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1993,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3521,    -1,    -1,    -1,    -1,  2007,
      -1,  2927,    -1,  2011,  2930,    -1,  2932,    -1,    -1,    -1,
      -1,  2937,    -1,    -1,    -1,    -1,    -1,  2025,  2026,  2027,
      -1,  2029,    -1,    -1,    -1,  4191,    -1,    -1,  3555,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2986,    -1,    -1,  2071,  4230,    -1,    -1,    -1,  4741,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3005,
      -1,    -1,    -1,    -1,    -1,  4251,    -1,    -1,  4741,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3628,  4775,    -1,  3030,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2129,  4775,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2141,    -1,    -1,    -1,    -1,  2146,    -1,
      -1,  4814,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4814,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3100,    -1,  3102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4861,    -1,
      -1,    -1,    -1,  4866,  4867,    -1,    -1,    -1,    -1,    -1,
      -1,  3728,    -1,    -1,    -1,    -1,    -1,    -1,  4861,    -1,
      -1,    -1,    -1,  4866,  4867,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3752,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3191,    -1,    -1,    -1,    -1,
    4436,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3230,    -1,    -1,    -1,    -1,    -1,
    4983,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4493,    -1,    -1,
    4983,    -1,    -1,  3259,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3882,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3328,  3930,    -1,    -1,    -1,  3934,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3349,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3363,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4617,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5183,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5183,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3475,
    4077,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4087,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3496,    -1,    -1,    -1,    -1,  4741,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3521,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4775,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3555,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4814,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4191,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4861,    -1,    -1,    -1,    -1,
    4866,  4867,  3628,  4230,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4251,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2745,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2765,    -1,  2767,
      -1,    -1,  2770,  2771,    -1,  2773,    -1,  2775,    -1,    -1,
      -1,  2779,    -1,    -1,  2782,    -1,    -1,    -1,    -1,  2787,
      -1,    -1,    -1,    -1,    -1,  2793,    -1,    -1,    -1,  4316,
    2798,    -1,    -1,    -1,    -1,    -1,    -1,  2805,  2806,  2807,
    2808,    -1,  3728,    -1,  2812,  2813,    -1,  2815,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4983,    -1,  2827,
      -1,  2829,    -1,    -1,    -1,    -1,  3752,    -1,  2836,  2837,
    2838,  2839,  2840,  2841,  2842,  2843,  2844,  2845,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2882,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4436,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3882,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2973,  4493,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3930,    -1,    -1,    -1,  3934,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5183,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4617,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4077,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4087,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3220,  3221,  4741,    -1,    -1,  3225,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3254,    -1,  4775,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4191,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4814,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4230,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4251,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4861,    -1,    -1,    -1,    -1,  4866,
    4867,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4983,    -1,    -1,    -1,
      -1,    -1,    -1,  3471,    -1,    -1,    -1,    -1,    -1,  3477,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3493,  3494,    -1,    -1,  3497,
    3498,  3499,  3500,    -1,    -1,  3503,  3504,  3505,  3506,  3507,
    3508,  3509,  3510,  3511,  3512,  3513,    -1,    -1,    -1,    -1,
    4436,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3535,    -1,    -1,
    3538,    -1,  3540,    -1,    -1,  3543,  3544,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3558,  3559,  3560,  3561,    -1,  3563,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4493,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3637,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5183,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4617,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4741,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3853,    -1,    -1,    -1,  4775,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4814,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4861,    -1,    -1,    -1,    -1,
    4866,  4867,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4023,    -1,    -1,    -1,  4027,
    4028,  4029,    -1,    -1,    -1,    -1,    -1,  4035,  4036,  4037,
    4038,    -1,    -1,    -1,    -1,  4043,  4044,  4045,  4046,  4047,
    4048,  4049,  4050,  4051,  4052,  4053,  4054,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4983,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4080,    -1,    -1,  4083,    -1,  4085,    -1,    -1,
      -1,  4089,    -1,    -1,  4092,  4093,    -1,    -1,  4096,  4097,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4143,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4156,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5183,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4346,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4431,  4432,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4483,    -1,    -1,    -1,    -1,
    4488,  4489,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4506,    -1,
    4508,    -1,    -1,    -1,  4512,  4513,  4514,    -1,    -1,  4517,
      -1,    -1,  4520,  4521,    -1,    -1,    -1,  4525,    -1,    -1,
      -1,  4529,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4575,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4638,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4675,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4773,  4774,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4788,  4789,  4790,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4798,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4825,  4826,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4997,
      -1,    -1,  5000,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5013,    -1,    -1,  5016,    -1,
      -1,    -1,  5020,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5063,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5100,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5177,
      -1,  5179,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5206,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5260,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5292,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5352,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5388,  5389,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5440,  5441,    -1,    -1,    -1,  5445,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    -1,    -1,    -1,  5472,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      73,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,   197,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,   222,
     223,   224,    -1,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,    -1,
      -1,    -1,    -1,    -1,    -1,   468,   469,   470,    -1,    -1,
      -1,    -1,    -1,    -1,   477,   478,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    73,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
     197,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,   222,   223,   224,    -1,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,    -1,    -1,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,   432,   433,   434,   435,    -1,
      -1,   438,    -1,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,    -1,   463,    -1,    -1,    -1,
      -1,   468,   469,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     477,   478,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    73,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,    -1,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,    -1,    -1,    -1,    -1,    -1,    -1,   468,   469,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   477,   478,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    73,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,   197,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,   222,   223,   224,
      -1,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,    -1,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,    -1,    -1,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,   432,   433,   434,
     435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,    -1,    -1,    -1,
      -1,    -1,    -1,   468,   469,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   477,   478,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    73,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,   197,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,    -1,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,    -1,
      -1,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,   432,   433,   434,   435,    -1,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,    -1,    -1,     3,    -1,    -1,    -1,   468,
     469,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   477,   478,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    35,    -1,    37,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    -1,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    -1,    -1,    61,    62,    63,    64,    65,    -1,    67,
      68,    69,    70,    71,    -1,    -1,    -1,    75,    76,    77,
      78,    79,    -1,    81,    82,    83,    -1,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,   107,
     108,   109,   110,   111,    -1,   113,    -1,   115,   116,   117,
     118,   119,   120,    -1,   122,   123,   124,   125,    -1,    -1,
     128,   129,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,   147,
     148,   149,   150,    -1,   152,    -1,   154,   155,   156,   157,
      -1,   159,    -1,   161,    -1,    -1,   164,   165,   166,   167,
     168,    -1,   170,   171,    -1,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,    -1,   183,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,    -1,   196,   197,
     198,   199,   200,   201,   202,   203,   204,    -1,   206,    -1,
     208,    -1,    -1,   211,   212,   213,   214,   215,   216,   217,
      -1,    -1,   220,   221,   222,   223,    -1,    -1,   226,   227,
     228,    -1,    -1,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,    -1,
     258,    -1,   260,   261,   262,   263,   264,   265,    -1,   267,
     268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,
     278,    -1,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,    -1,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,    -1,   357,
     358,   359,   360,   361,    -1,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,    -1,   384,   385,    -1,   387,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,    -1,    -1,   415,   416,   417,
     418,   419,    -1,    -1,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,    -1,   432,   433,   434,   435,    -1,    -1,
     438,    -1,    -1,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,    -1,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     478,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    -1,    -1,    73,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    -1,
      -1,    -1,    99,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,    -1,
     147,   148,   149,    -1,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,    -1,   170,    -1,    -1,    -1,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
     197,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,    -1,   220,    -1,   222,   223,   224,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,    -1,    -1,   255,   256,
     257,   258,    -1,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,   279,   280,   281,    -1,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,    -1,   294,   295,    -1,
     297,    -1,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,   334,   335,   336,
     337,   338,   339,    -1,   341,   342,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,    -1,   384,   385,    -1,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,    -1,    -1,   400,   401,    -1,   403,    -1,    -1,   406,
     407,   408,   409,   410,   411,   412,    -1,    -1,   415,   416,
     417,   418,   419,    -1,    -1,   422,   423,   424,   425,   426,
      -1,   428,   429,   430,   431,   432,   433,   434,   435,    -1,
      -1,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   458,   459,   460,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,   478,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    -1,    -1,
      73,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    -1,    -1,    -1,    99,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,    -1,   147,   148,   149,    -1,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,    -1,   170,    -1,    -1,
      -1,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,   197,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,    -1,   220,    -1,   222,
     223,   224,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
      -1,    -1,   255,   256,   257,   258,    -1,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,    -1,   297,    -1,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,    -1,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
      -1,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,    -1,
     403,    -1,    -1,   406,   407,   408,   409,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,   424,   425,   426,    -1,   428,   429,   430,   431,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,    -1,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,   458,   459,   460,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,   478,    34,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    -1,    67,
      68,    69,    70,    71,    -1,    73,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    -1,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,    -1,   115,   116,   117,
     118,   119,   120,    -1,   122,   123,   124,   125,    -1,    -1,
     128,   129,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
      -1,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,    -1,   170,   171,    -1,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,    -1,   196,   197,
     198,   199,   200,   201,   202,   203,   204,    -1,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
      -1,    -1,   220,   221,   222,   223,   224,    -1,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,    -1,   267,
     268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,    -1,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,   432,   433,   434,   435,    -1,    -1,
     438,    -1,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,    -1,   463,    -1,    -1,    -1,    -1,
     468,   469,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   477,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      73,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,   197,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,   219,   220,   221,   222,
     223,   224,    -1,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,    -1,
      -1,    -1,    -1,    -1,    -1,   468,   469,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   477,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    -1,    67,
      68,    69,    70,    71,    -1,    73,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    -1,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,    -1,   115,   116,   117,
     118,   119,   120,    -1,   122,   123,   124,   125,    -1,    -1,
     128,   129,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
      -1,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,    -1,   170,   171,    -1,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,    -1,   196,   197,
     198,   199,   200,   201,   202,   203,   204,    -1,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
      -1,    -1,   220,   221,   222,   223,   224,    -1,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,    -1,   267,
     268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,    -1,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,    -1,   384,   385,    -1,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,   432,   433,   434,   435,    -1,    -1,
     438,    -1,    -1,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,    -1,    -1,    -1,    -1,    -1,    -1,
     468,   469,    -1,    -1,    -1,    -1,    -1,   475,   476,   477,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      73,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,   197,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,   222,
     223,   224,    -1,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,    -1,
      -1,    -1,    -1,    -1,    -1,   468,   469,   470,    -1,    -1,
      -1,    -1,    -1,    -1,   477,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    -1,    67,
      68,    69,    70,    71,    -1,    73,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    -1,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,    -1,   115,   116,   117,
     118,   119,   120,    -1,   122,   123,   124,   125,    -1,    -1,
     128,   129,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
      -1,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,    -1,   170,   171,    -1,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,    -1,   196,   197,
     198,   199,   200,   201,   202,   203,   204,    -1,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
      -1,    -1,   220,   221,   222,   223,   224,    -1,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,    -1,   267,
     268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,    -1,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,    -1,   384,   385,    -1,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,   432,   433,   434,   435,    -1,    -1,
     438,    -1,    -1,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,    -1,    -1,    -1,    -1,    -1,    -1,
     468,   469,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   477,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      73,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,   197,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,   222,
     223,   224,    -1,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,    -1,
      -1,    -1,    -1,    -1,    -1,   468,   469,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   477,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    -1,    67,
      68,    69,    70,    71,    -1,    73,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    -1,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,    -1,   115,   116,   117,
     118,   119,   120,    -1,   122,   123,   124,   125,    -1,    -1,
     128,   129,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,   166,   167,
     168,    -1,   170,   171,    -1,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,    -1,   196,   197,
     198,   199,   200,   201,   202,   203,   204,    -1,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
      -1,    -1,   220,   221,   222,   223,   224,    -1,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,    -1,   267,
     268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,    -1,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,    -1,   384,   385,    -1,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,   432,   433,   434,   435,    -1,    -1,
     438,    -1,    -1,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,    -1,    -1,    -1,    -1,    -1,    -1,
     468,   469,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   477,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      73,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,   197,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,   222,
     223,   224,    -1,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,    -1,
      -1,    -1,    -1,    -1,    -1,   468,   469,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   477,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    -1,    67,
      68,    69,    70,    71,    -1,    73,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    -1,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,    -1,   115,   116,   117,
     118,   119,   120,    -1,   122,   123,   124,   125,    -1,    -1,
     128,   129,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
      -1,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,    -1,   170,   171,    -1,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,    -1,   196,   197,
     198,   199,   200,   201,   202,   203,   204,    -1,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
      -1,    -1,   220,   221,   222,   223,   224,    -1,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,    -1,   267,
     268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,    -1,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,    -1,   384,   385,    -1,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,   432,   433,   434,   435,    -1,    -1,
     438,    -1,    -1,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,    -1,    -1,    -1,    -1,    -1,    -1,
     468,   469,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   477,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      73,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,   197,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,   222,
     223,   224,    -1,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,    -1,
      -1,    -1,    -1,    -1,    -1,   468,   469,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   477,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    -1,    67,
      68,    69,    70,    71,    -1,    73,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    -1,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,    -1,   115,   116,   117,
     118,   119,   120,    -1,   122,   123,   124,   125,    -1,    -1,
     128,   129,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
      -1,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,    -1,   170,   171,    -1,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,    -1,   196,   197,
     198,   199,   200,   201,   202,   203,   204,    -1,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
      -1,    -1,   220,   221,   222,   223,   224,    -1,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,    -1,   267,
     268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,    -1,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,    -1,   384,   385,    -1,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,   432,   433,   434,   435,    -1,    -1,
     438,    -1,    -1,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,    -1,    -1,    -1,    -1,    -1,    -1,
     468,   469,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   477,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      73,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,   197,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,   222,
     223,   224,    -1,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,    -1,
      -1,    -1,    -1,    -1,    -1,   468,   469,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   477,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    -1,    67,
      68,    69,    70,    71,    -1,    73,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    -1,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,    -1,   115,   116,   117,
     118,   119,   120,    -1,   122,   123,   124,   125,    -1,    -1,
     128,   129,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
      -1,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,    -1,   170,   171,    -1,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,    -1,   196,   197,
     198,   199,   200,   201,   202,   203,   204,    -1,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
      -1,    -1,   220,   221,   222,   223,   224,    -1,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,    -1,   267,
     268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,    -1,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,    -1,   384,   385,    -1,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,   432,   433,   434,   435,    -1,    -1,
     438,    -1,    -1,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,    -1,    -1,    -1,    -1,    -1,    -1,
     468,   469,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   477,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      73,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,   197,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,   222,
     223,   224,    -1,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,    -1,
      -1,    -1,    -1,    -1,    -1,   468,   469,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   477,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    -1,    67,
      68,    69,    70,    71,    -1,    73,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    -1,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,    -1,   115,   116,   117,
     118,   119,   120,    -1,   122,   123,   124,   125,    -1,    -1,
     128,   129,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
      -1,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,    -1,   170,   171,    -1,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,    -1,   196,   197,
     198,   199,   200,   201,   202,   203,   204,    -1,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
      -1,    -1,   220,   221,   222,   223,   224,    -1,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,    -1,   267,
     268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,    -1,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,    -1,   384,   385,    -1,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,   432,   433,   434,   435,    -1,    -1,
     438,    -1,    -1,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,    -1,    -1,    -1,    -1,    -1,    -1,
     468,   469,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   477,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      73,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,   197,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,   222,
     223,   224,    -1,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,    -1,
      -1,    -1,    -1,    -1,    -1,   468,   469,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   477,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    -1,    67,
      68,    69,    70,    71,    -1,    73,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    -1,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,    -1,   115,   116,   117,
     118,   119,   120,    -1,   122,   123,   124,   125,    -1,    -1,
     128,   129,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
      -1,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,    -1,   170,   171,    -1,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,    -1,   196,   197,
     198,   199,   200,   201,   202,   203,   204,    -1,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
      -1,    -1,   220,   221,   222,   223,   224,    -1,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,    -1,   267,
     268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,    -1,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,    -1,   384,   385,    -1,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,    -1,    -1,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,   432,   433,   434,   435,    -1,    -1,
     438,    -1,    -1,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     468,   469,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   477,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      73,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,   197,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,   212,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,   222,
     223,   224,    -1,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,    -1,
      -1,    -1,    -1,    -1,    -1,   468,   469,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   477,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    -1,    67,
      68,    69,    70,    71,    -1,    73,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    -1,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,    -1,   113,    -1,   115,   116,   117,
     118,   119,   120,    -1,   122,   123,   124,   125,    -1,    -1,
     128,   129,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
      -1,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,    -1,   170,   171,    -1,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,    -1,   196,   197,
     198,   199,   200,   201,   202,   203,   204,    -1,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
      -1,    -1,   220,   221,   222,   223,   224,    -1,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,    -1,   267,
     268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,    -1,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,    -1,   384,   385,    -1,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,    -1,    -1,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,   432,   433,   434,   435,    -1,    -1,
     438,    -1,    -1,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     468,   469,    -1,    -1,     3,     4,     5,     6,     7,   477,
       9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    73,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,   197,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,    -1,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,    -1,
      -1,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,    -1,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,   432,   433,   434,   435,    -1,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   468,
     469,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   477,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      34,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    -1,    67,    68,    69,    70,    71,    -1,    73,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      -1,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,    -1,   113,
      -1,   115,   116,   117,   118,   119,   120,    -1,   122,   123,
     124,   125,    -1,    -1,   128,   129,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,    -1,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,    -1,   170,   171,    -1,   173,
     174,   175,    -1,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,    -1,   196,   197,   198,   199,   200,   201,   202,   203,
     204,    -1,   206,    -1,   208,    -1,   210,   211,   212,   213,
     214,   215,   216,   217,    -1,    -1,   220,   221,   222,   223,
     224,    -1,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
      -1,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,    -1,   267,   268,    -1,    -1,   271,   272,   273,
      -1,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,    -1,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,    -1,
     384,   385,    -1,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
      -1,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,   432,   433,
     434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   468,   469,    -1,    -1,     3,     4,
       5,     6,     7,   477,     9,    10,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    73,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,   197,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,   222,   223,   224,
      -1,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,    -1,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,    -1,    -1,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,    -1,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,   432,   433,   434,
     435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,    -1,    -1,     3,     4,
       5,     6,     7,    -1,     9,    10,    -1,    -1,    -1,    -1,
      -1,    -1,   477,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    73,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,   197,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,   222,   223,   224,
      -1,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,    -1,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,    -1,    -1,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,    -1,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,   432,   433,   434,
     435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,    -1,    -1,     3,     4,
       5,     6,     7,    -1,     9,    10,    -1,    -1,    -1,    -1,
      -1,    -1,   477,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    73,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,   197,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,   222,   223,   224,
      -1,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,    -1,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,    -1,    -1,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,    -1,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,   432,   433,   434,
     435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,    -1,    -1,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,
      -1,    -1,   477,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    73,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,    -1,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,   197,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,   212,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,   222,   223,    -1,
      -1,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,    -1,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,    -1,    -1,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,   432,   433,   434,
     435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,    -1,    -1,     3,    -1,
      -1,    -1,    -1,   468,   469,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   477,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    60,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    73,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,   197,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,    -1,   220,   221,   222,   223,   224,
      -1,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,   270,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,    -1,    -1,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,    -1,    -1,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,   432,   433,   434,
     435,    -1,    -1,   438,    -1,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,    -1,    -1,   463,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   477,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    58,    -1,    60,    61,    62,    63,
      64,    65,    -1,    67,    68,    69,    70,    71,    -1,    73,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      -1,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,    -1,   113,
      -1,   115,   116,   117,   118,   119,   120,    -1,   122,   123,
     124,   125,    -1,    -1,   128,   129,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,   147,   148,   149,   150,    -1,   152,    -1,
     154,   155,   156,   157,    -1,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,    -1,   170,   171,    -1,   173,
     174,   175,    -1,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,    -1,   196,   197,   198,   199,   200,   201,   202,   203,
     204,    -1,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,    -1,   220,   221,   222,   223,
     224,    -1,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
      -1,   255,   256,   257,   258,    -1,   260,   261,   262,   263,
     264,   265,    -1,   267,   268,    -1,   270,   271,   272,   273,
      -1,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,    -1,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,    -1,
     384,   385,    -1,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,    -1,
      -1,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,   432,   433,
     434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,    -1,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   477,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    58,    -1,    60,    61,    62,    63,
      64,    65,    -1,    67,    68,    69,    70,    71,    -1,    73,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      -1,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,    -1,   113,
      -1,   115,   116,   117,   118,   119,   120,    -1,   122,   123,
     124,   125,    -1,    -1,   128,   129,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,   147,   148,   149,   150,    -1,   152,    -1,
     154,   155,   156,   157,    -1,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,    -1,   170,   171,    -1,   173,
     174,   175,    -1,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,    -1,   196,   197,   198,   199,   200,   201,   202,   203,
     204,    -1,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,    -1,    -1,   220,   221,   222,   223,
     224,    -1,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
      -1,   255,   256,   257,   258,    -1,   260,   261,   262,   263,
     264,   265,    -1,   267,   268,    -1,    -1,   271,   272,   273,
      -1,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,    -1,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,    -1,
     384,   385,    -1,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,    -1,
      -1,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,   432,   433,
     434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,    -1,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   477,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    58,    -1,    60,    61,    62,    63,
      64,    65,    -1,    67,    68,    69,    70,    71,    -1,    73,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      -1,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,    -1,   113,
      -1,   115,   116,   117,   118,   119,   120,    -1,   122,   123,
     124,   125,    -1,    -1,   128,   129,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,   147,   148,   149,   150,    -1,   152,    -1,
     154,   155,   156,   157,    -1,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,    -1,   170,   171,    -1,   173,
     174,   175,    -1,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,    -1,   196,   197,   198,   199,   200,   201,   202,   203,
     204,    -1,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,    -1,    -1,   220,   221,   222,   223,
     224,    -1,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
      -1,   255,   256,   257,   258,    -1,   260,   261,   262,   263,
     264,   265,    -1,   267,   268,    -1,    -1,   271,   272,   273,
      -1,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,    -1,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,    -1,
     384,   385,    -1,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,    -1,
      -1,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,   432,   433,
     434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,    -1,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   477,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    58,    -1,    60,    61,    62,    63,
      64,    65,    -1,    67,    68,    69,    70,    71,    -1,    73,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      -1,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,    -1,   113,
      -1,   115,   116,   117,   118,   119,   120,    -1,   122,   123,
     124,   125,    -1,    -1,   128,   129,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,   147,   148,   149,   150,    -1,   152,    -1,
     154,   155,   156,   157,    -1,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,    -1,   170,   171,    -1,   173,
     174,   175,    -1,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,    -1,   196,   197,   198,   199,   200,   201,   202,   203,
     204,    -1,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,    -1,    -1,   220,   221,   222,   223,
     224,    -1,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
      -1,   255,   256,   257,   258,    -1,   260,   261,   262,   263,
     264,   265,    -1,   267,   268,    -1,    -1,   271,   272,   273,
      -1,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,    -1,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,    -1,
     384,   385,    -1,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,    -1,
      -1,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,   432,   433,
     434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,    -1,    -1,     3,
       4,     5,    -1,    -1,    -1,     9,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   477,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    58,    -1,    -1,    61,    62,    63,
      64,    65,    -1,    67,    68,    69,    70,    71,    -1,    73,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      -1,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    -1,    -1,    -1,    99,    -1,    -1,    -1,   103,
     104,   105,   106,   107,   108,   109,   110,   111,    -1,   113,
      -1,   115,   116,   117,   118,   119,   120,    -1,   122,   123,
     124,   125,    -1,    -1,   128,   129,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,    -1,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,    -1,   170,   171,    -1,   173,
     174,   175,    -1,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,    -1,   196,   197,   198,   199,   200,   201,   202,   203,
     204,    -1,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,    -1,    -1,   220,   221,   222,   223,
     224,    -1,   226,   227,   228,    -1,    -1,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
      -1,   255,   256,   257,   258,    -1,   260,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,    -1,   271,   272,   273,
      -1,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,    -1,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,    -1,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,    -1,
     384,   385,    -1,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
      -1,   415,   416,   417,   418,   419,    -1,    -1,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,   432,   433,
     434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,    -1,    -1,     3,
      -1,    -1,    -1,    -1,   468,   469,   470,    -1,    -1,    -1,
      -1,    -1,    -1,   477,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    58,    -1,    -1,    61,    62,    63,
      64,    65,    -1,    67,    68,    69,    70,    71,    -1,    73,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      -1,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    -1,    -1,    -1,    99,    -1,    -1,    -1,   103,
     104,   105,   106,   107,   108,   109,   110,   111,    -1,   113,
      -1,   115,   116,   117,   118,   119,   120,    -1,   122,   123,
     124,   125,    -1,    -1,   128,   129,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,   147,   148,   149,   150,    -1,   152,    -1,
     154,   155,   156,   157,    -1,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,    -1,   170,   171,    -1,   173,
     174,   175,    -1,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,    -1,   196,   197,   198,   199,   200,   201,   202,   203,
     204,    -1,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,    -1,    -1,   220,   221,   222,   223,
     224,    -1,   226,   227,   228,    -1,    -1,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
      -1,   255,   256,   257,   258,    -1,   260,   261,   262,   263,
     264,   265,    -1,   267,   268,    -1,    -1,   271,   272,   273,
      -1,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,    -1,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,    -1,
      -1,   415,   416,   417,   418,   419,    -1,    -1,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,   432,   433,
     434,   435,    -1,    -1,   438,    -1,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,    -1,    -1,   463,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   477,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      73,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    -1,    -1,    -1,    99,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,   197,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,   222,
     223,   224,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,   257,   258,    -1,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   477,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    -1,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    -1,
      93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,    -1,
      -1,    -1,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,    -1,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,    -1,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,    -1,
     223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,    -1,   255,   256,    -1,   258,    -1,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,    -1,   432,
     433,   434,   435,    -1,    -1,   438,    -1,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,    -1,    -1,
     463,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   477,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
      -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,    -1,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,
      -1,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
      -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,    -1,   255,   256,    -1,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,    -1,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,    -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,    -1,
     432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,    -1,
      -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   477,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
      -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,    -1,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,
      -1,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
      -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,    -1,   255,   256,    -1,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,    -1,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,    -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,    -1,
     432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,    -1,
      -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   477,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
      -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,    -1,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,
      -1,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
      -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,    -1,   255,   256,    -1,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,    -1,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,    -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,    -1,
     432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,    -1,
      -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   477,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
      -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,    -1,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,
      -1,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
      -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,    -1,   255,   256,    -1,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,    -1,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,    -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,    -1,
     432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,    -1,
      -1,    -1,    -1,    -1,     3,     4,     5,    -1,    -1,     8,
       9,    -1,    -1,    -1,    -1,   477,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    -1,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,    -1,   147,   148,
     149,    -1,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,    -1,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,    -1,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,    -1,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,    -1,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,    -1,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,    -1,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   458,
     459,   460,    -1,    -1,    -1,   464,   465,   466,    -1,   468,
     469,   470,   471,   472,   473,     3,     4,     5,    -1,    -1,
       8,     9,    -1,    -1,    -1,    -1,    -1,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    -1,    72,    73,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,    -1,   147,
     148,   149,    -1,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,    -1,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,    -1,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,    -1,   297,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,    -1,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     458,   459,   460,    -1,     3,    -1,   464,   465,   466,     8,
     468,   469,   470,   471,   472,   473,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    -1,    -1,    75,    76,    77,    78,
      79,    -1,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,    -1,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
      -1,    -1,   211,    -1,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,    -1,   223,    -1,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,    -1,   255,   256,    -1,   258,
      -1,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
      -1,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,    -1,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,    -1,
      -1,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,    -1,    -1,   415,   416,   417,   418,
     419,    -1,    -1,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,    -1,   432,   433,   434,   435,    -1,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,    -1,     3,    -1,   464,   465,   466,     8,   468,
     469,   470,   471,   472,   473,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      -1,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,    -1,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,    -1,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,    -1,
      -1,   211,    -1,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,    -1,   255,   256,    -1,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,    -1,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,    -1,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,    -1,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,    -1,   384,   385,    -1,   387,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,    -1,    -1,   415,   416,   417,   418,   419,
      -1,    -1,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,    -1,   432,   433,   434,   435,    -1,    -1,   438,    -1,
      -1,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,    -1,     3,    -1,   464,   465,   466,     8,   468,   469,
     470,   471,   472,   473,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,    -1,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,    -1,    -1,   415,   416,   417,   418,   419,    -1,
      -1,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
      -1,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
      -1,     3,    -1,   464,   465,   466,     8,   468,   469,   470,
     471,   472,   473,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
      -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,    -1,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,
      -1,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
      -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,    -1,   255,   256,    -1,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,    -1,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,    -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,    -1,
     432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,    -1,
       3,    -1,   464,   465,   466,     8,   468,   469,   470,   471,
     472,   473,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    -1,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    -1,
      93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,    -1,
      -1,    -1,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,    -1,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,    -1,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,    -1,
     223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,    -1,   255,   256,    -1,   258,    -1,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,    -1,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,    -1,     3,
      -1,   464,   465,   466,     8,   468,   469,   470,   471,   472,
     473,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    -1,    50,    51,    -1,    53,
      54,    55,    56,    57,    58,    -1,    -1,    61,    62,    63,
      64,    65,    -1,    67,    68,    69,    70,    71,    -1,    -1,
      -1,    75,    76,    77,    78,    79,    -1,    81,    82,    83,
      -1,    85,    86,    87,    88,    89,    90,    -1,    -1,    93,
      94,    95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,
     104,   105,   106,   107,   108,   109,   110,   111,    -1,   113,
      -1,   115,   116,   117,   118,   119,   120,    -1,   122,   123,
     124,   125,    -1,    -1,   128,   129,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,   147,   148,   149,   150,    -1,   152,    -1,
     154,   155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,
      -1,   165,   166,   167,   168,    -1,   170,   171,    -1,   173,
     174,   175,    -1,   177,   178,   179,   180,   181,    -1,   183,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,    -1,   196,    -1,   198,   199,   200,   201,   202,   203,
     204,    -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,
     214,   215,   216,   217,    -1,    -1,   220,   221,    -1,   223,
      -1,    -1,   226,   227,   228,    -1,    -1,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
      -1,   255,   256,    -1,   258,    -1,   260,   261,   262,   263,
     264,   265,    -1,   267,   268,    -1,    -1,   271,   272,   273,
      -1,    -1,   276,   277,   278,    -1,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,    -1,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,    -1,   357,   358,   359,   360,   361,    -1,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,    -1,
     384,   385,    -1,   387,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,    -1,
      -1,   415,   416,   417,   418,   419,    -1,    -1,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,    -1,   432,   433,
     434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,    -1,     3,    -1,
     464,   465,   466,     8,   468,   469,   470,   471,   472,   473,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,    -1,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,    -1,    -1,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,    -1,    -1,
     415,   416,   417,   418,   419,    -1,    -1,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,    -1,   432,   433,   434,
     435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     3,    -1,    -1,   464,
     465,   466,    -1,   468,   469,   470,   471,   472,   473,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   470,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    -1,    -1,    75,    76,    77,    78,
      79,    -1,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,    -1,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
      -1,    -1,   211,    -1,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,    -1,   223,    -1,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,    -1,   255,   256,    -1,   258,
      -1,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
      -1,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,    -1,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,    -1,
      -1,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,    -1,    -1,   415,   416,   417,   418,
     419,    -1,    -1,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,    -1,   432,   433,   434,   435,    -1,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   470,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,    -1,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,    -1,    -1,   415,   416,   417,   418,   419,    -1,
      -1,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
      -1,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   470,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    -1,    -1,
      73,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    -1,    -1,    -1,    99,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,    -1,   147,   148,   149,    -1,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,    -1,   170,    -1,    -1,
      -1,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,   197,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,    -1,   220,    -1,   222,
     223,   224,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
      -1,    -1,   255,   256,   257,   258,    -1,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,    -1,   297,    -1,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,    -1,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
      -1,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,    -1,
     403,    -1,    -1,   406,   407,   408,   409,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,   424,   425,   426,    -1,   428,   429,   430,   431,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   458,   459,   460,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,   470,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    -1,    -1,    73,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    -1,    -1,    -1,
      99,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,    -1,   147,   148,
     149,    -1,    -1,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
      -1,   170,    -1,    -1,    -1,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,   197,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
      -1,   220,    -1,   222,   223,   224,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,    -1,    -1,   255,   256,   257,   258,
      -1,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,   275,   276,   277,   278,
     279,   280,   281,    -1,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,    -1,   294,   295,    -1,   297,    -1,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,   334,   335,   336,   337,   338,
     339,    -1,   341,   342,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,    -1,   384,   385,    -1,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,    -1,
      -1,   400,   401,    -1,   403,    -1,    -1,   406,   407,   408,
     409,   410,   411,   412,    -1,    -1,   415,   416,   417,   418,
     419,    -1,    -1,   422,   423,   424,   425,   426,    -1,   428,
     429,   430,   431,   432,   433,   434,   435,    -1,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,     3,     4,
       5,    -1,    -1,    -1,     9,    -1,    -1,    -1,    -1,   458,
     459,   460,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,   470,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    73,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    -1,    -1,    -1,    99,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,   197,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,   222,   223,   224,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,   269,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,    -1,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,    -1,    -1,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,    -1,
     415,   416,   417,   418,   419,    -1,    -1,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,   432,   433,   434,
     435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     3,     4,     5,    -1,
      -1,    -1,     9,   468,   469,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    73,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    -1,
      -1,    -1,    99,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
     197,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,   222,   223,   224,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,    -1,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,    -1,    -1,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,    -1,   415,   416,
     417,   418,   419,    -1,    -1,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,   432,   433,   434,   435,    -1,
      -1,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     3,     4,     5,    -1,    -1,    -1,
       9,   468,   469,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    73,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    -1,    -1,    -1,
      99,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,   197,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,   258,
      -1,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,    -1,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,    -1,
      -1,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,    -1,   415,   416,   417,   418,
     419,    -1,    -1,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,   432,   433,   434,   435,    -1,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     3,    -1,     5,    -1,    -1,    -1,     9,   468,
     469,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    73,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    -1,    -1,    -1,    99,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,   269,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,    -1,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,    -1,   415,   416,   417,   418,   419,    -1,
      -1,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       3,    -1,    -1,    -1,    -1,    -1,     9,   468,   469,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    -1,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    -1,
      93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,    -1,
     163,    -1,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,    -1,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,    -1,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,    -1,
     223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,    -1,   255,   256,    -1,   258,    -1,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,    -1,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     3,     4,
       5,    -1,    -1,    -1,     9,   468,   469,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    60,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    73,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,    -1,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,    -1,    -1,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       3,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      73,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    -1,    -1,    -1,    99,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,   197,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,   222,
     223,   224,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,   257,   258,    -1,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    73,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    -1,    -1,    -1,    99,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,   197,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,   222,   223,   224,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,    -1,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,    -1,    -1,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,    -1,    -1,
     415,   416,   417,   418,   419,    -1,    -1,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,   432,   433,   434,
     435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    73,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    -1,
      -1,    -1,    99,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
     197,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,   222,   223,   224,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,    -1,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,    -1,    -1,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,    -1,    -1,   415,   416,
     417,   418,   419,    -1,    -1,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,   432,   433,   434,   435,    -1,
      -1,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    73,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    -1,    -1,    -1,
      99,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,   197,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,   258,
      -1,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,    -1,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,    -1,
      -1,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,    -1,    -1,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,   432,   433,   434,   435,    -1,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    73,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    -1,    -1,    -1,    99,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,    -1,   170,
     171,   172,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,    -1,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,    -1,    -1,   415,   416,   417,   418,   419,    -1,
      -1,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      73,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    -1,    -1,    -1,    99,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,   197,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,   222,
     223,   224,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,   257,   258,    -1,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    73,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    -1,    -1,    -1,    99,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,   197,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,   222,   223,   224,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,    -1,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,    -1,    -1,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,    -1,    -1,
     415,   416,   417,   418,   419,    -1,    -1,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,   432,   433,   434,
     435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    73,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    -1,
      -1,    -1,    99,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
     197,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,   222,   223,   224,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,    -1,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,    -1,    -1,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,    -1,    -1,   415,   416,
     417,   418,   419,    -1,    -1,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,   432,   433,   434,   435,    -1,
      -1,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    73,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    -1,    -1,    -1,
      99,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,   197,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,   258,
      -1,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,    -1,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,    -1,
      -1,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,    -1,    -1,   415,   416,   417,   418,
     419,    -1,    -1,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,   432,   433,   434,   435,    -1,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    73,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    -1,    -1,    -1,    99,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,    -1,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,    -1,    -1,   415,   416,   417,   418,   419,    -1,
      -1,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    30,    31,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      73,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    -1,    -1,    -1,    99,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,   197,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,   222,
     223,   224,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,   257,   258,    -1,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     3,    -1,
       5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    73,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    -1,    -1,    -1,    99,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,   197,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,   222,   223,   224,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,    -1,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,    -1,    -1,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,    -1,    -1,
     415,   416,   417,   418,   419,    -1,    -1,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,   432,   433,   434,
     435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     3,    -1,     5,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    73,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    -1,
      -1,    -1,    99,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
     197,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,   222,   223,   224,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,    -1,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,    -1,    -1,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,    -1,    -1,   415,   416,
     417,   418,   419,    -1,    -1,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,   432,   433,   434,   435,    -1,
      -1,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     3,    -1,     5,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    73,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    -1,    -1,    -1,
      99,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,   197,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,   258,
      -1,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,    -1,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,    -1,
      -1,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,    -1,    -1,   415,   416,   417,   418,
     419,    -1,    -1,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,   432,   433,   434,   435,    -1,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    73,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    -1,    -1,    -1,    99,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,    -1,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,    -1,    -1,   415,   416,   417,   418,   419,    -1,
      -1,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      73,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    -1,    -1,    -1,    99,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,   197,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,   222,
     223,   224,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,   257,   258,    -1,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    73,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    -1,    -1,    -1,    99,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,   197,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,   222,   223,   224,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,    -1,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,    -1,    -1,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,    -1,    -1,
     415,   416,   417,   418,   419,    -1,    -1,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,   432,   433,   434,
     435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    73,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    -1,
      -1,    -1,    99,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
     197,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,   222,   223,   224,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,    -1,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,    -1,    -1,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,    -1,    -1,   415,   416,
     417,   418,   419,    -1,    -1,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,   432,   433,   434,   435,    -1,
      -1,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    73,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    -1,    -1,    -1,
      99,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,   197,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,   258,
      -1,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,    -1,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,    -1,
      -1,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,    -1,    -1,   415,   416,   417,   418,
     419,    -1,    -1,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,   432,   433,   434,   435,    -1,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    73,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    -1,    -1,    -1,    99,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,    -1,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,    -1,    -1,   415,   416,   417,   418,   419,    -1,
      -1,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    -1,
      -1,    74,    75,    76,    77,    78,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    -1,
      93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,   160,   161,    -1,
      -1,    -1,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,    -1,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,    -1,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,    -1,
     223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,    -1,   255,   256,    -1,   258,    -1,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,    -1,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,   160,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,   224,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,    -1,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,    -1,    -1,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,    -1,    -1,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,    -1,   432,   433,   434,
     435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,   169,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,    -1,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,    -1,    -1,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,    -1,    -1,   415,   416,
     417,   418,   419,    -1,    -1,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,    -1,   432,   433,   434,   435,    -1,
      -1,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    -1,    -1,    75,    76,    77,    78,
      79,    -1,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    91,    -1,    93,    94,    95,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,
     169,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,    -1,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
      -1,    -1,   211,    -1,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,    -1,   223,    -1,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,    -1,   255,   256,    -1,   258,
      -1,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
      -1,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,    -1,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,    -1,
      -1,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,    -1,    -1,   415,   416,   417,   418,
     419,    -1,    -1,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,    -1,   432,   433,   434,   435,    -1,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,    -1,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,    -1,
      -1,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
      -1,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    -1,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    91,    -1,
      93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,    -1,
      -1,    -1,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,    -1,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,    -1,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,    -1,
     223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,    -1,   255,   256,    -1,   258,    -1,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,    -1,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,   160,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,    -1,    -1,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,    -1,    -1,
     415,   416,   417,   418,   419,    -1,    -1,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,    -1,   432,   433,   434,
     435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,    -1,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,    -1,    -1,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,    -1,    -1,   415,   416,
     417,   418,   419,    -1,    -1,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,    -1,   432,   433,   434,   435,    -1,
      -1,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    -1,    -1,    75,    76,    77,    78,
      79,    -1,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,    -1,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
      -1,    -1,   211,    -1,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,    -1,   223,    -1,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,    -1,   255,   256,    -1,   258,
      -1,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,   270,   271,   272,   273,    -1,    -1,   276,   277,   278,
      -1,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,    -1,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,    -1,
      -1,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,    -1,    -1,   415,   416,   417,   418,
     419,    -1,    -1,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,    -1,   432,   433,   434,   435,    -1,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,    -1,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,    -1,    -1,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
      -1,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    -1,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    -1,
      93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,    -1,
      -1,    -1,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,    -1,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,    -1,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,    -1,
     223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,    -1,   255,   256,    -1,   258,    -1,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,    -1,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,    -1,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,    -1,    -1,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,    -1,    -1,
     415,   416,   417,   418,   419,    -1,    -1,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,    -1,   432,   433,   434,
     435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,    -1,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,    -1,    -1,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,    -1,    -1,   415,   416,
     417,   418,   419,    -1,    -1,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,    -1,   432,   433,   434,   435,    -1,
      -1,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    -1,    -1,    75,    76,    77,    78,
      79,    -1,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,    -1,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
      -1,    -1,   211,    -1,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,    -1,   223,    -1,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,    -1,   255,   256,    -1,   258,
      -1,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
      -1,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,    -1,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,    -1,
      -1,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,    -1,    -1,   415,   416,   417,   418,
     419,    -1,    -1,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,    -1,   432,   433,   434,   435,    -1,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,    -1,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,    -1,    -1,   415,   416,   417,   418,   419,    -1,
      -1,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
      -1,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    -1,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    -1,
      93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,    -1,
      -1,    -1,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,    -1,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,    -1,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,    -1,
     223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,    -1,   255,   256,    -1,   258,    -1,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,   270,   271,   272,
     273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,    -1,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,    -1,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,    -1,    -1,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,    -1,    -1,
     415,   416,   417,   418,   419,    -1,    -1,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,    -1,   432,   433,   434,
     435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,    -1,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,    -1,    -1,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,    -1,    -1,   415,   416,
     417,   418,   419,    -1,    -1,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,    -1,   432,   433,   434,   435,    -1,
      -1,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    -1,    -1,    75,    76,    77,    78,
      79,    -1,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,    -1,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
      -1,    -1,   211,    -1,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,    -1,   223,    -1,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,    -1,   255,   256,    -1,   258,
      -1,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
      -1,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,    -1,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,    -1,
      -1,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,    -1,    -1,   415,   416,   417,   418,
     419,    -1,    -1,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,    -1,   432,   433,   434,   435,    -1,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,    -1,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,    -1,    -1,   415,   416,   417,   418,   419,    -1,
      -1,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
      -1,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    -1,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    -1,
      93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,    -1,
      -1,    -1,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,    -1,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,    -1,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,    -1,
     223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,    -1,   255,   256,    -1,   258,    -1,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,    -1,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,    -1,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,    -1,    -1,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,    -1,    -1,
     415,   416,   417,   418,   419,    -1,    -1,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,    -1,   432,   433,   434,
     435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,   270,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,    -1,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,    -1,    -1,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,    -1,    -1,   415,   416,
     417,   418,   419,    -1,    -1,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,    -1,   432,   433,   434,   435,    -1,
      -1,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    -1,    -1,    75,    76,    77,    78,
      79,    -1,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,    -1,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
      -1,    -1,   211,    -1,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,    -1,   223,    -1,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,    -1,   255,   256,    -1,   258,
      -1,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
      -1,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,    -1,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,    -1,
      -1,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,    -1,    -1,   415,   416,   417,   418,
     419,    -1,    -1,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,    -1,   432,   433,   434,   435,    -1,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,    -1,    -1,   415,   416,   417,   418,   419,    -1,
      -1,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
      -1,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       3,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    -1,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    -1,
      93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,    -1,
      -1,    -1,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,    -1,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,    -1,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,    -1,
     223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,    -1,   255,   256,    -1,   258,    -1,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,    -1,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     3,    -1,
      -1,    -1,    -1,    -1,     9,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,    -1,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,    -1,    -1,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,    -1,    -1,
     415,   416,   417,   418,   419,    -1,    -1,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,    -1,   432,   433,   434,
     435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    35,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,    -1,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,    -1,    -1,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,    -1,    -1,   415,   416,
     417,   418,   419,    -1,    -1,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,    -1,   432,   433,   434,   435,    -1,
      -1,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    35,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    -1,    -1,    75,    76,    77,    78,
      79,    -1,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,    -1,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
      -1,    -1,   211,    -1,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,    -1,   223,    -1,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,    -1,   255,   256,    -1,   258,
      -1,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
      -1,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,    -1,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,    -1,
      -1,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,    -1,    -1,   415,   416,   417,   418,
     419,    -1,    -1,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,    -1,   432,   433,   434,   435,    -1,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,    -1,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,    -1,    -1,   415,   416,   417,   418,   419,    -1,
      -1,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
      -1,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    -1,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    -1,
      93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,    -1,
      -1,    -1,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,    -1,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,    -1,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,    -1,
     223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,    -1,   255,   256,    -1,   258,    -1,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,    -1,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,    -1,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,    -1,    -1,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,    -1,    -1,
     415,   416,   417,   418,   419,    -1,    -1,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,    -1,   432,   433,   434,
     435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,    -1,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,    -1,    -1,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,    -1,    -1,   415,   416,
     417,   418,   419,    -1,    -1,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,    -1,   432,   433,   434,   435,    -1,
      -1,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    -1,    -1,    75,    76,    77,    78,
      79,    -1,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,    -1,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
      -1,    -1,   211,    -1,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,    -1,   223,    -1,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,    -1,   255,   256,    -1,   258,
      -1,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
      -1,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,    -1,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,    -1,
      -1,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,    -1,    -1,   415,   416,   417,   418,
     419,    -1,    -1,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,    -1,   432,   433,   434,   435,    -1,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,    -1,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,    -1,    -1,   415,   416,   417,   418,   419,    -1,
      -1,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
      -1,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    -1,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    -1,
      93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,    -1,
      -1,    -1,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,    -1,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,    -1,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,    -1,
     223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,    -1,   255,   256,    -1,   258,    -1,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,    -1,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,    -1,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,    -1,    -1,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,    -1,    -1,
     415,   416,   417,   418,   419,    -1,    -1,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,    -1,   432,   433,   434,
     435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,    -1,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,    -1,    -1,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,    -1,    -1,   415,   416,
     417,   418,   419,    -1,    -1,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,    -1,   432,   433,   434,   435,    -1,
      -1,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    -1,    -1,    75,    76,    77,    78,
      79,    -1,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,    -1,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
      -1,    -1,   211,    -1,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,    -1,   223,    -1,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,    -1,   255,   256,    -1,   258,
      -1,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
      -1,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,    -1,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,    -1,
      -1,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,    -1,    -1,   415,   416,   417,   418,
     419,    -1,    -1,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,    -1,   432,   433,   434,   435,    -1,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,    -1,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,    -1,    -1,   415,   416,   417,   418,   419,    -1,
      -1,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
      -1,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    -1,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    -1,
      93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,    -1,
      -1,    -1,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,    -1,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,    -1,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,    -1,
     223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,    -1,   255,   256,    -1,   258,    -1,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,    -1,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,    -1,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,    -1,    -1,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,    -1,    -1,
     415,   416,   417,   418,   419,    -1,    -1,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,    -1,   432,   433,   434,
     435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,    -1,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,    -1,    -1,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,    -1,    -1,   415,   416,
     417,   418,   419,    -1,    -1,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,    -1,   432,   433,   434,   435,    -1,
      -1,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    -1,    -1,    75,    76,    77,    78,
      79,    -1,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,    -1,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
      -1,    -1,   211,    -1,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,    -1,   223,    -1,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,    -1,   255,   256,    -1,   258,
      -1,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
      -1,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,    -1,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,    -1,
      -1,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,    -1,    -1,   415,   416,   417,   418,
     419,    -1,    -1,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,    -1,   432,   433,   434,   435,    -1,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,    -1,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,    -1,    -1,   415,   416,   417,   418,   419,    -1,
      -1,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
      -1,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    -1,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    -1,
      93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,    -1,
      -1,    -1,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,    -1,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,    -1,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,    -1,
     223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,    -1,   255,   256,    -1,   258,    -1,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,    -1,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,    -1,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,    -1,    -1,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,    -1,    -1,
     415,   416,   417,   418,   419,    -1,    -1,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,    -1,   432,   433,   434,
     435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,    -1,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,    -1,    -1,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,    -1,    -1,   415,   416,
     417,   418,   419,    -1,    -1,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,    -1,   432,   433,   434,   435,    -1,
      -1,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    -1,    -1,    75,    76,    77,    78,
      79,    -1,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,    -1,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
      -1,    -1,   211,    -1,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,    -1,   223,    -1,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,    -1,   255,   256,    -1,   258,
      -1,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
      -1,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,    -1,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,    -1,
      -1,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,    -1,    -1,   415,   416,   417,   418,
     419,    -1,    -1,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,    -1,   432,   433,   434,   435,    -1,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,    -1,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,    -1,    -1,   415,   416,   417,   418,   419,    -1,
      -1,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
      -1,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    -1,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    -1,
      93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,    -1,
      -1,    -1,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,    -1,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,    -1,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,    -1,
     223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,    -1,   255,   256,    -1,   258,    -1,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,    -1,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,    -1,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,    -1,    -1,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,    -1,    -1,
     415,   416,   417,   418,   419,    -1,    -1,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,    -1,   432,   433,   434,
     435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,    -1,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,    -1,    -1,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,    -1,    -1,   415,   416,
     417,   418,   419,    -1,    -1,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,    -1,   432,   433,   434,   435,    -1,
      -1,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    -1,    -1,    75,    76,    77,    78,
      79,    -1,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,    -1,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
      -1,    -1,   211,    -1,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,    -1,   223,    -1,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,    -1,   255,   256,    -1,   258,
      -1,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
      -1,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,    -1,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,    -1,
      -1,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,    -1,    -1,   415,   416,   417,   418,
     419,    -1,    -1,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,    -1,   432,   433,   434,   435,    -1,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,    -1,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,    -1,    -1,   415,   416,   417,   418,   419,    -1,
      -1,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
      -1,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    -1,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    -1,
      93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,    -1,
      -1,    -1,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,    -1,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,    -1,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,    -1,
     223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,    -1,   255,   256,    -1,   258,    -1,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,    -1,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      35,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,    -1,    -1,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,    -1,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,    -1,    -1,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,    -1,    -1,
     415,   416,   417,   418,   419,    -1,    -1,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,    -1,   432,   433,   434,
     435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,    -1,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,    -1,    -1,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,    -1,    -1,   415,   416,
     417,   418,   419,    -1,    -1,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,    -1,   432,   433,   434,   435,    -1,
      -1,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    -1,    -1,    75,    76,    77,    78,
      79,    -1,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,    -1,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
      -1,    -1,   211,    -1,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,    -1,   223,    -1,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,    -1,   255,   256,    -1,   258,
      -1,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
      -1,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,    -1,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,    -1,
      -1,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,    -1,    -1,   415,   416,   417,   418,
     419,    -1,    -1,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,    -1,   432,   433,   434,   435,    -1,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,    -1,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,    -1,    -1,   415,   416,   417,   418,   419,    -1,
      -1,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
      -1,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    -1,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    -1,
      93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,    -1,
      -1,    -1,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,    -1,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,    -1,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,    -1,
     223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,    -1,   255,   256,    -1,   258,    -1,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,    -1,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,    -1,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,    -1,    -1,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,    -1,    -1,
     415,   416,   417,   418,   419,    -1,    -1,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,    -1,   432,   433,   434,
     435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,    -1,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,    -1,    -1,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,    -1,    -1,   415,   416,
     417,   418,   419,    -1,    -1,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,    -1,   432,   433,   434,   435,    -1,
      -1,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    -1,    -1,    75,    76,    77,    78,
      79,    -1,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,    -1,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
      -1,    -1,   211,    -1,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,    -1,   223,    -1,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,    -1,   255,   256,    -1,   258,
      -1,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
      -1,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,    -1,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,    -1,
      -1,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,    -1,    -1,   415,   416,   417,   418,
     419,    -1,    -1,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,    -1,   432,   433,   434,   435,    -1,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,    -1,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,    -1,    -1,   415,   416,   417,   418,   419,    -1,
      -1,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
      -1,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    -1,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    -1,
      93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,    -1,
      -1,    -1,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,    -1,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,    -1,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,    -1,
     223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,    -1,   255,   256,    -1,   258,    -1,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,    -1,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,    -1,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,    -1,    -1,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,    -1,    -1,
     415,   416,   417,   418,   419,    -1,    -1,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,    -1,   432,   433,   434,
     435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,    -1,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,    -1,    -1,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,    -1,    -1,   415,   416,
     417,   418,   419,    -1,    -1,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,    -1,   432,   433,   434,   435,    -1,
      -1,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    -1,    -1,    75,    76,    77,    78,
      79,    -1,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,    -1,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
      -1,    -1,   211,    -1,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,    -1,   223,    -1,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,    -1,   255,   256,    -1,   258,
      -1,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
      -1,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,    -1,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,    -1,
      -1,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,    -1,    -1,   415,   416,   417,   418,
     419,    -1,    -1,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,    -1,   432,   433,   434,   435,    -1,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,    -1,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,    -1,    -1,   415,   416,   417,   418,   419,    -1,
      -1,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
      -1,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    -1,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    -1,
      93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,    -1,
      -1,    -1,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,    -1,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,    -1,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,    -1,
     223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,    -1,   255,   256,    -1,   258,    -1,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,    -1,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,    -1,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,    -1,    -1,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,    -1,    -1,
     415,   416,   417,   418,   419,    -1,    -1,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,    -1,   432,   433,   434,
     435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    -1,    -1,    73,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    -1,
      -1,    -1,    99,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,    -1,
     147,   148,   149,    -1,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,    -1,   170,    -1,    -1,    -1,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
     197,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,    -1,   220,    -1,   222,   223,   224,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,    -1,    -1,   255,   256,
     257,   258,    -1,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,   279,   280,   281,    -1,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,    -1,   294,   295,    -1,
     297,    -1,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,   334,   335,   336,
     337,   338,   339,    -1,   341,   342,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,    -1,   384,   385,    -1,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,    -1,    -1,   400,   401,    -1,   403,    -1,    -1,   406,
     407,   408,   409,   410,   411,   412,    -1,    -1,   415,   416,
     417,   418,   419,    -1,    -1,   422,   423,   424,   425,   426,
      -1,   428,   429,   430,   431,   432,   433,   434,   435,    -1,
      -1,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   458,   459,   460,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    -1,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    -1,
      93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,    -1,
      -1,    -1,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,    -1,   175,    -1,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,    -1,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,    -1,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,    -1,
     223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,    -1,   255,   256,    -1,   258,    -1,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,    -1,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,    -1,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,    -1,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    -1,    -1,    -1,    99,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,    -1,   147,   148,   149,    -1,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,    -1,   170,    -1,    -1,    -1,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,    -1,   220,    -1,   222,   223,   224,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,    -1,    -1,
     255,   256,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,    -1,   279,   280,   281,    -1,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,    -1,   294,
     295,    -1,   297,    -1,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,   334,
     335,   336,   337,   338,   339,    -1,   341,   342,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,    -1,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,    -1,    -1,   400,   401,    -1,   403,    -1,
      -1,   406,   407,   408,   409,   410,   411,   412,    -1,    -1,
     415,   416,   417,   418,   419,    -1,    -1,   422,   423,   424,
     425,   426,    -1,   428,    -1,   430,   431,   432,   433,   434,
     435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   458,   459,   460,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      -1,    -1,    73,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    -1,    -1,    -1,    99,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,    -1,   147,   148,   149,    -1,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,    -1,   170,
      -1,    -1,    -1,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,    -1,   220,
      -1,   222,   223,   224,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,   258,    -1,    -1,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,    -1,   279,   280,
     281,    -1,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,    -1,   297,    -1,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,    -1,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,    -1,   384,   385,    -1,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,    -1,   403,    -1,    -1,   406,   407,   408,   409,   410,
     411,   412,    -1,    -1,   415,   416,   417,   418,   419,    -1,
      -1,   422,   423,   424,   425,   426,    -1,   428,    -1,   430,
     431,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   458,   459,   460,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    -1,    -1,    73,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    -1,
      -1,    -1,    99,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,    -1,
     147,   148,   149,    -1,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,    -1,   170,    -1,    -1,    -1,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,    -1,   220,    -1,   222,   223,   224,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,   258,    -1,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,    -1,   279,   280,   281,    -1,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,    -1,   294,   295,    -1,
     297,    -1,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,   334,   335,   336,
     337,   338,   339,    -1,   341,   342,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,    -1,   384,   385,    -1,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,    -1,    -1,   400,   401,    -1,   403,    -1,    -1,   406,
     407,   408,   409,   410,   411,   412,    -1,    -1,   415,   416,
     417,   418,   419,    -1,    -1,   422,   423,   424,   425,   426,
      -1,   428,    -1,   430,   431,   432,   433,   434,   435,    -1,
      -1,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   458,   459,   460,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    -1,    -1,
      73,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    -1,    -1,    -1,    99,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,    -1,   147,   148,   149,    -1,    -1,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,    -1,   170,    -1,    -1,
      -1,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,    -1,   220,    -1,   222,
     223,   224,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
      -1,    -1,   255,   256,   257,   258,    -1,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,    -1,   279,   280,   281,    -1,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,    -1,   297,    -1,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,    -1,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
      -1,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,    -1,
     403,    -1,    -1,   406,   407,   408,   409,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,   424,   425,   426,    -1,   428,    -1,   430,   431,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   458,   459,   460,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    -1,    -1,    73,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    -1,    -1,    -1,
      99,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,    -1,   147,   148,
     149,    -1,    -1,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
      -1,   170,    -1,    -1,    -1,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
      -1,   220,    -1,   222,   223,   224,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,    -1,    -1,   255,   256,   257,   258,
      -1,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,    -1,
     279,   280,   281,    -1,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,    -1,   294,   295,    -1,   297,    -1,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,   334,   335,   336,   337,   338,
     339,    -1,   341,   342,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,    -1,   384,   385,    -1,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,    -1,
      -1,   400,   401,    -1,   403,    -1,    -1,   406,   407,   408,
     409,   410,   411,   412,    -1,    -1,   415,   416,   417,   418,
     419,    -1,    -1,   422,   423,   424,   425,   426,    -1,   428,
      -1,   430,   431,   432,   433,   434,   435,    -1,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   458,
     459,   460,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    -1,    -1,    -1,    99,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,    -1,   147,   148,   149,    -1,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,    -1,   170,    -1,    -1,    -1,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,    -1,   220,    -1,   222,   223,   224,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,    -1,    -1,
     255,   256,   257,   258,    -1,    -1,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,    -1,   279,   280,   281,    -1,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,    -1,   294,
     295,    -1,   297,    -1,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,   334,
     335,   336,   337,   338,   339,    -1,   341,   342,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,    -1,   384,
     385,    -1,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,    -1,    -1,   400,   401,    -1,   403,    -1,
      -1,   406,   407,   408,   409,   410,   411,   412,    -1,    -1,
     415,   416,   417,   418,   419,    -1,    -1,   422,   423,   424,
     425,   426,    -1,   428,    -1,   430,   431,   432,   433,   434,
     435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   458,   459,   460,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      -1,    -1,    73,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    -1,    -1,    -1,    99,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,    -1,   147,   148,   149,    -1,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,    -1,   170,
      -1,    -1,    -1,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,    -1,   220,
      -1,   222,   223,   224,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,    -1,    -1,   255,   256,   257,   258,    -1,    -1,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,    -1,   279,   280,
     281,    -1,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,    -1,   294,   295,    -1,   297,    -1,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,    -1,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,    -1,   384,   385,    -1,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,    -1,    -1,   400,
     401,    -1,   403,    -1,    -1,   406,   407,   408,   409,   410,
     411,   412,    -1,    -1,   415,   416,   417,   418,   419,    -1,
      -1,   422,   423,   424,   425,   426,    -1,   428,    -1,   430,
     431,   432,   433,   434,   435,    -1,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   458,   459,   460,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    -1,    -1,    73,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    -1,
      -1,    -1,    99,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,    -1,
     147,   148,   149,    -1,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,    -1,   170,    -1,    -1,    -1,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,    -1,   220,    -1,   222,   223,   224,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,    -1,    -1,   255,   256,
     257,   258,    -1,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,    -1,   279,   280,   281,    -1,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,    -1,   294,   295,    -1,
     297,    -1,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,   334,   335,   336,
     337,   338,   339,    -1,   341,   342,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,    -1,   384,   385,    -1,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,    -1,    -1,   400,   401,    -1,   403,    -1,    -1,   406,
     407,   408,   409,   410,   411,   412,    -1,    -1,   415,   416,
     417,   418,   419,    -1,    -1,   422,   423,   424,   425,   426,
      -1,   428,    -1,   430,   431,   432,   433,   434,   435,    -1,
      -1,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   458,   459,   460,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    -1,    -1,
      73,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    -1,    -1,    -1,    99,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,    -1,   147,   148,   149,    -1,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,    -1,   170,    -1,    -1,
      -1,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,    -1,   220,    -1,   222,
     223,   224,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
      -1,    -1,   255,   256,   257,   258,    -1,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,    -1,   279,   280,   281,    -1,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,    -1,   297,    -1,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,    -1,   341,   342,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
      -1,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,    -1,    -1,   400,   401,    -1,
     403,    -1,    -1,   406,   407,   408,   409,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,   424,   425,   426,    -1,   428,    -1,   430,   431,   432,
     433,   434,   435,    -1,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   458,   459,   460,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    -1,    -1,
      49,    -1,    -1,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    -1,    -1,    65,    -1,    67,    68,
      69,    70,    -1,    -1,    73,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    -1,    -1,    -1,
      99,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
      -1,    -1,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,    -1,   147,   148,
     149,    -1,    -1,   152,    -1,   154,   155,    -1,   157,    -1,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
      -1,   170,    -1,    -1,    -1,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,   197,    -1,
     199,   200,   201,   202,    -1,    -1,    -1,    -1,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
      -1,   220,    -1,   222,   223,   224,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    -1,   248,
      -1,   250,   251,   252,    -1,    -1,   255,   256,   257,   258,
      -1,    -1,   261,    -1,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,    -1,
     279,   280,   281,    -1,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,    -1,   294,   295,    -1,   297,    -1,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,   334,   335,   336,   337,   338,
     339,    -1,   341,   342,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,   360,   361,   362,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,    -1,   384,   385,    -1,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,    -1,    -1,    -1,
      -1,   400,   401,    -1,   403,    -1,    -1,   406,   407,   408,
     409,   410,   411,   412,    -1,    -1,   415,   416,   417,   418,
     419,    -1,    -1,   422,   423,   424,   425,   426,    -1,    -1,
      -1,   430,   431,   432,   433,   434,   435,    -1,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   458,
     459,   460,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    -1,    -1,    -1,    -1,    -1,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    -1,    -1,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,    -1,    -1,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,    -1,   147,   148,   149,    -1,    -1,   152,    -1,   154,
     155,    -1,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,    -1,    -1,    -1,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,    -1,   199,   200,   201,   202,    -1,    -1,
      -1,    -1,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,    -1,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,    -1,    -1,    -1,   250,   251,   252,    -1,    -1,
     255,   256,    -1,   258,    -1,    -1,   261,    -1,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,    -1,    -1,   280,    -1,    -1,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,    -1,   294,
     295,    -1,   297,    -1,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,    -1,
     335,   336,   337,   338,   339,    -1,   341,   342,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,   360,   361,    -1,   363,   364,
      -1,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,    -1,   384,
     385,    -1,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,    -1,    -1,    -1,    -1,   400,   401,    -1,   403,    -1,
      -1,   406,   407,   408,   409,   410,   411,   412,    -1,    -1,
     415,   416,   417,   418,   419,    -1,    -1,   422,   423,   424,
     425,   426,    -1,    -1,    -1,   430,    -1,   432,   433,   434,
     435,    -1,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   458,   459,   460
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,    18,    28,    30,    31,    46,    55,    67,    69,    70,
      76,    78,    89,    91,   108,   111,   125,   127,   131,   137,
     145,   147,   153,   169,   186,   226,   227,   232,   244,   256,
     292,   300,   314,   320,   321,   323,   328,   333,   336,   343,
     349,   350,   357,   361,   371,   386,   406,   416,   422,   427,
     440,   463,   477,   484,   485,   486,   487,   488,   494,   495,
     497,   498,   499,   500,   502,   506,   518,   523,   524,   527,
     528,   529,   548,   551,   552,   567,   612,   613,   616,   619,
     620,   621,   629,   635,   637,   639,   640,   643,   646,   647,
     651,   660,   664,   665,   666,   667,   670,   672,   673,   674,
     675,   683,   685,   705,   709,   711,   712,   722,   724,   731,
     732,   735,   736,   737,   738,   739,   747,   749,   753,   758,
     762,   763,   771,   772,   775,   780,   793,   820,   823,   824,
     825,   830,   833,   835,   837,   839,   840,   845,   846,   849,
     850,   851,   855,   856,   859,   860,   863,   864,   865,   872,
     874,   875,   876,   882,   884,   885,   891,   892,   893,   894,
     895,   896,   897,   899,   900,   902,   903,   905,   906,   908,
     920,   926,   929,   931,   933,   942,   944,   950,   955,   959,
     960,   961,   962,   963,   964,   968,  1003,   400,   443,   877,
      25,    73,    88,   106,   112,   129,   140,   148,   160,   165,
     172,   191,   216,   237,   271,   295,   305,   306,   309,   335,
     338,   342,   344,   351,   354,   373,   380,   385,   386,   389,
     393,   403,   408,   420,   433,   636,   877,     3,    18,    19,
      20,    21,    22,    23,    24,    25,    27,    28,    29,    37,
      38,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    53,    54,    55,    56,    57,    58,    61,
      62,    63,    64,    65,    67,    68,    69,    70,    71,    73,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    85,
      86,    87,    88,    89,    90,    92,    93,    94,    95,    99,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   113,
     115,   116,   117,   118,   119,   120,   122,   123,   124,   125,
     128,   129,   130,   131,   132,   134,   135,   136,   138,   139,
     140,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     152,   154,   155,   156,   157,   159,   161,   162,   164,   165,
     166,   167,   168,   170,   171,   173,   174,   175,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   188,   189,
     190,   191,   192,   193,   194,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   206,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   220,   221,   222,   223,   224,
     226,   227,   228,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   255,   256,   257,   258,
     260,   261,   262,   263,   264,   265,   267,   268,   271,   272,
     273,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   294,   295,   296,
     297,   298,   299,   300,   301,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     351,   352,   353,   354,   355,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     384,   385,   387,   388,   389,   390,   391,   392,   393,   395,
     396,   397,   400,   401,   402,   403,   404,   406,   407,   408,
     409,   410,   411,   412,   415,   416,   417,   418,   419,   422,
     423,   424,   425,   426,   427,   428,   430,   431,   432,   433,
     434,   435,   438,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,  1062,  1136,  1144,  1145,  1148,  1149,  1150,
       3,    26,   956,  1130,  1144,  1148,   431,   913,   269,   301,
     877,    49,   477,   559,    20,    37,    60,    73,    84,   106,
     112,   129,   140,   148,   160,   168,   172,   228,   271,   274,
     295,   309,   335,   344,   354,   373,   380,   389,   390,   392,
     393,   403,   408,   414,   417,   420,   568,   618,   727,   781,
     794,    26,   300,  1130,   956,    26,   294,   352,   390,   392,
       5,   215,   831,   832,  1139,    20,    25,    60,    73,    88,
     106,   129,   140,   148,   160,   165,   172,   191,   237,   271,
     284,   295,   306,   309,   335,   338,   342,   344,   351,   354,
     373,   380,   386,   389,   393,   401,   403,   408,   420,   433,
     636,   740,   741,   742,   877,  1130,    91,   431,   477,   613,
     616,   619,   908,   921,   929,   932,   942,   949,   955,   959,
     968,     9,    19,    26,    44,   155,   161,   163,   187,   217,
     251,   303,   322,   468,   469,   759,   760,   956,  1138,  1140,
      26,    91,   318,   350,   764,   765,   766,  1144,   160,  1144,
    1135,  1139,   386,   971,   759,  1144,   328,   357,   361,   400,
    1130,   284,   237,   106,   191,   344,   385,   386,   477,   841,
     842,   343,  1144,    26,   355,   396,   400,   510,   519,   520,
    1144,    23,   169,   764,   765,   301,   877,  1144,   214,    26,
     126,   973,   974,    61,    85,   228,   246,   335,   344,   355,
     396,   400,   446,   507,   508,   509,   510,    26,   355,   396,
     400,   510,   400,   270,  1014,  1128,  1144,   971,   470,  1144,
     164,   477,   914,   477,   316,   965,   966,  1130,   965,   960,
     961,   964,     0,   480,   477,   913,   141,   205,   275,   413,
     975,   976,   960,   962,   963,   117,   201,   419,   481,    32,
     881,   810,  1136,   744,  1144,   744,  1131,  1144,   304,   744,
     403,  1130,   105,   386,   798,  1136,  1144,  1150,     3,   102,
     356,  1141,  1142,  1146,  1148,  1149,  1150,    26,   181,  1128,
     263,   433,     8,    15,    16,    17,    68,   152,   464,   465,
     466,   468,   469,   470,   471,   472,   473,   827,   829,  1092,
    1093,  1144,   181,  1130,   798,  1130,    26,  1141,  1142,   798,
    1130,  1130,   181,  1128,  1130,   744,  1130,   328,   357,    26,
     181,  1014,  1130,   347,  1130,   744,    26,   235,  1141,  1142,
     181,  1128,   215,   114,   211,   254,   312,   878,   879,   880,
     477,   475,   479,  1119,  1121,  1128,  1134,  1144,    20,    25,
      60,    73,    74,    84,    88,   106,   129,   140,   148,   160,
     165,   191,   216,   237,   271,   295,   306,   309,   335,   338,
     342,   344,   351,   354,   373,   380,   386,   389,   393,   401,
     403,   408,   433,   636,   750,   751,  1139,   881,   928,   932,
     942,   949,   959,  1128,   239,   744,   477,   181,   744,   403,
    1131,   744,   403,   181,  1130,   105,   386,   390,   392,  1141,
    1142,   390,   392,    68,   152,   827,   326,  1130,  1130,  1141,
     181,   503,  1144,   181,  1130,   181,   744,  1130,  1130,   347,
    1130,   744,   235,  1141,   316,   351,   386,   433,   237,    88,
     191,    25,   165,   306,   342,   401,   407,   630,    26,  1130,
     957,   517,  1139,  1146,   832,   239,   181,   810,   811,   181,
     836,   181,  1131,     3,    48,    50,    51,    63,    64,   109,
     110,   130,   156,   181,   203,   204,   206,   247,   249,   262,
     313,   359,   365,   396,   397,   428,   746,  1036,  1038,  1040,
    1042,  1044,  1046,  1047,  1048,  1050,  1051,  1052,  1054,  1055,
    1145,  1148,   403,   105,   386,   181,   797,   798,   181,  1142,
    1143,    80,   433,    68,   152,   181,   828,   829,    53,   181,
     797,   181,  1143,   181,   797,   181,  1130,   181,  1130,   347,
     836,   181,   746,   181,   235,  1143,   215,   181,   743,   744,
     181,  1129,  1130,   181,  1130,   881,   477,   930,   568,   921,
     427,   908,   922,   923,   924,  1146,   913,   201,   419,  1140,
     760,   761,    26,   761,  1140,   761,    26,   761,  1140,   761,
     761,   761,  1140,  1138,  1138,   956,   761,   304,   477,   477,
     588,   588,   588,   269,   398,   481,   588,   344,  1014,  1015,
     481,   873,   520,   508,   510,    26,   510,  1139,   477,   927,
      53,   433,   431,   843,   844,    80,   782,   782,  1144,    43,
     460,   211,   479,   272,   272,   269,   163,  1139,   398,   881,
     158,   754,   269,     4,     6,     7,     8,    10,    34,    48,
      50,    51,    59,    60,    63,    64,    71,    73,    96,    97,
      98,    99,   100,   101,   102,   109,   110,   112,   146,   150,
     151,   156,   171,   173,   203,   204,   206,   221,   229,   230,
     247,   249,   254,   259,   260,   262,   271,   282,   296,   313,
     340,   356,   365,   381,   396,   397,   402,   404,   405,   414,
     420,   428,   448,   449,   450,   451,   453,   454,   455,   456,
     461,   468,   469,   470,   477,   960,  1039,  1042,  1045,  1046,
    1047,  1049,  1050,  1051,  1054,  1055,  1059,  1061,  1062,  1063,
    1065,  1088,  1089,  1090,  1094,  1113,  1118,  1125,  1126,  1136,
    1137,  1138,  1139,  1144,  1124,  1125,  1139,    26,   525,  1127,
    1128,   355,   507,   112,   516,  1139,   517,  1139,    43,    65,
     507,   460,   366,   879,   272,   163,   398,   466,    43,   460,
     211,   880,   477,  1128,   470,  1121,  1015,   907,   908,   909,
     910,  1146,   162,   915,  1059,  1097,   965,   481,   477,   916,
     478,   478,   486,   907,   917,   918,   919,  1128,    26,   126,
     972,   972,    53,   972,   153,   158,   225,   266,   979,   981,
     982,   997,   999,  1000,  1001,   975,   976,   163,   207,  1014,
    1016,   477,    62,   252,   285,   324,   357,   477,   808,   285,
     320,   324,   357,   479,   745,   285,   324,   357,     3,    83,
     135,   231,   285,   292,   324,   357,   389,   391,   440,   518,
     521,   886,   887,   888,   889,   776,    22,   131,   285,   324,
     357,   424,   534,  1130,    22,   131,   357,   419,   501,   444,
     181,  1014,    56,    90,   120,   149,   184,   220,   254,   285,
     286,   324,   332,   341,   349,   357,   369,   378,   382,   435,
     518,   522,   813,   821,   477,   795,  1121,   324,   501,   187,
     146,    22,    28,    41,    70,   120,   124,   131,   134,   159,
     193,   252,   254,   264,   273,   285,   324,   327,   328,   357,
     424,   530,   532,   533,   654,     4,   468,   469,   627,  1140,
      26,   181,  1128,   744,   744,   477,   826,   285,   357,   479,
     146,   269,   120,   285,   324,   357,   821,    22,   131,   285,
     324,   357,   187,   496,   324,   440,   463,   489,   496,   120,
     285,   324,   357,   821,   269,   285,   324,   146,    35,    54,
     104,   190,   238,   241,   252,   284,   324,   329,   351,   357,
     371,   530,   624,   625,   285,   324,   432,   654,   662,   285,
     324,   357,    83,   124,   134,   285,   320,   324,   357,   520,
     508,   187,   146,    41,   122,   324,   357,   530,   531,   285,
     324,   328,   357,    81,   123,   287,   391,   269,    22,    28,
     131,   285,   324,   357,   549,   550,   496,   158,   324,   489,
     496,   146,   324,   357,   530,  1130,   223,   114,   270,   445,
     481,   878,    26,   126,   429,   470,   478,   803,  1059,  1098,
    1099,  1145,  1059,  1120,     3,    26,    30,    31,    32,    33,
      34,    35,    36,    39,    52,    59,    60,    66,    72,    74,
      84,    91,    96,    97,    98,   100,   101,   102,   112,   114,
     121,   126,   127,   133,   137,   141,   151,   153,   158,   160,
     163,   169,   172,   176,   187,   195,   205,   207,   218,   219,
     225,   229,   230,   254,   259,   266,   269,   270,   274,   275,
     293,   302,   318,   331,   350,   356,   367,   383,   386,   394,
     398,   399,   405,   413,   414,   420,   421,   429,   436,   437,
     439,   440,   470,  1133,  1147,  1148,  1149,  1150,  1151,  1119,
     421,   904,   269,   239,   810,   477,  1130,  1036,   403,   105,
     386,   798,   263,   433,    68,   152,   829,  1130,   798,   798,
    1130,   347,   158,  1130,  1036,   215,   744,  1130,   478,   588,
    1130,    66,  1036,   254,   163,   477,   713,  1130,   489,    35,
     898,  1130,   254,   489,   444,   181,  1128,   489,   744,   744,
     713,   417,   568,   269,   158,   857,   858,   489,   254,    43,
     504,   254,   408,   661,   254,   916,    83,   285,   638,    81,
     123,   287,   391,    24,    45,   202,   686,    35,   713,   158,
     181,   489,   433,   181,  1128,   181,   614,  1128,  1128,   433,
     744,   782,  1136,  1136,  1136,  1130,   158,   636,    49,   103,
     200,   252,   346,   146,    57,   330,   481,   535,   146,   477,
     146,   430,  1053,  1053,  1053,   477,  1041,  1041,   298,   477,
    1043,   146,    63,    64,  1053,  1041,  1038,   442,   463,   477,
    1056,   477,  1056,   481,   535,    34,  1037,   477,   107,   179,
     240,   243,   348,   458,   477,  1057,  1058,   745,  1041,   444,
     146,   481,   535,   146,   481,   181,   743,   181,   744,   181,
     744,   146,   481,   535,  1143,   146,   535,   146,   146,   535,
     146,   535,   146,    81,   123,   287,   391,   158,   146,   535,
     146,   158,   181,   181,   517,   146,   481,   535,   146,   481,
     535,   146,   269,  1097,   386,   478,   481,   151,   269,   405,
     514,   517,   627,   925,   921,   207,  1016,   761,   956,   761,
     956,   761,   956,   761,   956,   761,   956,   956,   956,   761,
     956,   477,   589,   590,  1144,   589,    26,   106,   129,   160,
     165,   215,   216,   306,   338,   344,   351,   386,   389,   408,
     767,  1127,  1143,   766,  1130,   187,   481,   945,  1139,  1036,
    1100,    35,  1143,   782,   478,   481,  1128,  1130,   223,  1144,
     158,   158,   767,  1143,   343,  1144,   517,   269,   477,  1122,
     475,   960,  1101,  1059,  1117,   477,   477,   158,   477,   477,
     960,   477,   477,   477,   477,   477,   477,  1059,   477,   477,
     477,   477,   477,   477,   477,   477,   960,   477,   477,   477,
     477,   477,   477,   477,   477,  1059,  1059,  1059,   960,  1059,
    1097,  1121,  1139,   477,  1139,     3,     8,    11,    15,    16,
      17,    32,    35,    40,    47,    72,   182,   187,   209,   210,
     224,   257,   271,   274,   362,   461,   464,   465,   466,   468,
     469,   470,   471,   472,   473,  1092,  1094,  1096,   441,  1075,
     281,  1059,   207,   481,   969,   477,  1139,  1121,   969,   115,
     183,   526,   481,    65,   112,   517,    35,     3,   112,   228,
     515,   627,  1055,  1139,  1139,    86,   128,  1071,    95,   112,
     511,   512,   514,   627,   112,   511,   223,  1128,    87,   329,
     748,   478,   481,   514,   627,   911,   913,   478,   481,   966,
    1129,    35,   478,   481,   916,   962,   962,   977,   978,  1059,
     962,   155,   251,   988,   213,   252,   312,   360,   419,    26,
     983,  1059,   468,   469,   984,   985,  1059,  1061,   997,   998,
     982,   981,   979,   980,   158,  1000,   264,  1002,   979,   997,
    1016,   934,  1128,    35,  1144,  1097,    62,   398,   398,   344,
     187,   198,   275,   278,   359,   429,   470,   801,   802,   803,
     805,   807,   809,  1036,  1145,   398,   432,   398,   344,  1133,
     479,   398,   398,   344,   225,   398,   398,   389,   507,   285,
     886,   888,   466,   890,   158,   169,   187,   333,   777,   778,
      66,    84,   142,   160,   302,   414,   585,   586,    84,   112,
     254,   398,    84,   398,   112,   254,   344,    84,   124,   134,
     285,   324,   710,   344,   644,    20,    25,    60,    73,    88,
     129,   140,   160,   165,   237,   271,   306,   338,   344,   351,
     354,   386,   393,   401,   408,   433,   636,  1130,   146,   324,
     357,   530,   269,   627,   269,   349,   220,   398,  1144,   398,
     259,   627,   116,   208,   344,   355,   400,   509,   744,   330,
     357,   813,   822,   478,   796,   801,   398,   420,   389,  1128,
      74,   142,   181,   575,   585,  1144,    74,    84,   847,   289,
     269,   269,   340,   342,   403,    84,   847,    29,   327,   340,
     342,   403,   340,  1128,   159,   193,   264,   744,   477,   398,
     398,   180,   477,   539,   234,   389,   417,   442,   539,    84,
     481,     4,     4,   285,   187,   146,   120,   324,   357,   530,
     421,   421,   253,  1036,   398,   344,   477,   827,  1130,  1128,
     269,   398,   398,   344,   822,   386,   386,   398,   398,   386,
     713,   106,   357,   521,   398,   491,   521,   269,   398,   398,
     344,   822,  1128,   398,   398,  1128,  1038,   627,    53,   626,
     627,   627,   104,   238,   241,    53,   398,   489,   245,   344,
     489,   252,   625,   398,   398,   259,  1139,   654,   398,   398,
     344,  1139,   398,   309,   398,   309,   713,   389,  1014,   289,
     289,    84,   398,   847,   344,   398,   398,   539,   539,   744,
     744,   744,   744,  1128,    42,   426,    42,    42,   398,    42,
     398,   426,   344,   481,   521,   420,   671,  1142,   398,   491,
     521,  1128,   398,   344,   285,   324,   312,   325,   353,   513,
     878,  1098,  1098,  1099,   478,    13,    14,   481,   975,   976,
     476,   482,  1134,  1144,  1128,   209,  1036,   269,   209,   444,
     209,   627,   744,   744,   209,   269,   209,   209,   269,    81,
     123,   287,   391,  1036,   269,   209,   209,   209,   398,   163,
     398,   553,   408,   477,    35,   146,   744,   714,   715,  1147,
      24,   886,  1036,   269,   146,   641,  1130,   254,   289,   477,
     490,   727,   421,   316,   433,  1128,    26,   386,   440,   817,
     490,   146,  1142,    91,   169,   505,   567,   620,   685,   762,
     780,   882,   146,  1139,   662,   663,   146,   269,  1139,  1142,
     231,   744,   744,   744,   744,   264,   117,   201,   406,   419,
     687,   688,   138,   311,   477,   671,   254,   490,  1128,   254,
     622,   624,   254,    35,   264,   289,   477,   588,   588,   181,
     617,  1128,   158,   181,   783,  1134,   477,   717,   808,   477,
     799,   799,    35,  1036,   215,   440,   442,   958,   346,   811,
     810,  1036,  1131,   477,  1097,  1138,   746,  1053,  1053,    34,
    1037,   396,   396,  1138,  1138,  1036,   475,   475,  1138,   398,
     398,   398,   477,   398,  1138,  1041,   797,   798,  1143,  1142,
     146,   535,   146,   421,   146,   421,   828,   829,   535,   797,
    1143,   797,  1130,  1130,  1036,   746,  1143,   671,   146,   146,
     535,   743,   744,  1129,  1130,  1130,   744,   478,   181,  1128,
     921,   923,   934,   357,   956,   956,   956,   956,   956,   956,
     589,   478,   481,   478,   166,   307,   339,   352,   387,  1129,
     743,   105,   354,   797,  1129,   263,   797,   797,  1129,  1127,
    1127,  1129,   743,   398,   440,   773,   141,   225,   668,   669,
      20,   144,   340,   360,   946,  1014,   258,   947,   478,   481,
     928,   398,  1128,   841,   842,   844,   765,   764,   765,   163,
     170,   774,  1144,    25,    74,   106,   129,   140,   160,   165,
     216,   237,   306,   309,   335,   338,   344,   351,   380,   386,
     389,   408,   433,   636,   755,   756,  1097,  1119,   476,  1097,
    1101,  1102,   436,  1114,  1115,  1059,  1097,   477,  1138,  1138,
       3,   107,   179,   240,   243,   348,   458,  1103,  1104,  1139,
    1097,  1097,  1097,  1138,  1138,  1059,   827,  1059,  1105,   340,
     468,   469,   477,  1060,  1061,  1094,  1107,   478,  1097,  1059,
    1097,  1108,  1059,    52,   163,   219,   399,  1059,  1097,  1111,
    1097,   245,  1061,  1059,  1069,  1070,  1071,   245,  1059,  1071,
     478,   481,  1138,  1057,  1036,  1059,  1059,  1059,  1059,  1147,
     396,    39,   383,  1123,   744,  1059,   477,   960,  1112,   126,
     128,   151,   254,   259,   264,   405,   415,  1059,   477,  1059,
     398,    47,   182,   187,   224,   362,  1059,  1059,  1059,  1059,
    1059,  1059,  1059,  1059,  1059,  1059,    26,    33,   367,  1091,
     172,   154,  1076,   340,   477,  1088,   168,   228,   386,   390,
     392,   417,   970,  1128,  1126,   163,  1004,  1098,  1004,  1128,
     400,   477,  1139,   481,   478,   180,   180,   535,   919,   909,
     908,   912,  1059,   478,   237,   254,   967,   919,   917,   481,
      36,   121,   421,   791,   340,   341,   468,   469,   985,   987,
    1061,   360,   213,   270,   481,     4,   986,  1138,   986,   340,
     341,   987,  1127,   258,   364,   948,   998,   980,   421,   943,
      35,  1144,   478,  1142,  1130,  1130,   278,    53,  1145,   478,
     803,   805,   802,   805,  1145,   275,   478,   481,   745,  1142,
    1130,  1130,  1133,  1142,  1130,  1130,  1142,  1131,  1130,   112,
     514,  1140,   335,   420,   764,   344,   169,   764,   477,  1130,
     421,   784,   213,   213,   421,   477,   611,   181,  1130,   259,
    1142,  1130,  1130,  1059,   259,  1130,  1130,    29,   327,   398,
     398,  1130,   398,   645,   239,   810,   477,   744,   744,  1036,
     403,   105,   386,   798,   433,    68,   152,   829,   798,   798,
    1130,   744,  1130,   744,   347,   158,  1036,   744,   215,   175,
     252,   285,   324,   425,   648,   649,   650,  1014,   398,   847,
     344,   259,   148,   116,   208,  1142,  1130,   269,  1130,   478,
     481,  1141,  1143,  1130,   324,   530,   181,   575,   254,  1036,
    1130,  1138,  1144,  1128,  1130,   148,   223,  1130,    26,   420,
    1130,   181,  1130,   181,  1144,   342,   403,   342,   403,   223,
    1130,    26,   420,  1130,   223,   340,  1128,    22,   131,   357,
     655,   656,   657,   658,  1147,  1142,  1130,   112,   164,   255,
     421,   538,   541,   542,  1147,  1130,    70,   267,  1130,   533,
     398,   389,  1128,   269,   398,   847,   344,  1132,  1144,  1132,
     481,   478,   481,  1142,  1130,   852,   853,  1147,   269,   324,
     398,   679,   148,  1142,  1130,  1130,  1015,  1015,  1142,  1130,
    1015,  1131,  1141,     3,    83,   136,   193,   291,   412,   420,
     423,   492,   148,  1142,  1130,  1130,   324,  1142,  1130,   324,
     357,   530,   624,   627,   744,  1130,   627,   744,  1130,   627,
    1142,  1130,  1142,  1130,  1130,  1142,   817,  1130,   861,   862,
    1147,  1130,   324,   357,   530,   531,  1128,  1128,  1130,  1130,
    1130,  1130,  1142,  1130,    22,    28,   131,   285,   324,   357,
     285,   324,   357,   713,   324,   357,   324,   357,   120,   324,
    1028,  1144,   181,   723,  1144,   181,  1144,  1142,  1130,  1130,
    1139,  1130,    22,   550,   354,  1141,   324,   357,   530,  1130,
    1130,   398,   398,    79,   411,   312,   481,   975,   975,   975,
    1059,  1059,   429,  1099,   478,  1059,  1120,   259,   752,  1139,
      35,   129,   744,   752,   752,   209,   421,   421,   752,   744,
     752,   752,   744,   215,   744,   752,   752,   752,   308,   554,
     554,   191,   386,   684,  1059,  1036,   744,   478,   481,   466,
     687,   577,  1147,  1130,    57,   163,   344,   432,   642,   649,
     650,   146,   264,   224,   569,   571,   573,   575,   582,   585,
      23,   187,   335,   384,   492,   493,   158,  1132,   433,  1128,
      35,   680,   387,  1015,   713,   503,  1144,   504,   274,   568,
    1130,   160,   744,  1097,   309,  1139,   713,   713,   713,   713,
     264,   269,   274,   477,   713,  1026,  1027,  1028,   354,   146,
     477,   146,   146,   145,   959,   744,   264,   569,  1144,   421,
     606,   440,   540,   254,    35,   588,  1139,   254,   269,     3,
     718,   719,   713,   478,   800,   801,   806,    35,   215,   332,
     401,   439,   812,   813,   814,   812,   269,   215,   517,   178,
     178,   158,   535,    35,  1097,   478,   478,   535,   475,   460,
     460,   478,   478,  1138,   476,  1138,   478,   179,   240,  1058,
     240,  1058,  1058,  1138,   243,   478,   535,   743,   744,  1132,
     744,  1132,   535,   535,   535,   535,   215,   535,   354,   158,
     517,   535,   535,   269,   535,   254,   112,   283,   477,   935,
     959,   477,   951,   952,   953,  1144,   478,   590,   187,   187,
     187,   187,   187,   444,  1129,   627,   628,   172,   768,   769,
    1142,    23,   774,   398,   477,   163,   144,   360,   144,   360,
     340,   419,   242,  1036,  1142,   440,   615,   782,   782,   163,
     269,   768,    53,   535,   810,  1036,   403,   386,   798,   263,
     433,   798,   798,  1036,   215,   744,  1130,   478,   476,   476,
     481,  1059,   133,  1115,  1116,    35,   478,  1059,   478,   478,
     478,   163,   478,   478,   478,   478,   478,   481,   478,   293,
    1106,   478,   477,  1060,  1060,  1097,    11,    15,    16,    17,
     187,   209,   271,   464,   465,   466,   468,   469,   470,   471,
     472,   473,  1094,  1060,   478,   478,   158,   163,  1109,  1110,
     478,    35,  1111,  1097,  1111,  1111,   163,   478,   478,  1147,
     290,  1073,    35,   478,   481,  1059,  1147,   481,  1059,  1122,
    1059,   478,   460,  1060,  1060,   139,  1097,   163,   126,   128,
     151,   259,   264,   405,   415,   477,   139,   827,  1059,   383,
    1123,  1059,  1112,  1059,   398,   477,   960,   477,   477,   280,
    1080,   477,  1097,   390,   392,   390,   392,  1128,   971,   971,
     971,   218,   341,   457,   477,   960,  1005,  1006,  1007,  1014,
    1019,  1029,  1062,  1064,  1065,  1144,   437,  1024,   975,  1024,
     879,  1138,  1057,   512,   919,   237,   477,   978,   271,  1092,
    1095,   462,   792,     4,  1138,   987,   270,   419,   984,   233,
    1005,   437,  1025,  1144,   809,   745,   805,   805,    53,   807,
     472,  1143,  1143,   269,  1129,   272,   269,  1059,   586,  1132,
     477,   477,   477,   611,   191,   589,   703,   146,   535,   398,
    1142,  1130,   517,  1130,  1036,  1130,   444,   744,   744,   744,
     744,    81,   123,   287,   391,  1036,  1130,   631,  1130,   175,
     425,   398,   398,   631,   648,   654,   324,   357,   530,  1130,
    1130,  1130,   199,  1130,   259,   801,   284,   357,   398,   254,
     146,   273,   652,   703,   357,    22,   131,   328,   329,   357,
     534,   543,   544,   654,   848,  1130,   349,   146,   535,   146,
     535,  1130,  1130,  1130,  1130,   349,   349,   223,   657,   658,
     657,   478,   481,   659,  1139,   191,   478,   481,   466,   479,
    1142,  1130,   324,   357,   530,   148,  1130,  1130,  1130,   285,
     324,   357,    22,   131,   285,   324,   357,  1036,   253,  1036,
     478,   481,   466,  1128,   398,  1143,   421,   676,  1130,   225,
     291,   259,  1139,   291,  1143,   418,  1130,   398,   398,   344,
     481,   817,   284,   357,    84,   398,   847,   344,   112,   158,
     545,   398,   398,   235,   235,   235,   398,   398,   344,   398,
     398,   344,   398,   344,   398,   344,   269,   398,   535,  1036,
     254,  1139,   357,   848,   146,   535,   398,   398,  1130,   398,
     344,  1142,  1130,   478,   478,   478,  1099,   476,  1036,   744,
     209,   752,  1132,  1132,   209,   209,  1130,   209,   374,   375,
     555,  1139,   555,   175,   478,   478,   163,   713,   715,   253,
     271,   468,   469,   627,   716,   805,  1095,  1139,  1151,   269,
      66,    72,    84,   112,   114,   167,   195,   254,   259,   302,
     318,   414,   578,   579,   581,   145,   436,   489,   517,  1130,
     517,   652,  1128,  1128,  1128,   478,   481,  1143,   172,   335,
    1143,  1138,   408,  1128,   588,     3,   158,   681,    43,   504,
     326,   386,   661,   105,   916,   163,   861,   540,   589,  1128,
     688,   720,   721,  1139,   478,   481,  1130,   158,   589,  1128,
     614,  1128,  1130,   615,   477,   570,  1128,   478,  1132,   440,
     442,   607,   539,    35,   146,   959,   606,   398,   146,  1014,
     466,   478,   481,   478,   481,   112,   466,   815,  1139,   517,
     386,   804,   805,   158,   816,   814,   117,   201,   350,   419,
     870,  1130,   175,   959,  1036,   478,  1138,  1056,  1056,   476,
     476,   478,   535,   421,   535,   421,   535,  1130,  1130,   671,
     535,   744,   146,   427,   385,   420,   936,   937,   938,  1144,
     269,   939,   953,   954,   481,  1004,   466,  1122,   344,   344,
     344,   344,   344,  1129,   481,  1142,   440,   481,   770,   272,
    1015,   354,   144,   144,   105,   252,  1128,  1130,  1143,   767,
     535,  1142,   209,   209,   209,   627,   209,   209,   209,   209,
     209,  1101,   394,  1059,   137,  1036,   478,  1059,  1059,  1059,
    1109,   478,  1097,   481,  1036,  1060,  1060,  1060,  1060,   126,
     128,   254,   264,  1060,  1060,  1060,  1060,  1060,  1060,  1060,
    1060,  1060,  1060,  1059,  1059,  1110,  1109,  1036,   478,   478,
     478,  1097,   478,   481,    53,  1061,  1074,   478,  1147,  1070,
     299,   379,  1072,   478,   481,   432,  1066,    35,   478,  1139,
    1059,    32,    32,  1059,   478,  1059,   163,   477,  1100,  1059,
     478,   139,  1060,  1060,   139,   139,  1059,  1059,   976,   437,
     477,  1081,  1144,   478,  1097,   481,   971,   971,   971,   971,
    1128,  1128,  1128,   960,  1019,  1029,   163,   477,   960,  1006,
    1007,    35,  1008,  1009,  1144,   481,    92,   164,   197,   212,
     222,   248,   334,  1011,  1009,    35,  1008,  1010,  1144,  1009,
     463,  1023,  1121,  1059,   172,   989,   478,   989,   478,   928,
     477,   792,   155,   217,   270,    95,  1059,   331,   941,   478,
     472,   809,   408,   166,   339,   345,   352,   387,   409,   779,
     158,   779,   478,   477,   593,   594,   786,  1064,  1144,   589,
     589,   703,  1134,   478,   114,   195,   252,   254,   704,  1130,
    1130,    35,  1130,   421,   421,   744,   744,   744,   744,   215,
     745,  1142,  1130,   398,   847,   344,   398,   199,    53,   389,
    1130,   146,   575,   477,   577,   373,   167,   180,   254,   539,
     489,   105,   167,   254,   373,   376,   539,   625,   357,   544,
     408,  1130,  1144,   349,   656,  1130,   542,   716,  1147,   284,
     357,   398,   847,   344,  1130,   398,   398,   398,   344,   165,
     271,   376,   725,   726,   165,   271,   733,   734,   398,   398,
     344,   478,   478,   478,   853,   253,   627,   805,   854,  1095,
    1139,  1151,   324,  1130,   477,   440,   677,  1140,  1139,  1139,
    1139,  1130,  1130,  1130,   862,    53,   389,  1130,  1130,  1130,
    1130,   427,  1130,  1130,   158,   158,   326,   158,   181,  1142,
    1130,  1130,  1142,  1130,  1130,  1130,  1130,  1130,  1130,   148,
    1130,    72,   536,   146,    24,    45,   408,  1144,  1130,  1139,
     654,  1130,  1130,   975,   478,   209,   752,   209,   209,   752,
     752,   209,   752,   489,   421,   560,   561,   631,   703,   440,
     442,   744,  1128,   477,   744,  1130,  1060,    29,    53,   580,
     115,   183,   114,   259,   213,  1128,   817,   165,   306,   699,
     706,   707,  1144,   641,   289,   477,   570,   583,   194,   600,
     573,  1143,  1143,  1036,   477,   540,    26,   117,   201,   350,
     419,   682,   398,   678,  1142,   181,  1128,   663,   444,   269,
    1005,   817,   319,   689,   478,   481,  1028,   652,   671,   478,
     622,    35,   264,   289,   477,   930,   572,   574,   576,   585,
    1144,   289,   601,   602,   570,   600,   539,   267,   269,   608,
     959,   617,   615,   540,  1139,  1134,   784,   716,     3,   719,
     806,  1059,  1059,   481,   477,   812,   408,   481,   398,   477,
     631,   478,   476,  1132,  1132,   535,   354,   535,   426,   478,
     481,  1122,    82,   941,   478,   481,   952,  1025,  1059,  1129,
    1129,  1129,  1129,  1129,   627,   169,   769,   478,  1130,   105,
     774,   163,   259,   757,  1139,   757,   757,   209,   757,   757,
     757,   757,   757,  1059,   478,   478,  1110,   478,  1059,   163,
     126,   128,   264,   477,   478,   447,  1068,  1097,   317,   426,
      53,  1074,  1061,   438,   438,   478,  1059,   252,  1059,   481,
    1067,  1038,  1059,  1059,  1059,  1100,   478,  1059,    32,    32,
    1059,  1059,   139,   478,   478,  1059,  1082,  1144,   478,  1059,
    1128,  1128,  1128,  1128,  1009,  1010,  1009,   477,   452,  1061,
     478,  1144,   477,  1006,   212,   279,  1012,  1006,  1012,   212,
    1011,  1012,   212,   388,  1017,   477,  1144,   477,   276,    53,
     176,   996,  1139,   996,  1139,   478,   827,   264,  1125,   408,
     478,   398,   764,   163,   703,  1059,   478,   481,   440,    72,
     789,   789,   478,   478,   188,   591,   115,   183,   193,   114,
     423,   535,  1036,  1132,  1132,  1130,  1130,  1130,  1130,  1130,
    1143,  1130,   575,   653,   657,  1140,   580,   181,   259,   627,
     580,   259,  1140,  1144,  1036,   535,   535,   466,    53,   389,
    1130,  1130,  1130,  1130,  1142,  1130,  1130,  1138,  1138,  1036,
     481,  1138,  1138,   481,  1142,  1130,  1130,   398,  1059,    66,
    1143,  1130,   398,   398,   163,   187,   440,  1129,  1129,   744,
    1129,   146,  1130,   744,  1139,  1139,  1036,   535,   535,   478,
     209,   752,   752,   752,   752,   477,   556,   557,   489,   119,
     165,   198,   165,   163,   702,  1059,   254,   579,   112,    35,
     817,   588,   421,   610,  1136,    32,   145,   187,   264,   569,
     545,   143,   189,   477,   354,   421,   589,    35,  1143,   676,
     504,   254,   477,   160,  1130,  1097,   250,   268,   690,   691,
     692,   158,   695,  1139,   354,   540,   145,   959,   744,   264,
     569,   615,   478,   481,   440,   577,    53,   606,   545,   601,
      78,   389,   609,   440,   883,    35,   609,   163,   269,   477,
    1139,   803,   818,   819,  1145,  1036,   158,  1128,   163,   398,
     838,   196,   632,   535,   535,   535,  1130,   959,   283,   959,
     938,   269,   477,   940,   466,   953,   941,   272,   207,   535,
     768,   757,   478,  1060,   163,   477,  1100,   477,   478,   481,
     478,  1074,   478,   426,   370,   478,   478,   478,  1059,  1059,
    1059,   478,   289,  1083,   478,  1020,  1021,  1064,   477,  1073,
    1008,   477,  1129,  1006,   269,   421,  1013,  1006,   212,  1006,
    1136,  1027,   477,  1027,  1144,    94,   173,   337,   477,   990,
     991,   992,   993,   994,   995,  1059,  1059,   439,  1077,  1077,
     478,   956,   768,   269,   768,   478,   591,   594,   271,   827,
     744,   744,   790,   790,   318,   591,   477,   817,   478,   398,
     357,   947,   478,   481,    35,   146,   536,   716,  1143,  1130,
     398,   477,   798,   827,   829,   726,   477,   477,   734,  1130,
     478,   477,   357,   947,  1130,  1130,   477,   477,   477,   440,
     463,   901,   326,   901,   901,   158,   536,   752,   562,   563,
    1147,    49,    93,   118,   135,   139,   159,   162,   177,   259,
     310,   558,   556,  1139,   798,    35,   834,   834,  1128,   703,
     478,   180,   477,   610,   236,   592,   191,   477,   707,   699,
     477,  1128,   478,   354,    26,    77,    85,   113,   167,   180,
     192,   373,   376,   584,   584,  1127,  1130,  1132,   478,   959,
     677,   146,   105,   652,   163,   691,   340,   386,   693,   132,
     696,   436,   698,  1130,    35,  1130,   615,   570,  1128,   478,
     574,   273,     3,   603,  1148,   607,   601,   606,   117,   131,
     299,  1130,    58,    66,   228,   959,   744,  1014,   785,   786,
     805,   478,   481,   408,  1024,   368,   368,   478,   631,   252,
     425,   633,   634,   936,    84,   785,   127,  1059,  1130,   535,
    1060,  1100,   478,  1069,  1097,   252,   459,    53,   975,   478,
     481,    35,  1022,   112,  1034,  1035,  1060,    75,  1129,   478,
    1059,   477,  1006,  1013,   477,   478,  1027,   478,   477,   358,
     477,   478,   481,  1078,  1079,  1144,   770,   779,   535,   789,
     817,   477,   791,   791,  1128,   817,   589,   610,  1130,   389,
     657,   180,   421,   537,   357,   947,  1130,  1100,   158,   729,
     729,  1100,  1100,  1059,   389,  1097,  1097,   546,   547,  1146,
     743,   744,   743,   744,  1129,   535,   478,   481,   470,   477,
     514,   564,   627,   898,  1139,   898,   254,   259,   310,   898,
     898,  1024,   834,    38,   185,   158,   252,   587,   477,   623,
    1059,   164,   288,   363,   269,   596,   597,   598,   389,   478,
    1136,     5,   708,   570,   600,  1130,   478,   652,   152,   728,
     540,   883,  1128,   444,  1005,   898,   340,   372,   697,   477,
     145,   652,   959,   930,   601,   570,   600,   577,   477,   608,
     606,   607,   341,   341,    66,   272,    66,   615,   784,   478,
     481,   812,   818,  1036,   127,   440,   440,   425,   631,   426,
    1130,   478,   255,   419,   652,   478,   478,   478,   426,  1097,
     174,   311,   341,  1084,  1023,  1020,   477,  1060,   478,   481,
      35,  1030,  1031,  1144,   478,  1129,  1097,   478,  1097,   477,
    1097,   991,   481,    35,   163,   790,   610,   827,   792,   792,
     588,   610,   478,   703,  1130,   623,  1059,   389,   478,   275,
     347,   315,   730,   730,   478,   478,   478,  1130,   478,   478,
     478,   481,  1138,   901,   563,   514,   565,   566,  1139,  1139,
     259,   589,   470,   589,  1139,  1139,   132,   193,   624,   478,
     117,   419,   269,   598,   269,   597,  1130,   477,   478,   481,
     545,   354,   652,   744,    35,    35,   477,  1130,   694,  1144,
    1059,   699,   883,   615,   606,   545,   601,   477,   604,   605,
    1064,  1144,   609,   607,   608,   272,   272,   477,   188,   787,
     786,    27,   202,   871,   165,   165,   959,  1024,   357,    47,
      95,   410,  1059,  1085,  1086,  1085,  1085,   478,  1027,   481,
    1035,  1147,   478,   481,   158,  1036,   478,   478,   478,   990,
     478,  1079,  1081,   768,   791,   437,   595,   478,   592,   703,
     947,  1130,   798,    53,   947,   398,   546,   744,   478,   481,
     589,   340,   478,   377,    57,   252,   330,   357,   599,   599,
     478,     5,   354,  1130,   725,   959,   652,   478,  1136,   607,
     601,   606,  1059,   478,   481,   789,   789,   608,   609,   785,
     477,   540,   255,   477,   866,   868,   872,   932,   942,   949,
     959,   798,   798,   951,  1086,   340,   157,   297,   157,   297,
     142,  1087,  1087,  1087,   478,  1061,  1031,   276,     3,   112,
     254,   259,  1032,  1033,   325,  1018,   478,   535,   792,   477,
     703,   596,   947,   744,   477,   566,   698,    21,   112,   259,
    1130,   652,   883,   477,   608,   606,   607,   478,   605,   790,
     790,   609,   478,   786,   788,   609,   867,   868,   869,   960,
     961,   481,   481,  1024,    32,    95,   172,   252,   395,  1073,
    1060,  1060,   259,  1033,   477,  1059,   703,  1097,   145,   652,
       4,   700,   701,  1138,  1139,  1147,   609,   607,   608,   789,
     787,   478,   481,  1024,   478,   480,   398,   163,  1086,   340,
     277,    75,  1059,   478,   478,   699,   478,   481,   608,   609,
     790,   540,   786,   869,   368,   368,  1030,   478,  1136,   701,
     609,   609,   440,   440,   478,   477,  1024,   165,   165,   700,
     798,   798,   478
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   483,   484,   485,   485,   486,   486,   486,   486,   486,
     486,   486,   486,   486,   486,   486,   486,   486,   486,   486,
     486,   486,   486,   486,   486,   486,   486,   486,   486,   486,
     486,   486,   486,   486,   486,   486,   486,   486,   486,   486,
     486,   486,   486,   486,   486,   486,   486,   486,   486,   486,
     486,   486,   486,   486,   486,   486,   486,   486,   486,   486,
     486,   486,   486,   486,   486,   486,   486,   486,   486,   486,
     486,   486,   486,   486,   486,   486,   486,   486,   486,   486,
     486,   486,   486,   486,   486,   486,   486,   486,   486,   486,
     486,   486,   486,   486,   486,   486,   486,   486,   486,   486,
     486,   486,   486,   486,   486,   486,   486,   486,   486,   486,
     486,   486,   486,   486,   486,   486,   486,   486,   486,   486,
     486,   486,   486,   486,   486,   486,   486,   486,   486,   487,
     488,   489,   489,   489,   490,   490,   491,   491,   492,   492,
     492,   492,   492,   492,   492,   492,   492,   493,   493,   493,
     493,   493,   493,   494,   495,   495,   496,   496,   497,   497,
     497,   497,   498,   498,   498,   498,   498,   498,   499,   500,
     501,   501,   502,   502,   502,   502,   503,   503,   504,   504,
     505,   505,   505,   505,   505,   505,   506,   506,   506,   506,
     507,   507,   507,   508,   508,   508,   508,   509,   509,   509,
     509,   509,   509,   509,   509,   509,   509,   509,   510,   510,
     511,   511,   512,   512,   513,   513,   513,   513,   514,   514,
     514,   514,   515,   515,   515,   515,   515,   515,   515,   516,
     516,   516,   517,   517,   518,   518,   519,   519,   519,   519,
     520,   520,   521,   521,   522,   522,   523,   523,   523,   523,
     523,   523,   523,   524,   525,   525,   526,   526,   527,   528,
     528,   528,   528,   528,   529,   529,   529,   529,   529,   529,
     529,   529,   529,   529,   529,   529,   529,   529,   529,   529,
     529,   529,   529,   530,   530,   531,   531,   532,   533,   533,
     533,   533,   533,   533,   533,   533,   533,   533,   533,   533,
     533,   533,   533,   533,   533,   533,   533,   533,   533,   533,
     533,   533,   533,   533,   533,   533,   533,   533,   533,   533,
     533,   533,   533,   533,   533,   533,   533,   533,   533,   533,
     533,   533,   533,   533,   533,   533,   533,   533,   533,   533,
     533,   533,   533,   533,   534,   534,   535,   535,   535,   536,
     536,   537,   537,   538,   538,   538,   538,   539,   540,   540,
     541,   541,   542,   542,   542,   542,   543,   543,   544,   544,
     544,   544,   545,   545,   545,   545,   546,   547,   547,   548,
     549,   549,   550,   550,   550,   550,   551,   551,   552,   552,
     553,   553,   554,   554,   555,   555,   555,   556,   556,   557,
     557,   558,   558,   558,   558,   558,   558,   558,   558,   558,
     558,   558,   558,   558,   559,   559,   560,   560,   561,   561,
     562,   562,   563,   564,   564,   564,   564,   564,   565,   565,
     566,   567,   567,   567,   567,   567,   567,   568,   568,   568,
     568,   568,   568,   568,   568,   569,   569,   570,   570,   571,
     571,   572,   572,   573,   573,   573,   574,   574,   575,   576,
     576,   577,   577,   578,   578,   578,   578,   579,   579,   579,
     579,   579,   579,   579,   579,   579,   580,   580,   581,   581,
     581,   581,   582,   583,   583,   583,   584,   584,   584,   584,
     584,   584,   584,   584,   584,   585,   585,   586,   586,   586,
     586,   586,   586,   586,   587,   587,   588,   588,   589,   589,
     590,   591,   591,   592,   592,   592,   592,   593,   593,   594,
     594,   595,   595,   596,   596,   596,   596,   596,   597,   598,
     599,   599,   599,   599,   599,   600,   600,   601,   601,   602,
     603,   603,   604,   604,   605,   605,   605,   606,   606,   607,
     607,   607,   608,   608,   608,   608,   609,   609,   610,   610,
     611,   612,   612,   613,   613,   614,   615,   615,   615,   616,
     616,   617,   618,   618,   619,   620,   620,   621,   621,   622,
     622,   623,   623,   624,   624,   625,   625,   625,   625,   625,
     625,   625,   625,   625,   625,   625,   625,   625,   625,   626,
     626,   627,   627,   627,   627,   628,   628,   629,   629,   630,
     630,   631,   631,   632,   632,   633,   633,   634,   634,   635,
     635,   636,   636,   637,   638,   638,   639,   639,   640,   640,
     641,   641,   642,   642,   642,   642,   643,   644,   644,   645,
     646,   646,   646,   646,   646,   646,   646,   646,   646,   646,
     646,   646,   646,   646,   646,   646,   646,   646,   646,   646,
     646,   646,   646,   646,   646,   646,   646,   646,   647,   648,
     648,   648,   648,   649,   649,   650,   650,   651,   651,   652,
     652,   653,   653,   654,   655,   655,   656,   656,   656,   656,
     657,   658,   659,   660,   660,   661,   661,   662,   662,   663,
     663,   664,   664,   664,   665,   665,   665,   665,   666,   666,
     667,   668,   668,   669,   669,   670,   670,   671,   671,   672,
     672,   673,   674,   675,   676,   676,   677,   677,   678,   678,
     679,   679,   680,   680,   681,   681,   682,   682,   682,   682,
     682,   683,   684,   684,   685,   685,   686,   686,   686,   687,
     687,   688,   688,   688,   688,   688,   689,   689,   690,   690,
     691,   692,   692,   693,   693,   694,   695,   695,   696,   696,
     697,   697,   698,   698,   699,   699,   700,   700,   700,   701,
     701,   701,   701,   702,   702,   703,   703,   704,   704,   704,
     704,   704,   704,   705,   705,   706,   706,   707,   708,   708,
     709,   710,   710,   710,   710,   711,   712,   712,   712,   712,
     712,   712,   712,   712,   712,   712,   712,   712,   712,   712,
     712,   712,   713,   714,   714,   715,   715,   716,   716,   716,
     716,   716,   716,   717,   718,   718,   719,   720,   720,   721,
     721,   722,   722,   722,   722,   723,   723,   724,   725,   725,
     726,   726,   726,   726,   726,   727,   727,   728,   728,   729,
     729,   729,   730,   730,   731,   732,   732,   733,   733,   734,
     734,   735,   735,   736,   736,   737,   738,   739,   739,   739,
     739,   739,   739,   739,   739,   739,   739,   739,   739,   740,
     740,   740,   740,   740,   740,   740,   740,   740,   740,   740,
     740,   740,   741,   741,   741,   741,   741,   741,   741,   742,
     742,   742,   743,   743,   744,   744,   745,   745,   746,   746,
     747,   748,   748,   748,   749,   749,   749,   749,   749,   749,
     749,   749,   749,   749,   749,   749,   749,   749,   749,   749,
     749,   749,   749,   750,   750,   750,   750,   750,   750,   750,
     750,   750,   750,   750,   750,   750,   750,   751,   751,   751,
     751,   751,   751,   751,   751,   751,   751,   751,   751,   752,
     752,   753,   753,   753,   753,   753,   753,   753,   753,   753,
     754,   754,   755,   755,   755,   755,   755,   755,   756,   756,
     756,   756,   756,   756,   756,   756,   757,   757,   758,   758,
     759,   759,   759,   759,   759,   759,   759,   759,   759,   759,
     759,   759,   759,   759,   759,   759,   760,   760,   761,   761,
     762,   763,   763,   764,   764,   764,   764,   764,   765,   765,
     766,   766,   766,   766,   767,   767,   767,   767,   767,   767,
     767,   767,   767,   767,   767,   767,   767,   767,   767,   767,
     767,   767,   767,   767,   768,   768,   769,   769,   770,   770,
     771,   772,   772,   773,   773,   774,   774,   775,   776,   776,
     777,   777,   777,   778,   778,   778,   779,   779,   779,   779,
     779,   779,   780,   780,   781,   781,   782,   782,   783,   783,
     784,   784,   785,   785,   786,   786,   786,   787,   787,   788,
     788,   789,   789,   790,   790,   791,   791,   791,   792,   792,
     792,   793,   793,   793,   793,   794,   794,   795,   795,   796,
     796,   797,   797,   798,   798,   798,   798,   799,   799,   800,
     800,   801,   801,   801,   801,   801,   802,   802,   802,   802,
     802,   803,   804,   805,   805,   805,   806,   806,   806,   807,
     808,   808,   808,   808,   809,   809,   810,   811,   811,   812,
     812,   813,   813,   813,   813,   813,   813,   813,   813,   813,
     813,   813,   813,   813,   813,   813,   813,   813,   814,   814,
     814,   814,   814,   815,   815,   816,   816,   817,   817,   818,
     819,   819,   820,   820,   820,   821,   821,   822,   822,   823,
     823,   823,   823,   823,   823,   824,   824,   825,   825,   826,
     826,   826,   826,   827,   827,   828,   828,   829,   830,   831,
     831,   832,   832,   833,   833,   833,   834,   834,   834,   835,
     836,   836,   837,   838,   838,   838,   838,   839,   840,   840,
     840,   840,   841,   841,   842,   842,   842,   843,   843,   844,
     845,   845,   846,   846,   846,   846,   846,   846,   846,   846,
     846,   846,   846,   846,   846,   846,   846,   846,   846,   846,
     846,   846,   846,   846,   846,   846,   846,   846,   846,   846,
     846,   846,   846,   846,   846,   846,   846,   846,   846,   846,
     846,   846,   846,   846,   846,   846,   846,   846,   846,   846,
     846,   846,   846,   846,   846,   847,   847,   848,   848,   849,
     849,   849,   849,   849,   849,   850,   850,   850,   850,   850,
     850,   850,   850,   850,   850,   850,   850,   850,   850,   850,
     850,   850,   850,   850,   850,   850,   850,   850,   850,   850,
     850,   850,   851,   852,   852,   853,   853,   854,   854,   854,
     854,   854,   855,   855,   855,   855,   855,   855,   855,   855,
     855,   855,   855,   855,   855,   855,   855,   855,   855,   855,
     855,   855,   855,   855,   855,   855,   856,   857,   857,   858,
     858,   859,   859,   859,   859,   860,   861,   861,   862,   863,
     863,   863,   863,   863,   863,   864,   864,   865,   866,   866,
     866,   867,   867,   868,   868,   868,   868,   868,   869,   869,
     870,   870,   870,   870,   871,   871,   871,   872,   873,   873,
     874,   875,   875,   876,   876,   876,   876,   876,   876,   876,
     876,   876,   876,   876,   876,   876,   876,   877,   877,   877,
     878,   878,   878,   878,   878,   879,   879,   879,   880,   880,
     881,   881,   881,   882,   882,   882,   882,   883,   883,   883,
     883,   884,   885,   886,   886,   887,   887,   888,   888,   888,
     889,   889,   889,   889,   889,   889,   889,   890,   890,   891,
     891,   891,   892,   893,   893,   894,   895,   895,   896,   897,
     897,   897,   897,   897,   897,   897,   898,   898,   899,   900,
     900,   900,   900,   900,   900,   901,   901,   902,   903,   903,
     903,   904,   904,   905,   905,   906,   906,   907,   907,   908,
     908,   909,   910,   910,   911,   911,   911,   912,   912,   913,
     913,   914,   914,   915,   915,   916,   916,   917,   918,   918,
     919,   919,   920,   920,   920,   920,   921,   921,   921,   921,
     921,   921,   921,   921,   921,   922,   922,   923,   924,   924,
     925,   925,   925,   926,   927,   927,   928,   928,   928,   928,
     929,   929,   929,   930,   930,   931,   931,   931,   931,   932,
     933,   934,   934,   935,   935,   935,   935,   935,   936,   936,
     937,   937,   938,   939,   939,   939,   940,   940,   940,   941,
     941,   942,   943,   943,   944,   945,   945,   946,   946,   946,
     946,   946,   946,   946,   946,   947,   947,   948,   948,   948,
     949,   950,   951,   951,   952,   952,   953,   954,   954,   955,
     956,   957,   957,   957,   957,   957,   958,   958,   958,   959,
     959,   960,   960,   961,   961,   961,   961,   961,   961,   961,
     961,   962,   962,   963,   963,   963,   963,   963,   963,   963,
     964,   964,   964,   965,   965,   966,   967,   967,   967,   968,
     968,   969,   969,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   971,   971,   972,   972,   972,   973,   973,   974,
     974,   975,   975,   976,   977,   977,   978,   978,   979,   979,
     979,   979,   980,   980,   981,   981,   981,   981,   982,   982,
     983,   983,   984,   985,   985,   985,   986,   986,   987,   987,
     988,   988,   989,   989,   990,   990,   991,   991,   991,   991,
     991,   992,   993,   994,   995,   996,   996,   997,   997,   998,
     998,   999,   999,  1000,  1001,  1001,  1001,  1001,  1002,  1002,
    1003,  1003,  1004,  1004,  1005,  1005,  1006,  1006,  1006,  1006,
    1006,  1006,  1006,  1006,  1006,  1006,  1007,  1007,  1007,  1007,
    1007,  1007,  1008,  1008,  1008,  1008,  1009,  1009,  1010,  1010,
    1010,  1010,  1010,  1011,  1011,  1011,  1011,  1012,  1012,  1013,
    1013,  1014,  1014,  1014,  1014,  1015,  1015,  1016,  1016,  1016,
    1017,  1018,  1018,  1019,  1019,  1020,  1021,  1021,  1022,  1022,
    1023,  1023,  1024,  1024,  1025,  1025,  1025,  1026,  1026,  1027,
    1027,  1028,  1029,  1029,  1030,  1030,  1031,  1031,  1031,  1032,
    1032,  1033,  1033,  1033,  1033,  1034,  1034,  1035,  1035,  1036,
    1036,  1036,  1036,  1036,  1036,  1037,  1037,  1037,  1038,  1038,
    1038,  1038,  1038,  1038,  1038,  1039,  1039,  1039,  1039,  1040,
    1040,  1041,  1041,  1042,  1042,  1042,  1042,  1042,  1042,  1042,
    1042,  1042,  1042,  1042,  1043,  1043,  1044,  1044,  1045,  1045,
    1046,  1047,  1048,  1048,  1049,  1049,  1050,  1051,  1052,  1052,
    1052,  1052,  1052,  1052,  1053,  1053,  1054,  1054,  1054,  1054,
    1055,  1056,  1056,  1056,  1057,  1057,  1057,  1057,  1057,  1057,
    1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,  1058,  1058,
    1059,  1059,  1059,  1059,  1059,  1059,  1059,  1059,  1059,  1059,
    1059,  1059,  1059,  1059,  1059,  1059,  1059,  1059,  1059,  1059,
    1059,  1059,  1059,  1059,  1059,  1059,  1059,  1059,  1059,  1059,
    1059,  1059,  1059,  1059,  1059,  1059,  1059,  1059,  1059,  1059,
    1059,  1059,  1059,  1059,  1059,  1059,  1059,  1059,  1059,  1059,
    1059,  1059,  1059,  1059,  1059,  1059,  1059,  1059,  1059,  1059,
    1059,  1059,  1059,  1059,  1060,  1060,  1060,  1060,  1060,  1060,
    1060,  1060,  1060,  1060,  1060,  1060,  1060,  1060,  1060,  1060,
    1060,  1060,  1060,  1060,  1060,  1060,  1060,  1060,  1060,  1061,
    1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,
    1061,  1061,  1061,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1063,  1063,  1064,  1064,  1065,  1065,  1065,  1065,  1065,  1065,
    1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,
    1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,
    1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,
    1065,  1065,  1065,  1065,  1065,  1065,  1066,  1066,  1067,  1067,
    1067,  1067,  1068,  1069,  1069,  1070,  1070,  1071,  1071,  1072,
    1072,  1072,  1073,  1073,  1073,  1073,  1074,  1074,  1075,  1075,
    1076,  1076,  1077,  1077,  1078,  1078,  1079,  1080,  1080,  1080,
    1081,  1082,  1082,  1083,  1083,  1084,  1084,  1084,  1084,  1085,
    1085,  1086,  1086,  1086,  1086,  1086,  1087,  1087,  1087,  1087,
    1087,  1088,  1088,  1088,  1089,  1089,  1090,  1091,  1091,  1091,
    1092,  1092,  1093,  1093,  1093,  1093,  1093,  1093,  1093,  1093,
    1093,  1093,  1093,  1093,  1094,  1094,  1095,  1095,  1096,  1096,
    1096,  1096,  1096,  1096,  1097,  1097,  1098,  1098,  1099,  1099,
    1099,  1100,  1100,  1101,  1101,  1101,  1102,  1102,  1103,  1103,
    1104,  1104,  1104,  1104,  1104,  1104,  1104,  1104,  1105,  1105,
    1106,  1107,  1107,  1108,  1108,  1108,  1108,  1108,  1108,  1109,
    1110,  1111,  1111,  1111,  1112,  1112,  1113,  1114,  1114,  1115,
    1116,  1116,  1117,  1117,  1118,  1118,  1119,  1119,  1119,  1119,
    1120,  1120,  1121,  1121,  1122,  1122,  1123,  1123,  1124,  1124,
    1125,  1125,  1126,  1126,  1126,  1126,  1127,  1127,  1128,  1128,
    1129,  1129,  1130,  1131,  1132,  1133,  1134,  1135,  1136,  1136,
    1137,  1137,  1137,  1137,  1137,  1137,  1137,  1137,  1137,  1137,
    1137,  1137,  1137,  1138,  1139,  1140,  1140,  1140,  1141,  1142,
    1142,  1142,  1143,  1143,  1144,  1144,  1144,  1145,  1145,  1145,
    1146,  1146,  1146,  1146,  1147,  1147,  1147,  1147,  1147,  1148,
    1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,
    1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,
    1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,
    1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,
    1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,
    1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,
    1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,
    1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,
    1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,
    1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,
    1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,
    1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,
    1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,
    1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,
    1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,
    1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,
    1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,
    1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,
    1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,
    1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,
    1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,
    1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,
    1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,
    1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,
    1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,
    1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,
    1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,
    1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,
    1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,
    1148,  1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,
    1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,
    1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,
    1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,
    1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,
    1149,  1150,  1150,  1150,  1150,  1150,  1150,  1150,  1150,  1150,
    1150,  1150,  1150,  1150,  1150,  1150,  1150,  1150,  1150,  1150,
    1150,  1150,  1150,  1150,  1151,  1151,  1151,  1151,  1151,  1151,
    1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,
    1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,
    1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,
    1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,
    1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,
    1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,
    1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,
    1151
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     0,     2,
       5,     1,     1,     0,     2,     0,     2,     0,     2,     2,
       3,     3,     1,     3,     3,     2,     1,     1,     2,     2,
       2,     3,     3,     5,     5,     5,     0,     3,     5,     5,
       5,     5,     3,     5,     3,     5,     3,     5,     5,     6,
       1,     1,     6,     4,     9,     7,     1,     0,     2,     0,
       1,     1,     1,     1,     1,     1,     3,     2,     3,     3,
       2,     5,     1,     3,     3,     3,     3,     1,     3,     3,
       2,     2,     2,     2,     3,     3,     3,     3,     1,     3,
       1,     3,     1,     1,     2,     2,     2,     1,     1,     1,
       1,     1,     1,     1,     3,     5,     1,     1,     1,     1,
       1,     0,     1,     1,     2,     3,     1,     2,     3,     2,
       1,     1,     2,     1,     2,     1,     3,     3,     2,     3,
       4,     3,     2,     4,     1,     1,     1,     1,     1,     2,
       2,     2,     2,     2,     4,     6,     4,     6,    10,    13,
       4,     6,     4,    10,    13,     4,     6,     4,     6,     5,
       7,    11,    14,     1,     3,     4,     3,     3,     2,     5,
       3,     6,     4,     6,     6,     6,     6,     5,     5,     6,
       9,     4,     5,     7,     6,     4,     8,     4,     2,     4,
       3,     6,     4,     3,     3,     3,     2,     2,     3,     4,
       4,     3,     3,     3,     3,     3,     3,     4,     4,     3,
       2,     3,     2,     2,     3,     3,     2,     2,     3,     4,
       4,     4,     5,     1,     3,     2,     1,     1,     0,     2,
       0,     2,     0,     1,     1,     1,     3,     3,     2,     0,
       1,     3,     3,     1,     5,     3,     1,     2,     1,     3,
       2,     3,     6,     6,    10,     1,     2,     1,     3,     4,
       1,     3,     4,     6,     4,     8,     2,     2,    11,     9,
       1,     1,     1,     0,     1,     1,     1,     1,     3,     2,
       0,     1,     1,     3,     3,     1,     1,     3,     3,     3,
       3,     4,     3,     2,     1,     0,     3,     0,     1,     0,
       1,     3,     2,     1,     1,     1,     3,     0,     1,     3,
       1,    13,    16,    12,    15,    14,    17,     1,     1,     2,
       2,     2,     2,     1,     0,     1,     0,     3,     0,     1,
       3,     1,     3,     1,     1,     1,     1,     1,     4,     2,
       4,     2,     0,     3,     1,     1,     2,     2,     1,     3,
       4,     5,     2,     5,     7,     5,     1,     2,     1,     2,
       2,     2,     3,     3,     3,     0,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     3,     1,     5,     8,     3,
       9,     4,    10,    11,     2,     0,     3,     0,     1,     3,
       1,     4,     0,     2,     2,     2,     0,     1,     3,     3,
       6,     4,     0,     1,     1,     2,     2,     0,     3,     3,
       2,     1,     1,     2,     2,     4,     0,     1,     0,     6,
       1,     1,     1,     3,     3,     3,     5,     2,     0,     2,
       2,     0,     3,     4,     4,     0,     2,     0,     4,     0,
       3,     8,    11,     7,    10,     6,     2,     3,     0,     8,
      11,     5,     1,     0,     6,     5,     8,     4,     6,     1,
       0,     3,     0,     1,     2,     2,     2,     1,     2,     3,
       2,     2,     2,     2,     3,     3,     3,     1,     3,     1,
       0,     1,     2,     2,     1,     1,     3,     6,    10,     1,
       0,     1,     2,     2,     0,     2,     2,     1,     0,     5,
       7,     1,     0,     7,     2,     0,     3,     5,     5,     8,
       2,     0,     2,     2,     2,     1,     5,     2,     0,     2,
       7,     6,    10,     6,     6,     6,     6,     7,     6,     9,
       9,     6,     6,     6,     7,     6,     8,     8,     8,     8,
       6,     6,     7,     7,     8,     6,     9,     6,     7,     2,
       2,     2,     2,     1,     2,     1,     0,     7,     6,     4,
       0,     1,     3,     4,     1,     3,     1,     2,     2,     2,
       2,     1,     1,    10,    13,     2,     0,     2,     2,     1,
       0,     5,     4,     4,    11,    14,    12,    15,     5,     7,
      11,     2,     1,     4,     0,     8,    11,     1,     1,     7,
       9,     8,    10,     8,     4,     0,     5,     0,     2,     0,
       2,     0,     2,     0,     2,     0,     1,     1,     1,     1,
       1,     8,     1,     1,    16,    20,     1,     1,     2,     1,
       3,     1,     1,     1,     3,     1,     2,     0,     1,     2,
       4,     1,     1,     1,     1,     1,     3,     0,     1,     0,
       1,     1,     4,     0,     1,     1,     1,     3,     0,     1,
       1,     1,     1,     2,     0,     0,     2,     2,     1,     2,
       2,     2,     2,    11,    13,     1,     3,     5,     1,     3,
       5,     1,     2,     2,     1,     8,     6,     5,     4,     4,
       3,     7,     8,     6,     6,     6,     6,     6,     4,     7,
       5,     8,     3,     1,     3,     3,     1,     1,     1,     1,
       1,     1,     1,     3,     1,     3,     3,     1,     0,     1,
       3,     7,     9,     9,     8,     3,     0,    13,     1,     3,
       5,     5,     3,     6,     2,     1,     0,     2,     0,     2,
       4,     0,     1,     0,     6,     8,     8,     1,     3,     5,
       5,     7,     9,     7,     9,     5,     6,     6,     4,     6,
       4,     6,     8,     4,     6,     4,     6,     5,     7,     1,
       1,     1,     2,     1,     2,     1,     1,     1,     3,     3,
       3,     3,     2,     2,     1,     3,     1,     1,     1,     1,
       1,     1,     1,     3,     1,     2,     2,     3,     1,     3,
       5,     2,     2,     0,     6,     6,     6,     6,     6,     6,
       6,     8,     9,     8,     6,     6,     8,     9,     8,     9,
       9,     7,    10,     1,     1,     1,     1,     1,     1,     2,
       1,     1,     2,     3,     3,     3,     3,     2,     1,     2,
       1,     3,     2,     1,     1,     1,     1,     1,     1,     1,
       1,     8,     8,     8,     8,     8,     8,     9,     8,     8,
       2,     0,     1,     2,     1,     1,     1,     2,     1,     2,
       2,     1,     1,     1,     1,     1,     1,     1,     2,     2,
       1,     2,     3,     3,     3,     3,     4,     4,     3,     3,
       3,     4,     4,     3,     4,     4,     1,     1,     1,     0,
       7,     7,    10,     1,     1,     2,     4,     5,     1,     3,
       2,     2,     2,     2,     1,     2,     2,     4,     3,     2,
       2,     2,     2,     2,     2,     3,     2,     2,     2,     5,
       5,     5,     5,     5,     1,     3,     1,     2,     3,     0,
       6,     6,     9,     3,     0,     3,     0,     5,     2,     0,
       3,     3,     3,     7,     7,    10,     1,     1,     1,     1,
       1,     1,    15,    18,     1,     0,     1,     0,     1,     0,
       2,     0,     1,     3,     5,     5,     7,     4,     0,     1,
       3,     2,     0,     1,     0,     1,     1,     0,     2,     2,
       0,     8,    11,     6,     6,     2,     0,     3,     2,     1,
       3,     1,     3,     2,     1,     1,     2,     3,     2,     1,
       3,     3,     3,     2,     2,     1,     1,     1,     1,     2,
       1,     1,     1,     1,     4,     5,     1,     3,     3,     1,
       3,     3,     5,     6,     1,     3,     2,     1,     3,     1,
       2,     4,     5,     1,     1,     1,     1,     3,     3,     2,
       2,     1,     2,     2,     2,     2,     1,     2,     2,     2,
       2,     1,     1,     1,     3,     3,     5,     2,     0,     2,
       1,     3,     5,     5,     5,     1,     2,     1,     0,     4,
       6,     4,     6,     4,     6,     4,     6,     4,     6,     3,
       5,     5,     5,     1,     3,     1,     3,     2,     2,     1,
       2,     1,     2,    11,    10,    10,     2,     2,     0,     9,
       2,     0,    10,    11,    11,     5,     5,     8,     4,     4,
       7,     7,     1,     1,     1,     1,     1,     1,     3,     1,
       5,     5,     6,     6,     6,     6,     6,     8,     8,     6,
       6,     7,     9,     9,     8,    10,     6,     6,     6,     6,
       6,     6,     6,     8,     6,     8,     6,     8,     7,     9,
       6,     8,     7,     9,     8,    10,     9,    11,     8,    10,
       9,    11,     8,     8,     7,     6,     6,     6,     6,     8,
       8,     8,     8,     6,     9,     1,     0,     2,     0,     7,
       7,     7,     9,     8,     7,     6,     6,     6,     6,     6,
       6,     6,     9,     9,     6,     6,     6,     8,     6,     8,
       8,     8,     8,     6,     8,     6,     8,     7,     9,     7,
       9,     6,     7,     1,     3,     3,     3,     1,     1,     1,
       1,     1,     6,     6,     6,     6,     6,     6,     7,     7,
       6,     9,     9,     6,     6,     6,     6,     6,     6,     8,
       8,     8,     6,     7,     6,     6,     5,     1,     0,     3,
       3,     5,     6,     6,     6,     8,     1,     3,     1,     5,
       5,     6,     7,     4,     4,     4,     6,    13,     1,     1,
       3,     3,     1,     1,     1,     1,     1,     1,     1,     0,
       1,     1,     1,     1,     1,     1,     0,     3,     2,     0,
       2,     2,     2,     3,     3,     3,     3,     3,     3,     2,
       3,     2,     5,     4,     3,     3,     3,     1,     1,     0,
       3,     2,     2,     1,     2,     1,     3,     2,     1,     0,
       2,     3,     0,     9,    11,    12,    14,     3,     4,     4,
       0,     2,     5,     1,     0,     1,     2,     3,     3,     3,
       1,     2,     1,     1,     1,     1,     1,     1,     0,     5,
       4,     6,     4,     3,     5,     5,     4,     4,     6,     4,
       6,     6,     5,     7,     9,     6,     1,     0,     6,    11,
      11,    11,    13,     9,    11,     1,     1,    10,     4,     2,
       5,     2,     0,     6,     5,     3,     5,     1,     3,     1,
       1,     2,     1,     1,     1,     1,     0,     1,     0,     1,
       0,     1,     0,     1,     0,     3,     0,     2,     1,     3,
       1,     0,     2,     4,     3,     5,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     3,     2,     1,     1,
       1,     1,     0,     5,     3,     0,     1,     1,     1,     1,
       3,     9,    12,     3,     0,     2,     3,     2,     3,     7,
       4,     1,     3,     1,     4,     4,     7,     2,     1,     1,
       1,     3,     2,     8,     5,     0,     4,     3,     0,     2,
       0,     7,     2,     0,     5,     3,     0,     2,     2,     2,
       3,     1,     3,     1,     2,     1,     0,     1,     2,     0,
       8,     3,     1,     3,     3,     5,     2,     1,     3,     7,
       1,     0,     3,     2,     2,     2,     0,     2,     2,     1,
       1,     3,     3,     1,     2,     4,     4,     2,     3,     5,
       5,     1,     1,     9,     9,     1,     2,     4,     4,     4,
       2,     2,     3,     1,     3,     7,     1,     2,     0,     1,
       0,     2,     0,     3,     3,     4,     4,     4,     4,     3,
       2,     1,     1,     0,     1,     1,     0,     1,     5,     1,
       0,     1,     0,     3,     1,     3,     4,     3,     2,     2,
       1,     1,     1,     0,     2,     4,     5,     4,     2,     3,
       1,     1,     1,     1,     2,     2,     1,     1,     1,     1,
       1,     1,     3,     0,     1,     3,     1,     1,     1,     1,
       1,     2,     4,     4,     5,     2,     0,     1,     3,     1,
       0,     1,     2,     3,     2,     4,     2,     3,     2,     0,
       4,     5,     2,     0,     1,     3,     2,     3,     2,     3,
       2,     3,     2,     3,     1,     4,     3,     4,     5,     4,
       5,     4,     5,     2,     4,     1,     1,     0,     1,     4,
       5,     4,     0,     2,     2,     2,     1,     1,     0,     4,
       2,     1,     2,     2,     4,     1,     3,     1,     2,     3,
       6,     4,     0,     2,     6,     2,     1,     3,     4,     0,
       2,     0,     2,     0,     2,     4,     0,     1,     0,     1,
       3,     3,     7,    12,     1,     3,     2,     3,     3,     1,
       2,     2,     2,     2,     1,     1,     3,     3,     2,     2,
       3,     5,     6,     2,     3,     3,     4,     0,     1,     1,
       1,     1,     1,     2,     4,     1,     1,     1,     1,     2,
       3,     3,     0,     1,     1,     1,     1,     1,     2,     2,
       2,     2,     2,     1,     3,     0,     1,     1,     1,     1,
       5,     2,     1,     1,     1,     1,     4,     1,     2,     2,
       1,     3,     3,     2,     1,     0,     5,     2,     5,     2,
       1,     3,     3,     0,     1,     1,     1,     1,     1,     1,
       3,     3,     3,     3,     3,     3,     3,     0,     1,     4,
       1,     3,     3,     5,     2,     2,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     2,
       2,     3,     3,     2,     2,     3,     5,     4,     6,     3,
       5,     4,     6,     4,     6,     5,     7,     3,     2,     4,
       2,     3,     3,     4,     3,     4,     3,     4,     5,     6,
       6,     7,     6,     7,     6,     7,     3,     4,     4,     6,
       2,     3,     4,     1,     1,     3,     2,     2,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     2,     2,     5,     6,     6,     7,     3,     4,     1,
       1,     2,     4,     1,     1,     1,     2,     2,     2,     2,
       1,     1,     4,     3,     5,     6,     8,     6,     6,     4,
       4,     1,     1,     1,     5,     1,     1,     4,     1,     4,
       1,     4,     1,     4,     1,     1,     1,     1,     1,     1,
       6,     4,     4,     4,     4,     6,     5,     5,     5,     4,
       6,     4,     4,     4,     4,     5,     7,     7,     9,     5,
       4,     6,     5,     7,     7,     7,     2,     3,     3,     3,
       4,     0,     4,     1,     3,     3,     1,     1,     1,     2,
       2,     0,     2,     3,     3,     4,     2,     2,     5,     0,
       5,     0,     2,     0,     1,     3,     3,     2,     2,     0,
       6,     1,     0,     3,     0,     3,     3,     3,     0,     1,
       4,     2,     2,     2,     2,     2,     3,     2,     2,     3,
       0,     4,     3,     5,     4,     3,     5,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     4,     1,     4,     1,     4,
       1,     2,     1,     2,     1,     3,     1,     3,     1,     3,
       3,     1,     3,     3,     3,     2,     1,     3,     3,     0,
       1,     1,     1,     1,     1,     1,     1,     1,     4,     3,
       2,     3,     0,     3,     3,     2,     2,     1,     0,     2,
       2,     3,     2,     1,     1,     3,     5,     1,     2,     4,
       2,     0,     1,     0,     1,     2,     2,     2,     3,     5,
       1,     0,     1,     2,     0,     2,     1,     0,     1,     0,
       1,     3,     3,     2,     1,     1,     1,     3,     1,     2,
       1,     3,     1,     1,     1,     1,     1,     1,     1,     2,
       1,     1,     1,     1,     1,     2,     6,     2,     3,     5,
       1,     1,     1,     1,     1,     1,     2,     2,     1,     1,
       1,     1,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (&yylloc, yyscanner, YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location, yyscanner); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule, core_yyscan_t yyscanner)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       , yyscanner);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule, yyscanner); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, core_yyscan_t yyscanner)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/*----------.
| yyparse.  |
`----------*/

int
yyparse (core_yyscan_t yyscanner)
{
/* The lookahead symbol.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

/* Location data for the lookahead symbol.  */
static YYLTYPE yyloc_default
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
YYLTYPE yylloc = yyloc_default;

    /* Number of syntax errors so far.  */
    int yynerrs;

    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex (&yylval, &yylloc, yyscanner);
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:
#line 829 "gram_minimal.y" /* yacc.c:1646  */
    {
				pg_yyget_extra(yyscanner)->parsetree = (yyvsp[0].list);
			}
#line 25989 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 3:
#line 845 "gram_minimal.y" /* yacc.c:1646  */
    {
					if ((yyvsp[-2].list) != NIL)
					{
						/* update length of previous stmt */
						updateRawStmtEnd(llast_node(RawStmt, (yyvsp[-2].list)), (yylsp[-1]));
					}
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = lappend((yyvsp[-2].list), makeRawStmt((yyvsp[0].node), (yylsp[-1]) + 1));
					else
						(yyval.list) = (yyvsp[-2].list);
				}
#line 26005 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 4:
#line 857 "gram_minimal.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = list_make1(makeRawStmt((yyvsp[0].node), 0));
					else
						(yyval.list) = NIL;
				}
#line 26016 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 128:
#line 990 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 26022 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 129:
#line 1000 "gram_minimal.y" /* yacc.c:1646  */
    {
					CallStmt *n = makeNode(CallStmt);
					n->funccall = castNode(FuncCall, (yyvsp[0].node));
					(yyval.node) = (Node *)n;
				}
#line 26032 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 130:
#line 1015 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_ROLE;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26044 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 131:
#line 1025 "gram_minimal.y" /* yacc.c:1646  */
    {}
#line 26050 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 132:
#line 1026 "gram_minimal.y" /* yacc.c:1646  */
    {}
#line 26056 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 133:
#line 1027 "gram_minimal.y" /* yacc.c:1646  */
    {}
#line 26062 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 134:
#line 1036 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 26068 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 135:
#line 1037 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 26074 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 136:
#line 1041 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 26080 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 137:
#line 1042 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 26086 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 138:
#line 1047 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("password",
									 (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 26095 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 139:
#line 1052 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("password", NULL, (yylsp[-1]));
				}
#line 26103 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 140:
#line 1056 "gram_minimal.y" /* yacc.c:1646  */
    {
					/*
					 * These days, passwords are always stored in encrypted
					 * form, so there is no difference between PASSWORD and
					 * ENCRYPTED PASSWORD.
					 */
					(yyval.defelt) = makeDefElem("password",
									 (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 26117 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 141:
#line 1066 "gram_minimal.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNENCRYPTED PASSWORD is no longer supported"),
							 errhint("Remove UNENCRYPTED to store the password in encrypted form instead."),
							 parser_errposition((yylsp[-2]))));
				}
#line 26129 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 142:
#line 1074 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 26137 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 143:
#line 1078 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 26145 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 144:
#line 1082 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("validUntil", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 26153 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 145:
#line 1087 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 26161 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 146:
#line 1091 "gram_minimal.y" /* yacc.c:1646  */
    {
					/*
					 * We handle identifiers that aren't parser keywords with
					 * the following special-case codes, to avoid bloating the
					 * size of the main parser.
					 */
					if (strcmp((yyvsp[0].str), "superuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nosuperuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "createrole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nocreaterole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "replication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "noreplication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "createdb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nocreatedb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "login") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nologin") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "bypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *)makeInteger(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nobypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *)makeInteger(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "noinherit") == 0)
					{
						/*
						 * Note that INHERIT is a keyword, so it's handled by main parser, but
						 * NOINHERIT is handled here.
						 */
						(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(false), (yylsp[0]));
					}
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized role option \"%s\"", (yyvsp[0].str)),
									 parser_errposition((yylsp[0]))));
				}
#line 26210 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 147:
#line 1138 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.defelt) = (yyvsp[0].defelt); }
#line 26216 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 148:
#line 1141 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("sysid", (Node *)makeInteger((yyvsp[0].ival)), (yylsp[-1]));
				}
#line 26224 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 149:
#line 1145 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("adminmembers", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 26232 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 150:
#line 1149 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 26240 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 151:
#line 1153 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 26248 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 152:
#line 1157 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 26256 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 153:
#line 1171 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_USER;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26268 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 154:
#line 1189 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-2].rolespec);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 26280 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 155:
#line 1197 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-2].rolespec);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 26292 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 156:
#line 1207 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 26298 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 157:
#line 1208 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26304 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 158:
#line 1213 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[-2].rolespec);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 26316 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 159:
#line 1221 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 26328 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 160:
#line 1229 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[-2].rolespec);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 26340 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 161:
#line 1237 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 26352 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 162:
#line 1258 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26363 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 163:
#line 1265 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = true;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26374 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 164:
#line 1272 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26385 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 165:
#line 1279 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->roles = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 26396 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 166:
#line 1286 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26407 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 167:
#line 1293 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = true;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26418 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 168:
#line 1310 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_GROUP;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26430 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 169:
#line 1328 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-3].rolespec);
					n->action = (yyvsp[-2].ival);
					n->options = list_make1(makeDefElem("rolemembers",
														(Node *)(yyvsp[0].list), (yylsp[0])));
					(yyval.node) = (Node *)n;
				}
#line 26443 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 170:
#line 1338 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = +1; }
#line 26449 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 171:
#line 1339 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = -1; }
#line 26455 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 172:
#line 1351 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* One can omit the schema name or the authorization id. */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].rolespec);
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 26469 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 173:
#line 1361 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not both */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 26483 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 174:
#line 1371 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* schema name can be omitted here, too */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].rolespec);
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 26502 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 175:
#line 1386 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not here */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 26521 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 176:
#line 1403 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26527 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 177:
#line 1404 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 26533 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 178:
#line 1409 "gram_minimal.y" /* yacc.c:1646  */
    {
					if ((yyloc) < 0)			/* see comments for YYLLOC_DEFAULT */
						(yyloc) = (yylsp[0]);
					(yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node));
				}
#line 26543 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 179:
#line 1415 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 26549 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 186:
#line 1443 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->type = T_PgpoolVariableSetStmt; /* Hack to keep changes minumum */
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 26560 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 187:
#line 1450 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 26570 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 188:
#line 1456 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = true;
					(yyval.node) = (Node *) n;
				}
#line 26580 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 189:
#line 1462 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 26590 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 190:
#line 1471 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 26602 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 191:
#line 1479 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "SESSION CHARACTERISTICS";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 26614 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 193:
#line 1491 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 26626 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 194:
#line 1499 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 26638 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 195:
#line 1507 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 26649 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 196:
#line 1514 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 26660 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 197:
#line 1523 "gram_minimal.y" /* yacc.c:1646  */
    {(yyval.vsetstmt) = (yyvsp[0].vsetstmt);}
#line 26666 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 198:
#line 1525 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_CURRENT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 26677 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 199:
#line 1533 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "timezone";
					if ((yyvsp[0].node) != NULL)
						n->args = list_make1((yyvsp[0].node));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 26692 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 200:
#line 1544 "gram_minimal.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("current database cannot be changed"),
							 parser_errposition((yylsp[0]))));
					(yyval.vsetstmt) = NULL; /*not reached*/
				}
#line 26704 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 201:
#line 1552 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "search_path";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 26716 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 202:
#line 1560 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "client_encoding";
					if ((yyvsp[0].str) != NULL)
						n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 26731 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 203:
#line 1571 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "role";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 26743 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 204:
#line 1579 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "session_authorization";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 26755 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 205:
#line 1587 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 26766 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 206:
#line 1594 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "xmloption";
					n->args = list_make1(makeStringConst((yyvsp[0].ival) == XMLOPTION_DOCUMENT ? "DOCUMENT" : "CONTENT", (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 26778 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 207:
#line 1603 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION SNAPSHOT";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 26790 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 208:
#line 1612 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26796 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 209:
#line 1614 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = psprintf("%s.%s", (yyvsp[-2].str), (yyvsp[0].str)); }
#line 26802 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 210:
#line 1617 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 26808 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 211:
#line 1618 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 26814 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 212:
#line 1622 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0])); }
#line 26820 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 213:
#line 1624 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 26826 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 214:
#line 1627 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "read uncommitted"; }
#line 26832 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 215:
#line 1628 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "read committed"; }
#line 26838 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 216:
#line 1629 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "repeatable read"; }
#line 26844 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 217:
#line 1630 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "serializable"; }
#line 26850 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 218:
#line 1634 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "true"; }
#line 26856 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 219:
#line 1635 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "false"; }
#line 26862 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 220:
#line 1636 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "on"; }
#line 26868 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 221:
#line 1642 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26874 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 222:
#line 1655 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 26882 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 223:
#line 1659 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 26890 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 224:
#line 1663 "gram_minimal.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-2].typnam);
					if ((yyvsp[0].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[0].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[0]))));
					}
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 26909 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 225:
#line 1678 "gram_minimal.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-4].typnam);
					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 26920 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 226:
#line 1684 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 26926 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 227:
#line 1685 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 26932 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 228:
#line 1686 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 26938 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 229:
#line 1690 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26944 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 230:
#line 1691 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 26950 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 231:
#line 1692 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 26956 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 232:
#line 1696 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26962 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 233:
#line 1697 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26968 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 234:
#line 1701 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].vsetstmt); }
#line 26974 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 235:
#line 1703 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->type = T_PgpoolVariableSetStmt; /* Hack to keep the changes minumum */
					(yyval.node) = (Node *) n;
				}
#line 26984 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 236:
#line 1711 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 26990 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 237:
#line 1713 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "timezone";
					(yyval.vsetstmt) = n;
				}
#line 27001 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 238:
#line 1720 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "transaction_isolation";
					(yyval.vsetstmt) = n;
				}
#line 27012 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 239:
#line 1727 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 27023 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 240:
#line 1737 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = (yyvsp[0].str);
					(yyval.vsetstmt) = n;
				}
#line 27034 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 241:
#line 1744 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET_ALL;
					(yyval.vsetstmt) = n;
				}
#line 27044 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 242:
#line 1753 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 27050 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 243:
#line 1754 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 27056 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 244:
#line 1759 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 27062 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 245:
#line 1760 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 27068 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 246:
#line 1767 "gram_minimal.y" /* yacc.c:1646  */
    {
				VariableShowStmt *n = (VariableShowStmt *)newNode(sizeof(VariableShowStmt),T_PgpoolVariableShowStmt);
				n->name = (yyvsp[0].str);
				(yyval.node) = (Node *) n;
			}
#line 27078 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 247:
#line 1773 "gram_minimal.y" /* yacc.c:1646  */
    {
				VariableShowStmt *n = (VariableShowStmt *)newNode(sizeof(VariableShowStmt),T_PgpoolVariableShowStmt);
				n->name = "all";
				(yyval.node) = (Node *) n;
			}
#line 27088 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 248:
#line 1779 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 27098 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 249:
#line 1785 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
#line 27108 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 250:
#line 1791 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
#line 27118 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 251:
#line 1797 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
#line 27128 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 252:
#line 1803 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "all";
					(yyval.node) = (Node *) n;
				}
#line 27138 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 253:
#line 1813 "gram_minimal.y" /* yacc.c:1646  */
    {
					ConstraintsSetStmt *n = makeNode(ConstraintsSetStmt);
					n->constraints = (yyvsp[-1].list);
					n->deferred = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 27149 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 254:
#line 1822 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27155 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 255:
#line 1823 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 27161 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 256:
#line 1827 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 27167 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 257:
#line 1828 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 27173 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 258:
#line 1837 "gram_minimal.y" /* yacc.c:1646  */
    {
					CheckPointStmt *n = makeNode(CheckPointStmt);
					(yyval.node) = (Node *)n;
				}
#line 27182 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 259:
#line 1852 "gram_minimal.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_ALL;
					(yyval.node) = (Node *) n;
				}
#line 27192 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 260:
#line 1858 "gram_minimal.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 27202 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 261:
#line 1864 "gram_minimal.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 27212 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 262:
#line 1870 "gram_minimal.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_PLANS;
					(yyval.node) = (Node *) n;
				}
#line 27222 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 263:
#line 1876 "gram_minimal.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_SEQUENCES;
					(yyval.node) = (Node *) n;
				}
#line 27232 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 264:
#line 1895 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27245 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 265:
#line 1904 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27258 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 266:
#line 1913 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->relkind = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27271 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 267:
#line 1922 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->relkind = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27284 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 268:
#line 1931 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_TABLE;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 27299 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 269:
#line 1942 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_TABLE;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 27314 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 270:
#line 1953 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27327 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 271:
#line 1962 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27340 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 272:
#line 1971 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->relkind = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27353 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 273:
#line 1980 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_INDEX;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 27368 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 274:
#line 1991 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_INDEX;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 27383 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 275:
#line 2002 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27396 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 276:
#line 2011 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27409 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 277:
#line 2020 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27422 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 278:
#line 2029 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27435 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 279:
#line 2038 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_MATVIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27448 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 280:
#line 2047 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_MATVIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27461 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2056 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 27476 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2067 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 27491 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2080 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 27497 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 284:
#line 2081 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 27503 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2087 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_AttachPartition;
					cmd->name = (yyvsp[-1].range);
					cmd->bound = (yyvsp[0].partboundspec);
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 27519 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2100 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_DetachPartition;
					cmd->name = (yyvsp[0].range);
					cmd->bound = NULL;
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 27535 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2116 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_AttachPartition;
					cmd->name = (yyvsp[0].range);
					cmd->bound = NULL;
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 27551 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2132 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27563 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2141 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27575 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2150 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27587 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2159 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27599 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2168 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ColumnDefault;
					n->name = (yyvsp[-1].str);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 27611 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2177 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *)n;
				}
#line 27622 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2185 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *)n;
				}
#line 27633 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2193 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStatistics;
					n->name = (yyvsp[-3].str);
					n->def = (Node *) makeInteger((yyvsp[0].ival));
					(yyval.node) = (Node *)n;
				}
#line 27645 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2202 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					if ((yyvsp[-3].ival) <= 0 || (yyvsp[-3].ival) > PG_INT16_MAX)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("column number must be in range from 1 to %d", PG_INT16_MAX),
								 parser_errposition((yylsp[-3]))));

					n->subtype = AT_SetStatistics;
					n->num = (int16) (yyvsp[-3].ival);
					n->def = (Node *) makeInteger((yyvsp[0].ival));
					(yyval.node) = (Node *)n;
				}
#line 27664 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2218 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27676 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2227 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27688 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 299:
#line 2236 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStorage;
					n->name = (yyvsp[-3].str);
					n->def = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 27700 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 300:
#line 2245 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);

					c->contype = CONSTR_IDENTITY;
					c->generated_when = (yyvsp[-3].ival);
					c->options = (yyvsp[0].list);
					c->location = (yylsp[-4]);

					n->subtype = AT_AddIdentity;
					n->name = (yyvsp[-6].str);
					n->def = (Node *) c;

					(yyval.node) = (Node *)n;
				}
#line 27720 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 301:
#line 2262 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetIdentity;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27732 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 302:
#line 2271 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropIdentity;
					n->name = (yyvsp[-2].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27744 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 303:
#line 2280 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropIdentity;
					n->name = (yyvsp[-4].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27756 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 304:
#line 2289 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27769 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 305:
#line 2299 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27782 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 306:
#line 2312 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = (yyvsp[0].node);
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *)n;
				}
#line 27800 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 307:
#line 2327 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AlterColumnGenericOptions;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27812 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 308:
#line 2336 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddConstraint;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27824 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 309:
#line 2345 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);
					n->subtype = AT_AlterConstraint;
					n->def = (Node *) c;
					c->contype = CONSTR_FOREIGN; /* others not supported, yet */
					c->conname = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "ALTER CONSTRAINT statement",
									&c->deferrable,
									&c->initdeferred,
									NULL, NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 27842 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 310:
#line 2360 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ValidateConstraint;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27853 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2368 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27866 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2378 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27879 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2388 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOids;
					(yyval.node) = (Node *)n;
				}
#line 27889 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2395 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ClusterOn;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27900 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 315:
#line 2403 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropCluster;
					n->name = NULL;
					(yyval.node) = (Node *)n;
				}
#line 27911 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 316:
#line 2411 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetLogged;
					(yyval.node) = (Node *)n;
				}
#line 27921 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2418 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetUnLogged;
					(yyval.node) = (Node *)n;
				}
#line 27931 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2425 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27942 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2433 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27953 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2441 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27964 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 321:
#line 2449 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigAll;
					(yyval.node) = (Node *)n;
				}
#line 27974 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 322:
#line 2456 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigUser;
					(yyval.node) = (Node *)n;
				}
#line 27984 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2463 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27995 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2471 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigAll;
					(yyval.node) = (Node *)n;
				}
#line 28005 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 325:
#line 2478 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigUser;
					(yyval.node) = (Node *)n;
				}
#line 28015 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 326:
#line 2485 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28026 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 327:
#line 2493 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28037 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2501 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28048 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2509 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28059 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 330:
#line 2517 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *)n;
				}
#line 28070 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 331:
#line 2525 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *)n;
				}
#line 28081 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 332:
#line 2533 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					TypeName *def = makeTypeNameFromNameList((yyvsp[0].list));
					def->location = (yylsp[0]);
					n->subtype = AT_AddOf;
					n->def = (Node *) def;
					(yyval.node) = (Node *)n;
				}
#line 28094 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2543 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOf;
					(yyval.node) = (Node *)n;
				}
#line 28104 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2550 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ChangeOwner;
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 28115 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 335:
#line 2558 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetTableSpace;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28126 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 336:
#line 2566 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetRelOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28137 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 337:
#line 2574 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetRelOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28148 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2582 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ReplicaIdentity;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 28159 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 339:
#line 2590 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 28169 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 340:
#line 2597 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 28179 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 341:
#line 2604 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ForceRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 28189 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 342:
#line 2611 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_NoForceRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 28199 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 343:
#line 2617 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_GenericOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 28210 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 344:
#line 2626 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 28216 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 345:
#line 2627 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 28222 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 346:
#line 2631 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_CASCADE; }
#line 28228 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 347:
#line 2632 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_RESTRICT; }
#line 28234 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 348:
#line 2633 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_RESTRICT; /* default */ }
#line 28240 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 349:
#line 2638 "gram_minimal.y" /* yacc.c:1646  */
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 28252 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 350:
#line 2645 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 28258 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 351:
#line 2649 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 28264 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 352:
#line 2650 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 28270 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 353:
#line 2655 "gram_minimal.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_NOTHING;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 28281 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 354:
#line 2662 "gram_minimal.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_FULL;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 28292 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 355:
#line 2669 "gram_minimal.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_DEFAULT;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 28303 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 356:
#line 2676 "gram_minimal.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_INDEX;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 28314 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 357:
#line 2685 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 28320 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 358:
#line 2688 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28326 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 359:
#line 2689 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28332 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 360:
#line 2693 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 28338 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 361:
#line 2694 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 28344 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 362:
#line 2700 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 28352 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 363:
#line 2704 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0]));
				}
#line 28360 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 364:
#line 2708 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-4].str), (yyvsp[-2].str), (Node *) (yyvsp[0].node),
											 DEFELEM_UNSPEC, (yylsp[-4]));
				}
#line 28369 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 365:
#line 2713 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-2].str), (yyvsp[0].str), NULL, DEFELEM_UNSPEC, (yylsp[-2]));
				}
#line 28377 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 366:
#line 2720 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 28383 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 367:
#line 2722 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 28389 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 368:
#line 2727 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", NULL, (yylsp[0]));
				}
#line 28397 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 369:
#line 2731 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", (Node *)(yyvsp[0].value), (yylsp[-2]));
				}
#line 28405 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 370:
#line 2735 "gram_minimal.y" /* yacc.c:1646  */
    {
					if (strcmp((yyvsp[0].defelt)->defname, "as") == 0 ||
						strcmp((yyvsp[0].defelt)->defname, "restart") == 0 ||
						strcmp((yyvsp[0].defelt)->defname, "owned_by") == 0)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("sequence option \"%s\" not supported here", (yyvsp[0].defelt)->defname),
								 parser_errposition((yylsp[0]))));
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 28420 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 371:
#line 2746 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("generated", (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 28428 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 372:
#line 2754 "gram_minimal.y" /* yacc.c:1646  */
    {
					ListCell   *lc;
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_HASH;
					n->modulus = n->remainder = -1;

					foreach (lc, (yyvsp[-1].list))
					{
						DefElem    *opt = lfirst_node(DefElem, lc);

						if (strcmp(opt->defname, "modulus") == 0)
						{
							if (n->modulus != -1)
								ereport(ERROR,
										(errcode(ERRCODE_DUPLICATE_OBJECT),
										 errmsg("modulus for hash partition provided more than once"),
										 parser_errposition(opt->location)));
							n->modulus = defGetInt32(opt);
						}
						else if (strcmp(opt->defname, "remainder") == 0)
						{
							if (n->remainder != -1)
								ereport(ERROR,
										(errcode(ERRCODE_DUPLICATE_OBJECT),
										 errmsg("remainder for hash partition provided more than once"),
										 parser_errposition(opt->location)));
							n->remainder = defGetInt32(opt);
						}
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("unrecognized hash partition bound specification \"%s\"",
											opt->defname),
									 parser_errposition(opt->location)));
					}

					if (n->modulus == -1)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("modulus for hash partition must be specified")));
					if (n->remainder == -1)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("remainder for hash partition must be specified")));

					n->location = (yylsp[-3]);

					(yyval.partboundspec) = n;
				}
#line 28483 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 373:
#line 2807 "gram_minimal.y" /* yacc.c:1646  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_LIST;
					n->is_default = false;
					n->listdatums = (yyvsp[-1].list);
					n->location = (yylsp[-3]);

					(yyval.partboundspec) = n;
				}
#line 28498 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 374:
#line 2820 "gram_minimal.y" /* yacc.c:1646  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_RANGE;
					n->is_default = false;
					n->lowerdatums = (yyvsp[-5].list);
					n->upperdatums = (yyvsp[-1].list);
					n->location = (yylsp[-7]);

					(yyval.partboundspec) = n;
				}
#line 28514 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 375:
#line 2834 "gram_minimal.y" /* yacc.c:1646  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->is_default = true;
					n->location = (yylsp[0]);

					(yyval.partboundspec) = n;
				}
#line 28527 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 376:
#line 2846 "gram_minimal.y" /* yacc.c:1646  */
    {
				(yyval.defelt) = makeDefElem((yyvsp[-1].str), (Node *)makeInteger((yyvsp[0].ival)), (yylsp[-1]));
			}
#line 28535 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 377:
#line 2853 "gram_minimal.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make1((yyvsp[0].defelt));
			}
#line 28543 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 378:
#line 2857 "gram_minimal.y" /* yacc.c:1646  */
    {
				(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
			}
#line 28551 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 379:
#line 2871 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					/* can't use qualified_name, sigh */
					n->relation = makeRangeVarFromAnyName((yyvsp[-1].list), (yylsp[-1]), yyscanner);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TYPE;
					(yyval.node) = (Node *)n;
				}
#line 28565 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 380:
#line 2883 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 28571 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 381:
#line 2884 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 28577 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 382:
#line 2890 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[-1].node);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 28589 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 383:
#line 2899 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28602 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 384:
#line 2909 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28615 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 385:
#line 2919 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					n->behavior = (yyvsp[0].dbehavior);
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = NULL;
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *)n;
				}
#line 28634 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 386:
#line 2945 "gram_minimal.y" /* yacc.c:1646  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28644 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 387:
#line 2951 "gram_minimal.y" /* yacc.c:1646  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = NULL;
					(yyval.node) = (Node *)n;
				}
#line 28654 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 388:
#line 2986 "gram_minimal.y" /* yacc.c:1646  */
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = (yyvsp[-8].range);
					n->query = NULL;
					n->attlist = (yyvsp[-7].list);
					n->is_from = (yyvsp[-6].boolean);
					n->is_program = (yyvsp[-5].boolean);
					n->filename = (yyvsp[-4].str);
					n->whereClause = (yyvsp[0].node);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-3]))));

					if (!n->is_from && n->whereClause != NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("WHERE clause not allowed with COPY TO"),
								 parser_errposition((yylsp[0]))));

					n->options = NIL;
					/* Concatenate user-supplied flags */
					if ((yyvsp[-9].defelt))
						n->options = lappend(n->options, (yyvsp[-9].defelt));
					if ((yyvsp[-3].defelt))
						n->options = lappend(n->options, (yyvsp[-3].defelt));
					if ((yyvsp[-1].list))
						n->options = list_concat(n->options, (yyvsp[-1].list));
					(yyval.node) = (Node *)n;
				}
#line 28691 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 389:
#line 3019 "gram_minimal.y" /* yacc.c:1646  */
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = NULL;
					n->query = (yyvsp[-6].node);
					n->attlist = NIL;
					n->is_from = false;
					n->is_program = (yyvsp[-3].boolean);
					n->filename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-4]))));

					(yyval.node) = (Node *)n;
				}
#line 28714 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 390:
#line 3040 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 28720 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 391:
#line 3041 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 28726 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 392:
#line 3045 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 28732 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 393:
#line 3046 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 28738 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 394:
#line 3055 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 28744 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 395:
#line 3056 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 28750 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 396:
#line 3057 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 28756 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 397:
#line 3060 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28762 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 398:
#line 3061 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 28768 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 399:
#line 3066 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 28774 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 400:
#line 3067 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28780 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 401:
#line 3072 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"), (yylsp[0]));
				}
#line 28788 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 402:
#line 3076 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("freeze", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 28796 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 403:
#line 3080 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 28804 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 404:
#line 3084 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("null", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 28812 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 405:
#line 3088 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("csv"), (yylsp[0]));
				}
#line 28820 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 406:
#line 3092 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("header", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 28828 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 407:
#line 3096 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("quote", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 28836 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 408:
#line 3100 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("escape", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 28844 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 409:
#line 3104 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 28852 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 410:
#line 3108 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)makeNode(A_Star), (yylsp[-2]));
				}
#line 28860 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 411:
#line 3112 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *)(yyvsp[0].list), (yylsp[-3]));
				}
#line 28868 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 412:
#line 3116 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_null", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 28876 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 413:
#line 3120 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 28884 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 414:
#line 3129 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"), (yylsp[0]));
				}
#line 28892 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 415:
#line 3132 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 28898 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 416:
#line 3137 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 28906 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 417:
#line 3140 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 28912 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 418:
#line 3144 "gram_minimal.y" /* yacc.c:1646  */
    {}
#line 28918 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 419:
#line 3145 "gram_minimal.y" /* yacc.c:1646  */
    {}
#line 28924 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 420:
#line 3151 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 28932 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 421:
#line 3155 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 28940 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 422:
#line 3162 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 28948 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 423:
#line 3168 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 28954 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 424:
#line 3169 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].value); }
#line 28960 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 425:
#line 3170 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeNode(A_Star); }
#line 28966 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 426:
#line 3171 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 28972 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 427:
#line 3172 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 28978 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 428:
#line 3177 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 28986 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 429:
#line 3181 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 28994 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 430:
#line 3188 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 29000 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 431:
#line 3202 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-9].range)->relpersistence = (yyvsp[-11].ival);
					n->relation = (yyvsp[-9].range);
					n->tableElts = (yyvsp[-7].list);
					n->inhRelations = (yyvsp[-5].list);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 29021 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 432:
#line 3221 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-9].range)->relpersistence = (yyvsp[-14].ival);
					n->relation = (yyvsp[-9].range);
					n->tableElts = (yyvsp[-7].list);
					n->inhRelations = (yyvsp[-5].list);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 29042 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 433:
#line 3240 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-8].range)->relpersistence = (yyvsp[-10].ival);
					n->relation = (yyvsp[-8].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = NIL;
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-6].list));
					n->ofTypename->location = (yylsp[-6]);
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 29064 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 434:
#line 3260 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-8].range)->relpersistence = (yyvsp[-13].ival);
					n->relation = (yyvsp[-8].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = NIL;
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-6].list));
					n->ofTypename->location = (yylsp[-6]);
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 29086 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 435:
#line 3280 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-10].range)->relpersistence = (yyvsp[-12].ival);
					n->relation = (yyvsp[-10].range);
					n->tableElts = (yyvsp[-6].list);
					n->inhRelations = list_make1((yyvsp[-7].range));
					n->partbound = (yyvsp[-5].partboundspec);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 29108 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 436:
#line 3300 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-10].range)->relpersistence = (yyvsp[-15].ival);
					n->relation = (yyvsp[-10].range);
					n->tableElts = (yyvsp[-6].list);
					n->inhRelations = list_make1((yyvsp[-7].range));
					n->partbound = (yyvsp[-5].partboundspec);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 29130 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 437:
#line 3330 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 29136 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 438:
#line 3331 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 29142 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 439:
#line 3332 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 29148 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 440:
#line 3333 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 29154 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 441:
#line 3335 "gram_minimal.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 29165 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 442:
#line 3342 "gram_minimal.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 29176 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 443:
#line 3348 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 29182 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 444:
#line 3349 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 29188 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 445:
#line 3353 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 29194 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 446:
#line 3354 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29200 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 447:
#line 3358 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 29206 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 448:
#line 3359 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29212 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 449:
#line 3364 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 29220 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 450:
#line 3368 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 29228 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 451:
#line 3375 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 29236 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 452:
#line 3379 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 29244 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 453:
#line 3385 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 29250 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 454:
#line 3386 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 29256 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 455:
#line 3387 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 29262 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 456:
#line 3391 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 29268 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 457:
#line 3392 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 29274 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 458:
#line 3396 "gram_minimal.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-3].str);
					n->typeName = (yyvsp[-2].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					n->fdwoptions = (yyvsp[-1].list);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 29297 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 459:
#line 3417 "gram_minimal.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-1].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 29319 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 460:
#line 3435 "gram_minimal.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-3].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 29341 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 461:
#line 3455 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 29347 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 462:
#line 3456 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29353 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 463:
#line 3461 "gram_minimal.y" /* yacc.c:1646  */
    {
					Constraint *n = castNode(Constraint, (yyvsp[0].node));
					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 29364 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 464:
#line 3467 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 29370 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 465:
#line 3468 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 29376 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 466:
#line 3470 "gram_minimal.y" /* yacc.c:1646  */
    {
					/*
					 * Note: the CollateClause is momentarily included in
					 * the list built by ColQualList, but we split it out
					 * again in SplitColQualList.
					 */
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 29393 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 467:
#line 3501 "gram_minimal.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 29404 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 468:
#line 3508 "gram_minimal.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 29415 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 469:
#line 3515 "gram_minimal.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29430 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 470:
#line 3526 "gram_minimal.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29445 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 471:
#line 3537 "gram_minimal.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->is_no_inherit = (yyvsp[0].boolean);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					n->skip_validation = false;
					n->initially_valid = true;
					(yyval.node) = (Node *)n;
				}
#line 29461 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 472:
#line 3549 "gram_minimal.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_DEFAULT;
					n->location = (yylsp[-1]);
					n->raw_expr = (yyvsp[0].node);
					n->cooked_expr = NULL;
					n->skip_validation = false;
					n->initially_valid = true;
					(yyval.node) = (Node *)n;
				}
#line 29476 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 473:
#line 3560 "gram_minimal.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_IDENTITY;
					n->generated_when = (yyvsp[-3].ival);
					n->options = (yyvsp[0].list);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *)n;
				}
#line 29489 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 474:
#line 3569 "gram_minimal.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_GENERATED;
					n->generated_when = (yyvsp[-5].ival);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					n->location = (yylsp[-6]);

					/*
					 * Can't do this in the grammar because of shift/reduce
					 * conflicts.  (IDENTITY allows both ALWAYS and BY
					 * DEFAULT, but generated columns only allow ALWAYS.)  We
					 * can also give a more useful error message and location.
					 */
					if ((yyvsp[-5].ival) != ATTRIBUTE_IDENTITY_ALWAYS)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("for a generated column, GENERATED ALWAYS must be specified"),
								 parser_errposition((yylsp[-5]))));

					(yyval.node) = (Node *)n;
				}
#line 29516 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 475:
#line 3592 "gram_minimal.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-4]);
					n->pktable			= (yyvsp[-3].range);
					n->fk_attrs			= NIL;
					n->pk_attrs			= (yyvsp[-2].list);
					n->fk_matchtype		= (yyvsp[-1].ival);
					n->fk_upd_action	= (char) ((yyvsp[0].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[0].ival) & 0xFF);
					n->skip_validation  = false;
					n->initially_valid  = true;
					(yyval.node) = (Node *)n;
				}
#line 29535 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 476:
#line 3609 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = ATTRIBUTE_IDENTITY_ALWAYS; }
#line 29541 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 477:
#line 3610 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = ATTRIBUTE_IDENTITY_BY_DEFAULT; }
#line 29547 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 478:
#line 3630 "gram_minimal.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRABLE;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 29558 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 479:
#line 3637 "gram_minimal.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_NOT_DEFERRABLE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 29569 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 480:
#line 3644 "gram_minimal.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRED;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 29580 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 481:
#line 3651 "gram_minimal.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_IMMEDIATE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 29591 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 482:
#line 3662 "gram_minimal.y" /* yacc.c:1646  */
    {
					TableLikeClause *n = makeNode(TableLikeClause);
					n->relation = (yyvsp[-1].range);
					n->options = (yyvsp[0].ival);
					(yyval.node) = (Node *)n;
				}
#line 29602 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 483:
#line 3671 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 29608 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 484:
#line 3672 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) & ~(yyvsp[0].ival); }
#line 29614 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 485:
#line 3673 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 29620 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 486:
#line 3677 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_COMMENTS; }
#line 29626 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3678 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_CONSTRAINTS; }
#line 29632 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 488:
#line 3679 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_DEFAULTS; }
#line 29638 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 489:
#line 3680 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_IDENTITY; }
#line 29644 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3681 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_GENERATED; }
#line 29650 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3682 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_INDEXES; }
#line 29656 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3683 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_STATISTICS; }
#line 29662 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3684 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_STORAGE; }
#line 29668 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3685 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_ALL; }
#line 29674 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 495:
#line 3695 "gram_minimal.y" /* yacc.c:1646  */
    {
					Constraint *n = castNode(Constraint, (yyvsp[0].node));
					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 29685 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 496:
#line 3701 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 29691 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3706 "gram_minimal.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "CHECK",
								   NULL, NULL, &n->skip_validation,
								   &n->is_no_inherit, yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
#line 29708 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3720 "gram_minimal.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-7]);
					n->keys = (yyvsp[-5].list);
					n->including = (yyvsp[-3].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 29727 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 499:
#line 3735 "gram_minimal.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NIL;
					n->including = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 29746 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 500:
#line 3751 "gram_minimal.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-8]);
					n->keys = (yyvsp[-5].list);
					n->including = (yyvsp[-3].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 29765 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 501:
#line 3766 "gram_minimal.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NIL;
					n->including = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 29784 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 502:
#line 3783 "gram_minimal.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_EXCLUSION;
					n->location = (yylsp[-9]);
					n->access_method	= (yyvsp[-8].str);
					n->exclusions		= (yyvsp[-6].list);
					n->including		= (yyvsp[-4].list);
					n->options			= (yyvsp[-3].list);
					n->indexname		= NULL;
					n->indexspace		= (yyvsp[-2].str);
					n->where_clause		= (yyvsp[-1].node);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "EXCLUDE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 29805 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 503:
#line 3801 "gram_minimal.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-10]);
					n->pktable			= (yyvsp[-4].range);
					n->fk_attrs			= (yyvsp[-7].list);
					n->pk_attrs			= (yyvsp[-3].list);
					n->fk_matchtype		= (yyvsp[-2].ival);
					n->fk_upd_action	= (char) ((yyvsp[-1].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[-1].ival) & 0xFF);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "FOREIGN KEY",
								   &n->deferrable, &n->initdeferred,
								   &n->skip_validation, NULL,
								   yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
#line 29827 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 504:
#line 3820 "gram_minimal.y" /* yacc.c:1646  */
    {  (yyval.boolean) = true; }
#line 29833 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 505:
#line 3821 "gram_minimal.y" /* yacc.c:1646  */
    {  (yyval.boolean) = false; }
#line 29839 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 506:
#line 3825 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 29845 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 507:
#line 3826 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29851 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 508:
#line 3830 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 29857 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 509:
#line 3831 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 29863 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 510:
#line 3835 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 29871 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 511:
#line 3840 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 29877 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 512:
#line 3841 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29883 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 513:
#line 3845 "gram_minimal.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_FULL;
			}
#line 29891 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 514:
#line 3849 "gram_minimal.y" /* yacc.c:1646  */
    {
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("MATCH PARTIAL not yet implemented"),
						 parser_errposition((yylsp[-1]))));
				(yyval.ival) = FKCONSTR_MATCH_PARTIAL;
			}
#line 29903 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 515:
#line 3857 "gram_minimal.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 29911 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 516:
#line 3861 "gram_minimal.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 29919 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 517:
#line 3867 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 29925 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 518:
#line 3869 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 29931 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 519:
#line 3873 "gram_minimal.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make2((yyvsp[-2].ielem), (yyvsp[0].list));
			}
#line 29939 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 520:
#line 3878 "gram_minimal.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make2((yyvsp[-5].ielem), (yyvsp[-1].list));
			}
#line 29947 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 521:
#line 3884 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 29953 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 522:
#line 3885 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 29959 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 523:
#line 3896 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = ((yyvsp[0].ival) << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
#line 29965 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 524:
#line 3898 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | ((yyvsp[0].ival) & 0xFF); }
#line 29971 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 525:
#line 3900 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = ((yyvsp[-1].ival) << 8) | ((yyvsp[0].ival) & 0xFF); }
#line 29977 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 526:
#line 3902 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = ((yyvsp[0].ival) << 8) | ((yyvsp[-1].ival) & 0xFF); }
#line 29983 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 527:
#line 3904 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
#line 29989 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 528:
#line 3907 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 29995 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 529:
#line 3910 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 30001 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 530:
#line 3914 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_NOACTION; }
#line 30007 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 531:
#line 3915 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_RESTRICT; }
#line 30013 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 532:
#line 3916 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_CASCADE; }
#line 30019 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 533:
#line 3917 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_SETNULL; }
#line 30025 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 534:
#line 3918 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_SETDEFAULT; }
#line 30031 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 535:
#line 3921 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 30037 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 536:
#line 3922 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30043 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 537:
#line 3926 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.partspec) = (yyvsp[0].partspec); }
#line 30049 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 538:
#line 3927 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.partspec) = NULL; }
#line 30055 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 539:
#line 3931 "gram_minimal.y" /* yacc.c:1646  */
    {
					PartitionSpec *n = makeNode(PartitionSpec);

					n->strategy = (yyvsp[-3].str);
					n->partParams = (yyvsp[-1].list);
					n->location = (yylsp[-5]);

					(yyval.partspec) = n;
				}
#line 30069 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 540:
#line 3942 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30075 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 541:
#line 3943 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 30081 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 542:
#line 3946 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].partelem)); }
#line 30087 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 543:
#line 3947 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].partelem)); }
#line 30093 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 544:
#line 3951 "gram_minimal.y" /* yacc.c:1646  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = (yyvsp[-2].str);
					n->expr = NULL;
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-2]);
					(yyval.partelem) = n;
				}
#line 30108 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 545:
#line 3962 "gram_minimal.y" /* yacc.c:1646  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = NULL;
					n->expr = (yyvsp[-2].node);
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-2]);
					(yyval.partelem) = n;
				}
#line 30123 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 546:
#line 3973 "gram_minimal.y" /* yacc.c:1646  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = NULL;
					n->expr = (yyvsp[-3].node);
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-4]);
					(yyval.partelem) = n;
				}
#line 30138 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 547:
#line 3986 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30144 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 548:
#line 3987 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 30150 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 549:
#line 3992 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30156 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 550:
#line 3993 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30162 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 551:
#line 3994 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30168 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 552:
#line 3997 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_DROP; }
#line 30174 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 553:
#line 3998 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_DELETE_ROWS; }
#line 30180 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 554:
#line 3999 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_PRESERVE_ROWS; }
#line 30186 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 555:
#line 4000 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_NOOP; }
#line 30192 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 556:
#line 4003 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30198 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 557:
#line 4004 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 30204 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 558:
#line 4007 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30210 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 559:
#line 4008 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 30216 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 560:
#line 4011 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30222 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 561:
#line 4031 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateStatsStmt *n = makeNode(CreateStatsStmt);
					n->defnames = (yyvsp[-5].list);
					n->stat_types = (yyvsp[-4].list);
					n->exprs = (yyvsp[-2].list);
					n->relations = (yyvsp[0].list);
					n->stxcomment = NULL;
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 30237 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 562:
#line 4043 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateStatsStmt *n = makeNode(CreateStatsStmt);
					n->defnames = (yyvsp[-5].list);
					n->stat_types = (yyvsp[-4].list);
					n->exprs = (yyvsp[-2].list);
					n->relations = (yyvsp[0].list);
					n->stxcomment = NULL;
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 30252 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 563:
#line 4067 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-5].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 30269 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 564:
#line 4080 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-8].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 30286 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 565:
#line 4097 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-5].range);
					(yyval.into)->colNames = (yyvsp[-4].list);
					(yyval.into)->accessMethod = (yyvsp[-3].str);
					(yyval.into)->options = (yyvsp[-2].list);
					(yyval.into)->onCommit = (yyvsp[-1].oncommit);
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 30302 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 566:
#line 4111 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 30308 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 567:
#line 4112 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 30314 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 568:
#line 4113 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 30320 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 569:
#line 4126 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-6].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 30337 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 570:
#line 4139 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-9].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 30354 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 571:
#line 4155 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-4].range);
					(yyval.into)->colNames = (yyvsp[-3].list);
					(yyval.into)->accessMethod = (yyvsp[-2].str);
					(yyval.into)->options = (yyvsp[-1].list);
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;		/* filled at analysis time */
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 30370 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 572:
#line 4168 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 30376 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 573:
#line 4169 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 30382 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 574:
#line 4182 "gram_minimal.y" /* yacc.c:1646  */
    {
					RefreshMatViewStmt *n = makeNode(RefreshMatViewStmt);
					n->concurrent = (yyvsp[-2].boolean);
					n->relation = (yyvsp[-1].range);
					n->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) n;
				}
#line 30394 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 575:
#line 4202 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[-1].range)->relpersistence = (yyvsp[-3].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 30408 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 576:
#line 4212 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[-1].range)->relpersistence = (yyvsp[-6].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 30422 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 577:
#line 4225 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 30434 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 578:
#line 4233 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 30446 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 579:
#line 4243 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30452 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 580:
#line 4244 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30458 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 581:
#line 4247 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 30464 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 582:
#line 4248 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30470 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 583:
#line 4251 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 30476 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 584:
#line 4252 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 30482 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 585:
#line 4256 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)(yyvsp[0].typnam), (yylsp[-1]));
				}
#line 30490 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 586:
#line 4260 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cache", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 30498 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 587:
#line 4264 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 30506 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 588:
#line 4268 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(false), (yylsp[-1]));
				}
#line 30514 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 589:
#line 4272 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("increment", (Node *)(yyvsp[0].value), (yylsp[-2]));
				}
#line 30522 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 590:
#line 4276 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 30530 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 591:
#line 4280 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("minvalue", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 30538 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 592:
#line 4284 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", NULL, (yylsp[-1]));
				}
#line 30546 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 593:
#line 4288 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("minvalue", NULL, (yylsp[-1]));
				}
#line 30554 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 594:
#line 4292 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("owned_by", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 30562 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 595:
#line 4296 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* not documented, only used by pg_dump */
					(yyval.defelt) = makeDefElem("sequence_name", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 30571 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 596:
#line 4301 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("start", (Node *)(yyvsp[0].value), (yylsp[-2]));
				}
#line 30579 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 597:
#line 4305 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", NULL, (yylsp[0]));
				}
#line 30587 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 598:
#line 4309 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", (Node *)(yyvsp[0].value), (yylsp[-2]));
				}
#line 30595 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 599:
#line 4314 "gram_minimal.y" /* yacc.c:1646  */
    {}
#line 30601 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 600:
#line 4315 "gram_minimal.y" /* yacc.c:1646  */
    {}
#line 30607 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 601:
#line 4319 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.value) = makeFloat((yyvsp[0].str)); }
#line 30613 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 602:
#line 4320 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.value) = makeFloat((yyvsp[0].str)); }
#line 30619 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 603:
#line 4322 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.value) = makeFloat((yyvsp[0].str));
					doNegateFloat((yyval.value));
				}
#line 30628 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 604:
#line 4326 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.value) = makeInteger((yyvsp[0].ival)); }
#line 30634 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 605:
#line 4329 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].value)); }
#line 30640 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 606:
#line 4330 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value)); }
#line 30646 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 607:
#line 4343 "gram_minimal.y" /* yacc.c:1646  */
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[-4].boolean);
				n->plname = (yyvsp[0].str);
				/* parameters are all to be supplied by system */
				n->plhandler = NIL;
				n->plinline = NIL;
				n->plvalidator = NIL;
				n->pltrusted = false;
				(yyval.node) = (Node *)n;
			}
#line 30662 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 608:
#line 4356 "gram_minimal.y" /* yacc.c:1646  */
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[-8].boolean);
				n->plname = (yyvsp[-4].str);
				n->plhandler = (yyvsp[-2].list);
				n->plinline = (yyvsp[-1].list);
				n->plvalidator = (yyvsp[0].list);
				n->pltrusted = (yyvsp[-7].boolean);
				(yyval.node) = (Node *)n;
			}
#line 30677 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 609:
#line 4369 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 30683 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 610:
#line 4370 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 30689 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 611:
#line 4378 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 30695 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 612:
#line 4379 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 30701 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 613:
#line 4383 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30707 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 614:
#line 4384 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30713 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 615:
#line 4388 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30719 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 616:
#line 4389 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30725 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 617:
#line 4393 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30731 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 618:
#line 4394 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30737 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 619:
#line 4399 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(makeString((yyvsp[-1].str)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 30751 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 620:
#line 4409 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(makeString((yyvsp[-1].str)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 30765 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 621:
#line 4421 "gram_minimal.y" /* yacc.c:1646  */
    {}
#line 30771 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 622:
#line 4422 "gram_minimal.y" /* yacc.c:1646  */
    {}
#line 30777 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 623:
#line 4433 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateTableSpaceStmt *n = makeNode(CreateTableSpaceStmt);
					n->tablespacename = (yyvsp[-4].str);
					n->owner = (yyvsp[-3].rolespec);
					n->location = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30790 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 624:
#line 4443 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 30796 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 625:
#line 4444 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.rolespec) = NULL; }
#line 30802 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 626:
#line 4458 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 30813 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 627:
#line 4465 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30824 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 628:
#line 4482 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->if_not_exists = false;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30836 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 629:
#line 4490 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->if_not_exists = true;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30848 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 630:
#line 4501 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 30854 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 631:
#line 4503 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30860 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 632:
#line 4508 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("schema", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 30868 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 633:
#line 4512 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 30876 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 634:
#line 4516 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("old_version", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 30884 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 635:
#line 4520 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cascade", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 30892 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 636:
#line 4532 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterExtensionStmt *n = makeNode(AlterExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30903 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 637:
#line 4542 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 30909 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 638:
#line 4544 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30915 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 639:
#line 4549 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 30923 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 640:
#line 4562 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_ACCESS_METHOD;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 30936 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 641:
#line 4571 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *)n;
				}
#line 30949 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 642:
#line 4580 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-7].str);
					n->action = (yyvsp[-6].ival);
					n->objtype = OBJECT_CAST;
					n->object = (Node *) list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam));
					(yyval.node) = (Node *) n;
				}
#line 30962 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 643:
#line 4589 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30975 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 644:
#line 4598 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30988 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 645:
#line 4607 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[0].typnam);
					(yyval.node) = (Node *)n;
				}
#line 31001 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 646:
#line 4616 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *)n;
				}
#line 31014 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 647:
#line 4625 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 31027 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 648:
#line 4634 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *)n;
				}
#line 31040 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 649:
#line 4643 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *)n;
				}
#line 31053 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 650:
#line 4652 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *)n;
				}
#line 31066 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 651:
#line 4661 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *)n;
				}
#line 31079 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 652:
#line 4670 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *)n;
				}
#line 31092 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 653:
#line 4679 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_SCHEMA;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 31105 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 654:
#line 4688 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 31118 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 655:
#line 4697 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TABLE;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31131 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 656:
#line 4706 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31144 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 657:
#line 4715 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31157 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 658:
#line 4724 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31170 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 659:
#line 4733 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31183 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 660:
#line 4742 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_SEQUENCE;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31196 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 661:
#line 4751 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_VIEW;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31209 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 662:
#line 4760 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_MATVIEW;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31222 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 663:
#line 4769 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31235 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 664:
#line 4778 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 31248 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 665:
#line 4787 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 31261 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 666:
#line 4796 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_TRANSFORM;
					n->object = (Node *) list_make2((yyvsp[-2].typnam), makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 31274 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 667:
#line 4805 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[0].typnam);
					(yyval.node) = (Node *)n;
				}
#line 31287 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 668:
#line 4823 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateFdwStmt *n = makeNode(CreateFdwStmt);
					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31299 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 669:
#line 4833 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("handler", (Node *)(yyvsp[0].list), (yylsp[-1])); }
#line 31305 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 670:
#line 4834 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("handler", NULL, (yylsp[-1])); }
#line 31311 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 671:
#line 4835 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("validator", (Node *)(yyvsp[0].list), (yylsp[-1])); }
#line 31317 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 672:
#line 4836 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("validator", NULL, (yylsp[-1])); }
#line 31323 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 673:
#line 4840 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 31329 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 674:
#line 4841 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 31335 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 675:
#line 4845 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31341 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 676:
#line 4846 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31347 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 677:
#line 4857 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31359 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 678:
#line 4865 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[-1].str);
					n->func_options = (yyvsp[0].list);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 31371 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 679:
#line 4876 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 31377 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 680:
#line 4877 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31383 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 681:
#line 4882 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 31391 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 682:
#line 4886 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 31399 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 683:
#line 4893 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 31405 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 684:
#line 4898 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 31413 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 685:
#line 4902 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 31421 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 686:
#line 4909 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 31429 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 687:
#line 4913 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_SET;
				}
#line 31438 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 688:
#line 4918 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_ADD;
				}
#line 31447 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 689:
#line 4923 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended(NULL, (yyvsp[0].str), NULL, DEFELEM_DROP, (yylsp[0]));
				}
#line 31455 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 690:
#line 4930 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 31463 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 691:
#line 4936 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31469 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 692:
#line 4941 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 31475 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 693:
#line 4953 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);
					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 31490 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 694:
#line 4965 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);
					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 31505 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 695:
#line 4978 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31511 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 696:
#line 4979 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 31517 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 697:
#line 4984 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31523 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 698:
#line 4985 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 31529 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 699:
#line 4989 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31535 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 700:
#line 4990 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 31541 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 701:
#line 5001 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-2].str);
					n->version = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 31554 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 702:
#line 5010 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-1].str);
					n->version = (yyvsp[0].str);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 31566 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 703:
#line 5018 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31577 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 704:
#line 5037 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31599 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 705:
#line 5057 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31621 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 706:
#line 5077 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-8].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-8].range);
					n->base.inhRelations = list_make1((yyvsp[-5].range));
					n->base.tableElts = (yyvsp[-4].list);
					n->base.partbound = (yyvsp[-3].partboundspec);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31644 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 707:
#line 5098 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-8].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-8].range);
					n->base.inhRelations = list_make1((yyvsp[-5].range));
					n->base.tableElts = (yyvsp[-4].list);
					n->base.partbound = (yyvsp[-3].partboundspec);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31667 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 708:
#line 5127 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 31680 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 709:
#line 5136 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 31693 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 710:
#line 5158 "gram_minimal.y" /* yacc.c:1646  */
    {
				ImportForeignSchemaStmt *n = makeNode(ImportForeignSchemaStmt);
				n->server_name = (yyvsp[-3].str);
				n->remote_schema = (yyvsp[-7].str);
				n->local_schema = (yyvsp[-1].str);
				n->list_type = (yyvsp[-6].importqual)->type;
				n->table_list = (yyvsp[-6].importqual)->table_names;
				n->options = (yyvsp[0].list);
				(yyval.node) = (Node *) n;
			}
#line 31708 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 711:
#line 5171 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = FDW_IMPORT_SCHEMA_LIMIT_TO; }
#line 31714 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 712:
#line 5172 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = FDW_IMPORT_SCHEMA_EXCEPT; }
#line 31720 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 713:
#line 5177 "gram_minimal.y" /* yacc.c:1646  */
    {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));
				n->type = (yyvsp[-3].ival);
				n->table_names = (yyvsp[-1].list);
				(yyval.importqual) = n;
			}
#line 31731 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 714:
#line 5184 "gram_minimal.y" /* yacc.c:1646  */
    {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));
				n->type = FDW_IMPORT_SCHEMA_ALL;
				n->table_names = NIL;
				(yyval.importqual) = n;
			}
#line 31742 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 715:
#line 5200 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);
					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 31755 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 716:
#line 5209 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);
					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 31768 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 717:
#line 5220 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 31774 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 718:
#line 5221 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0])); }
#line 31780 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 719:
#line 5234 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->user = (yyvsp[-2].rolespec);
					n->servername = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31792 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 720:
#line 5242 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->user = (yyvsp[-2].rolespec);
					n->servername = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31804 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 721:
#line 5259 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterUserMappingStmt *n = makeNode(AlterUserMappingStmt);
					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31816 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 722:
#line 5285 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreatePolicyStmt *n = makeNode(CreatePolicyStmt);
					n->policy_name = (yyvsp[-7].str);
					n->table = (yyvsp[-5].range);
					n->permissive = (yyvsp[-4].boolean);
					n->cmd_name = (yyvsp[-3].str);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 31832 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 723:
#line 5301 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterPolicyStmt *n = makeNode(AlterPolicyStmt);
					n->policy_name = (yyvsp[-5].str);
					n->table = (yyvsp[-3].range);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 31846 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 724:
#line 5313 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 31852 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 725:
#line 5314 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 31858 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 726:
#line 5318 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 31864 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 727:
#line 5319 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 31870 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 728:
#line 5323 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31876 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 729:
#line 5324 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeRoleSpec(ROLESPEC_PUBLIC, -1)); }
#line 31882 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 730:
#line 5328 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31888 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 731:
#line 5329 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NULL; }
#line 31894 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 732:
#line 5334 "gram_minimal.y" /* yacc.c:1646  */
    {
					if (strcmp((yyvsp[0].str), "permissive") == 0)
						(yyval.boolean) = true;
					else if (strcmp((yyvsp[0].str), "restrictive") == 0)
						(yyval.boolean) = false;
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("unrecognized row security option \"%s\"", (yyvsp[0].str)),
								 errhint("Only PERMISSIVE or RESTRICTIVE policies are supported currently."),
									 parser_errposition((yylsp[0]))));

				}
#line 31912 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 733:
#line 5347 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 31918 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 734:
#line 5351 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31924 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 735:
#line 5352 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "all"; }
#line 31930 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 736:
#line 5356 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "all"; }
#line 31936 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 737:
#line 5357 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "select"; }
#line 31942 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 738:
#line 5358 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "insert"; }
#line 31948 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 739:
#line 5359 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "update"; }
#line 31954 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 740:
#line 5360 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "delete"; }
#line 31960 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 741:
#line 5371 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateAmStmt *n = makeNode(CreateAmStmt);
					n->amname = (yyvsp[-4].str);
					n->handler_name = (yyvsp[0].list);
					n->amtype = (yyvsp[-2].chr);
					(yyval.node) = (Node *) n;
				}
#line 31972 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 742:
#line 5381 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.chr) = AMTYPE_INDEX; }
#line 31978 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 743:
#line 5382 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.chr) = AMTYPE_TABLE; }
#line 31984 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 744:
#line 5396 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-13].str);
					n->relation = (yyvsp[-9].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = (yyvsp[-7].boolean);
					n->timing = (yyvsp[-12].ival);
					n->events = intVal(linitial((yyvsp[-11].list)));
					n->columns = (List *) lsecond((yyvsp[-11].list));
					n->whenClause = (yyvsp[-6].node);
					n->transitionRels = (yyvsp[-8].list);
					n->isconstraint  = false;
					n->deferrable	 = false;
					n->initdeferred  = false;
					n->constrrel = NULL;
					(yyval.node) = (Node *)n;
				}
#line 32007 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 745:
#line 5418 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-16].str);
					n->relation = (yyvsp[-12].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = true;
					n->timing = TRIGGER_TYPE_AFTER;
					n->events = intVal(linitial((yyvsp[-14].list)));
					n->columns = (List *) lsecond((yyvsp[-14].list));
					n->whenClause = (yyvsp[-6].node);
					n->transitionRels = NIL;
					n->isconstraint  = true;
					processCASbits((yyvsp[-10].ival), (yylsp[-10]), "TRIGGER",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					n->constrrel = (yyvsp[-11].range);
					(yyval.node) = (Node *)n;
				}
#line 32031 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 746:
#line 5440 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_BEFORE; }
#line 32037 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 747:
#line 5441 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_AFTER; }
#line 32043 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 748:
#line 5442 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_INSTEAD; }
#line 32049 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 749:
#line 5447 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32055 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 750:
#line 5449 "gram_minimal.y" /* yacc.c:1646  */
    {
					int		events1 = intVal(linitial((yyvsp[-2].list)));
					int		events2 = intVal(linitial((yyvsp[0].list)));
					List   *columns1 = (List *) lsecond((yyvsp[-2].list));
					List   *columns2 = (List *) lsecond((yyvsp[0].list));

					if (events1 & events2)
						parser_yyerror("duplicate trigger events specified");
					/*
					 * concat'ing the columns lists loses information about
					 * which columns went with which event, but so long as
					 * only UPDATE carries columns and we disallow multiple
					 * UPDATE items, it doesn't matter.  Command execution
					 * should just ignore the columns for non-UPDATE events.
					 */
					(yyval.list) = list_make2(makeInteger(events1 | events2),
									list_concat(columns1, columns2));
				}
#line 32078 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 751:
#line 5471 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_INSERT), NIL); }
#line 32084 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 752:
#line 5473 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_DELETE), NIL); }
#line 32090 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 753:
#line 5475 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), NIL); }
#line 32096 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 754:
#line 5477 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), (yyvsp[0].list)); }
#line 32102 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 755:
#line 5479 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_TRUNCATE), NIL); }
#line 32108 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 756:
#line 5483 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32114 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 757:
#line 5484 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32120 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 758:
#line 5488 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 32126 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 759:
#line 5489 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 32132 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 760:
#line 5494 "gram_minimal.y" /* yacc.c:1646  */
    {
					TriggerTransition *n = makeNode(TriggerTransition);
					n->name = (yyvsp[0].str);
					n->isNew = (yyvsp[-3].boolean);
					n->isTable = (yyvsp[-2].boolean);
					(yyval.node) = (Node *)n;
				}
#line 32144 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 761:
#line 5504 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 32150 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 762:
#line 5505 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 32156 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 763:
#line 5509 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 32162 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 764:
#line 5518 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 32168 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 765:
#line 5522 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 32174 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 766:
#line 5527 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.boolean) = (yyvsp[0].boolean);
				}
#line 32182 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 767:
#line 5531 "gram_minimal.y" /* yacc.c:1646  */
    {
					/*
					 * If ROW/STATEMENT not specified, default to
					 * STATEMENT, per SQL
					 */
					(yyval.boolean) = false;
				}
#line 32194 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 768:
#line 5541 "gram_minimal.y" /* yacc.c:1646  */
    {}
#line 32200 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 769:
#line 5542 "gram_minimal.y" /* yacc.c:1646  */
    {}
#line 32206 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 770:
#line 5546 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 32212 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 771:
#line 5547 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 32218 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 772:
#line 5551 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 32224 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 773:
#line 5552 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 32230 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 776:
#line 5561 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].value)); }
#line 32236 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 777:
#line 5562 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value)); }
#line 32242 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 778:
#line 5563 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32248 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 779:
#line 5568 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.value) = makeString(psprintf("%d", (yyvsp[0].ival)));
				}
#line 32256 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 780:
#line 5571 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 32262 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 781:
#line 5572 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 32268 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 782:
#line 5573 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 32274 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 783:
#line 5577 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.range) = (yyvsp[0].range); }
#line 32280 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 784:
#line 5578 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.range) = NULL; }
#line 32286 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 785:
#line 5583 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 32292 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 786:
#line 5585 "gram_minimal.y" /* yacc.c:1646  */
    {
					/*
					 * We must complain about conflicting options.
					 * We could, but choose not to, complain about redundant
					 * options (ie, where $2's bit is already set in $1).
					 */
					int		newspec = (yyvsp[-1].ival) | (yyvsp[0].ival);

					/* special message for this case */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED)) == (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("constraint declared INITIALLY DEFERRED must be DEFERRABLE"),
								 parser_errposition((yylsp[0]))));
					/* generic message for other conflicts */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE)) == (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE) ||
						(newspec & (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED)) == (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("conflicting constraint properties"),
								 parser_errposition((yylsp[0]))));
					(yyval.ival) = newspec;
				}
#line 32320 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 787:
#line 5611 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NOT_DEFERRABLE; }
#line 32326 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 788:
#line 5612 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_DEFERRABLE; }
#line 32332 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 789:
#line 5613 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_INITIALLY_IMMEDIATE; }
#line 32338 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 790:
#line 5614 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_INITIALLY_DEFERRED; }
#line 32344 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 791:
#line 5615 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NOT_VALID; }
#line 32350 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 792:
#line 5616 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NO_INHERIT; }
#line 32356 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 793:
#line 5631 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);
					n->trigname = (yyvsp[-7].str);
					n->eventname = (yyvsp[-5].str);
					n->whenclause = NULL;
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 32369 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 794:
#line 5642 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);
					n->trigname = (yyvsp[-9].str);
					n->eventname = (yyvsp[-7].str);
					n->whenclause = (yyvsp[-5].list);
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 32382 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 795:
#line 5654 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 32388 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 796:
#line 5656 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 32394 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 797:
#line 5661 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-4].str), (Node *) (yyvsp[-1].list), (yylsp[-4])); }
#line 32400 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 798:
#line 5666 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 32406 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 799:
#line 5668 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 32412 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 800:
#line 5673 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterEventTrigStmt *n = makeNode(AlterEventTrigStmt);
					n->trigname = (yyvsp[-1].str);
					n->tgenabled = (yyvsp[0].chr);
					(yyval.node) = (Node *) n;
				}
#line 32423 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 801:
#line 5682 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ON_ORIGIN; }
#line 32429 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 802:
#line 5683 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ON_REPLICA; }
#line 32435 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 803:
#line 5684 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ALWAYS; }
#line 32441 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 804:
#line 5685 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_DISABLED; }
#line 32447 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 805:
#line 5697 "gram_minimal.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE ASSERTION is not yet implemented")));

					(yyval.node) = NULL;
				}
#line 32459 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 806:
#line 5716 "gram_minimal.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = false;
					n->replace = (yyvsp[-4].boolean);
					n->defnames = (yyvsp[-2].list);
					n->args = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 32474 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 807:
#line 5727 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* old-style (pre-8.2) syntax for CREATE AGGREGATE */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = true;
					n->replace = (yyvsp[-3].boolean);
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 32490 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 808:
#line 5739 "gram_minimal.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_OPERATOR;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 32504 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 809:
#line 5749 "gram_minimal.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 32518 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 810:
#line 5759 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* Shell type (identified by lack of definition) */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[0].list);
					n->args = NIL;
					n->definition = NIL;
					(yyval.node) = (Node *)n;
				}
#line 32533 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 811:
#line 5770 "gram_minimal.y" /* yacc.c:1646  */
    {
					CompositeTypeStmt *n = makeNode(CompositeTypeStmt);

					/* can't use qualified_name, sigh */
					n->typevar = makeRangeVarFromAnyName((yyvsp[-4].list), (yylsp[-4]), yyscanner);
					n->coldeflist = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 32546 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 812:
#line 5779 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateEnumStmt *n = makeNode(CreateEnumStmt);
					n->typeName = (yyvsp[-5].list);
					n->vals = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 32557 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 813:
#line 5786 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateRangeStmt *n = makeNode(CreateRangeStmt);
					n->typeName = (yyvsp[-3].list);
					n->params	= (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 32568 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 814:
#line 5793 "gram_minimal.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSPARSER;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 32581 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 815:
#line 5802 "gram_minimal.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSDICTIONARY;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 32594 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 816:
#line 5811 "gram_minimal.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSTEMPLATE;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 32607 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 817:
#line 5820 "gram_minimal.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSCONFIGURATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 32620 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 818:
#line 5829 "gram_minimal.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 32633 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 819:
#line 5838 "gram_minimal.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 32647 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 820:
#line 5848 "gram_minimal.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list), (yylsp[0])));
					(yyval.node) = (Node *)n;
				}
#line 32660 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 821:
#line 5857 "gram_minimal.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list), (yylsp[0])));
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 32674 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 822:
#line 5868 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 32680 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 823:
#line 5871 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 32686 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 824:
#line 5872 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 32692 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 825:
#line 5876 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 32700 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 826:
#line 5880 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0]));
				}
#line 32708 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 827:
#line 5886 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].typnam); }
#line 32714 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 828:
#line 5887 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[0].keyword))); }
#line 32720 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 829:
#line 5888 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].list); }
#line 32726 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 830:
#line 5889 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].value); }
#line 32732 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 831:
#line 5890 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString((yyvsp[0].str)); }
#line 32738 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 832:
#line 5891 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[0].keyword))); }
#line 32744 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 833:
#line 5894 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 32750 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 834:
#line 5897 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 32756 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 835:
#line 5898 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 32762 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 836:
#line 5907 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)(yyvsp[0].node), (yylsp[-2]));
				}
#line 32770 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 837:
#line 5913 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32776 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 838:
#line 5914 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32782 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 839:
#line 5918 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 32788 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 840:
#line 5920 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 32794 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 841:
#line 5931 "gram_minimal.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-4].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = true;
				n->skipIfNewValExists = (yyvsp[-1].boolean);
				(yyval.node) = (Node *) n;
			}
#line 32809 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 842:
#line 5942 "gram_minimal.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-6].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = false;
				n->skipIfNewValExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 32824 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 843:
#line 5953 "gram_minimal.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-6].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = true;
				n->skipIfNewValExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 32839 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 844:
#line 5964 "gram_minimal.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-5].list);
				n->oldVal = (yyvsp[-2].str);
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = false;
				n->skipIfNewValExists = false;
				(yyval.node) = (Node *) n;
			}
#line 32854 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 845:
#line 5976 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 32860 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 846:
#line 5977 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 32866 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 847:
#line 5995 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateOpClassStmt *n = makeNode(CreateOpClassStmt);
					n->opclassname = (yyvsp[-9].list);
					n->isDefault = (yyvsp[-8].boolean);
					n->datatype = (yyvsp[-5].typnam);
					n->amname = (yyvsp[-3].str);
					n->opfamilyname = (yyvsp[-2].list);
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32881 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 848:
#line 6008 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 32887 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 849:
#line 6009 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 32893 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 850:
#line 6014 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					ObjectWithArgs *owa = makeNode(ObjectWithArgs);
					owa->objname = (yyvsp[-2].list);
					owa->objargs = NIL;
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = owa;
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 32909 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 851:
#line 6027 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[-2].objwithargs);
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 32922 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 852:
#line 6036 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[0].objwithargs);
					n->number = (yyvsp[-1].ival);
					(yyval.node) = (Node *) n;
				}
#line 32934 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 853:
#line 6044 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[0].objwithargs);
					n->number = (yyvsp[-4].ival);
					n->class_args = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 32947 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 854:
#line 6053 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_STORAGETYPE;
					n->storedtype = (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 32958 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 855:
#line 6061 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 32964 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 856:
#line 6062 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 32970 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 857:
#line 6065 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32976 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 858:
#line 6066 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32982 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 859:
#line 6069 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32988 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 860:
#line 6070 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32994 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 861:
#line 6071 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33000 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 862:
#line 6075 "gram_minimal.y" /* yacc.c:1646  */
    {
					/*
					 * RECHECK no longer does anything in opclass definitions,
					 * but we still accept it to ease porting of old database
					 * dumps.
					 */
					ereport(NOTICE,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("RECHECK is no longer required"),
							 errhint("Update your data type."),
							 parser_errposition((yylsp[0]))));
					(yyval.boolean) = true;
				}
#line 33018 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 863:
#line 6088 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 33024 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 864:
#line 6094 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateOpFamilyStmt *n = makeNode(CreateOpFamilyStmt);
					n->opfamilyname = (yyvsp[-2].list);
					n->amname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33035 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 865:
#line 6104 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = false;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 33048 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 866:
#line 6113 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = true;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 33061 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 867:
#line 6124 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 33067 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 868:
#line 6125 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 33073 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 869:
#line 6130 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->number = (yyvsp[-3].ival);
					n->class_args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 33085 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 870:
#line 6138 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->number = (yyvsp[-3].ival);
					n->class_args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 33097 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 871:
#line 6150 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 33111 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 872:
#line 6160 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 33125 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 873:
#line 6173 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 33139 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 874:
#line 6183 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 33153 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 875:
#line 6205 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropOwnedStmt *n = makeNode(DropOwnedStmt);
					n->roles = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 33164 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 876:
#line 6215 "gram_minimal.y" /* yacc.c:1646  */
    {
					ReassignOwnedStmt *n = makeNode(ReassignOwnedStmt);
					n->roles = (yyvsp[-2].list);
					n->newrole = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 33175 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 877:
#line 6233 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 33189 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 878:
#line 6243 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 33203 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 879:
#line 6253 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 33217 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 880:
#line 6263 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 33231 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 881:
#line 6273 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-4].objtype);
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 33245 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 882:
#line 6283 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-6].objtype);
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 33259 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 883:
#line 6293 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TYPE;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 33273 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 884:
#line 6303 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TYPE;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 33287 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 885:
#line 6313 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 33301 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 886:
#line 6323 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 33315 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 887:
#line 6333 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
#line 33329 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 888:
#line 6343 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
#line 33343 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 889:
#line 6356 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 33349 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 890:
#line 6357 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 33355 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 891:
#line 6358 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 33361 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 892:
#line 6359 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 33367 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 893:
#line 6360 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 33373 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 894:
#line 6361 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 33379 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 895:
#line 6362 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLLATION; }
#line 33385 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 896:
#line 6363 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_CONVERSION; }
#line 33391 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 897:
#line 6364 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_STATISTIC_EXT; }
#line 33397 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 898:
#line 6365 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSPARSER; }
#line 33403 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 899:
#line 6366 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 33409 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 900:
#line 6367 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 33415 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 901:
#line 6368 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 33421 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 902:
#line 6373 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ACCESS_METHOD; }
#line 33427 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 903:
#line 6374 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 33433 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 904:
#line 6375 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EXTENSION; }
#line 33439 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 905:
#line 6376 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FDW; }
#line 33445 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 906:
#line 6377 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_PUBLICATION; }
#line 33451 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 907:
#line 6378 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 33457 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 908:
#line 6379 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_SERVER; }
#line 33463 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 909:
#line 6384 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_POLICY; }
#line 33469 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 910:
#line 6385 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_RULE; }
#line 33475 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 911:
#line 6386 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TRIGGER; }
#line 33481 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 912:
#line 6390 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 33487 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 913:
#line 6391 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 33493 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 914:
#line 6394 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 33499 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 915:
#line 6395 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 33505 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 916:
#line 6399 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 33511 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 917:
#line 6401 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 33517 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 918:
#line 6405 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 33523 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 919:
#line 6406 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 33529 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 920:
#line 6418 "gram_minimal.y" /* yacc.c:1646  */
    {
					TruncateStmt *n = makeNode(TruncateStmt);
					n->relations = (yyvsp[-2].list);
					n->restart_seqs = (yyvsp[-1].boolean);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 33541 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 921:
#line 6428 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 33547 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 922:
#line 6429 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 33553 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 923:
#line 6430 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 33559 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 924:
#line 6465 "gram_minimal.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33571 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 925:
#line 6473 "gram_minimal.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) makeString((yyvsp[-2].str));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33583 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 926:
#line 6481 "gram_minimal.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33595 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 927:
#line 6489 "gram_minimal.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33607 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 928:
#line 6497 "gram_minimal.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33619 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 929:
#line 6505 "gram_minimal.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33631 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 930:
#line 6513 "gram_minimal.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33643 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 931:
#line 6521 "gram_minimal.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TABCONSTRAINT;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33655 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 932:
#line 6529 "gram_minimal.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_DOMCONSTRAINT;
					/*
					 * should use Typename not any_name in the production, but
					 * there's a shift/reduce conflict if we do that, so fix it
					 * up here.
					 */
					n->object = (Node *) list_make2(makeTypeNameFromNameList((yyvsp[-2].list)), makeString((yyvsp[-5].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33672 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 933:
#line 6542 "gram_minimal.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_POLICY;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33684 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 934:
#line 6550 "gram_minimal.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33696 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 935:
#line 6558 "gram_minimal.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33708 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 936:
#line 6566 "gram_minimal.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33720 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 937:
#line 6574 "gram_minimal.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TRANSFORM;
					n->object = (Node *) list_make2((yyvsp[-4].typnam), makeString((yyvsp[-2].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33732 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 938:
#line 6582 "gram_minimal.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TRIGGER;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33744 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 939:
#line 6590 "gram_minimal.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33756 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 940:
#line 6598 "gram_minimal.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33768 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 941:
#line 6606 "gram_minimal.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-2].value);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33780 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 942:
#line 6614 "gram_minimal.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CAST;
					n->object = (Node *) list_make2((yyvsp[-5].typnam), (yyvsp[-3].typnam));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33792 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 943:
#line 6625 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLUMN; }
#line 33798 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 944:
#line 6626 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 33804 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 945:
#line 6627 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 33810 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 946:
#line 6628 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_STATISTIC_EXT; }
#line 33816 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 947:
#line 6629 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 33822 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 948:
#line 6630 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 33828 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 949:
#line 6631 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 33834 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 950:
#line 6632 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLLATION; }
#line 33840 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 951:
#line 6633 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_CONVERSION; }
#line 33846 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 952:
#line 6634 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 33852 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 953:
#line 6635 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 33858 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 954:
#line 6636 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 33864 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 955:
#line 6637 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSPARSER; }
#line 33870 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 956:
#line 6638 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 33876 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 957:
#line 6643 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ACCESS_METHOD; }
#line 33882 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 958:
#line 6644 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DATABASE; }
#line 33888 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 959:
#line 6645 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 33894 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 960:
#line 6646 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EXTENSION; }
#line 33900 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 961:
#line 6647 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FDW; }
#line 33906 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 962:
#line 6648 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_LANGUAGE; }
#line 33912 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 963:
#line 6649 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_PUBLICATION; }
#line 33918 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 964:
#line 6650 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ROLE; }
#line 33924 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 965:
#line 6651 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 33930 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 966:
#line 6652 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_SERVER; }
#line 33936 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 967:
#line 6653 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SUBSCRIPTION; }
#line 33942 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 968:
#line 6654 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 33948 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 969:
#line 6658 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33954 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 970:
#line 6659 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 33960 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 971:
#line 6675 "gram_minimal.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) (yyvsp[-2].list);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33973 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 972:
#line 6685 "gram_minimal.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) makeString((yyvsp[-2].str));
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33986 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 973:
#line 6695 "gram_minimal.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33999 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 974:
#line 6705 "gram_minimal.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34012 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 975:
#line 6715 "gram_minimal.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34025 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 976:
#line 6725 "gram_minimal.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34038 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 977:
#line 6735 "gram_minimal.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-2].value);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34051 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 978:
#line 6745 "gram_minimal.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34064 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 979:
#line 6755 "gram_minimal.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34077 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 980:
#line 6765 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34083 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 981:
#line 6766 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 34089 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 982:
#line 6771 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLUMN; }
#line 34095 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 983:
#line 6772 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 34101 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 984:
#line 6773 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 34107 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 985:
#line 6774 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 34113 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 986:
#line 6775 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 34119 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 987:
#line 6776 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 34125 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 988:
#line 6781 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DATABASE; }
#line 34131 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 989:
#line 6782 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 34137 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 990:
#line 6783 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_LANGUAGE; }
#line 34143 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 991:
#line 6784 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_PUBLICATION; }
#line 34149 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 992:
#line 6785 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ROLE; }
#line 34155 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 993:
#line 6786 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 34161 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 994:
#line 6787 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SUBSCRIPTION; }
#line 34167 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 995:
#line 6788 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 34173 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 996:
#line 6791 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34179 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 997:
#line 6792 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 34185 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 998:
#line 6803 "gram_minimal.y" /* yacc.c:1646  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);
					n->ismove = false;
					(yyval.node) = (Node *)n;
				}
#line 34195 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 999:
#line 6809 "gram_minimal.y" /* yacc.c:1646  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);
					n->ismove = true;
					(yyval.node) = (Node *)n;
				}
#line 34205 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 6817 "gram_minimal.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 34217 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 6825 "gram_minimal.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 34229 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 6833 "gram_minimal.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 34241 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 6841 "gram_minimal.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 34253 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 6849 "gram_minimal.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 34265 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 6857 "gram_minimal.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = -1;
					(yyval.node) = (Node *)n;
				}
#line 34277 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 6865 "gram_minimal.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 34289 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 6873 "gram_minimal.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_RELATIVE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 34301 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 6881 "gram_minimal.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 34313 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 6889 "gram_minimal.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 34325 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 6897 "gram_minimal.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 34337 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 6905 "gram_minimal.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 34349 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 6913 "gram_minimal.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 34361 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 6921 "gram_minimal.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 34373 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 6929 "gram_minimal.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 34385 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 6937 "gram_minimal.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 34397 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 6946 "gram_minimal.y" /* yacc.c:1646  */
    {}
#line 34403 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 6947 "gram_minimal.y" /* yacc.c:1646  */
    {}
#line 34409 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 6950 "gram_minimal.y" /* yacc.c:1646  */
    {}
#line 34415 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 6951 "gram_minimal.y" /* yacc.c:1646  */
    {}
#line 34421 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 6963 "gram_minimal.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 34437 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 6979 "gram_minimal.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 34454 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 6993 "gram_minimal.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 34471 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 7018 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 34477 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 7020 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34483 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 7022 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34489 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 7024 "gram_minimal.y" /* yacc.c:1646  */
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 34500 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 7031 "gram_minimal.y" /* yacc.c:1646  */
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 34511 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 7039 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].accesspriv)); }
#line 34517 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 7040 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].accesspriv)); }
#line 34523 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 7044 "gram_minimal.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 34534 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 7051 "gram_minimal.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 34545 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 7058 "gram_minimal.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 34556 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 7065 "gram_minimal.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = (yyvsp[-1].str);
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 34567 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 7079 "gram_minimal.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34579 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 7087 "gram_minimal.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34591 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 7095 "gram_minimal.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34603 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 7103 "gram_minimal.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FDW;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34615 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 7111 "gram_minimal.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FOREIGN_SERVER;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34627 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 7119 "gram_minimal.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34639 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 7127 "gram_minimal.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_PROCEDURE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34651 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 7135 "gram_minimal.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_ROUTINE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34663 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 7143 "gram_minimal.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_DATABASE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34675 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 7151 "gram_minimal.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_DOMAIN;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34687 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 7159 "gram_minimal.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_LANGUAGE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34699 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 7167 "gram_minimal.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_LARGEOBJECT;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34711 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 7175 "gram_minimal.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_SCHEMA;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34723 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 7183 "gram_minimal.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLESPACE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34735 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 7191 "gram_minimal.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TYPE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34747 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 7199 "gram_minimal.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34759 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 7207 "gram_minimal.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34771 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 7215 "gram_minimal.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34783 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 7223 "gram_minimal.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_PROCEDURE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34795 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 7231 "gram_minimal.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_ROUTINE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34807 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 7242 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].rolespec)); }
#line 34813 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 7243 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].rolespec)); }
#line 34819 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 7247 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 34825 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 7248 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 34831 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 7253 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 34837 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 7254 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 34843 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 7265 "gram_minimal.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = true;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->admin_opt = (yyvsp[-1].boolean);
					n->grantor = (yyvsp[0].rolespec);
					(yyval.node) = (Node*)n;
				}
#line 34857 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 7278 "gram_minimal.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = false;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node*)n;
				}
#line 34871 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 7288 "gram_minimal.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = true;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node*)n;
				}
#line 34885 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 7299 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 34891 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 7300 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 34897 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 7303 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 34903 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 7304 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.rolespec) = NULL; }
#line 34909 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 7315 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterDefaultPrivilegesStmt *n = makeNode(AlterDefaultPrivilegesStmt);
					n->options = (yyvsp[-1].list);
					n->action = (GrantStmt *) (yyvsp[0].node);
					(yyval.node) = (Node*)n;
				}
#line 34920 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 7324 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 34926 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 7325 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34932 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 7330 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("schemas", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 34940 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 7334 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 34948 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 7338 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 34956 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 7350 "gram_minimal.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 34972 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 7363 "gram_minimal.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 34989 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 7377 "gram_minimal.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 35006 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 7392 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_TABLE; }
#line 35012 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 7393 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_FUNCTION; }
#line 35018 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 7394 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_FUNCTION; }
#line 35024 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 7395 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_SEQUENCE; }
#line 35030 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 7396 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_TYPE; }
#line 35036 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 7397 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_SCHEMA; }
#line 35042 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 7412 "gram_minimal.y" /* yacc.c:1646  */
    {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[-13].boolean);
					n->concurrent = (yyvsp[-11].boolean);
					n->idxname = (yyvsp[-10].str);
					n->relation = (yyvsp[-8].range);
					n->accessMethod = (yyvsp[-7].str);
					n->indexParams = (yyvsp[-5].list);
					n->indexIncludingParams = (yyvsp[-3].list);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNode = InvalidOid;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = false;
					n->reset_default_tblspc = false;
					(yyval.node) = (Node *)n;
				}
#line 35072 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 7440 "gram_minimal.y" /* yacc.c:1646  */
    {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[-16].boolean);
					n->concurrent = (yyvsp[-14].boolean);
					n->idxname = (yyvsp[-10].str);
					n->relation = (yyvsp[-8].range);
					n->accessMethod = (yyvsp[-7].str);
					n->indexParams = (yyvsp[-5].list);
					n->indexIncludingParams = (yyvsp[-3].list);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNode = InvalidOid;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = true;
					n->reset_default_tblspc = false;
					(yyval.node) = (Node *)n;
				}
#line 35102 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 7468 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 35108 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 7469 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 35114 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 7473 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 35120 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 7474 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 35126 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 7478 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35132 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 7479 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 35138 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 7483 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35144 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 7484 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = DEFAULT_INDEX_TYPE; }
#line 35150 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 7487 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 35156 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 7488 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 35162 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 7497 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = (yyvsp[-4].str);
					(yyval.ielem)->expr = NULL;
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 35177 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 7508 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[-4].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 35192 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 7519 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[-5].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 35207 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 7531 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 35213 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 7532 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35219 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 7535 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 35225 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 7536 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 35231 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 7539 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35237 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 7540 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35243 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 7543 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35249 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 7544 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35255 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 7547 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_ASC; }
#line 35261 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 7548 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_DESC; }
#line 35267 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 7549 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_DEFAULT; }
#line 35273 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 7552 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_FIRST; }
#line 35279 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 7553 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_LAST; }
#line 35285 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 7554 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_DEFAULT; }
#line 35291 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 7572 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->is_procedure = false;
					n->replace = (yyvsp[-6].boolean);
					n->funcname = (yyvsp[-4].list);
					n->parameters = (yyvsp[-3].list);
					n->returnType = (yyvsp[-1].typnam);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 35306 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 7584 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->is_procedure = false;
					n->replace = (yyvsp[-9].boolean);
					n->funcname = (yyvsp[-7].list);
					n->parameters = mergeTableFuncParameters((yyvsp[-6].list), (yyvsp[-2].list));
					n->returnType = TableFuncTypeName((yyvsp[-2].list));
					n->returnType->location = (yylsp[-4]);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 35322 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 7597 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->is_procedure = false;
					n->replace = (yyvsp[-4].boolean);
					n->funcname = (yyvsp[-2].list);
					n->parameters = (yyvsp[-1].list);
					n->returnType = NULL;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 35337 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 7609 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->is_procedure = true;
					n->replace = (yyvsp[-4].boolean);
					n->funcname = (yyvsp[-2].list);
					n->parameters = (yyvsp[-1].list);
					n->returnType = NULL;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 35352 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 7622 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 35358 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 7623 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 35364 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 7626 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 35370 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 7627 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35376 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 7631 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 35382 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 7632 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 35388 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 7636 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 35394 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 7638 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 35400 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 7643 "gram_minimal.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = (yyvsp[-1].list);
					n->objargs = extractArgTypes((yyvsp[0].list));
					(yyval.objwithargs) = n;
				}
#line 35411 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 7655 "gram_minimal.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = list_make1(makeString(pstrdup((yyvsp[0].keyword))));
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 35422 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 7662 "gram_minimal.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = list_make1(makeString((yyvsp[0].str)));
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 35433 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 7669 "gram_minimal.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
												  yyscanner);
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 35445 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 7683 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 35451 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 7684 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35457 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 7688 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 35463 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 7690 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 35469 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 7705 "gram_minimal.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-2].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 35482 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 7714 "gram_minimal.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-2].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 35495 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 7723 "gram_minimal.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 35508 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 7732 "gram_minimal.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 35521 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 7741 "gram_minimal.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 35534 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 7752 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_IN; }
#line 35540 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 7753 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_OUT; }
#line 35546 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 7754 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 35552 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 7755 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 35558 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 7756 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_VARIADIC; }
#line 35564 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 7767 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* We can catch over-specified results here if we want to,
					 * but for now better to silently swallow typmod, etc.
					 * - thomas 2000-03-22
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 35576 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 7781 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 35582 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 7783 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 35592 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 7789 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->setof = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 35603 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 7799 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 35611 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 7803 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 35620 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 7808 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 35629 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 7816 "gram_minimal.y" /* yacc.c:1646  */
    {
					if (!((yyvsp[0].fun_param)->mode == FUNC_PARAM_IN ||
						  (yyvsp[0].fun_param)->mode == FUNC_PARAM_VARIADIC))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("aggregates cannot have output arguments"),
								 parser_errposition((yylsp[0]))));
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 35643 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 7857 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NIL, makeInteger(-1));
				}
#line 35651 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 7861 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(-1));
				}
#line 35659 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 7865 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(0));
				}
#line 35667 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 7869 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* this is the only case requiring consistency checking */
					(yyval.list) = makeOrderedSetArgs((yyvsp[-4].list), (yyvsp[-1].list), yyscanner);
				}
#line 35676 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 7876 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 35682 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 7877 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 35688 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 7882 "gram_minimal.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = (yyvsp[-1].list);
					n->objargs = extractAggrArgTypes((yyvsp[0].list));
					(yyval.objwithargs) = n;
				}
#line 35699 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 7891 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 35705 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 7893 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 35711 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 7898 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 35717 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 7899 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 35723 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 7907 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(false), (yylsp[-3]));
				}
#line 35731 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 7911 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(true), (yylsp[-4]));
				}
#line 35739 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 7915 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 35747 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 7919 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("immutable"), (yylsp[0]));
				}
#line 35755 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 7923 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("stable"), (yylsp[0]));
				}
#line 35763 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 7927 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("volatile"), (yylsp[0]));
				}
#line 35771 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 7931 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(true), (yylsp[-2]));
				}
#line 35779 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 7935 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(false), (yylsp[-2]));
				}
#line 35787 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 7939 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(true), (yylsp[-1]));
				}
#line 35795 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 7943 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(false), (yylsp[-1]));
				}
#line 35803 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 7947 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 35811 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 7951 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(false), (yylsp[-1]));
				}
#line 35819 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 7955 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cost", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 35827 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 7959 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rows", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 35835 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 7963 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("support", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 35843 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 7967 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* we abuse the normal content of a DefElem here */
					(yyval.defelt) = makeDefElem("set", (Node *)(yyvsp[0].vsetstmt), (yylsp[0]));
				}
#line 35852 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 7972 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("parallel", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 35860 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 7979 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 35868 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 7983 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 35876 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 7987 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("transform", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 35884 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 7991 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("window", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 35892 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 7995 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 35900 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 8000 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 35906 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 8002 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeString((yyvsp[-2].str)), makeString((yyvsp[0].str)));
				}
#line 35914 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 8008 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 35920 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 8009 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-4].list), (yyvsp[0].typnam)); }
#line 35926 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 8013 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35932 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 8014 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35938 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 8018 "gram_minimal.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_TABLE;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 35951 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 8030 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].fun_param));
				}
#line 35959 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 8034 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param));
				}
#line 35967 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 8049 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);
					n->objtype = OBJECT_FUNCTION;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 35979 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 8057 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);
					n->objtype = OBJECT_PROCEDURE;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 35991 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 8065 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);
					n->objtype = OBJECT_ROUTINE;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 36003 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 8076 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 36009 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 8077 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 36015 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 8101 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 36029 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 8111 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 36043 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 8121 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_PROCEDURE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 36057 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 8131 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_PROCEDURE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 36071 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 8141 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_ROUTINE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 36085 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 8151 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_ROUTINE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 36099 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 8164 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 36113 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 8174 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 36127 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 8187 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 36141 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 8197 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 36155 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 8210 "gram_minimal.y" /* yacc.c:1646  */
    {
				   ereport(ERROR,
						   (errcode(ERRCODE_SYNTAX_ERROR),
							errmsg("missing argument"),
							errhint("Use NONE to denote the missing argument of a unary operator."),
							parser_errposition((yylsp[0]))));
				}
#line 36167 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 8218 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam)); }
#line 36173 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 8220 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL, (yyvsp[-1].typnam)); }
#line 36179 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 8222 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), NULL); }
#line 36185 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 8227 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 36191 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 8229 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-2].str)), (yyvsp[0].list)); }
#line 36197 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 8233 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 36203 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 8235 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 36209 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 8240 "gram_minimal.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = (yyvsp[-1].list);
					n->objargs = (yyvsp[0].list);
					(yyval.objwithargs) = n;
				}
#line 36220 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 8258 "gram_minimal.y" /* yacc.c:1646  */
    {
					DoStmt *n = makeNode(DoStmt);
					n->args = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 36230 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 8266 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 36236 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 8267 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 36242 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 8272 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)makeString((yyvsp[0].str)), (yylsp[0]));
				}
#line 36250 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 8276 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 36258 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 8289 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-7].typnam);
					n->targettype = (yyvsp[-5].typnam);
					n->func = (yyvsp[-1].objwithargs);
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
#line 36272 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 8300 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
#line 36286 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 8311 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = true;
					(yyval.node) = (Node *)n;
				}
#line 36300 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 8322 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_IMPLICIT; }
#line 36306 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 8323 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_ASSIGNMENT; }
#line 36312 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 8324 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_EXPLICIT; }
#line 36318 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 8329 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_CAST;
					n->objects = list_make1(list_make2((yyvsp[-4].typnam), (yyvsp[-2].typnam)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-6].boolean);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 36332 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 8340 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 36338 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 8341 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 36344 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 8352 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateTransformStmt *n = makeNode(CreateTransformStmt);
					n->replace = (yyvsp[-8].boolean);
					n->type_name = (yyvsp[-5].typnam);
					n->lang = (yyvsp[-3].str);
					n->fromsql = linitial((yyvsp[-1].list));
					n->tosql = lsecond((yyvsp[-1].list));
					(yyval.node) = (Node *)n;
				}
#line 36358 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 8364 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-6].objwithargs), (yyvsp[0].objwithargs));
				}
#line 36366 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 8368 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].objwithargs), (yyvsp[-6].objwithargs));
				}
#line 36374 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 8372 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].objwithargs), NULL);
				}
#line 36382 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 8376 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[0].objwithargs));
				}
#line 36390 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 8383 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TRANSFORM;
					n->objects = list_make1(list_make2((yyvsp[-3].typnam), makeString((yyvsp[-1].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-5].boolean);
					(yyval.node) = (Node *)n;
				}
#line 36403 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 8403 "gram_minimal.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-2].ival);
					n->concurrent = (yyvsp[-1].boolean);
					n->relation = (yyvsp[0].range);
					n->name = NULL;
					n->options = 0;
					(yyval.node) = (Node *)n;
				}
#line 36417 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 8413 "gram_minimal.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-2].ival);
					n->concurrent = (yyvsp[-1].boolean);
					n->name = (yyvsp[0].str);
					n->relation = NULL;
					n->options = 0;
					(yyval.node) = (Node *)n;
				}
#line 36431 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 8423 "gram_minimal.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-2].ival);
					n->concurrent = (yyvsp[-1].boolean);
					n->relation = (yyvsp[0].range);
					n->name = NULL;
					n->options = (yyvsp[-4].ival);
					(yyval.node) = (Node *)n;
				}
#line 36445 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 8433 "gram_minimal.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-2].ival);
					n->concurrent = (yyvsp[-1].boolean);
					n->name = (yyvsp[0].str);
					n->relation = NULL;
					n->options = (yyvsp[-4].ival);
					(yyval.node) = (Node *)n;
				}
#line 36459 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 8444 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_INDEX; }
#line 36465 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 8445 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_TABLE; }
#line 36471 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 8448 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_SCHEMA; }
#line 36477 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 8449 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_SYSTEM; }
#line 36483 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 8450 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_DATABASE; }
#line 36489 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 8453 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 36495 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 8454 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 36501 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 8457 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEXOPT_VERBOSE; }
#line 36507 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 8468 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = false;
					(yyval.node) = (Node *)n;
				}
#line 36520 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 8477 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = true;
					(yyval.node) = (Node *)n;
				}
#line 36533 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 8494 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36546 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 8503 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36559 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 8512 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36572 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 8521 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DATABASE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36585 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 8530 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36598 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 8539 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DOMCONSTRAINT;
					n->object = (Node *) (yyvsp[-5].list);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 36611 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 8548 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36624 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 8557 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36637 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 8566 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36650 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 8575 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36663 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 8584 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36676 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 8593 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36689 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 8602 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36703 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 8612 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36717 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 8622 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36730 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 8631 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_PUBLICATION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36743 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 8640 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36756 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 8649 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SCHEMA;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36769 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 8658 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36782 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 8667 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SUBSCRIPTION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36795 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 8676 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36809 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 8686 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36823 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 8696 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36837 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 8706 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36851 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 8716 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36865 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 8726 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36879 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 8736 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36893 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 8746 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36907 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 8756 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36921 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 8766 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36935 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 8776 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36949 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 8786 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36963 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 8796 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36978 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 8807 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36993 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 8818 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37008 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 8829 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 37023 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 8840 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37037 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 8850 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 37051 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 8860 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37066 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 8871 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 37081 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 8882 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_RULE;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37095 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 8892 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37109 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 8902 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 37121 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 8910 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37134 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 8919 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37147 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 8928 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLESPACE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37160 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 8937 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37173 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 8946 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37186 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 8955 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37199 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 8964 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37212 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 8973 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37225 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 8982 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37238 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1304:
#line 8991 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ATTRIBUTE;
					n->relationType = OBJECT_TYPE;
					n->relation = makeRangeVarFromAnyName((yyvsp[-6].list), (yylsp[-6]), yyscanner);
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37254 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1305:
#line 9004 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = COLUMN; }
#line 37260 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 9005 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 37266 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1307:
#line 9008 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = 1; }
#line 37272 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 9009 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 37278 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 9020 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-4].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 37290 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 9028 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-4].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 37302 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 9036 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-4].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 37314 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1312:
#line 9044 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-4].range);
					n->object = (Node *) list_make1(makeString((yyvsp[-6].str)));
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 37327 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 9053 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-4].range);
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 37339 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 9061 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_INDEX;
					n->relation = (yyvsp[-4].range);
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 37351 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 9078 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37364 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 9087 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37377 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 9096 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37390 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 9105 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37403 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 9114 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_EXTENSION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37416 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 9123 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37429 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 9132 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37442 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 9141 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37455 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 9150 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37468 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 9159 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37481 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 9168 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37494 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1326:
#line 9177 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37507 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 9186 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 37520 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 9195 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37533 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 9204 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37546 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 9213 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37559 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 9222 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37572 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 9231 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37585 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 9240 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37598 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 9249 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 37611 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 9258 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37624 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 9267 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 37637 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 9276 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37650 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 9285 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 37663 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 9294 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37676 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 9303 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 37689 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1341:
#line 9312 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37702 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 9330 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterOperatorStmt *n = makeNode(AlterOperatorStmt);
					n->opername = (yyvsp[-4].objwithargs);
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 37713 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 9338 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 37719 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 9339 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 37725 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 9343 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL, (yylsp[-2])); }
#line 37731 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 9345 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2])); }
#line 37737 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 9350 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].typnam); }
#line 37743 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 9351 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[0].keyword))); }
#line 37749 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 9352 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].list); }
#line 37755 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 9353 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].value); }
#line 37761 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 9354 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString((yyvsp[0].str)); }
#line 37767 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1352:
#line 9364 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37779 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 9372 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37791 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 9380 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37803 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 9388 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DATABASE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37815 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 9396 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37827 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 9404 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37839 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 9412 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37851 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 9420 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-3].value);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37863 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 9428 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37875 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 9436 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37887 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 9444 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37899 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 9452 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37911 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 9460 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37923 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1365:
#line 9468 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_SCHEMA;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37935 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1366:
#line 9476 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37947 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1367:
#line 9484 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TABLESPACE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37959 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1368:
#line 9492 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37971 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 9500 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37983 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 9508 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37995 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 9516 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 38007 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 9524 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 38019 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 9532 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 38031 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 9540 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_PUBLICATION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 38043 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 9548 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_SUBSCRIPTION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 38055 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 9566 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreatePublicationStmt *n = makeNode(CreatePublicationStmt);
					n->pubname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					if ((yyvsp[-1].node) != NULL)
					{
						/* FOR TABLE */
						if (IsA((yyvsp[-1].node), List))
							n->tables = (List *)(yyvsp[-1].node);
						/* FOR ALL TABLES */
						else
							n->for_all_tables = true;
					}
					(yyval.node) = (Node *)n;
				}
#line 38075 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 9584 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38081 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1378:
#line 9585 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 38087 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 9590 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) (yyvsp[0].list);
				}
#line 38095 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 9594 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeInteger(true);
				}
#line 38103 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 9614 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);
					n->pubname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 38114 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 9621 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);
					n->pubname = (yyvsp[-3].str);
					n->tables = (yyvsp[0].list);
					n->tableAction = DEFELEM_ADD;
					(yyval.node) = (Node *)n;
				}
#line 38126 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1383:
#line 9629 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);
					n->pubname = (yyvsp[-3].str);
					n->tables = (yyvsp[0].list);
					n->tableAction = DEFELEM_SET;
					(yyval.node) = (Node *)n;
				}
#line 38138 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1384:
#line 9637 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);
					n->pubname = (yyvsp[-3].str);
					n->tables = (yyvsp[0].list);
					n->tableAction = DEFELEM_DROP;
					(yyval.node) = (Node *)n;
				}
#line 38150 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 9654 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateSubscriptionStmt *n =
						makeNode(CreateSubscriptionStmt);
					n->subname = (yyvsp[-5].str);
					n->conninfo = (yyvsp[-3].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 38164 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 9667 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].value));
				}
#line 38172 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 9671 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value));
				}
#line 38180 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 9677 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 38186 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 9687 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_OPTIONS;
					n->subname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 38199 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 9696 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_CONNECTION;
					n->subname = (yyvsp[-2].str);
					n->conninfo = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38212 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 9705 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_REFRESH;
					n->subname = (yyvsp[-3].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 38225 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 9714 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_PUBLICATION;
					n->subname = (yyvsp[-4].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 38239 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 9724 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_ENABLED;
					n->subname = (yyvsp[-1].str);
					n->options = list_make1(makeDefElem("enabled",
											(Node *)makeInteger(true), (yylsp[-3])));
					(yyval.node) = (Node *)n;
				}
#line 38253 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 9734 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_ENABLED;
					n->subname = (yyvsp[-1].str);
					n->options = list_make1(makeDefElem("enabled",
											(Node *)makeInteger(false), (yylsp[-3])));
					(yyval.node) = (Node *)n;
				}
#line 38267 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 9752 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropSubscriptionStmt *n = makeNode(DropSubscriptionStmt);
					n->subname = (yyvsp[-1].str);
					n->missing_ok = false;
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 38279 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 9760 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropSubscriptionStmt *n = makeNode(DropSubscriptionStmt);
					n->subname = (yyvsp[-1].str);
					n->missing_ok = true;
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 38291 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 9778 "gram_minimal.y" /* yacc.c:1646  */
    {
					RuleStmt *n = makeNode(RuleStmt);
					n->replace = (yyvsp[-11].boolean);
					n->relation = (yyvsp[-4].range);
					n->rulename = (yyvsp[-9].str);
					n->whereClause = (yyvsp[-3].node);
					n->event = (yyvsp[-6].ival);
					n->instead = (yyvsp[-1].boolean);
					n->actions = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 38307 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 9792 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38313 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 9793 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 38319 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 9794 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 38325 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 9800 "gram_minimal.y" /* yacc.c:1646  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				  else
					(yyval.list) = (yyvsp[-2].list);
				}
#line 38335 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 9806 "gram_minimal.y" /* yacc.c:1646  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = list_make1((yyvsp[0].node));
				  else
					(yyval.list) = NIL;
				}
#line 38345 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 9822 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38351 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 9823 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 38357 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 9826 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_SELECT; }
#line 38363 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1411:
#line 9827 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_UPDATE; }
#line 38369 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1412:
#line 9828 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_DELETE; }
#line 38375 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1413:
#line 9829 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_INSERT; }
#line 38381 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 9833 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 38387 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 9834 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 38393 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 9835 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 38399 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 9848 "gram_minimal.y" /* yacc.c:1646  */
    {
					NotifyStmt *n = makeNode(NotifyStmt);
					n->conditionname = (yyvsp[-1].str);
					n->payload = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38410 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 9857 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 38416 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 9858 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 38422 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 9862 "gram_minimal.y" /* yacc.c:1646  */
    {
					ListenStmt *n = makeNode(ListenStmt);
					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38432 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 9871 "gram_minimal.y" /* yacc.c:1646  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38442 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 9877 "gram_minimal.y" /* yacc.c:1646  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = NULL;
					(yyval.node) = (Node *)n;
				}
#line 38452 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 9896 "gram_minimal.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 38464 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1424:
#line 9904 "gram_minimal.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_BEGIN;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 38475 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 9911 "gram_minimal.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_START;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 38486 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1426:
#line 9918 "gram_minimal.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 38498 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1427:
#line 9926 "gram_minimal.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 38510 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1428:
#line 9934 "gram_minimal.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 38522 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1429:
#line 9942 "gram_minimal.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_SAVEPOINT;
					n->savepoint_name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38533 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1430:
#line 9949 "gram_minimal.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->savepoint_name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38544 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1431:
#line 9956 "gram_minimal.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->savepoint_name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38555 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1432:
#line 9963 "gram_minimal.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->savepoint_name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38566 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 9970 "gram_minimal.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->savepoint_name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38577 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 9977 "gram_minimal.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_PREPARE;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38588 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 9984 "gram_minimal.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT_PREPARED;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38599 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 9991 "gram_minimal.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_PREPARED;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38610 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 9999 "gram_minimal.y" /* yacc.c:1646  */
    {}
#line 38616 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 10000 "gram_minimal.y" /* yacc.c:1646  */
    {}
#line 38622 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 10001 "gram_minimal.y" /* yacc.c:1646  */
    {}
#line 38628 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 10006 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_isolation",
									   makeStringConst((yyvsp[0].str), (yylsp[0])), (yylsp[-2])); }
#line 38635 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 10009 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(true, (yylsp[-1])), (yylsp[-1])); }
#line 38642 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 10012 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(false, (yylsp[-1])), (yylsp[-1])); }
#line 38649 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 10015 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(true, (yylsp[0])), (yylsp[0])); }
#line 38656 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 10018 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(false, (yylsp[-1])), (yylsp[-1])); }
#line 38663 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 10025 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 38669 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1446:
#line 10027 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 38675 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 10029 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 38681 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 10035 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38687 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 10039 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 38693 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 10040 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 38699 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 10041 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 38705 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 10055 "gram_minimal.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 38721 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 10068 "gram_minimal.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 38737 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1455:
#line 10081 "gram_minimal.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 38758 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1456:
#line 10099 "gram_minimal.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 38779 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 10118 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 38785 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1458:
#line 10119 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 38791 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 10120 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = LOCAL_CHECK_OPTION; }
#line 38797 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1460:
#line 10121 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = NO_CHECK_OPTION; }
#line 38803 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1461:
#line 10132 "gram_minimal.y" /* yacc.c:1646  */
    {
					LoadStmt *n = makeNode(LoadStmt);
					n->filename = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38813 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 10148 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreatedbStmt *n = makeNode(CreatedbStmt);
					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 38824 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1463:
#line 10157 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 38830 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1464:
#line 10158 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38836 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1465:
#line 10162 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 38842 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 10163 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 38848 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1467:
#line 10168 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 38856 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 10172 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 38864 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1469:
#line 10176 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL, (yylsp[-2]));
				}
#line 38872 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 10193 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 38878 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1471:
#line 10194 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup("connection_limit"); }
#line 38884 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 10195 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 38890 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1473:
#line 10196 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 38896 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 10197 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 38902 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1475:
#line 10198 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 38908 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 10199 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 38914 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 10206 "gram_minimal.y" /* yacc.c:1646  */
    {}
#line 38920 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 10207 "gram_minimal.y" /* yacc.c:1646  */
    {}
#line 38926 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 10219 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 38937 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 10226 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 38948 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 10233 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-3].str);
					n->options = list_make1(makeDefElem("tablespace",
														(Node *)makeString((yyvsp[0].str)), (yylsp[0])));
					(yyval.node) = (Node *)n;
				 }
#line 38960 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 10244 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterDatabaseSetStmt *n = makeNode(AlterDatabaseSetStmt);
					n->dbname = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 38971 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 10261 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 38982 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 10268 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 38993 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 10284 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterCollationStmt *n = makeNode(AlterCollationStmt);
					n->collname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 39003 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 10301 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 39013 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1487:
#line 10307 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 39023 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 10323 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateDomainStmt *n = makeNode(CreateDomainStmt);
					n->domainname = (yyvsp[-3].list);
					n->typeName = (yyvsp[-1].typnam);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 39036 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 10336 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'T';
					n->typeName = (yyvsp[-1].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 39048 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 10345 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'N';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *)n;
				}
#line 39059 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 10353 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'O';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *)n;
				}
#line 39070 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 10361 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'C';
					n->typeName = (yyvsp[-2].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 39082 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 10370 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[-4].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 39096 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1494:
#line 10381 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[-6].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 39110 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1495:
#line 10392 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'V';
					n->typeName = (yyvsp[-3].list);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 39122 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 10401 "gram_minimal.y" /* yacc.c:1646  */
    {}
#line 39128 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 10402 "gram_minimal.y" /* yacc.c:1646  */
    {}
#line 39134 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 10414 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTSDictionaryStmt *n = makeNode(AlterTSDictionaryStmt);
					n->dictname = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 39145 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 10424 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_ADD_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = false;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
#line 39160 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 10435 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_ALTER_MAPPING_FOR_TOKEN;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = true;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
#line 39175 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1501:
#line 10446 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_REPLACE_DICT;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = NIL;
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
#line 39190 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1502:
#line 10457 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_REPLACE_DICT_FOR_TOKEN;
					n->cfgname = (yyvsp[-8].list);
					n->tokentype = (yyvsp[-4].list);
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
#line 39205 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1503:
#line 10468 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-4].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node*)n;
				}
#line 39218 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1504:
#line 10477 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node*)n;
				}
#line 39231 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1505:
#line 10488 "gram_minimal.y" /* yacc.c:1646  */
    {}
#line 39237 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1506:
#line 10489 "gram_minimal.y" /* yacc.c:1646  */
    {}
#line 39243 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1507:
#line 10505 "gram_minimal.y" /* yacc.c:1646  */
    {
				CreateConversionStmt *n = makeNode(CreateConversionStmt);
				n->conversion_name = (yyvsp[-6].list);
				n->for_encoding_name = (yyvsp[-4].str);
				n->to_encoding_name = (yyvsp[-2].str);
				n->func_name = (yyvsp[0].list);
				n->def = (yyvsp[-8].boolean);
				(yyval.node) = (Node *)n;
			}
#line 39257 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1508:
#line 10527 "gram_minimal.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[-1].range);
					n->indexname = (yyvsp[0].str);
					n->options = 0;
					if ((yyvsp[-2].boolean))
						n->options |= CLUOPT_VERBOSE;
					(yyval.node) = (Node*)n;
				}
#line 39271 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1509:
#line 10537 "gram_minimal.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = NULL;
					n->indexname = NULL;
					n->options = 0;
					if ((yyvsp[0].boolean))
						n->options |= CLUOPT_VERBOSE;
					(yyval.node) = (Node*)n;
				}
#line 39285 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 10548 "gram_minimal.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[0].range);
					n->indexname = (yyvsp[-2].str);
					n->options = 0;
					if ((yyvsp[-3].boolean))
						n->options |= CLUOPT_VERBOSE;
					(yyval.node) = (Node*)n;
				}
#line 39299 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 10560 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 39305 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1512:
#line 10561 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 39311 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1513:
#line 10574 "gram_minimal.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = NIL;
					if ((yyvsp[-4].boolean))
						n->options = lappend(n->options,
											 makeDefElem("full", NULL, (yylsp[-4])));
					if ((yyvsp[-3].boolean))
						n->options = lappend(n->options,
											 makeDefElem("freeze", NULL, (yylsp[-3])));
					if ((yyvsp[-2].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-2])));
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("analyze", NULL, (yylsp[-1])));
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = true;
					(yyval.node) = (Node *)n;
				}
#line 39335 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 10594 "gram_minimal.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = (yyvsp[-2].list);
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = true;
					(yyval.node) = (Node *) n;
				}
#line 39347 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 10604 "gram_minimal.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = NIL;
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-1])));
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = false;
					(yyval.node) = (Node *)n;
				}
#line 39362 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 10615 "gram_minimal.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = (yyvsp[-2].list);
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = false;
					(yyval.node) = (Node *) n;
				}
#line 39374 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 10626 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 39382 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 10630 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 39390 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1519:
#line 10636 "gram_minimal.y" /* yacc.c:1646  */
    {}
#line 39396 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1520:
#line 10637 "gram_minimal.y" /* yacc.c:1646  */
    {}
#line 39402 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1521:
#line 10642 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 39410 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1522:
#line 10648 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 39416 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1523:
#line 10649 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "analyze"; }
#line 39422 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1524:
#line 10653 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 39428 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 10654 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].value); }
#line 39434 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 10655 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 39440 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 10659 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 39446 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1528:
#line 10660 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 39452 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1529:
#line 10664 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 39458 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 10665 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 39464 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 10668 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 39470 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 10669 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 39476 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 10672 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 39482 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 10673 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 39488 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 10677 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 39494 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1536:
#line 10678 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39500 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1537:
#line 10683 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeVacuumRelation((yyvsp[-1].range), InvalidOid, (yyvsp[0].list));
				}
#line 39508 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 10690 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 39514 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 10692 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 39520 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 10696 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 39526 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 10697 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39532 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 10711 "gram_minimal.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 39543 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 10718 "gram_minimal.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("analyze", NULL, (yylsp[-2])));
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 39557 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1544:
#line 10728 "gram_minimal.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("verbose", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 39568 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1545:
#line 10735 "gram_minimal.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 39579 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 10757 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 39587 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 10761 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 39595 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 10768 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 39603 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 10774 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 39609 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 10775 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "analyze"; }
#line 39615 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 10779 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 39621 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 10780 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].value); }
#line 39627 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 10781 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 39633 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 10792 "gram_minimal.y" /* yacc.c:1646  */
    {
					PrepareStmt *n = makeNode(PrepareStmt);
					n->name = (yyvsp[-3].str);
					n->argtypes = (yyvsp[-2].list);
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 39645 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 10801 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 39651 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 10802 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39657 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1570:
#line 10820 "gram_minimal.y" /* yacc.c:1646  */
    {
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-1].str);
					n->params = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 39668 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1571:
#line 10828 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-7].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 39688 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1572:
#line 10845 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-10].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 39708 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1573:
#line 10862 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 39714 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1574:
#line 10863 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39720 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1575:
#line 10874 "gram_minimal.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[0].str);
						(yyval.node) = (Node *) n;
					}
#line 39730 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1576:
#line 10880 "gram_minimal.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[0].str);
						(yyval.node) = (Node *) n;
					}
#line 39740 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1577:
#line 10886 "gram_minimal.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
#line 39750 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1578:
#line 10892 "gram_minimal.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
#line 39760 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1579:
#line 10909 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].istmt)->relation = (yyvsp[-3].range);
					(yyvsp[-2].istmt)->onConflictClause = (yyvsp[-1].onconflict);
					(yyvsp[-2].istmt)->returningList = (yyvsp[0].list);
					(yyvsp[-2].istmt)->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *) (yyvsp[-2].istmt);
				}
#line 39772 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1580:
#line 10919 "gram_minimal.y" /* yacc.c:1646  */
    {
				InsertStmt *insert = makeNode(InsertStmt);
				insert->relation = (yyvsp[0].range);
				insert->withClause= (yyvsp[-3].with);
				(yyval.node) = (Node *) insert;
				/*
				 * Assign the node directly to the parsetree and exit the scanner
				 * we don't want to keep parsing for information we don't need
				 */
				pg_yyget_extra(yyscanner)->parsetree = list_make1(makeRawStmt((yyval.node), 0));
				YYACCEPT;
			}
#line 39789 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1581:
#line 10941 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 39797 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1582:
#line 10945 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].range)->alias = makeAlias((yyvsp[0].str), NIL);
					(yyval.range) = (yyvsp[-2].range);
				}
#line 39806 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1583:
#line 10953 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 39816 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1584:
#line 10959 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->override = (yyvsp[-2].ival);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 39827 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1585:
#line 10966 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-2].list);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 39837 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1586:
#line 10972 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-5].list);
					(yyval.istmt)->override = (yyvsp[-2].ival);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 39848 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1587:
#line 10979 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = NULL;
				}
#line 39858 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1588:
#line 10987 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = OVERRIDING_USER_VALUE; }
#line 39864 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1589:
#line 10988 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = OVERRIDING_SYSTEM_VALUE; }
#line 39870 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1590:
#line 10993 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 39876 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1591:
#line 10995 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 39882 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1592:
#line 11000 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;
					(yyval.target)->location = (yylsp[-1]);
				}
#line 39894 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1593:
#line 11011 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_UPDATE;
					(yyval.onconflict)->infer = (yyvsp[-5].infer);
					(yyval.onconflict)->targetList = (yyvsp[-1].list);
					(yyval.onconflict)->whereClause = (yyvsp[0].node);
					(yyval.onconflict)->location = (yylsp[-7]);
				}
#line 39907 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1594:
#line 11021 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_NOTHING;
					(yyval.onconflict)->infer = (yyvsp[-2].infer);
					(yyval.onconflict)->targetList = NIL;
					(yyval.onconflict)->whereClause = NULL;
					(yyval.onconflict)->location = (yylsp[-4]);
				}
#line 39920 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1595:
#line 11030 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = NULL;
				}
#line 39928 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1596:
#line 11037 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = (yyvsp[-2].list);
					(yyval.infer)->whereClause = (yyvsp[0].node);
					(yyval.infer)->conname = NULL;
					(yyval.infer)->location = (yylsp[-3]);
				}
#line 39940 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1597:
#line 11046 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = NIL;
					(yyval.infer)->whereClause = NULL;
					(yyval.infer)->conname = (yyvsp[0].str);
					(yyval.infer)->location = (yylsp[-2]);
				}
#line 39952 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 11054 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.infer) = NULL;
				}
#line 39960 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 11060 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 39966 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 11061 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39972 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 11074 "gram_minimal.y" /* yacc.c:1646  */
    {
					DeleteStmt *n = makeNode(DeleteStmt);
					n->relation = (yyvsp[-3].range);
					n->usingClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *)n;
				}
#line 39986 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 11086 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 39992 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 11087 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39998 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 11099 "gram_minimal.y" /* yacc.c:1646  */
    {
					LockStmt *n = makeNode(LockStmt);

					n->relations = (yyvsp[-2].list);
					n->mode = (yyvsp[-1].ival);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 40011 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 11109 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival); }
#line 40017 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 11110 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 40023 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 11113 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessShareLock; }
#line 40029 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 11114 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = RowShareLock; }
#line 40035 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 11115 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = RowExclusiveLock; }
#line 40041 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 11116 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareUpdateExclusiveLock; }
#line 40047 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 11117 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareLock; }
#line 40053 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 11118 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareRowExclusiveLock; }
#line 40059 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 11119 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = ExclusiveLock; }
#line 40065 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 11120 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 40071 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 11123 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 40077 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 11124 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 40083 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 11128 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitError; }
#line 40089 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 11129 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitSkip; }
#line 40095 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 11130 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitBlock; }
#line 40101 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 11146 "gram_minimal.y" /* yacc.c:1646  */
    {
					UpdateStmt *n = makeNode(UpdateStmt);
					n->relation = (yyvsp[-5].range);
					n->targetList = (yyvsp[-3].list);
					n->fromClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-7].with);
					(yyval.node) = (Node *)n;
				}
#line 40116 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 11158 "gram_minimal.y" /* yacc.c:1646  */
    {
					UpdateStmt *n = makeNode(UpdateStmt);
					n->relation = (yyvsp[0].range);
					n->targetList = NULL;
					n->fromClause = NULL;
					n->whereClause = NULL;
					n->returningList = NULL;
					n->withClause = (yyvsp[-2].with);
					(yyval.node) = (Node *)n;
					pg_yyget_extra(yyscanner)->parsetree = list_make1(makeRawStmt((yyval.node), 0));
					YYACCEPT;
				}
#line 40133 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 11172 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 40139 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 11173 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_concat((yyvsp[-2].list),(yyvsp[0].list)); }
#line 40145 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 11178 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].target)->val = (Node *) (yyvsp[0].node);
					(yyval.list) = list_make1((yyvsp[-2].target));
				}
#line 40154 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 11183 "gram_minimal.y" /* yacc.c:1646  */
    {
					int ncolumns = list_length((yyvsp[-3].list));
					int i = 1;
					ListCell *col_cell;

					/* Create a MultiAssignRef source for each target */
					foreach(col_cell, (yyvsp[-3].list))
					{
						ResTarget *res_col = (ResTarget *) lfirst(col_cell);
						MultiAssignRef *r = makeNode(MultiAssignRef);

						r->source = (Node *) (yyvsp[0].node);
						r->colno = i;
						r->ncolumns = ncolumns;
						res_col->val = (Node *) r;
						i++;
					}

					(yyval.list) = (yyvsp[-3].list);
				}
#line 40179 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 11207 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;	/* upper production sets this */
					(yyval.target)->location = (yylsp[-1]);
				}
#line 40191 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 11217 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 40197 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 11218 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].target)); }
#line 40203 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 11229 "gram_minimal.y" /* yacc.c:1646  */
    {
					DeclareCursorStmt *n = makeNode(DeclareCursorStmt);
					n->portalname = (yyvsp[-5].str);
					/* currently we always set FAST_PLAN option */
					n->options = (yyvsp[-4].ival) | (yyvsp[-2].ival) | CURSOR_OPT_FAST_PLAN;
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 40216 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 11239 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 40222 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1631:
#line 11242 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 40228 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 11243 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | CURSOR_OPT_NO_SCROLL; }
#line 40234 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 11244 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_SCROLL; }
#line 40240 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 11245 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_BINARY; }
#line 40246 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 11246 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_INSENSITIVE; }
#line 40252 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 11249 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 40258 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1637:
#line 11250 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = CURSOR_OPT_HOLD; }
#line 40264 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 11251 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 40270 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 11304 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 40276 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1642:
#line 11305 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 40282 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 11320 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40288 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 11322 "gram_minimal.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL, NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 40299 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 11329 "gram_minimal.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										list_nth((yyvsp[0].list), 0), list_nth((yyvsp[0].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 40311 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 11337 "gram_minimal.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										list_nth((yyvsp[-1].list), 0), list_nth((yyvsp[-1].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 40323 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 11345 "gram_minimal.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[0].node), NULL, NIL,
										NULL, NULL,
										(yyvsp[-1].with),
										yyscanner);
					(yyval.node) = (yyvsp[0].node);
				}
#line 40335 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1648:
#line 11353 "gram_minimal.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL,
										(yyvsp[-2].with),
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 40347 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 11361 "gram_minimal.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										list_nth((yyvsp[0].list), 0), list_nth((yyvsp[0].list), 1),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 40359 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 11369 "gram_minimal.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										list_nth((yyvsp[-1].list), 0), list_nth((yyvsp[-1].list), 1),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 40371 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 11379 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40377 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 11380 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40383 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 11410 "gram_minimal.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = (yyvsp[-2].list);
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 40399 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 11424 "gram_minimal.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->distinctClause = (yyvsp[-7].list);
					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = (yyvsp[-2].list);
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 40416 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 11436 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40422 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 11438 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* same as SELECT * FROM relation_expr */
					ColumnRef *cr = makeNode(ColumnRef);
					ResTarget *rt = makeNode(ResTarget);
					SelectStmt *n = makeNode(SelectStmt);

					cr->fields = list_make1(makeNode(A_Star));
					cr->location = -1;

					rt->name = NULL;
					rt->indirection = NIL;
					rt->val = (Node *)cr;
					rt->location = -1;

					n->targetList = list_make1(rt);
					n->fromClause = list_make1((yyvsp[0].range));
					(yyval.node) = (Node *)n;
				}
#line 40445 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 11457 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_UNION, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 40453 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 11461 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_INTERSECT, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 40461 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 11465 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_EXCEPT, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 40469 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1660:
#line 11482 "gram_minimal.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 40480 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 11489 "gram_minimal.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 40491 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1662:
#line 11496 "gram_minimal.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = true;
				(yyval.with)->location = (yylsp[-2]);
			}
#line 40502 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 11505 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 40508 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 11506 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 40514 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1665:
#line 11510 "gram_minimal.y" /* yacc.c:1646  */
    {
				CommonTableExpr *n = makeNode(CommonTableExpr);
				n->ctename = (yyvsp[-6].str);
				n->aliascolnames = (yyvsp[-5].list);
				n->ctematerialized = (yyvsp[-3].ival);
				n->ctequery = (yyvsp[-1].node);
				n->location = (yylsp[-6]);
				(yyval.node) = (Node *) n;
			}
#line 40528 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1666:
#line 11522 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = CTEMaterializeAlways; }
#line 40534 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1667:
#line 11523 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = CTEMaterializeNever; }
#line 40540 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 11524 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = CTEMaterializeDefault; }
#line 40546 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1669:
#line 11528 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.with) = (yyvsp[0].with); }
#line 40552 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1670:
#line 11529 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.with) = NULL; }
#line 40558 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 11534 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[0].range);
					(yyval.into)->colNames = NIL;
					(yyval.into)->options = NIL;
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = NULL;
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;
				}
#line 40573 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 11545 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.into) = NULL; }
#line 40579 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1673:
#line 11554 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 40588 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 11559 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 40597 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 11564 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 40606 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1676:
#line 11569 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 40615 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1677:
#line 11574 "gram_minimal.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 40627 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 11582 "gram_minimal.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 40639 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 11590 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_UNLOGGED;
				}
#line 40648 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 11595 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 40657 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 11600 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 40666 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1682:
#line 11606 "gram_minimal.y" /* yacc.c:1646  */
    {}
#line 40672 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 11607 "gram_minimal.y" /* yacc.c:1646  */
    {}
#line 40678 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1684:
#line 11611 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 40684 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1685:
#line 11612 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 40690 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 11613 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 40696 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 11620 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(NIL); }
#line 40702 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1688:
#line 11621 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 40708 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 11625 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL;}
#line 40714 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 11626 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 40720 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 11630 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list);}
#line 40726 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 11631 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 40732 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 11635 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 40738 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 11639 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].sortby)); }
#line 40744 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 11640 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].sortby)); }
#line 40750 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 11644 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-3].node);
					(yyval.sortby)->sortby_dir = SORTBY_USING;
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = (yyvsp[-1].list);
					(yyval.sortby)->location = (yylsp[-1]);
				}
#line 40763 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 11653 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-2].node);
					(yyval.sortby)->sortby_dir = (yyvsp[-1].ival);
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = NIL;
					(yyval.sortby)->location = -1;		/* no operator */
				}
#line 40776 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1698:
#line 11665 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-1].node)); }
#line 40782 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 11666 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].node)); }
#line 40788 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 11667 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL, (yyvsp[0].node)); }
#line 40794 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 11668 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), NULL); }
#line 40800 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 11672 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 40806 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1703:
#line 11673 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL,NULL); }
#line 40812 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 11678 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40818 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 11680 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* Disabled because it was too confusing, bjm 2002-02-18 */
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("LIMIT #,# syntax is not supported"),
							 errhint("Use separate LIMIT and OFFSET clauses."),
							 parser_errposition((yylsp[-3]))));
				}
#line 40831 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 11696 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-2].node); }
#line 40837 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 11698 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(1, -1); }
#line 40843 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 11703 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40849 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 11706 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 40855 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 11710 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40861 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 11712 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* LIMIT ALL is represented as a NULL constant */
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 40870 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 11719 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40876 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 11739 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40882 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 11741 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 40888 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 11743 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 40894 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 11747 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst((yyvsp[0].ival),(yylsp[0])); }
#line 40900 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 11748 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = makeFloatConst((yyvsp[0].str),(yylsp[0])); }
#line 40906 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1718:
#line 11752 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 40912 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1719:
#line 11753 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 40918 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 11756 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 40924 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1721:
#line 11757 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 40930 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 11782 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 40936 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 11783 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 40942 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 11787 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 40948 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1725:
#line 11788 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].node)); }
#line 40954 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1726:
#line 11792 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40960 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 11793 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40966 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1728:
#line 11794 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40972 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1729:
#line 11795 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40978 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 11796 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40984 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1731:
#line 11801 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_EMPTY, NIL, (yylsp[-1]));
				}
#line 40992 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1732:
#line 11814 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_ROLLUP, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 41000 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1733:
#line 11821 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_CUBE, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 41008 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1734:
#line 11828 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_SETS, (yyvsp[-1].list), (yylsp[-4]));
				}
#line 41016 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 11834 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41022 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1736:
#line 11835 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 41028 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1737:
#line 11839 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 41034 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1738:
#line 11840 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 41040 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1739:
#line 11844 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 41046 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1740:
#line 11845 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 41052 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1741:
#line 11849 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 41058 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1742:
#line 11850 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 41064 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 11855 "gram_minimal.y" /* yacc.c:1646  */
    {
					LockingClause *n = makeNode(LockingClause);
					n->lockedRels = (yyvsp[-1].list);
					n->strength = (yyvsp[-2].ival);
					n->waitPolicy = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 41076 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 11865 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORUPDATE; }
#line 41082 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1745:
#line 11866 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORNOKEYUPDATE; }
#line 41088 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1746:
#line 11867 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORSHARE; }
#line 41094 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1747:
#line 11868 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORKEYSHARE; }
#line 41100 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1748:
#line 11872 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 41106 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1749:
#line 11873 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 41112 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 11884 "gram_minimal.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->valuesLists = list_make1((yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 41122 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 11890 "gram_minimal.y" /* yacc.c:1646  */
    {
					SelectStmt *n = (SelectStmt *) (yyvsp[-4].node);
					n->valuesLists = lappend(n->valuesLists, (yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 41132 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 11907 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 41138 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 11908 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 41144 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 11912 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 41150 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1755:
#line 11913 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 41156 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 11920 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyvsp[-1].range)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-1].range);
				}
#line 41165 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 11925 "gram_minimal.y" /* yacc.c:1646  */
    {
					RangeTableSample *n = (RangeTableSample *) (yyvsp[0].node);
					(yyvsp[-2].range)->alias = (yyvsp[-1].alias);
					/* relation_expr goes inside the RangeTableSample node */
					n->relation = (Node *) (yyvsp[-2].range);
					(yyval.node) = (Node *) n;
				}
#line 41177 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 11933 "gram_minimal.y" /* yacc.c:1646  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 41188 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 11940 "gram_minimal.y" /* yacc.c:1646  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);
					n->lateral = true;
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 41200 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 11948 "gram_minimal.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = (RangeTableFunc *) (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 41210 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 11954 "gram_minimal.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = (RangeTableFunc *) (yyvsp[-1].node);
					n->lateral = true;
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 41221 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 11961 "gram_minimal.y" /* yacc.c:1646  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->lateral = false;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					/*
					 * The SQL spec does not permit a subselect
					 * (<derived_table>) without an alias clause,
					 * so we don't either.  This avoids the problem
					 * of needing to invent a unique refname for it.
					 * That could be surmounted if there's sufficient
					 * popular demand, but for now let's just implement
					 * the spec and see if anyone complains.
					 * However, it does seem like a good idea to emit
					 * an error message that's better than "syntax error".
					 */
					if ((yyvsp[0].alias) == NULL)
					{
						if (IsA((yyvsp[-1].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[-1].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
					}
					(yyval.node) = (Node *) n;
				}
#line 41260 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 11996 "gram_minimal.y" /* yacc.c:1646  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->lateral = true;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					/* same comment as above */
					if ((yyvsp[0].alias) == NULL)
					{
						if (IsA((yyvsp[-1].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[-1].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
					}
					(yyval.node) = (Node *) n;
				}
#line 41289 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 12021 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) (yyvsp[0].jexpr);
				}
#line 41297 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1765:
#line 12025 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].jexpr)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-2].jexpr);
				}
#line 41306 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1766:
#line 12051 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.jexpr) = (yyvsp[-1].jexpr);
				}
#line 41314 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1767:
#line 12055 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* CROSS JOIN is same as unqualified inner join */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = false;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL;
					n->quals = NULL;
					(yyval.jexpr) = n;
				}
#line 41330 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 12067 "gram_minimal.y" /* yacc.c:1646  */
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[-3].jtype);
					n->isNatural = false;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
						n->usingClause = (List *) (yyvsp[0].node); /* USING clause */
					else
						n->quals = (yyvsp[0].node); /* ON clause */
					(yyval.jexpr) = n;
				}
#line 41347 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1769:
#line 12080 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = false;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
						n->usingClause = (List *) (yyvsp[0].node); /* USING clause */
					else
						n->quals = (yyvsp[0].node); /* ON clause */
					(yyval.jexpr) = n;
				}
#line 41365 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 12094 "gram_minimal.y" /* yacc.c:1646  */
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[-2].jtype);
					n->isNatural = true;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 41380 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 12105 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = true;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 41396 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 12120 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 41406 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 12126 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 41415 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 12131 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 41425 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 12137 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 41434 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 12143 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.alias) = (yyvsp[0].alias); }
#line 41440 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 12144 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.alias) = NULL; }
#line 41446 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 12153 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].alias), NIL);
				}
#line 41454 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 12157 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[-1].list));
				}
#line 41462 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 12161 "gram_minimal.y" /* yacc.c:1646  */
    {
					Alias *a = makeNode(Alias);
					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 41472 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 12167 "gram_minimal.y" /* yacc.c:1646  */
    {
					Alias *a = makeNode(Alias);
					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 41482 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1782:
#line 12173 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, NIL);
				}
#line 41490 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1783:
#line 12178 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_FULL; }
#line 41496 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1784:
#line 12179 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_LEFT; }
#line 41502 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 12180 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_RIGHT; }
#line 41508 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 12181 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_INNER; }
#line 41514 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 12185 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 41520 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 12186 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 41526 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 12198 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 41532 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 12199 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41538 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 12205 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* inheritance query, implicitly */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inh = true;
					(yyval.range)->alias = NULL;
				}
#line 41549 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 12212 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* inheritance query, explicitly */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inh = true;
					(yyval.range)->alias = NULL;
				}
#line 41560 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1793:
#line 12219 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* no inheritance */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inh = false;
					(yyval.range)->alias = NULL;
				}
#line 41571 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 12226 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* no inheritance, SQL99-style syntax */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inh = false;
					(yyval.range)->alias = NULL;
				}
#line 41582 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 12236 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 41588 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 12237 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 41594 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 12251 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 41602 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 12255 "gram_minimal.y" /* yacc.c:1646  */
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-1].range)->alias = alias;
					(yyval.range) = (yyvsp[-1].range);
				}
#line 41613 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1799:
#line 12262 "gram_minimal.y" /* yacc.c:1646  */
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-2].range)->alias = alias;
					(yyval.range) = (yyvsp[-2].range);
				}
#line 41624 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1800:
#line 12275 "gram_minimal.y" /* yacc.c:1646  */
    {
					RangeTableSample *n = makeNode(RangeTableSample);
					/* n->relation will be filled in later */
					n->method = (yyvsp[-4].list);
					n->args = (yyvsp[-2].list);
					n->repeatable = (yyvsp[0].node);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 41638 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1801:
#line 12287 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].node); }
#line 41644 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1802:
#line 12288 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 41650 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1803:
#line 12304 "gram_minimal.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = false;
					n->functions = list_make1(list_make2((yyvsp[-1].node), NIL));
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 41664 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 12314 "gram_minimal.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = true;
					n->functions = (yyvsp[-2].list);
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 41678 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1805:
#line 12326 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].list)); }
#line 41684 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1806:
#line 12330 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 41690 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 12331 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 41696 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1808:
#line 12334 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 41702 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1809:
#line 12335 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 41708 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 12338 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 41714 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 12339 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 41720 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 12344 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41726 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 12345 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 41732 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1814:
#line 12350 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41738 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1815:
#line 12352 "gram_minimal.y" /* yacc.c:1646  */
    {
					CurrentOfExpr *n = makeNode(CurrentOfExpr);
					/* cvarno is filled in by parse analysis */
					n->cursor_name = (yyvsp[0].str);
					n->cursor_param = 0;
					(yyval.node) = (Node *) n;
				}
#line 41750 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1816:
#line 12359 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 41756 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1817:
#line 12364 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 41762 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1818:
#line 12365 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 41768 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1819:
#line 12370 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 41776 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1820:
#line 12374 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 41784 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 12380 "gram_minimal.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-2].str);
					n->typeName = (yyvsp[-1].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collClause = (CollateClause *) (yyvsp[0].node);
					n->collOid = InvalidOid;
					n->constraints = NIL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 41806 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 12404 "gram_minimal.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = makeNode(RangeTableFunc);
					n->rowexpr = (yyvsp[-4].node);
					n->docexpr = (yyvsp[-3].node);
					n->columns = (yyvsp[-1].list);
					n->namespaces = NIL;
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *)n;
				}
#line 41820 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 12415 "gram_minimal.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = makeNode(RangeTableFunc);
					n->rowexpr = (yyvsp[-4].node);
					n->docexpr = (yyvsp[-3].node);
					n->columns = (yyvsp[-1].list);
					n->namespaces = (yyvsp[-7].list);
					n->location = (yylsp[-11]);
					(yyval.node) = (Node *)n;
				}
#line 41834 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 12426 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 41840 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 12427 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 41846 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 12432 "gram_minimal.y" /* yacc.c:1646  */
    {
					RangeTableFuncCol	   *fc = makeNode(RangeTableFuncCol);

					fc->colname = (yyvsp[-1].str);
					fc->for_ordinality = false;
					fc->typeName = (yyvsp[0].typnam);
					fc->is_not_null = false;
					fc->colexpr = NULL;
					fc->coldefexpr = NULL;
					fc->location = (yylsp[-1]);

					(yyval.node) = (Node *) fc;
				}
#line 41864 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1827:
#line 12446 "gram_minimal.y" /* yacc.c:1646  */
    {
					RangeTableFuncCol	   *fc = makeNode(RangeTableFuncCol);
					ListCell		   *option;
					bool				nullability_seen = false;

					fc->colname = (yyvsp[-2].str);
					fc->typeName = (yyvsp[-1].typnam);
					fc->for_ordinality = false;
					fc->is_not_null = false;
					fc->colexpr = NULL;
					fc->coldefexpr = NULL;
					fc->location = (yylsp[-2]);

					foreach(option, (yyvsp[0].list))
					{
						DefElem   *defel = (DefElem *) lfirst(option);

						if (strcmp(defel->defname, "default") == 0)
						{
							if (fc->coldefexpr != NULL)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("only one DEFAULT value is allowed"),
										 parser_errposition(defel->location)));
							fc->coldefexpr = defel->arg;
						}
						else if (strcmp(defel->defname, "path") == 0)
						{
							if (fc->colexpr != NULL)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("only one PATH value per column is allowed"),
										 parser_errposition(defel->location)));
							fc->colexpr = defel->arg;
						}
						else if (strcmp(defel->defname, "is_not_null") == 0)
						{
							if (nullability_seen)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("conflicting or redundant NULL / NOT NULL declarations for column \"%s\"", fc->colname),
										 parser_errposition(defel->location)));
							fc->is_not_null = intVal(defel->arg);
							nullability_seen = true;
						}
						else
						{
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("unrecognized column option \"%s\"",
											defel->defname),
									 parser_errposition(defel->location)));
						}
					}
					(yyval.node) = (Node *) fc;
				}
#line 41925 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 12503 "gram_minimal.y" /* yacc.c:1646  */
    {
					RangeTableFuncCol	   *fc = makeNode(RangeTableFuncCol);

					fc->colname = (yyvsp[-2].str);
					fc->for_ordinality = true;
					/* other fields are ignored, initialized by makeNode */
					fc->location = (yylsp[-2]);

					(yyval.node) = (Node *) fc;
				}
#line 41940 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1829:
#line 12517 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 41946 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1830:
#line 12519 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 41952 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 12524 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1])); }
#line 41958 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 12526 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("default", (yyvsp[0].node), (yylsp[-1])); }
#line 41964 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1833:
#line 12528 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("is_not_null", (Node *) makeInteger(true), (yylsp[-1])); }
#line 41970 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 12530 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("is_not_null", (Node *) makeInteger(false), (yylsp[0])); }
#line 41976 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1835:
#line 12535 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 41982 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1836:
#line 12537 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 41988 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1837:
#line 12542 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 42000 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 12550 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (yyvsp[0].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 42012 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1839:
#line 12570 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
				}
#line 42021 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 12575 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
					(yyval.typnam)->setof = true;
				}
#line 42031 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1841:
#line 12582 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
				}
#line 42040 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 12587 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
					(yyval.typnam)->setof = true;
				}
#line 42050 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 12593 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
				}
#line 42059 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 12598 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
					(yyval.typnam)->setof = true;
				}
#line 42069 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1845:
#line 12607 "gram_minimal.y" /* yacc.c:1646  */
    {  (yyval.list) = lappend((yyvsp[-2].list), makeInteger(-1)); }
#line 42075 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 12609 "gram_minimal.y" /* yacc.c:1646  */
    {  (yyval.list) = lappend((yyvsp[-3].list), makeInteger((yyvsp[-1].ival))); }
#line 42081 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1847:
#line 12611 "gram_minimal.y" /* yacc.c:1646  */
    {  (yyval.list) = NIL; }
#line 42087 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 12615 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 42093 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 12616 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 42099 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1850:
#line 12617 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 42105 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1851:
#line 12618 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 42111 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1852:
#line 12619 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 42117 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 12621 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->typmods = (yyvsp[0].list);
				}
#line 42126 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 12626 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-3].typnam);
					(yyval.typnam)->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											 makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 42136 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1855:
#line 12645 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 42142 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1856:
#line 12646 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 42148 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 12647 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 42154 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1858:
#line 12648 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 42160 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 12660 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeName((yyvsp[-1].str));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 42170 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1860:
#line 12666 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-2].str)), (yyvsp[-1].list)));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-2]);
				}
#line 42180 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1861:
#line 12673 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 42186 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1862:
#line 12674 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 42192 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 12681 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 42201 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 12686 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 42210 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 12691 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int2");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 42219 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 12696 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int8");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 42228 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1867:
#line 12701 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 42237 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1868:
#line 12706 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 42246 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 12711 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float8");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 42255 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1870:
#line 12716 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 42265 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1871:
#line 12722 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 42275 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1872:
#line 12728 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 42285 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1873:
#line 12734 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("bool");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 42294 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1874:
#line 12741 "gram_minimal.y" /* yacc.c:1646  */
    {
					/*
					 * Check FLOAT() precision limits assuming IEEE floating
					 * types - thomas 1997-09-18
					 */
					if ((yyvsp[-1].ival) < 1)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be at least 1 bit"),
								 parser_errposition((yylsp[-1]))));
					else if ((yyvsp[-1].ival) <= 24)
						(yyval.typnam) = SystemTypeName("float4");
					else if ((yyvsp[-1].ival) <= 53)
						(yyval.typnam) = SystemTypeName("float8");
					else
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be less than 54 bits"),
								 parser_errposition((yylsp[-1]))));
				}
#line 42319 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 12762 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float8");
				}
#line 42327 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1876:
#line 12772 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 42335 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1877:
#line 12776 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 42343 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1878:
#line 12784 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 42351 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 12788 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 42360 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1880:
#line 12796 "gram_minimal.y" /* yacc.c:1646  */
    {
					char *typname;

					typname = (yyvsp[-3].boolean) ? "varbit" : "bit";
					(yyval.typnam) = SystemTypeName(typname);
					(yyval.typnam)->typmods = (yyvsp[-1].list);
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 42373 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1881:
#line 12808 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* bit defaults to bit(1), varbit to no limit */
					if ((yyvsp[0].boolean))
					{
						(yyval.typnam) = SystemTypeName("varbit");
					}
					else
					{
						(yyval.typnam) = SystemTypeName("bit");
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					}
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 42391 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1882:
#line 12829 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 42399 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1883:
#line 12833 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 42407 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1884:
#line 12839 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 42415 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1885:
#line 12843 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* Length was not specified so allow to be unrestricted.
					 * This handles problems with fixed-length (bpchar) strings
					 * which in column definitions must default to a length
					 * of one, but should not be constrained if the length
					 * was not specified.
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 42430 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1886:
#line 12856 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName((yyvsp[-3].str));
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 42440 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1887:
#line 12864 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName((yyvsp[0].str));
					/* char defaults to char(1), varchar to no limit */
					if (strcmp((yyvsp[0].str), "bpchar") == 0)
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 42452 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1888:
#line 12874 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 42458 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1889:
#line 12876 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 42464 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 12878 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "varchar"; }
#line 42470 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1891:
#line 12880 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 42476 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 12882 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 42482 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1893:
#line 12884 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 42488 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1894:
#line 12888 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 42494 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1895:
#line 12889 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 42500 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1896:
#line 12897 "gram_minimal.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 42513 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1897:
#line 12906 "gram_minimal.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 42525 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1898:
#line 12914 "gram_minimal.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 42538 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1899:
#line 12923 "gram_minimal.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 42550 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1900:
#line 12934 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("interval");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 42559 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1901:
#line 12941 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 42565 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1902:
#line 12942 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 42571 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1903:
#line 12943 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 42577 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1904:
#line 12948 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR), (yylsp[0]))); }
#line 42583 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1905:
#line 12950 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MONTH), (yylsp[0]))); }
#line 42589 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1906:
#line 12952 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY), (yylsp[0]))); }
#line 42595 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1907:
#line 12954 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR), (yylsp[0]))); }
#line 42601 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1908:
#line 12956 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MINUTE), (yylsp[0]))); }
#line 42607 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1909:
#line 12958 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 42613 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1910:
#line 12960 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR) |
												 INTERVAL_MASK(MONTH), (yylsp[-2])));
				}
#line 42622 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1911:
#line 12965 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR), (yylsp[-2])));
				}
#line 42631 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1912:
#line 12970 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 42641 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1913:
#line 12976 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(DAY) |
												INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 42653 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1914:
#line 12984 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 42662 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1915:
#line 12989 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 42673 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1916:
#line 12996 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 42683 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1917:
#line 13002 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 42689 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1918:
#line 13007 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[0])));
				}
#line 42697 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1919:
#line 13011 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[-3])),
									makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 42706 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1920:
#line 13046 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42712 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1921:
#line 13048 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 42718 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1922:
#line 13050 "gram_minimal.y" /* yacc.c:1646  */
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = (yyvsp[-2].node);
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 42730 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1923:
#line 13058 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("timezone"),
											   list_make2((yyvsp[0].node), (yyvsp[-4].node)),
											   (yylsp[-3]));
				}
#line 42740 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1924:
#line 13073 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 42746 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1925:
#line 13075 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 42752 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1926:
#line 13077 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42758 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1927:
#line 13079 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42764 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1928:
#line 13081 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42770 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1929:
#line 13083 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42776 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1930:
#line 13085 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42782 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1931:
#line 13087 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42788 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1932:
#line 13089 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42794 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1933:
#line 13091 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42800 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1934:
#line 13093 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42806 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1935:
#line 13095 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42812 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1936:
#line 13097 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42818 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1937:
#line 13099 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42824 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1938:
#line 13102 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42830 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1939:
#line 13104 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 42836 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1940:
#line 13106 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[0].list), (yyvsp[-1].node), NULL, (yylsp[0])); }
#line 42842 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1941:
#line 13109 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = makeAndExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42848 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1942:
#line 13111 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = makeOrExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42854 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1943:
#line 13113 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 42860 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1944:
#line 13115 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 42866 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1945:
#line 13118 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 42875 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1946:
#line 13123 "gram_minimal.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 42887 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1947:
#line 13131 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 42896 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1948:
#line 13136 "gram_minimal.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 42908 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1949:
#line 13144 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 42917 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1950:
#line 13149 "gram_minimal.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 42929 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1951:
#line 13157 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 42938 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1952:
#line 13162 "gram_minimal.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 42950 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1953:
#line 13171 "gram_minimal.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[0].node), makeNullAConst(-1)),
											   (yylsp[-2]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-3].node), (Node *) n, (yylsp[-2]));
				}
#line 42962 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1954:
#line 13179 "gram_minimal.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 42974 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1955:
#line 13187 "gram_minimal.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[0].node), makeNullAConst(-1)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 42986 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1956:
#line 13195 "gram_minimal.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-5]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-6].node), (Node *) n, (yylsp[-5]));
				}
#line 42998 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1957:
#line 13213 "gram_minimal.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-2].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 43010 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1958:
#line 13221 "gram_minimal.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 43022 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1959:
#line 13229 "gram_minimal.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-3].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 43034 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1960:
#line 13237 "gram_minimal.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 43046 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1961:
#line 13245 "gram_minimal.y" /* yacc.c:1646  */
    {
					if (list_length((yyvsp[-2].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on left side of OVERLAPS expression"),
								 parser_errposition((yylsp[-2]))));
					if (list_length((yyvsp[0].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on right side of OVERLAPS expression"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlaps"),
											   list_concat((yyvsp[-2].list), (yyvsp[0].list)),
											   (yylsp[-1]));
				}
#line 43066 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1962:
#line 13261 "gram_minimal.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_TRUE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *)b;
				}
#line 43078 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1963:
#line 13269 "gram_minimal.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_TRUE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *)b;
				}
#line 43090 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1964:
#line 13277 "gram_minimal.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_FALSE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *)b;
				}
#line 43102 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1965:
#line 13285 "gram_minimal.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_FALSE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *)b;
				}
#line 43114 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1966:
#line 13293 "gram_minimal.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_UNKNOWN;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *)b;
				}
#line 43126 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1967:
#line 13301 "gram_minimal.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_UNKNOWN;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *)b;
				}
#line 43138 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1968:
#line 13309 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 43146 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1969:
#line 13313 "gram_minimal.y" /* yacc.c:1646  */
    {
                    (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4]));
				}
#line 43154 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1970:
#line 13317 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[-5].node), (Node *) (yyvsp[-1].list), (yylsp[-4]));
				}
#line 43162 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1971:
#line 13321 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[-6].node), (Node *) (yyvsp[-1].list), (yylsp[-5]));
				}
#line 43170 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1972:
#line 13325 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN,
												   "BETWEEN",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 43182 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1973:
#line 13333 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN,
												   "NOT BETWEEN",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 43194 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1974:
#line 13341 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN_SYM,
												   "BETWEEN SYMMETRIC",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 43206 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1975:
#line 13349 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN_SYM,
												   "NOT BETWEEN SYMMETRIC",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 43218 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1976:
#line 13357 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate foo = ANY (subquery) */
						SubLink *n = (SubLink *) (yyvsp[0].node);
						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-2].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-1]);
						(yyval.node) = (Node *)n;
					}
					else
					{
						/* generate scalar IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
					}
				}
#line 43242 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1977:
#line 13377 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate NOT (foo = ANY (subquery)) */
						/* Make an = ANY node */
						SubLink *n = (SubLink *) (yyvsp[0].node);
						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-3].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-2]);
						/* Stick a NOT on top; must have same parse location */
						(yyval.node) = makeNotExpr((Node *) n, (yylsp[-2]));
					}
					else
					{
						/* generate scalar NOT IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "<>", (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
					}
				}
#line 43268 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1978:
#line 13399 "gram_minimal.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = (yyvsp[-1].ival);
					n->subLinkId = 0;
					n->testexpr = (yyvsp[-3].node);
					n->operName = (yyvsp[-2].list);
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 43283 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1979:
#line 13410 "gram_minimal.y" /* yacc.c:1646  */
    {
					if ((yyvsp[-3].ival) == ANY_SUBLINK)
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ANY, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
					else
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ALL, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
				}
#line 43294 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1980:
#line 13417 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* Not sure how to get rid of the parentheses
					 * but there are lots of shift/reduce errors without them.
					 *
					 * Should be able to implement this by plopping the entire
					 * select into a node, then transforming the target expressions
					 * from whatever they are into count(*), and testing the
					 * entire result equal to one.
					 * But, will probably implement a separate node in the executor.
					 */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNIQUE predicate is not yet implemented"),
							 parser_errposition((yylsp[-1]))));
				}
#line 43314 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1981:
#line 13433 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 43323 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1982:
#line 13438 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 43333 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1983:
#line 13444 "gram_minimal.y" /* yacc.c:1646  */
    {
					/*
					 * The SQL spec only allows DEFAULT in "contextually typed
					 * expressions", but for us, it's easier to allow it in
					 * any a_expr and then throw error during parse analysis
					 * if it's in an inappropriate context.  This way also
					 * lets us say something smarter than "syntax error".
					 */
					SetToDefault *n = makeNode(SetToDefault);
					/* parse analysis will fill in the rest */
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 43351 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1984:
#line 13469 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 43357 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1985:
#line 13471 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 43363 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1986:
#line 13473 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 43369 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1987:
#line 13475 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 43375 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1988:
#line 13477 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43381 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1989:
#line 13479 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43387 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1990:
#line 13481 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43393 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1991:
#line 13483 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43399 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1992:
#line 13485 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43405 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1993:
#line 13487 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43411 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1994:
#line 13489 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43417 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1995:
#line 13491 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43423 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1996:
#line 13493 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43429 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1997:
#line 13495 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43435 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1998:
#line 13497 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43441 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1999:
#line 13499 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43447 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2000:
#line 13501 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43453 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2001:
#line 13503 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 43459 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2002:
#line 13505 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[0].list), (yyvsp[-1].node), NULL, (yylsp[0])); }
#line 43465 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2003:
#line 13507 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 43473 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2004:
#line 13511 "gram_minimal.y" /* yacc.c:1646  */
    {
                    (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4]));
				}
#line 43481 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2005:
#line 13515 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[-5].node), (Node *) (yyvsp[-1].list), (yylsp[-4]));
				}
#line 43489 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2006:
#line 13519 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[-6].node), (Node *) (yyvsp[-1].list), (yylsp[-5]));
				}
#line 43497 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2007:
#line 13523 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 43506 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2008:
#line 13528 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 43516 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2009:
#line 13543 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 43522 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2010:
#line 13544 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 43528 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2011:
#line 13546 "gram_minimal.y" /* yacc.c:1646  */
    {
					ParamRef *p = makeNode(ParamRef);
					p->number = (yyvsp[-1].ival);
					p->location = (yylsp[-1]);
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (Node *) p;
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (Node *) p;
				}
#line 43547 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2012:
#line 13561 "gram_minimal.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (yyvsp[-2].node);
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *)n;
					}
					else if (operator_precedence_warning)
					{
						/*
						 * If precedence warnings are enabled, insert
						 * AEXPR_PAREN nodes wrapping all explicitly
						 * parenthesized subexpressions; this prevents bogus
						 * warnings from being issued when the ordering has
						 * been forced by parentheses.  Take care that an
						 * AEXPR_PAREN node has the same exprLocation as its
						 * child, so as not to cause surprising changes in
						 * error cursor positioning.
						 *
						 * In principle we should not be relying on a GUC to
						 * decide whether to insert AEXPR_PAREN nodes.
						 * However, since they have no effect except to
						 * suppress warnings, it's probably safe enough; and
						 * we'd just as soon not waste cycles on dummy parse
						 * nodes if we don't have to.
						 */
						(yyval.node) = (Node *) makeA_Expr(AEXPR_PAREN, NIL, (yyvsp[-2].node), NULL,
												 exprLocation((yyvsp[-2].node)));
					}
					else
						(yyval.node) = (yyvsp[-2].node);
				}
#line 43585 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2013:
#line 13595 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 43591 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2014:
#line 13597 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 43597 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2015:
#line 13599 "gram_minimal.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 43612 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2016:
#line 13610 "gram_minimal.y" /* yacc.c:1646  */
    {
					/*
					 * Because the select_with_parens nonterminal is designed
					 * to "eat" as many levels of parens as possible, the
					 * '(' a_expr ')' opt_indirection production above will
					 * fail to match a sub-SELECT with indirection decoration;
					 * the sub-SELECT won't be regarded as an a_expr as long
					 * as there are parens around it.  To support applying
					 * subscripting or field selection to a sub-SELECT result,
					 * we need this redundant-looking production.
					 */
					SubLink *n = makeNode(SubLink);
					A_Indirection *a = makeNode(A_Indirection);
					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[-1].node);
					n->location = (yylsp[-1]);
					a->arg = (Node *)n;
					a->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.node) = (Node *)a;
				}
#line 43640 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2017:
#line 13634 "gram_minimal.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXISTS_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 43655 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2018:
#line 13645 "gram_minimal.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = ARRAY_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 43670 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2019:
#line 13656 "gram_minimal.y" /* yacc.c:1646  */
    {
					A_ArrayExpr *n = castNode(A_ArrayExpr, (yyvsp[0].node));
					/* point outermost A_ArrayExpr to the ARRAY keyword */
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 43681 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2020:
#line 13663 "gram_minimal.y" /* yacc.c:1646  */
    {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_EXPLICIT_CALL; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *)r;
				}
#line 43695 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2021:
#line 13673 "gram_minimal.y" /* yacc.c:1646  */
    {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_IMPLICIT_CAST; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *)r;
				}
#line 43709 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2022:
#line 13683 "gram_minimal.y" /* yacc.c:1646  */
    {
				  GroupingFunc *g = makeNode(GroupingFunc);
				  g->args = (yyvsp[-1].list);
				  g->location = (yylsp[-3]);
				  (yyval.node) = (Node *)g;
			  }
#line 43720 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2023:
#line 13692 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall((yyvsp[-2].list), NIL, (yylsp[-2]));
				}
#line 43728 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2024:
#line 13696 "gram_minimal.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-4].list), (yyvsp[-2].list), (yylsp[-4]));
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 43738 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2025:
#line 13702 "gram_minimal.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), list_make1((yyvsp[-2].node)), (yylsp[-5]));
					n->func_variadic = true;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 43749 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2026:
#line 13709 "gram_minimal.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-7].list), lappend((yyvsp[-5].list), (yyvsp[-2].node)), (yylsp[-7]));
					n->func_variadic = true;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 43760 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2027:
#line 13716 "gram_minimal.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list), (yylsp[-5]));
					n->agg_order = (yyvsp[-1].list);
					/* Ideally we'd mark the FuncCall node to indicate
					 * "must be an aggregate", but there's no provision
					 * for that in FuncCall at the moment.
					 */
					(yyval.node) = (Node *)n;
				}
#line 43774 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2028:
#line 13726 "gram_minimal.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list), (yylsp[-5]));
					n->agg_order = (yyvsp[-1].list);
					n->agg_distinct = true;
					(yyval.node) = (Node *)n;
				}
#line 43785 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2029:
#line 13733 "gram_minimal.y" /* yacc.c:1646  */
    {
					/*
					 * We consider AGGREGATE(*) to invoke a parameterless
					 * aggregate.  This does the right thing for COUNT(*),
					 * and there are no other aggregates in SQL that accept
					 * '*' as parameter.
					 *
					 * The FuncCall node is also marked agg_star = true,
					 * so that later processing can detect what the argument
					 * really was.
					 */
					FuncCall *n = makeFuncCall((yyvsp[-3].list), NIL, (yylsp[-3]));
					n->agg_star = true;
					(yyval.node) = (Node *)n;
				}
#line 43805 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2030:
#line 13761 "gram_minimal.y" /* yacc.c:1646  */
    {
					FuncCall *n = (FuncCall *) (yyvsp[-3].node);
					/*
					 * The order clause for WITHIN GROUP and the one for
					 * plain-aggregate ORDER BY share a field, so we have to
					 * check here that at most one is present.  We also check
					 * for DISTINCT and VARIADIC here to give a better error
					 * location.  Other consistency checks are deferred to
					 * parse analysis.
					 */
					if ((yyvsp[-2].list) != NIL)
					{
						if (n->agg_order != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use multiple ORDER BY clauses with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->agg_distinct)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use DISTINCT with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->func_variadic)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use VARIADIC with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						n->agg_order = (yyvsp[-2].list);
						n->agg_within_group = true;
					}
					n->agg_filter = (yyvsp[-1].node);
					n->over = (yyvsp[0].windef);
					(yyval.node) = (Node *) n;
				}
#line 43844 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2031:
#line 13796 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 43850 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2032:
#line 13806 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 43856 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2033:
#line 13807 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 43862 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2034:
#line 13815 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("pg_collation_for"),
											   list_make1((yyvsp[-1].node)),
											   (yylsp[-4]));
				}
#line 43872 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2035:
#line 13821 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_DATE, -1, (yylsp[0]));
				}
#line 43880 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2036:
#line 13825 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIME, -1, (yylsp[0]));
				}
#line 43888 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2037:
#line 13829 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIME_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 43896 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2038:
#line 13833 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIMESTAMP, -1, (yylsp[0]));
				}
#line 43904 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2039:
#line 13837 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIMESTAMP_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 43912 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2040:
#line 13841 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIME, -1, (yylsp[0]));
				}
#line 43920 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2041:
#line 13845 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIME_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 43928 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2042:
#line 13849 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIMESTAMP, -1, (yylsp[0]));
				}
#line 43936 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2043:
#line 13853 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIMESTAMP_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 43944 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2044:
#line 13857 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_ROLE, -1, (yylsp[0]));
				}
#line 43952 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2045:
#line 13861 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_USER, -1, (yylsp[0]));
				}
#line 43960 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2046:
#line 13865 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_SESSION_USER, -1, (yylsp[0]));
				}
#line 43968 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2047:
#line 13869 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_USER, -1, (yylsp[0]));
				}
#line 43976 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2048:
#line 13873 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_CATALOG, -1, (yylsp[0]));
				}
#line 43984 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2049:
#line 13877 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_SCHEMA, -1, (yylsp[0]));
				}
#line 43992 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2050:
#line 13881 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-3].node), (yyvsp[-1].typnam), (yylsp[-5])); }
#line 43998 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2051:
#line 13883 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("date_part"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 44006 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2052:
#line 13887 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* overlay(A PLACING B FROM C FOR D) is converted to
					 * overlay(A, B, C, D)
					 * overlay(A PLACING B FROM C) is converted to
					 * overlay(A, B, C)
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlay"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 44019 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2053:
#line 13896 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* position(A in B) is converted to position(B, A) */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("position"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 44028 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2054:
#line 13901 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* substring(A from B for C) is converted to
					 * substring(A, B, C) - thomas 2000-11-28
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("substring"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 44039 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2055:
#line 13908 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* TREAT(expr AS target) converts expr of a particular type to target,
					 * which is defined to be a subtype of the original expression.
					 * In SQL99, this is intended for use with structured UDTs,
					 * but let's make this a generally useful form allowing stronger
					 * coercions than are handled by implicit casting.
					 *
					 * Convert SystemTypeName() to SystemFuncName() even though
					 * at the moment they result in the same thing.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName(((Value *)llast((yyvsp[-1].typnam)->names))->val.str),
												list_make1((yyvsp[-3].node)),
												(yylsp[-5]));
				}
#line 44058 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2056:
#line 13923 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* various trim expressions are defined in SQL
					 * - thomas 1997-07-19
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 44069 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2057:
#line 13930 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("ltrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 44077 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2058:
#line 13934 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("rtrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 44085 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2059:
#line 13938 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 44093 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2060:
#line 13942 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NULLIF, "=", (yyvsp[-3].node), (yyvsp[-1].node), (yylsp[-5]));
				}
#line 44101 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2061:
#line 13946 "gram_minimal.y" /* yacc.c:1646  */
    {
					CoalesceExpr *c = makeNode(CoalesceExpr);
					c->args = (yyvsp[-1].list);
					c->location = (yylsp[-3]);
					(yyval.node) = (Node *)c;
				}
#line 44112 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2062:
#line 13953 "gram_minimal.y" /* yacc.c:1646  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[-1].list);
					v->op = IS_GREATEST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *)v;
				}
#line 44124 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2063:
#line 13961 "gram_minimal.y" /* yacc.c:1646  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[-1].list);
					v->op = IS_LEAST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *)v;
				}
#line 44136 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2064:
#line 13969 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLCONCAT, NULL, NIL, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 44144 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2065:
#line 13973 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-1].str), NIL, NIL, (yylsp[-4]));
				}
#line 44152 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2066:
#line 13977 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), (yyvsp[-1].list), NIL, (yylsp[-6]));
				}
#line 44160 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2067:
#line 13981 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), NIL, (yyvsp[-1].list), (yylsp[-6]));
				}
#line 44168 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2068:
#line 13985 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-5].str), (yyvsp[-3].list), (yyvsp[-1].list), (yylsp[-8]));
				}
#line 44176 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2069:
#line 13989 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* xmlexists(A PASSING [BY REF] B [BY REF]) is
					 * converted to xmlexists(A, B)*/
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("xmlexists"), list_make2((yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-4]));
				}
#line 44186 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2070:
#line 13995 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLFOREST, NULL, (yyvsp[-1].list), NIL, (yylsp[-3]));
				}
#line 44194 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2071:
#line 13999 "gram_minimal.y" /* yacc.c:1646  */
    {
					XmlExpr *x = (XmlExpr *)
						makeXmlExpr(IS_XMLPARSE, NULL, NIL,
									list_make2((yyvsp[-2].node), makeBoolAConst((yyvsp[-1].boolean), -1)),
									(yylsp[-5]));
					x->xmloption = (yyvsp[-3].ival);
					(yyval.node) = (Node *)x;
				}
#line 44207 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2072:
#line 14008 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-1].str), NULL, NIL, (yylsp[-4]));
				}
#line 44215 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2073:
#line 14012 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-3].str), NULL, list_make1((yyvsp[-1].node)), (yylsp[-6]));
				}
#line 44223 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2074:
#line 14016 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLROOT, NULL, NIL,
									 list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-6]));
				}
#line 44232 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2075:
#line 14021 "gram_minimal.y" /* yacc.c:1646  */
    {
					XmlSerialize *n = makeNode(XmlSerialize);
					n->xmloption = (yyvsp[-4].ival);
					n->expr = (yyvsp[-3].node);
					n->typeName = (yyvsp[-1].typnam);
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *)n;
				}
#line 44245 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2076:
#line 14035 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44251 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2077:
#line 14037 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = makeNullAConst(-1); }
#line 44257 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2078:
#line 14041 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_YES, -1); }
#line 44263 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2079:
#line 14043 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO, -1); }
#line 44269 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2080:
#line 14045 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO_VALUE, -1); }
#line 44275 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2081:
#line 14047 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_OMITTED, -1); }
#line 44281 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2082:
#line 14050 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 44287 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2083:
#line 14053 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 44293 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2084:
#line 14054 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 44299 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2085:
#line 14058 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 44311 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2086:
#line 14066 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 44323 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2087:
#line 14075 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = XMLOPTION_DOCUMENT; }
#line 44329 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2088:
#line 14076 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = XMLOPTION_CONTENT; }
#line 44335 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2089:
#line 14079 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 44341 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2090:
#line 14080 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 44347 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2091:
#line 14081 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 44353 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2092:
#line 14087 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 44361 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2093:
#line 14091 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[-1].node);
				}
#line 44369 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2094:
#line 14095 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 44377 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2095:
#line 14099 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[-1].node);
				}
#line 44385 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2098:
#line 14114 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 44391 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2099:
#line 14115 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 44397 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2100:
#line 14119 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 44403 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2101:
#line 14120 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 44409 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2102:
#line 14128 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 44415 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2103:
#line 14129 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 44421 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2104:
#line 14133 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].windef)); }
#line 44427 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2105:
#line 14135 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].windef)); }
#line 44433 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2106:
#line 14140 "gram_minimal.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->name = (yyvsp[-2].str);
					(yyval.windef) = n;
				}
#line 44443 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2107:
#line 14148 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.windef) = (yyvsp[0].windef); }
#line 44449 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2108:
#line 14150 "gram_minimal.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = (yyvsp[0].str);
					n->refname = NULL;
					n->partitionClause = NIL;
					n->orderClause = NIL;
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					n->location = (yylsp[0]);
					(yyval.windef) = n;
				}
#line 44466 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2109:
#line 14163 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.windef) = NULL; }
#line 44472 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2110:
#line 14168 "gram_minimal.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = NULL;
					n->refname = (yyvsp[-4].str);
					n->partitionClause = (yyvsp[-3].list);
					n->orderClause = (yyvsp[-2].list);
					/* copy relevant fields of opt_frame_clause */
					n->frameOptions = (yyvsp[-1].windef)->frameOptions;
					n->startOffset = (yyvsp[-1].windef)->startOffset;
					n->endOffset = (yyvsp[-1].windef)->endOffset;
					n->location = (yylsp[-5]);
					(yyval.windef) = n;
				}
#line 44490 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2111:
#line 14193 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44496 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2112:
#line 14194 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 44502 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2113:
#line 14197 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 44508 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2114:
#line 14198 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 44514 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2115:
#line 14207 "gram_minimal.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[-1].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_RANGE;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 44525 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2116:
#line 14214 "gram_minimal.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[-1].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_ROWS;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 44536 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2117:
#line 14221 "gram_minimal.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[-1].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_GROUPS;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 44547 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2118:
#line 14228 "gram_minimal.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 44559 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2119:
#line 14238 "gram_minimal.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					/* reject invalid cases */
					if (n->frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[0]))));
					if (n->frameOptions & FRAMEOPTION_START_OFFSET_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot end with current row"),
								 parser_errposition((yylsp[0]))));
					n->frameOptions |= FRAMEOPTION_END_CURRENT_ROW;
					(yyval.windef) = n;
				}
#line 44580 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2120:
#line 14255 "gram_minimal.y" /* yacc.c:1646  */
    {
					WindowDef *n1 = (yyvsp[-2].windef);
					WindowDef *n2 = (yyvsp[0].windef);
					/* form merged options */
					int		frameOptions = n1->frameOptions;
					/* shift converts START_ options to END_ options */
					frameOptions |= n2->frameOptions << 1;
					frameOptions |= FRAMEOPTION_BETWEEN;
					/* reject invalid cases */
					if (frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[-2]))));
					if (frameOptions & FRAMEOPTION_END_UNBOUNDED_PRECEDING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame end cannot be UNBOUNDED PRECEDING"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_CURRENT_ROW) &&
						(frameOptions & FRAMEOPTION_END_OFFSET_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from current row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_OFFSET_FOLLOWING) &&
						(frameOptions & (FRAMEOPTION_END_OFFSET_PRECEDING |
										 FRAMEOPTION_END_CURRENT_ROW)))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					n1->frameOptions = frameOptions;
					n1->endOffset = n2->startOffset;
					(yyval.windef) = n1;
				}
#line 44621 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2121:
#line 14300 "gram_minimal.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_PRECEDING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 44633 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2122:
#line 14308 "gram_minimal.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_FOLLOWING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 44645 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2123:
#line 14316 "gram_minimal.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_CURRENT_ROW;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 44657 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2124:
#line 14324 "gram_minimal.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_OFFSET_PRECEDING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 44669 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2125:
#line 14332 "gram_minimal.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_OFFSET_FOLLOWING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 44681 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2126:
#line 14342 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = FRAMEOPTION_EXCLUDE_CURRENT_ROW; }
#line 44687 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2127:
#line 14343 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = FRAMEOPTION_EXCLUDE_GROUP; }
#line 44693 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2128:
#line 14344 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = FRAMEOPTION_EXCLUDE_TIES; }
#line 44699 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2129:
#line 14345 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 44705 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2130:
#line 14346 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 44711 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2131:
#line 14360 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 44717 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2132:
#line 14361 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 44723 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2133:
#line 14362 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 44729 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2134:
#line 14365 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 44735 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2135:
#line 14366 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 44741 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2136:
#line 14369 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 44747 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2137:
#line 14372 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 44753 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2138:
#line 14373 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 44759 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2139:
#line 14374 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = ALL_SUBLINK; }
#line 44765 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2140:
#line 14377 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44771 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2141:
#line 14378 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44777 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2142:
#line 14381 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "+"; }
#line 44783 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2143:
#line 14382 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "-"; }
#line 44789 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2144:
#line 14383 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "*"; }
#line 44795 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2145:
#line 14384 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "/"; }
#line 44801 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2146:
#line 14385 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "%"; }
#line 44807 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2147:
#line 14386 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "^"; }
#line 44813 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2148:
#line 14387 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "<"; }
#line 44819 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2149:
#line 14388 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = ">"; }
#line 44825 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2150:
#line 14389 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "="; }
#line 44831 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2151:
#line 14390 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "<="; }
#line 44837 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2152:
#line 14391 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = ">="; }
#line 44843 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2153:
#line 14392 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "<>"; }
#line 44849 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2154:
#line 14396 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 44855 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2155:
#line 14398 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 44861 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2156:
#line 14403 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 44867 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2157:
#line 14405 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 44873 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2158:
#line 14410 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 44879 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2159:
#line 14412 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 44885 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2160:
#line 14414 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("~~")); }
#line 44891 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2161:
#line 14416 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("!~~")); }
#line 44897 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2162:
#line 14418 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("~~*")); }
#line 44903 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2163:
#line 14420 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("!~~*")); }
#line 44909 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2164:
#line 14432 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 44917 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2165:
#line 14436 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 44925 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2166:
#line 14443 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 44933 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2167:
#line 14447 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 44941 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2168:
#line 14453 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 44949 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2169:
#line 14457 "gram_minimal.y" /* yacc.c:1646  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);
					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 44962 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2170:
#line 14466 "gram_minimal.y" /* yacc.c:1646  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);
					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 44975 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2171:
#line 14476 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 44981 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2172:
#line 14477 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 44987 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2173:
#line 14481 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 44995 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2174:
#line 14485 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 45003 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2175:
#line 14489 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr(NIL, (yylsp[-1]));
				}
#line 45011 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2176:
#line 14494 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 45017 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2177:
#line 14495 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 45023 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2178:
#line 14501 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeStringConst((yyvsp[-2].str), (yylsp[-2])), (yyvsp[0].node));
				}
#line 45031 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2179:
#line 14504 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 45037 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2180:
#line 14511 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45043 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2181:
#line 14512 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "year"; }
#line 45049 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2182:
#line 14513 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "month"; }
#line 45055 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2183:
#line 14514 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "day"; }
#line 45061 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2184:
#line 14515 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "hour"; }
#line 45067 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2185:
#line 14516 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "minute"; }
#line 45073 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2186:
#line 14517 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "second"; }
#line 45079 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2187:
#line 14518 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45085 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2188:
#line 14529 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make4((yyvsp[-3].node), (yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 45093 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2189:
#line 14533 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 45101 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2190:
#line 14540 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45107 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2191:
#line 14546 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-2].node)); }
#line 45113 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2192:
#line 14547 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 45119 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2193:
#line 14564 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 45127 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2194:
#line 14568 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* not legal per SQL99, but might as well allow it */
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[0].node), (yyvsp[-1].node));
				}
#line 45136 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2195:
#line 14573 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].node));
				}
#line 45144 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2196:
#line 14577 "gram_minimal.y" /* yacc.c:1646  */
    {
					/*
					 * Since there are no cases where this syntax allows
					 * a textual FOR value, we forcibly cast the argument
					 * to int4.  The possible matches in pg_proc are
					 * substring(text,int4) and substring(text,text),
					 * and we don't want the parser to choose the latter,
					 * which it is likely to do if the second argument
					 * is unknown or doesn't have an implicit cast to int4.
					 */
					(yyval.list) = list_make3((yyvsp[-1].node), makeIntConst(1, -1),
									makeTypeCast((yyvsp[0].node),
												 SystemTypeName("int4"), -1));
				}
#line 45163 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2197:
#line 14592 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
				}
#line 45171 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2198:
#line 14596 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 45177 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2199:
#line 14600 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45183 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2200:
#line 14603 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45189 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2201:
#line 14606 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[0].list), (yyvsp[-2].node)); }
#line 45195 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2202:
#line 14607 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 45201 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2203:
#line 14608 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 45207 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2204:
#line 14612 "gram_minimal.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subselect = (yyvsp[0].node);
					/* other fields will be filled later */
					(yyval.node) = (Node *)n;
				}
#line 45218 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2205:
#line 14618 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[-1].list); }
#line 45224 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2206:
#line 14629 "gram_minimal.y" /* yacc.c:1646  */
    {
					CaseExpr *c = makeNode(CaseExpr);
					c->casetype = InvalidOid; /* not analyzed yet */
					c->arg = (Expr *) (yyvsp[-3].node);
					c->args = (yyvsp[-2].list);
					c->defresult = (Expr *) (yyvsp[-1].node);
					c->location = (yylsp[-4]);
					(yyval.node) = (Node *)c;
				}
#line 45238 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2207:
#line 14642 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 45244 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2208:
#line 14643 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 45250 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2209:
#line 14648 "gram_minimal.y" /* yacc.c:1646  */
    {
					CaseWhen *w = makeNode(CaseWhen);
					w->expr = (Expr *) (yyvsp[-2].node);
					w->result = (Expr *) (yyvsp[0].node);
					w->location = (yylsp[-3]);
					(yyval.node) = (Node *)w;
				}
#line 45262 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2210:
#line 14658 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45268 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2211:
#line 14659 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 45274 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2212:
#line 14662 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45280 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2213:
#line 14663 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 45286 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2214:
#line 14667 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeColumnRef((yyvsp[0].str), NIL, (yylsp[0]), yyscanner);
				}
#line 45294 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2215:
#line 14671 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeColumnRef((yyvsp[-1].str), (yyvsp[0].list), (yylsp[-1]), yyscanner);
				}
#line 45302 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2216:
#line 14678 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 45310 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2217:
#line 14682 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeNode(A_Star);
				}
#line 45318 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2218:
#line 14686 "gram_minimal.y" /* yacc.c:1646  */
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->is_slice = false;
					ai->lidx = NULL;
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 45330 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2219:
#line 14694 "gram_minimal.y" /* yacc.c:1646  */
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->is_slice = true;
					ai->lidx = (yyvsp[-3].node);
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 45342 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2220:
#line 14704 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45348 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2221:
#line 14705 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 45354 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2222:
#line 14709 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 45360 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2223:
#line 14710 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 45366 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2224:
#line 14714 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 45372 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2225:
#line 14715 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 45378 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2228:
#line 14729 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 45384 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2229:
#line 14730 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 45390 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2230:
#line 14734 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 45396 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2231:
#line 14735 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 45402 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2232:
#line 14739 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 45414 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2233:
#line 14755 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[-1].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 45426 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2234:
#line 14763 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 45438 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2235:
#line 14771 "gram_minimal.y" /* yacc.c:1646  */
    {
					ColumnRef *n = makeNode(ColumnRef);
					n->fields = list_make1(makeNode(A_Star));
					n->location = (yylsp[0]);

					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)n;
					(yyval.target)->location = (yylsp[0]);
				}
#line 45454 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2236:
#line 14792 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 45460 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2237:
#line 14793 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 45466 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2238:
#line 14805 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.range) = makeRangeVar(NULL, (yyvsp[0].str), (yylsp[0]));
				}
#line 45474 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2239:
#line 14809 "gram_minimal.y" /* yacc.c:1646  */
    {
					check_qualified_name((yyvsp[0].list), yyscanner);
					(yyval.range) = makeRangeVar(NULL, NULL, (yylsp[-1]));
					switch (list_length((yyvsp[0].list)))
					{
						case 1:
							(yyval.range)->catalogname = NULL;
							(yyval.range)->schemaname = (yyvsp[-1].str);
							(yyval.range)->relname = strVal(linitial((yyvsp[0].list)));
							break;
						case 2:
							(yyval.range)->catalogname = (yyvsp[-1].str);
							(yyval.range)->schemaname = strVal(linitial((yyvsp[0].list)));
							(yyval.range)->relname = strVal(lsecond((yyvsp[0].list)));
							break;
						default:
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("improper qualified name (too many dotted names): %s",
											NameListToString(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)))),
									 parser_errposition((yylsp[-1]))));
							break;
					}
				}
#line 45503 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2240:
#line 14836 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 45509 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2241:
#line 14838 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 45515 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2242:
#line 14842 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45521 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2243:
#line 14845 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45527 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2244:
#line 14848 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45533 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2245:
#line 14850 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45539 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2246:
#line 14852 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45545 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2247:
#line 14854 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45551 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2248:
#line 14865 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 45557 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2249:
#line 14867 "gram_minimal.y" /* yacc.c:1646  */
    {
						(yyval.list) = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
											 yyscanner);
					}
#line 45566 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2250:
#line 14878 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeIntConst((yyvsp[0].ival), (yylsp[0]));
				}
#line 45574 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2251:
#line 14882 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeFloatConst((yyvsp[0].str), (yylsp[0]));
				}
#line 45582 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2252:
#line 14886 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 45590 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2253:
#line 14890 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 45598 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2254:
#line 14894 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* This is a bit constant per SQL99:
					 * Without Feature F511, "BIT data type",
					 * a <general literal> shall not be a
					 * <bit string literal> or a <hex string literal>.
					 */
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 45611 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2255:
#line 14903 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* generic type 'literal' syntax */
					TypeName *t = makeTypeNameFromNameList((yyvsp[-1].list));
					t->location = (yylsp[-1]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 45622 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2256:
#line 14910 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* generic syntax with a type modifier */
					TypeName *t = makeTypeNameFromNameList((yyvsp[-5].list));
					ListCell *lc;

					/*
					 * We must use func_arg_list and opt_sort_clause in the
					 * production to avoid reduce/reduce conflicts, but we
					 * don't actually wish to allow NamedArgExpr in this
					 * context, nor ORDER BY.
					 */
					foreach(lc, (yyvsp[-3].list))
					{
						NamedArgExpr *arg = (NamedArgExpr *) lfirst(lc);

						if (IsA(arg, NamedArgExpr))
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have parameter name"),
									 parser_errposition(arg->location)));
					}
					if ((yyvsp[-2].list) != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have ORDER BY"),
									 parser_errposition((yylsp[-2]))));

					t->typmods = (yyvsp[-3].list);
					t->location = (yylsp[-5]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 45658 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2257:
#line 14942 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), (yyvsp[-1].typnam));
				}
#line 45666 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2258:
#line 14946 "gram_minimal.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-2].typnam);
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 45676 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2259:
#line 14952 "gram_minimal.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-4].typnam);
					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 45687 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2260:
#line 14959 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBoolAConst(true, (yylsp[0]));
				}
#line 45695 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2261:
#line 14963 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBoolAConst(false, (yylsp[0]));
				}
#line 45703 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2262:
#line 14967 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 45711 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2263:
#line 14972 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 45717 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2264:
#line 14973 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45723 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2265:
#line 14975 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 45729 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2266:
#line 14976 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = + (yyvsp[0].ival); }
#line 45735 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2267:
#line 14977 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = - (yyvsp[0].ival); }
#line 45741 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2268:
#line 14982 "gram_minimal.y" /* yacc.c:1646  */
    {
					RoleSpec *spc = (RoleSpec *) (yyvsp[0].rolespec);
					switch (spc->roletype)
					{
						case ROLESPEC_CSTRING:
							(yyval.str) = spc->rolename;
							break;
						case ROLESPEC_PUBLIC:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("role name \"%s\" is reserved",
											"public"),
									 parser_errposition((yylsp[0]))));
							break;
						case ROLESPEC_SESSION_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"SESSION_USER"),
									 parser_errposition((yylsp[0]))));
							break;
						case ROLESPEC_CURRENT_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"CURRENT_USER"),
									 parser_errposition((yylsp[0]))));
							break;
					}
				}
#line 45776 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2269:
#line 15015 "gram_minimal.y" /* yacc.c:1646  */
    {
						/*
						 * "public" and "none" are not keywords, but they must
						 * be treated specially here.
						 */
						RoleSpec *n;
						if (strcmp((yyvsp[0].str), "public") == 0)
						{
							n = (RoleSpec *) makeRoleSpec(ROLESPEC_PUBLIC, (yylsp[0]));
							n->roletype = ROLESPEC_PUBLIC;
						}
						else if (strcmp((yyvsp[0].str), "none") == 0)
						{
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("role name \"%s\" is reserved",
											"none"),
									 parser_errposition((yylsp[0]))));
						}
						else
						{
							n = makeRoleSpec(ROLESPEC_CSTRING, (yylsp[0]));
							n->rolename = pstrdup((yyvsp[0].str));
						}
						(yyval.rolespec) = n;
					}
#line 45807 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2270:
#line 15042 "gram_minimal.y" /* yacc.c:1646  */
    {
						(yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0]));
					}
#line 45815 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2271:
#line 15046 "gram_minimal.y" /* yacc.c:1646  */
    {
						(yyval.rolespec) = makeRoleSpec(ROLESPEC_SESSION_USER, (yylsp[0]));
					}
#line 45823 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2272:
#line 15052 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].rolespec)); }
#line 45829 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2273:
#line 15054 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].rolespec)); }
#line 45835 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2274:
#line 15070 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45841 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2275:
#line 15071 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 45847 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2276:
#line 15072 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 45853 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2277:
#line 15077 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45859 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2278:
#line 15078 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 45865 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2279:
#line 15079 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 45871 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2280:
#line 15084 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45877 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2281:
#line 15085 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 45883 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2282:
#line 15086 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 45889 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2283:
#line 15087 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 45895 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2284:
#line 15093 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45901 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2285:
#line 15094 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 45907 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2286:
#line 15095 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 45913 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2287:
#line 15096 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 45919 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2288:
#line 15097 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 45925 "gram_minimal.c" /* yacc.c:1646  */
    break;


#line 45929 "gram_minimal.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (&yylloc, yyscanner, YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (&yylloc, yyscanner, yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc, yyscanner);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, yyscanner, YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, yyscanner);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 15596 "gram_minimal.y" /* yacc.c:1906  */


/*
 * The signature of this function is required by bison.  However, we
 * ignore the passed yylloc and instead use the last token position
 * available from the scanner.
 */
static void
minimal_base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner, const char *msg)
{
	parser_yyerror(msg);
}

static RawStmt *
makeRawStmt(Node *stmt, int stmt_location)
{
	RawStmt    *rs = makeNode(RawStmt);

	rs->stmt = stmt;
	rs->stmt_location = stmt_location;
	rs->stmt_len = 0;			/* might get changed later */
	return rs;
}

/* Adjust a RawStmt to reflect that it doesn't run to the end of the string */
static void
updateRawStmtEnd(RawStmt *rs, int end_location)
{
	/*
	 * If we already set the length, don't change it.  This is for situations
	 * like "select foo ;; select bar" where the same statement will be last
	 * in the string for more than one semicolon.
	 */
	if (rs->stmt_len > 0)
		return;

	/* OK, update length of RawStmt */
	rs->stmt_len = end_location - rs->stmt_location;
}

static Node *
makeColumnRef(char *colname, List *indirection,
			  int location, core_yyscan_t yyscanner)
{
	/*
	 * Generate a ColumnRef node, with an A_Indirection node added if there
	 * is any subscripting in the specified indirection list.  However,
	 * any field selection at the start of the indirection list must be
	 * transposed into the "fields" part of the ColumnRef node.
	 */
	ColumnRef  *c = makeNode(ColumnRef);
	int		nfields = 0;
	ListCell *l;

	c->location = location;
	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Indices))
		{
			A_Indirection *i = makeNode(A_Indirection);

			if (nfields == 0)
			{
				/* easy case - all indirection goes to A_Indirection */
				c->fields = list_make1(makeString(colname));
				i->indirection = check_indirection(indirection, yyscanner);
			}
			else
			{
				/* got to split the list in two */
				i->indirection = check_indirection(list_copy_tail(indirection,
																  nfields),
												   yyscanner);
				indirection = list_truncate(indirection, nfields);
				c->fields = lcons(makeString(colname), indirection);
			}
			i->arg = (Node *) c;
			return (Node *) i;
		}
		else if (IsA(lfirst(l), A_Star))
		{
			/* We only allow '*' at the end of a ColumnRef */
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
		nfields++;
	}
	/* No subscripting, so all indirection gets added to field list */
	c->fields = lcons(makeString(colname), indirection);
	return (Node *) c;
}


static Node *
makeStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}


static Node *
makeFloatConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Float;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeBitStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_BitString;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeNullAConst(int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Null;
	n->location = location;

	return (Node *)n;
}

static Node *
makeAConst(Value *v, int location)
{
	Node *n;

	switch (v->type)
	{
		case T_Float:
			n = makeFloatConst(v->val.str, location);
			break;

		case T_Integer:
			n = makeIntConst(v->val.ival, location);
			break;

		case T_String:
		default:
			n = makeStringConst(v->val.str, location);
			break;
	}

	return n;
}

/* makeBoolAConst()
 * Create an A_Const string node and put it inside a boolean cast.
 */
static Node *
makeBoolAConst(bool state, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = (state ? "t" : "f");
	n->location = location;

	return makeTypeCast((Node *)n, SystemTypeName("bool"), -1);
}

/* makeRoleSpec
 * Create a RoleSpec with the given type
 */
static RoleSpec *
makeRoleSpec(RoleSpecType type, int location)
{
	RoleSpec *spec = makeNode(RoleSpec);

	spec->roletype = type;
	spec->location = location;

	return spec;
}

/* check_qualified_name --- check the result of qualified_name production
 *
 * It's easiest to let the grammar production for qualified_name allow
 * subscripts and '*', which we then must reject here.
 */
static void
check_qualified_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
}

/* check_func_name --- check the result of func_name production
 *
 * It's easiest to let the grammar production for func_name allow subscripts
 * and '*', which we then must reject here.
 */
static List *
check_func_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
	return names;
}

/* check_indirection --- check the result of indirection production
 *
 * We only allow '*' at the end of the list, but it's hard to enforce that
 * in the grammar, so do it here.
 */
static List *
check_indirection(List *indirection, core_yyscan_t yyscanner)
{
	ListCell *l;

	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Star))
		{
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
	}
	return indirection;
}

/* extractArgTypes()
 * Given a list of FunctionParameter nodes, extract a list of just the
 * argument types (TypeNames) for input parameters only.  This is what
 * is needed to look up an existing function, which is what is wanted by
 * the productions that use this call.
 */
static List *
extractArgTypes(List *parameters)
{
	List	   *result = NIL;
	ListCell   *i;

	foreach(i, parameters)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(i);

		if (p->mode != FUNC_PARAM_OUT && p->mode != FUNC_PARAM_TABLE)
			result = lappend(result, p->argType);
	}
	return result;
}

/* extractAggrArgTypes()
 * As above, but work from the output of the aggr_args production.
 */
static List *
extractAggrArgTypes(List *aggrargs)
{
	Assert(list_length(aggrargs) == 2);
	return extractArgTypes((List *) linitial(aggrargs));
}

/* makeOrderedSetArgs()
 * Build the result of the aggr_args production (which see the comments for).
 * This handles only the case where both given lists are nonempty, so that
 * we have to deal with multiple VARIADIC arguments.
 */
static List *
makeOrderedSetArgs(List *directargs, List *orderedargs,
				   core_yyscan_t yyscanner)
{
	FunctionParameter *lastd = (FunctionParameter *) llast(directargs);
	int			ndirectargs;

	/* No restriction unless last direct arg is VARIADIC */
	if (lastd->mode == FUNC_PARAM_VARIADIC)
	{
		FunctionParameter *firsto = (FunctionParameter *) linitial(orderedargs);

		/*
		 * We ignore the names, though the aggr_arg production allows them;
		 * it doesn't allow default values, so those need not be checked.
		 */
		if (list_length(orderedargs) != 1 ||
			firsto->mode != FUNC_PARAM_VARIADIC)
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 errmsg("an ordered-set aggregate with a VARIADIC direct argument must have one VARIADIC aggregated argument of the same data type"),
					 parser_errposition(exprLocation((Node *) firsto))));

		/* OK, drop the duplicate VARIADIC argument from the internal form */
		orderedargs = NIL;
	}

	/* don't merge into the next line, as list_concat changes directargs */
	ndirectargs = list_length(directargs);

	return list_make2(list_concat(directargs, orderedargs),
					  makeInteger(ndirectargs));
}

/* insertSelectOptions()
 * Insert ORDER BY, etc into an already-constructed SelectStmt.
 *
 * This routine is just to avoid duplicating code in SelectStmt productions.
 */
static void
insertSelectOptions(SelectStmt *stmt,
					List *sortClause, List *lockingClause,
					Node *limitOffset, Node *limitCount,
					WithClause *withClause,
					core_yyscan_t yyscanner)
{
	Assert(IsA(stmt, SelectStmt));

	/*
	 * Tests here are to reject constructs like
	 *	(SELECT foo ORDER BY bar) ORDER BY baz
	 */
	if (sortClause)
	{
		if (stmt->sortClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple ORDER BY clauses not allowed"),
					 parser_errposition(exprLocation((Node *) sortClause))));
		stmt->sortClause = sortClause;
	}
	/* We can handle multiple locking clauses, though */
	stmt->lockingClause = list_concat(stmt->lockingClause, lockingClause);
	if (limitOffset)
	{
		if (stmt->limitOffset)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple OFFSET clauses not allowed"),
					 parser_errposition(exprLocation(limitOffset))));
		stmt->limitOffset = limitOffset;
	}
	if (limitCount)
	{
		if (stmt->limitCount)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple LIMIT clauses not allowed"),
					 parser_errposition(exprLocation(limitCount))));
		stmt->limitCount = limitCount;
	}
	if (withClause)
	{
		if (stmt->withClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple WITH clauses not allowed"),
					 parser_errposition(exprLocation((Node *) withClause))));
		stmt->withClause = withClause;
	}
}

static Node *
makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg)
{
	SelectStmt *n = makeNode(SelectStmt);

	n->op = op;
	n->all = all;
	n->larg = (SelectStmt *) larg;
	n->rarg = (SelectStmt *) rarg;
	return (Node *) n;
}

/* doNegate()
 * Handle negation of a numeric constant.
 *
 * Formerly, we did this here because the optimizer couldn't cope with
 * indexquals that looked like "var = -4" --- it wants "var = const"
 * and a unary minus operator applied to a constant didn't qualify.
 * As of Postgres 7.0, that problem doesn't exist anymore because there
 * is a constant-subexpression simplifier in the optimizer.  However,
 * there's still a good reason for doing this here, which is that we can
 * postpone committing to a particular internal representation for simple
 * negative constants.	It's better to leave "-123.456" in string form
 * until we know what the desired type is.
 */
static Node *
doNegate(Node *n, int location)
{
	if (IsA(n, A_Const))
	{
		A_Const *con = (A_Const *)n;

		/* report the constant's location as that of the '-' sign */
		con->location = location;

		if (con->val.type == T_Integer)
		{
			con->val.val.ival = -con->val.val.ival;
			return n;
		}
		if (con->val.type == T_Float)
		{
			doNegateFloat(&con->val);
			return n;
		}
	}

	return (Node *) makeSimpleA_Expr(AEXPR_OP, "-", NULL, n, location);
}

static void
doNegateFloat(Value *v)
{
	char   *oldval = v->val.str;

	Assert(IsA(v, Float));
	if (*oldval == '+')
		oldval++;
	if (*oldval == '-')
		v->val.str = oldval+1;	/* just strip the '-' */
	else
		v->val.str = psprintf("-%s", oldval);
}

static Node *
makeAndExpr(Node *lexpr, Node *rexpr, int location)
{
	Node	   *lexp = lexpr;

	/* Look through AEXPR_PAREN nodes so they don't affect flattening */
	while (IsA(lexp, A_Expr) &&
		   ((A_Expr *) lexp)->kind == AEXPR_PAREN)
		lexp = ((A_Expr *) lexp)->lexpr;
	/* Flatten "a AND b AND c ..." to a single BoolExpr on sight */
	if (IsA(lexp, BoolExpr))
	{
		BoolExpr *blexpr = (BoolExpr *) lexp;

		if (blexpr->boolop == AND_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(AND_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeOrExpr(Node *lexpr, Node *rexpr, int location)
{
	Node	   *lexp = lexpr;

	/* Look through AEXPR_PAREN nodes so they don't affect flattening */
	while (IsA(lexp, A_Expr) &&
		   ((A_Expr *) lexp)->kind == AEXPR_PAREN)
		lexp = ((A_Expr *) lexp)->lexpr;
	/* Flatten "a OR b OR c ..." to a single BoolExpr on sight */
	if (IsA(lexp, BoolExpr))
	{
		BoolExpr *blexpr = (BoolExpr *) lexp;

		if (blexpr->boolop == OR_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(OR_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeNotExpr(Node *expr, int location)
{
	return (Node *) makeBoolExpr(NOT_EXPR, list_make1(expr), location);
}

static Node *
makeAArrayExpr(List *elements, int location)
{
	A_ArrayExpr *n = makeNode(A_ArrayExpr);

	n->elements = elements;
	n->location = location;
	return (Node *) n;
}

static Node *
makeSQLValueFunction(SQLValueFunctionOp op, int32 typmod, int location)
{
	SQLValueFunction *svf = makeNode(SQLValueFunction);

	svf->op = op;
	/* svf->type will be filled during parse analysis */
	svf->typmod = typmod;
	svf->location = location;
	return (Node *) svf;
}

static Node *
makeXmlExpr(XmlExprOp op, char *name, List *named_args, List *args,
			int location)
{
	XmlExpr		*x = makeNode(XmlExpr);

	x->op = op;
	x->name = name;
	/*
	 * named_args is a list of ResTarget; it'll be split apart into separate
	 * expression and name lists in transformXmlExpr().
	 */
	x->named_args = named_args;
	x->arg_names = NIL;
	x->args = args;
	/* xmloption, if relevant, must be filled in by caller */
	/* type and typmod will be filled in during parse analysis */
	x->type = InvalidOid;			/* marks the node as not analyzed */
	x->location = location;
	return (Node *) x;
}

/*
 * Merge the input and output parameters of a table function.
 */
static List *
mergeTableFuncParameters(List *func_args, List *columns)
{
	ListCell   *lc;

	/* Explicit OUT and INOUT parameters shouldn't be used in this syntax */
	foreach(lc, func_args)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(lc);

		if (p->mode != FUNC_PARAM_IN && p->mode != FUNC_PARAM_VARIADIC)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("OUT and INOUT arguments aren't allowed in TABLE functions")));
	}

	return list_concat(func_args, columns);
}

/*
 * Determine return type of a TABLE function.  A single result column
 * returns setof that column's type; otherwise return setof record.
 */
static TypeName *
TableFuncTypeName(List *columns)
{
	TypeName *result;

	if (list_length(columns) == 1)
	{
		FunctionParameter *p = (FunctionParameter *) linitial(columns);

		result = copyObject(p->argType);
	}
	else
		result = SystemTypeName("record");

	result->setof = true;

	return result;
}

/*
 * Convert a list of (dotted) names to a RangeVar (like
 * makeRangeVarFromNameList, but with position support).  The
 * "AnyName" refers to the any_name production in the grammar.
 */
static RangeVar *
makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner)
{
	RangeVar *r = makeNode(RangeVar);

	switch (list_length(names))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = NULL;
			r->relname = strVal(linitial(names));
			break;
		case 2:
			r->catalogname = NULL;
			r->schemaname = strVal(linitial(names));
			r->relname = strVal(lsecond(names));
			break;
		case 3:
			r->catalogname = strVal(linitial(names));
			r->schemaname = strVal(lsecond(names));
			r->relname = strVal(lthird(names));
			break;
		default:
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("improper qualified name (too many dotted names): %s",
							NameListToString(names)),
					 parser_errposition(position)));
			break;
	}

	r->relpersistence = RELPERSISTENCE_PERMANENT;
	r->location = position;

	return r;
}

/* Separate Constraint nodes from COLLATE clauses in a ColQualList */
static void
SplitColQualList(List *qualList,
				 List **constraintList, CollateClause **collClause,
				 core_yyscan_t yyscanner)
{
	ListCell   *cell;
	ListCell   *prev;
	ListCell   *next;

	*collClause = NULL;
	prev = NULL;
	for (cell = list_head(qualList); cell; cell = next)
	{
		Node   *n = (Node *) lfirst(cell);

		next = lnext(cell);
		if (IsA(n, Constraint))
		{
			/* keep it in list */
			prev = cell;
			continue;
		}
		if (IsA(n, CollateClause))
		{
			CollateClause *c = (CollateClause *) n;

			if (*collClause)
				ereport(ERROR,
						(errcode(ERRCODE_SYNTAX_ERROR),
						 errmsg("multiple COLLATE clauses not allowed"),
						 parser_errposition(c->location)));
			*collClause = c;
		}
		else
			elog(ERROR, "unexpected node type %d", (int) n->type);
		/* remove non-Constraint nodes from qualList */
		qualList = list_delete_cell(qualList, cell, prev);
	}
	*constraintList = qualList;
}

/*
 * Process result of ConstraintAttributeSpec, and set appropriate bool flags
 * in the output command node.  Pass NULL for any flags the particular
 * command doesn't support.
 */
static void
processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner)
{
	/* defaults */
	if (deferrable)
		*deferrable = false;
	if (initdeferred)
		*initdeferred = false;
	if (not_valid)
		*not_valid = false;

	if (cas_bits & (CAS_DEFERRABLE | CAS_INITIALLY_DEFERRED))
	{
		if (deferrable)
			*deferrable = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_INITIALLY_DEFERRED)
	{
		if (initdeferred)
			*initdeferred = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NOT_VALID)
	{
		if (not_valid)
			*not_valid = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NOT VALID",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NO_INHERIT)
	{
		if (no_inherit)
			*no_inherit = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NO INHERIT",
							constrType),
					 parser_errposition(location)));
	}
}

/*----------
 * Recursive view transformation
 *
 * Convert
 *
 *     CREATE RECURSIVE VIEW relname (aliases) AS query
 *
 * to
 *
 *     CREATE VIEW relname (aliases) AS
 *         WITH RECURSIVE relname (aliases) AS (query)
 *         SELECT aliases FROM relname
 *
 * Actually, just the WITH ... part, which is then inserted into the original
 * view definition as the query.
 * ----------
 */
static Node *
makeRecursiveViewSelect(char *relname, List *aliases, Node *query)
{
	SelectStmt *s = makeNode(SelectStmt);
	WithClause *w = makeNode(WithClause);
	CommonTableExpr *cte = makeNode(CommonTableExpr);
	List	   *tl = NIL;
	ListCell   *lc;

	/* create common table expression */
	cte->ctename = relname;
	cte->aliascolnames = aliases;
	cte->ctematerialized = CTEMaterializeDefault;
	cte->ctequery = query;
	cte->location = -1;

	/* create WITH clause and attach CTE */
	w->recursive = true;
	w->ctes = list_make1(cte);
	w->location = -1;

	/* create target list for the new SELECT from the alias list of the
	 * recursive view specification */
	foreach (lc, aliases)
	{
		ResTarget *rt = makeNode(ResTarget);

		rt->name = NULL;
		rt->indirection = NIL;
		rt->val = makeColumnRef(strVal(lfirst(lc)), NIL, -1, 0);
		rt->location = -1;

		tl = lappend(tl, rt);
	}

	/* create new SELECT combining WITH clause, target list, and fake FROM
	 * clause */
	s->withClause = w;
	s->targetList = tl;
	s->fromClause = list_make1(makeRangeVar(NULL, relname, -1));

	return (Node *) s;
}

/* parser_init()
 * Initialize to parse one query string
 */
void
minimal_parser_init(base_yy_extra_type *yyext)
{
	yyext->parsetree = NIL;		/* in case grammar forgets to set it */
}

